!     DATELIB
!    
!     BIBLIOTECA DE FUNCOES PARA PROCESSAR DATAS E HORAS EM FORTRAN


	module datelib
	

	type tpmonth
	 integer::nm
	end type

        type(tpmonth),DIMENSION(12)::monthy
	
	PRIVATE fjulian1
        PRIVATE fjulian2
        PRIVATE init 
	
	interface fjulian
	 module procedure fjulian1
	 module procedure fjulian2
	end interface

	CONTAINS

	subroutine init(year) 
	 integer,intent(in)::year
	 
	 monthy(1)%nm=31 !'jan
	 monthy(2)%nm=28 !'fev
	 monthy(3)%nm=31 ! 'mar
	 monthy(4)%nm=30 ! 'apr
	 monthy(5)%nm=31 ! 'may
	 monthy(6)%nm=30 ! 'jun
	 monthy(7)%nm=31 ! 'jul
	 monthy(8)%nm=31 ! 'ago
	 monthy(9)%nm=30 ! 'sep
	 monthy(10)%nm=31 !'oct
	 monthy(11)%nm=30 ! 'nov
	 monthy(12)%nm=31 !'dec
	  
	 if (mod(year,4)==0) monthy(2)%nm=29

	 
	end subroutine
	
	!----------------------------------------------
	! fjulian - Retorna a data corrente a partir do ano 0 
	!           depois de cristo em dia e fracao de dias  
	!           	! 
	!----------------------------------------------
	
	           
	function fjulian1(year,month,day,hour,min,sec)
	 real*8::fjulian1
	 integer,intent(in)::year,month,day,hour,min,sec
	 
	 real d,h
	 d=0;h=0
	  

	  call init(year)

	  
	  do i=0,(year-1),4
	   d=d+1
	  end do
	  
	  d=d+365*year
	  
	  do i=2,month,1
	  
	   d=d+monthy(i-1)%nm
	   
	  end do   
	  
	  
	  d=d+day
	  
	  h=float(hour)+float(min)/60.0+float(sec)/3600
	  d=d+h/24
	 
	  fjulian1 =d
	  
	end function
	
       function fjulian2(SDATE$)
         real*8:: fjulian2
         real*8:: cdate
         character(len=*),intent(in)::SDATE$ ! Data no formato YYYYMMDDHHmmss
         integer :: ANO,MES,DIA,HORA,MIN,SEG

         read(SDATE$,'(I4,I2,I2,I2,I2,I2)')ANO,MES,DIA,HORA,MIN,SEG
         print *,SDATE$,hora,min,seg
         cdate=fjulian1(ANO,MES,DIA,HORA,MIN,SEG)
         fjulian2=cdate

      end function fjulian2


!---------------------------------------------------------------------------!
!                          Funo grdate							        !
! Retorna um texto  que representa a data no formato (hh:mnZ ddmmmyyyy)",   !
! que  utilizado nos arquivos descritores do grads                         !
!																		    !
! Sintax:  cdate=grdate(jdate)     										    !
!																		    !
!   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
!        : que pode ser obtido atravs da funo fjulina                    !
!																			!
!						                                            		!
!         Veja Tambm funo fjulian									    !
!---------------------------------------------------------------------------!

function grdate(jdate);character(len=19)::grdate

  
  real*8,intent(in)::jdate

  character(len=3),dimension(12)::nm
  character(len=19)::a
  integer :: i

  nm(1)="Jan"
  nm(2)="Feb"
  nm(3)="Mar"
  nm(4)="Apr"
  NM(5)="May"
  nm(6)="Jun"
  nm(7)="Jul"
  nm(8)="Aug"
  nm(9)="Sep"
  nm(10)="Oct"
  nm(11)="Nov"
  nm(12)="Dec"
  
  i=month(jdate)
  write(a,10)hour(jdate),day(jdate),nm(i),year(jdate)
10 format(i2.2,":00Z",i2.2,a3,i4)
  grdate=a
 end function

	function year(d)
	 integer::year
	 real*8,intent(in)::d
	 integer::y
	 real*8::d2
	 
	  y=-1

 10   y=y+1
	   d2=fjulian(y,1,1,0,0,0)
	 if  (d2<=d) goto 10 

	  year=y-1
	end function

!---------------------------------------------------------------------------!
!                          Funo month									    !
! Retorna um Inteiro entre 1 e 12 inclusive, que representa o mes do ano    !
!																		    !
! Sintax:  imonth=month(jdate)     										    !
!																		    !
!   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
!        : que pode ser obtido atravs da funo fjulina                    !
!																			!
!						                                            		!
!         Veja Tambm funo fjulian									    !
!---------------------------------------------------------------------------!

function month(d)
	integer :: month
	real*8,intent(in)::d
	real*8::d2
	integer :: y,m
	 
	 y=year(d)
	 m=0
  10 m=m+1
	 d2=fjulian(y,m,1,0,0,0)
	 if  (d2<=d) goto 10 
	 month=m-1

end function



!---------------------------------------------------------------------------!
!                          Funo day									    !
! Retorna um Inteiro entre 1 e 31 inclusive, que representa o dia do mes    !
!																		    !
! Sintax:  idia=day(jdate)	     										    !
!																		    !
!   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
!        : que pode ser obtido atravs da funo fjulina                    !
!																			!
!						                                            		!
!         Veja Tambm funo fjulian									    !
!---------------------------------------------------------------------------!
 function day(d)
	 integer :: day
	 real*8,intent(in)::d
	 real*8::d2
	 integer :: y,m,a
	 
	     y=year(d)
	     m=month(d)
     	 a=0
  10     a=a+1
	 d2=fjulian(y,m,a,0,0,0)
	 if  (d2<=d) goto 10 
	 day=a-1

	end function

!---------------------------------------------------------------------------!
!                          Funo hour									    !
! Retorna um Inteiro entre 0 e 23 inclusive, que representa o hora do dia   !
!																		    !
! Sintax:  ihora=day(jdate)	     										    !
!																		    !
!   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
!        : que pode ser obtido atravs da funo fjulina                    !
!																			!
!						                                            		!
!         Veja Tambm funo fjulian									    !
!---------------------------------------------------------------------------!

  function hour(d)
	 integer :: hour
	 real*8,intent(in)::d
	 hour=int((d -int(d ))*24)
	
   end function

END MODULE


	
