SAVE_MGEMPAK                    Source Listing                   2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 1
                                                                 1-Sep-2004 09:55:46  mgempak.f90

	      1 module mgempak
	      2 
	      3 !--------------------------------------------------------------------------
	      4 !									   
	      5 !                Modulo de Leitura e Escrita de Arquivos de Dados 	   
	      6 ! 
	      7 ! Autores:Sergio Henrique S. Ferreira  - 31/08/2004 
	      8 !         Ana Lucia Travezani Ferreira 
	      9 !
	     10 !
	     11 !
	     12 
	     13 !save_mgempak- Salva Dados em Formato Texto para Gempak
	     14 !
	     15 !---------------------------------------------------------------------------
	     16 
	     17 contains
	     18 
	     19   subroutine save_mgempak(un,file,obs,nobs,varname,nvar,gdate)
	     20   
	     21    
	     22 
	     23     integer,intent(in)	 			::un    !  Unidade de gravacao de arquivo
	     24     character(len=*),intent(in)			::file  !  Nome do arquivo de gravacao 
	     25     real,dimension(:,:),intent(inout)		::obs   !  Matriz de dados
	     26     integer,intent(in)				::nobs  !  Numero de linhas de obs
	     27     character(len=*),dimension(:),intent(in) 	::varname  !  Nome das variaveis
	     28     integer,intent(in)          		::nvar  !  Numero de variaveis(ncod)
	     29     character(len=*),dimension(:),intent(in)	::gdate !  Datas do arquivo 
	     30     
	     31     
	     32 !--------------------- Variaveis Locais ---------------------    
	     33    
	     34     character(len=255)::aux$,aux2$  
	     35     			
	     36     integer i,j
	     37     
	     38     real :: varObs=-340200300 	!  Valor nulo para Estacoes
	     39     
	     40 !------------------------------------------------------------
	     41  
	     42     
	     43     open(un,file=file,status='unknown')
	     44     
	     45    
	     46     
	     47 !##################### Inicio Cabecalho ######################
	     48 
	     49    aux$='PARM='
	     50             
	     51 	    do I=1,nvar
	     52                aux$=trim(aux$)//varname(i)//";"
	     53 	       
	     54 	      
	     55             end do
	     56             
	     57              write(un,'(a)')trim(aux$)

SAVE_MGEMPAK                    Source Listing                   2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 2
                                                                 1-Sep-2004 09:55:46  mgempak.f90

	     58 
	     59   
	     60   
	     61   
	     62    aux$='YYYYMMDD/HHMM'
	     63    
	     64    do i=1,nvar
	     65    	
	     66 	aux$=trim(aux$)//"     "//varname(i)
	     67    
	     68    end do
	     69     
	     70     write(un,'(a)')trim(aux$)
	     71     
	     72    
	     73 !##################### Fim Cabecalho #########################    
	     74 
	     75 
	     76 
	     77    
	     78    
	     79 !############### Inicio Gravacao de Dados ####################   
	     80     
	     81     do i=1,nobs    	
	     82 	aux$=gdate(i)
	     83 	do j=1,nvar
	     84 	
	     85 		if(obs(i,j)<=varObs) then
	     86 			aux2$=' 99999.99'
	     87 			
	     88 		else
	     89 			write(aux2$,'(1x,f8.2)')obs(i,j)
	     90 		end if	
	     91 	
	     92 	aux$=trim(aux$)//aux2$
	     93 	end do
	     94 	write(un,'(a)')trim(aux$)
	     95     end do
	     96     
	     97 !################# Fim Gravacao de Dados ######################    		
	     98 
	     99 	
	    100   close(un)
	    101   end subroutine

SAVE_MGEMPAK                    Source Listing                   2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 3
                                                                 1-Sep-2004 09:55:46  mgempak.f90


PROGRAM SECTIONS
    Name				 Bytes   Attributes

  1 $BSS$                                  520 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                  72 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $CODE$                                2456   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  4 .lita                                   96   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .lit4                                   12   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .literal                                87   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .xdata                                   8 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  8 .pdata                                   8 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3259

ENTRY POINTS
 Address      Name                  
                                    
  3-00000000  $mgempak$save_mgempak_


VARIABLES

 Address      Type  Name    Address      Type  Name    Address      Type  Name  
                                                                                
  1-00000108  CHAR  AUX$     1-00000004  I*4   I            **      I*4   NVAR  
  1-00000008  CHAR  AUX2$    1-00000000  I*4   J            **      I*4   UN    
      **      CHAR  FILE         **      I*4   NOBS     2-00000044  R*4   VAROBS


ARRAYS

 Address      Type  Name           Bytes  Dimensions
      **      CHAR  GDATE             64  (:)
      **      R*4   OBS               88  (:, :)
      **      CHAR  VARNAME           64  (:)

SAVE_MGEMPAK                    Source Listing                   2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 4
                                                                 1-Sep-2004 09:55:46  mgempak.f90

	    102 
	    103 end module

PROGRAM SECTIONS
    Name				 Bytes   Attributes
  1 $BSS$                                  520 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                  72 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $CODE$                                2456   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  4 .lita                                   96   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .lit4                                   12   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .literal                                87   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .xdata                                   8 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  8 .pdata                                   8 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3259

FUNCTIONS AND SUBROUTINES REFERENCED
  Type  Name                        
                                    
         $mgempak$save_mgempak_     

SAVE_MGEMPAK                    Source Listing                   2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 5
                                                                 1-Sep-2004 09:55:46  mgempak.f90

	    104  

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 6
                                                                 1-Sep-2004 09:55:46  mgempak.f90

				.text
				.globl  $mgempak$save_mgempak_
				.ent 	$mgempak$save_mgempak_
				.eflag 16
	     0000	$mgempak$save_mgempak_:										    # 000019
27BB0001     0000		ldah	gp, $mgempak$save_mgempak_		# gp, (r27)
23BD8A70     0004		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
	     0008	L$1:
23DEFCE0     0008		lda	sp, -800(sp)
B75E0000     000C		stq	r26, (sp)
B53E0008     0010		stq	r9, 8(sp)
B55E0010     0014		stq	r10, 16(sp)
B57E0018     0018		stq	r11, 24(sp)
B59E0020     001C		stq	r12, 32(sp)
B5BE0028     0020		stq	r13, 40(sp)
B5DE0030     0024		stq	r14, 48(sp)
B5FE0038     0028		stq	r15, 56(sp)
47FE040F     002C		mov	sp, r15
				.mask 0x0400FE00,-800
				.fmask 0x00000000,0
				.frame  $fp, 800, $26
				.prologue 1
B60F0060     0030		stq	r16, 96(r15)
B62F0050     0034		stq	r17, 80(r15)
47F2040C     0038		mov	r18, r12
B66F0048     003C		stq	r19, 72(r15)
47F4040B     0040		mov	r20, r11
B6AF0040     0044		stq	r21, 64(r15)
A52F0320     0048		ldq	r9, 800(r15)
A62F0328     004C		ldq	r17, FILE.len				# r17, 808(r15)
B62F0058     0050		stq	r17, 88(r15)
E5800010     0054		beq	r12, lab$0002
A64C0038     0058		ldq	r18, 56(r12)
A66C0030     005C		ldq	r19, 48(r12)
42720533     0060		subq	r19, r18, r19
42603413     0064		addq	r19, 1, r19
B66C0030     0068		stq	r19, 48(r12)
47E03415     006C		mov	1, r21
B6AC0038     0070		stq	r21, 56(r12)
B64F00B8     0074		stq	r18, var$0002				# r18, 184(r15)
A60C0050     0078		ldq	r16, 80(r12)
A62C0048     007C		ldq	r17, 72(r12)
42300531     0080		subq	r17, r16, r17
42203411     0084		addq	r17, 1, r17
B62C0048     0088		stq	r17, 72(r12)
47E03414     008C		mov	1, r20
B68C0050     0090		stq	r20, 80(r12)
B60F00B0     0094		stq	r16, var$0003				# r16, 176(r15)
	     0098	lab$0002:
E5600008     0098		beq	r11, lab$0004
A6AB0038     009C		ldq	r21, 56(r11)
A64B0030     00A0		ldq	r18, 48(r11)
42550532     00A4		subq	r18, r21, r18
42403412     00A8		addq	r18, 1, r18
B64B0030     00AC		stq	r18, 48(r11)
47E03413     00B0		mov	1, r19
B66B0038     00B4		stq	r19, 56(r11)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 7
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

B6AF00A8     00B8		stq	r21, var$0005				# r21, 168(r15)
	     00BC	lab$0004:
E5200008     00BC		beq	r9, lab$0006
A6890038     00C0		ldq	r20, 56(r9)
A6090030     00C4		ldq	r16, 48(r9)
42140530     00C8		subq	r16, r20, r16
42003410     00CC		addq	r16, 1, r16
B6090030     00D0		stq	r16, 48(r9)
47E03412     00D4		mov	1, r18
B6490038     00D8		stq	r18, 56(r9)
B68F00A0     00DC		stq	r20, var$0007				# r20, 160(r15)
	     00E0	lab$0006:
A6BD8010     00E0		ldq	r21, (gp)									    # 000043
22B50050     00E4		lda	r21, 80(r21)
B3EF00C0     00E8		stl	r31, var$0001				# r31, 192(r15)
A60F0060     00EC		ldq	r16, 96(r15)
A2300000     00F0		ldl	r17, (r16)
A67D8010     00F4		ldq	r19, (gp)
22730040     00F8		lda	r19, 64(r19)
A40F0058     00FC		ldq	r0, 88(r15)
B40F0100     0100		stq	r0, 256(r15)
A68F0050     0104		ldq	r20, 80(r15)
B68F0108     0108		stq	r20, 264(r15)
47E0F401     010C		mov	7, r1
B42F0110     0110		stq	r1, 272(r15)
B6AF0118     0114		stq	r21, 280(r15)
220F00C0     0118		lda	r16, var$0001				# r16, 192(r15)
265F0385     011C		ldah	r18, 901(r31)
2252FF00     0120		lda	r18, -256(r18)
228F0100     0124		lda	r20, 256(r15)
A77D8068     0128		ldq	r27, for_open				# r27, 88(gp)
6B5B4000     012C		jsr	r26, for_open				# r26, (r27)
27BA0001     0130		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     0134		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
A61D8060     0138		ldq	r16, AUX$				# r16, 80(gp)				    # 000049
A65D8010     013C		ldq	r18, (gp)
22520038     0140		lda	r18, 56(r18)
47E0B411     0144		mov	5, r17
A77D8058     0148		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     014C		jsr	r26, _OtsMove				# r26, (r27)
47FF5411     0150		mov	250, r17
47E41412     0154		mov	32, r18
A77D8050     0158		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     015C		jsr	r26, _OtsFill				# r26, (r27)
A40F0040     0160		ldq	r0, 64(r15)									    # 000051
A0000000     0164		ldl	r0, (r0)
B40F0090     0168		stq	r0, var$0014				# r0, 144(r15)
47E03401     016C		mov	1, r1
A45D8060     0170		ldq	r2, I					# r2, 80(gp)
B022FEFC     0174		stl	r1, I					# r1, -260(r2)
EC000032     0178		ble	r0, lab$0021
	     017C	lab$0016:											    # 000052
220F0220     017C		lda	r16, 544(r15)
A65D8060     0180		ldq	r18, AUX$				# r18, 80(gp)
47FFF411     0184		mov	255, r17
A77D8058     0188		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     018C		jsr	r26, _OtsMove				# r26, (r27)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 8
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

220F0120     0190		lda	r16, var$0015				# r16, 288(r15)
47FFF411     0194		mov	255, r17
224F0220     0198		lda	r18, 544(r15)
47FFF413     019C		mov	255, r19
A77D8048     01A0		ldq	r27, for_trim				# r27, 56(gp)
6B5B4000     01A4		jsr	r26, for_trim				# r26, (r27)
27BA0001     01A8		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     01AC		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
A42B0008     01B0		ldq	r1, 8(r11)
A44B0010     01B4		ldq	r2, 16(r11)
A46B0028     01B8		ldq	r3, 40(r11)
A49D8060     01BC		ldq	r4, I					# r4, 80(gp)
A084FEFC     01C0		ldl	r4, I					# r4, -260(r4)
A4AB0028     01C4		ldq	r5, 40(r11)
4C830403     01C8		mulq	r4, r3, r3
40450522     01CC		subq	r2, r5, r2
40430402     01D0		addq	r2, r3, r2
A61D8060     01D4		ldq	r16, AUX$				# r16, 80(gp)
224F0120     01D8		lda	r18, var$0015				# r18, 288(r15)
47E00413     01DC		mov	r0, r19
47FFF411     01E0		mov	255, r17
A77D8040     01E4		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     01E8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
22420000     01EC		lda	r18, (r2)
47E10413     01F0		mov	r1, r19
A77D8040     01F4		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     01F8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8010     01FC		ldq	r18, (gp)
22520030     0200		lda	r18, 48(r18)
47E03413     0204		mov	1, r19
A77D8040     0208		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     020C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0210		mov	32, r18
A77D8050     0214		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     0218		jsr	r26, _OtsFill				# r26, (r27)
A4DD8060     021C		ldq	r6, I					# r6, 80(gp)				    # 000051
A0C6FEFC     0220		ldl	r6, I					# r6, -260(r6)
40C03006     0224		addl	r6, 1, r6
A4FD8060     0228		ldq	r7, I					# r7, 80(gp)
B0C7FEFC     022C		stl	r6, I					# r6, -260(r7)
A50F0090     0230		ldq	r8, var$0014				# r8, 144(r15)
41003528     0234		subq	r8, 1, r8
B50F0090     0238		stq	r8, var$0014				# r8, 144(r15)
A6CF0090     023C		ldq	r22, var$0014				# r22, 144(r15)
FEDFFFCE     0240		bgt	r22, lab$0016
	     0244	lab$0021:											    # 000057
220F0220     0244		lda	r16, 544(r15)
A65D8060     0248		ldq	r18, AUX$				# r18, 80(gp)
47FFF411     024C		mov	255, r17
A77D8058     0250		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     0254		jsr	r26, _OtsMove				# r26, (r27)
220F0120     0258		lda	r16, var$0018				# r16, 288(r15)
47FFF411     025C		mov	255, r17
224F0220     0260		lda	r18, 544(r15)
47FFF413     0264		mov	255, r19
A77D8048     0268		ldq	r27, for_trim				# r27, 56(gp)
6B5B4000     026C		jsr	r26, for_trim				# r26, (r27)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 9
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

27BA0001     0270		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     0274		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
B3EF00C0     0278		stl	r31, var$0001				# r31, 192(r15)
A44F0060     027C		ldq	r2, 96(r15)
A0420000     0280		ldl	r2, (r2)
A47D8018     0284		ldq	r3, 8(gp)
20630008     0288		lda	r3, 8(r3)
47E00404     028C		mov	r0, r4
41E00525     0290		subq	r15, r0, r5
44A1F105     0294		bic	r5, 15, r5
230FF000     0298		lda	r24, -4096(r15)
A7850000     029C		ldq	r28, (r5)
430507BC     02A0		cmpule	r24, r5, r28
F7800004     02A4		bne	r28, L$16
	     02A8	L$15:
A7980000     02A8		ldq	r28, (r24)
2318E020     02AC		lda	r24, -8160(r24)
430507BC     02B0		cmpule	r24, r5, r28
E79FFFFC     02B4		beq	r28, L$15
	     02B8	L$16:
47E5041E     02B8		mov	r5, sp
22050000     02BC		lda	r16, (r5)
47E00411     02C0		mov	r0, r17
224F0120     02C4		lda	r18, var$0018				# r18, 288(r15)
A77D8058     02C8		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     02CC		jsr	r26, _OtsMove				# r26, (r27)
43C40521     02D0		subq	sp, r4, r1
4421F101     02D4		bic	r1, 15, r1
231EF000     02D8		lda	r24, -4096(sp)
A7810000     02DC		ldq	r28, (r1)
430107BC     02E0		cmpule	r24, r1, r28
F7800004     02E4		bne	r28, L$20
	     02E8	L$19:
A7980000     02E8		ldq	r28, (r24)
2318E020     02EC		lda	r24, -8160(r24)
430107BC     02F0		cmpule	r24, r1, r28
E79FFFFC     02F4		beq	r28, L$19
	     02F8	L$20:
47E1041E     02F8		mov	r1, sp
22010000     02FC		lda	r16, (r1)
47E40411     0300		mov	r4, r17
22450000     0304		lda	r18, (r5)
47E00413     0308		mov	r0, r19
A77D8040     030C		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0310		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0314		mov	32, r18
A77D8050     0318		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     031C		jsr	r26, _OtsFill				# r26, (r27)
20C10000     0320		lda	r6, (r1)
B4CF0108     0324		stq	r6, 264(r15)
B48F0100     0328		stq	r4, 256(r15)
220F00C0     032C		lda	r16, var$0001				# r16, 192(r15)
47E20411     0330		mov	r2, r17
265F0385     0334		ldah	r18, 901(r31)
2252FF00     0338		lda	r18, -256(r18)
47E30413     033C		mov	r3, r19
228F0100     0340		lda	r20, 256(r15)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 10
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

A6BD8038     0344		ldq	r21, var$0009				# r21, 40(gp)
A77D8030     0348		ldq	r27, for_write_seq_fmt			# r27, 32(gp)
6B5B4000     034C		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0350		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     0354		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
47EF041E     0358		mov	r15, sp
A61D8060     035C		ldq	r16, AUX$				# r16, 80(gp)				    # 000062
A65D8010     0360		ldq	r18, (gp)
22520020     0364		lda	r18, 32(r18)
47E1B411     0368		mov	13, r17
A77D8058     036C		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     0370		jsr	r26, _OtsMove				# r26, (r27)
47FE5411     0374		mov	242, r17
47E41412     0378		mov	32, r18
A77D8050     037C		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     0380		jsr	r26, _OtsFill				# r26, (r27)
A40F0040     0384		ldq	r0, 64(r15)									    # 000064
A0000000     0388		ldl	r0, (r0)
47E0040D     038C		mov	r0, var$0019				# r0, r13
47E03401     0390		mov	1, r1
A45D8060     0394		ldq	r2, I					# r2, 80(gp)
B022FEFC     0398		stl	r1, I					# r1, -260(r2)
EC00002F     039C		ble	r0, lab$0036
	     03A0	lab$0031:											    # 000066
220F0220     03A0		lda	r16, 544(r15)
A65D8060     03A4		ldq	r18, AUX$				# r18, 80(gp)
47FFF411     03A8		mov	255, r17
A77D8058     03AC		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     03B0		jsr	r26, _OtsMove				# r26, (r27)
220F0120     03B4		lda	r16, var$0020				# r16, 288(r15)
47FFF411     03B8		mov	255, r17
224F0220     03BC		lda	r18, 544(r15)
47FFF413     03C0		mov	255, r19
A77D8048     03C4		ldq	r27, for_trim				# r27, 56(gp)
6B5B4000     03C8		jsr	r26, for_trim				# r26, (r27)
27BA0001     03CC		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     03D0		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
A42B0008     03D4		ldq	r1, 8(r11)
A44B0010     03D8		ldq	r2, 16(r11)
A46B0028     03DC		ldq	r3, 40(r11)
A49D8060     03E0		ldq	r4, I					# r4, 80(gp)
A084FEFC     03E4		ldl	r4, I					# r4, -260(r4)
A4AB0028     03E8		ldq	r5, 40(r11)
4C830403     03EC		mulq	r4, r3, r3
40450522     03F0		subq	r2, r5, r2
40430402     03F4		addq	r2, r3, r2
A61D8060     03F8		ldq	r16, AUX$				# r16, 80(gp)
224F0120     03FC		lda	r18, var$0020				# r18, 288(r15)
47E00413     0400		mov	r0, r19
47FFF411     0404		mov	255, r17
A77D8040     0408		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     040C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8010     0410		ldq	r18, (gp)
22520018     0414		lda	r18, 24(r18)
47E0B413     0418		mov	5, r19
A77D8040     041C		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0420		jsr	r26, _OtsMoveMinimum			# r26, (r27)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 11
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

22420000     0424		lda	r18, (r2)
47E10413     0428		mov	r1, r19
A77D8040     042C		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0430		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0434		mov	32, r18
A77D8050     0438		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     043C		jsr	r26, _OtsFill				# r26, (r27)
A4DD8060     0440		ldq	r6, I					# r6, 80(gp)				    # 000064
A0C6FEFC     0444		ldl	r6, I					# r6, -260(r6)
40C03006     0448		addl	r6, 1, r6
A4FD8060     044C		ldq	r7, I					# r7, 80(gp)
B0C7FEFC     0450		stl	r6, I					# r6, -260(r7)
41A0352D     0454		subq	var$0019, 1, var$0019			# r13, 1, r13
FDBFFFD1     0458		bgt	var$0019, lab$0031			# r13, lab$0031
	     045C	lab$0036:											    # 000070
220F0220     045C		lda	r16, 544(r15)
A65D8060     0460		ldq	r18, AUX$				# r18, 80(gp)
47FFF411     0464		mov	255, r17
A77D8058     0468		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     046C		jsr	r26, _OtsMove				# r26, (r27)
220F0120     0470		lda	r16, var$0022				# r16, 288(r15)
47FFF411     0474		mov	255, r17
224F0220     0478		lda	r18, 544(r15)
47FFF413     047C		mov	255, r19
A77D8048     0480		ldq	r27, for_trim				# r27, 56(gp)
6B5B4000     0484		jsr	r26, for_trim				# r26, (r27)
27BA0001     0488		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     048C		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
B3EF00C0     0490		stl	r31, var$0001				# r31, 192(r15)
A44F0060     0494		ldq	r2, 96(r15)
A0420000     0498		ldl	r2, (r2)
A47D8018     049C		ldq	r3, 8(gp)
20630008     04A0		lda	r3, 8(r3)
47E00404     04A4		mov	r0, r4
41E00525     04A8		subq	r15, r0, r5
44A1F105     04AC		bic	r5, 15, r5
230FF000     04B0		lda	r24, -4096(r15)
A7850000     04B4		ldq	r28, (r5)
430507BC     04B8		cmpule	r24, r5, r28
F7800004     04BC		bne	r28, L$37
	     04C0	L$36:
A7980000     04C0		ldq	r28, (r24)
2318E020     04C4		lda	r24, -8160(r24)
430507BC     04C8		cmpule	r24, r5, r28
E79FFFFC     04CC		beq	r28, L$36
	     04D0	L$37:
47E5041E     04D0		mov	r5, sp
22050000     04D4		lda	r16, (r5)
47E00411     04D8		mov	r0, r17
224F0120     04DC		lda	r18, var$0022				# r18, 288(r15)
A77D8058     04E0		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     04E4		jsr	r26, _OtsMove				# r26, (r27)
43C40521     04E8		subq	sp, r4, r1
4421F101     04EC		bic	r1, 15, r1
231EF000     04F0		lda	r24, -4096(sp)
A7810000     04F4		ldq	r28, (r1)
430107BC     04F8		cmpule	r24, r1, r28

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 12
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

F7800004     04FC		bne	r28, L$41
	     0500	L$40:
A7980000     0500		ldq	r28, (r24)
2318E020     0504		lda	r24, -8160(r24)
430107BC     0508		cmpule	r24, r1, r28
E79FFFFC     050C		beq	r28, L$40
	     0510	L$41:
47E1041E     0510		mov	r1, sp
22010000     0514		lda	r16, (r1)
47E40411     0518		mov	r4, r17
22450000     051C		lda	r18, (r5)
47E00413     0520		mov	r0, r19
A77D8040     0524		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0528		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     052C		mov	32, r18
A77D8050     0530		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     0534		jsr	r26, _OtsFill				# r26, (r27)
20C10000     0538		lda	r6, (r1)
B4CF0108     053C		stq	r6, 264(r15)
B48F0100     0540		stq	r4, 256(r15)
220F00C0     0544		lda	r16, var$0001				# r16, 192(r15)
47E20411     0548		mov	r2, r17
265F0385     054C		ldah	r18, 901(r31)
2252FF00     0550		lda	r18, -256(r18)
47E30413     0554		mov	r3, r19
228F0100     0558		lda	r20, 256(r15)
A6BD8038     055C		ldq	r21, var$0010				# r21, 40(gp)
22B5000C     0560		lda	r21, var$0010				# r21, 12(r21)
A77D8030     0564		ldq	r27, for_write_seq_fmt			# r27, 32(gp)
6B5B4000     0568		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     056C		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     0570		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
47EF041E     0574		mov	r15, sp
A40F0048     0578		ldq	r0, 72(r15)									    # 000081
A0000000     057C		ldl	r0, (r0)
47E0040A     0580		mov	r0, var$0023				# r0, r10
47E03401     0584		mov	1, r1
A45D8060     0588		ldq	r2, I					# r2, 80(gp)
B022FEFC     058C		stl	r1, I					# r1, -260(r2)
EC0000C7     0590		ble	r0, lab$0067
	     0594	lab$0043:
A6690008     0594		ldq	r19, 8(r9)									    # 000082
A4890010     0598		ldq	r4, 16(r9)
A4A90028     059C		ldq	r5, 40(r9)
A4DD8060     05A0		ldq	r6, I					# r6, 80(gp)
A0C6FEFC     05A4		ldl	r6, I					# r6, -260(r6)
A4E90028     05A8		ldq	r7, 40(r9)
4CC50405     05AC		mulq	r6, r5, r5
40870524     05B0		subq	r4, r7, r4
40850412     05B4		addq	r4, r5, r18
A61D8060     05B8		ldq	r16, AUX$				# r16, 80(gp)
47FFF411     05BC		mov	255, r17
A77D8040     05C0		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     05C4		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     05C8		mov	32, r18
A77D8050     05CC		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     05D0		jsr	r26, _OtsFill				# r26, (r27)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 13
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

A50F0040     05D4		ldq	r8, 64(r15)									    # 000083
A1080000     05D8		ldl	r8, (r8)
47E8040E     05DC		mov	r8, var$0024				# r8, r14
47E03416     05E0		mov	1, r22
A6FD8060     05E4		ldq	r23, J					# r23, 80(gp)
B2D7FEF8     05E8		stl	r22, J					# r22, -264(r23)
ED000062     05EC		ble	r8, lab$0061
	     05F0	lab$0047:
A70C0010     05F0		ldq	r24, 16(r12)									    # 000085
A72C0028     05F4		ldq	r25, 40(r12)
A43D8060     05F8		ldq	r1, I					# r1, 80(gp)
A021FEFC     05FC		ldl	r1, I					# r1, -260(r1)
A44C0040     0600		ldq	r2, 64(r12)
A41D8060     0604		ldq	r0, J					# r0, 80(gp)
A000FEF8     0608		ldl	r0, J					# r0, -264(r0)
A46C0028     060C		ldq	r3, 40(r12)
A4CC0040     0610		ldq	r6, 64(r12)
40660403     0614		addq	r3, r6, r3
4C020400     0618		mulq	r0, r2, r0
4C390401     061C		mulq	r1, r25, r1
40200400     0620		addq	r1, r0, r0
43030523     0624		subq	r24, r3, r3
40600400     0628		addq	r3, r0, r0
88000000     062C		lds	f0, (r0)
A4FD8038     0630		ldq	r7, VAROBS				# r7, 40(gp)
88270044     0634		lds	f1, VAROBS				# f1, 68(r7)
580114E0     0638		cmptle	f0, f1, f0
C400000C     063C		fbeq	f0, lab$0053
A61D8060     0640		ldq	r16, AUX2$				# r16, 80(gp)				    # 000086
2210FF00     0644		lda	r16, AUX2$				# r16, -256(r16)
A65D8010     0648		ldq	r18, (gp)
22520008     064C		lda	r18, 8(r18)
47E13411     0650		mov	9, r17
A77D8058     0654		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     0658		jsr	r26, _OtsMove				# r26, (r27)
47FED411     065C		mov	246, r17
47E41412     0660		mov	32, r18
A77D8050     0664		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     0668		jsr	r26, _OtsFill				# r26, (r27)
C3E00023     066C		br	lab$0056									    # 000085
	     0670	lab$0053:											    # 000089
A48C0010     0670		ldq	r4, 16(r12)
A4AC0028     0674		ldq	r5, 40(r12)
A6BD8060     0678		ldq	r21, I					# r21, 80(gp)
A2B5FEFC     067C		ldl	r21, I					# r21, -260(r21)
A6CC0040     0680		ldq	r22, 64(r12)
A6FD8060     0684		ldq	r23, J					# r23, 80(gp)
A2F7FEF8     0688		ldl	r23, J					# r23, -264(r23)
A50C0028     068C		ldq	r8, 40(r12)
A4CC0040     0690		ldq	r6, 64(r12)
41060406     0694		addq	r8, r6, r6
4EF60416     0698		mulq	r23, r22, r22
4EA50405     069C		mulq	r21, r5, r5
40B60405     06A0		addq	r5, r22, r5
40860524     06A4		subq	r4, r6, r4
40850404     06A8		addq	r4, r5, r4
B3EF00C0     06AC		stl	r31, var$0001				# r31, 192(r15)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 14
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

A65D8010     06B0		ldq	r18, (gp)
47FFF419     06B4		mov	255, r25
B72F0100     06B8		stq	r25, 256(r15)
A71D8060     06BC		ldq	r24, AUX2$				# r24, 80(gp)
2318FF00     06C0		lda	r24, AUX2$				# r24, -256(r24)
B70F0108     06C4		stq	r24, 264(r15)
47E09400     06C8		mov	4, r0
B40F0110     06CC		stq	r0, 272(r15)
B48F0118     06D0		stq	r4, 280(r15)
220F00C0     06D4		lda	r16, var$0001				# r16, 192(r15)
263F0385     06D8		ldah	r17, 901(r31)
2231FF00     06DC		lda	r17, -256(r17)
226F0100     06E0		lda	r19, 256(r15)
A69D8038     06E4		ldq	r20, var$0011				# r20, 40(gp)
22940018     06E8		lda	r20, var$0011				# r20, 24(r20)
A77D8028     06EC		ldq	r27, for_write_int_fmt			# r27, 24(gp)
6B5B4000     06F0		jsr	r26, for_write_int_fmt			# r26, (r27)
27BA0001     06F4		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     06F8		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
	     06FC	lab$0056:											    # 000092
220F0220     06FC		lda	r16, 544(r15)
A65D8060     0700		ldq	r18, AUX$				# r18, 80(gp)
47FFF411     0704		mov	255, r17
A77D8058     0708		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     070C		jsr	r26, _OtsMove				# r26, (r27)
220F0120     0710		lda	r16, var$0027				# r16, 288(r15)
47FFF411     0714		mov	255, r17
224F0220     0718		lda	r18, 544(r15)
47FFF413     071C		mov	255, r19
A77D8048     0720		ldq	r27, for_trim				# r27, 56(gp)
6B5B4000     0724		jsr	r26, for_trim				# r26, (r27)
27BA0001     0728		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     072C		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
A61D8060     0730		ldq	r16, AUX$				# r16, 80(gp)
224F0120     0734		lda	r18, var$0027				# r18, 288(r15)
47E00413     0738		mov	r0, r19
47FFF411     073C		mov	255, r17
A77D8040     0740		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0744		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8060     0748		ldq	r18, AUX2$				# r18, 80(gp)
2252FF00     074C		lda	r18, AUX2$				# r18, -256(r18)
47FFF413     0750		mov	255, r19
A77D8040     0754		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0758		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A43D8060     075C		ldq	r1, J					# r1, 80(gp)				    # 000083
A021FEF8     0760		ldl	r1, J					# r1, -264(r1)
40203001     0764		addl	r1, 1, r1
A45D8060     0768		ldq	r2, J					# r2, 80(gp)
B022FEF8     076C		stl	r1, J					# r1, -264(r2)
41C0352E     0770		subq	var$0024, 1, var$0024			# r14, 1, r14
FDDFFF9E     0774		bgt	var$0024, lab$0047			# r14, lab$0047
	     0778	lab$0061:											    # 000094
220F0220     0778		lda	r16, 544(r15)
A65D8060     077C		ldq	r18, AUX$				# r18, 80(gp)
47FFF411     0780		mov	255, r17
A77D8058     0784		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     0788		jsr	r26, _OtsMove				# r26, (r27)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 15
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

220F0120     078C		lda	r16, var$0029				# r16, 288(r15)
47FFF411     0790		mov	255, r17
224F0220     0794		lda	r18, 544(r15)
47FFF413     0798		mov	255, r19
A77D8048     079C		ldq	r27, for_trim				# r27, 56(gp)
6B5B4000     07A0		jsr	r26, for_trim				# r26, (r27)
27BA0001     07A4		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     07A8		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
B3EF00C0     07AC		stl	r31, var$0001				# r31, 192(r15)
A44F0060     07B0		ldq	r2, 96(r15)
A0420000     07B4		ldl	r2, (r2)
A47D8018     07B8		ldq	r3, 8(gp)
20630008     07BC		lda	r3, 8(r3)
47E00404     07C0		mov	r0, r4
41E00525     07C4		subq	r15, r0, r5
44A1F105     07C8		bic	r5, 15, r5
230FF000     07CC		lda	r24, -4096(r15)
A7850000     07D0		ldq	r28, (r5)
430507BC     07D4		cmpule	r24, r5, r28
F7800004     07D8		bne	r28, L$63
	     07DC	L$62:
A7980000     07DC		ldq	r28, (r24)
2318E020     07E0		lda	r24, -8160(r24)
430507BC     07E4		cmpule	r24, r5, r28
E79FFFFC     07E8		beq	r28, L$62
	     07EC	L$63:
47E5041E     07EC		mov	r5, sp
22050000     07F0		lda	r16, (r5)
47E00411     07F4		mov	r0, r17
224F0120     07F8		lda	r18, var$0029				# r18, 288(r15)
A77D8058     07FC		ldq	r27, _OtsMove				# r27, 72(gp)
6B5B4000     0800		jsr	r26, _OtsMove				# r26, (r27)
43C40521     0804		subq	sp, r4, r1
4421F101     0808		bic	r1, 15, r1
231EF000     080C		lda	r24, -4096(sp)
A7810000     0810		ldq	r28, (r1)
430107BC     0814		cmpule	r24, r1, r28
F7800004     0818		bne	r28, L$67
	     081C	L$66:
A7980000     081C		ldq	r28, (r24)
2318E020     0820		lda	r24, -8160(r24)
430107BC     0824		cmpule	r24, r1, r28
E79FFFFC     0828		beq	r28, L$66
	     082C	L$67:
47E1041E     082C		mov	r1, sp
22010000     0830		lda	r16, (r1)
47E40411     0834		mov	r4, r17
22450000     0838		lda	r18, (r5)
47E00413     083C		mov	r0, r19
A77D8040     0840		ldq	r27, _OtsMoveMinimum			# r27, 48(gp)
6B5B4000     0844		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0848		mov	32, r18
A77D8050     084C		ldq	r27, _OtsFill				# r27, 64(gp)
6B5B4000     0850		jsr	r26, _OtsFill				# r26, (r27)
20C10000     0854		lda	r6, (r1)
B4CF0108     0858		stq	r6, 264(r15)
B48F0100     085C		stq	r4, 256(r15)

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 16
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

220F00C0     0860		lda	r16, var$0001				# r16, 192(r15)
47E20411     0864		mov	r2, r17
265F0385     0868		ldah	r18, 901(r31)
2252FF00     086C		lda	r18, -256(r18)
47E30413     0870		mov	r3, r19
228F0100     0874		lda	r20, 256(r15)
A6BD8038     0878		ldq	r21, var$0012				# r21, 40(gp)
22B50038     087C		lda	r21, var$0012				# r21, 56(r21)
A77D8030     0880		ldq	r27, for_write_seq_fmt			# r27, 32(gp)
6B5B4000     0884		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0888		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     088C		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
47EF041E     0890		mov	r15, sp
A41D8060     0894		ldq	r0, I					# r0, 80(gp)				    # 000081
A000FEFC     0898		ldl	r0, I					# r0, -260(r0)
40003000     089C		addl	r0, 1, r0
A43D8060     08A0		ldq	r1, I					# r1, 80(gp)
B001FEFC     08A4		stl	r0, I					# r0, -260(r1)
4140352A     08A8		subq	var$0023, 1, var$0023			# r10, 1, r10
FD5FFF39     08AC		bgt	var$0023, lab$0043			# r10, lab$0043
	     08B0	lab$0067:											    # 000100
B3EF00C0     08B0		stl	r31, var$0001				# r31, 192(r15)
A46F0060     08B4		ldq	r3, 96(r15)
A2230000     08B8		ldl	r17, (r3)
A67D8018     08BC		ldq	r19, 8(gp)
220F00C0     08C0		lda	r16, var$0001				# r16, 192(r15)
265F0385     08C4		ldah	r18, 901(r31)
2252FF00     08C8		lda	r18, -256(r18)
47FF0414     08CC		clr	r20
A77D8020     08D0		ldq	r27, for_close				# r27, 16(gp)
6B5B4000     08D4		jsr	r26, for_close				# r26, (r27)
27BA0001     08D8		ldah	gp, $mgempak$save_mgempak_		# gp, (r26)
23BD8A70     08DC		lda	gp, $mgempak$save_mgempak_		# gp, (gp)
E5200008     08E0		beq	r9, lab$0071									    # 000101
A4090030     08E4		ldq	r0, 48(r9)
A4290038     08E8		ldq	r1, 56(r9)
40010520     08EC		subq	r0, r1, r0
A44F00A0     08F0		ldq	r2, var$0007				# r2, 160(r15)
40020400     08F4		addq	r0, r2, r0
B4090030     08F8		stq	r0, 48(r9)
A48F00A0     08FC		ldq	r4, var$0007				# r4, 160(r15)
B4890038     0900		stq	r4, 56(r9)
	     0904	lab$0071:
E5600008     0904		beq	r11, lab$0073
A4CB0030     0908		ldq	r6, 48(r11)
A4EB0038     090C		ldq	r7, 56(r11)
40C70526     0910		subq	r6, r7, r6
A50F00A8     0914		ldq	r8, var$0005				# r8, 168(r15)
40C80406     0918		addq	r6, r8, r6
B4CB0030     091C		stq	r6, 48(r11)
A62F00A8     0920		ldq	r17, var$0005				# r17, 168(r15)
B62B0038     0924		stq	r17, 56(r11)
	     0928	lab$0073:
E5800010     0928		beq	r12, lab$0075
A66C0030     092C		ldq	r19, 48(r12)
A68C0038     0930		ldq	r20, 56(r12)
42740533     0934		subq	r19, r20, r19

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 17
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

A6AF00B8     0938		ldq	r21, var$0002				# r21, 184(r15)
42750413     093C		addq	r19, r21, r19
B66C0030     0940		stq	r19, 48(r12)
A6EF00B8     0944		ldq	r23, var$0002				# r23, 184(r15)
B6EC0038     0948		stq	r23, 56(r12)
A72C0048     094C		ldq	r25, 72(r12)
A74C0050     0950		ldq	r26, 80(r12)
433A0539     0954		subq	r25, r26, r25
A76F00B0     0958		ldq	r27, var$0003				# r27, 176(r15)
433B0419     095C		addq	r25, r27, r25
B72C0048     0960		stq	r25, 72(r12)
A44F00B0     0964		ldq	r2, var$0003				# r2, 176(r15)
B44C0050     0968		stq	r2, 80(r12)
	     096C	lab$0075:
47EF041E     096C		mov	r15, sp
A74F0000     0970		ldq	r26, (r15)
A52F0008     0974		ldq	r9, 8(r15)
A54F0010     0978		ldq	r10, 16(r15)
A56F0018     097C		ldq	r11, 24(r15)
A58F0020     0980		ldq	r12, 32(r15)
A5AF0028     0984		ldq	r13, 40(r15)
A5CF0030     0988		ldq	r14, 48(r15)
A5FE0038     098C		ldq	r15, 56(sp)
23DE0320     0990		lda	sp, 800(sp)
6BFA8001     0994		ret	(r26)
				.end 	$mgempak$save_mgempak_

Routine Size: 2456 bytes,    Routine Base: $CODE$ + 0000

				.data
				.lcomm	J 4
				.lcomm	I 4
				.lcomm	AUX2$ 255
				.lcomm	AUX$ 255
				.data
			$$1:
00000036     0000		.long	0x00000036
00010048     0004		.long	0x00010048
00000037     0008		.long	0x00000037
00000036     000C		.long	0x00000036
00010048     0010		.long	0x00010048
00000037     0014		.long	0x00000037
00000036     0018		.long	0x00000036
0000000E     001C		.long	0x0000000E
00000001     0020		.long	0x00000001
00000001     0024		.long	0x00000001
02000021     0028		.long	0x02000021
00000001     002C		.long	0x00000001
00000008     0030		.long	0x00000008
00000037     0034		.long	0x00000037
00000036     0038		.long	0x00000036
00010048     003C		.long	0x00010048
00000037     0040		.long	0x00000037
			VAROBS:
CDA2385B     0044		.byte	0x5B
				.byte	0x38
				.byte	0xA2

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 18
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

				.byte	0xCD
				.rdata
			$$2:
00000000     0000		.quad	.literal
00000000     0008		.quad	.lit4
00000000     0010		.quad	for_close
00000000     0018		.quad	for_write_int_fmt
00000000     0020		.quad	for_write_seq_fmt
00000000     0028		.quad	$DATA$
00000000     0030		.quad	_OtsMoveMinimum
00000000     0038		.quad	for_trim
00000000     0040		.quad	_OtsFill
00000000     0048		.quad	_OtsMove
00000108     0050		.quad	$BSS$+264
00000000     0058		.quad	for_open
				.rconst
			$$3:
00000001     0000		.long	0x00000001 #  .ascii "\X01\X00\X00\X00"

00010438     0008		.long	0x00010438 #  .ascii "8\X04\X01\X00"

				.rconst
			$$4:
051A0438     0000		.ascii	"8\X04\X1A\X05\X01\X00"
    0001     0004

39393920     0008		.ascii	" 99999.99"
392E3939     000C
      39     0010

20202020     0018		.ascii	"     "
      20     001C

59595959     0020		.ascii	"YYYYMMDD/HHMM"
44444D4D     0024
4D48482F     0028
      4D     002C

      3B     0030		.ascii	";"

4D524150     0038		.ascii	"PARM="
      3D     003C

000D0438     0040		.ascii	"8\X04\X0D\X008\X04\X1A\X00\X01\X00\X00\X00"
001A0438     0044
00000001     0048

6E6B6E75     0050		.ascii	"unknown"
  6E776F     0054

				.data
			$$5:
	     0000		; Procedure descriptor for $mgempak$save_mgempak_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xFE
				; fmask                : 0x00

SAVE_MGEMPAK                    Machine Code Listing             2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 19
                                $mgempak$save_mgempak_           1-Sep-2004 09:55:46  mgempak.f90

				; frame_size           : 100
				; sp_set               : 2
				; entry_length         : 12
				.data
			$$6:
	     0000		; Code range descriptor for $mgempak$save_mgempak_
				beginaddress	    :     0000
				rpd_offset	    :     0000
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock
       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66
  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2
       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase
       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude
       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only

SAVE_MGEMPAK                    Source Listing                   2-Sep-2004 10:35:12  Compaq Fortran V5.3-915           Page 20
                                                                 1-Sep-2004 09:55:46  mgempak.f90

  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity
  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : mgempak.l
       -o    filename : mgempak.o

COMPILER: Compaq Fortran V5.3-915-449BB

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
