SAVEBIN                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 1
                                                                 5-Aug-2004 11:10:59  mgrads.f90

	      1 
	      2 
	      3 !** 
	      4 !   MODULE MGRADS
	      5 !
	      6 !   MODULO PARA GRAVACAO DE DADOS NO FORMATO DO GRAADS 
	      7 !   NO GRADS
	      8 !
	      9 !   
	     10 !   ROTINAS PUBLICAS
	     11 !
	     12 !     GRAVA_GRADS - grava uma linha de dados binarios do grads
	     13 !     GRAVA_GRADSCTL - grava o aquivo descritor (ctl) de um aquivo do grads
	     14 !
	     15 !   ROTINAS  PRIVATIVAS 
	     16 !      
	     17 ! *   
	     18 
	     19 
	     20 
	     21 MODULE MGRADS
	     22 
	     23 
	     24 
	     25  USE DATELIB
	     26  USE stringflib 
	     27 
	     28  implicit none
	     29 
	     30 type stidtype
	     31    character(len=8):: cod
	     32    real::lat
	     33    real::lon
	     34 end type  
	     35 
	     36  
	     37  
	     38  PUBLIC SAVECTL
	     39 
	     40  
	     41  CONTAINS
	     42  
	     43 !_____________________________________________________ 
	     44  SUBROUTINE SAVECTL(un,filename,cdate,codes,desc,nvars)
	     45       integer,intent(in):: un
	     46       character(len=*),intent(in)::filename
	     47       real*8,intent(in):: cdate
	     48       character(len=*),dimension(:),intent(in)::codes ! Codigo das variaveis
	     49       character(len=*),dimension(:),intent(in)::desc  ! Descricao das variaveis
	     50       integer,intent(in)::nvars                       ! Numero das Variaveis
	     51 
	     52  
	     53  !{ Variaveis locais 
	     54 	Character(len=255)::ctlname,filename2
	     55 	integer ::i,uni
	     56         character(len=255)::gradsdate
	     57 	character(len=50),dimension(50)::substring

SAVECTL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 2
                                                                 5-Aug-2004 11:10:59  mgrads.f90

	     58 	integer ::nelements
	     59 !}
	     60 
	     61 !{ Iniciar variaveis Locais
	     62 	uni=un
	     63 	i=0
	     64         ctlname=trim(filename)//'.ctl'
	     65 !}	
	     66 
	     67 !{ Cortar os diretorios do nome do arquivo
	     68        call sep_substrings(filename,'/',substring,nelements)
	     69        filename2=substring(nelements)
	     70 !} 
	     71 
	     72 !{ Gravar arquivo descritor (CTL)
	     73 	open(uni,file=ctlname,status='unknown')
	     74        
	     75 	write(uni,1001)trim(filename2)    
	     76    1001 format('DSET ^',a,'.bin')
	     77           
	     78 	    write(uni,1002)    
	     79    1002 format('DTYPE station')
	     80    
	     81         write(uni,1003)trim(filename2)    
	     82    1003 format('STNMAP ^',a,'.map')
	     83     
	     84         write(uni,1004) null
	     85    1004 format('UNDEF ',f12.1)
	     86    
	     87         write(uni,1005)
	     88    1005 format('TITLE INPE-CPTEC')
	     89 
	     90         gradsdate=grdate(cdate)
	     91         write(uni,1006) trim(gradsdate)
	     92    1006 format('TDEF 1 linear ',a,' 3hr')
	     93    
	     94         write(uni,1007)nvars
	     95    1007 format('VARS ',i3)
	     96 
	     97         do i=1,nvars
	     98           write(uni,'(a4,a5,1x,a30)')codes(i)," 0 99 ",desc(i)
	     99         end do
	    100 
	    101         write(uni,'(a)')"ENDVARS"
	    102 !}
	    103    close(uni)
	    104  
	    105  end subroutine  SAVECTL

SAVECTL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 3
                                                                 5-Aug-2004 11:10:59  mgrads.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 3608 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 292 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $CODE$                                6212   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  4 .lita                                  144   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .literal                               215   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .xdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  8 .pdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                10595

ENTRY POINTS
 Address      Name            
                              
  3-00000000  $mgrads$savectl_

VARIABLES
 Address      Type  Name       Address      Type  Name       Address      Type  Name       Address      Type  Name     
                                                                                                                       
      **      R*8   CDATE       1-00000AD8  CHAR  FILENAME2   1-00000000  I*4   NELEMENTS   1-00000004  I*4   UNI      
  1-00000BD8  CHAR  CTLNAME     1-000009D8  CHAR  GRADSDATE       **      I*4   NVARS                                  
      **      CHAR  FILENAME    1-00000008  I*4   I               **      I*4   UN                                     

ARRAYS
 Address      Type  Name             Bytes  Dimensions
      **      CHAR  CODES               64  (:)
      **      CHAR  DESC                64  (:)
  1-00000010  CHAR  SUBSTRING         2500  (50)

SAVECTL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 4
                                                                 5-Aug-2004 11:10:59  mgrads.f90

	    106 
	    107 
	    108 !______________________________________________________
	    109 SUBROUTINE SAVEBIN(un,filename,obs,nobs,STID,nvars)
	    110  
	    111 	    
	    112 	
	    113 ! SAVEBIN : Grava arquivos Binários do Grads		
	    114 	
	    115 	
	    116 	integer,intent(in)::un
	    117         character(len=*),intent(in)::filename
	    118         type(stidtype),dimension(:),intent(inout)::STID  
	    119         real,dimension(:,:),intent(INOUT)::obs
	    120         integer,intent(in)::nobs
	    121         integer,intent(in)::nvars
	    122         integer ::irec
	    123 
	    124 !{ Variaveis Locais
	    125 
	    126 
	    127 	Integer:: NFLAG,NLEV,i,uni,j,ub
	    128 	REAL::TIM,rlat,rlon
	    129 	character(len=255)::outfile
	    130         character(len=8)::C
	    131         character(len=4)::C1,C2
	    132 !}
	    133 
	    134 
	    135 !{ Iniciando Variaveis Locais 
	    136 	NFLAG = 1
	    137 	NLEV = 1
	    138 	TIM=0.0
	    139         uni=un
	    140         outfile=trim(filename)//".bin"
	    141 !}      
	    142   
	    143 !{ Verificar se o tamanho da matriz/ nobs esta correto
	    144       ub=ubound(obs,1)
	    145       if (ub<nobs) then 
	    146         Print *,"Erro em mgrads:"
	    147         print *," nobs ou obs com tamanho incorretos"
	    148         print *," nobs =",nobs
	    149         print *," tamanho(nobs)=",ub
	    150         stop
	    151       end if
	    152 
	    153 !}
	    154 !{ Grava arquivo Binário  
	    155 
	    156   
	    157        open(uni,file=outfile,STATUS='unknown',FORM='UNFORMATTED',access='DIRECT',recl=4) 
	    158         irec=0
	    159         print *,nobs
	    160         Do i=1,nobs
	    161           C=STID(i)%COD
	    162           C1=C(1:4)

SAVEBIN                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 5
                                                                 5-Aug-2004 11:10:59  mgrads.f90

	    163           C2=C(5:8)
	    164           irec=irec+1;WRITE (uni,rec=irec)C1
	    165           irec=irec+1;WRITE (uni,rec=irec)C2
	    166           irec=irec+1;WRITE (uni,rec=irec)STID(i)%Lat
	    167           irec=irec+1;WRITE (uni,rec=irec)STID(i)%LON
	    168           irec=irec+1;WRITE (uni,rec=irec)TIM
	    169 	  irec=irec+1;WRITE (uni,rec=irec)NLEV
	    170           irec=irec+1;WRITE (uni,rec=irec)NFLAG
	    171 	  DO J=1,NVARS
	    172             irec=irec+1
	    173             WRITE (uni,rec=irec) OBS(I,J)
	    174           END DO
	    175          End do	
	    176 
	    177 	rlat=0.0
	    178 	rlon=0.0
	    179 	TIM=0.0
	    180 	NLEV=0
	    181 	NFLAG=1
	    182 	irec=irec+1;WRITE (uni,rec=irec) C1
	    183         irec=irec+1;WRITE (uni,rec=irec) C2
	    184         irec=irec+1;WRITE (uni,rec=irec) rLat
	    185         irec=irec+1;WRITE (uni,rec=irec) rLon
	    186         irec=irec+1;WRITE (uni,rec=irec) TIM
	    187         irec=irec+1;WRITE (uni,rec=irec) NLEV
	    188         irec=irec+1;WRITE (uni,rec=irec) NFLAG
	    189         close(uni)
	    190         print *,trim(outfile)," ",irec*4," Bytes Gravados"
	    191 
	    192 !}
	    193 	
	    194 END SUBROUTINE SAVEBIN

SAVEBIN                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 6
                                                                 5-Aug-2004 11:10:59  mgrads.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 3608 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 292 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $CODE$                                6212   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  4 .lita                                  144   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .literal                               215   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .xdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  8 .pdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                10595

ENTRY POINTS
 Address      Name            
                              
  3-00000A04  $mgrads$savebin_


VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
  1-00000CE8  CHAR  C          1-00000D0C  I*4   IREC           **      I*4   NVARS      1-00000CFC  I*4   UB      
  1-00000CE0  CHAR  C1         1-00000D00  I*4   J          1-00000D18  CHAR  OUTFILE        **      I*4   UN      
  1-00000CD8  CHAR  C2         1-00000D08  I*4   NFLAG      1-00000CF4  R*4   RLAT       1-00000D10  I*4   UNI     
      **      CHAR  FILENAME   1-00000D04  I*4   NLEV       1-00000CF0  R*4   RLON                                 
  1-00000D14  I*4   I              **      I*4   NOBS       1-00000CF8  R*4   TIM                                  


ARRAYS

 Address      Type  Name        Bytes  Dimensions
      **      R*4   OBS            88  (:, :)

TYPE/RECORD ARRAYS
 Address      Name   Structure        Bytes  Dimensions
      **      STID   STIDTYPE            64  (:)

SAVEBIN                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 7
                                                                 5-Aug-2004 11:10:59  mgrads.f90

	    195 
	    196 
	    197  
	    198  
	    199 END MODULE


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 3608 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 292 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $CODE$                                6212   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  4 .lita                                  144   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .literal                               215   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .xdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  8 .pdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                10595

FUNCTIONS AND SUBROUTINES REFERENCED
  Type  Name                                Type  Name                             
                                                                                   
         $datelib$grdate_                          $mgrads$savectl_                
         $mgrads$savebin_                          $stringflib$sep_substrings_     

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 8
                                                                 5-Aug-2004 11:10:59  mgrads.f90

				.text
				.globl  $mgrads$savectl_
				.ent 	$mgrads$savectl_
				.eflag 16
	     0000	$mgrads$savectl_:										    # 000044
27BB0001     0000		ldah	gp, $mgrads$savectl_			# gp, (r27)
23BD9AD0     0004		lda	gp, $mgrads$savectl_			# gp, (gp)
	     0008	L$1:
23DEFCC0     0008		lda	sp, -832(sp)
B75E0000     000C		stq	r26, (sp)
B53E0008     0010		stq	r9, 8(sp)
B55E0010     0014		stq	r10, 16(sp)
B57E0018     0018		stq	r11, 24(sp)
B59E0020     001C		stq	r12, 32(sp)
B5FE0028     0020		stq	r15, 40(sp)
47FE040F     0024		mov	sp, r15
				.mask 0x04009E00,-832
				.fmask 0x00000000,0
				.frame  $fp, 832, $26
				.prologue 1
B60F0048     0028		stq	r16, 72(r15)
B62F0040     002C		stq	r17, 64(r15)
B64F0038     0030		stq	r18, 56(r15)
47F3040A     0034		mov	r19, r10
47F40409     0038		mov	r20, r9
B6AF0030     003C		stq	r21, 48(r15)
A56F0340     0040		ldq	r11, FILENAME.len			# r11, 832(r15)
E5400008     0044		beq	r10, lab$0002
A62A0038     0048		ldq	r17, 56(r10)
A64A0030     004C		ldq	r18, 48(r10)
42510532     0050		subq	r18, r17, r18
42403412     0054		addq	r18, 1, r18
B64A0030     0058		stq	r18, 48(r10)
47E03414     005C		mov	1, r20
B68A0038     0060		stq	r20, 56(r10)
B62F00B0     0064		stq	r17, var$0002				# r17, 176(r15)
	     0068	lab$0002:
E5200008     0068		beq	r9, lab$0004
A4090038     006C		ldq	r0, 56(r9)
A6090030     0070		ldq	r16, 48(r9)
42000530     0074		subq	r16, r0, r16
42003410     0078		addq	r16, 1, r16
B6090030     007C		stq	r16, 48(r9)
47E03413     0080		mov	1, r19
B6690038     0084		stq	r19, 56(r9)
B40F00A8     0088		stq	r0, var$0004				# r0, 168(r15)
	     008C	lab$0004:
A6AF0048     008C		ldq	r21, 72(r15)									    # 000062
A2B50000     0090		ldl	r21, (r21)
A63D8078     0094		ldq	r17, UNI				# r17, 104(gp)
B2B10000     0098		stl	r21, UNI				# r21, (r17)
A61D8078     009C		ldq	r16, I					# r16, 104(gp)				    # 000063
B3F00004     00A0		stl	r31, I					# r31, 4(r16)
47FE0400     00A4		mov	sp, r0										    # 000064
41EB0532     00A8		subq	r15, r11, r18
4641F112     00AC		bic	r18, 15, r18
230FF000     00B0		lda	r24, -4096(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 9
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

A7920000     00B4		ldq	r28, (r18)
431207BC     00B8		cmpule	r24, r18, r28
F7800004     00BC		bne	r28, L$3
	     00C0	L$2:
A7980000     00C0		ldq	r28, (r24)
2318E020     00C4		lda	r24, -8160(r24)
431207BC     00C8		cmpule	r24, r18, r28
E79FFFFC     00CC		beq	r28, L$2
	     00D0	L$3:
47F2041E     00D0		mov	r18, sp
B7CF00F8     00D4		stq	sp, 248(r15)
47FE0400     00D8		mov	sp, r0
47EB0415     00DC		mov	r11, r21
43CB0521     00E0		subq	sp, r11, r1
4421F101     00E4		bic	r1, 15, r1
231EF000     00E8		lda	r24, -4096(sp)
A7810000     00EC		ldq	r28, (r1)
430107BC     00F0		cmpule	r24, r1, r28
F7800004     00F4		bne	r28, L$5
	     00F8	L$4:
A7980000     00F8		ldq	r28, (r24)
2318E020     00FC		lda	r24, -8160(r24)
430107BC     0100		cmpule	r24, r1, r28
E79FFFFC     0104		beq	r28, L$4
	     0108	L$5:
47E1041E     0108		mov	r1, sp
22010000     010C		lda	r16, (r1)
47EB0411     0110		mov	r11, r17
A64F0040     0114		ldq	r18, 64(r15)
A77D8070     0118		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     011C		jsr	r26, _OtsMove				# r26, (r27)
47F50402     0120		mov	r21, r2
43C20523     0124		subq	sp, r2, r3
4461F103     0128		bic	r3, 15, r3
231EF000     012C		lda	r24, -4096(sp)
A7830000     0130		ldq	r28, (r3)
430307BC     0134		cmpule	r24, r3, r28
F7800004     0138		bne	r28, L$9
	     013C	L$8:
A7980000     013C		ldq	r28, (r24)
2318E020     0140		lda	r24, -8160(r24)
430307BC     0144		cmpule	r24, r3, r28
E79FFFFC     0148		beq	r28, L$8
	     014C	L$9:
47E3041E     014C		mov	r3, sp
22030000     0150		lda	r16, (r3)
47E20411     0154		mov	r2, r17
22410000     0158		lda	r18, (r1)
47EB0413     015C		mov	r11, r19
A77D8068     0160		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0164		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0168		mov	32, r18
A77D8060     016C		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     0170		jsr	r26, _OtsFill				# r26, (r27)
A60F00F8     0174		ldq	r16, 248(r15)
47EB0411     0178		mov	r11, r17
22430000     017C		lda	r18, (r3)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 10
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

47E20413     0180		mov	r2, r19
A77D8058     0184		ldq	r27, for_trim				# r27, 72(gp)
6B5B4000     0188		jsr	r26, for_trim				# r26, (r27)
27BA0001     018C		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0190		lda	gp, $mgrads$savectl_			# gp, (gp)
A61D8078     0194		ldq	r16, CTLNAME				# r16, 104(gp)
22100BD4     0198		lda	r16, CTLNAME				# r16, 3028(r16)
A64F00F8     019C		ldq	r18, 248(r15)
47E00413     01A0		mov	r0, r19
47FFF411     01A4		mov	255, r17
A77D8068     01A8		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     01AC		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8018     01B0		ldq	r18, 8(gp)
22520038     01B4		lda	r18, 56(r18)
47E09413     01B8		mov	4, r19
A77D8068     01BC		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     01C0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     01C4		mov	32, r18
A77D8060     01C8		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     01CC		jsr	r26, _OtsFill				# r26, (r27)
47EF041E     01D0		mov	r15, sp										    # 000068
A63D8010     01D4		ldq	r17, (gp)
22310030     01D8		lda	r17, 48(r17)
A44F00F8     01DC		ldq	r2, var$0022				# r2, 248(r15)
48405602     01E0		zap	r2, 2, r2
B44F00F8     01E4		stq	r2, var$0022				# r2, 248(r15)
47E1D401     01E8		mov	14, r1
A48F00F8     01EC		ldq	r4, var$0022				# r4, 248(r15)
48809604     01F0		zap	r4, 4, r4
48205161     01F4		insbl	r1, 2, r1
44810404     01F8		bis	r4, r1, r4
B48F00F8     01FC		stq	r4, var$0022				# r4, 248(r15)
47E15401     0200		mov	10, r1
A4CF00F8     0204		ldq	r6, var$0022				# r6, 248(r15)
48C11606     0208		zap	r6, 8, r6
48207161     020C		insbl	r1, 3, r1
44C10406     0210		bis	r6, r1, r6
B4CF00F8     0214		stq	r6, var$0022				# r6, 248(r15)
47E65401     0218		mov	50, r1
B42F0100     021C		stq	r1, 256(r15)
A6CF00F8     0220		ldq	r22, var$0022				# r22, 248(r15)
46DFF116     0224		bic	r22, 255, r22
46C03416     0228		bis	r22, 1, r22
B6CF00F8     022C		stq	r22, var$0022				# r22, 248(r15)
47E65408     0230		mov	50, r8
B50F0120     0234		stq	r8, 288(r15)
47E03418     0238		mov	1, r24
B70F0130     023C		stq	r24, 304(r15)
47E65400     0240		mov	50, r0
B40F0128     0244		stq	r0, 296(r15)
A61D8078     0248		ldq	r16, SUBSTRING				# r16, 104(gp)
2210000C     024C		lda	r16, SUBSTRING				# r16, 12(r16)
B60F0108     0250		stq	r16, 264(r15)
A67D8078     0254		ldq	r19, SUBSTRING				# r19, 104(gp)
2273FFDA     0258		lda	r19, SUBSTRING				# r19, -38(r19)
B66F0118     025C		stq	r19, 280(r15)
234F00F9     0260		lda	r26, 249(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 11
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

2F7A0000     0264		ldq_u	r27, (r26)
4B7A00C2     0268		extbl	r27, r26, r2
4B7A005B     026C		mskbl	r27, r26, r27
44403402     0270		bis	r2, 1, r2
485A0162     0274		insbl	r2, r26, r2
4762041B     0278		bis	r27, r2, r27
3F7A0000     027C		stq_u	r27, (r26)
A60F0040     0280		ldq	r16, 64(r15)
224F00F8     0284		lda	r18, var$0022				# r18, 248(r15)
A67D8078     0288		ldq	r19, NELEMENTS				# r19, 104(gp)
2273FFFC     028C		lda	r19, NELEMENTS				# r19, -4(r19)
47EB0414     0290		mov	r11, r20
47E03415     0294		mov	1, r21
A77D8050     0298		ldq	r27, $stringflib$sep_substrings_	# r27, 64(gp)
6B5B4000     029C		jsr	r26, $stringflib$sep_substrings_	# r26, (r27)
27BA0001     02A0		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     02A4		lda	gp, $mgrads$savectl_			# gp, (gp)
A41D8078     02A8		ldq	r0, NELEMENTS				# r0, 104(gp)				    # 000069
A000FFFC     02AC		ldl	r0, NELEMENTS				# r0, -4(r0)
4C065412     02B0		mulq	r0, 50, r18
A61D8078     02B4		ldq	r16, FILENAME2				# r16, 104(gp)
22100AD4     02B8		lda	r16, FILENAME2				# r16, 2772(r16)
A79D8078     02BC		ldq	r28, SUBSTRING				# r28, 104(gp)
43920412     02C0		addq	SUBSTRING, r18, r18			# r28, r18, r18
2252FFDA     02C4		lda	r18, -38(r18)
47E65411     02C8		mov	50, r17
A77D8070     02CC		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     02D0		jsr	r26, _OtsMove				# r26, (r27)
47F9B411     02D4		mov	205, r17
47E41412     02D8		mov	32, r18
A77D8060     02DC		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     02E0		jsr	r26, _OtsFill				# r26, (r27)
A43D8010     02E4		ldq	r1, (gp)									    # 000073
20210028     02E8		lda	r1, 40(r1)
B3EF00B8     02EC		stl	r31, var$0001				# r31, 184(r15)
A47D8078     02F0		ldq	r3, UNI					# r3, 104(gp)
A2230000     02F4		ldl	r17, UNI				# r17, (r3)
A67D8010     02F8		ldq	r19, (gp)
22730018     02FC		lda	r19, 24(r19)
47FFF404     0300		mov	255, r4
B48F0100     0304		stq	r4, 256(r15)
A4DD8078     0308		ldq	r6, CTLNAME				# r6, 104(gp)
20C60BD4     030C		lda	r6, CTLNAME				# r6, 3028(r6)
B4CF0108     0310		stq	r6, 264(r15)
47E0F408     0314		mov	7, r8
B50F0110     0318		stq	r8, 272(r15)
B42F0118     031C		stq	r1, 280(r15)
220F00B8     0320		lda	r16, var$0001				# r16, 184(r15)
265F0385     0324		ldah	r18, 901(r31)
2252FF00     0328		lda	r18, -256(r18)
228F0100     032C		lda	r20, 256(r15)
A77D8048     0330		ldq	r27, for_open				# r27, 56(gp)
6B5B4000     0334		jsr	r26, for_open				# r26, (r27)
27BA0001     0338		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     033C		lda	gp, $mgrads$savectl_			# gp, (gp)
220F0238     0340		lda	r16, 568(r15)									    # 000075
A65D8078     0344		ldq	r18, FILENAME2				# r18, 104(gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 12
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

22520AD4     0348		lda	r18, FILENAME2				# r18, 2772(r18)
47FFF411     034C		mov	255, r17
A77D8070     0350		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     0354		jsr	r26, _OtsMove				# r26, (r27)
220F0138     0358		lda	r16, var$0025				# r16, 312(r15)
47FFF411     035C		mov	255, r17
224F0238     0360		lda	r18, 568(r15)
47FFF413     0364		mov	255, r19
A77D8058     0368		ldq	r27, for_trim				# r27, 72(gp)
6B5B4000     036C		jsr	r26, for_trim				# r26, (r27)
27BA0001     0370		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0374		lda	gp, $mgrads$savectl_			# gp, (gp)
B3EF00B8     0378		stl	r31, var$0001				# r31, 184(r15)
A45D8078     037C		ldq	r2, UNI					# r2, 104(gp)
A0420000     0380		ldl	r2, UNI					# r2, (r2)
A47D8018     0384		ldq	r3, 8(gp)
20630030     0388		lda	r3, 48(r3)
47E00404     038C		mov	r0, r4
41E00525     0390		subq	r15, r0, r5
44A1F105     0394		bic	r5, 15, r5
230FF000     0398		lda	r24, -4096(r15)
A7850000     039C		ldq	r28, (r5)
430507BC     03A0		cmpule	r24, r5, r28
F7800004     03A4		bne	r28, L$19
	     03A8	L$18:
A7980000     03A8		ldq	r28, (r24)
2318E020     03AC		lda	r24, -8160(r24)
430507BC     03B0		cmpule	r24, r5, r28
E79FFFFC     03B4		beq	r28, L$18
	     03B8	L$19:
47E5041E     03B8		mov	r5, sp
22050000     03BC		lda	r16, (r5)
47E00411     03C0		mov	r0, r17
224F0138     03C4		lda	r18, var$0025				# r18, 312(r15)
A77D8070     03C8		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     03CC		jsr	r26, _OtsMove				# r26, (r27)
43C40521     03D0		subq	sp, r4, r1
4421F101     03D4		bic	r1, 15, r1
231EF000     03D8		lda	r24, -4096(sp)
A7810000     03DC		ldq	r28, (r1)
430107BC     03E0		cmpule	r24, r1, r28
F7800004     03E4		bne	r28, L$23
	     03E8	L$22:
A7980000     03E8		ldq	r28, (r24)
2318E020     03EC		lda	r24, -8160(r24)
430107BC     03F0		cmpule	r24, r1, r28
E79FFFFC     03F4		beq	r28, L$22
	     03F8	L$23:
47E1041E     03F8		mov	r1, sp
22010000     03FC		lda	r16, (r1)
47E40411     0400		mov	r4, r17
22450000     0404		lda	r18, (r5)
47E00413     0408		mov	r0, r19
A77D8068     040C		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0410		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0414		mov	32, r18
A77D8060     0418		ldq	r27, _OtsFill				# r27, 80(gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 13
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

6B5B4000     041C		jsr	r26, _OtsFill				# r26, (r27)
20C10000     0420		lda	r6, (r1)
B4CF0108     0424		stq	r6, 264(r15)
B48F0100     0428		stq	r4, 256(r15)
220F00B8     042C		lda	r16, var$0001				# r16, 184(r15)
47E20411     0430		mov	r2, r17
265F0385     0434		ldah	r18, 901(r31)
2252FF00     0438		lda	r18, -256(r18)
47E30413     043C		mov	r3, r19
228F0100     0440		lda	r20, 256(r15)
A6BD8040     0444		ldq	r21, var$0012				# r21, 48(gp)
A77D8038     0448		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     044C		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0450		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0454		lda	gp, $mgrads$savectl_			# gp, (gp)
47EF041E     0458		mov	r15, sp										    # 000078
B3EF00B8     045C		stl	r31, var$0001				# r31, 184(r15)
A43D8078     0460		ldq	r1, UNI					# r1, 104(gp)
A2210000     0464		ldl	r17, UNI				# r17, (r1)
A67D8010     0468		ldq	r19, (gp)
22730010     046C		lda	r19, 16(r19)
220F00B8     0470		lda	r16, var$0001				# r16, 184(r15)
265F0385     0474		ldah	r18, 901(r31)
2252FF00     0478		lda	r18, -256(r18)
47FF0414     047C		clr	r20
A6BD8040     0480		ldq	r21, var$0011				# r21, 48(gp)
22B5FFE4     0484		lda	r21, var$0011				# r21, -28(r21)
A77D8038     0488		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     048C		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0490		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0494		lda	gp, $mgrads$savectl_			# gp, (gp)
220F0238     0498		lda	r16, 568(r15)									    # 000081
A65D8078     049C		ldq	r18, FILENAME2				# r18, 104(gp)
22520AD4     04A0		lda	r18, FILENAME2				# r18, 2772(r18)
47FFF411     04A4		mov	255, r17
A77D8070     04A8		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     04AC		jsr	r26, _OtsMove				# r26, (r27)
220F0138     04B0		lda	r16, var$0028				# r16, 312(r15)
47FFF411     04B4		mov	255, r17
224F0238     04B8		lda	r18, 568(r15)
47FFF413     04BC		mov	255, r19
A77D8058     04C0		ldq	r27, for_trim				# r27, 72(gp)
6B5B4000     04C4		jsr	r26, for_trim				# r26, (r27)
27BA0001     04C8		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     04CC		lda	gp, $mgrads$savectl_			# gp, (gp)
B3EF00B8     04D0		stl	r31, var$0001				# r31, 184(r15)
A45D8078     04D4		ldq	r2, UNI					# r2, 104(gp)
A0420000     04D8		ldl	r2, UNI					# r2, (r2)
A47D8018     04DC		ldq	r3, 8(gp)
20630030     04E0		lda	r3, 48(r3)
47E00404     04E4		mov	r0, r4
41E00525     04E8		subq	r15, r0, r5
44A1F105     04EC		bic	r5, 15, r5
230FF000     04F0		lda	r24, -4096(r15)
A7850000     04F4		ldq	r28, (r5)
430507BC     04F8		cmpule	r24, r5, r28
F7800004     04FC		bne	r28, L$29

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 14
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

	     0500	L$28:
A7980000     0500		ldq	r28, (r24)
2318E020     0504		lda	r24, -8160(r24)
430507BC     0508		cmpule	r24, r5, r28
E79FFFFC     050C		beq	r28, L$28
	     0510	L$29:
47E5041E     0510		mov	r5, sp
22050000     0514		lda	r16, (r5)
47E00411     0518		mov	r0, r17
224F0138     051C		lda	r18, var$0028				# r18, 312(r15)
A77D8070     0520		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     0524		jsr	r26, _OtsMove				# r26, (r27)
43C40521     0528		subq	sp, r4, r1
4421F101     052C		bic	r1, 15, r1
231EF000     0530		lda	r24, -4096(sp)
A7810000     0534		ldq	r28, (r1)
430107BC     0538		cmpule	r24, r1, r28
F7800004     053C		bne	r28, L$33
	     0540	L$32:
A7980000     0540		ldq	r28, (r24)
2318E020     0544		lda	r24, -8160(r24)
430107BC     0548		cmpule	r24, r1, r28
E79FFFFC     054C		beq	r28, L$32
	     0550	L$33:
47E1041E     0550		mov	r1, sp
22010000     0554		lda	r16, (r1)
47E40411     0558		mov	r4, r17
22450000     055C		lda	r18, (r5)
47E00413     0560		mov	r0, r19
A77D8068     0564		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0568		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     056C		mov	32, r18
A77D8060     0570		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     0574		jsr	r26, _OtsFill				# r26, (r27)
20C10000     0578		lda	r6, (r1)
B4CF0108     057C		stq	r6, 264(r15)
B48F0100     0580		stq	r4, 256(r15)
220F00B8     0584		lda	r16, var$0001				# r16, 184(r15)
47E20411     0588		mov	r2, r17
265F0385     058C		ldah	r18, 901(r31)
2252FF00     0590		lda	r18, -256(r18)
47E30413     0594		mov	r3, r19
228F0100     0598		lda	r20, 256(r15)
A6BD8040     059C		ldq	r21, var$0010				# r21, 48(gp)
22B5FFC4     05A0		lda	r21, var$0010				# r21, -60(r21)
A77D8038     05A4		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     05A8		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     05AC		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     05B0		lda	gp, $mgrads$savectl_			# gp, (gp)
47EF041E     05B4		mov	r15, sp										    # 000084
B3EF00B8     05B8		stl	r31, var$0001				# r31, 184(r15)
A43D8078     05BC		ldq	r1, UNI					# r1, 104(gp)
A2210000     05C0		ldl	r17, UNI				# r17, (r1)
A67D8018     05C4		ldq	r19, 8(gp)
22730028     05C8		lda	r19, 40(r19)
A79D8018     05CC		ldq	r28, 8(gp)
881C0024     05D0		lds	f0, 36(r28)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 15
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

980F00F8     05D4		sts	f0, 248(r15)
220F00B8     05D8		lda	r16, var$0001				# r16, 184(r15)
265F0385     05DC		ldah	r18, 901(r31)
2252FF00     05E0		lda	r18, -256(r18)
228F00F8     05E4		lda	r20, 248(r15)
A6BD8040     05E8		ldq	r21, var$0009				# r21, 48(gp)
22B5FFA4     05EC		lda	r21, var$0009				# r21, -92(r21)
A77D8038     05F0		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     05F4		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     05F8		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     05FC		lda	gp, $mgrads$savectl_			# gp, (gp)
B3EF00B8     0600		stl	r31, var$0001				# r31, 184(r15)				    # 000087
A43D8078     0604		ldq	r1, UNI					# r1, 104(gp)
A2210000     0608		ldl	r17, UNI				# r17, (r1)
A67D8010     060C		ldq	r19, (gp)
22730010     0610		lda	r19, 16(r19)
220F00B8     0614		lda	r16, var$0001				# r16, 184(r15)
265F0385     0618		ldah	r18, 901(r31)
2252FF00     061C		lda	r18, -256(r18)
47FF0414     0620		clr	r20
A6BD8040     0624		ldq	r21, var$0008				# r21, 48(gp)
22B5FF88     0628		lda	r21, var$0008				# r21, -120(r21)
A77D8038     062C		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     0630		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0634		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0638		lda	gp, $mgrads$savectl_			# gp, (gp)
220F00F8     063C		lda	r16, var$0031				# r16, 248(r15)				    # 000090
47E27411     0640		mov	19, r17
A64F0038     0644		ldq	r18, 56(r15)
A77D8030     0648		ldq	r27, $datelib$grdate_			# r27, 32(gp)
6B5B4000     064C		jsr	r26, $datelib$grdate_			# r26, (r27)
27BA0001     0650		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0654		lda	gp, $mgrads$savectl_			# gp, (gp)
A61D8078     0658		ldq	r16, GRADSDATE				# r16, 104(gp)
221009D4     065C		lda	r16, GRADSDATE				# r16, 2516(r16)
224F00F8     0660		lda	r18, var$0031				# r18, 248(r15)
47E27411     0664		mov	19, r17
A77D8070     0668		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     066C		jsr	r26, _OtsMove				# r26, (r27)
47FD9411     0670		mov	236, r17
47E41412     0674		mov	32, r18
A77D8060     0678		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     067C		jsr	r26, _OtsFill				# r26, (r27)
220F0238     0680		lda	r16, 568(r15)									    # 000091
A65D8078     0684		ldq	r18, GRADSDATE				# r18, 104(gp)
225209D4     0688		lda	r18, GRADSDATE				# r18, 2516(r18)
47FFF411     068C		mov	255, r17
A77D8070     0690		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     0694		jsr	r26, _OtsMove				# r26, (r27)
220F0138     0698		lda	r16, var$0033				# r16, 312(r15)
47FFF411     069C		mov	255, r17
224F0238     06A0		lda	r18, 568(r15)
47FFF413     06A4		mov	255, r19
A77D8058     06A8		ldq	r27, for_trim				# r27, 72(gp)
6B5B4000     06AC		jsr	r26, for_trim				# r26, (r27)
27BA0001     06B0		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     06B4		lda	gp, $mgrads$savectl_			# gp, (gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 16
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

B3EF00B8     06B8		stl	r31, var$0001				# r31, 184(r15)
A45D8078     06BC		ldq	r2, UNI					# r2, 104(gp)
A0420000     06C0		ldl	r2, UNI					# r2, (r2)
A47D8018     06C4		ldq	r3, 8(gp)
20630030     06C8		lda	r3, 48(r3)
47E00404     06CC		mov	r0, r4
41E00525     06D0		subq	r15, r0, r5
44A1F105     06D4		bic	r5, 15, r5
230FF000     06D8		lda	r24, -4096(r15)
A7850000     06DC		ldq	r28, (r5)
430507BC     06E0		cmpule	r24, r5, r28
F7800004     06E4		bne	r28, L$41
	     06E8	L$40:
A7980000     06E8		ldq	r28, (r24)
2318E020     06EC		lda	r24, -8160(r24)
430507BC     06F0		cmpule	r24, r5, r28
E79FFFFC     06F4		beq	r28, L$40
	     06F8	L$41:
47E5041E     06F8		mov	r5, sp
22050000     06FC		lda	r16, (r5)
47E00411     0700		mov	r0, r17
224F0138     0704		lda	r18, var$0033				# r18, 312(r15)
A77D8070     0708		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     070C		jsr	r26, _OtsMove				# r26, (r27)
43C40521     0710		subq	sp, r4, r1
4421F101     0714		bic	r1, 15, r1
231EF000     0718		lda	r24, -4096(sp)
A7810000     071C		ldq	r28, (r1)
430107BC     0720		cmpule	r24, r1, r28
F7800004     0724		bne	r28, L$45
	     0728	L$44:
A7980000     0728		ldq	r28, (r24)
2318E020     072C		lda	r24, -8160(r24)
430107BC     0730		cmpule	r24, r1, r28
E79FFFFC     0734		beq	r28, L$44
	     0738	L$45:
47E1041E     0738		mov	r1, sp
22010000     073C		lda	r16, (r1)
47E40411     0740		mov	r4, r17
22450000     0744		lda	r18, (r5)
47E00413     0748		mov	r0, r19
A77D8068     074C		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0750		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0754		mov	32, r18
A77D8060     0758		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     075C		jsr	r26, _OtsFill				# r26, (r27)
20C10000     0760		lda	r6, (r1)
B4CF0108     0764		stq	r6, 264(r15)
B48F0100     0768		stq	r4, 256(r15)
220F00B8     076C		lda	r16, var$0001				# r16, 184(r15)
47E20411     0770		mov	r2, r17
265F0385     0774		ldah	r18, 901(r31)
2252FF00     0778		lda	r18, -256(r18)
47E30413     077C		mov	r3, r19
228F0100     0780		lda	r20, 256(r15)
A6BD8040     0784		ldq	r21, var$0007				# r21, 48(gp)
22B5FF60     0788		lda	r21, var$0007				# r21, -160(r21)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 17
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

A77D8038     078C		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     0790		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0794		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0798		lda	gp, $mgrads$savectl_			# gp, (gp)
47EF041E     079C		mov	r15, sp										    # 000094
B3EF00B8     07A0		stl	r31, var$0001				# r31, 184(r15)
A43D8078     07A4		ldq	r1, UNI					# r1, 104(gp)
A2210000     07A8		ldl	r17, UNI				# r17, (r1)
A67D8018     07AC		ldq	r19, 8(gp)
22730020     07B0		lda	r19, 32(r19)
A44F0030     07B4		ldq	r2, 48(r15)
B44F00F8     07B8		stq	r2, 248(r15)
220F00B8     07BC		lda	r16, var$0001				# r16, 184(r15)
265F0385     07C0		ldah	r18, 901(r31)
2252FF00     07C4		lda	r18, -256(r18)
228F00F8     07C8		lda	r20, 248(r15)
A6BD8040     07CC		ldq	r21, var$0006				# r21, 48(gp)
22B5FF40     07D0		lda	r21, var$0006				# r21, -192(r21)
A77D8038     07D4		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     07D8		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     07DC		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     07E0		lda	gp, $mgrads$savectl_			# gp, (gp)
A40F0030     07E4		ldq	r0, 48(r15)									    # 000097
A0000000     07E8		ldl	r0, (r0)
47E0040C     07EC		mov	r0, var$0035				# r0, r12
47E03401     07F0		mov	1, r1
A45D8078     07F4		ldq	r2, I					# r2, 104(gp)
B0220004     07F8		stl	r1, I					# r1, 4(r2)
EC000047     07FC		ble	r0, lab$0068
	     0800	lab$0065:											    # 000098
A46A0008     0800		ldq	r3, 8(r10)
A48A0010     0804		ldq	r4, 16(r10)
A4AA0028     0808		ldq	r5, 40(r10)
A4DD8078     080C		ldq	r6, I					# r6, 104(gp)
A0C60004     0810		ldl	r6, I					# r6, 4(r6)
A4EA0028     0814		ldq	r7, 40(r10)
4CC50405     0818		mulq	r6, r5, r5
40870524     081C		subq	r4, r7, r4
40850404     0820		addq	r4, r5, r4
47E30408     0824		mov	r3, r8
45003C88     0828		cmovle	r8, 1, r8
B3EF00B8     082C		stl	r31, var$0001				# r31, 184(r15)
A63D8078     0830		ldq	r17, UNI				# r17, 104(gp)
A2310000     0834		ldl	r17, UNI				# r17, (r17)
A67D8018     0838		ldq	r19, 8(gp)
22730018     083C		lda	r19, 24(r19)
B50F00F8     0840		stq	r8, 248(r15)
B48F0100     0844		stq	r4, 256(r15)
B46F0108     0848		stq	r3, 264(r15)
220F00B8     084C		lda	r16, var$0001				# r16, 184(r15)
265F0385     0850		ldah	r18, 901(r31)
2252FF00     0854		lda	r18, -256(r18)
228F00F8     0858		lda	r20, 248(r15)
A6BD8040     085C		ldq	r21, var$0013				# r21, 48(gp)
22B50020     0860		lda	r21, var$0013				# r21, 32(r21)
A77D8038     0864		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     0868		jsr	r26, for_write_seq_fmt			# r26, (r27)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 18
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

27BA0001     086C		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0870		lda	gp, $mgrads$savectl_			# gp, (gp)
A41D8010     0874		ldq	r0, (gp)
20000008     0878		lda	r0, 8(r0)
A63D8018     087C		ldq	r17, 8(gp)
22310010     0880		lda	r17, 16(r17)
47E0D401     0884		mov	6, r1
B42F0100     0888		stq	r1, 256(r15)
B40F0108     088C		stq	r0, 264(r15)
220F00B8     0890		lda	r16, var$0001				# r16, 184(r15)
224F0100     0894		lda	r18, 256(r15)
A77D8028     0898		ldq	r27, for_write_seq_fmt_xmit		# r27, 24(gp)
6B5B4000     089C		jsr	r26, for_write_seq_fmt_xmit		# r26, (r27)
27BA0001     08A0		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     08A4		lda	gp, $mgrads$savectl_			# gp, (gp)
A4090008     08A8		ldq	r0, 8(r9)
A4290010     08AC		ldq	r1, 16(r9)
A4490028     08B0		ldq	r2, 40(r9)
A47D8078     08B4		ldq	r3, I					# r3, 104(gp)
A0630004     08B8		ldl	r3, I					# r3, 4(r3)
A4890028     08BC		ldq	r4, 40(r9)
4C620402     08C0		mulq	r3, r2, r2
40240521     08C4		subq	r1, r4, r1
40220401     08C8		addq	r1, r2, r1
47E00405     08CC		mov	r0, r5
44A03C85     08D0		cmovle	r5, 1, r5
A63D8018     08D4		ldq	r17, 8(gp)
22310008     08D8		lda	r17, 8(r17)
B4AF00F8     08DC		stq	r5, 248(r15)
B42F0100     08E0		stq	r1, 256(r15)
B40F0108     08E4		stq	r0, 264(r15)
220F00B8     08E8		lda	r16, var$0001				# r16, 184(r15)
224F00F8     08EC		lda	r18, 248(r15)
A77D8028     08F0		ldq	r27, for_write_seq_fmt_xmit		# r27, 24(gp)
6B5B4000     08F4		jsr	r26, for_write_seq_fmt_xmit		# r26, (r27)
27BA0001     08F8		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     08FC		lda	gp, $mgrads$savectl_			# gp, (gp)
A41D8078     0900		ldq	r0, I					# r0, 104(gp)				    # 000097
A0000004     0904		ldl	r0, I					# r0, 4(r0)
40003000     0908		addl	r0, 1, r0
A43D8078     090C		ldq	r1, I					# r1, 104(gp)
B0010004     0910		stl	r0, I					# r0, 4(r1)
4180352C     0914		subq	var$0035, 1, var$0035			# r12, 1, r12
FD9FFFB9     0918		bgt	var$0035, lab$0065			# r12, lab$0065
	     091C	lab$0068:											    # 000101
A45D8010     091C		ldq	r2, (gp)
B3EF00B8     0920		stl	r31, var$0001				# r31, 184(r15)
A49D8078     0924		ldq	r4, UNI					# r4, 104(gp)
A2240000     0928		ldl	r17, UNI				# r17, (r4)
A67D8018     092C		ldq	r19, 8(gp)
22730030     0930		lda	r19, 48(r19)
47E0F405     0934		mov	7, r5
B4AF0100     0938		stq	r5, 256(r15)
B44F0108     093C		stq	r2, 264(r15)
220F00B8     0940		lda	r16, var$0001				# r16, 184(r15)
265F0385     0944		ldah	r18, 901(r31)
2252FF00     0948		lda	r18, -256(r18)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 19
                                $mgrads$savectl_                 5-Aug-2004 11:10:59  mgrads.f90

228F0100     094C		lda	r20, 256(r15)
A6BD8040     0950		ldq	r21, var$0014				# r21, 48(gp)
22B50058     0954		lda	r21, var$0014				# r21, 88(r21)
A77D8038     0958		ldq	r27, for_write_seq_fmt			# r27, 40(gp)
6B5B4000     095C		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     0960		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0964		lda	gp, $mgrads$savectl_			# gp, (gp)
B3EF00B8     0968		stl	r31, var$0001				# r31, 184(r15)				    # 000103
A43D8078     096C		ldq	r1, UNI					# r1, 104(gp)
A2210000     0970		ldl	r17, UNI				# r17, (r1)
A67D8018     0974		ldq	r19, 8(gp)
220F00B8     0978		lda	r16, var$0001				# r16, 184(r15)
265F0385     097C		ldah	r18, 901(r31)
2252FF00     0980		lda	r18, -256(r18)
47FF0414     0984		clr	r20
A77D8020     0988		ldq	r27, for_close				# r27, 16(gp)
6B5B4000     098C		jsr	r26, for_close				# r26, (r27)
27BA0001     0990		ldah	gp, $mgrads$savectl_			# gp, (r26)
23BD9AD0     0994		lda	gp, $mgrads$savectl_			# gp, (gp)
E5200008     0998		beq	r9, lab$0075									    # 000105
A4090030     099C		ldq	r0, 48(r9)
A4290038     09A0		ldq	r1, 56(r9)
40010520     09A4		subq	r0, r1, r0
A44F00A8     09A8		ldq	r2, var$0004				# r2, 168(r15)
40020400     09AC		addq	r0, r2, r0
B4090030     09B0		stq	r0, 48(r9)
A48F00A8     09B4		ldq	r4, var$0004				# r4, 168(r15)
B4890038     09B8		stq	r4, 56(r9)
	     09BC	lab$0075:
E5400008     09BC		beq	r10, lab$0077
A4CA0030     09C0		ldq	r6, 48(r10)
A4EA0038     09C4		ldq	r7, 56(r10)
40C70526     09C8		subq	r6, r7, r6
A50F00B0     09CC		ldq	r8, var$0002				# r8, 176(r15)
40C80406     09D0		addq	r6, r8, r6
B4CA0030     09D4		stq	r6, 48(r10)
A62F00B0     09D8		ldq	r17, var$0002				# r17, 176(r15)
B62A0038     09DC		stq	r17, 56(r10)
	     09E0	lab$0077:
47EF041E     09E0		mov	r15, sp
A74F0000     09E4		ldq	r26, (r15)
A52F0008     09E8		ldq	r9, 8(r15)
A54F0010     09EC		ldq	r10, 16(r15)
A56F0018     09F0		ldq	r11, 24(r15)
A58F0020     09F4		ldq	r12, 32(r15)
A5FE0028     09F8		ldq	r15, 40(sp)
23DE0340     09FC		lda	sp, 832(sp)
6BFA8001     0A00		ret	(r26)
				.end 	$mgrads$savectl_

Routine Size: 2564 bytes,    Routine Base: $CODE$ + 0000

				.globl  $mgrads$savebin_
				.ent 	$mgrads$savebin_
				.eflag 16
	     0A04	$mgrads$savebin_:										    # 000109
27BB0001     0A04		ldah	gp, $mgrads$savebin_			# gp, (r27)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 20
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

23BD9AD0     0A08		lda	gp, $mgrads$savebin_			# gp, (gp)
	     0A0C	L$53:
23DEFC80     0A0C		lda	sp, -896(sp)
B75E0000     0A10		stq	r26, (sp)
B53E0008     0A14		stq	r9, 8(sp)
B55E0010     0A18		stq	r10, 16(sp)
B57E0018     0A1C		stq	r11, 24(sp)
B59E0020     0A20		stq	r12, 32(sp)
B5BE0028     0A24		stq	r13, 40(sp)
B5DE0030     0A28		stq	r14, 48(sp)
B5FE0038     0A2C		stq	r15, 56(sp)
47FE040F     0A30		mov	sp, r15
				.mask 0x0400FE00,-896
				.fmask 0x00000000,0
				.frame  $fp, 896, $26
				.prologue 1
B60F0058     0A34		stq	r16, 88(r15)
B62F0048     0A38		stq	r17, 72(r15)
47F2040C     0A3C		mov	r18, r12
B66F0040     0A40		stq	r19, 64(r15)
47F4040A     0A44		mov	r20, r10
47F50409     0A48		mov	r21, r9
A5AF0380     0A4C		ldq	r13, FILENAME.len			# r13, 896(r15)
B5AF0050     0A50		stq	r13, 80(r15)
E5800010     0A54		beq	r12, lab$0006
A62C0038     0A58		ldq	r17, 56(r12)
A64C0030     0A5C		ldq	r18, 48(r12)
42510532     0A60		subq	r18, r17, r18
42403412     0A64		addq	r18, 1, r18
B64C0030     0A68		stq	r18, 48(r12)
47E03414     0A6C		mov	1, r20
B68C0038     0A70		stq	r20, 56(r12)
B62F0128     0A74		stq	r17, var$0016				# r17, 296(r15)
A40C0050     0A78		ldq	r0, 80(r12)
A60C0048     0A7C		ldq	r16, 72(r12)
42000530     0A80		subq	r16, r0, r16
42003410     0A84		addq	r16, 1, r16
B60C0048     0A88		stq	r16, 72(r12)
47E03413     0A8C		mov	1, r19
B66C0050     0A90		stq	r19, 80(r12)
B40F0120     0A94		stq	r0, var$0017				# r0, 288(r15)
	     0A98	lab$0006:
E5400008     0A98		beq	r10, lab$0008
A6AA0038     0A9C		ldq	r21, 56(r10)
A62A0030     0AA0		ldq	r17, 48(r10)
42350531     0AA4		subq	r17, r21, r17
42203411     0AA8		addq	r17, 1, r17
B62A0030     0AAC		stq	r17, 48(r10)
47E03412     0AB0		mov	1, r18
B64A0038     0AB4		stq	r18, 56(r10)
B6AF0118     0AB8		stq	r21, var$0019				# r21, 280(r15)
	     0ABC	lab$0008:
47E03414     0ABC		mov	1, r20										    # 000136
A41D8078     0AC0		ldq	r0, NFLAG				# r0, 104(gp)
B2800D04     0AC4		stl	r20, NFLAG				# r20, 3332(r0)
47E03410     0AC8		mov	1, r16										    # 000137
A63D8078     0ACC		ldq	r17, NLEV				# r17, 104(gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 21
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

B2110D00     0AD0		stl	r16, NLEV				# r16, 3328(r17)
A65D8078     0AD4		ldq	r18, TIM				# r18, 104(gp)				    # 000138
9BF20CF4     0AD8		sts	f31, TIM				# f31, 3316(r18)
A66F0058     0ADC		ldq	r19, 88(r15)									    # 000139
A2730000     0AE0		ldl	r19, (r19)
A6BD8078     0AE4		ldq	r21, UNI				# r21, 104(gp)
B2750D0C     0AE8		stl	r19, UNI				# r19, 3340(r21)
47FE0400     0AEC		mov	sp, r0										    # 000140
A68F0050     0AF0		ldq	r20, 80(r15)
41F4052D     0AF4		subq	r15, r20, r13
45A1F10D     0AF8		bic	r13, 15, r13
230FF000     0AFC		lda	r24, -4096(r15)
A78D0000     0B00		ldq	r28, (r13)
430D07BC     0B04		cmpule	r24, r13, r28
F7800004     0B08		bne	r28, L$55
	     0B0C	L$54:
A7980000     0B0C		ldq	r28, (r24)
2318E020     0B10		lda	r24, -8160(r24)
430D07BC     0B14		cmpule	r24, r13, r28
E79FFFFC     0B18		beq	r28, L$54
	     0B1C	L$55:
47ED041E     0B1C		mov	r13, sp
47FE0400     0B20		mov	sp, r0
A66F0050     0B24		ldq	r19, 80(r15)
47F30415     0B28		mov	r19, r21
43D30521     0B2C		subq	sp, r19, r1
4421F101     0B30		bic	r1, 15, r1
231EF000     0B34		lda	r24, -4096(sp)
A7810000     0B38		ldq	r28, (r1)
430107BC     0B3C		cmpule	r24, r1, r28
F7800004     0B40		bne	r28, L$57
	     0B44	L$56:
A7980000     0B44		ldq	r28, (r24)
2318E020     0B48		lda	r24, -8160(r24)
430107BC     0B4C		cmpule	r24, r1, r28
E79FFFFC     0B50		beq	r28, L$56
	     0B54	L$57:
47E1041E     0B54		mov	r1, sp
22010000     0B58		lda	r16, (r1)
47F30411     0B5C		mov	r19, r17
A64F0048     0B60		ldq	r18, 72(r15)
A77D8070     0B64		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     0B68		jsr	r26, _OtsMove				# r26, (r27)
47F50402     0B6C		mov	r21, r2
43C20523     0B70		subq	sp, r2, r3
4461F103     0B74		bic	r3, 15, r3
231EF000     0B78		lda	r24, -4096(sp)
A7830000     0B7C		ldq	r28, (r3)
430307BC     0B80		cmpule	r24, r3, r28
F7800004     0B84		bne	r28, L$61
	     0B88	L$60:
A7980000     0B88		ldq	r28, (r24)
2318E020     0B8C		lda	r24, -8160(r24)
430307BC     0B90		cmpule	r24, r3, r28
E79FFFFC     0B94		beq	r28, L$60
	     0B98	L$61:
47E3041E     0B98		mov	r3, sp

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 22
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

22030000     0B9C		lda	r16, (r3)
47E20411     0BA0		mov	r2, r17
22410000     0BA4		lda	r18, (r1)
A66F0050     0BA8		ldq	r19, 80(r15)
A77D8068     0BAC		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0BB0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0BB4		mov	32, r18
A77D8060     0BB8		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     0BBC		jsr	r26, _OtsFill				# r26, (r27)
47ED0410     0BC0		mov	r13, r16
A62F0050     0BC4		ldq	r17, 80(r15)
22430000     0BC8		lda	r18, (r3)
47E20413     0BCC		mov	r2, r19
A77D8058     0BD0		ldq	r27, for_trim				# r27, 72(gp)
6B5B4000     0BD4		jsr	r26, for_trim				# r26, (r27)
27BA0001     0BD8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0BDC		lda	gp, $mgrads$savebin_			# gp, (gp)
A61D8078     0BE0		ldq	r16, OUTFILE				# r16, 104(gp)
22100D14     0BE4		lda	r16, OUTFILE				# r16, 3348(r16)
224D0000     0BE8		lda	r18, (r13)
47E00413     0BEC		mov	r0, r19
47FFF411     0BF0		mov	255, r17
A77D8068     0BF4		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0BF8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8018     0BFC		ldq	r18, 8(gp)
22520058     0C00		lda	r18, 88(r18)
47E09413     0C04		mov	4, r19
A77D8068     0C08		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     0C0C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0C10		mov	32, r18
A77D8060     0C14		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     0C18		jsr	r26, _OtsFill				# r26, (r27)
47EF041E     0C1C		mov	r15, sp										    # 000144
A42C0030     0C20		ldq	r1, 48(r12)
A44C0038     0C24		ldq	r2, 56(r12)
40220521     0C28		subq	r1, r2, r1
40203401     0C2C		addq	r1, 1, r1
A46C0048     0C30		ldq	r3, 72(r12)
A48C0050     0C34		ldq	r4, 80(r12)
40640523     0C38		subq	r3, r4, r3
40603403     0C3C		addq	r3, 1, r3
47E10405     0C40		mov	r1, r5
FC200002     0C44		bgt	r1, lab$0087
B3EF0170     0C48		stl	r31, var$0041				# r31, 368(r15)
C3E00001     0C4C		br	lab$0088
	     0C50	lab$0087:
B0AF0170     0C50		stl	r5, var$0041				# r5, 368(r15)
	     0C54	lab$0088:
47E30408     0C54		mov	r3, r8
FC600002     0C58		bgt	r3, lab$0090
B3EF0174     0C5C		stl	r31, 372(r15)
C3E00001     0C60		br	lab$0091
	     0C64	lab$0090:
B10F0174     0C64		stl	r8, 372(r15)
	     0C68	lab$0091:
A30F0170     0C68		ldl	r24, var$0041				# r24, 368(r15)
A73D8078     0C6C		ldq	r25, UB					# r25, 104(gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 23
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

B3190CF8     0C70		stl	r24, UB					# r24, 3320(r25)
A41D8078     0C74		ldq	r0, UB					# r0, 104(gp)				    # 000145
A0000CF8     0C78		ldl	r0, UB					# r0, 3320(r0)
A6AF0040     0C7C		ldq	r21, 64(r15)
A2B50000     0C80		ldl	r21, (r21)
401509A0     0C84		cmplt	r0, r21, r0
E400005A     0C88		beq	r0, lab$0111
A61D8010     0C8C		ldq	r16, (gp)									    # 000146
221000C8     0C90		lda	r16, 200(r16)
B3EF0130     0C94		stl	r31, var$0015				# r31, 304(r15)
A67D8018     0C98		ldq	r19, 8(gp)
22730030     0C9C		lda	r19, 48(r19)
47E1F412     0CA0		mov	15, r18
B64F0170     0CA4		stq	r18, 368(r15)
B60F0178     0CA8		stq	r16, 376(r15)
220F0130     0CAC		lda	r16, var$0015				# r16, 304(r15)
223FFFFF     0CB0		mov	-1, r17
265F0385     0CB4		ldah	r18, 901(r31)
2252FF00     0CB8		lda	r18, -256(r18)
228F0170     0CBC		lda	r20, 368(r15)
A77D8098     0CC0		ldq	r27, for_write_seq_lis			# r27, 136(gp)
6B5B4000     0CC4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0CC8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0CCC		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8010     0CD0		ldq	r13, (gp)									    # 000147
21AD00A0     0CD4		lda	r13, 160(r13)
B3EF0130     0CD8		stl	r31, var$0015				# r31, 304(r15)
A67D8018     0CDC		ldq	r19, 8(gp)
22730030     0CE0		lda	r19, 48(r19)
47E47401     0CE4		mov	35, r1
B42F0170     0CE8		stq	r1, 368(r15)
B5AF0178     0CEC		stq	r13, 376(r15)
220F0130     0CF0		lda	r16, var$0015				# r16, 304(r15)
223FFFFF     0CF4		mov	-1, r17
265F0385     0CF8		ldah	r18, 901(r31)
2252FF00     0CFC		lda	r18, -256(r18)
228F0170     0D00		lda	r20, 368(r15)
A77D8098     0D04		ldq	r27, for_write_seq_lis			# r27, 136(gp)
6B5B4000     0D08		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0D0C		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0D10		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8010     0D14		ldq	r13, (gp)									    # 000148
21AD0098     0D18		lda	r13, 152(r13)
B3EF0130     0D1C		stl	r31, var$0015				# r31, 304(r15)
A67D8018     0D20		ldq	r19, 8(gp)
22730010     0D24		lda	r19, 16(r19)
47E0F401     0D28		mov	7, r1
B42F0170     0D2C		stq	r1, 368(r15)
B5AF0178     0D30		stq	r13, 376(r15)
220F0130     0D34		lda	r16, var$0015				# r16, 304(r15)
223FFFFF     0D38		mov	-1, r17
265F0385     0D3C		ldah	r18, 901(r31)
2252FF00     0D40		lda	r18, -256(r18)
228F0170     0D44		lda	r20, 368(r15)
A77D8098     0D48		ldq	r27, for_write_seq_lis			# r27, 136(gp)
6B5B4000     0D4C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0D50		ldah	gp, $mgrads$savebin_			# gp, (r26)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 24
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

23BD9AD0     0D54		lda	gp, $mgrads$savebin_			# gp, (gp)
A63D8018     0D58		ldq	r17, 8(gp)
22310020     0D5C		lda	r17, 32(r17)
A5AF0040     0D60		ldq	r13, 64(r15)
B5AF0170     0D64		stq	r13, 368(r15)
220F0130     0D68		lda	r16, var$0015				# r16, 304(r15)
224F0170     0D6C		lda	r18, 368(r15)
A77D8090     0D70		ldq	r27, for_write_seq_lis_xmit		# r27, 128(gp)
6B5B4000     0D74		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0D78		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0D7C		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8010     0D80		ldq	r13, (gp)									    # 000149
21AD0088     0D84		lda	r13, 136(r13)
B3EF0130     0D88		stl	r31, var$0015				# r31, 304(r15)
A67D8018     0D8C		ldq	r19, 8(gp)
22730010     0D90		lda	r19, 16(r19)
47E1F401     0D94		mov	15, r1
B42F0170     0D98		stq	r1, 368(r15)
B5AF0178     0D9C		stq	r13, 376(r15)
220F0130     0DA0		lda	r16, var$0015				# r16, 304(r15)
223FFFFF     0DA4		mov	-1, r17
265F0385     0DA8		ldah	r18, 901(r31)
2252FF00     0DAC		lda	r18, -256(r18)
228F0170     0DB0		lda	r20, 368(r15)
A77D8098     0DB4		ldq	r27, for_write_seq_lis			# r27, 136(gp)
6B5B4000     0DB8		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0DBC		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0DC0		lda	gp, $mgrads$savebin_			# gp, (gp)
A63D8018     0DC4		ldq	r17, 8(gp)
22310020     0DC8		lda	r17, 32(r17)
A5BD8078     0DCC		ldq	r13, UB					# r13, 104(gp)
21AD0CF8     0DD0		lda	r13, UB					# r13, 3320(r13)
B5AF0170     0DD4		stq	r13, 368(r15)
220F0130     0DD8		lda	r16, var$0015				# r16, 304(r15)
224F0170     0DDC		lda	r18, 368(r15)
A77D8090     0DE0		ldq	r27, for_write_seq_lis_xmit		# r27, 128(gp)
6B5B4000     0DE4		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0DE8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0DEC		lda	gp, $mgrads$savebin_			# gp, (gp)
C3E0028D     0DF0		br	lab$0107
	     0DF4	lab$0111:											    # 000157
A5BD8010     0DF4		ldq	r13, (gp)
21AD0028     0DF8		lda	r13, 40(r13)
A41D8010     0DFC		ldq	r0, (gp)
20000070     0E00		lda	r0, 112(r0)
A43D8010     0E04		ldq	r1, (gp)
20210068     0E08		lda	r1, 104(r1)
B3EF0130     0E0C		stl	r31, var$0015				# r31, 304(r15)
A47D8078     0E10		ldq	r3, UNI					# r3, 104(gp)
A2230D0C     0E14		ldl	r17, UNI				# r17, 3340(r3)
A67D8010     0E18		ldq	r19, (gp)
22730050     0E1C		lda	r19, 80(r19)
47FFF404     0E20		mov	255, r4
B48F0180     0E24		stq	r4, 384(r15)
A4DD8078     0E28		ldq	r6, OUTFILE				# r6, 104(gp)
20C60D14     0E2C		lda	r6, OUTFILE				# r6, 3348(r6)
B4CF0188     0E30		stq	r6, 392(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 25
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

47E0F408     0E34		mov	7, r8
B50F0190     0E38		stq	r8, 400(r15)
B5AF0198     0E3C		stq	r13, 408(r15)
47E17414     0E40		mov	11, r20
B68F01A0     0E44		stq	r20, 416(r15)
B40F01A8     0E48		stq	r0, 424(r15)
47E0D417     0E4C		mov	6, r23
B6EF01B0     0E50		stq	r23, 432(r15)
B42F01B8     0E54		stq	r1, 440(r15)
47E0941A     0E58		mov	4, r26
B74F01C0     0E5C		stq	r26, 448(r15)
220F0130     0E60		lda	r16, var$0015				# r16, 304(r15)
265F0385     0E64		ldah	r18, 901(r31)
2252FF00     0E68		lda	r18, -256(r18)
228F0180     0E6C		lda	r20, 384(r15)
A77D8048     0E70		ldq	r27, for_open				# r27, 56(gp)
6B5B4000     0E74		jsr	r26, for_open				# r26, (r27)
27BA0001     0E78		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0E7C		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     0E80		ldq	r13, IREC				# r13, 104(gp)				    # 000158
B3ED0D08     0E84		stl	r31, IREC				# r31, 3336(r13)
B3EF0130     0E88		stl	r31, var$0015				# r31, 304(r15)				    # 000159
A67D8018     0E8C		ldq	r19, 8(gp)
22730020     0E90		lda	r19, 32(r19)
A42F0040     0E94		ldq	r1, 64(r15)
B42F0170     0E98		stq	r1, 368(r15)
220F0130     0E9C		lda	r16, var$0015				# r16, 304(r15)
223FFFFF     0EA0		mov	-1, r17
265F0385     0EA4		ldah	r18, 901(r31)
2252FF00     0EA8		lda	r18, -256(r18)
228F0170     0EAC		lda	r20, 368(r15)
A77D8098     0EB0		ldq	r27, for_write_seq_lis			# r27, 136(gp)
6B5B4000     0EB4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0EB8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0EBC		lda	gp, $mgrads$savebin_			# gp, (gp)
A5AF0040     0EC0		ldq	r13, 64(r15)									    # 000160
A1AD0000     0EC4		ldl	r13, (r13)
47ED040B     0EC8		mov	r13, var$0048				# r13, r11
47E03400     0ECC		mov	1, r0
A43D8078     0ED0		ldq	r1, I					# r1, 104(gp)
B0010D10     0ED4		stl	r0, I					# r0, 3344(r1)
EDA00108     0ED8		ble	r13, lab$0120
	     0EDC	lab$0118:
A44A0010     0EDC		ldq	r2, 16(r10)									    # 000161
A46A0028     0EE0		ldq	r3, 40(r10)
A49D8078     0EE4		ldq	r4, I					# r4, 104(gp)
A0840D10     0EE8		ldl	r4, I					# r4, 3344(r4)
A4AA0028     0EEC		ldq	r5, 40(r10)
4C830403     0EF0		mulq	r4, r3, r3
40450522     0EF4		subq	r2, r5, r2
40430402     0EF8		addq	r2, r3, r2
2CE20000     0EFC		ldq_u	r7, (r2)
2D020007     0F00		ldq_u	r8, 7(r2)
48E206C7     0F04		extql	r7, r2, r7
49020F48     0F08		extqh	r8, r2, r8
44E80402     0F0C		bis	r7, r8, r2
A61D8078     0F10		ldq	r16, C					# r16, 104(gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 26
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

B4500CE4     0F14		stq	r2, C					# r2, 3300(r16)
A63D8078     0F18		ldq	r17, C					# r17, 104(gp)				    # 000162
A6310CE4     0F1C		ldq	r17, C					# r17, 3300(r17)
A65D8078     0F20		ldq	r18, C1					# r18, 104(gp)
B2320CDC     0F24		stl	r17, C1					# r17, 3292(r18)
A67D8078     0F28		ldq	r19, C					# r19, 104(gp)				    # 000163
A2730CE8     0F2C		ldl	r19, C					# r19, 3304(r19)
A69D8078     0F30		ldq	r20, C2					# r20, 104(gp)
B2740CD4     0F34		stl	r19, C2					# r19, 3284(r20)
A6BD8078     0F38		ldq	r21, IREC				# r21, 104(gp)				    # 000164
A2B50D08     0F3C		ldl	r21, IREC				# r21, 3336(r21)
42A03015     0F40		addl	r21, 1, r21
A6DD8078     0F44		ldq	r22, IREC				# r22, 104(gp)
B2B60D08     0F48		stl	r21, IREC				# r21, 3336(r22)
B3EF0130     0F4C		stl	r31, var$0015				# r31, 304(r15)
A71D8078     0F50		ldq	r24, UNI				# r24, 104(gp)
A2380D0C     0F54		ldl	r17, UNI				# r17, 3340(r24)
A67D8018     0F58		ldq	r19, 8(gp)
22730030     0F5C		lda	r19, 48(r19)
A73D8078     0F60		ldq	r25, IREC				# r25, 104(gp)
A2B90D08     0F64		ldl	r21, IREC				# r21, 3336(r25)
47E0941A     0F68		mov	4, r26
B74F0170     0F6C		stq	r26, 368(r15)
A41D8078     0F70		ldq	r0, C1					# r0, 104(gp)
20000CDC     0F74		lda	r0, C1					# r0, 3292(r0)
B40F0178     0F78		stq	r0, 376(r15)
220F0130     0F7C		lda	r16, var$0015				# r16, 304(r15)
265F0385     0F80		ldah	r18, 901(r31)
2252FF00     0F84		lda	r18, -256(r18)
228F0170     0F88		lda	r20, 368(r15)
A77D8080     0F8C		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     0F90		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     0F94		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0F98		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     0F9C		ldq	r13, IREC				# r13, 104(gp)				    # 000165
A1AD0D08     0FA0		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     0FA4		addl	r13, 1, r13
A41D8078     0FA8		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     0FAC		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     0FB0		stl	r31, var$0015				# r31, 304(r15)
A45D8078     0FB4		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     0FB8		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     0FBC		ldq	r19, 8(gp)
22730030     0FC0		lda	r19, 48(r19)
A47D8078     0FC4		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     0FC8		ldl	r21, IREC				# r21, 3336(r3)
47E09404     0FCC		mov	4, r4
B48F0170     0FD0		stq	r4, 368(r15)
A4DD8078     0FD4		ldq	r6, C2					# r6, 104(gp)
20C60CD4     0FD8		lda	r6, C2					# r6, 3284(r6)
B4CF0178     0FDC		stq	r6, 376(r15)
220F0130     0FE0		lda	r16, var$0015				# r16, 304(r15)
265F0385     0FE4		ldah	r18, 901(r31)
2252FF00     0FE8		lda	r18, -256(r18)
228F0170     0FEC		lda	r20, 368(r15)
A77D8080     0FF0		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     0FF4		jsr	r26, for_write_dir			# r26, (r27)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 27
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

27BA0001     0FF8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     0FFC		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     1000		ldq	r13, IREC				# r13, 104(gp)				    # 000166
A1AD0D08     1004		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1008		addl	r13, 1, r13
A41D8078     100C		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     1010		stl	r13, IREC				# r13, 3336(r0)
A42A0010     1014		ldq	r1, 16(r10)
A44A0028     1018		ldq	r2, 40(r10)
A47D8078     101C		ldq	r3, I					# r3, 104(gp)
A0630D10     1020		ldl	r3, I					# r3, 3344(r3)
A48A0028     1024		ldq	r4, 40(r10)
4C620402     1028		mulq	r3, r2, r2
40240521     102C		subq	r1, r4, r1
40220401     1030		addq	r1, r2, r1
20210008     1034		lda	r1, 8(r1)
B3EF0130     1038		stl	r31, var$0015				# r31, 304(r15)
A4DD8078     103C		ldq	r6, UNI					# r6, 104(gp)
A2260D0C     1040		ldl	r17, UNI				# r17, 3340(r6)
A67D8018     1044		ldq	r19, 8(gp)
22730050     1048		lda	r19, 80(r19)
A4FD8078     104C		ldq	r7, IREC				# r7, 104(gp)
A2A70D08     1050		ldl	r21, IREC				# r21, 3336(r7)
47E09408     1054		mov	4, r8
B50F0170     1058		stq	r8, 368(r15)
B42F0178     105C		stq	r1, 376(r15)
220F0130     1060		lda	r16, var$0015				# r16, 304(r15)
265F0385     1064		ldah	r18, 901(r31)
2252FF00     1068		lda	r18, -256(r18)
228F0170     106C		lda	r20, 368(r15)
A77D8080     1070		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     1074		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     1078		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     107C		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     1080		ldq	r13, IREC				# r13, 104(gp)				    # 000167
A1AD0D08     1084		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1088		addl	r13, 1, r13
A41D8078     108C		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     1090		stl	r13, IREC				# r13, 3336(r0)
A42A0010     1094		ldq	r1, 16(r10)
A44A0028     1098		ldq	r2, 40(r10)
A47D8078     109C		ldq	r3, I					# r3, 104(gp)
A0630D10     10A0		ldl	r3, I					# r3, 3344(r3)
A48A0028     10A4		ldq	r4, 40(r10)
4C620402     10A8		mulq	r3, r2, r2
40240521     10AC		subq	r1, r4, r1
40220401     10B0		addq	r1, r2, r1
2021000C     10B4		lda	r1, 12(r1)
B3EF0130     10B8		stl	r31, var$0015				# r31, 304(r15)
A4DD8078     10BC		ldq	r6, UNI					# r6, 104(gp)
A2260D0C     10C0		ldl	r17, UNI				# r17, 3340(r6)
A67D8018     10C4		ldq	r19, 8(gp)
22730050     10C8		lda	r19, 80(r19)
A4FD8078     10CC		ldq	r7, IREC				# r7, 104(gp)
A2A70D08     10D0		ldl	r21, IREC				# r21, 3336(r7)
47E09408     10D4		mov	4, r8
B50F0170     10D8		stq	r8, 368(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 28
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

B42F0178     10DC		stq	r1, 376(r15)
220F0130     10E0		lda	r16, var$0015				# r16, 304(r15)
265F0385     10E4		ldah	r18, 901(r31)
2252FF00     10E8		lda	r18, -256(r18)
228F0170     10EC		lda	r20, 368(r15)
A77D8080     10F0		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     10F4		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     10F8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     10FC		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     1100		ldq	r13, IREC				# r13, 104(gp)				    # 000168
A1AD0D08     1104		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1108		addl	r13, 1, r13
A41D8078     110C		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     1110		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     1114		stl	r31, var$0015				# r31, 304(r15)
A45D8078     1118		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     111C		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     1120		ldq	r19, 8(gp)
22730048     1124		lda	r19, 72(r19)
A47D8078     1128		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     112C		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     1130		ldq	r4, TIM					# r4, 104(gp)
20840CF4     1134		lda	r4, TIM					# r4, 3316(r4)
B48F0170     1138		stq	r4, 368(r15)
220F0130     113C		lda	r16, var$0015				# r16, 304(r15)
265F0385     1140		ldah	r18, 901(r31)
2252FF00     1144		lda	r18, -256(r18)
228F0170     1148		lda	r20, 368(r15)
A77D8080     114C		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     1150		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     1154		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1158		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     115C		ldq	r13, IREC				# r13, 104(gp)				    # 000169
A1AD0D08     1160		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1164		addl	r13, 1, r13
A41D8078     1168		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     116C		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     1170		stl	r31, var$0015				# r31, 304(r15)
A45D8078     1174		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     1178		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     117C		ldq	r19, 8(gp)
22730020     1180		lda	r19, 32(r19)
A47D8078     1184		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     1188		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     118C		ldq	r4, NLEV				# r4, 104(gp)
20840D00     1190		lda	r4, NLEV				# r4, 3328(r4)
B48F0170     1194		stq	r4, 368(r15)
220F0130     1198		lda	r16, var$0015				# r16, 304(r15)
265F0385     119C		ldah	r18, 901(r31)
2252FF00     11A0		lda	r18, -256(r18)
228F0170     11A4		lda	r20, 368(r15)
A77D8080     11A8		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     11AC		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     11B0		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     11B4		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     11B8		ldq	r13, IREC				# r13, 104(gp)				    # 000170
A1AD0D08     11BC		ldl	r13, IREC				# r13, 3336(r13)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 29
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

41A0300D     11C0		addl	r13, 1, r13
A41D8078     11C4		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     11C8		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     11CC		stl	r31, var$0015				# r31, 304(r15)
A45D8078     11D0		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     11D4		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     11D8		ldq	r19, 8(gp)
22730020     11DC		lda	r19, 32(r19)
A47D8078     11E0		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     11E4		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     11E8		ldq	r4, NFLAG				# r4, 104(gp)
20840D04     11EC		lda	r4, NFLAG				# r4, 3332(r4)
B48F0170     11F0		stq	r4, 368(r15)
220F0130     11F4		lda	r16, var$0015				# r16, 304(r15)
265F0385     11F8		ldah	r18, 901(r31)
2252FF00     11FC		lda	r18, -256(r18)
228F0170     1200		lda	r20, 368(r15)
A77D8080     1204		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     1208		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     120C		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1210		lda	gp, $mgrads$savebin_			# gp, (gp)
A1A90000     1214		ldl	r13, (r9)									    # 000171
47ED040E     1218		mov	r13, var$0056				# r13, r14
47E03400     121C		mov	1, r0
A43D8078     1220		ldq	r1, J					# r1, 104(gp)
B0010CFC     1224		stl	r0, J					# r0, 3324(r1)
EDA0002D     1228		ble	r13, lab$0145
	     122C	lab$0143:
A45D8078     122C		ldq	r2, IREC				# r2, 104(gp)				    # 000172
A0420D08     1230		ldl	r2, IREC				# r2, 3336(r2)
40403002     1234		addl	r2, 1, r2
A47D8078     1238		ldq	r3, IREC				# r3, 104(gp)
B0430D08     123C		stl	r2, IREC				# r2, 3336(r3)
A48C0010     1240		ldq	r4, 16(r12)									    # 000173
A4AC0028     1244		ldq	r5, 40(r12)
A4DD8078     1248		ldq	r6, I					# r6, 104(gp)
A0C60D10     124C		ldl	r6, I					# r6, 3344(r6)
A4EC0040     1250		ldq	r7, 64(r12)
A51D8078     1254		ldq	r8, J					# r8, 104(gp)
A1080CFC     1258		ldl	r8, J					# r8, 3324(r8)
A60C0028     125C		ldq	r16, 40(r12)
A62C0040     1260		ldq	r17, 64(r12)
42110410     1264		addq	r16, r17, r16
4D070407     1268		mulq	r8, r7, r7
4CC50405     126C		mulq	r6, r5, r5
40A70405     1270		addq	r5, r7, r5
40900524     1274		subq	r4, r16, r4
40850404     1278		addq	r4, r5, r4
B3EF0130     127C		stl	r31, var$0015				# r31, 304(r15)
A67D8078     1280		ldq	r19, UNI				# r19, 104(gp)
A2330D0C     1284		ldl	r17, UNI				# r17, 3340(r19)
A67D8018     1288		ldq	r19, 8(gp)
22730050     128C		lda	r19, 80(r19)
A69D8078     1290		ldq	r20, IREC				# r20, 104(gp)
A2B40D08     1294		ldl	r21, IREC				# r21, 3336(r20)
47E09416     1298		mov	4, r22
B6CF0170     129C		stq	r22, 368(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 30
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

B48F0178     12A0		stq	r4, 376(r15)
220F0130     12A4		lda	r16, var$0015				# r16, 304(r15)
265F0385     12A8		ldah	r18, 901(r31)
2252FF00     12AC		lda	r18, -256(r18)
228F0170     12B0		lda	r20, 368(r15)
A77D8080     12B4		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     12B8		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     12BC		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     12C0		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     12C4		ldq	r13, J					# r13, 104(gp)				    # 000171
A1AD0CFC     12C8		ldl	r13, J					# r13, 3324(r13)
41A0300D     12CC		addl	r13, 1, r13
A41D8078     12D0		ldq	r0, J					# r0, 104(gp)
B1A00CFC     12D4		stl	r13, J					# r13, 3324(r0)
41C0352E     12D8		subq	var$0056, 1, var$0056			# r14, 1, r14
FDDFFFD3     12DC		bgt	var$0056, lab$0143			# r14, lab$0143
	     12E0	lab$0145:
A43D8078     12E0		ldq	r1, I					# r1, 104(gp)				    # 000160
A0210D10     12E4		ldl	r1, I					# r1, 3344(r1)
40203001     12E8		addl	r1, 1, r1
A45D8078     12EC		ldq	r2, I					# r2, 104(gp)
B0220D10     12F0		stl	r1, I					# r1, 3344(r2)
4160352B     12F4		subq	var$0048, 1, var$0048			# r11, 1, r11
FD7FFEF8     12F8		bgt	var$0048, lab$0118			# r11, lab$0118
	     12FC	lab$0120:
A47D8078     12FC		ldq	r3, RLAT				# r3, 104(gp)				    # 000177
9BE30CF0     1300		sts	f31, RLAT				# f31, 3312(r3)
A49D8078     1304		ldq	r4, RLON				# r4, 104(gp)				    # 000178
9BE40CEC     1308		sts	f31, RLON				# f31, 3308(r4)
A4BD8078     130C		ldq	r5, TIM					# r5, 104(gp)				    # 000179
9BE50CF4     1310		sts	f31, TIM				# f31, 3316(r5)
A4DD8078     1314		ldq	r6, NLEV				# r6, 104(gp)				    # 000180
B3E60D00     1318		stl	r31, NLEV				# r31, 3328(r6)
47E03407     131C		mov	1, r7										    # 000181
A51D8078     1320		ldq	r8, NFLAG				# r8, 104(gp)
B0E80D04     1324		stl	r7, NFLAG				# r7, 3332(r8)
A61D8078     1328		ldq	r16, IREC				# r16, 104(gp)				    # 000182
A2100D08     132C		ldl	r16, IREC				# r16, 3336(r16)
42003010     1330		addl	r16, 1, r16
A63D8078     1334		ldq	r17, IREC				# r17, 104(gp)
B2110D08     1338		stl	r16, IREC				# r16, 3336(r17)
B3EF0130     133C		stl	r31, var$0015				# r31, 304(r15)
A67D8078     1340		ldq	r19, UNI				# r19, 104(gp)
A2330D0C     1344		ldl	r17, UNI				# r17, 3340(r19)
A67D8018     1348		ldq	r19, 8(gp)
22730030     134C		lda	r19, 48(r19)
A69D8078     1350		ldq	r20, IREC				# r20, 104(gp)
A2B40D08     1354		ldl	r21, IREC				# r21, 3336(r20)
47E09416     1358		mov	4, r22
B6CF0170     135C		stq	r22, 368(r15)
A71D8078     1360		ldq	r24, C1					# r24, 104(gp)
23180CDC     1364		lda	r24, C1					# r24, 3292(r24)
B70F0178     1368		stq	r24, 376(r15)
220F0130     136C		lda	r16, var$0015				# r16, 304(r15)
265F0385     1370		ldah	r18, 901(r31)
2252FF00     1374		lda	r18, -256(r18)
228F0170     1378		lda	r20, 368(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 31
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

A77D8080     137C		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     1380		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     1384		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1388		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     138C		ldq	r13, IREC				# r13, 104(gp)				    # 000183
A1AD0D08     1390		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1394		addl	r13, 1, r13
A41D8078     1398		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     139C		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     13A0		stl	r31, var$0015				# r31, 304(r15)
A45D8078     13A4		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     13A8		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     13AC		ldq	r19, 8(gp)
22730030     13B0		lda	r19, 48(r19)
A47D8078     13B4		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     13B8		ldl	r21, IREC				# r21, 3336(r3)
47E09404     13BC		mov	4, r4
B48F0170     13C0		stq	r4, 368(r15)
A4DD8078     13C4		ldq	r6, C2					# r6, 104(gp)
20C60CD4     13C8		lda	r6, C2					# r6, 3284(r6)
B4CF0178     13CC		stq	r6, 376(r15)
220F0130     13D0		lda	r16, var$0015				# r16, 304(r15)
265F0385     13D4		ldah	r18, 901(r31)
2252FF00     13D8		lda	r18, -256(r18)
228F0170     13DC		lda	r20, 368(r15)
A77D8080     13E0		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     13E4		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     13E8		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     13EC		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     13F0		ldq	r13, IREC				# r13, 104(gp)				    # 000184
A1AD0D08     13F4		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     13F8		addl	r13, 1, r13
A41D8078     13FC		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     1400		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     1404		stl	r31, var$0015				# r31, 304(r15)
A45D8078     1408		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     140C		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     1410		ldq	r19, 8(gp)
22730048     1414		lda	r19, 72(r19)
A47D8078     1418		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     141C		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     1420		ldq	r4, RLAT				# r4, 104(gp)
20840CF0     1424		lda	r4, RLAT				# r4, 3312(r4)
B48F0170     1428		stq	r4, 368(r15)
220F0130     142C		lda	r16, var$0015				# r16, 304(r15)
265F0385     1430		ldah	r18, 901(r31)
2252FF00     1434		lda	r18, -256(r18)
228F0170     1438		lda	r20, 368(r15)
A77D8080     143C		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     1440		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     1444		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1448		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     144C		ldq	r13, IREC				# r13, 104(gp)				    # 000185
A1AD0D08     1450		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1454		addl	r13, 1, r13
A41D8078     1458		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     145C		stl	r13, IREC				# r13, 3336(r0)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 32
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

B3EF0130     1460		stl	r31, var$0015				# r31, 304(r15)
A45D8078     1464		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     1468		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     146C		ldq	r19, 8(gp)
22730048     1470		lda	r19, 72(r19)
A47D8078     1474		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     1478		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     147C		ldq	r4, RLON				# r4, 104(gp)
20840CEC     1480		lda	r4, RLON				# r4, 3308(r4)
B48F0170     1484		stq	r4, 368(r15)
220F0130     1488		lda	r16, var$0015				# r16, 304(r15)
265F0385     148C		ldah	r18, 901(r31)
2252FF00     1490		lda	r18, -256(r18)
228F0170     1494		lda	r20, 368(r15)
A77D8080     1498		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     149C		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     14A0		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     14A4		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     14A8		ldq	r13, IREC				# r13, 104(gp)				    # 000186
A1AD0D08     14AC		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     14B0		addl	r13, 1, r13
A41D8078     14B4		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     14B8		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     14BC		stl	r31, var$0015				# r31, 304(r15)
A45D8078     14C0		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     14C4		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     14C8		ldq	r19, 8(gp)
22730048     14CC		lda	r19, 72(r19)
A47D8078     14D0		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     14D4		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     14D8		ldq	r4, TIM					# r4, 104(gp)
20840CF4     14DC		lda	r4, TIM					# r4, 3316(r4)
B48F0170     14E0		stq	r4, 368(r15)
220F0130     14E4		lda	r16, var$0015				# r16, 304(r15)
265F0385     14E8		ldah	r18, 901(r31)
2252FF00     14EC		lda	r18, -256(r18)
228F0170     14F0		lda	r20, 368(r15)
A77D8080     14F4		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     14F8		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     14FC		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1500		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     1504		ldq	r13, IREC				# r13, 104(gp)				    # 000187
A1AD0D08     1508		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     150C		addl	r13, 1, r13
A41D8078     1510		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     1514		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     1518		stl	r31, var$0015				# r31, 304(r15)
A45D8078     151C		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     1520		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     1524		ldq	r19, 8(gp)
22730020     1528		lda	r19, 32(r19)
A47D8078     152C		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     1530		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     1534		ldq	r4, NLEV				# r4, 104(gp)
20840D00     1538		lda	r4, NLEV				# r4, 3328(r4)
B48F0170     153C		stq	r4, 368(r15)
220F0130     1540		lda	r16, var$0015				# r16, 304(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 33
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

265F0385     1544		ldah	r18, 901(r31)
2252FF00     1548		lda	r18, -256(r18)
228F0170     154C		lda	r20, 368(r15)
A77D8080     1550		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     1554		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     1558		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     155C		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     1560		ldq	r13, IREC				# r13, 104(gp)				    # 000188
A1AD0D08     1564		ldl	r13, IREC				# r13, 3336(r13)
41A0300D     1568		addl	r13, 1, r13
A41D8078     156C		ldq	r0, IREC				# r0, 104(gp)
B1A00D08     1570		stl	r13, IREC				# r13, 3336(r0)
B3EF0130     1574		stl	r31, var$0015				# r31, 304(r15)
A45D8078     1578		ldq	r2, UNI					# r2, 104(gp)
A2220D0C     157C		ldl	r17, UNI				# r17, 3340(r2)
A67D8018     1580		ldq	r19, 8(gp)
22730020     1584		lda	r19, 32(r19)
A47D8078     1588		ldq	r3, IREC				# r3, 104(gp)
A2A30D08     158C		ldl	r21, IREC				# r21, 3336(r3)
A49D8078     1590		ldq	r4, NFLAG				# r4, 104(gp)
20840D04     1594		lda	r4, NFLAG				# r4, 3332(r4)
B48F0170     1598		stq	r4, 368(r15)
220F0130     159C		lda	r16, var$0015				# r16, 304(r15)
265F0385     15A0		ldah	r18, 901(r31)
2252FF00     15A4		lda	r18, -256(r18)
228F0170     15A8		lda	r20, 368(r15)
A77D8080     15AC		ldq	r27, for_write_dir			# r27, 112(gp)
6B5B4000     15B0		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     15B4		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     15B8		lda	gp, $mgrads$savebin_			# gp, (gp)
B3EF0130     15BC		stl	r31, var$0015				# r31, 304(r15)				    # 000189
A41D8078     15C0		ldq	r0, UNI					# r0, 104(gp)
A2200D0C     15C4		ldl	r17, UNI				# r17, 3340(r0)
A67D8018     15C8		ldq	r19, 8(gp)
220F0130     15CC		lda	r16, var$0015				# r16, 304(r15)
265F0385     15D0		ldah	r18, 901(r31)
2252FF00     15D4		lda	r18, -256(r18)
47FF0414     15D8		clr	r20
A77D8020     15DC		ldq	r27, for_close				# r27, 16(gp)
6B5B4000     15E0		jsr	r26, for_close				# r26, (r27)
27BA0001     15E4		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     15E8		lda	gp, $mgrads$savebin_			# gp, (gp)
220F0280     15EC		lda	r16, 640(r15)									    # 000190
A65D8078     15F0		ldq	r18, OUTFILE				# r18, 104(gp)
22520D14     15F4		lda	r18, OUTFILE				# r18, 3348(r18)
47FFF411     15F8		mov	255, r17
A77D8070     15FC		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     1600		jsr	r26, _OtsMove				# r26, (r27)
220F0180     1604		lda	r16, var$0068				# r16, 384(r15)
47FFF411     1608		mov	255, r17
224F0280     160C		lda	r18, 640(r15)
47FFF413     1610		mov	255, r19
A77D8058     1614		ldq	r27, for_trim				# r27, 72(gp)
6B5B4000     1618		jsr	r26, for_trim				# r26, (r27)
27BA0001     161C		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1620		lda	gp, $mgrads$savebin_			# gp, (gp)
B3EF0130     1624		stl	r31, var$0015				# r31, 304(r15)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 34
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

A43D8018     1628		ldq	r1, 8(gp)
20210010     162C		lda	r1, 16(r1)
47E00402     1630		mov	r0, r2
41E00523     1634		subq	r15, r0, r3
4461F103     1638		bic	r3, 15, r3
230FF000     163C		lda	r24, -4096(r15)
A7830000     1640		ldq	r28, (r3)
430307BC     1644		cmpule	r24, r3, r28
F7800004     1648		bne	r28, L$83
	     164C	L$82:
A7980000     164C		ldq	r28, (r24)
2318E020     1650		lda	r24, -8160(r24)
430307BC     1654		cmpule	r24, r3, r28
E79FFFFC     1658		beq	r28, L$82
	     165C	L$83:
47E3041E     165C		mov	r3, sp
22030000     1660		lda	r16, (r3)
47E00411     1664		mov	r0, r17
224F0180     1668		lda	r18, var$0068				# r18, 384(r15)
A77D8070     166C		ldq	r27, _OtsMove				# r27, 96(gp)
6B5B4000     1670		jsr	r26, _OtsMove				# r26, (r27)
43C20524     1674		subq	sp, r2, r4
4481F104     1678		bic	r4, 15, r4
231EF000     167C		lda	r24, -4096(sp)
A7840000     1680		ldq	r28, (r4)
430407BC     1684		cmpule	r24, r4, r28
F7800004     1688		bne	r28, L$87
	     168C	L$86:
A7980000     168C		ldq	r28, (r24)
2318E020     1690		lda	r24, -8160(r24)
430407BC     1694		cmpule	r24, r4, r28
E79FFFFC     1698		beq	r28, L$86
	     169C	L$87:
47E4041E     169C		mov	r4, sp
22040000     16A0		lda	r16, (r4)
47E20411     16A4		mov	r2, r17
22430000     16A8		lda	r18, (r3)
47E00413     16AC		mov	r0, r19
A77D8068     16B0		ldq	r27, _OtsMoveMinimum			# r27, 88(gp)
6B5B4000     16B4		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     16B8		mov	32, r18
A77D8060     16BC		ldq	r27, _OtsFill				# r27, 80(gp)
6B5B4000     16C0		jsr	r26, _OtsFill				# r26, (r27)
20A40000     16C4		lda	r5, (r4)
B4AF0178     16C8		stq	r5, 376(r15)
B44F0170     16CC		stq	r2, 368(r15)
220F0130     16D0		lda	r16, var$0015				# r16, 304(r15)
223FFFFF     16D4		mov	-1, r17
265F0385     16D8		ldah	r18, 901(r31)
2252FF00     16DC		lda	r18, -256(r18)
47E10413     16E0		mov	r1, r19
228F0170     16E4		lda	r20, 368(r15)
A77D8098     16E8		ldq	r27, for_write_seq_lis			# r27, 136(gp)
6B5B4000     16EC		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     16F0		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     16F4		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8010     16F8		ldq	r13, (gp)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 35
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

21AD0048     16FC		lda	r13, 72(r13)
A63D8018     1700		ldq	r17, 8(gp)
22310010     1704		lda	r17, 16(r17)
47E03400     1708		mov	1, r0
B40F0170     170C		stq	r0, 368(r15)
B5AF0178     1710		stq	r13, 376(r15)
220F0130     1714		lda	r16, var$0015				# r16, 304(r15)
224F0170     1718		lda	r18, 368(r15)
A77D8090     171C		ldq	r27, for_write_seq_lis_xmit		# r27, 128(gp)
6B5B4000     1720		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1724		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1728		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8078     172C		ldq	r13, IREC				# r13, 104(gp)
A1AD0D08     1730		ldl	r13, IREC				# r13, 3336(r13)
4DA0900D     1734		mull	r13, 4, r13
A63D8018     1738		ldq	r17, 8(gp)
22310040     173C		lda	r17, 64(r17)
B1AF0170     1740		stl	r13, 368(r15)
220F0130     1744		lda	r16, var$0015				# r16, 304(r15)
224F0170     1748		lda	r18, 368(r15)
A77D8090     174C		ldq	r27, for_write_seq_lis_xmit		# r27, 128(gp)
6B5B4000     1750		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1754		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1758		lda	gp, $mgrads$savebin_			# gp, (gp)
A5BD8010     175C		ldq	r13, (gp)
21AD0038     1760		lda	r13, 56(r13)
A63D8018     1764		ldq	r17, 8(gp)
22310030     1768		lda	r17, 48(r17)
47E1F400     176C		mov	15, r0
B40F0170     1770		stq	r0, 368(r15)
B5AF0178     1774		stq	r13, 376(r15)
220F0130     1778		lda	r16, var$0015				# r16, 304(r15)
224F0170     177C		lda	r18, 368(r15)
A77D8090     1780		ldq	r27, for_write_seq_lis_xmit		# r27, 128(gp)
6B5B4000     1784		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1788		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     178C		lda	gp, $mgrads$savebin_			# gp, (gp)
47EF041E     1790		mov	r15, sp										    # 000194
E5400008     1794		beq	r10, lab$0180
A5AA0030     1798		ldq	r13, 48(r10)
A40A0038     179C		ldq	r0, 56(r10)
41A00520     17A0		subq	r13, r0, r0
A42F0118     17A4		ldq	r1, var$0019				# r1, 280(r15)
40010400     17A8		addq	r0, r1, r0
B40A0030     17AC		stq	r0, 48(r10)
A46F0118     17B0		ldq	r3, var$0019				# r3, 280(r15)
B46A0038     17B4		stq	r3, 56(r10)
	     17B8	lab$0180:
E5800010     17B8		beq	r12, lab$0182
A4AC0030     17BC		ldq	r5, 48(r12)
A4CC0038     17C0		ldq	r6, 56(r12)
40A60525     17C4		subq	r5, r6, r5
A4EF0128     17C8		ldq	r7, var$0016				# r7, 296(r15)
40A70405     17CC		addq	r5, r7, r5
B4AC0030     17D0		stq	r5, 48(r12)
A60F0128     17D4		ldq	r16, var$0016				# r16, 296(r15)
B60C0038     17D8		stq	r16, 56(r12)

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 36
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

A64C0048     17DC		ldq	r18, 72(r12)
A66C0050     17E0		ldq	r19, 80(r12)
42530532     17E4		subq	r18, r19, r18
A68F0120     17E8		ldq	r20, var$0017				# r20, 288(r15)
42540412     17EC		addq	r18, r20, r18
B64C0048     17F0		stq	r18, 72(r12)
A6CF0120     17F4		ldq	r22, var$0017				# r22, 288(r15)
B6CC0050     17F8		stq	r22, 80(r12)
	     17FC	lab$0182:
47EF041E     17FC		mov	r15, sp
A74F0000     1800		ldq	r26, (r15)
A52F0008     1804		ldq	r9, 8(r15)
A54F0010     1808		ldq	r10, 16(r15)
A56F0018     180C		ldq	r11, 24(r15)
A58F0020     1810		ldq	r12, 32(r15)
A5AF0028     1814		ldq	r13, 40(r15)
A5CF0030     1818		ldq	r14, 48(r15)
A5FE0038     181C		ldq	r15, 56(sp)
23DE0380     1820		lda	sp, 896(sp)
6BFA8001     1824		ret	(r26)
	     1828	lab$0107:											    # 000149
A61D8010     1828		ldq	r16, (gp)									    # 000150
22100080     182C		lda	r16, 128(r16)
47FF0411     1830		clr	r17
A77D8088     1834		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     1838		jsr	r26, for_stop				# r26, (r27)
27BA0001     183C		ldah	gp, $mgrads$savebin_			# gp, (r26)
23BD9AD0     1840		lda	gp, $mgrads$savebin_			# gp, (gp)
				.end 	$mgrads$savebin_

Routine Size: 3648 bytes,    Routine Base: $CODE$ + 0A04

				.data
				.lcomm	NELEMENTS 4
				.lcomm	UNI 4
				.lcomm	I 4
				.lcomm	SUBSTRING 2500
				.lcomm	GRADSDATE 255
				.lcomm	FILENAME2 255
				.lcomm	CTLNAME 255
				.lcomm	C2 4
				.lcomm	C1 4
				.lcomm	C 8
				.lcomm	RLON 4
				.lcomm	RLAT 4
				.lcomm	TIM 4
				.lcomm	UB 4
				.lcomm	J 4
				.lcomm	NLEV 4
				.lcomm	NFLAG 4
				.lcomm	IREC 4
				.lcomm	UNI 4
				.lcomm	I 4
				.lcomm	OUTFILE 255
				.data
			$$1:
00000036     0000		.long	0x00000036

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 37
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

0005001C     0004		.long	0x0005001C
53524156     0008		.ascii	"VARS "
      20     000C

      00     000D		.byte	0x00
      00     000E		.byte	0x00
      00     000F		.byte	0x00
00000024     0010		.long	0x00000024
00000001     0014		.long	0x00000001
00000003     0018		.long	0x00000003
00000037     001C		.long	0x00000037
00000036     0020		.long	0x00000036
000E001C     0024		.long	0x000E001C
46454454     0028		.ascii	"TDEF 1 linear "
6C203120     002C
61656E69     0030
    2072     0034

      00     0036		.byte	0x00
      00     0037		.byte	0x00
00010048     0038		.long	0x00010048
0004001C     003C		.long	0x0004001C
72683320     0040		.ascii	" 3hr"

00000037     0044		.long	0x00000037
00000036     0048		.long	0x00000036
0010001C     004C		.long	0x0010001C
4C544954     0050		.ascii	"TITLE INPE-CPTEC"
4E492045     0054
432D4550     0058
43455450     005C

00000037     0060		.long	0x00000037
00000036     0064		.long	0x00000036
0006001C     0068		.long	0x0006001C
45444E55     006C		.ascii	"UNDEF "
    2046     0070

      00     0072		.byte	0x00
      00     0073		.byte	0x00
01000021     0074		.long	0x01000021
00000001     0078		.long	0x00000001
0000000C     007C		.long	0x0000000C
00000037     0080		.long	0x00000037
00000036     0084		.long	0x00000036
0008001C     0088		.long	0x0008001C
4D4E5453     008C		.ascii	"STNMAP ^"
5E205041     0090

00010048     0094		.long	0x00010048
0004001C     0098		.long	0x0004001C
70616D2E     009C		.ascii	".map"

00000037     00A0		.long	0x00000037
00000036     00A4		.long	0x00000036
000D001C     00A8		.long	0x000D001C
50595444     00AC		.ascii	"DTYPE station"

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 38
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

74732045     00B0
6F697461     00B4
      6E     00B8

      00     00B9		.byte	0x00
      00     00BA		.byte	0x00
      00     00BB		.byte	0x00
00000037     00BC		.long	0x00000037
00000036     00C0		.long	0x00000036
0006001C     00C4		.long	0x0006001C
54455344     00C8		.ascii	"DSET ^"
    5E20     00CC

      00     00CE		.byte	0x00
      00     00CF		.byte	0x00
00010048     00D0		.long	0x00010048
0004001C     00D4		.long	0x0004001C
6E69622E     00D8		.ascii	".bin"

00000037     00DC		.long	0x00000037
00000036     00E0		.long	0x00000036
0000001D     00E4		.long	0x0000001D
00000001     00E8		.long	0x00000001
00000004     00EC		.long	0x00000004
0000001D     00F0		.long	0x0000001D
00000001     00F4		.long	0x00000001
00000005     00F8		.long	0x00000005
0000000E     00FC		.long	0x0000000E
00000001     0100		.long	0x00000001
00000001     0104		.long	0x00000001
0000001D     0108		.long	0x0000001D
00000001     010C		.long	0x00000001
0000001E     0110		.long	0x0000001E
00000037     0114		.long	0x00000037
00000036     0118		.long	0x00000036
00010048     011C		.long	0x00010048
00000037     0120		.long	0x00000037
				.rdata
			$$2:
00000000     0000		.quad	.literal
00000000     0008		.quad	.lit4
00000000     0010		.quad	for_close
00000000     0018		.quad	for_write_seq_fmt_xmit
00000000     0020		.quad	$datelib$grdate_
00000000     0028		.quad	for_write_seq_fmt
000000C0     0030		.quad	$DATA$+192
00000000     0038		.quad	for_open
00000000     0040		.quad	$stringflib$sep_substrings_
00000000     0048		.quad	for_trim
00000000     0050		.quad	_OtsFill
00000000     0058		.quad	_OtsMoveMinimum
00000000     0060		.quad	_OtsMove
00000004     0068		.quad	$BSS$+4
00000000     0070		.quad	for_write_dir
00000000     0078		.quad	for_stop
00000000     0080		.quad	for_write_seq_lis_xmit
00000000     0088		.quad	for_write_seq_lis

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 39
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

				.rconst
			$$3:
00000001     0000		.long	0x00000001 #  .ascii "\X01\X00\X00\X00"

00010638     0008		.long	0x00010638 #  .ascii "8\X06\X01\X00"

00020438     0010		.long	0x00020438 #  .ascii "8\X04\X02\X00"

00020638     0018		.long	0x00020638 #  .ascii "8\X06\X02\X00"

00010309     0020		.long	0x00010309 #  .ascii "\X09\X03\X01\X00"

CDA2425E     0024		.long	0xCDA2425E # .float -0.3402823E+09
0001011A     0028		.long	0x0001011A #  .ascii "\X1A\X01\X01\X00"

00010438     0030		.long	0x00010438 #  .ascii "8\X04\X01\X00"

6C74632E     0038		.long	0x6C74632E #  .ascii ".ctl"

00020109     0040		.long	0x00020109 #  .ascii "\X09\X01\X02\X00"

0001031A     0048		.long	0x0001031A #  .ascii "\X1A\X03\X01\X00"

0001051A     0050		.long	0x0001051A #  .ascii "\X1A\X05\X01\X00"

6E69622E     0058		.long	0x6E69622E #  .ascii ".bin"

				.rconst
			$$4:
56444E45     0000		.ascii	"ENDVARS"
  535241     0004

39203020     0008		.ascii	" 0 99 "
    2039     000C

    0001     0010		.ascii	"\X01\X00"

000D0438     0018		.ascii	"8\X04\X0D\X008\X04\X1A\X00\X01\X00\X00\X00"
001A0438     001C
00000001     0020

6E6B6E75     0028		.ascii	"unknown"
  6E776F     002C

      2F     0030		.ascii	"/"

74794220     0038		.ascii	" Bytes Gravados"
47207365     003C
61766172     0040
  736F64     0044

      20     0048		.ascii	" "

000D0438     0050		.ascii	"8\X04\X0D\X008\X04\X1A\X008\X04\X0F\X008\X04\X02\X00\X0B\X01A\X00\X01\X00\X00\X00"
001A0438     0054
000F0438     0058
00020438     005C

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 40
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

0041010B     0060
00000001     0064

45524944     0068		.ascii	"DIRECT"
    5443     006C

4F464E55     0070		.ascii	"UNFORMATTED"
54414D52     0074
  444554     0078

             0080		.ascii	"\0"

6D617420     0088		.ascii	" tamanho(nobs)="
6F686E61     008C
626F6E28     0090
  3D2973     0094

626F6E20     0098		.ascii	" nobs ="
  3D2073     009C

626F6E20     00A0		.ascii	" nobs ou obs com tamanho incorretos"
756F2073     00A4
73626F20     00A8
6D6F6320     00AC
6D617420     00B0
6F686E61     00B4
636E6920     00B8
6572726F     00BC
  736F74     00C0

6F727245     00C8		.ascii	"Erro em mgrads:"
206D6520     00CC
6172676D     00D0
  3A7364     00D4

				.data
			$$5:
	     0000		; Procedure descriptor for $mgrads$savectl_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0x9E
				; fmask                : 0x00
				; frame_size           : 104
				; sp_set               : 2
				; entry_length         : 10
	     0008		; Procedure descriptor for $mgrads$savebin_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xFE
				; fmask                : 0x00
				; frame_size           : 112
				; sp_set               : 2
				; entry_length         : 12
				.data
			$$6:
	     0000		; Code range descriptor for $mgrads$savectl_
				beginaddress	    :     0000

SAVEBIN                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 41
                                $mgrads$savebin_                 5-Aug-2004 11:10:59  mgrads.f90

				rpd_offset	    :     0000
				flags               : Standard
	     0008		; Code range descriptor for $mgrads$savebin_
				beginaddress	    :     0A04
				rpd_offset	    :     0008
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock
       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66
  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2
       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase
       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude
       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only
  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity

SAVECTL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 42
                                                                 5-Aug-2004 11:10:59  mgrads.f90

  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : mgrads.l
       -o    filename : mgrads.o

COMPILER: Compaq Fortran V5.3-915-449BB

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
