READTBL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 1
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

	      1 
	      2 !_______________________________________________________________________
	      3 ! MREADTBL - MODULO DE LEITURA DE TABELAS TEXTOS DE DADOS METEOROLOGICOS   
	      4 !            
	      5 !            Este módulo fornece suporte genérico para leitura de tabelas texto
	      6 !            compostas por colunas numerica de valores numericos
	      7 !
	      8 !            Apresenta os seguintes metedos
	      9 !
	     10 !            conf_mreadtbl = Chamada sempre antes de qualquer leitura, para
	     11 !                            informar as carateristicas da tabela a ser lida
	     12 !                            são estas
	     13 !           
	     14 !                            Totalc : Numero de colunas numericas da tabela
	     15 !                            nselc  : Numero de colunas que deseja selecionar 
	     16 !                                     para leitura. Se nsel= Totalc indica
	     17 !                                     que todas as colunas seram lidas
	     18 !                           selc(:) : Seleciona quais colunas devem ser lidas
	     19 !                                     e quais seram descartadas. Tambem indica
	     20 !                                     a ordem de leitura. Exemplo
	     21 !                         
	     22 !                                     selc(1)=2
	     23 !                                     selc(2)=1
	     24 !                                     
	     25 !                                     indica que os valores da primeira coluna !     
	     26 !                                     databela serao lidos como estivessem na 
	     27 !               !                     segunda e vice-versa
	     28 !
	     29 !            readtbl : Procede a leitura de um arquivo de tabela texto. 
	     30 !                      Durante esta leitura somente as linhas que contiverem
	     31 !                      um numero totalc de colunas  sao consideradas. 
	     32 !
	     33 !                      São considerados separadores de coluna os caracteres 
	     34 !                      branco, ! virgula, e ponto e virgula
	     35 !                      Os dados lidos são retornados na matriz obs(:,:), cujas colunas
	     36 !                      sao organizadas conforme a configuracao de selc(:) 
	     37 !
	     38 !                      No caso de existir valores  não numericos 
	     39 !                      estes são retornados como  Null=-340282300 (real ou interiro)   
	     40 !______________
	     41 MODULE MREADTBL
	     42 
	     43  USE STRINGFLIB
	     44  USE DATELIB
	     45   implicit none
	     46   
	     47 PRIVATE	
	     48  
	     49 
	     50 PUBLIC conf_mreadtbl
	     51 PUBLIC Readtbl
	     52 
	     53 
	     54 
	     55  
	     56 
	     57 

READTBL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 2
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

	     58  !{ Declaracao das variaveis globais
	     59   integer :: nscols                      ! Numero de colunas selecionadas da tabela
	     60   integer :: ncols                       ! Numero de colunas da tabela
	     61   integer,dimension(50)::tblscol          ! numero da coluna selecionada
	     62   integer::nbufrtbl
	     63  !}
	     64 
	     65 
	     66 CONTAINS 
	     67 
	     68 !_______________________________________
	     69 ! Subrotine de configuracao deste modulo 
	     70 !_______________________________________
	     71  subroutine conf_mreadtbl(totalc,nselc,selc)
	     72     integer, intent(in):: totalc          ! Numero de colunas das tabelas
	     73     integer, intent(in):: nselc           ! Numero de colunas selecionadas p/ leitura
	     74     integer,dimension(:),intent(in)::selc ! Martriz com os numeros das colunas p/ leitura
	     75 
	     76 
	     77 !{ Declaracao de variaveis locais
	     78     integer :: i
	     79 !}
	     80 !{ Configurar         
	     81     nscols=nselc
	     82     ncols=totalc
	     83 
	     84    do i=1,nselc
	     85      tblscol(i)=selc(i)
	     86    end do
	     87 
	     88 end subroutine conf_mreadtbl 

CONF_MREADTBL                   Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 3
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 3280 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                  12 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mreadtbl$nbufrtbl_ps_                   4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mreadtbl$tblscol_ps_                  200 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  5 $mreadtbl$ncols_ps_                      4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mreadtbl$nscols_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  7 $CODE$                                1968   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  8 .lita                                  144   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  9 .lit4                                   20   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 10 .literal                               111   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 11 .xdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 12 .pdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 5779

ENTRY POINTS
 Address      Name                    
                                      
  7-00000000  $mreadtbl$conf_mreadtbl_

VARIABLES
 Address      Type  Name    Address      Type  Name    Address      Type  Name  
                                                                                
  1-00000000  I*4   I            **      I*4   NSELC        **      I*4   TOTALC

ARRAYS
 Address      Type  Name        Bytes  Dimensions
      **      I*4   SELC           64  (:)

CONF_MREADTBL                   Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 4
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

	     89 
	     90 !________________________________________________
	     91 ! Subrotina de leitura de  tabela de dados Texto
	     92 
	     93  subroutine Readtbl(UN,filename,Obs,NObs)
	     94    	integer,intent(in)::UN                  !  Unidade de Leitura
	     95    	character(len=*),intent(in)::filename   ! Nome do arquivo de leitura
	     96    	real,dimension(:,:),intent(inout):: Obs ! Matriz de Observacoes
	     97    	integer,intent(out):: NObs              ! Numero de Observacoes
	     98   
	     99         
	    100 
	    101 
	    102 !{ Variaveis Locais
	    103         character(len=60),dimension(50)::cols
	    104         integer :: j,i
	    105    	character(len=255):: linha
	    106         integer:: uni
	    107 	integer::max_Nobs
	    108 !}
	    109 
	    110 !{ Inicializacao de Variaveis
	    111           uni=un 
	    112           nobs=0
	    113           i=0
	    114           cols(1:50)=''
	    115 	  max_Nobs=UBOUND(obs,1)
	    116 !}
	    117 !{ Processamento - Atribui a matriz obs somente as colunas selecionadas
	    118 
	    119       
	    120     	open(uni,file=filename,status='unknown')
	    121         print *," "
	    122         print *,"Lendo ",trim(filename)
	    123  10 	read(uni,'(a)',end=999)linha
	    124         call sep_words(linha,cols,j)
	    125     
	    126     	if (ncols==j) then        
	    127          nobs=nobs+1
	    128          do i=1,nscols 
	    129              obs(nobs,i)=val(cols(tblscol(i)))
	    130          end do
	    131 
	    132         end if           
	    133     	if (nobs<max_Nobs) then 
	    134 	    goto 10
	    135 	else 
	    136 	   
	    137 	   print *,"*** Erro de Leitura *** Arquivo maior do que o previsto na matriz obs"
	    138 	end if
	    139  999    close(uni)
	    140  !}  
	    141         
	    142 End subroutine readtbl

READTBL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 5
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 3280 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                  12 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mreadtbl$nbufrtbl_ps_                   4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mreadtbl$tblscol_ps_                  200 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  5 $mreadtbl$ncols_ps_                      4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mreadtbl$nscols_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  7 $CODE$                                1968   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  8 .lita                                  144   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  9 .lit4                                   20   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 10 .literal                               111   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 11 .xdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 12 .pdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 5779

ENTRY POINTS
 Address      Name              
                                
  7-000000E8  $mreadtbl$readtbl_


VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
      **      CHAR  FILENAME   1-0000000C  I*4   J          1-00000004  I*4   MAX_NOBS       **      I*4   UN      
  1-00000010  I*4   I          1-00000018  CHAR  LINHA          **      I*4   NOBS       1-00000008  I*4   UNI     


ARRAYS

 Address      Type  Name        Bytes  Dimensions
  1-00000118  CHAR  COLS         3000  (50)
      **      R*4   OBS            88  (:, :)

LABELS
 Address      Label  Address      Label
                                       
      **      10          **      999  

READTBL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 6
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

	    143 
	    144 
	    145 
	    146 !======================================================
	    147 END MODULE


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 3280 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                  12 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mreadtbl$nbufrtbl_ps_                   4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mreadtbl$tblscol_ps_                  200 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  5 $mreadtbl$ncols_ps_                      4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mreadtbl$nscols_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  7 $CODE$                                1968   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  8 .lita                                  144   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  9 .lit4                                   20   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 10 .literal                               111   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 11 .xdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 12 .pdata                                  16 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 5779

FUNCTIONS AND SUBROUTINES REFERENCED
  Type  Name                             Type  Name                          
                                                                             
         $stringflib$val_                       $stringflib$sep_words_       
         $mreadtbl$readtbl_                     $mreadtbl$conf_mreadtbl_     

READTBL                         Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 7
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

	    148  
	    149 
	    150 

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 8
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

				.text
				.globl  $mreadtbl$conf_mreadtbl_
				.ent 	$mreadtbl$conf_mreadtbl_
				.eflag 16
	     0000	$mreadtbl$conf_mreadtbl_:									    # 000071
27BB0001     0000		ldah	gp, $mreadtbl$conf_mreadtbl_		# gp, (r27)
23BD8860     0004		lda	gp, $mreadtbl$conf_mreadtbl_		# gp, (gp)
	     0008	L$1:
23DEFFC0     0008		lda	sp, -64(sp)
				.frame  $sp, 64, $26
				.prologue 1
47F00402     000C		mov	r16, r2
47F10401     0010		mov	r17, r1
47F20400     0014		mov	r18, r0
E4000008     0018		beq	r0, lab$0002
A4A00038     001C		ldq	r5, 56(r0)
A6000030     0020		ldq	r16, 48(r0)
42050530     0024		subq	r16, r5, r16
42003410     0028		addq	r16, 1, r16
B6000030     002C		stq	r16, 48(r0)
47E03412     0030		mov	1, r18
B6400038     0034		stq	r18, 56(r0)
47E50404     0038		mov	r5, var$0002				# r5, r4
	     003C	lab$0002:
A2010000     003C		ldl	r16, (r1)									    # 000081
A63D8028     0040		ldq	r17, $mreadtbl$nscols_			# r17, 24(gp)
B2110000     0044		stl	r16, $mreadtbl$nscols_			# r16, (r17)
A0C20000     0048		ldl	r6, (r2)									    # 000082
A65D8020     004C		ldq	r18, $mreadtbl$ncols_			# r18, 16(gp)
B0D20000     0050		stl	r6, $mreadtbl$ncols_			# r6, (r18)
A0A10000     0054		ldl	r5, (r1)									    # 000084
47E50403     0058		mov	r5, var$0009				# r5, r3
47E03410     005C		mov	1, r16
A63D8018     0060		ldq	r17, I					# r17, 8(gp)
B2110000     0064		stl	r16, I					# r16, (r17)
ECA00016     0068		ble	r5, lab$0005
	     006C	lab$0008:
A4DD8018     006C		ldq	r6, I					# r6, 8(gp)				    # 000085
A0C60000     0070		ldl	r6, I					# r6, (r6)
4CC09406     0074		mulq	r6, 4, r6
A6400010     0078		ldq	r18, 16(r0)
A6000028     007C		ldq	r16, 40(r0)
A63D8018     0080		ldq	r17, I					# r17, 8(gp)
A2310000     0084		ldl	r17, I					# r17, (r17)
A4A00028     0088		ldq	r5, 40(r0)
4E300410     008C		mulq	r17, r16, r16
42450525     0090		subq	r18, r5, r5
40B00405     0094		addq	r5, r16, r5
A0A50000     0098		ldl	r5, (r5)
A79D8010     009C		ldq	r28, $mreadtbl$tblscol_			# r28, (gp)
43860406     00A0		addq	$mreadtbl$tblscol_, r6, r6		# r28, r6, r6
B0A60000     00A4		stl	r5, (r6)
A63D8018     00A8		ldq	r17, I					# r17, 8(gp)				    # 000084
A2310000     00AC		ldl	r17, I					# r17, (r17)
42203011     00B0		addl	r17, 1, r17
A65D8018     00B4		ldq	r18, I					# r18, 8(gp)
B2320000     00B8		stl	r17, I					# r17, (r18)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 9
                                $mreadtbl$conf_mreadtbl_         5-Aug-2004 11:11:00  mreadtbl.f90

40603523     00BC		subq	var$0009, 1, var$0009			# r3, 1, r3
FC7FFFEA     00C0		bgt	var$0009, lab$0008			# r3, lab$0008
	     00C4	lab$0005:											    # 000088
E4000006     00C4		beq	r0, lab$0012
A6000030     00C8		ldq	r16, 48(r0)
A4A00038     00CC		ldq	r5, 56(r0)
42050525     00D0		subq	r16, r5, r5
40A40405     00D4		addq	r5, var$0002, r5			# r5, r4, r5
B4A00030     00D8		stq	r5, 48(r0)
B4800038     00DC		stq	var$0002, 56(r0)			# r4, 56(r0)
	     00E0	lab$0012:
23DE0040     00E0		lda	sp, 64(sp)
6BFA8001     00E4		ret	(r26)
				.end 	$mreadtbl$conf_mreadtbl_

Routine Size: 232 bytes,    Routine Base: $CODE$ + 0000

				.globl  $mreadtbl$readtbl_
				.ent 	$mreadtbl$readtbl_
				.eflag 16
	     00E8	$mreadtbl$readtbl_:										    # 000093
27BB0001     00E8		ldah	gp, $mreadtbl$readtbl_			# gp, (r27)
23BD8860     00EC		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
	     00F0	L$7:
23DEFEE0     00F0		lda	sp, -288(sp)
B75E0000     00F4		stq	r26, (sp)
B53E0008     00F8		stq	r9, 8(sp)
B55E0010     00FC		stq	r10, 16(sp)
B57E0018     0100		stq	r11, 24(sp)
B59E0020     0104		stq	r12, 32(sp)
B5BE0028     0108		stq	r13, 40(sp)
B5DE0030     010C		stq	r14, 48(sp)
B5FE0038     0110		stq	r15, 56(sp)
47FE040F     0114		mov	sp, r15
				.mask 0x0400FE00,-288
				.fmask 0x00000000,0
				.frame  $fp, 288, $26
				.prologue 1
B60F0050     0118		stq	r16, 80(r15)
B62F0040     011C		stq	r17, 64(r15)
47F2040A     0120		mov	r18, r10
47F30409     0124		mov	r19, r9
B68F0098     0128		stq	r20, FILENAME.len			# r20, 152(r15)
A56F0098     012C		ldq	r11, FILENAME.len			# r11, 152(r15)
B56F0048     0130		stq	r11, 72(r15)
E5400010     0134		beq	r10, lab$0004
A60A0038     0138		ldq	r16, 56(r10)
A62A0030     013C		ldq	r17, 48(r10)
42300531     0140		subq	r17, r16, r17
42203411     0144		addq	r17, 1, r17
B62A0030     0148		stq	r17, 48(r10)
47E03413     014C		mov	1, r19
B66A0038     0150		stq	r19, 56(r10)
B60F0090     0154		stq	r16, var$0005				# r16, 144(r15)
A40A0050     0158		ldq	r0, 80(r10)
A62A0048     015C		ldq	r17, 72(r10)
42200531     0160		subq	r17, r0, r17

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 10
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

42203411     0164		addq	r17, 1, r17
B62A0048     0168		stq	r17, 72(r10)
47E03413     016C		mov	1, r19
B66A0050     0170		stq	r19, 80(r10)
B40F0088     0174		stq	r0, var$0006				# r0, 136(r15)
	     0178	lab$0004:
A60F0050     0178		ldq	r16, 80(r15)									    # 000111
A2100000     017C		ldl	r16, (r16)
A63D8018     0180		ldq	r17, UNI				# r17, 8(gp)
B2110008     0184		stl	r16, UNI				# r16, 8(r17)
B3E90000     0188		stl	r31, (r9)									    # 000112
A67D8018     018C		ldq	r19, I					# r19, 8(gp)				    # 000113
B3F30010     0190		stl	r31, I					# r31, 16(r19)
47E03400     0194		mov	1, var$0012				# 1, r0					    # 000114
47E03401     0198		mov	1, var$0011				# 1, r1
	     019C	lab$0017:
40265DB4     019C		cmple	var$0011, 50, r20			# r1, 50, r20
E680000B     01A0		beq	r20, lab$0021
4C079412     01A4		mulq	var$0012, 60, r18			# r0, 60, r18
A61D8018     01A8		ldq	r16, COLS				# r16, 8(gp)
42120410     01AC		addq	COLS, r18, r16				# r16, r18, r16
221000DC     01B0		lda	r16, 220(r16)
47E79411     01B4		mov	60, r17
47E41412     01B8		mov	32, r18
A77D8098     01BC		ldq	r27, _OtsFill				# r27, 136(gp)
6B5B4000     01C0		jsr	r26, _OtsFill				# r26, (r27)
40003400     01C4		addq	var$0012, 1, var$0012			# r0, 1, r0
40203401     01C8		addq	var$0011, 1, var$0011			# r1, 1, r1
C3FFFFF3     01CC		br	lab$0017
	     01D0	lab$0021:											    # 000115
A60A0030     01D0		ldq	r16, 48(r10)
A62A0038     01D4		ldq	r17, 56(r10)
42110530     01D8		subq	r16, r17, r16
42003410     01DC		addq	r16, 1, r16
A64A0048     01E0		ldq	r18, 72(r10)
A66A0050     01E4		ldq	r19, 80(r10)
42530532     01E8		subq	r18, r19, r18
42403412     01EC		addq	r18, 1, r18
47F00414     01F0		mov	r16, r20
FE000002     01F4		bgt	r16, lab$0023
B3EF00E0     01F8		stl	r31, var$0013				# r31, 224(r15)
C3E00001     01FC		br	lab$0024
	     0200	lab$0023:
B28F00E0     0200		stl	r20, var$0013				# r20, 224(r15)
	     0204	lab$0024:
47F20400     0204		mov	r18, r0
FE400002     0208		bgt	r18, lab$0026
B3EF00E4     020C		stl	r31, 228(r15)
C3E00001     0210		br	lab$0027
	     0214	lab$0026:
B00F00E4     0214		stl	r0, 228(r15)
	     0218	lab$0027:
A26F00E0     0218		ldl	r19, var$0013				# r19, 224(r15)
A61D8018     021C		ldq	r16, MAX_NOBS				# r16, 8(gp)
B2700004     0220		stl	r19, MAX_NOBS				# r19, 4(r16)
A75D8030     0224		ldq	r26, 32(gp)									    # 000120
235A0068     0228		lda	r26, 104(r26)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 11
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

B3EF00A0     022C		stl	r31, var$0004				# r31, 160(r15)
A77D8018     0230		ldq	r27, UNI				# r27, 8(gp)
A23B0008     0234		ldl	r17, UNI				# r17, 8(r27)
A67D8030     0238		ldq	r19, 32(gp)
22730058     023C		lda	r19, 88(r19)
A56F0048     0240		ldq	r11, 72(r15)
B56F00E0     0244		stq	r11, 224(r15)
A42F0040     0248		ldq	r1, 64(r15)
B42F00E8     024C		stq	r1, 232(r15)
47E0F410     0250		mov	7, r16
B60F00F0     0254		stq	r16, 240(r15)
B74F00F8     0258		stq	r26, 248(r15)
220F00A0     025C		lda	r16, var$0004				# r16, 160(r15)
265F0385     0260		ldah	r18, 901(r31)
2252FF00     0264		lda	r18, -256(r18)
228F00E0     0268		lda	r20, 224(r15)
A77D8090     026C		ldq	r27, for_open				# r27, 128(gp)
6B5B4000     0270		jsr	r26, for_open				# r26, (r27)
27BA0001     0274		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     0278		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
A41D8030     027C		ldq	r0, 32(gp)									    # 000121
20000050     0280		lda	r0, 80(r0)
B3EF00A0     0284		stl	r31, var$0004				# r31, 160(r15)
A67D8038     0288		ldq	r19, 40(gp)
22730010     028C		lda	r19, 16(r19)
47E03402     0290		mov	1, r2
B44F00E0     0294		stq	r2, 224(r15)
B40F00E8     0298		stq	r0, 232(r15)
220F00A0     029C		lda	r16, var$0004				# r16, 160(r15)
223FFFFF     02A0		mov	-1, r17
265F0385     02A4		ldah	r18, 901(r31)
2252FF00     02A8		lda	r18, -256(r18)
228F00E0     02AC		lda	r20, 224(r15)
A77D8088     02B0		ldq	r27, for_write_seq_lis			# r27, 120(gp)
6B5B4000     02B4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     02B8		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     02BC		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
47FE040B     02C0		mov	sp, r11										    # 000122
A41D8030     02C4		ldq	r0, 32(gp)
20000048     02C8		lda	r0, 72(r0)
B3EF00A0     02CC		stl	r31, var$0004				# r31, 160(r15)
A67D8038     02D0		ldq	r19, 40(gp)
22730008     02D4		lda	r19, 8(r19)
47E0D402     02D8		mov	6, r2
B44F00E0     02DC		stq	r2, 224(r15)
B40F00E8     02E0		stq	r0, 232(r15)
220F00A0     02E4		lda	r16, var$0004				# r16, 160(r15)
223FFFFF     02E8		mov	-1, r17
265F0385     02EC		ldah	r18, 901(r31)
2252FF00     02F0		lda	r18, -256(r18)
228F00E0     02F4		lda	r20, 224(r15)
A77D8088     02F8		ldq	r27, for_write_seq_lis			# r27, 120(gp)
6B5B4000     02FC		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0300		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     0304		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
A40F0048     0308		ldq	r0, 72(r15)
41E0052C     030C		subq	r15, r0, r12

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 12
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

4581F10C     0310		bic	r12, 15, r12
230FF000     0314		lda	r24, -4096(r15)
A78C0000     0318		ldq	r28, (r12)
430C07BC     031C		cmpule	r24, r12, r28
F7800004     0320		bne	r28, L$15
	     0324	L$14:
A7980000     0324		ldq	r28, (r24)
2318E020     0328		lda	r24, -8160(r24)
430C07BC     032C		cmpule	r24, r12, r28
E79FFFFC     0330		beq	r28, L$14
	     0334	L$15:
47EC041E     0334		mov	r12, sp
47FE040B     0338		mov	sp, r11
A66F0048     033C		ldq	r19, 72(r15)
47F30401     0340		mov	r19, r1
43D30522     0344		subq	sp, r19, r2
4441F102     0348		bic	r2, 15, r2
231EF000     034C		lda	r24, -4096(sp)
A7820000     0350		ldq	r28, (r2)
430207BC     0354		cmpule	r24, r2, r28
F7800004     0358		bne	r28, L$17
	     035C	L$16:
A7980000     035C		ldq	r28, (r24)
2318E020     0360		lda	r24, -8160(r24)
430207BC     0364		cmpule	r24, r2, r28
E79FFFFC     0368		beq	r28, L$16
	     036C	L$17:
47E2041E     036C		mov	r2, sp
22020000     0370		lda	r16, (r2)
47F30411     0374		mov	r19, r17
A64F0040     0378		ldq	r18, 64(r15)
A77D8080     037C		ldq	r27, _OtsMove				# r27, 112(gp)
6B5B4000     0380		jsr	r26, _OtsMove				# r26, (r27)
43C10520     0384		subq	sp, r1, r0
4401F100     0388		bic	r0, 15, r0
231EF000     038C		lda	r24, -4096(sp)
A7800000     0390		ldq	r28, (r0)
430007BC     0394		cmpule	r24, r0, r28
F7800004     0398		bne	r28, L$21
	     039C	L$20:
A7980000     039C		ldq	r28, (r24)
2318E020     03A0		lda	r24, -8160(r24)
430007BC     03A4		cmpule	r24, r0, r28
E79FFFFC     03A8		beq	r28, L$20
	     03AC	L$21:
47E0041E     03AC		mov	r0, sp
22000000     03B0		lda	r16, (r0)
47E10411     03B4		mov	r1, r17
22420000     03B8		lda	r18, (r2)
A66F0048     03BC		ldq	r19, 72(r15)
A77D8078     03C0		ldq	r27, _OtsMoveMinimum			# r27, 104(gp)
6B5B4000     03C4		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     03C8		mov	32, r18
A77D8098     03CC		ldq	r27, _OtsFill				# r27, 136(gp)
6B5B4000     03D0		jsr	r26, _OtsFill				# r26, (r27)
47EC0410     03D4		mov	r12, r16
A62F0048     03D8		ldq	r17, 72(r15)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 13
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

22400000     03DC		lda	r18, (r0)
47E10413     03E0		mov	r1, r19
A77D8070     03E4		ldq	r27, for_trim				# r27, 96(gp)
6B5B4000     03E8		jsr	r26, for_trim				# r26, (r27)
27BA0001     03EC		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     03F0		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
A43D8038     03F4		ldq	r1, 40(gp)
20210010     03F8		lda	r1, 16(r1)
47E00402     03FC		mov	r0, r2
41600523     0400		subq	r11, r0, r3
4461F103     0404		bic	r3, 15, r3
230BF000     0408		lda	r24, -4096(r11)
A7830000     040C		ldq	r28, (r3)
430307BC     0410		cmpule	r24, r3, r28
F7800004     0414		bne	r28, L$25
	     0418	L$24:
A7980000     0418		ldq	r28, (r24)
2318E020     041C		lda	r24, -8160(r24)
430307BC     0420		cmpule	r24, r3, r28
E79FFFFC     0424		beq	r28, L$24
	     0428	L$25:
47E3041E     0428		mov	r3, sp
22030000     042C		lda	r16, (r3)
47E00411     0430		mov	r0, r17
224C0000     0434		lda	r18, (r12)
A77D8080     0438		ldq	r27, _OtsMove				# r27, 112(gp)
6B5B4000     043C		jsr	r26, _OtsMove				# r26, (r27)
43C20524     0440		subq	sp, r2, r4
4481F104     0444		bic	r4, 15, r4
231EF000     0448		lda	r24, -4096(sp)
A7840000     044C		ldq	r28, (r4)
430407BC     0450		cmpule	r24, r4, r28
F7800004     0454		bne	r28, L$29
	     0458	L$28:
A7980000     0458		ldq	r28, (r24)
2318E020     045C		lda	r24, -8160(r24)
430407BC     0460		cmpule	r24, r4, r28
E79FFFFC     0464		beq	r28, L$28
	     0468	L$29:
47E4041E     0468		mov	r4, sp
22040000     046C		lda	r16, (r4)
47E20411     0470		mov	r2, r17
22430000     0474		lda	r18, (r3)
47E00413     0478		mov	r0, r19
A77D8078     047C		ldq	r27, _OtsMoveMinimum			# r27, 104(gp)
6B5B4000     0480		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0484		mov	32, r18
A77D8098     0488		ldq	r27, _OtsFill				# r27, 136(gp)
6B5B4000     048C		jsr	r26, _OtsFill				# r26, (r27)
20A40000     0490		lda	r5, (r4)
B4AF00E8     0494		stq	r5, 232(r15)
B44F00E0     0498		stq	r2, 224(r15)
220F00A0     049C		lda	r16, var$0004				# r16, 160(r15)
47E10411     04A0		mov	r1, r17
224F00E0     04A4		lda	r18, 224(r15)
A77D8068     04A8		ldq	r27, for_write_seq_lis_xmit		# r27, 88(gp)
6B5B4000     04AC		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 14
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

27BA0001     04B0		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     04B4		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
	     04B8	lab$0041:											    # 000123
47EF041E     04B8		mov	r15, sp
B3EF00A0     04BC		stl	r31, var$0004				# r31, 160(r15)
A41D8018     04C0		ldq	r0, UNI					# r0, 8(gp)
A2200008     04C4		ldl	r17, UNI				# r17, 8(r0)
A67D8038     04C8		ldq	r19, 40(gp)
22730010     04CC		lda	r19, 16(r19)
47FFF401     04D0		mov	255, r1
B42F00E0     04D4		stq	r1, 224(r15)
A47D8018     04D8		ldq	r3, LINHA				# r3, 8(gp)
20630018     04DC		lda	r3, LINHA				# r3, 24(r3)
B46F00E8     04E0		stq	r3, 232(r15)
220F00A0     04E4		lda	r16, var$0004				# r16, 160(r15)
265F0385     04E8		ldah	r18, 901(r31)
2252FF02     04EC		lda	r18, -254(r18)
228F00E0     04F0		lda	r20, 224(r15)
A6BD8060     04F4		ldq	r21, var$0008				# r21, 80(gp)
A77D8058     04F8		ldq	r27, for_read_seq_fmt			# r27, 72(gp)
6B5B4000     04FC		jsr	r26, for_read_seq_fmt			# r26, (r27)
27BA0001     0500		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     0504		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
47E0040E     0508		mov	r0, var$0018				# r0, r14
218E0001     050C		addq	var$0018, 1, r12			# r14, 1, r12
E580007F     0510		beq	r12, lab$0071
A42F00E0     0514		ldq	r1, var$0019				# r1, 224(r15)				    # 000124
48205601     0518		zap	r1, 2, r1
B42F00E0     051C		stq	r1, var$0019				# r1, 224(r15)
47E1D401     0520		mov	14, r1
A46F00E0     0524		ldq	r3, var$0019				# r3, 224(r15)
48609603     0528		zap	r3, 4, r3
48205161     052C		insbl	r1, 2, r1
44610403     0530		bis	r3, r1, r3
B46F00E0     0534		stq	r3, var$0019				# r3, 224(r15)
47E15401     0538		mov	10, r1
A4AF00E0     053C		ldq	r5, var$0019				# r5, 224(r15)
48A11605     0540		zap	r5, 8, r5
48207161     0544		insbl	r1, 3, r1
44A10405     0548		bis	r5, r1, r5
B4AF00E0     054C		stq	r5, var$0019				# r5, 224(r15)
47E79401     0550		mov	60, r1
B42F00E8     0554		stq	r1, 232(r15)
A50F00E0     0558		ldq	r8, var$0019				# r8, 224(r15)
451FF108     055C		bic	r8, 255, r8
45003408     0560		bis	r8, 1, r8
B50F00E0     0564		stq	r8, var$0019				# r8, 224(r15)
47E79407     0568		mov	60, r7
B4EF0108     056C		stq	r7, 264(r15)
47E03411     0570		mov	1, r17
B62F0118     0574		stq	r17, 280(r15)
47E65413     0578		mov	50, r19
B66F0110     057C		stq	r19, 272(r15)
A6BD8018     0580		ldq	r21, COLS				# r21, 8(gp)
22B50118     0584		lda	r21, COLS				# r21, 280(r21)
B6AF00F0     0588		stq	r21, 240(r15)
A6FD8018     058C		ldq	r23, COLS				# r23, 8(gp)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 15
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

22F700DC     0590		lda	r23, COLS				# r23, 220(r23)
B6EF0100     0594		stq	r23, 256(r15)
232F00E1     0598		lda	r25, 225(r15)
2F590000     059C		ldq_u	r26, (r25)
4B5900DB     05A0		extbl	r26, r25, r27
4B59005A     05A4		mskbl	r26, r25, r26
4760341B     05A8		bis	r27, 1, r27
4B79017B     05AC		insbl	r27, r25, r27
475B041A     05B0		bis	r26, r27, r26
3F590000     05B4		stq_u	r26, (r25)
A61D8018     05B8		ldq	r16, LINHA				# r16, 8(gp)
22100018     05BC		lda	r16, LINHA				# r16, 24(r16)
222F00E0     05C0		lda	r17, var$0019				# r17, 224(r15)
A65D8018     05C4		ldq	r18, J					# r18, 8(gp)
2252000C     05C8		lda	r18, J					# r18, 12(r18)
47FFF413     05CC		mov	255, r19
A77D8050     05D0		ldq	r27, $stringflib$sep_words_		# r27, 64(gp)
6B5B4000     05D4		jsr	r26, $stringflib$sep_words_		# r26, (r27)
27BA0001     05D8		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     05DC		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
A59D8020     05E0		ldq	r12, $mreadtbl$ncols_			# r12, 16(gp)				    # 000126
A18C0000     05E4		ldl	r12, $mreadtbl$ncols_			# r12, (r12)
A57D8018     05E8		ldq	r11, J					# r11, 8(gp)
A16B000C     05EC		ldl	r11, J					# r11, 12(r11)
458B080B     05F0		xor	r12, r11, r11
F560002F     05F4		bne	r11, lab$0054
A0090000     05F8		ldl	r0, (r9)									    # 000127
40003000     05FC		addl	r0, 1, r0
B0090000     0600		stl	r0, (r9)
A45D8028     0604		ldq	r2, $mreadtbl$nscols_			# r2, 24(gp)				    # 000128
A0420000     0608		ldl	r2, $mreadtbl$nscols_			# r2, (r2)
47E2040D     060C		mov	r2, var$0020				# r2, r13
47E03403     0610		mov	1, r3
A49D8018     0614		ldq	r4, I					# r4, 8(gp)
B0640010     0618		stl	r3, I					# r3, 16(r4)
EC400025     061C		ble	r2, lab$0054
	     0620	lab$0059:											    # 000129
A4AA0010     0620		ldq	r5, 16(r10)
A4CA0028     0624		ldq	r6, 40(r10)
A0E90000     0628		ldl	r7, (r9)
A50A0040     062C		ldq	r8, 64(r10)
A61D8018     0630		ldq	r16, I					# r16, 8(gp)
A2100010     0634		ldl	r16, I					# r16, 16(r16)
A62A0028     0638		ldq	r17, 40(r10)
A64A0040     063C		ldq	r18, 64(r10)
42320411     0640		addq	r17, r18, r17
4E080408     0644		mulq	r16, r8, r8
4CE60406     0648		mulq	r7, r6, r6
40C80406     064C		addq	r6, r8, r6
40B10525     0650		subq	r5, r17, r5
40A6040C     0654		addq	r5, r6, r12
A67D8018     0658		ldq	r19, I					# r19, 8(gp)
A2730010     065C		ldl	r19, I					# r19, 16(r19)
4E609413     0660		mulq	r19, 4, r19
A79D8010     0664		ldq	r28, $mreadtbl$tblscol_			# r28, (gp)
43930413     0668		addq	$mreadtbl$tblscol_, r19, r19		# r28, r19, r19
A2730000     066C		ldl	r19, (r19)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 16
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

4E679413     0670		mulq	r19, 60, r19
A79D8018     0674		ldq	r28, COLS				# r28, 8(gp)
43930413     0678		addq	COLS, r19, r19				# r28, r19, r19
221300DC     067C		lda	r16, 220(r19)
47E79411     0680		mov	60, r17
A77D8048     0684		ldq	r27, $stringflib$val_			# r27, 56(gp)
6B5B4000     0688		jsr	r26, $stringflib$val_			# r26, (r27)
27BA0001     068C		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     0690		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
980C0000     0694		sts	f0, (r12)
A57D8018     0698		ldq	r11, I					# r11, 8(gp)				    # 000128
A16B0010     069C		ldl	r11, I					# r11, 16(r11)
4160300B     06A0		addl	r11, 1, r11
A41D8018     06A4		ldq	r0, I					# r0, 8(gp)
B1600010     06A8		stl	r11, I					# r11, 16(r0)
41A0352D     06AC		subq	var$0020, 1, var$0020			# r13, 1, r13
FDBFFFDB     06B0		bgt	var$0020, lab$0059			# r13, lab$0059
	     06B4	lab$0054:											    # 000126
A0290000     06B4		ldl	r1, (r9)									    # 000133
A45D8018     06B8		ldq	r2, MAX_NOBS				# r2, 8(gp)
A0420004     06BC		ldl	r2, MAX_NOBS				# r2, 4(r2)
402209A1     06C0		cmplt	r1, r2, r1
E4200002     06C4		beq	r1, lab$0068
B7EF0068     06C8		stq	r31, var$0021				# r31, 104(r15)				    # 000134
C3FFFF7A     06CC		br	lab$0041
	     06D0	lab$0068:											    # 000137
A47D8030     06D0		ldq	r3, 32(gp)
B3EF00A0     06D4		stl	r31, var$0004				# r31, 160(r15)
A67D8038     06D8		ldq	r19, 40(gp)
22730010     06DC		lda	r19, 16(r19)
47E8B405     06E0		mov	69, r5
B4AF00E0     06E4		stq	r5, 224(r15)
B46F00E8     06E8		stq	r3, 232(r15)
220F00A0     06EC		lda	r16, var$0004				# r16, 160(r15)
223FFFFF     06F0		mov	-1, r17
265F0385     06F4		ldah	r18, 901(r31)
2252FF00     06F8		lda	r18, -256(r18)
228F00E0     06FC		lda	r20, 224(r15)
A77D8088     0700		ldq	r27, for_write_seq_lis			# r27, 120(gp)
6B5B4000     0704		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0708		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     070C		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
	     0710	lab$0071:											    # 000139
B3EF00A0     0710		stl	r31, var$0004				# r31, 160(r15)
A57D8018     0714		ldq	r11, UNI				# r11, 8(gp)
A22B0008     0718		ldl	r17, UNI				# r17, 8(r11)
A67D8038     071C		ldq	r19, 40(gp)
220F00A0     0720		lda	r16, var$0004				# r16, 160(r15)
265F0385     0724		ldah	r18, 901(r31)
2252FF00     0728		lda	r18, -256(r18)
47FF0414     072C		clr	r20
A77D8040     0730		ldq	r27, for_close				# r27, 48(gp)
6B5B4000     0734		jsr	r26, for_close				# r26, (r27)
27BA0001     0738		ldah	gp, $mreadtbl$readtbl_			# gp, (r26)
23BD8860     073C		lda	gp, $mreadtbl$readtbl_			# gp, (gp)
E5400010     0740		beq	r10, lab$0075									    # 000142
A58A0030     0744		ldq	r12, 48(r10)

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 17
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

A56A0038     0748		ldq	r11, 56(r10)
418B052B     074C		subq	r12, r11, r11
A40F0090     0750		ldq	r0, var$0005				# r0, 144(r15)
41600400     0754		addq	r11, r0, r0
B40A0030     0758		stq	r0, 48(r10)
A44F0090     075C		ldq	r2, var$0005				# r2, 144(r15)
B44A0038     0760		stq	r2, 56(r10)
A48A0048     0764		ldq	r4, 72(r10)
A4AA0050     0768		ldq	r5, 80(r10)
40850524     076C		subq	r4, r5, r4
A4CF0088     0770		ldq	r6, var$0006				# r6, 136(r15)
40860404     0774		addq	r4, r6, r4
B48A0048     0778		stq	r4, 72(r10)
A50F0088     077C		ldq	r8, var$0006				# r8, 136(r15)
B50A0050     0780		stq	r8, 80(r10)
	     0784	lab$0075:
47EF041E     0784		mov	r15, sp
A74F0000     0788		ldq	r26, (r15)
A52F0008     078C		ldq	r9, 8(r15)
A54F0010     0790		ldq	r10, 16(r15)
A56F0018     0794		ldq	r11, 24(r15)
A58F0020     0798		ldq	r12, 32(r15)
A5AF0028     079C		ldq	r13, 40(r15)
A5CF0030     07A0		ldq	r14, 48(r15)
A5FE0038     07A4		ldq	r15, 56(sp)
23DE0120     07A8		lda	sp, 288(sp)
6BFA8001     07AC		ret	(r26)
				.end 	$mreadtbl$readtbl_

Routine Size: 1736 bytes,    Routine Base: $CODE$ + 00E8

				.data
				.lcomm	I 4
				.lcomm	MAX_NOBS 4
				.lcomm	UNI 4
				.lcomm	J 4
				.lcomm	I 4
				.lcomm	LINHA 255
				.lcomm	COLS 3000
				.globl $mreadtbl$nbufrtbl_
				.lcomm	$mreadtbl$nbufrtbl_ 4
				.globl $mreadtbl$tblscol_
				.lcomm	$mreadtbl$tblscol_ 200
				.globl $mreadtbl$ncols_
				.lcomm	$mreadtbl$ncols_ 4
				.globl $mreadtbl$nscols_
				.lcomm	$mreadtbl$nscols_ 4
				.data
			$$1:
00000036     0000		.long	0x00000036
00010048     0004		.long	0x00010048
00000037     0008		.long	0x00000037
				.rdata
			$$2:
FFFFFFFC     0000		.quad	$mreadtbl$tblscol_ps_-4
00000000     0008		.quad	$BSS$
00000000     0010		.quad	$mreadtbl$ncols_ps_

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 18
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

00000000     0018		.quad	$mreadtbl$nscols_ps_
00000000     0020		.quad	.literal
00000000     0028		.quad	.lit4
00000000     0030		.quad	for_close
00000000     0038		.quad	$stringflib$val_
00000000     0040		.quad	$stringflib$sep_words_
00000000     0048		.quad	for_read_seq_fmt
00000000     0050		.quad	$DATA$
00000000     0058		.quad	for_write_seq_lis_xmit
00000000     0060		.quad	for_trim
00000000     0068		.quad	_OtsMoveMinimum
00000000     0070		.quad	_OtsMove
00000000     0078		.quad	for_write_seq_lis
00000000     0080		.quad	for_open
00000000     0088		.quad	_OtsFill
				.rconst
			$$3:
00000001     0000		.long	0x00000001 #  .ascii "\X01\X00\X00\X00"

00020438     0008		.long	0x00020438 #  .ascii "8\X04\X02\X00"

00010438     0010		.long	0x00010438 #  .ascii "8\X04\X01\X00"

				.rconst
			$$4:
202A2A2A     0000		.ascii	"*** Erro de Leitura *** Arquivo maior do que o previsto na matriz obs"
6F727245     0004
20656420     0008
7469654C     000C
20617275     0010
202A2A2A     0014
75717241     0018
206F7669     001C
6F69616D     0020
6F642072     0024
65757120     0028
70206F20     002C
69766572     0030
206F7473     0034
6D20616E     0038
69727461     003C
626F207A     0040
      73     0044

646E654C     0048		.ascii	"Lendo "
    206F     004C

      20     0050		.ascii	" "

000D0438     0058		.ascii	"8\X04\X0D\X008\X04\X1A\X00\X01\X00\X00\X00"
001A0438     005C
00000001     0060

6E6B6E75     0068		.ascii	"unknown"
  6E776F     006C

				.data

READTBL                         Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 19
                                $mreadtbl$readtbl_               5-Aug-2004 11:11:00  mreadtbl.f90

			$$5:
	     0000		; Procedure descriptor for $mreadtbl$conf_mreadtbl_
				; flags :short, reg_frame
				; entry_ra             : 26
				; save_ra              : 26
				; frame_size           : 8
				; sp_set               : 2
				; entry_length         : 3
	     0008		; Procedure descriptor for $mreadtbl$readtbl_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xFE
				; fmask                : 0x00
				; frame_size           : 36
				; sp_set               : 2
				; entry_length         : 12
				.data
			$$6:
	     0000		; Code range descriptor for $mreadtbl$conf_mreadtbl_
				beginaddress	    :     0000
				rpd_offset	    :     0000
				flags               : Standard
	     0008		; Code range descriptor for $mreadtbl$readtbl_
				beginaddress	    :     00E8
				rpd_offset	    :     0008
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock
       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66
  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2
       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase

CONF_MREADTBL                   Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 20
                                                                 5-Aug-2004 11:11:00  mreadtbl.f90

       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude
       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only
  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity
  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : mreadtbl.l
       -o    filename : mreadtbl.o

COMPILER: Compaq Fortran V5.3-915-449BB

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
