!**
! stringflib - Biblioteca de funcoes e rotinas para manipulacao de 
!              strings
!
! 
!   
! Esta biblioteca fornece: 
!        
!     Subrotinas: 
! 
!           Sep_NatNum
!           Sep_substrings
!           Sep_words
!        
!     Funcoes Reais:	
!  
!           Val
!
!     Funcoes strings:
!
!	    str$
!           ucase$
!           lcase$
!         
!    Parametros
!
!			 Null 
!**

 module stringflib
	

  Real,parameter	:: Null=-340282300      !valor nulo 
  
  private str_int$
  private str_real$
	
	interface str$
	 module procedure str_int$
	 module procedure str_real$
	end interface
	
	contains
	
	

!** Sep_NatNum
! 
!   Esta subrotina separa os campos numeros naturais de uma variavel caracter,
!   e retorna estes campos na variavel substrings
!
!   Variaveis de entrada
!     
!     string = sequencia de caracteres (letras ou numeros)
!
!  Variaveis de Saida
!
!    substring = conjunto dos numeros naturas separados de string
!    nelements = numero de elementos de substrings
! 
!**  

Subroutine Sep_NatNum(string, substrings, nelements)
    
     character(len=*), intent (in) :: string
	 character(len=*), dimension(:), intent (out)::substrings
	 integer , intent (out) :: nelements
	 integer :: i,l,maxl,F 
	 character(len=1) ::D$
	 character(len=256) :: S$
	 F=0
	 S$=""
	 substrings=""
	 maxl=size(substrings,1)	  

       
        l = Len_trim(string)
        if (l==0) goto 100
	    
		do i = 1,l
        
		  d$ = string(i:i)
		  If (index("0123456789", d$)== 0) Then
          
		     If (Len_trim(s$) > 0) Then
                            
				 F = F + 1
                 substrings(F) = trim(s$)
                 s$ = ""

			  End If
           
		   Else
     	    
			  s$ = trim(s$) // d$
           
		   End If
       	 
		 if (F==maxl+1) exit 

	   end do !i
      
	  If (s$ /="") then ;F = F + 1; substrings(F) = s$; s$ = "";end if
100	  nelements=F


End Subroutine Sep_NatNum


    !* sep_substrings  - Decompoe um string em um conjunto e sub-strings 
	!                 segundo um caracter de separacao
	! 
	!  Variaveis de entrada:
	!   
	!            string = Variavel String 
	!            sep  = caracter de separacao  (len=1)
	!
	!  Variaveis de Saida
	!            substrings(:) = Conjunto dos sub-strings de char 
	!            nelements   = Numero de elementos  de substrings  
	!*

	 subroutine sep_substrings(string,sep,substrings,nelements)
	 
	 
	 character (len=*), intent (in) :: string
	 character (len=1), intent (in) :: sep
	 character (len=*), dimension(:), intent (out)::substrings
	 integer , intent (out) :: nelements
	 integer :: i,l,maxl,F,SLEN 
	 character(len=1) ::D
	 character(len=256) :: S

	 F=0
	 S="";SLEN=0
	 substrings=""
	 maxl=size(substrings,1)	  
	 
	 if (maxl<=2) goto 100  
	 
	 l=len(trim(string))
	 if (l==0) goto 100

	 do i=1,l

	    D = string(i:i)
		

            If ((D == sep)) Then

                 F = F + 1 	
		         substrings(F) = S
		         S = "";SLEN=0

            Else
				
				SLEN=SLEN+1
				S(SLEN:SLEN)=D(1:1)	

            End If

	        if (F==maxl+1) exit 

      end do !i

      If (SLEN /= 0)  F = F + 1; substrings(F) = S; S = "";SLEN=0

 100  nelements=F	
       

	End Subroutine	sep_substrings

 !**  sep_words	- Separa as palavras que compoe uma linha de texto,
 !  
 !    VAriaveis de entrada
 !                
 !        string = linha-de-texto 
 !
 !    Variaveis de saida
 !              
 !       words = conjunto de palavras ou sub-strings e que estao 
 !               separados por um ou mais :espacos, virgulas ou ponto-e-virgulas
 !
 !       nword= Numero de palavras em words
 !
 !       
 !
    
   	 subroutine sep_words(string,words,nwords)
	 character (len=*), intent (in) :: string
	 character (len=*), dimension(:), intent (out)::words
	 integer , intent (out) :: nwords
	 integer :: i,l,maxl,F 
	 character(len=1) ::D
	 character(len=256) :: S
	 F=0
	 S=""
	 words=""
	 maxl=size(words,1)	  
	 if (maxl<=2) goto 100  
	 l=len_trim(string)
	 if (l==0) goto 100
	 

	   
	 do i=1,l
	 
	    D = string(i:i)
            
		If (index(" ,;",D)>0) Then
           
		   If (Len(trim(S)) > 0) Then
            
			  F = F + 1 
		      words(F) = S
		      S = ""
            
			End If
            
		 Else
                
		    S = TRIM(S) // D
		
         End If
	    
		 if (F==maxl+1) exit 
      
	  end do !i
      	
	  If (S /= "")  F = F + 1; words(F) = S; S = ""
 
 100  nwords=F
 	 
	End Subroutine


!**  str_int$ - Retorna um string correspondente a valor na base 10
!             	de uma variavel inteira


	function str_int$(a)
	
	 integer , intent (in) :: a
	 character(len=256)    ::str_int$,b
	 b=""
	 write(b,*)a
	 str_int$=adjustl(b)
	end function


!**  str_int$ Retorna um string correspondente a valor na base 10
!           de uma variavel real  

	function str_real$(a)
	 real , intent (in) :: a
	 character(len=256)   ::str_real$,b

	 integer ::p,r
	 b=""
	 write(b,*)a
	 b=adjustl(b)

	 p=index(b,".")

     

11	 r=len_trim(b)

	 if ( (b(r:r)=="0").and.(r>p).and.(p/=0))then 

		 r=r-1

		 b=b(1:r)

		 goto 11

	 end if

	 

	 if ((r==p).and.(p>0)) then 

	    r=r-1

		b=b(1:r)

	end if

	 



	 str_real$=adjustl(b)

	 
	end function
		


!* val - Retorna um valor numerico real de 4 bytes correspondente a
!        um string de numeros. Caso nao seja possivel converter o string em
!        numero real a funcao retorna um valor Null 
!
! TIPO DE ROTINA : FUNCAO REAL 
!
!*
        

	function val(a$)
	 character(LEN=*),intent (in) :: a$ 
	 real            :: val,b
	 character(len=1):: c$
	 character(len=255)::num$,aa$
	 integer i,l,chknum
	 chknum=1
	 num$=""
	 aa$=adjustl(a$)
	 l=len_trim(aa$)
	 
	 if (l>0) then 
	   
	 !----------------------
	 do i=1,l
	 
	  c$=aa$(i:i)
	 
	  if (index("0123456789.+-",c$)>0) then
	 
	   num$=trim(num$)//c$
	 
	  else
	 
	   chknum=0
	 
	  end if
	 
	 end do

	 !----------------------
	  if (chknum==1) then 
	    read(num$,*)b
	  else 
	    b=NULL
	  end if

     else 
	   b=NULL
	 end if

	 
	 
	 
	 val=b
	end function	
	

!** 
!  ucase$ - Retorna um scring em "Uper Case"  de um string   
!             Exemplos: 
!                  char(97)="a" --> char(65)="A"
!                  char(122)="z" --> char(90)="Z"   
!**     
	 function ucase$(str)
	 
	 character(len=*)::str
	 character(len=255)::ucase$,b
	 integer :: i,l,a
	 
	 b=str
	 l=len(trim(str))
	 if (l>0) then 
	 do i=1,l
	 
	     a=iachar(str(i:i))
	     
		 if ((a>=97).and.(a<=122)) then 
		    a=a-32
	   	    b(i:i)=achar(a)
		 end if
	 
	 end do
	 end if
	 ucase$=b
	 
	 end function   
	 
!**
!     lcase$ - Retorna um string "Lower Case""  de um strinfg
!             Exemplos: 
!                char(65)="A" --> char(97)="a"  
!                char(90)="Z" --> char(122)="z"
!**
 
function lcase$(str)

	 character(len=*)::str
	 character(len=255)::lcase$,b
	 integer :: i,l,a
	 
	 b=str
	 l=len(trim(str))
	 
	 do i=1,l
	 
	   a=iachar(str(i:i))

	   if ((a>=65).and.(a<=90)) then 
	      
		  a=a+32
	   	  b(i:i)=achar(a)
	   
	   end if

	 end do
	 
	 lcase$=b
	 
	 end function  lcase$
	!_______________________________________________________
	function right$(char,lenth)
	 character (len=*),intent (in) :: char
         integer ,         intent (in) :: lenth
	 character (len=lenth) :: right$
	 character (len=len(trim(char))):: a
	 integer 			:: l,i
	 a=trim(char)
	 l=len(a)
	 i=l-lenth+1
	 right$=a(i:l)	
	end function right$ 
!____________________________________________________
	function left$(char,lenth)
	 character (len=*),intent (in) :: char
         integer ,         intent (in) :: lenth
	 character (len=lenth) :: left$	 
	 left$=char(1:lenth)
	end function left$	  	  
end module stringflib
	
 
