CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 1
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	      1 !******************************************************************************
	      2 !*                                                                            *
	      3 !*                               CDVENSAT                                     *
	      4 !*                                                                            *	
	      5 !*       Programa para conversao de formato de dados de vento obtidos por     *
	      6 !*                   por satelites produzidos no DSA                          *
	      7 !*                                                                            *
	      8 !*              CENTRO DE PREVISAO DO TEMPO E ESTUDOS CLIMATICOS              *
	      9 !*                           (MCT-CPTE-INPE)                                  *
	     10 !*                                                                            *
	     11 !*             GRUPO DE PRE-PROCESSAMENTO DE DADOS  METEOROLOGICOS            *
	     12 !******************************************************************************
	     13 !  
	     14 !   Formatos de Entrada
	     15 !         tabela texto do DSA
	     16 !
	     17 !   
	     18 ! 	Formatos de Saida: 
	     19 !       1 - GRADS
	     20 !       2 - BUFR
	     21 !       3  -Texto para gempek
	     22 !
	     23 !      
	     24 !  HISTORICO : 	
	     25 !
	     26 !	VERSAO 0.1 JUNHO 2004 - SERGIO H.S.FERREIRA 
	     27 !
	     28 !                  Versao inicial com a inclusao dos modulos de leitura de tabelas
	     29 !                  textp e modulo de gravacao GRADS (MGRADS)
	     30 !
	     31 !   VERSAO 0.4 25/07/2004 - SERGIO H.S.FERREIRA 
	     32 !          
	     33 !                  Inclusao do Modulo de gravacao em formato BUFR (MBUFR)
	     34 !
	     35 !----------------------------------------------------------------------------
	     36 !
	     37 
	     38 
	     39 program CDVENSAT
	     40 
	     41   USE STRINGFLIB
	     42   USE MREADTBL
	     43   USE DATELIB
	     44   USE MGRADS
	     45   USE mgempak
	     46   !USE MSFLIB  ! Para compilacao em Windows ( Microsoft Power Station )
	     47   USE MBUFR
	     48 
	     49 
	     50   implicit none			! Nada de definicoes implicitas !
	     51 
	     52   !{ DECLARACAO DAS VARIAVEIS 
	     53   	
	     54   	character(len=255) ::infile        ! nome de um arquivo de entrada
	     55  	character(len=255) ::lista         ! nome da lista de arquivos de entrada
	     56  	character(len=255) ::outfile       ! nome do arquivo de saÃ­da sem extensÃ£o
	     57         character(len=255) ::outfilex      ! nome do arquivo de saÃ­da com extensÃ£o

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 2
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	     58 	character(len=255) ::option             
	     59   	character(len=14)  ::indate        ! Data de entrada
	     60         character(len=13)  ::aux
	     61 	integer(2) 	       ::status,i,argc ! Utilizadas na leitura dos arquivos
	     62   	integer  	       ::iargc
	     63  	integer            ::j,un    
	     64   	integer            ::nobs          ! Numero de linhas de obs
	     65         integer            ::nscols        ! Numero de colunas de obs        
	     66 	real*8             ::cdate         ! Data dos dados lidos
	     67 	real               ::CX,CY         ! Variaveis auxiliares 	      
	     68    	type(mbufr_id)     ::station_id	   ! Identificacao da estacao p/ 
	     69 	                                   ! uso na secao 2 do BUFR
	     70 	type(mbufr_date)   ::Hobs          ! Hora da Observacao p/ uso 
	     71 	                                   ! nas secoes 1 e/ou 2 do BUFR
	     72 	character(len=255) :: canal        ! Codigo do canal utilizado IR OU MV
	     73         integer ::icanal                   ! codigo BUFR do canal utilizado 
	     74                                            !conforme 1.2 code/frag table-7
	     75                                            ! 1 - IR  3 - WV
	     76         real :: aux2
	     77 !}
	     78 
	     79 !{  DIMENSIONAMENTO DE MATRIZES
	     80 
	     81     character(len=13), dimension(10000  )::gdate  !Data para gempak matrix obs
	     82     character(len=4),  dimension(      7)::tblcod !pseudo codigo BUFR de cada coluna de obs
	     83     character(len=30), dimension(      7)::tbldes !Descricao do dado de cada coluna
	     84     type(stidtype),    dimension(10000  )::STID   !Identificacao do Pto de Obs p/ grads
	     85     REAL,              dimension(10000,7)::obs    !Matriz de dados     
	     86     integer,           dimension(      5)::tblcol !associa colunas do arquivo com obs
	     87     logical,           dimension(      3)::grava
	     88     character(len=255),dimension(      3)::FLAG 
	     89     type(descbufr)    ,dimension(     12)::D      ! Descritores da tabela bufr
	     90     REAL              ,dimension(100, 12)::V      ! Matriz de dados auxiliar, para 
	     91     integer           ,dimension(100, 12)::Iconf                                              ! passagem dos dados p
	     91 ara o MBUFR
	     92  
	     93   !}    
	     94 
	     95 
	     96 
	     97   !{ INICIALIZACAO DAS VARIAVEIS 
	     98        
	     99   	argc=0
	    100 	infile=''
	    101   	outfile=''
	    102         grava(1:3)=.false.
	    103         indate=''
	    104         nscols=5
	    105 !      Colunas         Psedo codigo     descricao
	    106 !      ###########   ################  #####################################
	    107        tblcol(1)=6 ; tblcod(1)="SLAT"; tbldes(1)="Latitude  "
	    108        tblcol(2)=7 ; tblcod(2)="SLON"; tbldes(2)="Longitude"
	    109        tblcol(3)=8 ; tblcod(3)="WDSP"; tbldes(3)="Direcao do Vento (g)" 
	    110        tblcol(4)=9 ; tblcod(4)="WDIR"; tbldes(4)="Velocidade do Vento(m/s)"
	    111        tblcol(5)=11; tblcod(5)="PRLC"; tbldes(5)="Nivel Isobarico (hPa)"
	    112   
	    113        

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 3
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	    114      
	    115   !}
	    116       
	    117   !{ Pega os argumentos de Entrada: Data e Nomes dos arquivos de entrada e saida
	    118  	argc =  iargc()	
	    119   	if (argc>4) then 
	    120            i=argc-0;call GetArg(i,outfile)
	    121            i=argc-1;call GetArg(i,infile)  
	    122            i=argc-2;call GetArg(i,indate)
	    123            i=argc-3;call GetArg(i,canal)
	    124            cdate=fjulian(indate)	        
	    125   	endif
	    126   !}
	    127 
	    128 
	    129   !{ Processa Opcoes 
	    130  
	    131       FLAG(1) = '-bufr'
	    132       FLAG(2) = '-grads'
	    133       FLAG(3) = '-txt'
	    134   
	    135   	DO i=1,3
	    136       	   DO j=1, argc-4
	    137              call GetArg(j,option)
	    138               if (option==FLAG(i)) grava(i)=.true.
	    139            ENDDO
	    140         ENDDO
	    141    
	    142    icanal=15 ! Valor MISSING
	    143    if (canal=="WV") icanal=3
	    144    if (canal=="IR") icanal=1
	    145   !}
	    146 
	    147  !{ Parametros de teste
	    148  !  grava(1)=.true.
	    149  !  grava(2)=.true.
	    150  !  infile="dados_exemplo/GwindL_C_0401231115_1110.txt"
	    151  !  outfile="saida"
	    152  !  cdate=fjulian("200404010100")
	    153  !  argc=5
	    154  !  icanal=1
	    155  !}
	    156 
	    157   !{ APRESENTACAO DO PROGRAMA 
	    158        print *,'_______________________________________________________________________'
	    159        PRInt *,'CDVENSAT -PROGRAMA DE CONVERSAO DE FORMATO DADOS DE VENTO POR SATELITE ' 
	    160        PRINT *,'             Versao 0.8 - GDM-CPTEC/INPE Julho 2004'
	    161        print *,'_______________________________________________________________________' 
	    162        PRINT *,' '
	    163        PRINT *,' '    
	    164 
	    165        if  (argc<5) then             
	    166          print *,' '
	    167          print *,' Use:'
	    168          print *,' > cdvensat.x options date channel input_name output_name '
	    169          print *,'    options: -grads -bufr -txt'
	    170          print *,'    channel: (IR or WV)'

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 4
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	    171          print *,'    date: YYYYMMDDHHmm'	
	    172          print *,'    input_name: Arquivo de entrada'
	    173          print *,'    output_name: Arquivo de saida sem extensao'
	    174          print *,''
	    175          stop
	    176        else 
	    177          print *,'INPUT           ', trim(infile)
	    178          print *,'OUTPUT          ', trim(outfile)
	    179          print *,'CANAL',icanal,trim(canal)
	    180          print *,'BUFR  Y(1) N(0) ', grava(1)
	    181          print *,'GRADS Y(1) N(0) ', grava(2)
	    182          print *,'TEXTO Y(1) N(0) ', grava(3)
	    183          print *, grdate(cdate)
	    184        end if
	    185 !}
	    186 
	    187 
	    188 
	    189 !{ LEITURA DOS DADOS
	    190 
	    191     call conf_mreadtbl(15,nscols,tblcol)   ! Configura mreadtbl para leitura
	    192     call readtbl(10,infile,obs,nobs)       ! ler os dados utilizando mreadtbl
	    193     print *,"Numero de dados Lidos:",nobs
	    194 !}
	    195 
	    196 !{ GRAVACAO DOS DADOS EM FORMATO GRADS
	    197   if (grava(2)) then 
	    198 
	    199 
	    200    !{ Conversoes de dados
	    201 
	    202    do i=1,nobs
	    203     !{ atribuicao dos valores de latitude e longitue 
	    204       STID(I)%COD="SATOBDSA"
	    205       STID(I)%LAT=obs(I,1)
	    206       STID(I)%LON=obs(I,2)
	    207     !}
	    208     !{ Conversao de direcao e velocidade em componentes X e Y
	    209     
	    210        obs(i,6) = -obs(i,3) * SIND(obs(i,4))
	    211        obs(i,7) = -obs(i,3) * COSD(obs(i,4))
	    212        tblcod(6)="UCMP"; tbldes(6)="Componente U do vento (m/s)"
	    213        tblcod(7)="VCMP"; tbldes(7)="Componente V do vento (m/s)"
	    214     !}
	    215    end do
	    216    
	    217    !}
	    218  
	    219       
	    220    
	    221    !{Salvar CTL e BINARIO
	    222       call savectl(3,outfile,cdate,tblcod,tbldes,7)    
	    223       call savebin(3,outfile,obs,nobs,STID,7)
	    224    !}
	    225 
	    226 
	    227 

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 5
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	    228       
	    229   end if
	    230 !}
	    231 
	    232 
	    233 
	    234 !{GRAVACAO DOS DADOS EM FORMATO TEXTO P/  GEMPAK
	    235   if (grava(3)) then
	    236   outfilex=trim(outfile)//".txt"   
	    237    
	    238     
	    239   write(aux,'(i4,2i2.2,"/",2i2.2)')year(cdate),month(cdate),day(cdate),hour(cdate),0
	    240   gdate(1:nobs)=aux     
	    241   
	    242  
	    243   call save_mgempak(10,outfilex,obs,nobs,tblcod,nscols,gdate)
	    244 
	    245 
	    246 
	    247  end if   
	    248  
	    249       
	    250 
	    251 !}
	    252 
	    253 
	    254 !{ GRAVACAO DOS DADOS EM FORMATO BUFR
	    255   if (grava(1)) then
	    256    outfilex=trim(outfile)//".rdb"
	    257    print *,"Gravando ",trim(outfilex)
	    258    	 !Preparar para salvar formato BUFR
	    259      !{
	    260 	 
	    261 	   !Abrir arquivo BUFR e inicializar os configuraçoes
	    262 	   !gerais: 
	    263 	   !   3)Centro gerados (INPE) = 45
	    264 	   !   4)Gravação da Secao 2   = .false.
	    265 	   !{
	    266 
	    267 		call open_mbufr(15,outfilex,46)
	    268 	
	    269 	  !}
	    270 	  !{ Dados de Secao 1 
	    271 	   
	    272 	        Hobs%ano=year(cdate)
	    273 		Hobs%mes=month(cdate)
	    274 		Hobs%dia=day(cdate)
	    275 		Hobs%hora=hour(cdate)
	    276 		Hobs%min=0
	    277 
	    278 	   !}
	    279 
	    280 	   ! A secao 2 nao esta sendo utilizada, portanto 
	    281 	   ! portanto as linhas a seguir estam comentadas
	    282 	   
	    283 	   !Station_Id%cod=""   ! Codigo da Estacao
	    284 	   !Station_Id%name=""  ! Nome da Estacao

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 6
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	    285 	   !Station_Id%lat=0.0  ! Latitude da Estacao
	    286 	   !Station_Id%lon=0.0  ! Longitude da Estacao
	    287 
	    288 
	    289       !{ Descritores que serao utilizados  (Secao 3) 
	    290 	   
	    291 	   D(1:10)%F=0 ! Todos os elementos sao da tabela B
	    292 	   D( 1)%x=01; D( 1)%y=007 ! Identificacao do Satelite  
	    293        D( 2)%x=02; D( 2)%y=023 ! Metodo de Calculo de Vento por Satelite
	    294 	   D( 3)%x=04; D( 3)%y=001 ! Ano
	    295 	   D( 4)%x=04; D( 4)%y=002 ! MES
	    296 	   D( 5)%x=04; D( 5)%y=003 ! Dia
	    297 	   D( 6)%x=04; D( 6)%y=004 ! Hora
	    298 	   D( 7)%x=04; D( 7)%Y=005 ! Minuto
	    299 	   D( 8)%x=05; D( 8)%Y=002 ! CLAT
	    300 	   D( 9)%x=06; D( 9)%y=002 ! CLON
	    301 	   D(10)%x=10; D(10)%y=004 ! Pressao cooedanada vertical (Pa)
	    302 	   D(11)%x=11; D(11)%y=001 ! Direcao do vento (graus)
	    303 	   D(12)%x=11; D(12)%y=002 ! Velocidade do vento (m/s)
	    304 	  !}
	    305 	  
	    306 	  
	    307 	  !Indices de confiabilidade
	    308 	  !{
	    309 	     Iconf(1:1,1:12)=70 !% Confiabilidade = 70% Para todos os casos
	    310 	
	    311 	  !}
	    312 
	    313 	  !Conversao de dados/unidade	 (secao 4)
	    314 	  ! A posicao j em que os valores são atribuidos a matrix v(i,j)
	    315 	  ! deve ser as mesma dos descritores em D(j)
	    316 	  ! 
	    317 	  !{
	    318 	   Do i=1,nobs
	    319                   v(1,1)=256                ! GOES 12
	    320                   v(1,2)=icanal              ! 1-IR  3-WV
	    321 	   	  V(1,3)=Hobs%ano	    !-Usa a mesma data da secao 1 em todas
	    322 		  v(1,4)=Hobs%mes		! os dados de SATOB 
	    323 		  v(1,5)=Hobs%dia
	    324 		  v(1,6)=hour(cdate)
	    325 		  v(1,7)=0
	    326 		  v(1,8)=obs(i,1)        !-Latitude 
	    327 		  v(1,9)=obs(i,2)		 !-Longitude
	    328 		  v(1,10)=obs(i,5)*100    !-Pressao 
	    329 !		  aux2=obs(i,5)
	    330 		  v(1,11)=obs(i,4)        !-Direcao do vento
	    331 		  v(1,12)=obs(i,3)       !-Velocidade do vento
	    332 		  
	    333 	  ! {Salvar uma mensagem em BUFR	Type 5 =Sataob, Subtype=0 
	    334 	  !  
	    335 	  !  Para gravar sem a secao 2 utiliza-se
	    336 	  !    call save_mbufr(15,d,12,v,iconf,1,5,0,Hobs)
	    337 	  !
	    338 	  !  Para gravar com a secao 2 utiliza-se 
	    339 	  !		 call save_mbufr(15,d,12,v,iconf,1,5,0,Hobs,Station_Id)
	    340 	   
	    341 		 call save_mbufr(15,d,12,v,iconf,1,5,0,Hobs)

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 7
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

	    342 
	    343 	   !}
	    344 
	    345 
	    346 	   end do
	    347 	  !}
	    348 
	    349 	
	    350 
	    351 
	    352 	   ! Encerrar o arquivo 
	    353 	   ! {
	    354 	    call close_mbufr(15)
	    355 	   !}
	    356 
	    357   end if
	    358 !}
	    359 
	    360 END


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                               582504 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                  52 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $CODE$                                9264   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  4 .lita                                  352   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .lit4                                   84   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit8                                  128   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                               761   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                   8 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                   8 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               593161

ENTRY POINTS
 Address      Name     
                       
  3-00000000  cdvensat_


VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
  1-00000008  I*2   ARGC       1-0000002C  R*4   CX         1-0008E268  CHAR  INFILE     1-0008DE68  CHAR  OPTION  
  1-000000B0  CHAR  AUX        1-00000028  R*4   CY         1-0000003C  I*4   J          1-0008E068  CHAR  OUTFILE 
  1-00000020  R*4   AUX2       1-00000010  I*2   I          1-0008E168  CHAR  LISTA      1-0008DF68  CHAR  OUTFILEX
  1-0008DD68  CHAR  CANAL      1-00000024  I*4   ICANAL     1-00000034  I*4   NOBS       1-00000018  I*2   STATUS  
  1-00000000  R*8   CDATE      1-000000C0  CHAR  INDATE     1-00000030  I*4   NSCOLS     1-00000038  I*4   UN      



CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 8
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

TYPES/RECORDS

 Address      Name       Structure       Bytes  Address      Name       Structure       Bytes
                                                                                             
  1-00000060  HOBS       MBUFR_DATE         20   1-00000078  STATION_ID MBUFR_ID           56


ARRAYS

 Address      Type  Name          Bytes  Dimensions
  1-00046CC0  CHAR  FLAG            765  (3)
  1-0006E198  CHAR  GDATE        130000  (10000)
  1-000000D0  L*4   GRAVA            12  (3)
  1-000000F0  I*4   ICONF          4800  (100, 12)
  1-00002670  R*4   OBS          280000  (10000, 7)
  1-00000040  CHAR  TBLCOD           28  (7)
  1-000000DC  I*4   TBLCOL           20  (5)
  1-0006E0C0  CHAR  TBLDES          210  (7)
  1-000013B0  R*4   V              4800  (100, 12)

TYPE/RECORD ARRAYS
 Address      Name   Structure        Bytes  Dimensions
  1-00046C30  D      DESCBUFR           144  (12)
  1-00046FC0  STID   STIDTYPE        160000  (10000)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 9
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

				.text
				.globl  cdvensat_
				.ent 	cdvensat_
				.eflag 16
	     0000	cdvensat_:											    # 000039
27BB0001     0000		ldah	gp, cdvensat_				# gp, (r27)
23BDA860     0004		lda	gp, cdvensat_				# gp, (gp)
	     0008	L$1:
23DEFC30     0008		lda	sp, -976(sp)
B75E0000     000C		stq	r26, (sp)
B53E0008     0010		stq	r9, 8(sp)
B55E0010     0014		stq	r10, 16(sp)
B57E0018     0018		stq	r11, 24(sp)
B59E0020     001C		stq	r12, 32(sp)
B5BE0028     0020		stq	r13, 40(sp)
B5FE0030     0024		stq	r15, 48(sp)
9C5E0038     0028		stt	f2, 56(sp)
47FE040F     002C		mov	sp, r15
				.mask 0x0400BE00,-976
				.fmask 0x00000004,-920
				.frame  $fp, 976, $26
				.prologue 1
A61D8018     0030		ldq	r16, 8(gp)
22100078     0034		lda	r16, 120(r16)
A77D8168     0038		ldq	r27, for_set_reentrancy			# r27, 344(gp)
6B5B4000     003C		jsr	r26, for_set_reentrancy			# r26, (r27)
27BA0001     0040		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0044		lda	gp, cdvensat_				# gp, (gp)
A41D8160     0048		ldq	r0, ARGC				# r0, 336(gp)				    # 000099
B7E00000     004C		stq	r31, ARGC				# r31, (r0)
A61D8158     0050		ldq	r16, INFILE				# r16, 328(gp)				    # 000100
47FFF411     0054		mov	255, r17
47E41412     0058		mov	32, r18
A77D8150     005C		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     0060		jsr	r26, _OtsFill				# r26, (r27)
A61D8158     0064		ldq	r16, OUTFILE				# r16, 328(gp)				    # 000101
2210FE00     0068		lda	r16, OUTFILE				# r16, -512(r16)
47FFF411     006C		mov	255, r17
47E41412     0070		mov	32, r18
A77D8150     0074		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     0078		jsr	r26, _OtsFill				# r26, (r27)
47E03401     007C		mov	1, var$0004				# 1, r1					    # 000102
47E03402     0080		mov	1, var$0003				# 1, r2
C3E00006     0084		br	lab$0005
	     0088	L$105:
4C209404     0088		mulq	var$0004, 4, r4				# r1, 4, r4
A79D8160     008C		ldq	r28, GRAVA				# r28, 336(gp)
43840404     0090		addq	GRAVA, r4, r4				# r28, r4, r4
B3E400C4     0094		stl	r31, 196(r4)
40203401     0098		addq	var$0004, 1, var$0004			# r1, 1, r1
40403402     009C		addq	var$0003, 1, var$0003			# r2, 1, r2
	     00A0	lab$0005:
40407DA3     00A0		cmple	var$0003, 3, r3				# r2, 3, r3
F47FFFF8     00A4		bne	r3, L$105
A79D8018     00A8		ldq	r28, 8(gp)									    # 000103
A4BC0070     00AC		ldq	r5, 112(r28)
A79D8018     00B0		ldq	r28, 8(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 10
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A4DC0068     00B4		ldq	r6, 104(r28)
A4FD8160     00B8		ldq	r7, INDATE				# r7, 336(gp)
B4A700B8     00BC		stq	r5, INDATE				# r5, 184(r7)
A51D8160     00C0		ldq	r8, INDATE				# r8, 336(gp)
A6A800C0     00C4		ldq	r21, INDATE				# r21, 192(r8)
4AA7F615     00C8		zap	r21, 63, r21
48C01726     00CC		sll	r6, 0, r6
48C7F626     00D0		zapnot	r6, 63, r6
46A60415     00D4		bis	r21, r6, r21
B6A800C0     00D8		stq	r21, INDATE				# r21, 192(r8)
47E0B406     00DC		mov	5, r6										    # 000104
A6DD8160     00E0		ldq	r22, NSCOLS				# r22, 336(gp)
B0D60028     00E4		stl	r6, NSCOLS				# r6, 40(r22)
47E0D417     00E8		mov	6, r23										    # 000107
A71D8160     00EC		ldq	r24, TBLCOL				# r24, 336(gp)
B2F800D4     00F0		stl	r23, TBLCOL				# r23, 212(r24)
273F5441     00F4		ldah	r25, 21569(r31)
23394C53     00F8		lda	r25, 19539(r25)
A41D8160     00FC		ldq	r0, TBLCOD				# r0, 336(gp)
B3200038     0100		stl	r25, TBLCOD				# r25, 56(r0)
A79D8018     0104		ldq	r28, 8(gp)
A41C0060     0108		ldq	r0, 96(r28)
A79D8018     010C		ldq	r28, 8(gp)
A61C0070     0110		ldq	r16, 112(r28)
A79D8018     0114		ldq	r28, 8(gp)
A63C0070     0118		ldq	r17, 112(r28)
A79D8018     011C		ldq	r28, 8(gp)
A65C0068     0120		ldq	r18, 104(r28)
A67D8148     0124		ldq	r19, TBLDES				# r19, 312(gp)
B4130000     0128		stq	r0, TBLDES				# r0, (r19)
A69D8148     012C		ldq	r20, TBLDES				# r20, 312(gp)
B6140008     0130		stq	r16, TBLDES				# r16, 8(r20)
A75D8148     0134		ldq	r26, TBLDES				# r26, 312(gp)
B63A0010     0138		stq	r17, TBLDES				# r17, 16(r26)
A77D8148     013C		ldq	r27, TBLDES				# r27, 312(gp)
A47B0018     0140		ldq	r3, TBLDES				# r3, 24(r27)
4867F603     0144		zap	r3, 63, r3
4A401732     0148		sll	r18, 0, r18
4A47F632     014C		zapnot	r18, 63, r18
44720403     0150		bis	r3, r18, r3
B47B0018     0154		stq	r3, TBLDES				# r3, 24(r27)
47E0F403     0158		mov	7, r3										    # 000108
A49D8160     015C		ldq	r4, TBLCOL				# r4, 336(gp)
B06400D8     0160		stl	r3, TBLCOL				# r3, 216(r4)
243F4E4F     0164		ldah	r1, 20047(r31)
20214C53     0168		lda	r1, 19539(r1)
A45D8160     016C		ldq	r2, TBLCOD				# r2, 336(gp)
B022003C     0170		stl	r1, TBLCOD				# r1, 60(r2)
A61D8148     0174		ldq	r16, TBLDES				# r16, 312(gp)
2210001E     0178		lda	r16, TBLDES				# r16, 30(r16)
A65D8010     017C		ldq	r18, (gp)
225202F0     0180		lda	r18, 752(r18)
47E13411     0184		mov	9, r17
A77D8140     0188		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     018C		jsr	r26, _OtsMove				# r26, (r27)
47E2B411     0190		mov	21, r17
47E41412     0194		mov	32, r18

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 11
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A77D8150     0198		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     019C		jsr	r26, _OtsFill				# r26, (r27)
47E11405     01A0		mov	8, r5										    # 000109
A4FD8160     01A4		ldq	r7, TBLCOL				# r7, 336(gp)
B0A700DC     01A8		stl	r5, TBLCOL				# r5, 220(r7)
251F5053     01AC		ldah	r8, 20563(r31)
21084457     01B0		lda	r8, 17495(r8)
A6BD8160     01B4		ldq	r21, TBLCOD				# r21, 336(gp)
B1150040     01B8		stl	r8, TBLCOD				# r8, 64(r21)
A61D8148     01BC		ldq	r16, TBLDES				# r16, 312(gp)
2210003C     01C0		lda	r16, TBLDES				# r16, 60(r16)
A65D8010     01C4		ldq	r18, (gp)
225202D0     01C8		lda	r18, 720(r18)
47E3D411     01CC		mov	30, r17
A77D8140     01D0		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     01D4		jsr	r26, _OtsMove				# r26, (r27)
47E13406     01D8		mov	9, r6										    # 000110
A6DD8160     01DC		ldq	r22, TBLCOL				# r22, 336(gp)
B0D600E0     01E0		stl	r6, TBLCOL				# r6, 224(r22)
26FF5249     01E4		ldah	r23, 21065(r31)
22F74457     01E8		lda	r23, 17495(r23)
A71D8160     01EC		ldq	r24, TBLCOD				# r24, 336(gp)
B2F80044     01F0		stl	r23, TBLCOD				# r23, 68(r24)
A61D8148     01F4		ldq	r16, TBLDES				# r16, 312(gp)
2210005A     01F8		lda	r16, TBLDES				# r16, 90(r16)
A65D8010     01FC		ldq	r18, (gp)
225202B0     0200		lda	r18, 688(r18)
47E3D411     0204		mov	30, r17
A77D8140     0208		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     020C		jsr	r26, _OtsMove				# r26, (r27)
47E17419     0210		mov	11, r25										    # 000111
A41D8160     0214		ldq	r0, TBLCOL				# r0, 336(gp)
B32000E4     0218		stl	r25, TBLCOL				# r25, 228(r0)
247F434C     021C		ldah	r3, 17228(r31)
20635250     0220		lda	r3, 21072(r3)
A49D8160     0224		ldq	r4, TBLCOD				# r4, 336(gp)
B0640048     0228		stl	r3, TBLCOD				# r3, 72(r4)
A79D8018     022C		ldq	r28, 8(gp)
A47C0058     0230		ldq	r3, 88(r28)
A79D8018     0234		ldq	r28, 8(gp)
A43C0050     0238		ldq	r1, 80(r28)
A79D8018     023C		ldq	r28, 8(gp)
A45C0048     0240		ldq	r2, 72(r28)
A79D8018     0244		ldq	r28, 8(gp)
A4BC0068     0248		ldq	r5, 104(r28)
A4FD8148     024C		ldq	r7, TBLDES				# r7, 312(gp)
B4670078     0250		stq	r3, TBLDES				# r3, 120(r7)
A51D8148     0254		ldq	r8, TBLDES				# r8, 312(gp)
B4280080     0258		stq	r1, TBLDES				# r1, 128(r8)
A6BD8148     025C		ldq	r21, TBLDES				# r21, 312(gp)
B4550088     0260		stq	r2, TBLDES				# r2, 136(r21)
A4DD8148     0264		ldq	r6, TBLDES				# r6, 312(gp)
A6C60090     0268		ldq	r22, TBLDES				# r22, 144(r6)
4AC7F616     026C		zap	r22, 63, r22
48A01725     0270		sll	r5, 0, r5
48A7F625     0274		zapnot	r5, 63, r5
46C50416     0278		bis	r22, r5, r22

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 12
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B6C60090     027C		stq	r22, TBLDES				# r22, 144(r6)
A77D8138     0280		ldq	r27, iargc_				# r27, 296(gp)				    # 000118
6B5B4000     0284		jsr	r26, iargc_				# r26, (r27)
27BA0001     0288		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     028C		lda	gp, cdvensat_				# gp, (gp)
A43D8160     0290		ldq	r1, ARGC				# r1, 336(gp)
B4010000     0294		stq	r0, ARGC				# r0, (r1)
A45D8160     0298		ldq	r2, ARGC				# r2, 336(gp)				    # 000119
A4420000     029C		ldq	r2, ARGC				# r2, (r2)
48461722     02A0		sll	r2, 48, r2
207F0001     02A4		lda	r3, 1(r31)
48665723     02A8		sll	r3, 50, r3
40430DA2     02AC		cmple	r2, r3, r2
F440003F     02B0		bne	r2, lab$0015
A49D8160     02B4		ldq	r4, ARGC				# r4, 336(gp)				    # 000120
A4840000     02B8		ldq	r4, ARGC				# r4, (r4)
A4BD8160     02BC		ldq	r5, I					# r5, 336(gp)
B4850008     02C0		stq	r4, I					# r4, 8(r5)
A61D8160     02C4		ldq	r16, I					# r16, 336(gp)
22100008     02C8		lda	r16, I					# r16, 8(r16)
A63D8158     02CC		ldq	r17, OUTFILE				# r17, 328(gp)
2231FE00     02D0		lda	r17, OUTFILE				# r17, -512(r17)
47FFF412     02D4		mov	255, r18
A77D8130     02D8		ldq	r27, getarg_				# r27, 288(gp)
6B5B4000     02DC		jsr	r26, getarg_				# r26, (r27)
27BA0001     02E0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     02E4		lda	gp, cdvensat_				# gp, (gp)
A41D8160     02E8		ldq	r0, ARGC				# r0, 336(gp)				    # 000121
A4000000     02EC		ldq	r0, ARGC				# r0, (r0)
40003520     02F0		subq	r0, 1, r0
A43D8160     02F4		ldq	r1, I					# r1, 336(gp)
B4010008     02F8		stq	r0, I					# r0, 8(r1)
A61D8160     02FC		ldq	r16, I					# r16, 336(gp)
22100008     0300		lda	r16, I					# r16, 8(r16)
A63D8158     0304		ldq	r17, INFILE				# r17, 328(gp)
47FFF412     0308		mov	255, r18
A77D8130     030C		ldq	r27, getarg_				# r27, 288(gp)
6B5B4000     0310		jsr	r26, getarg_				# r26, (r27)
27BA0001     0314		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0318		lda	gp, cdvensat_				# gp, (gp)
A41D8160     031C		ldq	r0, ARGC				# r0, 336(gp)				    # 000122
A4000000     0320		ldq	r0, ARGC				# r0, (r0)
40005520     0324		subq	r0, 2, r0
A43D8160     0328		ldq	r1, I					# r1, 336(gp)
B4010008     032C		stq	r0, I					# r0, 8(r1)
A61D8160     0330		ldq	r16, I					# r16, 336(gp)
22100008     0334		lda	r16, I					# r16, 8(r16)
A63D8160     0338		ldq	r17, INDATE				# r17, 336(gp)
223100B8     033C		lda	r17, INDATE				# r17, 184(r17)
47E1D412     0340		mov	14, r18
A77D8130     0344		ldq	r27, getarg_				# r27, 288(gp)
6B5B4000     0348		jsr	r26, getarg_				# r26, (r27)
27BA0001     034C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0350		lda	gp, cdvensat_				# gp, (gp)
A41D8160     0354		ldq	r0, ARGC				# r0, 336(gp)				    # 000123
A4000000     0358		ldq	r0, ARGC				# r0, (r0)
40007520     035C		subq	r0, 3, r0

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 13
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A43D8160     0360		ldq	r1, I					# r1, 336(gp)
B4010008     0364		stq	r0, I					# r0, 8(r1)
A61D8160     0368		ldq	r16, I					# r16, 336(gp)
22100008     036C		lda	r16, I					# r16, 8(r16)
A63D8158     0370		ldq	r17, CANAL				# r17, 328(gp)
2231FB00     0374		lda	r17, CANAL				# r17, -1280(r17)
47FFF412     0378		mov	255, r18
A77D8130     037C		ldq	r27, getarg_				# r27, 288(gp)
6B5B4000     0380		jsr	r26, getarg_				# r26, (r27)
27BA0001     0384		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0388		lda	gp, cdvensat_				# gp, (gp)
A61D8160     038C		ldq	r16, INDATE				# r16, 336(gp)				    # 000124
221000B8     0390		lda	r16, INDATE				# r16, 184(r16)
47E1D411     0394		mov	14, r17
A77D8128     0398		ldq	r27, $datelib$fjulian2_			# r27, 280(gp)
6B5B4000     039C		jsr	r26, $datelib$fjulian2_			# r26, (r27)
27BA0001     03A0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     03A4		lda	gp, cdvensat_				# gp, (gp)
A41D8160     03A8		ldq	r0, CDATE				# r0, 336(gp)
9C00FFF8     03AC		stt	f0, CDATE				# f0, -8(r0)
	     03B0	lab$0015:											    # 000119
A61D8120     03B0		ldq	r16, FLAG				# r16, 272(gp)				    # 000131
A65D8010     03B4		ldq	r18, (gp)
225202A8     03B8		lda	r18, 680(r18)
47E0B411     03BC		mov	5, r17
A77D8140     03C0		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     03C4		jsr	r26, _OtsMove				# r26, (r27)
47FF5411     03C8		mov	250, r17
47E41412     03CC		mov	32, r18
A77D8150     03D0		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     03D4		jsr	r26, _OtsFill				# r26, (r27)
A61D8120     03D8		ldq	r16, FLAG				# r16, 272(gp)				    # 000132
221000FF     03DC		lda	r16, FLAG				# r16, 255(r16)
A65D8010     03E0		ldq	r18, (gp)
225202A0     03E4		lda	r18, 672(r18)
47E0D411     03E8		mov	6, r17
A77D8140     03EC		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     03F0		jsr	r26, _OtsMove				# r26, (r27)
47FF3411     03F4		mov	249, r17
47E41412     03F8		mov	32, r18
A77D8150     03FC		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     0400		jsr	r26, _OtsFill				# r26, (r27)
A61D8120     0404		ldq	r16, FLAG				# r16, 272(gp)				    # 000133
221001FE     0408		lda	r16, FLAG				# r16, 510(r16)
A65D8020     040C		ldq	r18, 16(gp)
22520050     0410		lda	r18, 80(r18)
47E09411     0414		mov	4, r17
A77D8140     0418		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     041C		jsr	r26, _OtsMove				# r26, (r27)
47FF7411     0420		mov	251, r17
47E41412     0424		mov	32, r18
A77D8150     0428		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     042C		jsr	r26, _OtsFill				# r26, (r27)
47E0740C     0430		mov	3, var$0005				# 3, r12				    # 000135
47E03401     0434		mov	1, r1
A45D8160     0438		ldq	r2, I					# r2, 336(gp)
B4220008     043C		stq	r1, I					# r1, 8(r2)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 14
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

	     0440	lab$0047:
A47D8160     0440		ldq	r3, ARGC				# r3, 336(gp)				    # 000136
A4630000     0444		ldq	r3, ARGC				# r3, (r3)
48661723     0448		sll	r3, 48, r3
48661783     044C		sra	r3, 48, r3
40609523     0450		subq	r3, 4, r3
47E3040B     0454		mov	r3, var$0006				# r3, r11
47E03404     0458		mov	1, r4
A4BD8160     045C		ldq	r5, J					# r5, 336(gp)
B0850034     0460		stl	r4, J					# r4, 52(r5)
EC600027     0464		ble	r3, lab$0053
	     0468	lab$0054:											    # 000137
A61D8160     0468		ldq	r16, J					# r16, 336(gp)
22100034     046C		lda	r16, J					# r16, 52(r16)
A63D8158     0470		ldq	r17, OPTION				# r17, 328(gp)
2231FC00     0474		lda	r17, OPTION				# r17, -1024(r17)
47FFF412     0478		mov	255, r18
A77D8130     047C		ldq	r27, getarg_				# r27, 288(gp)
6B5B4000     0480		jsr	r26, getarg_				# r26, (r27)
27BA0001     0484		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0488		lda	gp, cdvensat_				# gp, (gp)
A41D8160     048C		ldq	r0, I					# r0, 336(gp)				    # 000138
A4000008     0490		ldq	r0, I					# r0, 8(r0)
48061720     0494		sll	r0, 48, r0
48061780     0498		sra	r0, 48, r0
4C1FF412     049C		mulq	r0, 255, r18
A61D8158     04A0		ldq	r16, OPTION				# r16, 328(gp)
2210FC00     04A4		lda	r16, OPTION				# r16, -1024(r16)
47FFF411     04A8		mov	255, r17
A79D8120     04AC		ldq	r28, FLAG				# r28, 272(gp)
43920412     04B0		addq	FLAG, r18, r18				# r28, r18, r18
2252FF01     04B4		lda	r18, -255(r18)
A77D8118     04B8		ldq	r27, _OtsStringCompareEqlSameLen	# r27, 264(gp)
6B5B4000     04BC		jsr	r26, _OtsStringCompareEqlSameLen	# r26, (r27)
E4000009     04C0		beq	r0, lab$0062
A43D8160     04C4		ldq	r1, I					# r1, 336(gp)
A4210008     04C8		ldq	r1, I					# r1, 8(r1)
48261721     04CC		sll	r1, 48, r1
48261781     04D0		sra	r1, 48, r1
4C209401     04D4		mulq	r1, 4, r1
205FFFFF     04D8		mov	-1, r2
A79D8160     04DC		ldq	r28, GRAVA				# r28, 336(gp)
43810401     04E0		addq	GRAVA, r1, r1				# r28, r1, r1
B04100C4     04E4		stl	r2, 196(r1)
	     04E8	lab$0062:
A47D8160     04E8		ldq	r3, J					# r3, 336(gp)				    # 000136
A0630034     04EC		ldl	r3, J					# r3, 52(r3)
40603003     04F0		addl	r3, 1, r3
A49D8160     04F4		ldq	r4, J					# r4, 336(gp)
B0640034     04F8		stl	r3, J					# r3, 52(r4)
4160352B     04FC		subq	var$0006, 1, var$0006			# r11, 1, r11
FD7FFFD9     0500		bgt	var$0006, lab$0054			# r11, lab$0054
	     0504	lab$0053:
A4BD8160     0504		ldq	r5, I					# r5, 336(gp)				    # 000135
A4A50008     0508		ldq	r5, I					# r5, 8(r5)
40A03405     050C		addq	r5, 1, r5
A4DD8160     0510		ldq	r6, I					# r6, 336(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 15
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B4A60008     0514		stq	r5, I					# r5, 8(r6)
4180352C     0518		subq	var$0005, 1, var$0005			# r12, 1, r12
FD9FFFC8     051C		bgt	var$0005, lab$0047			# r12, lab$0047
47E1F407     0520		mov	15, r7										    # 000142
A51D8160     0524		ldq	r8, ICANAL				# r8, 336(gp)
B0E8001C     0528		stl	r7, ICANAL				# r7, 28(r8)
A61D8158     052C		ldq	r16, CANAL				# r16, 328(gp)				    # 000143
2210FB00     0530		lda	r16, CANAL				# r16, -1280(r16)
47FFF411     0534		mov	255, r17
A65D8010     0538		ldq	r18, (gp)
22520298     053C		lda	r18, 664(r18)
47E05413     0540		mov	2, r19
47E41414     0544		mov	32, r20
A77D8110     0548		ldq	r27, _OtsStringCompareEqlPadded		# r27, 256(gp)
6B5B4000     054C		jsr	r26, _OtsStringCompareEqlPadded		# r26, (r27)
E4000003     0550		beq	r0, lab$0065
47E07417     0554		mov	3, r23
A71D8160     0558		ldq	r24, ICANAL				# r24, 336(gp)
B2F8001C     055C		stl	r23, ICANAL				# r23, 28(r24)
	     0560	lab$0065:
A61D8158     0560		ldq	r16, CANAL				# r16, 328(gp)				    # 000144
2210FB00     0564		lda	r16, CANAL				# r16, -1280(r16)
47FFF411     0568		mov	255, r17
A65D8010     056C		ldq	r18, (gp)
22520290     0570		lda	r18, 656(r18)
47E05413     0574		mov	2, r19
47E41414     0578		mov	32, r20
A77D8110     057C		ldq	r27, _OtsStringCompareEqlPadded		# r27, 256(gp)
6B5B4000     0580		jsr	r26, _OtsStringCompareEqlPadded		# r26, (r27)
E4000003     0584		beq	r0, lab$0069
47E03419     0588		mov	1, r25
A43D8160     058C		ldq	r1, ICANAL				# r1, 336(gp)
B321001C     0590		stl	r25, ICANAL				# r25, 28(r1)
	     0594	lab$0069:											    # 000158
A45D8010     0594		ldq	r2, (gp)
20420248     0598		lda	r2, 584(r2)
B3EF0108     059C		stl	r31, var$0001				# r31, 264(r15)
A67D8020     05A0		ldq	r19, 16(gp)
22730048     05A4		lda	r19, 72(r19)
47E8F404     05A8		mov	71, r4
B48F0150     05AC		stq	r4, 336(r15)
B44F0158     05B0		stq	r2, 344(r15)
220F0108     05B4		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     05B8		mov	-1, r17
265F0385     05BC		ldah	r18, 901(r31)
2252FF00     05C0		lda	r18, -256(r18)
228F0150     05C4		lda	r20, 336(r15)
A77D8108     05C8		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     05CC		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     05D0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     05D4		lda	gp, cdvensat_				# gp, (gp)
A41D8010     05D8		ldq	r0, (gp)									    # 000159
20000200     05DC		lda	r0, 512(r0)
B3EF0108     05E0		stl	r31, var$0001				# r31, 264(r15)
A67D8020     05E4		ldq	r19, 16(gp)
22730048     05E8		lda	r19, 72(r19)
47E8F402     05EC		mov	71, r2

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 16
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B44F0150     05F0		stq	r2, 336(r15)
B40F0158     05F4		stq	r0, 344(r15)
220F0108     05F8		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     05FC		mov	-1, r17
265F0385     0600		ldah	r18, 901(r31)
2252FF00     0604		lda	r18, -256(r18)
228F0150     0608		lda	r20, 336(r15)
A77D8108     060C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0610		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0614		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0618		lda	gp, cdvensat_				# gp, (gp)
A41D8010     061C		ldq	r0, (gp)									    # 000160
200001C8     0620		lda	r0, 456(r0)
B3EF0108     0624		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0628		ldq	r19, 16(gp)
22730048     062C		lda	r19, 72(r19)
47E67402     0630		mov	51, r2
B44F0150     0634		stq	r2, 336(r15)
B40F0158     0638		stq	r0, 344(r15)
220F0108     063C		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0640		mov	-1, r17
265F0385     0644		ldah	r18, 901(r31)
2252FF00     0648		lda	r18, -256(r18)
228F0150     064C		lda	r20, 336(r15)
A77D8108     0650		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0654		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0658		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     065C		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0660		ldq	r0, (gp)									    # 000161
20000248     0664		lda	r0, 584(r0)
B3EF0108     0668		stl	r31, var$0001				# r31, 264(r15)
A67D8020     066C		ldq	r19, 16(gp)
22730048     0670		lda	r19, 72(r19)
47E8F402     0674		mov	71, r2
B44F0150     0678		stq	r2, 336(r15)
B40F0158     067C		stq	r0, 344(r15)
220F0108     0680		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0684		mov	-1, r17
265F0385     0688		ldah	r18, 901(r31)
2252FF00     068C		lda	r18, -256(r18)
228F0150     0690		lda	r20, 336(r15)
A77D8108     0694		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0698		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     069C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     06A0		lda	gp, cdvensat_				# gp, (gp)
A41D8010     06A4		ldq	r0, (gp)									    # 000162
200001C0     06A8		lda	r0, 448(r0)
B3EF0108     06AC		stl	r31, var$0001				# r31, 264(r15)
A67D8020     06B0		ldq	r19, 16(gp)
22730048     06B4		lda	r19, 72(r19)
47E03402     06B8		mov	1, r2
B44F0150     06BC		stq	r2, 336(r15)
B40F0158     06C0		stq	r0, 344(r15)
220F0108     06C4		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     06C8		mov	-1, r17
265F0385     06CC		ldah	r18, 901(r31)
2252FF00     06D0		lda	r18, -256(r18)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 17
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

228F0150     06D4		lda	r20, 336(r15)
A77D8108     06D8		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     06DC		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     06E0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     06E4		lda	gp, cdvensat_				# gp, (gp)
A41D8010     06E8		ldq	r0, (gp)									    # 000163
200001C0     06EC		lda	r0, 448(r0)
B3EF0108     06F0		stl	r31, var$0001				# r31, 264(r15)
A67D8020     06F4		ldq	r19, 16(gp)
22730048     06F8		lda	r19, 72(r19)
47E03402     06FC		mov	1, r2
B44F0150     0700		stq	r2, 336(r15)
B40F0158     0704		stq	r0, 344(r15)
220F0108     0708		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     070C		mov	-1, r17
265F0385     0710		ldah	r18, 901(r31)
2252FF00     0714		lda	r18, -256(r18)
228F0150     0718		lda	r20, 336(r15)
A77D8108     071C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0720		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0724		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0728		lda	gp, cdvensat_				# gp, (gp)
A41D8160     072C		ldq	r0, ARGC				# r0, 336(gp)				    # 000165
A4000000     0730		ldq	r0, ARGC				# r0, (r0)
48061720     0734		sll	r0, 48, r0
203F0005     0738		lda	r1, 5(r31)
48261721     073C		sll	r1, 48, r1
400109A0     0740		cmplt	r0, r1, r0
E4000099     0744		beq	r0, lab$0120
A45D8010     0748		ldq	r2, (gp)									    # 000166
204201C0     074C		lda	r2, 448(r2)
B3EF0108     0750		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0754		ldq	r19, 16(gp)
22730048     0758		lda	r19, 72(r19)
47E03404     075C		mov	1, r4
B48F0150     0760		stq	r4, 336(r15)
B44F0158     0764		stq	r2, 344(r15)
220F0108     0768		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     076C		mov	-1, r17
265F0385     0770		ldah	r18, 901(r31)
2252FF00     0774		lda	r18, -256(r18)
228F0150     0778		lda	r20, 336(r15)
A77D8108     077C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0780		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0784		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0788		lda	gp, cdvensat_				# gp, (gp)
A41D8010     078C		ldq	r0, (gp)									    # 000167
200001B8     0790		lda	r0, 440(r0)
B3EF0108     0794		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0798		ldq	r19, 16(gp)
22730048     079C		lda	r19, 72(r19)
47E0B402     07A0		mov	5, r2
B44F0150     07A4		stq	r2, 336(r15)
B40F0158     07A8		stq	r0, 344(r15)
220F0108     07AC		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     07B0		mov	-1, r17
265F0385     07B4		ldah	r18, 901(r31)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 18
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

2252FF00     07B8		lda	r18, -256(r18)
228F0150     07BC		lda	r20, 336(r15)
A77D8108     07C0		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     07C4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     07C8		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     07CC		lda	gp, cdvensat_				# gp, (gp)
A41D8010     07D0		ldq	r0, (gp)									    # 000168
20000178     07D4		lda	r0, 376(r0)
B3EF0108     07D8		stl	r31, var$0001				# r31, 264(r15)
A67D8020     07DC		ldq	r19, 16(gp)
22730048     07E0		lda	r19, 72(r19)
47E75402     07E4		mov	58, r2
B44F0150     07E8		stq	r2, 336(r15)
B40F0158     07EC		stq	r0, 344(r15)
220F0108     07F0		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     07F4		mov	-1, r17
265F0385     07F8		ldah	r18, 901(r31)
2252FF00     07FC		lda	r18, -256(r18)
228F0150     0800		lda	r20, 336(r15)
A77D8108     0804		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0808		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     080C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0810		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0814		ldq	r0, (gp)									    # 000169
20000158     0818		lda	r0, 344(r0)
B3EF0108     081C		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0820		ldq	r19, 16(gp)
22730048     0824		lda	r19, 72(r19)
47E3D402     0828		mov	30, r2
B44F0150     082C		stq	r2, 336(r15)
B40F0158     0830		stq	r0, 344(r15)
220F0108     0834		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0838		mov	-1, r17
265F0385     083C		ldah	r18, 901(r31)
2252FF00     0840		lda	r18, -256(r18)
228F0150     0844		lda	r20, 336(r15)
A77D8108     0848		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     084C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0850		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0854		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0858		ldq	r0, (gp)									    # 000170
20000140     085C		lda	r0, 320(r0)
B3EF0108     0860		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0864		ldq	r19, 16(gp)
22730048     0868		lda	r19, 72(r19)
47E2F402     086C		mov	23, r2
B44F0150     0870		stq	r2, 336(r15)
B40F0158     0874		stq	r0, 344(r15)
220F0108     0878		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     087C		mov	-1, r17
265F0385     0880		ldah	r18, 901(r31)
2252FF00     0884		lda	r18, -256(r18)
228F0150     0888		lda	r20, 336(r15)
A77D8108     088C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0890		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0894		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0898		lda	gp, cdvensat_				# gp, (gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 19
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A41D8010     089C		ldq	r0, (gp)									    # 000171
20000128     08A0		lda	r0, 296(r0)
B3EF0108     08A4		stl	r31, var$0001				# r31, 264(r15)
A67D8020     08A8		ldq	r19, 16(gp)
22730048     08AC		lda	r19, 72(r19)
47E2D402     08B0		mov	22, r2
B44F0150     08B4		stq	r2, 336(r15)
B40F0158     08B8		stq	r0, 344(r15)
220F0108     08BC		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     08C0		mov	-1, r17
265F0385     08C4		ldah	r18, 901(r31)
2252FF00     08C8		lda	r18, -256(r18)
228F0150     08CC		lda	r20, 336(r15)
A77D8108     08D0		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     08D4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     08D8		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     08DC		lda	gp, cdvensat_				# gp, (gp)
A41D8010     08E0		ldq	r0, (gp)									    # 000172
20000100     08E4		lda	r0, 256(r0)
B3EF0108     08E8		stl	r31, var$0001				# r31, 264(r15)
A67D8020     08EC		ldq	r19, 16(gp)
22730048     08F0		lda	r19, 72(r19)
47E45402     08F4		mov	34, r2
B44F0150     08F8		stq	r2, 336(r15)
B40F0158     08FC		stq	r0, 344(r15)
220F0108     0900		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0904		mov	-1, r17
265F0385     0908		ldah	r18, 901(r31)
2252FF00     090C		lda	r18, -256(r18)
228F0150     0910		lda	r20, 336(r15)
A77D8108     0914		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0918		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     091C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0920		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0924		ldq	r0, (gp)									    # 000173
200000D0     0928		lda	r0, 208(r0)
B3EF0108     092C		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0930		ldq	r19, 16(gp)
22730048     0934		lda	r19, 72(r19)
47E5D402     0938		mov	46, r2
B44F0150     093C		stq	r2, 336(r15)
B40F0158     0940		stq	r0, 344(r15)
220F0108     0944		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0948		mov	-1, r17
265F0385     094C		ldah	r18, 901(r31)
2252FF00     0950		lda	r18, -256(r18)
228F0150     0954		lda	r20, 336(r15)
A77D8108     0958		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     095C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0960		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0964		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0968		ldq	r0, (gp)									    # 000174
200000C8     096C		lda	r0, 200(r0)
B3EF0108     0970		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0974		ldq	r19, 16(gp)
22730048     0978		lda	r19, 72(r19)
B7EF0150     097C		stq	r31, 336(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 20
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B40F0158     0980		stq	r0, 344(r15)
220F0108     0984		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0988		mov	-1, r17
265F0385     098C		ldah	r18, 901(r31)
2252FF00     0990		lda	r18, -256(r18)
228F0150     0994		lda	r20, 336(r15)
A77D8108     0998		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     099C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     09A0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     09A4		lda	gp, cdvensat_				# gp, (gp)
C3E0069A     09A8		br	lab$0116
	     09AC	lab$0120:											    # 000177
A41D8010     09AC		ldq	r0, (gp)
200000B8     09B0		lda	r0, 184(r0)
B3EF0108     09B4		stl	r31, var$0001				# r31, 264(r15)
A67D8020     09B8		ldq	r19, 16(gp)
22730040     09BC		lda	r19, 64(r19)
47E21402     09C0		mov	16, r2
B44F0150     09C4		stq	r2, 336(r15)
B40F0158     09C8		stq	r0, 344(r15)
220F0108     09CC		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     09D0		mov	-1, r17
265F0385     09D4		ldah	r18, 901(r31)
2252FF00     09D8		lda	r18, -256(r18)
228F0150     09DC		lda	r20, 336(r15)
A77D8108     09E0		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     09E4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     09E8		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     09EC		lda	gp, cdvensat_				# gp, (gp)
220F02C8     09F0		lda	r16, 712(r15)
A65D8158     09F4		ldq	r18, INFILE				# r18, 328(gp)
47FFF411     09F8		mov	255, r17
A77D8140     09FC		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0A00		jsr	r26, _OtsMove				# r26, (r27)
220F01C8     0A04		lda	r16, var$0023				# r16, 456(r15)
47FFF411     0A08		mov	255, r17
224F02C8     0A0C		lda	r18, 712(r15)
47FFF413     0A10		mov	255, r19
A77D80F8     0A14		ldq	r27, for_trim				# r27, 232(gp)
6B5B4000     0A18		jsr	r26, for_trim				# r26, (r27)
27BA0001     0A1C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0A20		lda	gp, cdvensat_				# gp, (gp)
A43D8020     0A24		ldq	r1, 16(gp)
20210048     0A28		lda	r1, 72(r1)
47E00402     0A2C		mov	r0, r2
41E00523     0A30		subq	r15, r0, r3
4461F103     0A34		bic	r3, 15, r3
230FF000     0A38		lda	r24, -4096(r15)
A7830000     0A3C		ldq	r28, (r3)
430307BC     0A40		cmpule	r24, r3, r28
F7800004     0A44		bne	r28, L$34
	     0A48	L$33:
A7980000     0A48		ldq	r28, (r24)
2318E020     0A4C		lda	r24, -8160(r24)
430307BC     0A50		cmpule	r24, r3, r28
E79FFFFC     0A54		beq	r28, L$33
	     0A58	L$34:

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 21
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

47E3041E     0A58		mov	r3, sp
22030000     0A5C		lda	r16, (r3)
47E00411     0A60		mov	r0, r17
224F01C8     0A64		lda	r18, var$0023				# r18, 456(r15)
A77D8140     0A68		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0A6C		jsr	r26, _OtsMove				# r26, (r27)
43C20524     0A70		subq	sp, r2, r4
4481F104     0A74		bic	r4, 15, r4
231EF000     0A78		lda	r24, -4096(sp)
A7840000     0A7C		ldq	r28, (r4)
430407BC     0A80		cmpule	r24, r4, r28
F7800004     0A84		bne	r28, L$38
	     0A88	L$37:
A7980000     0A88		ldq	r28, (r24)
2318E020     0A8C		lda	r24, -8160(r24)
430407BC     0A90		cmpule	r24, r4, r28
E79FFFFC     0A94		beq	r28, L$37
	     0A98	L$38:
47E4041E     0A98		mov	r4, sp
22040000     0A9C		lda	r16, (r4)
47E20411     0AA0		mov	r2, r17
22430000     0AA4		lda	r18, (r3)
47E00413     0AA8		mov	r0, r19
A77D80F0     0AAC		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     0AB0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0AB4		mov	32, r18
A77D8150     0AB8		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     0ABC		jsr	r26, _OtsFill				# r26, (r27)
20A40000     0AC0		lda	r5, (r4)
B4AF0158     0AC4		stq	r5, 344(r15)
B44F0150     0AC8		stq	r2, 336(r15)
220F0108     0ACC		lda	r16, var$0001				# r16, 264(r15)
47E10411     0AD0		mov	r1, r17
224F0150     0AD4		lda	r18, 336(r15)
A77D80E8     0AD8		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0ADC		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0AE0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0AE4		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0AE8		ldq	r0, (gp)									    # 000178
200000A8     0AEC		lda	r0, 168(r0)
B3EF0108     0AF0		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0AF4		ldq	r19, 16(gp)
22730040     0AF8		lda	r19, 64(r19)
47E21402     0AFC		mov	16, r2
B44F0150     0B00		stq	r2, 336(r15)
B40F0158     0B04		stq	r0, 344(r15)
220F0108     0B08		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0B0C		mov	-1, r17
265F0385     0B10		ldah	r18, 901(r31)
2252FF00     0B14		lda	r18, -256(r18)
228F0150     0B18		lda	r20, 336(r15)
A77D8108     0B1C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0B20		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0B24		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0B28		lda	gp, cdvensat_				# gp, (gp)
220F02C8     0B2C		lda	r16, 712(r15)
A65D8158     0B30		ldq	r18, OUTFILE				# r18, 328(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 22
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

2252FE00     0B34		lda	r18, OUTFILE				# r18, -512(r18)
47FFF411     0B38		mov	255, r17
A77D8140     0B3C		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0B40		jsr	r26, _OtsMove				# r26, (r27)
220F01C8     0B44		lda	r16, var$0025				# r16, 456(r15)
47FFF411     0B48		mov	255, r17
224F02C8     0B4C		lda	r18, 712(r15)
47FFF413     0B50		mov	255, r19
A77D80F8     0B54		ldq	r27, for_trim				# r27, 232(gp)
6B5B4000     0B58		jsr	r26, for_trim				# r26, (r27)
27BA0001     0B5C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0B60		lda	gp, cdvensat_				# gp, (gp)
A43D8020     0B64		ldq	r1, 16(gp)
20210048     0B68		lda	r1, 72(r1)
47E00402     0B6C		mov	r0, r2
41E00523     0B70		subq	r15, r0, r3
4461F103     0B74		bic	r3, 15, r3
230FF000     0B78		lda	r24, -4096(r15)
A7830000     0B7C		ldq	r28, (r3)
430307BC     0B80		cmpule	r24, r3, r28
F7800004     0B84		bne	r28, L$44
	     0B88	L$43:
A7980000     0B88		ldq	r28, (r24)
2318E020     0B8C		lda	r24, -8160(r24)
430307BC     0B90		cmpule	r24, r3, r28
E79FFFFC     0B94		beq	r28, L$43
	     0B98	L$44:
47E3041E     0B98		mov	r3, sp
22030000     0B9C		lda	r16, (r3)
47E00411     0BA0		mov	r0, r17
224F01C8     0BA4		lda	r18, var$0025				# r18, 456(r15)
A77D8140     0BA8		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0BAC		jsr	r26, _OtsMove				# r26, (r27)
43C20524     0BB0		subq	sp, r2, r4
4481F104     0BB4		bic	r4, 15, r4
231EF000     0BB8		lda	r24, -4096(sp)
A7840000     0BBC		ldq	r28, (r4)
430407BC     0BC0		cmpule	r24, r4, r28
F7800004     0BC4		bne	r28, L$48
	     0BC8	L$47:
A7980000     0BC8		ldq	r28, (r24)
2318E020     0BCC		lda	r24, -8160(r24)
430407BC     0BD0		cmpule	r24, r4, r28
E79FFFFC     0BD4		beq	r28, L$47
	     0BD8	L$48:
47E4041E     0BD8		mov	r4, sp
22040000     0BDC		lda	r16, (r4)
47E20411     0BE0		mov	r2, r17
22430000     0BE4		lda	r18, (r3)
47E00413     0BE8		mov	r0, r19
A77D80F0     0BEC		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     0BF0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0BF4		mov	32, r18
A77D8150     0BF8		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     0BFC		jsr	r26, _OtsFill				# r26, (r27)
20A40000     0C00		lda	r5, (r4)
B4AF0158     0C04		stq	r5, 344(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 23
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B44F0150     0C08		stq	r2, 336(r15)
220F0108     0C0C		lda	r16, var$0001				# r16, 264(r15)
47E10411     0C10		mov	r1, r17
224F0150     0C14		lda	r18, 336(r15)
A77D80E8     0C18		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0C1C		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0C20		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0C24		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0C28		ldq	r0, (gp)									    # 000179
200000A0     0C2C		lda	r0, 160(r0)
B3EF0108     0C30		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0C34		ldq	r19, 16(gp)
22730040     0C38		lda	r19, 64(r19)
47E0B402     0C3C		mov	5, r2
B44F0150     0C40		stq	r2, 336(r15)
B40F0158     0C44		stq	r0, 344(r15)
220F0108     0C48		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0C4C		mov	-1, r17
265F0385     0C50		ldah	r18, 901(r31)
2252FF00     0C54		lda	r18, -256(r18)
228F0150     0C58		lda	r20, 336(r15)
A77D8108     0C5C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0C60		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0C64		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0C68		lda	gp, cdvensat_				# gp, (gp)
A63D8020     0C6C		ldq	r17, 16(gp)
22310038     0C70		lda	r17, 56(r17)
A41D8160     0C74		ldq	r0, ICANAL				# r0, 336(gp)
2000001C     0C78		lda	r0, ICANAL				# r0, 28(r0)
B40F0148     0C7C		stq	r0, 328(r15)
220F0108     0C80		lda	r16, var$0001				# r16, 264(r15)
224F0148     0C84		lda	r18, 328(r15)
A77D80E8     0C88		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0C8C		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0C90		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0C94		lda	gp, cdvensat_				# gp, (gp)
220F02C8     0C98		lda	r16, 712(r15)
A65D8158     0C9C		ldq	r18, CANAL				# r18, 328(gp)
2252FB00     0CA0		lda	r18, CANAL				# r18, -1280(r18)
47FFF411     0CA4		mov	255, r17
A77D8140     0CA8		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0CAC		jsr	r26, _OtsMove				# r26, (r27)
220F01C8     0CB0		lda	r16, var$0027				# r16, 456(r15)
47FFF411     0CB4		mov	255, r17
224F02C8     0CB8		lda	r18, 712(r15)
47FFF413     0CBC		mov	255, r19
A77D80F8     0CC0		ldq	r27, for_trim				# r27, 232(gp)
6B5B4000     0CC4		jsr	r26, for_trim				# r26, (r27)
27BA0001     0CC8		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0CCC		lda	gp, cdvensat_				# gp, (gp)
A43D8020     0CD0		ldq	r1, 16(gp)
20210048     0CD4		lda	r1, 72(r1)
47E00402     0CD8		mov	r0, r2
41E00523     0CDC		subq	r15, r0, r3
4461F103     0CE0		bic	r3, 15, r3
230FF000     0CE4		lda	r24, -4096(r15)
A7830000     0CE8		ldq	r28, (r3)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 24
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

430307BC     0CEC		cmpule	r24, r3, r28
F7800004     0CF0		bne	r28, L$54
	     0CF4	L$53:
A7980000     0CF4		ldq	r28, (r24)
2318E020     0CF8		lda	r24, -8160(r24)
430307BC     0CFC		cmpule	r24, r3, r28
E79FFFFC     0D00		beq	r28, L$53
	     0D04	L$54:
47E3041E     0D04		mov	r3, sp
22030000     0D08		lda	r16, (r3)
47E00411     0D0C		mov	r0, r17
224F01C8     0D10		lda	r18, var$0027				# r18, 456(r15)
A77D8140     0D14		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0D18		jsr	r26, _OtsMove				# r26, (r27)
43C20524     0D1C		subq	sp, r2, r4
4481F104     0D20		bic	r4, 15, r4
231EF000     0D24		lda	r24, -4096(sp)
A7840000     0D28		ldq	r28, (r4)
430407BC     0D2C		cmpule	r24, r4, r28
F7800004     0D30		bne	r28, L$58
	     0D34	L$57:
A7980000     0D34		ldq	r28, (r24)
2318E020     0D38		lda	r24, -8160(r24)
430407BC     0D3C		cmpule	r24, r4, r28
E79FFFFC     0D40		beq	r28, L$57
	     0D44	L$58:
47E4041E     0D44		mov	r4, sp
22040000     0D48		lda	r16, (r4)
47E20411     0D4C		mov	r2, r17
22430000     0D50		lda	r18, (r3)
47E00413     0D54		mov	r0, r19
A77D80F0     0D58		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     0D5C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0D60		mov	32, r18
A77D8150     0D64		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     0D68		jsr	r26, _OtsFill				# r26, (r27)
20A40000     0D6C		lda	r5, (r4)
B4AF0158     0D70		stq	r5, 344(r15)
B44F0150     0D74		stq	r2, 336(r15)
220F0108     0D78		lda	r16, var$0001				# r16, 264(r15)
47E10411     0D7C		mov	r1, r17
224F0150     0D80		lda	r18, 336(r15)
A77D80E8     0D84		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0D88		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0D8C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0D90		lda	gp, cdvensat_				# gp, (gp)
47EF041E     0D94		mov	r15, sp										    # 000180
A41D8010     0D98		ldq	r0, (gp)
20000090     0D9C		lda	r0, 144(r0)
B3EF0108     0DA0		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0DA4		ldq	r19, 16(gp)
22730040     0DA8		lda	r19, 64(r19)
47E21402     0DAC		mov	16, r2
B44F0150     0DB0		stq	r2, 336(r15)
B40F0158     0DB4		stq	r0, 344(r15)
220F0108     0DB8		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0DBC		mov	-1, r17

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 25
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

265F0385     0DC0		ldah	r18, 901(r31)
2252FF00     0DC4		lda	r18, -256(r18)
228F0150     0DC8		lda	r20, 336(r15)
A77D8108     0DCC		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0DD0		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0DD4		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0DD8		lda	gp, cdvensat_				# gp, (gp)
A63D8020     0DDC		ldq	r17, 16(gp)
22310030     0DE0		lda	r17, 48(r17)
47E09400     0DE4		mov	4, r0
B40F0150     0DE8		stq	r0, 336(r15)
A45D8160     0DEC		ldq	r2, GRAVA				# r2, 336(gp)
204200C8     0DF0		lda	r2, GRAVA				# r2, 200(r2)
B44F0158     0DF4		stq	r2, 344(r15)
220F0108     0DF8		lda	r16, var$0001				# r16, 264(r15)
224F0150     0DFC		lda	r18, 336(r15)
A77D80E8     0E00		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0E04		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0E08		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0E0C		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0E10		ldq	r0, (gp)									    # 000181
20000080     0E14		lda	r0, 128(r0)
B3EF0108     0E18		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0E1C		ldq	r19, 16(gp)
22730040     0E20		lda	r19, 64(r19)
47E21402     0E24		mov	16, r2
B44F0150     0E28		stq	r2, 336(r15)
B40F0158     0E2C		stq	r0, 344(r15)
220F0108     0E30		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0E34		mov	-1, r17
265F0385     0E38		ldah	r18, 901(r31)
2252FF00     0E3C		lda	r18, -256(r18)
228F0150     0E40		lda	r20, 336(r15)
A77D8108     0E44		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0E48		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0E4C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0E50		lda	gp, cdvensat_				# gp, (gp)
A41D8160     0E54		ldq	r0, GRAVA				# r0, 336(gp)
200000CC     0E58		lda	r0, GRAVA				# r0, 204(r0)
A63D8020     0E5C		ldq	r17, 16(gp)
22310030     0E60		lda	r17, 48(r17)
47E09401     0E64		mov	4, r1
B42F0150     0E68		stq	r1, 336(r15)
B40F0158     0E6C		stq	r0, 344(r15)
220F0108     0E70		lda	r16, var$0001				# r16, 264(r15)
224F0150     0E74		lda	r18, 336(r15)
A77D80E8     0E78		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0E7C		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0E80		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0E84		lda	gp, cdvensat_				# gp, (gp)
A41D8010     0E88		ldq	r0, (gp)									    # 000182
20000070     0E8C		lda	r0, 112(r0)
B3EF0108     0E90		stl	r31, var$0001				# r31, 264(r15)
A67D8020     0E94		ldq	r19, 16(gp)
22730040     0E98		lda	r19, 64(r19)
47E21402     0E9C		mov	16, r2
B44F0150     0EA0		stq	r2, 336(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 26
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B40F0158     0EA4		stq	r0, 344(r15)
220F0108     0EA8		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0EAC		mov	-1, r17
265F0385     0EB0		ldah	r18, 901(r31)
2252FF00     0EB4		lda	r18, -256(r18)
228F0150     0EB8		lda	r20, 336(r15)
A77D8108     0EBC		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0EC0		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0EC4		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0EC8		lda	gp, cdvensat_				# gp, (gp)
A41D8160     0ECC		ldq	r0, GRAVA				# r0, 336(gp)
200000D0     0ED0		lda	r0, GRAVA				# r0, 208(r0)
A63D8020     0ED4		ldq	r17, 16(gp)
22310030     0ED8		lda	r17, 48(r17)
47E09401     0EDC		mov	4, r1
B42F0150     0EE0		stq	r1, 336(r15)
B40F0158     0EE4		stq	r0, 344(r15)
220F0108     0EE8		lda	r16, var$0001				# r16, 264(r15)
224F0150     0EEC		lda	r18, 336(r15)
A77D80E8     0EF0		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     0EF4		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0EF8		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0EFC		lda	gp, cdvensat_				# gp, (gp)
220F0148     0F00		lda	r16, var$0032				# r16, 328(r15)				    # 000183
47E27411     0F04		mov	19, r17
A65D8160     0F08		ldq	r18, CDATE				# r18, 336(gp)
2252FFF8     0F0C		lda	r18, CDATE				# r18, -8(r18)
A77D80E0     0F10		ldq	r27, $datelib$grdate_			# r27, 208(gp)
6B5B4000     0F14		jsr	r26, $datelib$grdate_			# r26, (r27)
27BA0001     0F18		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     0F1C		lda	gp, cdvensat_				# gp, (gp)
220F0160     0F20		lda	r16, 352(r15)
224F0148     0F24		lda	r18, var$0032				# r18, 328(r15)
47E27411     0F28		mov	19, r17
A77D8140     0F2C		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0F30		jsr	r26, _OtsMove				# r26, (r27)
B3EF0108     0F34		stl	r31, var$0001				# r31, 264(r15)
A43D8020     0F38		ldq	r1, 16(gp)
20210048     0F3C		lda	r1, 72(r1)
220F0190     0F40		lda	r16, 400(r15)
224F0160     0F44		lda	r18, 352(r15)
47E27411     0F48		mov	19, r17
A77D8140     0F4C		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     0F50		jsr	r26, _OtsMove				# r26, (r27)
204F0190     0F54		lda	r2, 400(r15)
B44F0188     0F58		stq	r2, 392(r15)
47E27404     0F5C		mov	19, r4
B48F0180     0F60		stq	r4, 384(r15)
220F0108     0F64		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     0F68		mov	-1, r17
265F0385     0F6C		ldah	r18, 901(r31)
2252FF00     0F70		lda	r18, -256(r18)
47E10413     0F74		mov	r1, r19
228F0180     0F78		lda	r20, 384(r15)
A77D8108     0F7C		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     0F80		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0F84		ldah	gp, cdvensat_				# gp, (r26)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 27
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

23BDA860     0F88		lda	gp, cdvensat_				# gp, (gp)
A61D8018     0F8C		ldq	r16, 8(gp)									    # 000191
22100040     0F90		lda	r16, 64(r16)
A42F0148     0F94		ldq	r1, var$0033				# r1, 328(r15)
48205601     0F98		zap	r1, 2, r1
B42F0148     0F9C		stq	r1, var$0033				# r1, 328(r15)
47E07400     0FA0		mov	3, r0
A46F0148     0FA4		ldq	r3, var$0033				# r3, 328(r15)
48609603     0FA8		zap	r3, 4, r3
48005160     0FAC		insbl	r0, 2, r0
44600403     0FB0		bis	r3, r0, r3
B46F0148     0FB4		stq	r3, var$0033				# r3, 328(r15)
47E15400     0FB8		mov	10, r0
A4AF0148     0FBC		ldq	r5, var$0033				# r5, 328(r15)
48A11605     0FC0		zap	r5, 8, r5
48007160     0FC4		insbl	r0, 3, r0
44A00405     0FC8		bis	r5, r0, r5
B4AF0148     0FCC		stq	r5, var$0033				# r5, 328(r15)
47E09400     0FD0		mov	4, r0
B40F0150     0FD4		stq	r0, 336(r15)
A50F0148     0FD8		ldq	r8, var$0033				# r8, 328(r15)
451FF108     0FDC		bic	r8, 255, r8
45003408     0FE0		bis	r8, 1, r8
B50F0148     0FE4		stq	r8, var$0033				# r8, 328(r15)
47E09407     0FE8		mov	4, r7
B4EF0170     0FEC		stq	r7, 368(r15)
47E03412     0FF0		mov	1, r18
B64F0180     0FF4		stq	r18, 384(r15)
47E0B414     0FF8		mov	5, r20
B68F0178     0FFC		stq	r20, 376(r15)
A6DD8160     1000		ldq	r22, TBLCOL				# r22, 336(gp)
22D600D4     1004		lda	r22, TBLCOL				# r22, 212(r22)
B6CF0158     1008		stq	r22, 344(r15)
A71D8160     100C		ldq	r24, TBLCOL				# r24, 336(gp)
231800D0     1010		lda	r24, TBLCOL				# r24, 208(r24)
B70F0168     1014		stq	r24, 360(r15)
234F0149     1018		lda	r26, 329(r15)
2F7A0000     101C		ldq_u	r27, (r26)
4B7A00C1     1020		extbl	r27, r26, r1
4B7A005B     1024		mskbl	r27, r26, r27
44203401     1028		bis	r1, 1, r1
483A0161     102C		insbl	r1, r26, r1
4761041B     1030		bis	r27, r1, r27
3F7A0000     1034		stq_u	r27, (r26)
A63D8160     1038		ldq	r17, NSCOLS				# r17, 336(gp)
22310028     103C		lda	r17, NSCOLS				# r17, 40(r17)
224F0148     1040		lda	r18, var$0033				# r18, 328(r15)
A77D80D8     1044		ldq	r27, $mreadtbl$conf_mreadtbl_		# r27, 200(gp)
6B5B4000     1048		jsr	r26, $mreadtbl$conf_mreadtbl_		# r26, (r27)
27BA0001     104C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1050		lda	gp, cdvensat_				# gp, (gp)
A61D8018     1054		ldq	r16, 8(gp)									    # 000192
22100038     1058		lda	r16, 56(r16)
A42F01C8     105C		ldq	r1, var$0034				# r1, 456(r15)
48205601     1060		zap	r1, 2, r1
B42F01C8     1064		stq	r1, var$0034				# r1, 456(r15)
47E13400     1068		mov	9, r0

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 28
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A46F01C8     106C		ldq	r3, var$0034				# r3, 456(r15)
48609603     1070		zap	r3, 4, r3
48005160     1074		insbl	r0, 2, r0
44600403     1078		bis	r3, r0, r3
B46F01C8     107C		stq	r3, var$0034				# r3, 456(r15)
47E15400     1080		mov	10, r0
A4AF01C8     1084		ldq	r5, var$0034				# r5, 456(r15)
48A11605     1088		zap	r5, 8, r5
48007160     108C		insbl	r0, 3, r0
44A00405     1090		bis	r5, r0, r5
B4AF01C8     1094		stq	r5, var$0034				# r5, 456(r15)
47E09400     1098		mov	4, r0
B40F01D0     109C		stq	r0, 464(r15)
A50F01C8     10A0		ldq	r8, var$0034				# r8, 456(r15)
451FF108     10A4		bic	r8, 255, r8
45005408     10A8		bis	r8, 2, r8
B50F01C8     10AC		stq	r8, var$0034				# r8, 456(r15)
47E09407     10B0		mov	4, r7
B4EF01F0     10B4		stq	r7, 496(r15)
47E03412     10B8		mov	1, r18
B64F0200     10BC		stq	r18, 512(r15)
229F2710     10C0		mov	10000, r20
B68F01F8     10C4		stq	r20, 504(r15)
26DF0001     10C8		ldah	r22, 1(r31)
22D69C40     10CC		lda	r22, -25536(r22)
B6CF0208     10D0		stq	r22, 520(r15)
47E03418     10D4		mov	1, r24
B70F0218     10D8		stq	r24, 536(r15)
47E0F41A     10DC		mov	7, r26
B74F0210     10E0		stq	r26, 528(r15)
A43D8160     10E4		ldq	r1, OBS					# r1, 336(gp)
20212668     10E8		lda	r1, OBS					# r1, 9832(r1)
B42F01D8     10EC		stq	r1, 472(r15)
A47D8160     10F0		ldq	r3, OBS					# r3, 336(gp)
20638A24     10F4		lda	r3, OBS					# r3, -30172(r3)
B46F01E8     10F8		stq	r3, 488(r15)
20AF01C9     10FC		lda	r5, 457(r15)
2C050000     1100		ldq_u	r0, (r5)
480500C6     1104		extbl	r0, r5, r6
48050040     1108		mskbl	r0, r5, r0
44C03406     110C		bis	r6, 1, r6
48C50166     1110		insbl	r6, r5, r6
44060400     1114		bis	r0, r6, r0
3C050000     1118		stq_u	r0, (r5)
A63D8158     111C		ldq	r17, INFILE				# r17, 328(gp)
224F01C8     1120		lda	r18, var$0034				# r18, 456(r15)
A67D8160     1124		ldq	r19, NOBS				# r19, 336(gp)
2273002C     1128		lda	r19, NOBS				# r19, 44(r19)
47FFF414     112C		mov	255, r20
A77D80D0     1130		ldq	r27, $mreadtbl$readtbl_			# r27, 192(gp)
6B5B4000     1134		jsr	r26, $mreadtbl$readtbl_			# r26, (r27)
27BA0001     1138		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     113C		lda	gp, cdvensat_				# gp, (gp)
A41D8010     1140		ldq	r0, (gp)									    # 000193
20000058     1144		lda	r0, 88(r0)
B3EF0108     1148		stl	r31, var$0001				# r31, 264(r15)
A67D8020     114C		ldq	r19, 16(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 29
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

22730040     1150		lda	r19, 64(r19)
47E2D402     1154		mov	22, r2
B44F0150     1158		stq	r2, 336(r15)
B40F0158     115C		stq	r0, 344(r15)
220F0108     1160		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     1164		mov	-1, r17
265F0385     1168		ldah	r18, 901(r31)
2252FF00     116C		lda	r18, -256(r18)
228F0150     1170		lda	r20, 336(r15)
A77D8108     1174		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     1178		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     117C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1180		lda	gp, cdvensat_				# gp, (gp)
A63D8020     1184		ldq	r17, 16(gp)
22310028     1188		lda	r17, 40(r17)
A41D8160     118C		ldq	r0, NOBS				# r0, 336(gp)
2000002C     1190		lda	r0, NOBS				# r0, 44(r0)
B40F0148     1194		stq	r0, 328(r15)
220F0108     1198		lda	r16, var$0001				# r16, 264(r15)
224F0148     119C		lda	r18, 328(r15)
A77D80E8     11A0		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     11A4		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     11A8		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     11AC		lda	gp, cdvensat_				# gp, (gp)
A41D8160     11B0		ldq	r0, GRAVA				# r0, 336(gp)				    # 000197
A00000CC     11B4		ldl	r0, GRAVA				# r0, 204(r0)
E0000159     11B8		blbc	r0, lab$0171
A43D8160     11BC		ldq	r1, NOBS				# r1, 336(gp)				    # 000202
A021002C     11C0		ldl	r1, NOBS				# r1, 44(r1)
47E1040A     11C4		mov	r1, var$0036				# r1, r10
47E03402     11C8		mov	1, r2
A47D8160     11CC		ldq	r3, I					# r3, 336(gp)
B4430008     11D0		stq	r2, I					# r2, 8(r3)
EC200083     11D4		ble	r1, lab$0180
	     11D8	lab$0173:
A49D8160     11D8		ldq	r4, I					# r4, 336(gp)				    # 000204
A4840008     11DC		ldq	r4, I					# r4, 8(r4)
48861724     11E0		sll	r4, 48, r4
48861784     11E4		sra	r4, 48, r4
4C821404     11E8		mulq	r4, 16, r4
A79D8018     11EC		ldq	r28, 8(gp)
A4BC0030     11F0		ldq	r5, 48(r28)
A79D8120     11F4		ldq	r28, STID				# r28, 272(gp)
43840404     11F8		addq	STID, r4, r4				# r28, r4, r4
B4A402F0     11FC		stq	r5, 752(r4)
A4DD8160     1200		ldq	r6, I					# r6, 336(gp)				    # 000205
A4C60008     1204		ldq	r6, I					# r6, 8(r6)
48C61726     1208		sll	r6, 48, r6
48C61786     120C		sra	r6, 48, r6
4CC21406     1210		mulq	r6, 16, r6
A4FD8160     1214		ldq	r7, I					# r7, 336(gp)
A4E70008     1218		ldq	r7, I					# r7, 8(r7)
48E61727     121C		sll	r7, 48, r7
48E61787     1220		sra	r7, 48, r7
4CE09407     1224		mulq	r7, 4, r7
A79D8160     1228		ldq	r28, OBS				# r28, 336(gp)
43870407     122C		addq	OBS, r7, r7				# r28, r7, r7

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 30
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

88072664     1230		lds	f0, 9828(r7)
A79D8120     1234		ldq	r28, STID				# r28, 272(gp)
43860406     1238		addq	STID, r6, r6				# r28, r6, r6
980602F8     123C		sts	f0, 760(r6)
A51D8160     1240		ldq	r8, I					# r8, 336(gp)				    # 000206
A5080008     1244		ldq	r8, I					# r8, 8(r8)
49061728     1248		sll	r8, 48, r8
49061788     124C		sra	r8, 48, r8
4D021408     1250		mulq	r8, 16, r8
A61D8160     1254		ldq	r16, I					# r16, 336(gp)
A6100008     1258		ldq	r16, I					# r16, 8(r16)
4A061730     125C		sll	r16, 48, r16
4A061790     1260		sra	r16, 48, r16
4E009410     1264		mulq	r16, 4, r16
A79D80C8     1268		ldq	r28, OBS				# r28, 184(gp)
43900410     126C		addq	OBS, r16, r16				# r28, r16, r16
88300000     1270		lds	f1, (r16)
A79D8120     1274		ldq	r28, STID				# r28, 272(gp)
43880408     1278		addq	STID, r8, r8				# r28, r8, r8
982802FC     127C		sts	f1, 764(r8)
A63D8160     1280		ldq	r17, I					# r17, 336(gp)				    # 000210
A6310008     1284		ldq	r17, I					# r17, 8(r17)
4A261731     1288		sll	r17, 48, r17
4A261791     128C		sra	r17, 48, r17
4E20940D     1290		mulq	r17, 4, r13
A65D8160     1294		ldq	r18, I					# r18, 336(gp)
A6520008     1298		ldq	r18, I					# r18, 8(r18)
4A461732     129C		sll	r18, 48, r18
4A461792     12A0		sra	r18, 48, r18
4E409412     12A4		mulq	r18, 4, r18
A79D80C0     12A8		ldq	r28, OBS				# r28, 176(gp)
43920412     12AC		addq	OBS, r18, r18				# r28, r18, r18
88520000     12B0		lds	f2, (r18)
A67D8160     12B4		ldq	r19, I					# r19, 336(gp)
A6730008     12B8		ldq	r19, I					# r19, 8(r19)
4A661733     12BC		sll	r19, 48, r19
4A661793     12C0		sra	r19, 48, r19
4E609413     12C4		mulq	r19, 4, r19
A79D80B8     12C8		ldq	r28, OBS				# r28, 168(gp)
43930413     12CC		addq	OBS, r19, r19				# r28, r19, r19
8A130000     12D0		lds	f16, (r19)
A77D80B0     12D4		ldq	r27, sindf				# r27, 160(gp)
6B5B4000     12D8		jsr	r26, sindf				# r26, (r27)
27BA0001     12DC		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     12E0		lda	gp, cdvensat_				# gp, (gp)
58401040     12E4		muls	f2, f0, f0
5C000420     12E8		fneg	f0, f0
A79D80A8     12EC		ldq	r28, OBS				# r28, 152(gp)
438D040D     12F0		addq	OBS, r13, r13				# r28, r13, r13
980D0000     12F4		sts	f0, (r13)
A41D8160     12F8		ldq	r0, I					# r0, 336(gp)				    # 000211
A4000008     12FC		ldq	r0, I					# r0, 8(r0)
48061720     1300		sll	r0, 48, r0
48061780     1304		sra	r0, 48, r0
4C00940D     1308		mulq	r0, 4, r13
A43D8160     130C		ldq	r1, I					# r1, 336(gp)
A4210008     1310		ldq	r1, I					# r1, 8(r1)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 31
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

48261721     1314		sll	r1, 48, r1
48261781     1318		sra	r1, 48, r1
4C209401     131C		mulq	r1, 4, r1
A79D80C0     1320		ldq	r28, OBS				# r28, 176(gp)
43810401     1324		addq	OBS, r1, r1				# r28, r1, r1
88410000     1328		lds	f2, (r1)
A45D8160     132C		ldq	r2, I					# r2, 336(gp)
A4420008     1330		ldq	r2, I					# r2, 8(r2)
48461722     1334		sll	r2, 48, r2
48461782     1338		sra	r2, 48, r2
4C409402     133C		mulq	r2, 4, r2
A79D80B8     1340		ldq	r28, OBS				# r28, 168(gp)
43820402     1344		addq	OBS, r2, r2				# r28, r2, r2
8A020000     1348		lds	f16, (r2)
A77D80A0     134C		ldq	r27, cosdf				# r27, 144(gp)
6B5B4000     1350		jsr	r26, cosdf				# r26, (r27)
27BA0001     1354		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1358		lda	gp, cdvensat_				# gp, (gp)
58401040     135C		muls	f2, f0, f0
5C000420     1360		fneg	f0, f0
A79D8098     1364		ldq	r28, OBS				# r28, 136(gp)
438D040D     1368		addq	OBS, r13, r13				# r28, r13, r13
980D0000     136C		sts	f0, (r13)
241F504D     1370		ldah	r0, 20557(r31)									    # 000212
20004355     1374		lda	r0, 17237(r0)
A43D8160     1378		ldq	r1, TBLCOD				# r1, 336(gp)
B001004C     137C		stl	r0, TBLCOD				# r0, 76(r1)
A61D8148     1380		ldq	r16, TBLDES				# r16, 312(gp)
22100096     1384		lda	r16, TBLDES				# r16, 150(r16)
A65D8010     1388		ldq	r18, (gp)
22520038     138C		lda	r18, 56(r18)
47E3D411     1390		mov	30, r17
A77D8140     1394		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     1398		jsr	r26, _OtsMove				# r26, (r27)
245F504D     139C		ldah	r2, 20557(r31)									    # 000213
20424356     13A0		lda	r2, 17238(r2)
A47D8160     13A4		ldq	r3, TBLCOD				# r3, 336(gp)
B0430050     13A8		stl	r2, TBLCOD				# r2, 80(r3)
A61D8148     13AC		ldq	r16, TBLDES				# r16, 312(gp)
221000B4     13B0		lda	r16, TBLDES				# r16, 180(r16)
A65D8010     13B4		ldq	r18, (gp)
22520018     13B8		lda	r18, 24(r18)
47E3D411     13BC		mov	30, r17
A77D8140     13C0		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     13C4		jsr	r26, _OtsMove				# r26, (r27)
A49D8160     13C8		ldq	r4, I					# r4, 336(gp)				    # 000202
A4840008     13CC		ldq	r4, I					# r4, 8(r4)
40803404     13D0		addq	r4, 1, r4
A4BD8160     13D4		ldq	r5, I					# r5, 336(gp)
B4850008     13D8		stq	r4, I					# r4, 8(r5)
4140352A     13DC		subq	var$0036, 1, var$0036			# r10, 1, r10
FD5FFF7D     13E0		bgt	var$0036, lab$0173			# r10, lab$0173
	     13E4	lab$0180:											    # 000222
A61D8018     13E4		ldq	r16, 8(gp)
22100028     13E8		lda	r16, 40(r16)
A4EF0188     13EC		ldq	r7, var$0037				# r7, 392(r15)
48E05607     13F0		zap	r7, 2, r7

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 32
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B4EF0188     13F4		stq	r7, var$0037				# r7, 392(r15)
47E1D406     13F8		mov	14, r6
A6AF0188     13FC		ldq	r21, var$0037				# r21, 392(r15)
4AA09615     1400		zap	r21, 4, r21
48C05166     1404		insbl	r6, 2, r6
46A60415     1408		bis	r21, r6, r21
B6AF0188     140C		stq	r21, var$0037				# r21, 392(r15)
47E15406     1410		mov	10, r6
A6EF0188     1414		ldq	r23, var$0037				# r23, 392(r15)
4AE11617     1418		zap	r23, 8, r23
48C07166     141C		insbl	r6, 3, r6
46E60417     1420		bis	r23, r6, r23
B6EF0188     1424		stq	r23, var$0037				# r23, 392(r15)
47E09406     1428		mov	4, r6
B4CF0190     142C		stq	r6, 400(r15)
A5AF0188     1430		ldq	r13, var$0037				# r13, 392(r15)
45BFF10D     1434		bic	r13, 255, r13
45A0340D     1438		bis	r13, 1, r13
B5AF0188     143C		stq	r13, var$0037				# r13, 392(r15)
47E0940D     1440		mov	4, r13
B5AF01B0     1444		stq	r13, 432(r15)
47E03401     1448		mov	1, r1
B42F01C0     144C		stq	r1, 448(r15)
47E0F403     1450		mov	7, r3
B46F01B8     1454		stq	r3, 440(r15)
A65D8160     1458		ldq	r18, TBLCOD				# r18, 336(gp)
22520038     145C		lda	r18, TBLCOD				# r18, 56(r18)
B64F0198     1460		stq	r18, 408(r15)
A69D8160     1464		ldq	r20, TBLCOD				# r20, 336(gp)
22940034     1468		lda	r20, TBLCOD				# r20, 52(r20)
B68F01A8     146C		stq	r20, 424(r15)
236F0189     1470		lda	r27, 393(r15)
2C9B0000     1474		ldq_u	r4, (r27)
489B00C5     1478		extbl	r4, r27, r5
489B0044     147C		mskbl	r4, r27, r4
44A03405     1480		bis	r5, 1, r5
48BB0165     1484		insbl	r5, r27, r5
44850404     1488		bis	r4, r5, r4
3C9B0000     148C		stq_u	r4, (r27)
A50F0148     1490		ldq	r8, var$0038				# r8, 328(r15)
49005608     1494		zap	r8, 2, r8
B50F0148     1498		stq	r8, var$0038				# r8, 328(r15)
47E1D407     149C		mov	14, r7
A6CF0148     14A0		ldq	r22, var$0038				# r22, 328(r15)
4AC09616     14A4		zap	r22, 4, r22
48E05167     14A8		insbl	r7, 2, r7
46C70416     14AC		bis	r22, r7, r22
B6CF0148     14B0		stq	r22, var$0038				# r22, 328(r15)
47E15407     14B4		mov	10, r7
A4CF0148     14B8		ldq	r6, var$0038				# r6, 328(r15)
48C11606     14BC		zap	r6, 8, r6
48E07167     14C0		insbl	r7, 3, r7
44C70406     14C4		bis	r6, r7, r6
B4CF0148     14C8		stq	r6, var$0038				# r6, 328(r15)
47E3D406     14CC		mov	30, r6
B4CF0150     14D0		stq	r6, 336(r15)
A40F0148     14D4		ldq	r0, var$0038				# r0, 328(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 33
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

441FF100     14D8		bic	r0, 255, r0
44003400     14DC		bis	r0, 1, r0
B40F0148     14E0		stq	r0, var$0038				# r0, 328(r15)
47E3D400     14E4		mov	30, r0
B40F0170     14E8		stq	r0, 368(r15)
47E03401     14EC		mov	1, r1
B42F0180     14F0		stq	r1, 384(r15)
47E0F403     14F4		mov	7, r3
B46F0178     14F8		stq	r3, 376(r15)
A65D8148     14FC		ldq	r18, TBLDES				# r18, 312(gp)
22520000     1500		lda	r18, TBLDES				# r18, (r18)
B64F0158     1504		stq	r18, 344(r15)
A69D8148     1508		ldq	r20, TBLDES				# r20, 312(gp)
2294FFE2     150C		lda	r20, TBLDES				# r20, -30(r20)
B68F0168     1510		stq	r20, 360(r15)
208F0149     1514		lda	r4, 329(r15)
2CA40000     1518		ldq_u	r5, (r4)
48A400DB     151C		extbl	r5, r4, r27
48A40045     1520		mskbl	r5, r4, r5
4760341B     1524		bis	r27, 1, r27
4B64017B     1528		insbl	r27, r4, r27
44BB0405     152C		bis	r5, r27, r5
3CA40000     1530		stq_u	r5, (r4)
A6BD8018     1534		ldq	r21, 8(gp)
22B50020     1538		lda	r21, 32(r21)
47FFF408     153C		mov	255, r8
23CFFFF0     1540		lda	sp, -16(r15)
B7FE0000     1544		stq	r31, (sp)
B51E0000     1548		stq	r8, (sp)
A63D8158     154C		ldq	r17, OUTFILE				# r17, 328(gp)
2231FE00     1550		lda	r17, OUTFILE				# r17, -512(r17)
A65D8160     1554		ldq	r18, CDATE				# r18, 336(gp)
2252FFF8     1558		lda	r18, CDATE				# r18, -8(r18)
226F0188     155C		lda	r19, var$0037				# r19, 392(r15)
228F0148     1560		lda	r20, var$0038				# r20, 328(r15)
A77D8090     1564		ldq	r27, $mgrads$savectl_			# r27, 128(gp)
6B5B4000     1568		jsr	r26, $mgrads$savectl_			# r26, (r27)
27BA0001     156C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1570		lda	gp, cdvensat_				# gp, (gp)
A61D8018     1574		ldq	r16, 8(gp)									    # 000223
22100028     1578		lda	r16, 40(r16)
A40F01C8     157C		ldq	r0, var$0039				# r0, 456(r15)
48005600     1580		zap	r0, 2, r0
B40F01C8     1584		stq	r0, var$0039				# r0, 456(r15)
47E13400     1588		mov	9, r0
A44F01C8     158C		ldq	r2, var$0039				# r2, 456(r15)
48409602     1590		zap	r2, 4, r2
48005160     1594		insbl	r0, 2, r0
44400402     1598		bis	r2, r0, r2
B44F01C8     159C		stq	r2, var$0039				# r2, 456(r15)
47E15400     15A0		mov	10, r0
A48F01C8     15A4		ldq	r4, var$0039				# r4, 456(r15)
48811604     15A8		zap	r4, 8, r4
48007160     15AC		insbl	r0, 3, r0
44800404     15B0		bis	r4, r0, r4
B48F01C8     15B4		stq	r4, var$0039				# r4, 456(r15)
47E09400     15B8		mov	4, r0

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 34
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B40F01D0     15BC		stq	r0, 464(r15)
A4EF01C8     15C0		ldq	r7, var$0039				# r7, 456(r15)
44FFF107     15C4		bic	r7, 255, r7
44E05407     15C8		bis	r7, 2, r7
B4EF01C8     15CC		stq	r7, var$0039				# r7, 456(r15)
47E09406     15D0		mov	4, r6
B4CF01F0     15D4		stq	r6, 496(r15)
47E03411     15D8		mov	1, r17
B62F0200     15DC		stq	r17, 512(r15)
227F2710     15E0		mov	10000, r19
B66F01F8     15E4		stq	r19, 504(r15)
26BF0001     15E8		ldah	r21, 1(r31)
22B59C40     15EC		lda	r21, -25536(r21)
B6AF0208     15F0		stq	r21, 520(r15)
47E03417     15F4		mov	1, r23
B6EF0218     15F8		stq	r23, 536(r15)
47E0F419     15FC		mov	7, r25
B72F0210     1600		stq	r25, 528(r15)
A77D8160     1604		ldq	r27, OBS				# r27, 336(gp)
237B2668     1608		lda	r27, OBS				# r27, 9832(r27)
B76F01D8     160C		stq	r27, 472(r15)
A43D8160     1610		ldq	r1, OBS					# r1, 336(gp)
20218A24     1614		lda	r1, OBS					# r1, -30172(r1)
B42F01E8     1618		stq	r1, 488(r15)
206F01C9     161C		lda	r3, 457(r15)
2C830000     1620		ldq_u	r4, (r3)
488300C0     1624		extbl	r4, r3, r0
48830044     1628		mskbl	r4, r3, r4
44003400     162C		bis	r0, 1, r0
48030160     1630		insbl	r0, r3, r0
44800404     1634		bis	r4, r0, r4
3C830000     1638		stq_u	r4, (r3)
A4EF0148     163C		ldq	r7, var$0040				# r7, 328(r15)
48E05607     1640		zap	r7, 2, r7
B4EF0148     1644		stq	r7, var$0040				# r7, 328(r15)
47E1F405     1648		mov	15, r5
A50F0148     164C		ldq	r8, var$0040				# r8, 328(r15)
49009608     1650		zap	r8, 4, r8
48A05165     1654		insbl	r5, 2, r5
45050408     1658		bis	r8, r5, r8
B50F0148     165C		stq	r8, var$0040				# r8, 328(r15)
47E15405     1660		mov	10, r5
A64F0148     1664		ldq	r18, var$0040				# r18, 328(r15)
4A411612     1668		zap	r18, 8, r18
48A07165     166C		insbl	r5, 3, r5
46450412     1670		bis	r18, r5, r18
B64F0148     1674		stq	r18, var$0040				# r18, 328(r15)
47E21405     1678		mov	16, r5
B4AF0150     167C		stq	r5, 336(r15)
A6AF0148     1680		ldq	r21, var$0040				# r21, 328(r15)
46BFF115     1684		bic	r21, 255, r21
46A03415     1688		bis	r21, 1, r21
B6AF0148     168C		stq	r21, var$0040				# r21, 328(r15)
47E21414     1690		mov	16, r20
B68F0170     1694		stq	r20, 368(r15)
47E03417     1698		mov	1, r23
B6EF0180     169C		stq	r23, 384(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 35
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

233F2710     16A0		mov	10000, r25
B72F0178     16A4		stq	r25, 376(r15)
A5BD8120     16A8		ldq	r13, STID				# r13, 272(gp)
21AD0300     16AC		lda	r13, STID				# r13, 768(r13)
B5AF0158     16B0		stq	r13, 344(r15)
A43D8120     16B4		ldq	r1, STID				# r1, 272(gp)
202102F0     16B8		lda	r1, STID				# r1, 752(r1)
B42F0168     16BC		stq	r1, 360(r15)
200F0149     16C0		lda	r0, 329(r15)
2C600000     16C4		ldq_u	r3, (r0)
486000C4     16C8		extbl	r3, r0, r4
48600043     16CC		mskbl	r3, r0, r3
44803404     16D0		bis	r4, 1, r4
48800164     16D4		insbl	r4, r0, r4
44640403     16D8		bis	r3, r4, r3
3C600000     16DC		stq_u	r3, (r0)
A6BD8018     16E0		ldq	r21, 8(gp)
22B50020     16E4		lda	r21, 32(r21)
47FFF407     16E8		mov	255, r7
23CFFFF0     16EC		lda	sp, -16(r15)
B7FE0000     16F0		stq	r31, (sp)
B4FE0000     16F4		stq	r7, (sp)
A63D8158     16F8		ldq	r17, OUTFILE				# r17, 328(gp)
2231FE00     16FC		lda	r17, OUTFILE				# r17, -512(r17)
224F01C8     1700		lda	r18, var$0039				# r18, 456(r15)
A67D8160     1704		ldq	r19, NOBS				# r19, 336(gp)
2273002C     1708		lda	r19, NOBS				# r19, 44(r19)
228F0148     170C		lda	r20, var$0040				# r20, 328(r15)
A77D8088     1710		ldq	r27, $mgrads$savebin_			# r27, 120(gp)
6B5B4000     1714		jsr	r26, $mgrads$savebin_			# r26, (r27)
27BA0001     1718		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     171C		lda	gp, cdvensat_				# gp, (gp)
	     1720	lab$0171:											    # 000197
47EF041E     1720		mov	r15, sp
A5BD8160     1724		ldq	r13, GRAVA				# r13, 336(gp)				    # 000235
A1AD00D0     1728		ldl	r13, GRAVA				# r13, 208(r13)
E1A00114     172C		blbc	r13, lab$0194
220F02C8     1730		lda	r16, 712(r15)									    # 000236
A65D8158     1734		ldq	r18, OUTFILE				# r18, 328(gp)
2252FE00     1738		lda	r18, OUTFILE				# r18, -512(r18)
47FFF411     173C		mov	255, r17
A77D8140     1740		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     1744		jsr	r26, _OtsMove				# r26, (r27)
220F01C8     1748		lda	r16, var$0041				# r16, 456(r15)
47FFF411     174C		mov	255, r17
224F02C8     1750		lda	r18, 712(r15)
47FFF413     1754		mov	255, r19
A77D80F8     1758		ldq	r27, for_trim				# r27, 232(gp)
6B5B4000     175C		jsr	r26, for_trim				# r26, (r27)
27BA0001     1760		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1764		lda	gp, cdvensat_				# gp, (gp)
A61D8158     1768		ldq	r16, OUTFILEX				# r16, 328(gp)
2210FD00     176C		lda	r16, OUTFILEX				# r16, -768(r16)
224F01C8     1770		lda	r18, var$0041				# r18, 456(r15)
47E00413     1774		mov	r0, r19
47FFF411     1778		mov	255, r17
A77D80F0     177C		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 36
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

6B5B4000     1780		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8020     1784		ldq	r18, 16(gp)
22520020     1788		lda	r18, 32(r18)
47E09413     178C		mov	4, r19
A77D80F0     1790		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     1794		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1798		mov	32, r18
A77D8150     179C		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     17A0		jsr	r26, _OtsFill				# r26, (r27)
A61D8160     17A4		ldq	r16, CDATE				# r16, 336(gp)				    # 000239
2210FFF8     17A8		lda	r16, CDATE				# r16, -8(r16)
A77D8080     17AC		ldq	r27, $datelib$year_			# r27, 112(gp)
6B5B4000     17B0		jsr	r26, $datelib$year_			# r26, (r27)
27BA0001     17B4		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     17B8		lda	gp, cdvensat_				# gp, (gp)
B3EF0108     17BC		stl	r31, var$0001				# r31, 264(r15)
A65D8010     17C0		ldq	r18, (gp)
22520010     17C4		lda	r18, 16(r18)
47E1B401     17C8		mov	13, r1
B42F0148     17CC		stq	r1, 328(r15)
A47D8160     17D0		ldq	r3, AUX					# r3, 336(gp)
206300A8     17D4		lda	r3, AUX					# r3, 168(r3)
B46F0150     17D8		stq	r3, 336(r15)
B00F0158     17DC		stl	r0, 344(r15)
220F0108     17E0		lda	r16, var$0001				# r16, 264(r15)
263F0385     17E4		ldah	r17, 901(r31)
2231FF00     17E8		lda	r17, -256(r17)
226F0148     17EC		lda	r19, 328(r15)
A69D8078     17F0		ldq	r20, var$0002				# r20, 104(gp)
A77D8070     17F4		ldq	r27, for_write_int_fmt			# r27, 96(gp)
6B5B4000     17F8		jsr	r26, for_write_int_fmt			# r26, (r27)
27BA0001     17FC		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1800		lda	gp, cdvensat_				# gp, (gp)
A61D8160     1804		ldq	r16, CDATE				# r16, 336(gp)
2210FFF8     1808		lda	r16, CDATE				# r16, -8(r16)
A77D8068     180C		ldq	r27, $datelib$month_			# r27, 88(gp)
6B5B4000     1810		jsr	r26, $datelib$month_			# r26, (r27)
27BA0001     1814		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1818		lda	gp, cdvensat_				# gp, (gp)
A63D8020     181C		ldq	r17, 16(gp)
22310018     1820		lda	r17, 24(r17)
B00F0148     1824		stl	r0, 328(r15)
220F0108     1828		lda	r16, var$0001				# r16, 264(r15)
224F0148     182C		lda	r18, 328(r15)
A77D8060     1830		ldq	r27, for_write_int_fmt_xmit		# r27, 80(gp)
6B5B4000     1834		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     1838		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     183C		lda	gp, cdvensat_				# gp, (gp)
A61D8160     1840		ldq	r16, CDATE				# r16, 336(gp)
2210FFF8     1844		lda	r16, CDATE				# r16, -8(r16)
A77D8058     1848		ldq	r27, $datelib$day_			# r27, 72(gp)
6B5B4000     184C		jsr	r26, $datelib$day_			# r26, (r27)
27BA0001     1850		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1854		lda	gp, cdvensat_				# gp, (gp)
A63D8020     1858		ldq	r17, 16(gp)
22310018     185C		lda	r17, 24(r17)
B00F0148     1860		stl	r0, 328(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 37
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

220F0108     1864		lda	r16, var$0001				# r16, 264(r15)
224F0148     1868		lda	r18, 328(r15)
A77D8060     186C		ldq	r27, for_write_int_fmt_xmit		# r27, 80(gp)
6B5B4000     1870		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     1874		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1878		lda	gp, cdvensat_				# gp, (gp)
A61D8160     187C		ldq	r16, CDATE				# r16, 336(gp)
2210FFF8     1880		lda	r16, CDATE				# r16, -8(r16)
A77D8050     1884		ldq	r27, $datelib$hour_			# r27, 64(gp)
6B5B4000     1888		jsr	r26, $datelib$hour_			# r26, (r27)
27BA0001     188C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1890		lda	gp, cdvensat_				# gp, (gp)
A63D8020     1894		ldq	r17, 16(gp)
22310018     1898		lda	r17, 24(r17)
B00F0148     189C		stl	r0, 328(r15)
220F0108     18A0		lda	r16, var$0001				# r16, 264(r15)
224F0148     18A4		lda	r18, 328(r15)
A77D8060     18A8		ldq	r27, for_write_int_fmt_xmit		# r27, 80(gp)
6B5B4000     18AC		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     18B0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     18B4		lda	gp, cdvensat_				# gp, (gp)
A63D8020     18B8		ldq	r17, 16(gp)
22310010     18BC		lda	r17, 16(r17)
B3EF0148     18C0		stl	r31, 328(r15)
220F0108     18C4		lda	r16, var$0001				# r16, 264(r15)
224F0148     18C8		lda	r18, 328(r15)
A77D8060     18CC		ldq	r27, for_write_int_fmt_xmit		# r27, 80(gp)
6B5B4000     18D0		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     18D4		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     18D8		lda	gp, cdvensat_				# gp, (gp)
A43D8160     18DC		ldq	r1, NOBS				# r1, 336(gp)				    # 000240
A021002C     18E0		ldl	r1, NOBS				# r1, 44(r1)
44201C81     18E4		cmovle	r1, 0, r1
47E0340D     18E8		mov	1, var$0044				# 1, r13
47E03400     18EC		mov	1, var$0043				# 1, r0
	     18F0	lab$0221:
40010DA2     18F0		cmple	var$0043, r1, r2			# r0, r1, r2
E440000C     18F4		beq	r2, lab$0225
4DA1B410     18F8		mulq	var$0044, 13, r16			# r13, 13, r16
A79D8148     18FC		ldq	r28, GDATE				# r28, 312(gp)
43900410     1900		addq	GDATE, r16, r16				# r28, r16, r16
221000CB     1904		lda	r16, 203(r16)
A65D8160     1908		ldq	r18, AUX				# r18, 336(gp)
225200A8     190C		lda	r18, AUX				# r18, 168(r18)
47E1B411     1910		mov	13, r17
A77D8140     1914		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     1918		jsr	r26, _OtsMove				# r26, (r27)
41A0340D     191C		addq	var$0044, 1, var$0044			# r13, 1, r13
40003400     1920		addq	var$0043, 1, var$0043			# r0, 1, r0
C3FFFFF2     1924		br	lab$0221
	     1928	lab$0225:											    # 000243
A61D8018     1928		ldq	r16, 8(gp)
22100038     192C		lda	r16, 56(r16)
A48F01C8     1930		ldq	r4, var$0045				# r4, 456(r15)
48805604     1934		zap	r4, 2, r4
B48F01C8     1938		stq	r4, var$0045				# r4, 456(r15)
47E13403     193C		mov	9, r3

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 38
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A4CF01C8     1940		ldq	r6, var$0045				# r6, 456(r15)
48C09606     1944		zap	r6, 4, r6
48605163     1948		insbl	r3, 2, r3
44C30406     194C		bis	r6, r3, r6
B4CF01C8     1950		stq	r6, var$0045				# r6, 456(r15)
47E15403     1954		mov	10, r3
A50F01C8     1958		ldq	r8, var$0045				# r8, 456(r15)
49011608     195C		zap	r8, 8, r8
48607163     1960		insbl	r3, 3, r3
45030408     1964		bis	r8, r3, r8
B50F01C8     1968		stq	r8, var$0045				# r8, 456(r15)
47E09403     196C		mov	4, r3
B46F01D0     1970		stq	r3, 464(r15)
A6EF01C8     1974		ldq	r23, var$0045				# r23, 456(r15)
46FFF117     1978		bic	r23, 255, r23
46E05417     197C		bis	r23, 2, r23
B6EF01C8     1980		stq	r23, var$0045				# r23, 456(r15)
47E09416     1984		mov	4, r22
B6CF01F0     1988		stq	r22, 496(r15)
47E03419     198C		mov	1, r25
B72F0200     1990		stq	r25, 512(r15)
223F2710     1994		mov	10000, r17
B62F01F8     1998		stq	r17, 504(r15)
267F0001     199C		ldah	r19, 1(r31)
22739C40     19A0		lda	r19, -25536(r19)
B66F0208     19A4		stq	r19, 520(r15)
47E0341A     19A8		mov	1, r26
B74F0218     19AC		stq	r26, 536(r15)
47E0F400     19B0		mov	7, r0
B40F0210     19B4		stq	r0, 528(r15)
A5BD8160     19B8		ldq	r13, OBS				# r13, 336(gp)
21AD2668     19BC		lda	r13, OBS				# r13, 9832(r13)
B5AF01D8     19C0		stq	r13, 472(r15)
A4BD8160     19C4		ldq	r5, OBS					# r5, 336(gp)
20A58A24     19C8		lda	r5, OBS					# r5, -30172(r5)
B4AF01E8     19CC		stq	r5, 488(r15)
20EF01C9     19D0		lda	r7, 457(r15)
2D070000     19D4		ldq_u	r8, (r7)
490700C3     19D8		extbl	r8, r7, r3
49070048     19DC		mskbl	r8, r7, r8
44603403     19E0		bis	r3, 1, r3
48670163     19E4		insbl	r3, r7, r3
45030408     19E8		bis	r8, r3, r8
3D070000     19EC		stq_u	r8, (r7)
A6EF0188     19F0		ldq	r23, var$0046				# r23, 392(r15)
4AE05617     19F4		zap	r23, 2, r23
B6EF0188     19F8		stq	r23, var$0046				# r23, 392(r15)
47E1D415     19FC		mov	14, r21
A70F0188     1A00		ldq	r24, var$0046				# r24, 392(r15)
4B009618     1A04		zap	r24, 4, r24
4AA05175     1A08		insbl	r21, 2, r21
47150418     1A0C		bis	r24, r21, r24
B70F0188     1A10		stq	r24, var$0046				# r24, 392(r15)
47E15415     1A14		mov	10, r21
A72F0188     1A18		ldq	r25, var$0046				# r25, 392(r15)
4B211619     1A1C		zap	r25, 8, r25
4AA07175     1A20		insbl	r21, 3, r21

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 39
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

47350419     1A24		bis	r25, r21, r25
B72F0188     1A28		stq	r25, var$0046				# r25, 392(r15)
47E09402     1A2C		mov	4, r2
B44F0190     1A30		stq	r2, 400(r15)
A66F0188     1A34		ldq	r19, var$0046				# r19, 392(r15)
467FF113     1A38		bic	r19, 255, r19
46603413     1A3C		bis	r19, 1, r19
B66F0188     1A40		stq	r19, var$0046				# r19, 392(r15)
47E09412     1A44		mov	4, r18
B64F01B0     1A48		stq	r18, 432(r15)
47E0341A     1A4C		mov	1, r26
B74F01C0     1A50		stq	r26, 448(r15)
47E0F400     1A54		mov	7, r0
B40F01B8     1A58		stq	r0, 440(r15)
A49D8160     1A5C		ldq	r4, TBLCOD				# r4, 336(gp)
20840038     1A60		lda	r4, TBLCOD				# r4, 56(r4)
B48F0198     1A64		stq	r4, 408(r15)
A4BD8160     1A68		ldq	r5, TBLCOD				# r5, 336(gp)
20A50034     1A6C		lda	r5, TBLCOD				# r5, 52(r5)
B4AF01A8     1A70		stq	r5, 424(r15)
206F0189     1A74		lda	r3, 393(r15)
2CE30000     1A78		ldq_u	r7, (r3)
48E300C8     1A7C		extbl	r7, r3, r8
48E30047     1A80		mskbl	r7, r3, r7
45003408     1A84		bis	r8, 1, r8
49030168     1A88		insbl	r8, r3, r8
44E80407     1A8C		bis	r7, r8, r7
3CE30000     1A90		stq_u	r7, (r3)
A6CF0148     1A94		ldq	r22, var$0047				# r22, 328(r15)
4AC05616     1A98		zap	r22, 2, r22
B6CF0148     1A9C		stq	r22, var$0047				# r22, 328(r15)
47E1D416     1AA0		mov	14, r22
A6AF0148     1AA4		ldq	r21, var$0047				# r21, 328(r15)
4AA09615     1AA8		zap	r21, 4, r21
4AC05176     1AAC		insbl	r22, 2, r22
46B60415     1AB0		bis	r21, r22, r21
B6AF0148     1AB4		stq	r21, var$0047				# r21, 328(r15)
47E15415     1AB8		mov	10, r21
A44F0148     1ABC		ldq	r2, var$0047				# r2, 328(r15)
48411602     1AC0		zap	r2, 8, r2
4AA07175     1AC4		insbl	r21, 3, r21
44550402     1AC8		bis	r2, r21, r2
B44F0148     1ACC		stq	r2, var$0047				# r2, 328(r15)
47E1B402     1AD0		mov	13, r2
B44F0150     1AD4		stq	r2, 336(r15)
A64F0148     1AD8		ldq	r18, var$0047				# r18, 328(r15)
465FF112     1ADC		bic	r18, 255, r18
46403412     1AE0		bis	r18, 1, r18
B64F0148     1AE4		stq	r18, var$0047				# r18, 328(r15)
47E1B412     1AE8		mov	13, r18
B64F0170     1AEC		stq	r18, 368(r15)
47E0341A     1AF0		mov	1, r26
B74F0180     1AF4		stq	r26, 384(r15)
201F2710     1AF8		mov	10000, r0
B40F0178     1AFC		stq	r0, 376(r15)
A49D8148     1B00		ldq	r4, GDATE				# r4, 312(gp)
208400D8     1B04		lda	r4, GDATE				# r4, 216(r4)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 40
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B48F0158     1B08		stq	r4, 344(r15)
A4BD8148     1B0C		ldq	r5, GDATE				# r5, 312(gp)
20A500CB     1B10		lda	r5, GDATE				# r5, 203(r5)
B4AF0168     1B14		stq	r5, 360(r15)
206F0149     1B18		lda	r3, 329(r15)
2CE30000     1B1C		ldq_u	r7, (r3)
48E300C8     1B20		extbl	r7, r3, r8
48E30047     1B24		mskbl	r7, r3, r7
45003408     1B28		bis	r8, 1, r8
49030168     1B2C		insbl	r8, r3, r8
44E80407     1B30		bis	r7, r8, r7
3CE30000     1B34		stq_u	r7, (r3)
47FFF417     1B38		mov	255, r23
23CFFFF0     1B3C		lda	sp, -16(r15)
B7FE0000     1B40		stq	r31, (sp)
B6FE0008     1B44		stq	r23, 8(sp)
22CF0148     1B48		lda	r22, var$0047				# r22, 328(r15)
B6DE0000     1B4C		stq	r22, (sp)
A63D8158     1B50		ldq	r17, OUTFILEX				# r17, 328(gp)
2231FD00     1B54		lda	r17, OUTFILEX				# r17, -768(r17)
224F01C8     1B58		lda	r18, var$0045				# r18, 456(r15)
A67D8160     1B5C		ldq	r19, NOBS				# r19, 336(gp)
2273002C     1B60		lda	r19, NOBS				# r19, 44(r19)
228F0188     1B64		lda	r20, var$0046				# r20, 392(r15)
A6BD8160     1B68		ldq	r21, NSCOLS				# r21, 336(gp)
22B50028     1B6C		lda	r21, NSCOLS				# r21, 40(r21)
A77D8048     1B70		ldq	r27, $mgempak$save_mgempak_		# r27, 56(gp)
6B5B4000     1B74		jsr	r26, $mgempak$save_mgempak_		# r26, (r27)
27BA0001     1B78		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1B7C		lda	gp, cdvensat_				# gp, (gp)
	     1B80	lab$0194:											    # 000235
47EF041E     1B80		mov	r15, sp
A5BD8160     1B84		ldq	r13, GRAVA				# r13, 336(gp)				    # 000255
A1AD00C8     1B88		ldl	r13, GRAVA				# r13, 200(r13)
E1A00215     1B8C		blbc	r13, lab$0001
220F02C8     1B90		lda	r16, 712(r15)									    # 000256
A65D8158     1B94		ldq	r18, OUTFILE				# r18, 328(gp)
2252FE00     1B98		lda	r18, OUTFILE				# r18, -512(r18)
47FFF411     1B9C		mov	255, r17
A77D8140     1BA0		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     1BA4		jsr	r26, _OtsMove				# r26, (r27)
220F01C8     1BA8		lda	r16, var$0048				# r16, 456(r15)
47FFF411     1BAC		mov	255, r17
224F02C8     1BB0		lda	r18, 712(r15)
47FFF413     1BB4		mov	255, r19
A77D80F8     1BB8		ldq	r27, for_trim				# r27, 232(gp)
6B5B4000     1BBC		jsr	r26, for_trim				# r26, (r27)
27BA0001     1BC0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1BC4		lda	gp, cdvensat_				# gp, (gp)
A61D8158     1BC8		ldq	r16, OUTFILEX				# r16, 328(gp)
2210FD00     1BCC		lda	r16, OUTFILEX				# r16, -768(r16)
224F01C8     1BD0		lda	r18, var$0048				# r18, 456(r15)
47E00413     1BD4		mov	r0, r19
47FFF411     1BD8		mov	255, r17
A77D80F0     1BDC		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     1BE0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8020     1BE4		ldq	r18, 16(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 41
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

22520008     1BE8		lda	r18, 8(r18)
47E09413     1BEC		mov	4, r19
A77D80F0     1BF0		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     1BF4		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1BF8		mov	32, r18
A77D8150     1BFC		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     1C00		jsr	r26, _OtsFill				# r26, (r27)
A5BD8010     1C04		ldq	r13, (gp)									    # 000257
B3EF0108     1C08		stl	r31, var$0001				# r31, 264(r15)
A67D8020     1C0C		ldq	r19, 16(gp)
22730040     1C10		lda	r19, 64(r19)
47E13402     1C14		mov	9, r2
B44F0150     1C18		stq	r2, 336(r15)
B5AF0158     1C1C		stq	r13, 344(r15)
220F0108     1C20		lda	r16, var$0001				# r16, 264(r15)
223FFFFF     1C24		mov	-1, r17
265F0385     1C28		ldah	r18, 901(r31)
2252FF00     1C2C		lda	r18, -256(r18)
228F0150     1C30		lda	r20, 336(r15)
A77D8108     1C34		ldq	r27, for_write_seq_lis			# r27, 248(gp)
6B5B4000     1C38		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1C3C		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1C40		lda	gp, cdvensat_				# gp, (gp)
220F02C8     1C44		lda	r16, 712(r15)
A65D8158     1C48		ldq	r18, OUTFILEX				# r18, 328(gp)
2252FD00     1C4C		lda	r18, OUTFILEX				# r18, -768(r18)
47FFF411     1C50		mov	255, r17
A77D8140     1C54		ldq	r27, _OtsMove				# r27, 304(gp)
6B5B4000     1C58		jsr	r26, _OtsMove				# r26, (r27)
220F01C8     1C5C		lda	r16, var$0050				# r16, 456(r15)
47FFF411     1C60		mov	255, r17
224F02C8     1C64		lda	r18, 712(r15)
47FFF413     1C68		mov	255, r19
A77D80F8     1C6C		ldq	r27, for_trim				# r27, 232(gp)
6B5B4000     1C70		jsr	r26, for_trim				# r26, (r27)
27BA0001     1C74		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1C78		lda	gp, cdvensat_				# gp, (gp)
A5BD8020     1C7C		ldq	r13, 16(gp)
21AD0048     1C80		lda	r13, 72(r13)
47E00401     1C84		mov	r0, r1
41E00522     1C88		subq	r15, r0, r2
4441F102     1C8C		bic	r2, 15, r2
230FF000     1C90		lda	r24, -4096(r15)
A7820000     1C94		ldq	r28, (r2)
430207BC     1C98		cmpule	r24, r2, r28
F7800004     1C9C		bne	r28, L$93
	     1CA0	L$92:
A7980000     1CA0		ldq	r28, (r24)
2318E020     1CA4		lda	r24, -8160(r24)
430207BC     1CA8		cmpule	r24, r2, r28
E79FFFFC     1CAC		beq	r28, L$92
	     1CB0	L$93:
47E2041E     1CB0		mov	r2, sp
22020000     1CB4		lda	r16, (r2)
47E00411     1CB8		mov	r0, r17
224F01C8     1CBC		lda	r18, var$0050				# r18, 456(r15)
A77D8140     1CC0		ldq	r27, _OtsMove				# r27, 304(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 42
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

6B5B4000     1CC4		jsr	r26, _OtsMove				# r26, (r27)
43C10523     1CC8		subq	sp, r1, r3
4461F103     1CCC		bic	r3, 15, r3
231EF000     1CD0		lda	r24, -4096(sp)
A7830000     1CD4		ldq	r28, (r3)
430307BC     1CD8		cmpule	r24, r3, r28
F7800004     1CDC		bne	r28, L$97
	     1CE0	L$96:
A7980000     1CE0		ldq	r28, (r24)
2318E020     1CE4		lda	r24, -8160(r24)
430307BC     1CE8		cmpule	r24, r3, r28
E79FFFFC     1CEC		beq	r28, L$96
	     1CF0	L$97:
47E3041E     1CF0		mov	r3, sp
22030000     1CF4		lda	r16, (r3)
47E10411     1CF8		mov	r1, r17
22420000     1CFC		lda	r18, (r2)
47E00413     1D00		mov	r0, r19
A77D80F0     1D04		ldq	r27, _OtsMoveMinimum			# r27, 224(gp)
6B5B4000     1D08		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1D0C		mov	32, r18
A77D8150     1D10		ldq	r27, _OtsFill				# r27, 320(gp)
6B5B4000     1D14		jsr	r26, _OtsFill				# r26, (r27)
20830000     1D18		lda	r4, (r3)
B48F0158     1D1C		stq	r4, 344(r15)
B42F0150     1D20		stq	r1, 336(r15)
220F0108     1D24		lda	r16, var$0001				# r16, 264(r15)
47ED0411     1D28		mov	r13, r17
224F0150     1D2C		lda	r18, 336(r15)
A77D80E8     1D30		ldq	r27, for_write_seq_lis_xmit		# r27, 216(gp)
6B5B4000     1D34		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1D38		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1D3C		lda	gp, cdvensat_				# gp, (gp)
47EF041E     1D40		mov	r15, sp										    # 000267
A61D8018     1D44		ldq	r16, 8(gp)
22100040     1D48		lda	r16, 64(r16)
A65D8018     1D4C		ldq	r18, 8(gp)
22520018     1D50		lda	r18, 24(r18)
A63D8158     1D54		ldq	r17, OUTFILEX				# r17, 328(gp)
2231FD00     1D58		lda	r17, OUTFILEX				# r17, -768(r17)
47FFF413     1D5C		mov	255, r19
A77D8040     1D60		ldq	r27, $mbufr$open_mbufr_			# r27, 48(gp)
6B5B4000     1D64		jsr	r26, $mbufr$open_mbufr_			# r26, (r27)
27BA0001     1D68		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1D6C		lda	gp, cdvensat_				# gp, (gp)
A61D8160     1D70		ldq	r16, CDATE				# r16, 336(gp)				    # 000272
2210FFF8     1D74		lda	r16, CDATE				# r16, -8(r16)
A77D8080     1D78		ldq	r27, $datelib$year_			# r27, 112(gp)
6B5B4000     1D7C		jsr	r26, $datelib$year_			# r26, (r27)
27BA0001     1D80		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1D84		lda	gp, cdvensat_				# gp, (gp)
A5BD8160     1D88		ldq	r13, HOBS				# r13, 336(gp)
B00D0060     1D8C		stl	r0, HOBS				# r0, 96(r13)
A61D8160     1D90		ldq	r16, CDATE				# r16, 336(gp)				    # 000273
2210FFF8     1D94		lda	r16, CDATE				# r16, -8(r16)
A77D8068     1D98		ldq	r27, $datelib$month_			# r27, 88(gp)
6B5B4000     1D9C		jsr	r26, $datelib$month_			# r26, (r27)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 43
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

27BA0001     1DA0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1DA4		lda	gp, cdvensat_				# gp, (gp)
A5BD8160     1DA8		ldq	r13, HOBS				# r13, 336(gp)
B00D0058     1DAC		stl	r0, HOBS				# r0, 88(r13)
A61D8160     1DB0		ldq	r16, CDATE				# r16, 336(gp)				    # 000274
2210FFF8     1DB4		lda	r16, CDATE				# r16, -8(r16)
A77D8058     1DB8		ldq	r27, $datelib$day_			# r27, 72(gp)
6B5B4000     1DBC		jsr	r26, $datelib$day_			# r26, (r27)
27BA0001     1DC0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1DC4		lda	gp, cdvensat_				# gp, (gp)
A5BD8160     1DC8		ldq	r13, HOBS				# r13, 336(gp)
B00D005C     1DCC		stl	r0, HOBS				# r0, 92(r13)
A61D8160     1DD0		ldq	r16, CDATE				# r16, 336(gp)				    # 000275
2210FFF8     1DD4		lda	r16, CDATE				# r16, -8(r16)
A77D8050     1DD8		ldq	r27, $datelib$hour_			# r27, 64(gp)
6B5B4000     1DDC		jsr	r26, $datelib$hour_			# r26, (r27)
27BA0001     1DE0		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     1DE4		lda	gp, cdvensat_				# gp, (gp)
A5BD8160     1DE8		ldq	r13, HOBS				# r13, 336(gp)
B00D0064     1DEC		stl	r0, HOBS				# r0, 100(r13)
A43D8160     1DF0		ldq	r1, HOBS				# r1, 336(gp)				    # 000276
B3E10068     1DF4		stl	r31, HOBS				# r31, 104(r1)
47E03402     1DF8		mov	1, var$0052				# 1, r2					    # 000291
47E03403     1DFC		mov	1, var$0051				# 1, r3
C3E00006     1E00		br	lab$0277
	     1E04	L$106:
4C419405     1E04		mulq	var$0052, 12, r5			# r2, 12, r5
A79D8120     1E08		ldq	r28, D					# r28, 272(gp)
43850405     1E0C		addq	D, r5, r5				# r28, r5, r5
B3E5FF64     1E10		stl	r31, -156(r5)
40403402     1E14		addq	var$0052, 1, var$0052			# r2, 1, r2
40603403     1E18		addq	var$0051, 1, var$0051			# r3, 1, r3
	     1E1C	lab$0277:
40615DA4     1E1C		cmple	var$0051, 10, r4			# r3, 10, r4
F49FFFF8     1E20		bne	r4, L$106
47E03406     1E24		mov	1, r6										    # 000292
A4FD8120     1E28		ldq	r7, D					# r7, 272(gp)
B0C7FF74     1E2C		stl	r6, D					# r6, -140(r7)
47E0F408     1E30		mov	7, r8
A61D8120     1E34		ldq	r16, D					# r16, 272(gp)
B110FF78     1E38		stl	r8, D					# r8, -136(r16)
47E05411     1E3C		mov	2, r17										    # 000293
A65D8120     1E40		ldq	r18, D					# r18, 272(gp)
B232FF80     1E44		stl	r17, D					# r17, -128(r18)
47E2F413     1E48		mov	23, r19
A69D8120     1E4C		ldq	r20, D					# r20, 272(gp)
B274FF84     1E50		stl	r19, D					# r19, -124(r20)
47E09415     1E54		mov	4, r21										    # 000294
A6DD8120     1E58		ldq	r22, D					# r22, 272(gp)
B2B6FF8C     1E5C		stl	r21, D					# r21, -116(r22)
47E03417     1E60		mov	1, r23
A71D8120     1E64		ldq	r24, D					# r24, 272(gp)
B2F8FF90     1E68		stl	r23, D					# r23, -112(r24)
47E09419     1E6C		mov	4, r25										    # 000295
A75D8120     1E70		ldq	r26, D					# r26, 272(gp)
B33AFF98     1E74		stl	r25, D					# r25, -104(r26)
47E0541B     1E78		mov	2, r27

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 44
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A41D8120     1E7C		ldq	r0, D					# r0, 272(gp)
B360FF9C     1E80		stl	r27, D					# r27, -100(r0)
47E0940D     1E84		mov	4, r13										    # 000296
A43D8120     1E88		ldq	r1, D					# r1, 272(gp)
B1A1FFA4     1E8C		stl	r13, D					# r13, -92(r1)
47E07404     1E90		mov	3, r4
A4BD8120     1E94		ldq	r5, D					# r5, 272(gp)
B085FFA8     1E98		stl	r4, D					# r4, -88(r5)
47E09402     1E9C		mov	4, r2										    # 000297
A47D8120     1EA0		ldq	r3, D					# r3, 272(gp)
B043FFB0     1EA4		stl	r2, D					# r2, -80(r3)
47E09406     1EA8		mov	4, r6
A4FD8120     1EAC		ldq	r7, D					# r7, 272(gp)
B0C7FFB4     1EB0		stl	r6, D					# r6, -76(r7)
47E09408     1EB4		mov	4, r8										    # 000298
A61D8120     1EB8		ldq	r16, D					# r16, 272(gp)
B110FFBC     1EBC		stl	r8, D					# r8, -68(r16)
47E0B411     1EC0		mov	5, r17
A65D8120     1EC4		ldq	r18, D					# r18, 272(gp)
B232FFC0     1EC8		stl	r17, D					# r17, -64(r18)
47E0B413     1ECC		mov	5, r19										    # 000299
A69D8120     1ED0		ldq	r20, D					# r20, 272(gp)
B274FFC8     1ED4		stl	r19, D					# r19, -56(r20)
47E05415     1ED8		mov	2, r21
A6DD8120     1EDC		ldq	r22, D					# r22, 272(gp)
B2B6FFCC     1EE0		stl	r21, D					# r21, -52(r22)
47E0D417     1EE4		mov	6, r23										    # 000300
A71D8120     1EE8		ldq	r24, D					# r24, 272(gp)
B2F8FFD4     1EEC		stl	r23, D					# r23, -44(r24)
47E05419     1EF0		mov	2, r25
A75D8120     1EF4		ldq	r26, D					# r26, 272(gp)
B33AFFD8     1EF8		stl	r25, D					# r25, -40(r26)
47E15400     1EFC		mov	10, r0										    # 000301
A77D8120     1F00		ldq	r27, D					# r27, 272(gp)
B01BFFE0     1F04		stl	r0, D					# r0, -32(r27)
47E09401     1F08		mov	4, r1
A5BD8120     1F0C		ldq	r13, D					# r13, 272(gp)
B02DFFE4     1F10		stl	r1, D					# r1, -28(r13)
47E17404     1F14		mov	11, r4										    # 000302
A4BD8120     1F18		ldq	r5, D					# r5, 272(gp)
B085FFEC     1F1C		stl	r4, D					# r4, -20(r5)
47E03402     1F20		mov	1, r2
A47D8120     1F24		ldq	r3, D					# r3, 272(gp)
B043FFF0     1F28		stl	r2, D					# r2, -16(r3)
47E17406     1F2C		mov	11, r6										    # 000303
A4FD8120     1F30		ldq	r7, D					# r7, 272(gp)
B0C7FFF8     1F34		stl	r6, D					# r6, -8(r7)
47E05408     1F38		mov	2, r8
A61D8120     1F3C		ldq	r16, D					# r16, 272(gp)
B110FFFC     1F40		stl	r8, D					# r8, -4(r16)
47E03411     1F44		mov	1, var$0056				# 1, r17				    # 000309
47E03413     1F48		mov	1, var$0054				# 1, r19
	     1F4C	lab$0286:
42619DB5     1F4C		cmple	var$0054, 12, r21			# r19, 12, r21
E6A00012     1F50		beq	r21, lab$0289
22DF0190     1F54		mov	400, r22
4E360416     1F58		mulq	var$0056, r22, r22			# r17, r22, r22

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 45
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

47E03412     1F5C		mov	1, var$0055				# 1, r18
47E03414     1F60		mov	1, var$0053				# 1, r20
C3E00008     1F64		br	lab$0283
	     1F68	L$107:
4E409418     1F68		mulq	var$0055, 4, r24			# r18, 4, r24
43160418     1F6C		addq	r24, r22, r24
47E8D419     1F70		mov	70, r25
A79D8160     1F74		ldq	r28, ICONF				# r28, 336(gp)
43980418     1F78		addq	ICONF, r24, r24				# r28, r24, r24
B338FF54     1F7C		stl	r25, -172(r24)
42403412     1F80		addq	var$0055, 1, var$0055			# r18, 1, r18
42803414     1F84		addq	var$0053, 1, var$0053			# r20, 1, r20
	     1F88	lab$0283:
42803DB7     1F88		cmple	var$0053, 1, r23			# r20, 1, r23
F6FFFFF6     1F8C		bne	r23, L$107
42203411     1F90		addq	var$0056, 1, var$0056			# r17, 1, r17
42603413     1F94		addq	var$0054, 1, var$0054			# r19, 1, r19
C3FFFFEC     1F98		br	lab$0286
	     1F9C	lab$0289:
A75D8160     1F9C		ldq	r26, NOBS				# r26, 336(gp)				    # 000318
A35A002C     1FA0		ldl	r26, NOBS				# r26, 44(r26)
47FA0409     1FA4		mov	r26, var$0057				# r26, r9
47E03400     1FA8		mov	1, r0
A77D8160     1FAC		ldq	r27, I					# r27, 336(gp)
B41B0008     1FB0		stq	r0, I					# r0, 8(r27)
EF400105     1FB4		ble	r26, lab$0306
	     1FB8	lab$0291:
A79D8020     1FB8		ldq	r28, 16(gp)									    # 000319
885C0004     1FBC		lds	f2, 4(r28)
A43D8160     1FC0		ldq	r1, V					# r1, 336(gp)
984113A8     1FC4		sts	f2, V					# f2, 5032(r1)
A5BD8160     1FC8		ldq	r13, ICANAL				# r13, 336(gp)				    # 000320
880D001C     1FCC		lds	f0, ICANAL				# f0, 28(r13)
5FE00200     1FD0		cvtlq	f0, f0
5BE01781     1FD4		cvtqs	f0, f1
A49D8160     1FD8		ldq	r4, V					# r4, 336(gp)
98241538     1FDC		sts	f1, V					# f1, 5432(r4)
A4BD8160     1FE0		ldq	r5, HOBS				# r5, 336(gp)				    # 000321
89450060     1FE4		lds	f10, HOBS				# f10, 96(r5)
5FEA020A     1FE8		cvtlq	f10, f10
5BEA178B     1FEC		cvtqs	f10, f11
A45D8160     1FF0		ldq	r2, V					# r2, 336(gp)
996216C8     1FF4		sts	f11, V					# f11, 5832(r2)
A47D8160     1FF8		ldq	r3, HOBS				# r3, 336(gp)				    # 000322
89830058     1FFC		lds	f12, HOBS				# f12, 88(r3)
5FEC020C     2000		cvtlq	f12, f12
5BEC178D     2004		cvtqs	f12, f13
A4DD8160     2008		ldq	r6, V					# r6, 336(gp)
99A61858     200C		sts	f13, V					# f13, 6232(r6)
A4FD8160     2010		ldq	r7, HOBS				# r7, 336(gp)				    # 000323
89C7005C     2014		lds	f14, HOBS				# f14, 92(r7)
5FEE020E     2018		cvtlq	f14, f14
5BEE178F     201C		cvtqs	f14, f15
A51D8160     2020		ldq	r8, V					# r8, 336(gp)
99E819E8     2024		sts	f15, V					# f15, 6632(r8)
A61D8160     2028		ldq	r16, CDATE				# r16, 336(gp)				    # 000324
2210FFF8     202C		lda	r16, CDATE				# r16, -8(r16)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 46
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

A77D8050     2030		ldq	r27, $datelib$hour_			# r27, 64(gp)
6B5B4000     2034		jsr	r26, $datelib$hour_			# r26, (r27)
27BA0001     2038		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     203C		lda	gp, cdvensat_				# gp, (gp)
B40F0148     2040		stq	r0, 328(r15)
8C4F0148     2044		ldt	f2, 328(r15)
5BE21782     2048		cvtqs	f2, f2
A43D8160     204C		ldq	r1, V					# r1, 336(gp)
98411B78     2050		sts	f2, V					# f2, 7032(r1)
A45D8160     2054		ldq	r2, V					# r2, 336(gp)				    # 000325
9BE21D08     2058		sts	f31, V					# f31, 7432(r2)
A47D8160     205C		ldq	r3, I					# r3, 336(gp)				    # 000326
A4630008     2060		ldq	r3, I					# r3, 8(r3)
48661723     2064		sll	r3, 48, r3
48661783     2068		sra	r3, 48, r3
4C609403     206C		mulq	r3, 4, r3
A79D8160     2070		ldq	r28, OBS				# r28, 336(gp)
43830403     2074		addq	OBS, r3, r3				# r28, r3, r3
88032664     2078		lds	f0, 9828(r3)
A49D8160     207C		ldq	r4, V					# r4, 336(gp)
98041E98     2080		sts	f0, V					# f0, 7832(r4)
A4BD8160     2084		ldq	r5, I					# r5, 336(gp)				    # 000327
A4A50008     2088		ldq	r5, I					# r5, 8(r5)
48A61725     208C		sll	r5, 48, r5
48A61785     2090		sra	r5, 48, r5
4CA09405     2094		mulq	r5, 4, r5
A79D80C8     2098		ldq	r28, OBS				# r28, 184(gp)
43850405     209C		addq	OBS, r5, r5				# r28, r5, r5
88250000     20A0		lds	f1, (r5)
A4DD8160     20A4		ldq	r6, V					# r6, 336(gp)
98262028     20A8		sts	f1, V					# f1, 8232(r6)
A4FD8160     20AC		ldq	r7, I					# r7, 336(gp)				    # 000328
A4E70008     20B0		ldq	r7, I					# r7, 8(r7)
48E61727     20B4		sll	r7, 48, r7
48E61787     20B8		sra	r7, 48, r7
4CE09407     20BC		mulq	r7, 4, r7
A79D8038     20C0		ldq	r28, OBS				# r28, 40(gp)
43870407     20C4		addq	OBS, r7, r7				# r28, r7, r7
89470000     20C8		lds	f10, (r7)
A79D8020     20CC		ldq	r28, 16(gp)
897C0000     20D0		lds	f11, (r28)
594B104A     20D4		muls	f10, f11, f10
A51D8160     20D8		ldq	r8, V					# r8, 336(gp)
994821B8     20DC		sts	f10, V					# f10, 8632(r8)
A61D8160     20E0		ldq	r16, I					# r16, 336(gp)				    # 000330
A6100008     20E4		ldq	r16, I					# r16, 8(r16)
4A061730     20E8		sll	r16, 48, r16
4A061790     20EC		sra	r16, 48, r16
4E009410     20F0		mulq	r16, 4, r16
A79D80B8     20F4		ldq	r28, OBS				# r28, 168(gp)
43900410     20F8		addq	OBS, r16, r16				# r28, r16, r16
89900000     20FC		lds	f12, (r16)
A63D8160     2100		ldq	r17, V					# r17, 336(gp)
99912348     2104		sts	f12, V					# f12, 9032(r17)
A65D8160     2108		ldq	r18, I					# r18, 336(gp)				    # 000331
A6520008     210C		ldq	r18, I					# r18, 8(r18)
4A461732     2110		sll	r18, 48, r18

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 47
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

4A461792     2114		sra	r18, 48, r18
4E409412     2118		mulq	r18, 4, r18
A79D80C0     211C		ldq	r28, OBS				# r28, 176(gp)
43920412     2120		addq	OBS, r18, r18				# r28, r18, r18
89B20000     2124		lds	f13, (r18)
A67D8160     2128		ldq	r19, V					# r19, 336(gp)
99B324D8     212C		sts	f13, V					# f13, 9432(r19)
A61D8018     2130		ldq	r16, 8(gp)									    # 000341
22100040     2134		lda	r16, 64(r16)
A6AF0148     2138		ldq	r21, var$0058				# r21, 328(r15)
4AA05615     213C		zap	r21, 2, r21
B6AF0148     2140		stq	r21, var$0058				# r21, 328(r15)
47E1F414     2144		mov	15, r20
A6EF0148     2148		ldq	r23, var$0058				# r23, 328(r15)
4AE09617     214C		zap	r23, 4, r23
4A805174     2150		insbl	r20, 2, r20
46F40417     2154		bis	r23, r20, r23
B6EF0148     2158		stq	r23, var$0058				# r23, 328(r15)
47E15414     215C		mov	10, r20
A72F0148     2160		ldq	r25, var$0058				# r25, 328(r15)
4B211619     2164		zap	r25, 8, r25
4A807174     2168		insbl	r20, 3, r20
47340419     216C		bis	r25, r20, r25
B72F0148     2170		stq	r25, var$0058				# r25, 328(r15)
47E19414     2174		mov	12, r20
B68F0150     2178		stq	r20, 336(r15)
A40F0148     217C		ldq	r0, var$0058				# r0, 328(r15)
441FF100     2180		bic	r0, 255, r0
44003400     2184		bis	r0, 1, r0
B40F0148     2188		stq	r0, var$0058				# r0, 328(r15)
47E19400     218C		mov	12, r0
B40F0170     2190		stq	r0, 368(r15)
47E03401     2194		mov	1, r1
B42F0180     2198		stq	r1, 384(r15)
47E19403     219C		mov	12, r3
B46F0178     21A0		stq	r3, 376(r15)
A4BD8120     21A4		ldq	r5, D					# r5, 272(gp)
20A5FF70     21A8		lda	r5, D					# r5, -144(r5)
B4AF0158     21AC		stq	r5, 344(r15)
A4FD8120     21B0		ldq	r7, D					# r7, 272(gp)
20E7FF64     21B4		lda	r7, D					# r7, -156(r7)
B4EF0168     21B8		stq	r7, 360(r15)
222F0149     21BC		lda	r17, 329(r15)
2E510000     21C0		ldq_u	r18, (r17)
4A5100D3     21C4		extbl	r18, r17, r19
4A510052     21C8		mskbl	r18, r17, r18
46603413     21CC		bis	r19, 1, r19
4A710173     21D0		insbl	r19, r17, r19
46530412     21D4		bis	r18, r19, r18
3E510000     21D8		stq_u	r18, (r17)
A65D8018     21DC		ldq	r18, 8(gp)
22520010     21E0		lda	r18, 16(r18)
A6CF0220     21E4		ldq	r22, var$0059				# r22, 544(r15)
4AC05616     21E8		zap	r22, 2, r22
B6CF0220     21EC		stq	r22, var$0059				# r22, 544(r15)
47E13415     21F0		mov	9, r21
A70F0220     21F4		ldq	r24, var$0059				# r24, 544(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 48
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

4B009618     21F8		zap	r24, 4, r24
4AA05175     21FC		insbl	r21, 2, r21
47150418     2200		bis	r24, r21, r24
B70F0220     2204		stq	r24, var$0059				# r24, 544(r15)
47E15415     2208		mov	10, r21
A68F0220     220C		ldq	r20, var$0059				# r20, 544(r15)
4A811614     2210		zap	r20, 8, r20
4AA07175     2214		insbl	r21, 3, r21
46950414     2218		bis	r20, r21, r20
B68F0220     221C		stq	r20, var$0059				# r20, 544(r15)
47E09414     2220		mov	4, r20
B68F0228     2224		stq	r20, 552(r15)
A40F0220     2228		ldq	r0, var$0059				# r0, 544(r15)
441FF100     222C		bic	r0, 255, r0
44005400     2230		bis	r0, 2, r0
B40F0220     2234		stq	r0, var$0059				# r0, 544(r15)
47E09400     2238		mov	4, r0
B40F0248     223C		stq	r0, 584(r15)
47E03401     2240		mov	1, r1
B42F0258     2244		stq	r1, 600(r15)
47EC9403     2248		mov	100, r3
B46F0250     224C		stq	r3, 592(r15)
20BF0190     2250		mov	400, r5
B4AF0260     2254		stq	r5, 608(r15)
47E03407     2258		mov	1, r7
B4EF0270     225C		stq	r7, 624(r15)
47E19411     2260		mov	12, r17
B62F0268     2264		stq	r17, 616(r15)
A6DD8160     2268		ldq	r22, V					# r22, 336(gp)
22D613A8     226C		lda	r22, V					# r22, 5032(r22)
B6CF0230     2270		stq	r22, 560(r15)
A71D8160     2274		ldq	r24, V					# r24, 336(gp)
23181214     2278		lda	r24, V					# r24, 4628(r24)
B70F0240     227C		stq	r24, 576(r15)
232F0221     2280		lda	r25, 545(r15)
2E990000     2284		ldq_u	r20, (r25)
4A9900DA     2288		extbl	r20, r25, r26
4A990054     228C		mskbl	r20, r25, r20
4740341A     2290		bis	r26, 1, r26
4B59017A     2294		insbl	r26, r25, r26
469A0414     2298		bis	r20, r26, r20
3E990000     229C		stq_u	r20, (r25)
A40F01C8     22A0		ldq	r0, var$0060				# r0, 456(r15)
48005600     22A4		zap	r0, 2, r0
B40F01C8     22A8		stq	r0, var$0060				# r0, 456(r15)
47E07400     22AC		mov	3, r0
A42F01C8     22B0		ldq	r1, var$0060				# r1, 456(r15)
48209601     22B4		zap	r1, 4, r1
48005160     22B8		insbl	r0, 2, r0
44200401     22BC		bis	r1, r0, r1
B42F01C8     22C0		stq	r1, var$0060				# r1, 456(r15)
47E15400     22C4		mov	10, r0
A46F01C8     22C8		ldq	r3, var$0060				# r3, 456(r15)
48611603     22CC		zap	r3, 8, r3
48007160     22D0		insbl	r0, 3, r0
44600403     22D4		bis	r3, r0, r3
B46F01C8     22D8		stq	r3, var$0060				# r3, 456(r15)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 49
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

47E09400     22DC		mov	4, r0
B40F01D0     22E0		stq	r0, 464(r15)
A4CF01C8     22E4		ldq	r6, var$0060				# r6, 456(r15)
44DFF106     22E8		bic	r6, 255, r6
44C05406     22EC		bis	r6, 2, r6
B4CF01C8     22F0		stq	r6, var$0060				# r6, 456(r15)
47E09405     22F4		mov	4, r5
B4AF01F0     22F8		stq	r5, 496(r15)
47E03408     22FC		mov	1, r8
B50F0200     2300		stq	r8, 512(r15)
47EC9413     2304		mov	100, r19
B66F01F8     2308		stq	r19, 504(r15)
22FF0190     230C		mov	400, r23
B6EF0208     2310		stq	r23, 520(r15)
47E03418     2314		mov	1, r24
B70F0218     2318		stq	r24, 536(r15)
47E19419     231C		mov	12, r25
B72F0210     2320		stq	r25, 528(r15)
A77D8160     2324		ldq	r27, ICONF				# r27, 336(gp)
237B00E8     2328		lda	r27, ICONF				# r27, 232(r27)
B76F01D8     232C		stq	r27, 472(r15)
A5BD8160     2330		ldq	r13, ICONF				# r13, 336(gp)
21ADFF54     2334		lda	r13, ICONF				# r13, -172(r13)
B5AF01E8     2338		stq	r13, 488(r15)
206F01C9     233C		lda	r3, 457(r15)
2C030000     2340		ldq_u	r0, (r3)
480300C4     2344		extbl	r0, r3, r4
48030040     2348		mskbl	r0, r3, r0
44803404     234C		bis	r4, 1, r4
48830164     2350		insbl	r4, r3, r4
44040400     2354		bis	r0, r4, r0
3C030000     2358		stq_u	r0, (r3)
A6BD8018     235C		ldq	r21, 8(gp)
22B50008     2360		lda	r21, 8(r21)
A4DD8018     2364		ldq	r6, 8(gp)
A4BD8018     2368		ldq	r5, 8(gp)
20A50078     236C		lda	r5, 120(r5)
23CFFFE0     2370		lda	sp, -32(r15)
B7FE0000     2374		stq	r31, (sp)
B4DE0000     2378		stq	r6, (sp)
B4BE0008     237C		stq	r5, 8(sp)
A4BD8160     2380		ldq	r5, HOBS				# r5, 336(gp)
20A50058     2384		lda	r5, HOBS				# r5, 88(r5)
B4BE0010     2388		stq	r5, 16(sp)
B7FE0018     238C		stq	r31, 24(sp)
222F0148     2390		lda	r17, var$0058				# r17, 328(r15)
226F0220     2394		lda	r19, var$0059				# r19, 544(r15)
228F01C8     2398		lda	r20, var$0060				# r20, 456(r15)
A77D8030     239C		ldq	r27, $mbufr$save_mbufr_			# r27, 32(gp)
6B5B4000     23A0		jsr	r26, $mbufr$save_mbufr_			# r26, (r27)
27BA0001     23A4		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     23A8		lda	gp, cdvensat_				# gp, (gp)
47EF041E     23AC		mov	r15, sp
A5BD8160     23B0		ldq	r13, I					# r13, 336(gp)				    # 000318
A5AD0008     23B4		ldq	r13, I					# r13, 8(r13)
41A0340D     23B8		addq	r13, 1, r13
A41D8160     23BC		ldq	r0, I					# r0, 336(gp)

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 50
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

B5A00008     23C0		stq	r13, I					# r13, 8(r0)
41203529     23C4		subq	var$0057, 1, var$0057			# r9, 1, r9
FD3FFEFB     23C8		bgt	var$0057, lab$0291			# r9, lab$0291
	     23CC	lab$0306:											    # 000354
A61D8018     23CC		ldq	r16, 8(gp)
22100040     23D0		lda	r16, 64(r16)
A77D8028     23D4		ldq	r27, $mbufr$close_mbufr_		# r27, 24(gp)
6B5B4000     23D8		jsr	r26, $mbufr$close_mbufr_		# r26, (r27)
27BA0001     23DC		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     23E0		lda	gp, cdvensat_				# gp, (gp)
	     23E4	lab$0001:											    # 000360
47E03400     23E4		mov	1, r0
47EF041E     23E8		mov	r15, sp
A74F0000     23EC		ldq	r26, (r15)
A52F0008     23F0		ldq	r9, 8(r15)
A54F0010     23F4		ldq	r10, 16(r15)
A56F0018     23F8		ldq	r11, 24(r15)
A58F0020     23FC		ldq	r12, 32(r15)
A5AF0028     2400		ldq	r13, 40(r15)
8C4F0038     2404		ldt	f2, 56(r15)
A5FE0030     2408		ldq	r15, 48(sp)
23DE03D0     240C		lda	sp, 976(sp)
6BFA8001     2410		ret	(r26)
	     2414	lab$0116:											    # 000174
A61D8010     2414		ldq	r16, (gp)									    # 000175
221000C8     2418		lda	r16, 200(r16)
47FF0411     241C		clr	r17
A77D8100     2420		ldq	r27, for_stop				# r27, 240(gp)
6B5B4000     2424		jsr	r26, for_stop				# r26, (r27)
27BA0001     2428		ldah	gp, cdvensat_				# gp, (r26)
23BDA860     242C		lda	gp, cdvensat_				# gp, (gp)
				.end 	cdvensat_

Routine Size: 9264 bytes,    Routine Base: $CODE$ + 0000

				.data
				.lcomm	CDATE 8
				.lcomm	ARGC 8
				.lcomm	I 8
				.lcomm	STATUS 8
				.lcomm	AUX2 4
				.lcomm	ICANAL 4
				.lcomm	CY 4
				.lcomm	CX 4
				.lcomm	NSCOLS 4
				.lcomm	NOBS 4
				.lcomm	UN 4
				.lcomm	J 4
				.lcomm	TBLCOD 28
				.lcomm	HOBS 20
				.lcomm	STATION_ID 56
				.lcomm	AUX 13
				.lcomm	INDATE 14
				.lcomm	GRAVA 12
				.lcomm	TBLCOL 20
				.lcomm	ICONF 4800
				.lcomm	V 4800

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 51
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

				.lcomm	OBS 280000
				.lcomm	D 144
				.lcomm	FLAG 765
				.lcomm	STID 160000
				.lcomm	TBLDES 210
				.lcomm	GDATE 130000
				.lcomm	CANAL 255
				.lcomm	OPTION 255
				.lcomm	OUTFILEX 255
				.lcomm	OUTFILE 255
				.lcomm	LISTA 255
				.lcomm	INFILE 255
				.data
			$$1:
00000036     0000		.long	0x00000036
00000024     0004		.long	0x00000024
00000001     0008		.long	0x00000001
00000004     000C		.long	0x00000004
02000025     0010		.long	0x02000025
00000002     0014		.long	0x00000002
00000002     0018		.long	0x00000002
0001001C     001C		.long	0x0001001C
      2F     0020		.ascii	"/"

      00     0021		.byte	0x00
      00     0022		.byte	0x00
      00     0023		.byte	0x00
02000025     0024		.long	0x02000025
00000002     0028		.long	0x00000002
00000002     002C		.long	0x00000002
00000037     0030		.long	0x00000037
				.rdata
			$$2:
00000000     0000		.quad	.literal
00000000     0008		.quad	.lit8
00000000     0010		.quad	.lit4
00000000     0018		.quad	$mbufr$close_mbufr_
00000000     0020		.quad	$mbufr$save_mbufr_
0002976C     0028		.quad	$BSS$+169836
00000000     0030		.quad	$mbufr$open_mbufr_
00000000     0038		.quad	$mgempak$save_mgempak_
00000000     0040		.quad	$datelib$hour_
00000000     0048		.quad	$datelib$day_
00000000     0050		.quad	for_write_int_fmt_xmit
00000000     0058		.quad	$datelib$month_
00000000     0060		.quad	for_write_int_fmt
00000000     0068		.quad	$DATA$
00000000     0070		.quad	$datelib$year_
00000000     0078		.quad	$mgrads$savebin_
00000000     0080		.quad	$mgrads$savectl_
0003CFEC     0088		.quad	$BSS$+249836
00000000     0090		.quad	cosdf
000333AC     0098		.quad	$BSS$+209836
00000000     00A0		.quad	sindf
0001FB2C     00A8		.quad	$BSS$+129836
00015EEC     00B0		.quad	$BSS$+89836
0000C2AC     00B8		.quad	$BSS$+49836

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 52
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

00000000     00C0		.quad	$mreadtbl$readtbl_
00000000     00C8		.quad	$mreadtbl$conf_mreadtbl_
00000000     00D0		.quad	$datelib$grdate_
00000000     00D8		.quad	for_write_seq_lis_xmit
00000000     00E0		.quad	_OtsMoveMinimum
00000000     00E8		.quad	for_trim
00000000     00F0		.quad	for_stop
00000000     00F8		.quad	for_write_seq_lis
00000000     0100		.quad	_OtsStringCompareEqlPadded
00000000     0108		.quad	_OtsStringCompareEqlSameLen
00046CC0     0110		.quad	$BSS$+289984
00000000     0118		.quad	$datelib$fjulian2_
00000000     0120		.quad	getarg_
00000000     0128		.quad	iargc_
00000000     0130		.quad	_OtsMove
0006E0C0     0138		.quad	$BSS$+450752
00000000     0140		.quad	_OtsFill
0008E268     0148		.quad	$BSS$+582248
00000008     0150		.quad	$BSS$+8
00000000     0158		.quad	for_set_reentrancy
				.rconst
			$$3:
42C80000     0000		.long	0x42C80000 # .float 100.0000
43800000     0004		.long	0x43800000 # .float 256.0000
6264722E     0008		.long	0x6264722E #  .ascii ".rdb"

00010109     0010		.long	0x00010109 #  .ascii "\X09\X01\X01\X00"

00020109     0018		.long	0x00020109 #  .ascii "\X09\X01\X02\X00"

7478742E     0020		.long	0x7478742E #  .ascii ".txt"

00010309     0028		.long	0x00010309 #  .ascii "\X09\X03\X01\X00"

00010510     0030		.long	0x00010510 #  .ascii "\X10\X05\X01\X00"

00020309     0038		.long	0x00020309 #  .ascii "\X09\X03\X02\X00"

00020438     0040		.long	0x00020438 #  .ascii "8\X04\X02\X00"

00010438     0048		.long	0x00010438 #  .ascii "8\X04\X01\X00"

7478742D     0050		.long	0x7478742D #  .ascii "-txt"

				.rconst
			$$4:
00000005     0000		.quad	0x5 # .quad 5
00000000     0004
00000001     0008		.quad	0x1 # .quad 1
00000000     000C
0000000C     0010		.quad	0xC # .quad 12
00000000     0014
0000002E     0018		.quad	0x2E # .quad 46
00000000     001C
00000007     0020		.quad	0x7 # .quad 7
00000000     0024
00000003     0028		.quad	0x3 # .quad 3

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 53
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

00000000     002C
4F544153     0030		.quad	0x415344424F544153 # .quad 4707181087121752403
41534442     0034
0000000A     0038		.quad	0xA # .quad 10
00000000     003C
0000000F     0040		.quad	0xF # .quad 15
00000000     0044
61506828     0048		.quad	0x2020202961506828 # .quad 2314885570566842408
20202029     004C
7261626F     0050		.quad	0x206F63697261626F # .quad 2337196036170277487
206F6369     0054
6576694E     0058		.quad	0x7349206C6576694E # .quad 8307206637592406350
7349206C     005C
6974614C     0060		.quad	0x656475746974614C # .quad 7306093638347678028
65647574     0064
20202020     0068		.quad	0x202020202020 # .quad 35322350018592
00002020     006C
20202020     0070		.quad	0x2020202020202020 # .quad 2314885530818453536
20202020     0074
00000000     0078		.quad	0x0 # .quad 0
00000000     007C
				.rconst
			$$5:
76617247     0000		.ascii	"Gravando "
6F646E61     0004
      20     0008

01090438     0010		.ascii	"8\X04\X09\X01\X02\X00"
    0002     0014

706D6F43     0018		.ascii	"Componente V do vento (m/s)   "
6E656E6F     001C
56206574     0020
206F6420     0024
746E6576     0028
6D28206F     002C
2029732F     0030
    2020     0034

706D6F43     0038		.ascii	"Componente U do vento (m/s)   "
6E656E6F     003C
55206574     0040
206F6420     0044
746E6576     0048
6D28206F     004C
2029732F     0050
    2020     0054

656D754E     0058		.ascii	"Numero de dados Lidos:"
64206F72     005C
61642065     0060
20736F64     0064
6F64694C     0068
    3A73     006C

54584554     0070		.ascii	"TEXTO Y(1) N(0) "
2859204F     0074

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 54
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

4E202931     0078
20293028     007C

44415247     0080		.ascii	"GRADS Y(1) N(0) "
28592053     0084
4E202931     0088
20293028     008C

52465542     0090		.ascii	"BUFR  Y(1) N(0) "
28592020     0094
4E202931     0098
20293028     009C

414E4143     00A0		.ascii	"CANAL"
      4C     00A4

5054554F     00A8		.ascii	"OUTPUT          "
20205455     00AC
20202020     00B0
20202020     00B4

55504E49     00B8		.ascii	"INPUT           "
20202054     00BC
20202020     00C0
20202020     00C4

             00C8		.ascii	"\0"

20202020     00D0		.ascii	"    output_name: Arquivo de saida sem extensao"
7074756F     00D4
6E5F7475     00D8
3A656D61     00DC
71724120     00E0
6F766975     00E4
20656420     00E8
64696173     00EC
65732061     00F0
7865206D     00F4
736E6574     00F8
    6F61     00FC

20202020     0100		.ascii	"    input_name: Arquivo de entrada"
75706E69     0104
616E5F74     0108
203A656D     010C
75717241     0110
206F7669     0114
65206564     0118
6172746E     011C
    6164     0120

20202020     0128		.ascii	"    date: YYYYMMDDHHmm"
65746164     012C
5959203A     0130
4D4D5959     0134
48484444     0138
    6D6D     013C

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 55
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90


20202020     0140		.ascii	"    channel: (IR or WV)"
6E616863     0144
3A6C656E     0148
52492820     014C
20726F20     0150
  295657     0154

20202020     0158		.ascii	"    options: -grads -bufr -txt"
6974706F     015C
3A736E6F     0160
72672D20     0164
20736461     0168
6675622D     016C
742D2072     0170
    7478     0174

63203E20     0178		.ascii	" > cdvensat.x options date channel input_name output_name "
6E657664     017C
2E746173     0180
706F2078     0184
6E6F6974     0188
61642073     018C
63206574     0190
6E6E6168     0194
69206C65     0198
7475706E     019C
6D616E5F     01A0
756F2065     01A4
74757074     01A8
6D616E5F     01AC
    2065     01B0

65735520     01B8		.ascii	" Use:"
      3A     01BC

      20     01C0		.ascii	" "

20202020     01C8		.ascii	"             Versao 0.8 - GDM-CPTEC/INPE Julho 2004"
20202020     01CC
20202020     01D0
72655620     01D4
206F6173     01D8
20382E30     01DC
4447202D     01E0
50432D4D     01E4
2F434554     01E8
45504E49     01EC
6C754A20     01F0
32206F68     01F4
  343030     01F8

45564443     0200		.ascii	"CDVENSAT -PROGRAMA DE CONVERSAO DE FORMATO DADOS DE VENTO POR SATELITE "
5441534E     0204
52502D20     0208
4152474F     020C
4420414D     0210

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 56
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

4F432045     0214
5245564E     0218
204F4153     021C
46204544     0220
414D524F     0224
44204F54     0228
534F4441     022C
20454420     0230
544E4556     0234
4F50204F     0238
41532052     023C
494C4554     0240
  204554     0244

5F5F5F5F     0248		.ascii	"_______________________________________________________________________"
5F5F5F5F     024C
5F5F5F5F     0250
5F5F5F5F     0254
5F5F5F5F     0258
5F5F5F5F     025C
5F5F5F5F     0260
5F5F5F5F     0264
5F5F5F5F     0268
5F5F5F5F     026C
5F5F5F5F     0270
5F5F5F5F     0274
5F5F5F5F     0278
5F5F5F5F     027C
5F5F5F5F     0280
5F5F5F5F     0284
5F5F5F5F     0288
  5F5F5F     028C

    5249     0290		.ascii	"IR"

    5657     0298		.ascii	"WV"

6172672D     02A0		.ascii	"-grads"
    7364     02A4

6675622D     02A8		.ascii	"-bufr"
      72     02AC

6F6C6556     02B0		.ascii	"Velocidade do Vento(m/s)      "
61646963     02B4
64206564     02B8
6556206F     02BC
286F746E     02C0
29732F6D     02C4
20202020     02C8
    2020     02CC

65726944     02D0		.ascii	"Direcao do Vento (g)          "
206F6163     02D4
56206F64     02D8
6F746E65     02DC
29672820     02E0

CDVENSAT                        Machine Code Listing            15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 57
                                cdvensat_                        1-Sep-2004 09:07:02  cdvensat.f90

20202020     02E4
20202020     02E8
    2020     02EC

676E6F4C     02F0		.ascii	"Longitude"
64757469     02F4
      65     02F8

				.data
			$$6:
	     0000		; Procedure descriptor for cdvensat_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xBE
				; fmask                : 0x01
				; frame_size           : 122
				; sp_set               : 2
				; entry_length         : 12
				.data
			$$7:
	     0000		; Code range descriptor for cdvensat_
				beginaddress	    :     0000
				rpd_offset	    :     0000
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock
       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66
  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2
       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase
       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude

CDVENSAT                        Source Listing                  15-Sep-2004 10:10:57  Compaq Fortran V5.3-915           Page 58
                                                                 1-Sep-2004 09:07:02  cdvensat.f90

       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only
  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity
  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : cdvensat.l
       -o    filename : /tmp/forAAAaezrga.o

COMPILER: Compaq Fortran V5.3-915-449BB

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
