INIT_TABB                       Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 1
                                                                15-Sep-2004 10:10:47  mbufr.f90

	      1 MODULE MBUFR
	      2 
	      3 
	      4 !******************************************************************************
	      5 !*                               MODULO MBUFR                                 *
	      6 !*                                                                            *
	      7 !*                                                                            *
	      8 !*     MODULO GENERICO PARA GRAVACAO/GRAVACAO DE ARQUIVOS EM FORMATO BUFR     *
	      9 !*									      *
	     10 !*               CENTRO DE PREVISAO DE TEMPO E ESTTUDOS CLIMATICOS            * 
	     11 !*              GRUPO DE PRE-PROCESSAMENTO  DE DADOS METEOROLOGICOS           *
	     12 !*                                					      *
	     13 !*                              (CPTEC-INPE-MCT)                              *
	     14 !*									      *
	     15 !******************************************************************************
	     16 ! 
	     17 ! 1 - DESCRICAO GERAL 
	     18 ! 
	     19 !   Este é um módulo, escrito em FORTRAN 90, eh compativel com os sistemas 
	     20 !   WINDOWS, LINUX e UNIX e proporciona 3 rotinas publicas que podem ser chamadas
	     21 !   de dentro de um programa principas para gravar dados em formato BUFR da WMO
	     22 !
	     23 !   As rotinas publicas fornecidas por este modulo sao:
	     24 !
	     25 !    a) OPEN_MBUFR	( un, filename, centre) 
	     26 !    b) SAVE_MBUFR 	( un,d,ndesc,v,iconf,nsubset,Btype,Bsubtype,Hobs,idObs)
	     27 !    c) CLOSE_MBUFR ( un)
	     28 !
	     29 !    A SUBROUTINA OPEN_MBUFR Abre um arquivo BUFR de acesso aleatorio, para
	     30 !    gravacao dos dados BUFR. Tambem inicializa as estruturas de dados internas
	     31 !    deste modulo, incluindo a tabela de descritores BUFR que eh lido do arquivo
	     32 !    "BufrTableB_mbufr.txt".  
	     33 !     
	     34 !    A SUBROTINA SAVE_MBUFR Grave uma mensagem BUFR em um arquivo aberto por
	     35 !    OPEN_MBUFR. 
	     36 ! 
	     37 !    A SUBROUTINA  CLOSE_MBUFR(UN)  Fecha um arquivo BUFR  aberto por OPEN_MBUFR
	     38 !    e imprime na tela algumas informacoes relativas ao  processo de gravacao
	     39 !
	     40 !
	     41 ! 2 - VARIAVEIS DA INTERFACE 
	     42 ! 
	     43 !     -------------------------------------------------------------------------
	     44 !     |  un       | Inteiro que designa a unidade Logica para gravacao, 
	     45 !     |           |  Usado em OPEN_MBUFR, SAVE_MBUFR e CLOSE_MBUFR
	     46 !     |-----------+-------------------------------------------------------------
	     47 !     |  filename | Nome do arquivo BUFR a ser aberto (OPEN_MBUFR) 
	     48 !     |-----------+-------------------------------------------------------------
	     49 !     |  centre   | Codigo de Centro gerador da mensagem, common code table C-1
	     50 !     |           | No caso do CPTEC centre=46
	     51 !     |-----------+-------------------------------------------------------------
	     52 !     |  d        | Vetor do tipo "descbufr", d(1:ndesc) atraves do qual eh 
	     53 !     |           | passado o codigo de cada observacao conforme TABELAS BUFR. 
	     54 !     |           | Este codigo BUFR eh composto por 3 partes (F,X, Y ), que devem
	     55 !     |           | ser atribuidos da seguinte  forma:
	     56 !     |           |      D(i)%F=Valor de F
	     57 !     |           |      D(i)%X=Valor de X

INIT_TABB                       Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 2
                                                                15-Sep-2004 10:10:47  mbufr.f90

	     58 !     |           |      D(i)%Y=Valor de Y
	     59 !     |-----------+--------------------------------------------------------------
	     60 !     | ndesc     | Numero de descritores em d
	     61 !     |-----------+--------------------------------------------------------------
	     62 !     | v         | Array real de dados observacionais  v(1:nsubset,1:ndesc) 
	     63 !     |-----------+--------------------------------------------------------------
	     64 !     | nsubsets  | Numero de subsets, ou numero de observacoes em v
	     65 !     |-----------+--------------------------------------------------------------
	     66 !     |	BType     | Tipo da Observacao BUFR, conforme tabelas WMO 
	     67 !     |           | Exemplo: Para o caso de observacoes de superficie BType=0
	     68 !     |-----------+--------------------------------------------------------------
	     69 !     | Bsubtype  | Subtipo da Observcao, conforme tabela local do centro
	     70 !     |-----------+--------------------------------------------------------------
	     71 !     | HObs      | Variavel do tipo MBUFR_Date, atraves da qual e passado 
	     72 !     |           | a data e hora da observacao  a ser gravado na secao 1 BUFR.
	     73 !     |           |
	     74 !     |           |  Ex.: Hobs%year = ano , Hobs%month=mes, etc.
	     75 !     |-----------+--------------------------------------------------------------
	     76 !     |  IdObs    | Variavel do tipo MBUFR_ID, ataves do qual e passado os
	     77 !     |           | dados de posicao da estacao meteorlogica e  numero da estacao,
	     78 !     |           | a serem incluidos na secao opcional 2 do BUFR
	     79 !     |           |  
	     80 !     |           | Ex.:  idObs%lat = Latitude, idIbs%Lon = Longitude, etc.
	     81 !     |           |
	     82 !     |           | Nota: Se idObs for omitido na chamada de SAVE_MBUFR,a secao 2
	     83 !     |           | nao sera gravada 
	     84 !     ----------------------------------------------------------------------------
	     85 !
	     86 ! 3 - ROTINAS PRIVATIVAS (Acessiveis apenas internamente)
	     87 !
	     88 !    PUT_OCTETS,
	     89 !    SAVESEC0, SAVESEC1, SAVESEC2, SAVESEC3, SAVESEC4, SAVESAC5
	     90 !    
	     91 !    INIT_TABB
	     92 !    
	     93 ! 4 - VARIVAEIS GLOBAIS PRIVATIVAS (Visiveis a todas as rotinas internas do 
	     94 !     modulo, porem nao visiveis externamente)
	     95 !
	     96 !     currentRG, verloctab, vermastertab, NMSG, subname, centre_mbufr 
	     97 !
	     98 ! 5 - ARRAYS GLOBAIS PRIVATIVOS (Visiveis a todas as rotinas internas do 
	     99 !     modulo, porem nao visiveis externamente)
	    100 !
	    101 !     TABB (Tabela de descritores BUFR)
	    102 !-------------------------------------------------------------------------------
	    103 !
	    104 ! 6 - HISTORICO
	    105 ! 
	    106 !     VERSAO 0.1 -  SERGIO H. S. FERREIRA  Iniciado 17/07/2004 
	    107 !                   Extruturacao básica do modulo e reaproveitamento de
	    108 !                   da subrotina GRAVA_BUFR do programa das PCDs
	    109 !
	    110 !     Versao 0.2 -  SERGIO H. S. FERREIRA 
	    111 !                   Desenvolvimento da subrotina PUT_OCTETS
	    112 !
	    113 !     Versao 0.3 -  SERGIO H.S FERREIRA 26/07/2003
	    114 !                   Primeira Versao para teste de gravacao do dados de SATOB 

INIT_TABB                       Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 3
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    115 !                   do DSA, a partir de chamadas de dentro do programa CDVENSAT 
	    116 !
	    117 !     
	    118 !     Nota: Esta eh  um modulo experimental
	    119 !    
	    120 !*****************************************************************************
	    121 
	    122    IMPLICIT NONE    ! Todas as variaveis serao declaradas
	    123    
	    124    PRIVATE          ! Todas as Variaveis, estrutuiras e subrotinas 
	    125                     ! serao, em principio, privadas
	    126 
	    127  !{ Declara como PUBLICAS as seguintes  subrotinas 
	    128  
	    129    PUBLIC OPEN_MBUFR
	    130    PUBLIC SAVE_MBUFR
	    131    PUBLIC CLOSE_MBUFR
	    132 !}
	    133 
	    134 !{ Declara como PUBLICAS os seguintes tipos de estruturas
	    135 
	    136    PUBLIC descbufr	     ! Estrutura para armazenar descritores BUFR 	  
	    137    PUBLIC MBUFR_Id           ! Estrutura p/ armazenar identificacao de estacao 
	    138    PUBLIC MBUFR_Date	     ! Estrutura para armazenar data e  hora
	    139   
	    140  !}
	    141 
	    142 
	    143 !{ Definicao  dos tipos PUBLICOS de estruturas  do modulo  
	    144 
	    145   
	    146     type MBUFR_Id				
	    147       character(len=20):: COD          ! Codigo da estacao
	    148       character(len=20)::NAME          ! Nome da Localidade ou estacao
	    149       Real:: Lat,lon		       ! Coordenadas Horizontais da estacao
	    150       real:: Ha		               ! Altitude da estacao ou localidade
	    151       real:: conf                      ! Confiabilidade                   
	    152     end	type MBUFR_Id
	    153  
	    154 
	    155     type MBUFR_Date				
	    156       Integer:: MES,DIA,ANO,HORA,MIN            
	    157     end type MBUFR_date  
	    158  	   
	    159  
	    160    type descbufr				  
	    161      integer :: F
	    162      integer :: X
	    163      integer :: y
	    164    end type
	    165   
	    166 
	    167 
	    168   !{ Definicao  estrutura PRIVATIVA para armazenar tabelas BUFR 
	    169 
	    170    type bufrtabletype     
	    171      real    :: scale	    ! Fator de Escala 

INIT_TABB                       Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 4
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    172      real    :: refv	    ! Valor de Referencia 
	    173      integer :: nbits       ! Numero de Bits
	    174    end type
	    175   !}
	    176 
	    177 
	    178 
	    179 
	    180 !{ ALOCACAO DAS VARIAVEIS GLOBAIS E PRIVATIVAS DO MODULO
	    181   
	    182 	   integer::currentRG           ! Posicao Corrente no arquivo BUFR
	    183 	   integer::centre_mbufr        ! Codigo do Centro que gerou o BUFR
	    184 	   integer::verloctab	        ! Versao da tabela local 
	    185 	   integer::vermastertab        ! Versao da tabela Master
	    186 	   character(len=5)::STATION_NUMBER 
	    187 	   integer :: NMSG              ! Numero de mensagens
	    188            character (len=255)::subname ! Guarda nome da subrotina para fins de DEBUG
	    189  !}
	    190 
	    191 !{ ALOCACAO DA TABELA B BUFR
	    192 
	    193 	   type(bufrtabletype),dimension(0:0,0:35,0:200)::tabb 
	    194 !}
	    195 
	    196 !----------------------------------------------------------------------------------
	    197 
	    198 
	    199 CONTAINS
	    200 
	    201 
	    202 
	    203 
	    204 !***********************************************************
	    205 ! SUBROTINA PUBLICA OPEN_MBUFR
	    206 !
	    207 ! ABRI UM ARQUIVO BUFR e INICIALIZA AS VARIAVEIS DE
	    208 ! CONFIGURACAO GERAL DO MÓDULO MBUFR
	    209 !-----------------------------------------------------------
	    210 
	    211 
	    212 SUBROUTINE OPEN_MBUFR(UN,filename,centre)
	    213 
	    214    integer,intent(in)::un			         !Unidade Lógica para gravacao
	    215    character(len=*),intent(in)::filename	         !Nome do arquivo
	    216    integer,intent(in)::centre                            !Codigo do Centro Gerados
	    217    integer::uni						 !Variavel auxiliar de UN
	    218  
	    219    uni=un
	    220    VerMasterTab=2
	    221    VerLocTab=1
	    222    centre_mbufr=centre
	    223    currentRG=0
	    224    NMSG=0
	    225  
	    226    call INIT_TABB(Uni)                                   ! Carrega tabela BUFR  em TABB
	    227 
	    228    open(uni,file=filename,STATUS='unknown',FORM='UNFORMATTED',access='DIRECT',recl=1) 

OPEN_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 5
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    229    print *," Arquivo BUFR=",trim(filename)
	    230    print *, " "
	    231 
	    232 
	    233  end subroutine OPEN_MBUFR


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name              
                                
 11-00000000  $mbufr$open_mbufr_

VARIABLES
 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
      **      I*4   CENTRE         **      CHAR  FILENAME       **      I*4   UN         1-00000000  I*4   UNI     

OPEN_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 6
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    234 
	    235 
	    236 
	    237 
	    238 
	    239 
	    240 
	    241 ! ---------------------------------------------------------------------
	    242 !
	    243 !                       SUBROUTINE PUBLICA SAVE_MBUFR
	    244 !
	    245 !  ESTA ROTINA E GRAVA UMA MENSAGEM BUFR COMPOSTA POR 6 SECOES (de 0 a 5) 
	    246 !  
	    247 !  Primeiramente e feito um salto de 8 bytes no arquivo, deixando espaco
	    248 !  para a secao 0, que sera gravada no final 
	    249 ! 
	    250 !  Em seguida sao gravados as secoes de 1 a 5. que possuem os seguintes 
	    251 !  tamanhos
	    252 !    secao 1 - 18 Bytes
	    253 !    secao 2 - 52 Bytes (Optional)
	    254 !    secao 3 - Variavel (Depende do Número de descritores )
	    255 !    secao 4 - Variavel (Depende das variaveis e do numero de  subsets)
	    256 !    secao 5 - 4 bytes "7777"
	    257 !
	    258 !  Apos a gravacao destas secoes eh feito o calculo do tamanho da mensagem
	    259 !  que eh gravado na secao 0
	    260 !
	    261 !  Alguns testes de tamanho tambem sao realidados
	    262 !  
	    263 ! ---------------------------------------------------------------------
	    264 
	    265 
	    266 SUBROUTINE save_mbufr(un,d,ndesc,v,iconf,nsubset,IBtype,IBsubtype,Hobs,idObs)
	    267  
	    268  !{ VARIAVEIS DA INTERFACE EXTERNA 
	    269    integer,intent(in)::UN            
	    270    type(descbufr),dimension(:),intent(in)::D                                    
	    271    integer,intent(in)::ndesc         
	    272    real,dimension(:,:),intent(in)::v                                    
	    273    integer,dimension(:,:),intent(in)::iconf 
	    274    integer,intent(in)::nsubset       
	    275    Integer,intent(in):: IBtype      !Categoria do dados ( Tabela Bufr A)  
	    276    Integer, intent(in)::IBsubtype     
	    277    type(MBUFR_Date):: HObs           
	    278    type(MBUFR_Id),optional:: IdObs   
	    279  !}
	    280   	
	    281  !{ DEFINICOES DE VARIAVEIS LOCAIS
	    282 
	    283  logical::sec2opt !- Se verdadeiro a secao 2 sera gravada
	    284  INTEGER Tam_BUFR !-Tamanho total do arquivo BUFR (grav. na secao 1)
	    285  INTEGER Tam_sec2 !-Numero de bytes da secao 2
	    286  INTEGER Tam_sec3 !-Numero de bytes da secao 3
	    287  INTEGER Tam_sec4 !-Numero de bytes da secao 4
	    288  INTEGER BTYPE,BSUBTYPE
	    289 
	    290 

SAVE_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 7
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    291  INTEGER UNI                ! Numero da Unidade Lógica de Gravacao 
	    292  
	    293  INTEGER :: RG0,RGF,NRG     ! RG de Inicio, Fim e Numero de RG de uma 
	    294                             ! Mensagem BUFR
	    295  INTEGER :: RG2             ! Registro de Inicio da Secao 2
	    296 
	    297   UNI=UN
	    298   BTYPE=IBTYPE
	    299   BSUBTYPE=IBSUBTYPE
	    300  
	    301  
	    302  ! Se IdObs for fornecido entao a secao 2 será utilizada
	    303  ! { 
	    304    if (present(idObs))  then
	    305      sec2opt=.true.
	    306    else 
	    307      sec2opt=.false.
	    308    end if
	    309  !}
	    310 
	    311  
	    312 
	    313 
	    314   RG0=currentRG                !Guarda o Registro da fim da mensagem anterior         				   	
	    314 				
	    315   
	    316   !call savesec0(un,Tam_Bufr)  
	    317   currentRG=RG0+8              !Salta para fim da secao 0 
	    318 
	    319 !---------------------------------------------------------------------------
	    320 ! { Salva Secoes de 1 a 5
	    321 
	    322    call savesec1(un,sec2opt,btype,bsubtype,Hobs)   
	    323  
	    324    !{Salva a Secao 2 se savesec2_mbufr=.true.    
	    325    
	    326      if (sec2opt) then
	    327 	   RG2=currentRg           ! Guarda a Posicao da secao2  	   
	    328 	   currentRG=currentRG+52  ! Salta os 52 bytes da secao2 
	    329 	                           ! para gravar posteriormente
	    330 	                            
	    331 	   tam_sec2=52
	    332 	 
	    333 	 else
	    334 	   tam_sec2=0
	    335 
	    336 	 end if  
	    337   !}
	    338    
	    339     call savesec3(un,d,ndesc,nsubset,Tam_Sec3) 
	    340     call savesec4(un,d,ndesc,v,nsubset,iconf,Tam_Sec4)  
	    341     call savesec5(un)                            
	    342 
	    343 !} ----------------------------------------------------------------------------
	    344 
	    345 
	    346   RGF=CurrentRG ! Guarda a posicao do registro do fim da mensagem

SAVE_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 8
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    347 
	    348 
	    349 !{ Calcula o Tamanho do mensagem e verifica se o tamanho está coerente com
	    350 !  a posicao do registro corrente (currentRG)
	    351   
	    352   Tam_bufr=8+18+tam_sec2+Tam_sec3+Tam_sec4+4
	    353   
	    354   NRG=RGF-RG0
	    355   if (Tam_bufr/=NRG) then 
	    356     print *, "Erro em SAVE_MBUFR"
	    357 	print *, ""
	    358 	close(un)
	    359 	stop
	    360   end if     
	    361 ! }
	    362 
	    363 
	    364 !{ Grava a secao 0 da mensagem corrente e  reposciona o curentRG para gravacao
	    365 !  da proxima mensagem
	    366 
	    367    currentRG=RG0                   !Reposiciona registro do inicio da mensagem
	    368    call savesec0(un,Tam_Bufr)      !Salva a secao 0 
	    369 
	    370    !{ Se a secao 2 estiver inclusa, 
	    371    ! Posiciona regitro no inicio da secao 2 e grava a secao 2
	    372 
	    373    if (sec2opt) then  
	    374      currentRG=RG2                 
	    375 	 call savesec2(un,Hobs,IdObs,Tam_Bufr,btype,bsubtype)
	    376    end if
	    377    !}
	    378 
	    379    currentRG=RGF                   !Reposiciona registro no fim da mensagem 
	    380    NMSG=NMSG+1					   !Incrementa o numero de mensagens gravadas
	    381 
	    382 !}
	    383  
	    384  
	    385  
	    386  END SUBROUTINE

SAVE_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 9
                                                                15-Sep-2004 10:10:47  mbufr.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name              
                                
 11-00000354  $mbufr$save_mbufr_


VARIABLES

 Address      Type  Name       Address      Type  Name       Address      Type  Name       Address      Type  Name     
                                                                                                                       
  1-00000014  I*4   BSUBTYPE    1-00000008  I*4   NRG         1-0000002C  L*4   SEC2OPT         **      I*4   UN       
  1-00000018  I*4   BTYPE           **      I*4   NSUBSET     1-00000028  I*4   TAM_BUFR    1-00000030  I*4   UNI      
      **      I*4   IBSUBTYPE   1-00000010  I*4   RG0         1-00000024  I*4   TAM_SEC2                               
      **      I*4   IBTYPE      1-00000004  I*4   RG2         1-00000020  I*4   TAM_SEC3                               
      **      I*4   NDESC       1-0000000C  I*4   RGF         1-0000001C  I*4   TAM_SEC4                               


TYPES/RECORDS

 Address      Name  Structure       Bytes  Address      Name  Structure       Bytes
                                                                                   
      **      HOBS  MBUFR_DATE         20       **      IDOBS MBUFR_ID           56



SAVE_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 10
                                                                15-Sep-2004 10:10:47  mbufr.f90

ARRAYS

 Address      Type  Name         Bytes  Dimensions
      **      I*4   ICONF           88  (:, :)
      **      R*4   V               88  (:, :)

TYPE/RECORD ARRAYS
 Address      Name   Structure        Bytes  Dimensions
      **      D      DESCBUFR            64  (:)

SAVE_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 11
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    387 
	    388 
	    389 
	    390 
	    391 
	    392 
	    393 
	    394 
	    395 
	    396 ! SUBROTINA PUBLICA CLOSE_MBUFR - FECHA UM ARQUIVO ABERTO POR OPEM_MBUFR
	    397 
	    398 SUBROUTINE CLOSE_MBUFR(UN)
	    399   integer,intent(in):: UN
	    400   
	    401   close (un)
	    402   Print *, NMSG," Mensagens gravadas"
	    403   print *, currentRg," Bytes gravados"
	    404   print *,""
	    405 
	    406 
	    407 END SUBROUTINE 


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name               
                                 
 11-000007EC  $mbufr$close_mbufr_


CLOSE_MBUFR                     Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 12
                                                                15-Sep-2004 10:10:47  mbufr.f90

VARIABLES
 Address      Type  Name
                        
      **      I*4   UN  

CLOSE_MBUFR                     Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 13
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    408 
	    409 
	    410 
	    411 
	    412 
	    413 
	    414 
	    415 
	    416 
	    417  !******************************************************************************
	    418  !                   SUBROUTINE PRIVADA PUT_OCTETS                             *
	    419  !									       *
	    420  ! FUNCAO: 								       *
	    421  !  COPIA UM VETOR DE VALORES INTEIROS COM DIFERENTES NUMEROS DE BITS PARA UM  *
	    422  !  VETOR DE ELEMENTOS DE 8 BITS (OCTETO)                                      *
	    423  !									       *
	    424  ! UTILIZACAO:								       *
	    425  !									       *
	    426  !  Dentro da arquitetura dos computadores,a unidade numérica básica e o Byte*
	    427  !  de 8 bits (OCTETO), de forma que todas as variaveis dentro da memória dos *
	    428  !  computadores, ou gravados em disco, ocupam múltiplos de bytes (8bits).    *
	    429  !									       *
	    430  !  Esporádicamente, para fins de compactacao em disco, procede-se o reaprove-*
	    431  !  itamento dos bits de uma variavés, para guadar outras. Éo caso dos arqui-*
	    432  !  vos do formato BUFR, que utiliza esta técnica largamente.  	       *
	    433  ! 									       *
	    434  !  Esta subrotina permite que este reaproveitamento seja feito utilizando a   *
	    435  !  seguinte estrutura							       *
	    436  !									       *
	    437  !	  A_VAL(NA) --> Vetor Inteiro com os NA dados de entrada	       *
	    438  !    A_BITS(NA)--> Vetor Inteiro com o numero de BITS, que deseja-seutilizar  *
	    439  !                  para gravar cada elemento de A_VAL			       *
	    440  !    NA        --> Númeor de elementos de A_VAL A_BITS		       *
	    441  !    									       *
	    442  !    OCT(NOCT)  <-- Vetor Caracter (de 1 Byte (OCTETO)		               *
	    443  !    NOCT       <-- Número de Elementos de OCT			       *
	    444  !	  ERR        <-- Zero se a cópia foi bem sucedida                     *
	    445  !   Utilizando esta estrutura cada elemento de A_VAL é copiado Bit a Bit para* 
	    446  !   OCT, de forma a sempre completar os oito bits de OCT. Os bits que não    *
	    447  !   cabem em OCT, sao copiados para o próximo elemento de OCT, de forma que  *
	    448  !   todos os elementos de OCT terá seu bits completados, com excessão do    *
	    449  !   último OCT. Este poderá, eventualmente ter seus bits incompletos.       *
	    450  !   Neste caso, a variavel err retornará o valor do número de bits faltantes*
	    451  !   no ultimo octeto							       *
	    452  !   									       *
	    453  !   IMPORTANTE. 							       *
	    454  ! 									       *
	    455  !      1- Certifique-se que o último OCT tenha bits completos, fornecendo    *
	    456  !         sempre um conjunto de A_VAL, cuja soma dos bits de todos os         *
	    457  !         elementos sejam múltiplos de 8                                     *
	    458  !									       *
	    459  !      2- Esta rotina está preparada para copiar elementos de A_VAl que não *
	    460  !         exceda o tamanho de 64 bits. No caso deste tamanho ser excedido     *
	    461  !         poderá ocorrer erro de dimensionamento da matriz local BIT         *
	    462  !									       *
	    463  !      3- Esta rotina, pressupõe que os bits fornecidos em A_BITS(:), são   *
	    464  !         realmente suficientes para guardar os valores A_VAL(:). Caso seja   *

CLOSE_MBUFR                     Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 14
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    465  !         insuficiente, os bits mais significativos serão cortados. 	       *
	    466  !         Esta é uma parte que precisa ser melhorada. Poderia ser colocado   *
	    467  !         algum teste para verificar e enviar uma mensagem de erro!           *                      
	    468  !          								       *
	    469  !									       *
	    470  !   EXEMPLO:								       *
	    471  !             Neste Exemplo são fornecidos 5 Valores A_VAL, cada um com res- *
	    472  !             pectivamente 14, 3, 7, 5 e 4 bits.  Neste exemplo esta rotina   *
	    473  !             retorna 5 octetos (OCT), que contem os bits de A_VAL redistri-  *
	    474  !             buidos conforme o esquema abaixo                                *              				
	    474 				
	    475  ! 									       *
	    476  !   A_VAL    11111111111111 000  1010101 00000  1111--+                       *
	    477  !            \---+--/\---+---/\----+---/ \----+---/   |                       *
	    478  !                |       |   		|   	   |	   |		       *
	    479  !            +------+ +------+	 +------+	+------+   |		       *
	    480  !            |      | |      |  |      |   |      |   |		       *
	    481  !  OCT       11111111 11111100  01010101   00000111   10000000                *
	    482  !                                                                             *
	    483  !									       *
	    484  !            Nete caso, os 5 Elementos de A_VAL são copiados em 5 octetos.   *
	    485  !	      Contudo no Octeto 5, somente 1 bit é utilizado. Os demais 7bits *
	    486  !            ficam com zero. Por isto, neste caso é retornado  err=7         *
	    487  !                                                                             *
	    488  !					              			       *
	    489  !******************************************************************************
	    490  
	    491  subroutine PUT_OCTETS(A_VAL,A_BITS,NA,OCT,NOCt,err)
	    492 
	    493  integer,dimension(:),intent(inout)::A_VAL	   ! Conjunto de valores de entrada com bits diferentes
	    494  integer,dimension(:),intent(in)::A_BITS           ! Vetor com o numero de bits do conjunto  A_VAL
	    495  integer,intent(in)::NA                            ! Numero de elementos de A_VAL e A_BITS
	    496  character(len=1),dimension(:),intent(out)::OCT    ! Vetor caracter com octetos de saida
	    497  INTEGER,INTENT(OUT)::nOCT                         ! Numero de elementos de OCT
	    498  INTEGER,INTENT(OUT)::err			   ! Indica se o últmo octeto foi completado corretamente.
	    499                                                    ! err =  0     :Todos os bits foram completados
	    500  						   ! err de 1 a 7 :Número de bits que faltaram  
	    501  
	    502  !{ Variaveis locais
	    503  												  
	    504    LOGICAL,dimension(8,NA*10)::BIT  ! Array auxiliar para redistribuicao de bits
	    505    INTEGER:: k,j,i,n,valmax
	    506    byte::V
	    507    character(len=1)::aux
	    508 !}
	    509 
	    510 
	    511 !{ redistribuir os bits da variavel A_VAL em octetos (Vetor BIT)
	    512 
	    513   K=0
	    514   j=1
	    515   BIT(1:8,J)=0               ! Zera os bits do primeiro octeto
	    516   DO N=1,NA	
	    517   
	    518     !{Verificar se número de bits está dentro do esperado
	    519     	
	    520     if (A_BITS(n)>64) THEN 

PUT_OCTETS                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 15
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    521 	  PRINT *,"Erro em"//TRIM(SUBNAME)//"_copy2oct !"
	    522 	  PRINT *, "Possivel erro na especificacao do tamanho da variavel ",N
	    523 	  print *, "Numero de bits=",A_BITS(n)
	    524 	  stop
	    525 	end if
	    526 	!}
	    527 
	    528 	!Verificar se o valor fornecido é compatível com
	    529 	!o número de bits fornecidos
	    530 	!{
	    531 	  valmax=0
	    532 	  do i=1,A_BITS(N)
	    533 	   valmax=valmax+2**(i-1)
	    534 	  end do
	    535 
	    536 	  if ((A_VAL(n)<0).or.(A_VAL(n)>valmax)) then
	    537 
	    538 		
	    539 		IF (SUBNAME=="SAVESEC4") THEN 
	    540 		  A_VAL(n)=valmax
	    541 	!	  print *,"   Substituido por valor missing"
	    542 	!	  print *,""
	    543 		ELSE
	    544 	  	  PRINT *,"Erro em "//TRIM(SUBNAME)//"_put_octets !"
	    545 		  write(*,500)N,A_VAL(n)
	    546 500		  FORMAT(	"    Variavel(",I3.3,") =",I11)		
	    547 		  STOP
	    548 		ENDIF
	    549 	  end if
	    550 
	    551 	  
	    552     DO I=1,A_BITS(N)		
	    553       K=K+1
	    554     	 IF (K>8) THEN
	    555 	     J=J+1;K=1
	    556 	     BIT(1:8,J)=0         ! Zera os bits para armazenar o próximo octeto 
	    557 	  END IF
	    558 	 BIT(9-K,J)=IBITS(A_VAL(N),A_BITS(N)-i,1)
	    559    END DO
	    560  END DO
	    561  !} Fim da redistribuicao
	    562 
	    563  NOCT=J
	    564 
	    565 
	    566 !{ Converter os octetos BIT para valores decimal(V) e para variavel string (oct)
	    567 do j=1,noct
	    568   v = 0 
	    569   do i = 1,8
	    570     v = BIT(I,J)*2 ** (i-1) + v    !
	    571   end do
	    572   aux=char(v)
	    573   oct(j)=aux
	    574 end do
	    575 !} Fim da conversao para string
	    576  
	    577  !err=0 Indica que o ultimo octeto foi completado corretamente

PUT_OCTETS                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 16
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    578  ! caso contrário, err indica o número de bits que faltaram oara
	    579  ! completar o últmo octeto  
	    580  !{
	    581    err=8-k
	    582   !}
	    583 
	    584  END SUBROUTINE	PUT_OCTETS


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name              
                                
 11-00000954  $mbufr$put_octets_


VARIABLES

 Address      Type  Name    Address      Type  Name    Address      Type  Name    Address      Type  Name  
                                                                                                           
  1-00000038  CHAR  AUX      1-00000054  I*4   J            **      I*4   NA       1-00000048  I*4   VALMAX
      **      I*4   ERR      1-00000058  I*4   K            **      I*4   NOCT                             
  1-00000050  I*4   I        1-0000004C  I*4   N        1-00000040  I*1   V                                



PUT_OCTETS                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 17
                                                                15-Sep-2004 10:10:47  mbufr.f90

ARRAYS

 Address      Type  Name          Bytes  Dimensions
      **      I*4   A_BITS           64  (:)
      **      I*4   A_VAL            64  (:)
      **      L*4   BIT              **  (8, *)
      **      CHAR  OCT              64  (:)

PUT_OCTETS                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 18
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    585 
	    586 
	    587 
	    588 
	    589 
	    590 
	    591 
	    592 
	    593 
	    594 
	    595 
	    596 
	    597 
	    598 
	    599 
	    600 
	    601 
	    602 
	    603 
	    604 
	    605 
	    606 
	    607 
	    608 !*******************************************************************************
	    609 !*		                        GRAVA A SECAO 0                        *
	    610 !*									       *
	    611 !*******************************************************************************
	    612 !   Esta Subrotina grava a Secao 0 de uma mensagem BUFR
	    613 !
	    614 !
	    615 !    As Variáveis de entrada são
	    616 !      UN         Unidade Lógica de Gravacao
	    617 !      Tam_BUFR   Tamanho da Mensagem até 100000 Bytes 
	    618 !
	    619 !  
	    620 !    Nesta secao são gravados as seguintes informaçoes:
	    621 !     a) A palabra "BUFR"  nos  4 primeiros Bytes  
	    622 !     b) A Variável Tam_BUFR com 3 Bytes 
	    623 !     c) O Número da edicao do código BUFR (1Byte)
	    624 !
	    625 !    Obsercoes 
	    626 ! 
	    627 !    1 - Note que Tam_BUFR poderia assumir valores de até 8388607, que é o maior
	    628 !        inteiro postivo com 24 bits.  Contudo, por convenvesão, uma mensagem
	    629 !        BUFR poderá ter no máximo 10000 Bytes. Deta forma, esta subroutina 
	    630 !        imprime na tela um aviso quando for ultrapassado  o limite de 10000.  
	    631 !        No caso de tentativa de gravar uma mensagem BUFR acima de 8388607 uma 
	    632 !        mensagem de erro é mostrado e a gravação é cancelada    
	    633 ! 
	    634 !    2 - Variáveis internas Importantes
	    635 !        A()    é um vetor de valores inteiros de 4 bytes
	    636 !        B()    é um vetor de  número de bits utilidos para representar cada 
	    637 !               valor de A()
	    638 !        sec0() é o vetor character que armazena os octetos para gravacao da 
	    639 !               secao 0. Este vetor é obtido a partir da copia sequencial 
	    640 !               bit-a-bit de cada valor de A(), através da subroutina copy2oct
	    641 !------------------------------------------------------------------------------ 

SAVESEC0                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 19
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    642  SUBROUTINE SAVESEC0(UN,Tam_BUFR) 
	    643    
	    644    integer, intent(in)::UN				  ! Unidade Lógica
	    645    integer, intent(in)::Tam_BUFR          ! Tamanho da mensagem BUFR
	    646    
	    647    !{Variáveis Internas 
	    648      character(len=1),dimension(8)::sec0  ! Vetor de octetos	 (1byte)
	    649      integer :: uni,err,noct,i			  ! Outras Variáveis Auxiliares 
	    650      INTEGER,DIMENSION(6)::A,B			  ! Vetor de Valores Inteiros 4 bytes a ser convertidos
	    651    !}
	    652                                              
	    653    uni=un	
	    654   
	    655    SUBNAME="SAVESEC0"   ! Para fins de controle de erros
	    656 
	    657    !{ Verifica erro no tamanho da mensagem
	    658 
	    659 	if (Tam_BUFR > 3888607) then 
	    660 	  
	    661 	  print *, "Erro em MBUFR"//SUBNAME
	    662 	  print *, "Mensagem muito grande. Tamanho= ", Tam_BUFR
	    663 	  print *, "Numero do Mensagem =",NMSG
	    664 	  print *, ""
	    665 	  close(uni)
	    666 	  stop 
	    667     end if
	    668 	
	    669 	if (Tam_BUFR > 10000 ) THEN
	    670 	  print *," Aviso ! Tamanho da Mensagem excedeu limite de 10KBytes "
	    671 	  print *," Mensagem =", NMSG
	    672 	  print *," Tamanho = ", Tam_BUFR
	    673 	  print *,""
	    674 	end if
	    675 
	    676    !}
	    677    
	    678    !{ Prepara para gravar secao 0
	    679 
	    680 	B(1)= 8;A(1)=ichar("B")
	    681 	B(2)= 8;A(2)=ichar("U")
	    682 	B(3)= 8;A(3)=ichar("F")
	    683 	B(4)= 8;A(4)=ichar("R")
	    684     B(5)=24;A(5)=Tam_BUFR   ! Tamanho total do arquivo
	    685     B(6)= 8;A(6)=3          ! BUFR edicao 3 
	    686  
	    687 
	    688  !{Organiza os dados da secao 0 em octetos (sec0)
	    689  ! Neste caso o numero de octeros noct tem que ser sempre 8
	    690 
	    691    call PUT_OCTETS(A,B,6,sec0,noct,err)  
	    692 
	    693    if ((noct/=8).or.(err/=0)) then 
	    694      print *,"Erro na especificacao da secao 0 : numero de octetos =",noct
	    695 	 print *,""
	    696 	 close(uni)
	    697 	 stop
	    698    end if

SAVESEC0                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 20
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    699 
	    700  !}  
	    701    
	    702 
	    703  !{Inverte a ordem dos octetos 5,6 e 7 para 7,6 e 5
	    704  
	    705  
	    706  !}
	    707 
	    708  !{ Grava a secao 0
	    709    do i=1,8
	    710     currentRG=currentRG+1
	    711     write (uni,rec=currentRG) sec0(i)			 
	    712    end do
	    713 
	    714   !}
	    715 
	    716  END SUBROUTINE SAVESEC0


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name            
                              
 11-00001570  $mbufr$savesec0_



SAVESEC0                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 21
                                                                15-Sep-2004 10:10:47  mbufr.f90

VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                      
  1-0000006C  I*4   ERR        1-00000070  I*4   NOCT           **      I*4   UN      
  1-00000068  I*4   I              **      I*4   TAM_BUFR   1-00000074  I*4   UNI     


ARRAYS

 Address      Type  Name        Bytes  Dimensions
  1-00000090  I*4   A              24  (6)
  1-00000078  I*4   B              24  (6)
  1-00000060  CHAR  SEC0            8  (8)

SAVESEC0                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 22
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    717    
	    718 
	    719 
	    720 
	    721 
	    722 
	    723 
	    724 !***************************************************
	    725 !*		     GRAVA A SECAO 1		   *
	    726 !***************************************************
	    727 
	    728 SUBROUTINE SAVESEC1(UN,sec2opt,btype,bsubtype,HObs)
	    729   integer, intent(in)::UN
	    730   integer, intent(in)::btype
	    731   integer, intent(in)::bsubtype
	    732   type(mbufr_date),intent(in)::Hobs
	    733   logical,intent(in)::sec2opt
	    734   character(len=1),dimension(18):: sec1	          ! Para gravar os 18 bytes da secao 1
	    735   integer :: uni,noct,err,I
	    736   INTEGER,DIMENSION(16)::A,B                      ! Vetor de Valores e Numero de bits de cada valor
	    737 
	    738   uni=un
	    739   SUBNAME="SAVESEC1"
	    740 
	    741  B(1)=24; A(1)=18               !-Contem o tamanho da secao 1 (Bytes de 1 a 3) que é sempre 18 ?
	    742  B(2)=8 ; A(2)=0                !-Contem a versao da BUFR master table  (Byte 4)
	    743                                 ! Para meteorologia=0.
	    744  B(3)=16; A(3)=centre_mbufr     !-Contem o codigo do  centro que gerou o arquivo  BUFR,
	    745 				! segundo a code table 0 01 031 (ver manual WMO). 
	    746 				! No caso, o codigo do INPE (Brazilian Space Agency !?) 
	    747 				! eh 46  (Bytes de 5 a 6)  
	    748  B(4)=8 ; A(4)=0         	!-Update sequence number = 0 (byte 7) 
	    749  B(5)=1 ; A(5)=sec2opt  	!-Se este bit=0 entao nao ha sessao 2 (byte 8, bit 0) 
	    750  B(6)=7 ; A(6)=0         	! Estes bits sao reservados  (byte 8, bits de 1 a 7) 			
	    751  B(7)=8 ; A(7)=btype    	!-Data category type (BUFR Table A)  (Byte 9)
	    752  				!  Exemplo: 0 = surface data/land
	    753  B(8)=8	; A(8)=bsubtype  	!-Data category sub-type
	    754  				!  Depende do centro gerador 
	    755  B(9)=8; A(9)=VerMasterTab  	!-Versao utilizada da tabela Master/WMO (Byte 11) 
	    756  B(10)=8;A(10)=VerLocTab    	!-Versao utilizada da tabela local/INPE (Byte 12)
	    757  
	    758 ! Um detalhe importante nos proximos bytes (13-18), e o fato de que centro dife-
	    759 ! rentes estao usando padroes diferentes aqui !!! - A ordem a seguir eh a reco -
	    760 ! mendada pela WMO, mas o NCEP, por exemplo, poe o ano nos bytes 13 e 14, fazen-
	    761 ! do um shift nos demais dados e o minuto no byte 18. 
	    762 ! Devido a estas diferencas, uma boa politica pode ser: nao usar a data que es -
	    763 ! tiver nesta secao, ou decodificar de acordo com o centro que gerou a mensagem.
	    764 
	    765 
	    766 ! Ano do Seculo (Byte 13)
	    767 
	    768  B(11)=8
	    769 if (Hobs%ANO<=2000) then
	    770    A(11)= Hobs%ANO - 1900
	    771 else
	    772    A(11)=Hobs%ANO - 2000
	    773 end if    

SAVESEC1                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 23
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    774 
	    775        
	    776  B(12)=8; A(12)= Hobs%MES        ! Mes da Observacao (Byte 14)
	    777  B(13)=8; A(13)= Hobs%Dia        ! Dia da Observacao (Byte 15)
	    778  B(14)=8; A(14)= Hobs%HORA  	 ! Hora da Observacao (Byte 16)
	    779  B(15)=8; A(15)= Hobs%MIN	 ! Minuto da Observacao (Byte 17)
	    780  B(16)=8; A(16)= 0  		 ! Reservado para uso local - (Byte 18)
	    781 
	    782  ! Organiza os dados da secao 1 em octetos (sec1)
	    783  ! Neste caso o numero de octeros noct tem que ser sempre 18
	    784  !{
	    785 
	    786    call PUT_OCTETS(A,B,16,sec1,noct,err)  
	    787 
	    788    if ((noct/=18).or.(err/=0)) then 
	    789      print *,"Erro na especificacao da secao 1 : numero de octetos =",noct
	    790 	 stop
	    791    end if
	    792  !}
	    793 
	    794 
	    795 !Grava os 18 byte da secao 1  (SHSF)
	    796 !{
	    797   do i=1,18
	    798    currentRG=currentRG+1
	    799    write (uni,rec=currentRG) sec1(i)			 
	    800   end do
	    801 !}
	    802 
	    803 END SUBROUTINE SAVESEC1

SAVESEC1                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 24
                                                                15-Sep-2004 10:10:47  mbufr.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name            
                              
 11-00001DB8  $mbufr$savesec1_


VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
      **      I*4   BSUBTYPE   1-000000AC  I*4   ERR        1-000000B0  I*4   NOCT           **      I*4   UN      
      **      I*4   BTYPE      1-000000A8  I*4   I              **      L*4   SEC2OPT    1-000000B4  I*4   UNI     


TYPES/RECORDS

 Address      Name Structure       Bytes
                                        
      **      HOBS MBUFR_DATE         20


ARRAYS

 Address      Type  Name        Bytes  Dimensions
  1-00000110  I*4   A              64  (16)
  1-000000D0  I*4   B              64  (16)
  1-000000B8  CHAR  SEC1           18  (18)

SAVESEC1                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 25
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    804 
	    805 
	    806 
	    807 
	    808 
	    809 
	    810 
	    811 
	    812 
	    813 
	    814 
	    815 !******************************************************
	    816 !* GRAVA A SECAO 2	  Sempre com 52 bytes         *
	    817 !******************************************************
	    818 
	    819 SUBROUTINE SAVESEC2(UN,Hobs,IdObs,Tam_bufr,btype,bsubtype)
	    820  integer, intent(in)::UN
	    821  type(mbufr_date),intent(in)::hobs
	    822  type(mbufr_id),intent(in)::idobs
	    823  character(len=1),dimension(52):: sec2            ! Nesta versao a secao 2 eh uma copia do
	    824  integer,intent(in)::Tam_bufr,btype,bsubtype
	    825  INTEGER(kind=4) rdbmes	    			  ! LAC
	    826  INTEGER(kind=4) rdbdia	                          ! LAC
	    827  INTEGER(kind=4) rdbano	                          ! LAC
	    828  INTEGER(kind=4),DIMENSION(8)::rdbtime	          ! LAC
	    829  CHARACTER (12),DIMENSION(3)::RDB_CLOCK           !LAC
	    830  INTEGER,DIMENSION(51)::A,B 			  ! Vetor de Valores e Numero de bits de cada valor
	    831             			                          
	    832 
	    833  integer :: uni,I,noct,err
	    834  uni=un
	    835  SUBNAME="SAVESEC2"
	    836 
	    837  B(1)=24 ; A(1)=52       			  ! Tamanho da secao é sempre 52 (Bytes 1 a 3)
	    838  B(2)=8  ; A(2)=0    	 			  ! Byte 4 eh reservado (=0)
	    839  B(3)=8  ; A(3)=btype    			  ! Tipo do dado                 (Byte 5)
	    840  B(4)=8  ; A(4)=bsubtype 			  ! Sub-tipo                     (Byte 6)
	    841  
	    842  !{ Bytes de 7 a 11 
	    843  B(5)=12  ;A(5)=Hobs%ANO     			  ! Ano 
	    844  B(6)=4   ;A(6)=Hobs%MES	 		  ! Mes
	    845  B(7)=6   ;A(7)=Hobs%Dia	 	          ! Dia
	    846  B(8)=5   ;A(8)=Hobs%HORA    			  ! Hora  
	    847  B(9)=6   ;A(9)=Hobs%MIN     			  ! Minuto
	    848  B(10)=6  ;A(10)=0           			  !Segundos 
	    849  B(11)=1  ;A(11)=0				  ! Um Bit zero, provavelmente apenas para
	    850                              			  ! completar o Byte 11
	    851 
	    852  !}
	    853 
	    854  !{ Longitude (Byte 12 a 15)
	    855  B(12)=26 ;A(12)=IdObs%Lon*10**5-(-18000000)  
	    856  B(13)=6  ;A(13)=0
	    857  !}
	    858 
	    859  !{ Latitude (Bytes de 16 a 19)
	    860  B(14)=25 ;A(14)=(IdObs%Lat*10**5)-(-9000000)

SAVESEC2                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 26
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    861  B(15)=7  ;A(15)=0
	    862  !}
	    863 
	    864 !{ Nome da Estacao (Bytes de 20 a 36) 
	    865 
	    866  DO I=16,32
	    867    B(I)=8;A(I)=ichar(IdObs%cod(I:I)) 
	    868  END DO					          ! Este é um truque para carregar
	    869                                      		  ! uma variavel string como inteiros
	    870 								
	    871 
	    872 B(33)=16 ; A(33)=Tam_BUFR 	     		  ! Tamanho Bufr (Bytes 37 e 38)
	    873 
	    874 
	    875 !{--------------------------------------------------------------------------
	    876 !  Agora a hora em que o boletim foi escrito no RDB (faz sentido no CPTEC?)
	    877 ! --------------------------------------------------------------------------
	    878 !  Utiliza data e hora do sistema
	    879 !  Bytes de 39 a 41, mais 3 bytes
	    880 !
	    881 
	    882   CALL DATE_AND_TIME(RDB_CLOCK(1), RDB_CLOCK(1), RDB_CLOCK(3), rdbtime)  
	    883   rdbano=rdbtime(1)
	    884   rdbmes=rdbtime(2) 
	    885   rdbdia=rdbtime(3)
	    886 
	    887   B(34)=6;A(34)=rdbdia
	    888   B(35)=5;A(35)=rdbtime(5) ! Hora
	    889   B(36)=6;A(36)=rdbtime(6) ! Minutos  
	    890   B(37)=6;A(37)=0          ! Segundos
	    891   B(38)=1;A(38)=0          ! Completa o Byte 41
	    892 
	    893 !}
	    894 
	    895 !{ Acrescenta, temporariamente,  3 bytes zeros (Bytes de 42 a 44 
	    896   B(39)=8;A(39)=0
	    897   B(40)=8;A(40)=0  	
	    898   B(41)=8;A(41)=0
	    899 !}
	    900   
	    901 !{ Byte 45  	
	    902   b(42)=2;a(42)=1  !Primeira Parte da Mensagem
	    903   b(43)=6;a(43)=0
	    904 !}
	    905   
	    906 !{ Byte 46  
	    907     
	    908    b(44)=2;a(44)=0 ! Número de Correção (No momento deichei fixo. 
	    909    b(45)=6;a(45)=0 ! Futuramente podemos rever isto)
	    910 !}
	    911 
	    912 !{ Bytes 47 e 48
	    913    b(46)=8; a(46)=0
	    914    b(47)=8; a(47)=0
	    915 !}
	    916  
	    917 !{ Byte 49

SAVESEC2                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 27
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    918    b(48)=8;a(48)=idObs%conf ! Coeficiente de Confiabilidade
	    919 !}
	    920 
	    921 !{ Bytes de 50 a 52
	    922    b(49)=8;a(49)=0
	    923    b(50)=8;a(50)=0
	    924    b(51)=8;a(51)=0   
	    925 
	    926  
	    927  ! Organiza os dados da secao 2 em octetos (sec2)
	    928  ! Neste caso o numero de octeros noct tem que ser sempre 52
	    929  !{
	    930 
	    931    call PUT_OCTETS(A,B,51,sec2,noct,err)  
	    932 
	    933    if ((noct/=52).or.(err/=0)) then 
	    934      print *,"Erro na especificacao da secao 2 : numero de octetos =",NOCT
	    935 	 print *,"err =",err
	    936 	 stop
	    937    end if
	    938  !}
	    939 
	    940  
	    941 !Grava os 52 byte da secao 2  (SHSF)
	    942 !{
	    943   do i=1,52
	    944    currentRG=currentRG+1
	    945    write (uni,rec=currentRG) sec2(i)			 
	    946   end do
	    947 !}
	    948 
	    949 
	    950    end subroutine 

SAVESEC2                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 28
                                                                15-Sep-2004 10:10:47  mbufr.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name            
                              
 11-00002340  $mbufr$savesec2_


VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
      **      I*4   BSUBTYPE   1-0000015C  I*4   I          1-00000154  I*4   RDBDIA         **      I*4   UN      
      **      I*4   BTYPE      1-00000164  I*4   NOCT       1-00000158  I*4   RDBMES     1-00000168  I*4   UNI     
  1-00000160  I*4   ERR        1-00000150  I*4   RDBANO         **      I*4   TAM_BUFR                             


TYPES/RECORDS

 Address      Name  Structure       Bytes  Address      Name  Structure       Bytes
                                                                                   
      **      HOBS  MBUFR_DATE         20       **      IDOBS MBUFR_ID           56



SAVESEC2                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 29
                                                                15-Sep-2004 10:10:47  mbufr.f90

ARRAYS

 Address      Type  Name             Bytes  Dimensions
  1-000002BC  I*4   A                  204  (51)
  1-000001F0  I*4   B                  204  (51)
  1-000001D0  I*4   RDBTIME             32  (8)
  1-00000170  CHAR  RDB_CLOCK           36  (3)
  1-00000198  CHAR  SEC2                52  (52)

SAVESEC2                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 30
                                                                15-Sep-2004 10:10:47  mbufr.f90

	    951 
	    952 
	    953 
	    954 
	    955 
	    956 
	    957 
	    958 
	    959 
	    960 
	    961 
	    962 !**********************************************
	    963 !*  GRAVA A SECAO 3	                      *
	    964 !**********************************************
	    965 ! TAMANHO DA SECAO 3 : Esta secao possui 7 bytes de identificacao, mais a
	    966 ! lista de descritores. Cada descritor usa 2 bytes, e como no momento uso
	    967 ! 17 descritores, assim temos TAMANHO = 7+34 = 41 bytes). Esses valores /
	    968 ! vao mudar, e o numero de descritores eh definido pela constante Ndescrit
	    969 ! o Tamanho da secao 3 eh calculado no inicio desta rotina: Tam_sec3
	    970 
	    971 
	    972 
	    973  SUBROUTINE SAVESEC3(UN,D,Ndesc,NSUBSET,tam_sec3) 
	    974   	
	    975  integer, intent(in)::UN
	    976  type(descbufr),dimension(:),intent(in)::D 	! Descritores BUFR
	    977  integer,intent(in)::Ndesc                 	! Numero de descritores
	    978  integer,intent(inout)::tam_sec3
	    979  integer,intent(in)::Nsubset
	    980  character(len=1),dimension (1000):: sec3	! A identificacao da secao 3 tem 7 bytes
	    981  INTEGER,DIMENSION(8000)::A,B 			! Vetor de Valores e Numero de bits de cada valor
	    982  integer :: uni	,ib	,i,err,noct,xx
	    983  uni=un
	    984  SUBNAME="SAVESEC3"
	    985 
	    986  ! Tamanho da secao 3 corresponde a some de a 7  Bytes que descrevem
	    987  !  a secao  + 2* Nubero total de descritores. 
	    988  !  O Numero total de descritores corresponde ao numero
	    989  !  de descritores das variaveis +1  Replicador +1 De confiabilidade
	    990  
	    991 
	    992  Tam_sec3 = 7 + 2*(Ndesc+3) !Tamanho secao 3 - descritores
	    993  
	    994  if (mod(Tam_sec3,2)>0 ) Tam_sec3=Tam_sec3+1
	    995 
	    996 B(1)=24;A(1)=Tam_sec3 ! Tamanho da Secao (bites de 1-3) 					  
	    997 b(2)=8;a(2)=0         ! byte reservado   (bite 4)
	    998 b(3)=16;a(3)=Nsubset  ! Numero de data subsets  (observacoes em cada registro  BUFR) byte
	    999 b(4)=1;a(4)=1         ! se 1 Indica dados observacionais
	   1000 b(5)=1;a(5)=0         ! se 1 Indica dados comprimidos
	   1001 b(6)=6;a(6)=0         ! Demais bits do octeto é 0  (byte 7)
	   1002 
	   1003 !A partir do  byte 8 comeca a gravacao dos descritores
	   1004 
	   1005 ib=6
	   1006 do i=1,Ndesc
	   1007  if (TABB(D(I)%F,D(I)%X,D(I)%Y)%NBITS>0) then 

SAVESEC3                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 31
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1008   ib=ib+1;b(ib)=2;a(ib)=D(I)%F
	   1009   ib=ib+1;b(ib)=6;a(ib)=D(I)%X
	   1010   ib=ib+1;b(ib)=8;a(ib)=D(i)%Y
	   1011  else 
	   1012   print *,"Erro ! Descritor BUFR desconhecido"
	   1013   write(*,'("Descritor = ",i1,1x,i2,1x,i3,1x)')D(i)%F,D(i)%X,D(i)%Y
	   1014   stop
	   1015  end if
	   1016 end do
	   1017 
	   1018 
	   1019   
	   1020 
	   1021 
	   1022 !{ Acrescenta 3 descritores relativos aos indice de confiabilidade:
	   1023 !  
	   1024 !  2 22 000 - Indica que as informacoes seguintes reference aos
	   1025 !             dados anteriores
	   1026 !  1 01 Ndesc - Indica o Numero de vezes que o proximo descritor
	   1027 !             sera replicado
	   1028 !  0 33 007   _ Descritor do Indice de confiabilidade
	   1029 
	   1030   
	   1031   ib=ib+1;b(ib)=2;a(ib)=2
	   1032   ib=ib+1;b(ib)=6;a(ib)=22
	   1033   ib=ib+1;b(ib)=8;a(ib)=000
	   1034 
	   1035   ib=ib+1;b(ib)=2;a(ib)=1
	   1036   ib=ib+1;b(ib)=6;a(ib)=01
	   1037   ib=ib+1;b(ib)=8;a(ib)=Ndesc
	   1038 
	   1039 
	   1040    ib=ib+1;b(ib)=2;a(ib)=0
	   1041    ib=ib+1;b(ib)=6;a(ib)=33
	   1042    ib=ib+1;b(ib)=8;a(ib)=007
	   1043 
	   1044  !}
	   1045 
	   1046   
	   1047  ! Organiza os dados da secao 3 em octetos (sec3)
	   1048  ! Neste caso o numero de octeros noct tem que ser sempre 52
	   1049  !{
	   1050 
	   1051    call PUT_OCTETS(A,B,ib,sec3,noct,err)  
	   1052     ! Se o número de octetos não for par
	   1053  ! acrescentar um octeto com zero
	   1054   !	{
	   1055      if (mod(noct,2)>0) then 
	   1056 	  noct=noct	+1
	   1057 	  sec3(noct)=char(0)
	   1058      end if
	   1059     !}
	   1060 
	   1061    if ((err/=0).or.(noct/=Tam_sec3)) then 
	   1062      print *,"Erro no tamanho da secao 3 : numero de octetos =",NOCT
	   1063 	 stop
	   1064    end if

SAVESEC3                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 32
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1065  !}
	   1066 
	   1067 
	   1068    
	   1069 
	   1070  xx=ichar(sec3(7))
	   1071  !print *,xx
	   1072  !} Fim da preparacao para gravacao da secao 3
	   1073   
	   1074   
	   1075 
	   1076  !{ Gravar 
	   1077 
	   1078   do i=1,noct
	   1079    currentRG=currentRG+1
	   1080    write (uni,rec=currentRG) sec3(i)			 
	   1081   end do
	   1082 
	   1083 
	   1084 
	   1085 
	   1086 !}
	   1087 !} Fim da Gravacao da secao 3
	   1088 
	   1089 
	   1090 END SUBROUTINE SAVESEC3


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736


SAVESEC3                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 33
                                                                15-Sep-2004 10:10:47  mbufr.f90

ENTRY POINTS
 Address      Name            
                              
 11-00002BEC  $mbufr$savesec3_


VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
  1-00000394  I*4   ERR            **      I*4   NDESC          **      I*4   TAM_SEC3   1-00000388  I*4   XX      
  1-00000390  I*4   I          1-00000398  I*4   NOCT           **      I*4   UN                                   
  1-0000038C  I*4   IB             **      I*4   NSUBSET    1-0000039C  I*4   UNI                                  


ARRAYS

 Address      Type  Name        Bytes  Dimensions
  1-000080A0  I*4   A           32000  (8000)
  1-000003A0  I*4   B           32000  (8000)
  1-0000FDA0  CHAR  SEC3         1000  (1000)

TYPE/RECORD ARRAYS
 Address      Name   Structure        Bytes  Dimensions
      **      D      DESCBUFR            64  (:)

SAVESEC3                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 34
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1091 
	   1092 
	   1093 
	   1094 
	   1095 
	   1096 
	   1097 
	   1098 
	   1099 
	   1100 
	   1101 
	   1102 
	   1103 
	   1104 
	   1105 
	   1106 
	   1107 
	   1108 
	   1109 
	   1110 
	   1111 
	   1112 
	   1113 
	   1114 !***********************
	   1115 !*   GRAVA A SECAO 4   *
	   1116 !* *********************
	   1117 
	   1118 
	   1119 SUBROUTINE SAVESEC4(UN,D,ndesc,v,nsubset,iconf,tam_sec4)
	   1120 
	   1121  type(descbufr),dimension(:),intent(in)::D ! Descritores BUFR
	   1122  integer, intent(in)::UN				   !
	   1123  integer,intent(in)::ndesc                 ! Numero de descritores
	   1124  real,dimension(:,:),intent(in)::v
	   1125  integer,intent(out)::tam_sec4
	   1126  integer,intent(in)::nsubset
	   1127  integer,dimension(:,:),intent(in):: iconf  ! Indice de confiabilidade
	   1128 
	   1129  INTEGER,DIMENSION((nsubset*ndesc+2)*2)::A,B ! Vetor de Valores e Numero de bits de cada valor 
	   1130  character(len=1),dimension((nsubset*ndesc+2)*16):: sec4 ! Valor anterior e 28 
	   1131  character(len=1),dimension(3)::auxsec4          
	   1132  integer :: uni	,k,err,noct,noctaux ,j  ,i,dimab,dimoct,aa
	   1133 
	   1134 
	   1135  uni=un
	   1136  SUBNAME="SAVESEC4"
	   1137  dimab=(nsubset*ndesc+2)*2	  ! Calculo da dimensao de B() e A()
	   1138  dimoct=dimab*8		 	  ! Estimativa do número de octetos
	   1139 
	   1140  b(1)=24;a(1)=0     	  	  ! Tamanho da secao 4 Ainda não e conhecido 
	   1141  b(2)=8; a(2)=0            	  ! byte reservado (= 0)
	   1142  k=2
	   1143 
	   1144 ! Prepara para gravar todos os subsets (Valors e Indices de confiabilidade) 
	   1145 ! { 
	   1146  do i=1,nsubset
	   1147   !Valores

SAVESEC4                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 35
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1148   !{
	   1149   do j=1, ndesc
	   1150     k=k+1
	   1151 	b(k)=tabb(d(j)%f,d(j)%x,d(j)%y)%nbits
	   1152 	a(k)=v(i,j)*10**tabb(d(j)%f,d(j)%x,d(j)%y)%scale-tabb(d(j)%f,d(j)%x,d(j)%y)%refv
	   1153         
	   1154   end do
	   1155   !}
	   1156 
	   1157   !{Indices de Confiabilidade
	   1158   do j=1,ndesc
	   1159     k=k+1
	   1160 	b(k)=7   ! Numero de bits do Indice de Confiabilidade
	   1161 	a(k)=iconf(i,j)
	   1162 	aa=a(k)
	   1163 	aa=a(k)
	   1164   end do
	   1165   !}
	   1166 end do
	   1167 
	   1168 
	   1169  ! Organiza os dados da secao 4 em octetos (sec4)
	   1170  ! Neste caso o numero de octeros noct tem que ser sempre 52
	   1171  !{
	   1172 
	   1173    call PUT_OCTETS(A,B,k,sec4,noct,err)  
	   1174 
	   1175 
	   1176 
	   1177  ! Se o número de octetos (Secao3+secao4)não for par
	   1178  ! acrescentar um octeto com zero
	   1179   !	{
	   1180      if (mod(noct,2)>0) then 
	   1181 	  noct=noct	+1
	   1182 	  sec4(noct)=char(0)
	   1183      end if
	   1184     !}
	   1185 
	   1186 
	   1187  !}
	   1188 	 
	   1189   ! Agora coloca o tamanho da secao 4
	   1190 
	   1191    	Tam_Sec4=noct
	   1192 
	   1193     B(1)=24;a(1)=Tam_Sec4
	   1194     call PUT_OCTETS(A,B,1,auxsec4,noctaux,err)
	   1195 	if ((noctaux/=3).or.(err/=0)) then 
	   1196 	 print *,"erro secao 4 "
	   1197 	 stop
	   1198 	end if
	   1199 
	   1200 	sec4(3)=auxsec4(3)
	   1201 	sec4(2)=auxsec4(2)
	   1202 	sec4(1)=auxsec4(1)
	   1203 
	   1204 

SAVESEC4                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 36
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1205 
	   1206 
	   1207  !} Fim da preparacao para gravacao da secao 4
	   1208 
	   1209  !{ Gravar 
	   1210 
	   1211   do i=1,noct
	   1212    currentRG=currentRG+1
	   1213    write (uni,rec=currentRG) sec4(i)			 
	   1214   end do
	   1215 !}
	   1216 !} Fim da Gravacao da secao 4
	   1217 
	   1218   
	   1219 
	   1220 END SUBROUTINE SAVESEC4


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name            
                              
 11-0000378C  $mbufr$savesec4_



SAVESEC4                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 37
                                                                15-Sep-2004 10:10:47  mbufr.f90

VARIABLES

 Address      Type  Name      Address      Type  Name      Address      Type  Name      Address      Type  Name    
                                                                                                                   
  1-00010190  I*4   AA         1-000101A0  I*4   I          1-000101B0  I*4   NOCT           **      I*4   UN      
  1-00010198  I*4   DIMAB      1-000101A4  I*4   J          1-0001019C  I*4   NOCTAUX    1-000101B4  I*4   UNI     
  1-00010194  I*4   DIMOCT     1-000101A8  I*4   K              **      I*4   NSUBSET                              
  1-000101AC  I*4   ERR            **      I*4   NDESC          **      I*4   TAM_SEC4                             


ARRAYS

 Address      Type  Name           Bytes  Dimensions
      **      I*4   A                 **  (*)
  1-00010188  CHAR  AUXSEC4            3  (3)
      **      I*4   B                 **  (*)
      **      I*4   ICONF             88  (:, :)
      **      CHAR  SEC4              **  (*)
      **      R*4   V                 88  (:, :)

TYPE/RECORD ARRAYS
 Address      Name   Structure        Bytes  Dimensions
      **      D      DESCBUFR            64  (:)

SAVESEC4                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 38
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1221 
	   1222 
	   1223 
	   1224 
	   1225 
	   1226 
	   1227 
	   1228 
	   1229 
	   1230 
	   1231 
	   1232  SUBROUTINE SAVESEC5(UN)
	   1233 !******************************************************************
	   1234 !*		    GRAVAR A SECAO 5		                  *
	   1235 !*								  *
	   1236 !******************************************************************
	   1237  integer, intent(in)::UN
	   1238  integer :: uni
	   1239 
	   1240 
	   1241  integer :: i
	   1242  character(len=1),dimension(4)::sec5
	   1243  sec5(1:4) = '7'
	   1244    uni=un
	   1245  do i=1,4
	   1246   currentRg=currentRG+1
	   1247   write (uni,rec=currentRG) sec5(i)
	   1248  end do
	   1249 END SUBROUTINE SAVESEC5

SAVESEC5                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 39
                                                                15-Sep-2004 10:10:47  mbufr.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name            
                              
 11-0000460C  $mbufr$savesec5_


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                          
  1-000101C8  I*4   I          **      I*4   UN     1-000101CC  I*4   UNI 


ARRAYS

 Address      Type  Name        Bytes  Dimensions
  1-000101C0  CHAR  SEC5            4  (4)

SAVESEC5                        Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 40
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1250 
	   1251 
	   1252 
	   1253 
	   1254 
	   1255 
	   1256 
	   1257 
	   1258 
	   1259 
	   1260 ! INITI_TABB
	   1261 ! 	Esta é uma subroutina privada para Inicializar as tabela B deste módulo
	   1262 !   A subroutina carrega ler o  arquivo BufrTableB_mbufr.txt que corresponde
	   1263 !   a tabela B do BUFR, em formato texto, similar ao utilizado pelo 
	   1264 !   NCEP
	   1265 !     Os dados desta tabela são carregados na estrutura stntab deste módulo
	   1266 !     e corresponde os multiplicadores de escala , Valores de Referência e 
	   1267 !     Número de Bits que são utilizados na leitura/gravação das seções 3 e 4
	   1268 !     do BUFR
	   1269 
	   1270  SUBROUTINE INIT_TABB(Un)
	   1271 
	   1272   integer,intent(in)::Un
	   1273   integer::uni ,i
	   1274   integer::F,X,Y,SCALE,REFV,NBITS
	   1275   character(len=255)::C4,C5
	   1276   character(len=255)::A
	   1277   uni=un
	   1278   i=0
	   1279   	   TABB(:,:,:)%scale=0
	   1280 	   TABB(:,:,:)%refv=0
	   1281 	   TABB(:,:,:)%nbits=0
	   1282 
	   1283       OPEN (UNI, FILE ="BufrTableB_mbufr.txt", ACCESS = 'SEQUENTIAL', STATUS = 'OLD')
	   1284   
	   1285   10  READ(UNI,"(A)",END=999)A
	   1286       if (len_trim(a)>10) then  
	   1287       READ(A,100)F,X,Y,C4,C5,SCALE,REFV,NBITS
	   1288   100 FORMAT(1X,I1,I2,I3,1X,A64,1X,A17,1X,I10,1X,I12,1X,I3)
	   1289       
	   1290 	  if ((F==0).and.(x<=35).and.(y<=200)) then 
	   1291 		if (NBITS>256) then
	   1292 		  print *,"Erro na leitura da tabela bufr"
	   1293 		  print *,"Linha=",I,"Nbits=",NBITS
	   1294 		  close	(uni)
	   1295 		  stop
	   1296 		end if
	   1297 
	   1298 	    TABB(F,X,Y)%scale=SCALE
	   1299 	    TABB(F,X,Y)%refv=REFV
	   1300 	    TABB(F,X,Y)%nbits=NBITS
	   1301 	  end if
	   1302 
	   1303 	  end if
	   1304 	  i=i+1
	   1305 	  if (i<500) GOTO 10
	   1306 999   CLOSE(UNI)

INIT_TABB                       Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 41
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1307 
	   1308       
	   1309 	  END SUBROUTINE 


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

ENTRY POINTS
 Address      Name             
                               
 11-00004728  $mbufr$init_tabb_


VARIABLES

 Address      Type  Name   Address      Type  Name   Address      Type  Name   Address      Type  Name 
                                                                                                       
  1-000103F0  CHAR  A       1-000101EC  I*4   F       1-000101DC  I*4   REFV    1-000101D4  I*4   UNI  
  1-000102F0  CHAR  C4      1-000101D0  I*4   I       1-000101E0  I*4   SCALE   1-000101E8  I*4   X    
  1-000101F0  CHAR  C5      1-000101D8  I*4   NBITS       **      I*4   UN      1-000101E4  I*4   Y    


LABELS

 Address      Label  Address      Label
                                       
      **      10          **      999  

INIT_TABB                       Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 42
                                                                15-Sep-2004 10:10:47  mbufr.f90

	   1310 
	   1311 
	   1312 
	   1313 
	   1314 
	   1315 
	   1316 	   	           
	   1317 
	   1318 END MODULE


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                66800 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 344 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $mbufr$tabb_ps_                      86832 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $mbufr$subname_ps_                     255 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  5 $mbufr$nmsg_ps_                          4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  6 $mbufr$station_number_ps_                5 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT BYTE
  7 $mbufr$vermastertab_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  8 $mbufr$verloctab_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  9 $mbufr$centre_mbufr_ps_                  4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 10 $mbufr$currentrg_ps_                     4 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
 11 $CODE$                               20048   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
 12 .lita                                  264   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 13 .lit4                                   92   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 14 .lit8                                   48   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 15 .literal                               852   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
 16 .xdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
 17 .pdata                                  88 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated               175736

FUNCTIONS AND SUBROUTINES REFERENCED
  Type  Name                        Type  Name                        Type  Name                     
                                                                                                     
         $mbufr$savesec0_                  $mbufr$savesec4_                  $mbufr$put_octets_      
         $mbufr$savesec1_                  $mbufr$savesec5_                  $mbufr$save_mbufr_      
         $mbufr$savesec2_                  $mbufr$init_tabb_                 $mbufr$close_mbufr_     
         $mbufr$savesec3_                  $mbufr$open_mbufr_                                        

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 43
                                                                15-Sep-2004 10:10:47  mbufr.f90

				.text
				.globl  $mbufr$open_mbufr_
				.ent 	$mbufr$open_mbufr_
				.eflag 16
	     0000	$mbufr$open_mbufr_:										    # 000212
27BB0001     0000		ldah	gp, $mbufr$open_mbufr_			# gp, (r27)
23BDD450     0004		lda	gp, $mbufr$open_mbufr_			# gp, (gp)
	     0008	L$1:
23DEFF00     0008		lda	sp, -256(sp)
B75E0000     000C		stq	r26, (sp)
B53E0008     0010		stq	r9, 8(sp)
B55E0010     0014		stq	r10, 16(sp)
B5FE0018     0018		stq	r15, 24(sp)
47FE040F     001C		mov	sp, r15
				.mask 0x04008600,-256
				.fmask 0x00000000,0
				.frame  $fp, 256, $26
				.prologue 1
B60F0030     0020		stq	r16, 48(r15)
B62F0028     0024		stq	r17, 40(r15)
B64F0020     0028		stq	r18, 32(r15)
B66F0050     002C		stq	r19, FILENAME.len			# r19, 80(r15)
A52F0050     0030		ldq	r9, FILENAME.len			# r9, 80(r15)
A60F0030     0034		ldq	r16, 48(r15)									    # 000219
A2100000     0038		ldl	r16, (r16)
A63D8080     003C		ldq	r17, UNI				# r17, 112(gp)
B2110000     0040		stl	r16, UNI				# r16, (r17)
47E05412     0044		mov	2, r18										    # 000220
A67D8078     0048		ldq	r19, $mbufr$vermastertab_		# r19, 104(gp)
B2530000     004C		stl	r18, $mbufr$vermastertab_		# r18, (r19)
47E03400     0050		mov	1, r0										    # 000221
A61D8070     0054		ldq	r16, $mbufr$verloctab_			# r16, 96(gp)
B0100000     0058		stl	r0, $mbufr$verloctab_			# r0, (r16)
A62F0020     005C		ldq	r17, 32(r15)									    # 000222
A2310000     0060		ldl	r17, (r17)
A65D8068     0064		ldq	r18, $mbufr$centre_mbufr_		# r18, 88(gp)
B2320000     0068		stl	r17, $mbufr$centre_mbufr_		# r17, (r18)
A67D8060     006C		ldq	r19, $mbufr$currentrg_			# r19, 80(gp)				    # 000223
B3F30000     0070		stl	r31, $mbufr$currentrg_			# r31, (r19)
A41D8058     0074		ldq	r0, $mbufr$nmsg_			# r0, 72(gp)				    # 000224
B3E00000     0078		stl	r31, $mbufr$nmsg_			# r31, (r0)
A61D8080     007C		ldq	r16, UNI				# r16, 112(gp)				    # 000226
D34011AB     0080		bsr	r26, L$2
A41D8010     0084		ldq	r0, (gp)									    # 000228
20000048     0088		lda	r0, 72(r0)
A43D8010     008C		ldq	r1, (gp)
20210038     0090		lda	r1, 56(r1)
A45D8010     0094		ldq	r2, (gp)
20420030     0098		lda	r2, 48(r2)
B3EF0058     009C		stl	r31, var$0001				# r31, 88(r15)
A49D8080     00A0		ldq	r4, UNI					# r4, 112(gp)
A2240000     00A4		ldl	r17, UNI				# r17, (r4)
A67D8010     00A8		ldq	r19, (gp)
22730018     00AC		lda	r19, 24(r19)
B52F00B0     00B0		stq	r9, 176(r15)
A4CF0028     00B4		ldq	r6, 40(r15)
B4CF00B8     00B8		stq	r6, 184(r15)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 44
                                $mbufr$open_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

47E0F408     00BC		mov	7, r8
B50F00C0     00C0		stq	r8, 192(r15)
B40F00C8     00C4		stq	r0, 200(r15)
47E17414     00C8		mov	11, r20
B68F00D0     00CC		stq	r20, 208(r15)
B42F00D8     00D0		stq	r1, 216(r15)
47E0D417     00D4		mov	6, r23
B6EF00E0     00D8		stq	r23, 224(r15)
B44F00E8     00DC		stq	r2, 232(r15)
47E0341A     00E0		mov	1, r26
B74F00F0     00E4		stq	r26, 240(r15)
220F0058     00E8		lda	r16, var$0001				# r16, 88(r15)
265F0385     00EC		ldah	r18, 901(r31)
2252FF00     00F0		lda	r18, -256(r18)
228F00B0     00F4		lda	r20, 176(r15)
A77D8050     00F8		ldq	r27, for_open				# r27, 64(gp)
6B5B4000     00FC		jsr	r26, for_open				# r26, (r27)
27BA0001     0100		ldah	gp, $mbufr$open_mbufr_			# gp, (r26)
23BDD450     0104		lda	gp, $mbufr$open_mbufr_			# gp, (gp)
47FE040A     0108		mov	sp, r10										    # 000229
A41D8010     010C		ldq	r0, (gp)
20000008     0110		lda	r0, 8(r0)
B3EF0058     0114		stl	r31, var$0001				# r31, 88(r15)
A67D8018     0118		ldq	r19, 8(gp)
22730008     011C		lda	r19, 8(r19)
47E1D402     0120		mov	14, r2
B44F00A0     0124		stq	r2, 160(r15)
B40F00A8     0128		stq	r0, 168(r15)
220F0058     012C		lda	r16, var$0001				# r16, 88(r15)
223FFFFF     0130		mov	-1, r17
265F0385     0134		ldah	r18, 901(r31)
2252FF00     0138		lda	r18, -256(r18)
228F00A0     013C		lda	r20, 160(r15)
A77D8048     0140		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     0144		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0148		ldah	gp, $mbufr$open_mbufr_			# gp, (r26)
23BDD450     014C		lda	gp, $mbufr$open_mbufr_			# gp, (gp)
41E90520     0150		subq	r15, r9, r0
4401F100     0154		bic	r0, 15, r0
230FF000     0158		lda	r24, -4096(r15)
A7800000     015C		ldq	r28, (r0)
430007BC     0160		cmpule	r24, r0, r28
F7800004     0164		bne	r28, L$4
	     0168	L$3:
A7980000     0168		ldq	r28, (r24)
2318E020     016C		lda	r24, -8160(r24)
430007BC     0170		cmpule	r24, r0, r28
E79FFFFC     0174		beq	r28, L$3
	     0178	L$4:
47E0041E     0178		mov	r0, sp
B7CF0098     017C		stq	sp, 152(r15)
47FE040A     0180		mov	sp, r10
47E90401     0184		mov	r9, r1
43C90522     0188		subq	sp, r9, r2
4441F102     018C		bic	r2, 15, r2
231EF000     0190		lda	r24, -4096(sp)
A7820000     0194		ldq	r28, (r2)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 45
                                $mbufr$open_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

430207BC     0198		cmpule	r24, r2, r28
F7800004     019C		bne	r28, L$6
	     01A0	L$5:
A7980000     01A0		ldq	r28, (r24)
2318E020     01A4		lda	r24, -8160(r24)
430207BC     01A8		cmpule	r24, r2, r28
E79FFFFC     01AC		beq	r28, L$5
	     01B0	L$6:
47E2041E     01B0		mov	r2, sp
22020000     01B4		lda	r16, (r2)
47E90411     01B8		mov	r9, r17
A64F0028     01BC		ldq	r18, 40(r15)
A77D8040     01C0		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     01C4		jsr	r26, _OtsMove				# r26, (r27)
43C10520     01C8		subq	sp, r1, r0
4401F100     01CC		bic	r0, 15, r0
231EF000     01D0		lda	r24, -4096(sp)
A7800000     01D4		ldq	r28, (r0)
430007BC     01D8		cmpule	r24, r0, r28
F7800004     01DC		bne	r28, L$10
	     01E0	L$9:
A7980000     01E0		ldq	r28, (r24)
2318E020     01E4		lda	r24, -8160(r24)
430007BC     01E8		cmpule	r24, r0, r28
E79FFFFC     01EC		beq	r28, L$9
	     01F0	L$10:
47E0041E     01F0		mov	r0, sp
22000000     01F4		lda	r16, (r0)
47E10411     01F8		mov	r1, r17
22420000     01FC		lda	r18, (r2)
47E90413     0200		mov	r9, r19
A77D8038     0204		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0208		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     020C		mov	32, r18
A77D8030     0210		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     0214		jsr	r26, _OtsFill				# r26, (r27)
A60F0098     0218		ldq	r16, 152(r15)
47E90411     021C		mov	r9, r17
22400000     0220		lda	r18, (r0)
47E10413     0224		mov	r1, r19
A77D8028     0228		ldq	r27, for_trim				# r27, 24(gp)
6B5B4000     022C		jsr	r26, for_trim				# r26, (r27)
27BA0001     0230		ldah	gp, $mbufr$open_mbufr_			# gp, (r26)
23BDD450     0234		lda	gp, $mbufr$open_mbufr_			# gp, (gp)
A43D8018     0238		ldq	r1, 8(gp)
47E00402     023C		mov	r0, r2
41400523     0240		subq	r10, r0, r3
4461F103     0244		bic	r3, 15, r3
230AF000     0248		lda	r24, -4096(r10)
A7830000     024C		ldq	r28, (r3)
430307BC     0250		cmpule	r24, r3, r28
F7800004     0254		bne	r28, L$14
	     0258	L$13:
A7980000     0258		ldq	r28, (r24)
2318E020     025C		lda	r24, -8160(r24)
430307BC     0260		cmpule	r24, r3, r28
E79FFFFC     0264		beq	r28, L$13

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 46
                                $mbufr$open_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

	     0268	L$14:
47E3041E     0268		mov	r3, sp
22030000     026C		lda	r16, (r3)
47E00411     0270		mov	r0, r17
A64F0098     0274		ldq	r18, 152(r15)
A77D8040     0278		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     027C		jsr	r26, _OtsMove				# r26, (r27)
43C20524     0280		subq	sp, r2, r4
4481F104     0284		bic	r4, 15, r4
231EF000     0288		lda	r24, -4096(sp)
A7840000     028C		ldq	r28, (r4)
430407BC     0290		cmpule	r24, r4, r28
F7800004     0294		bne	r28, L$18
	     0298	L$17:
A7980000     0298		ldq	r28, (r24)
2318E020     029C		lda	r24, -8160(r24)
430407BC     02A0		cmpule	r24, r4, r28
E79FFFFC     02A4		beq	r28, L$17
	     02A8	L$18:
47E4041E     02A8		mov	r4, sp
22040000     02AC		lda	r16, (r4)
47E20411     02B0		mov	r2, r17
22430000     02B4		lda	r18, (r3)
47E00413     02B8		mov	r0, r19
A77D8038     02BC		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     02C0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     02C4		mov	32, r18
A77D8030     02C8		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     02CC		jsr	r26, _OtsFill				# r26, (r27)
20A40000     02D0		lda	r5, (r4)
B4AF00A8     02D4		stq	r5, 168(r15)
B44F00A0     02D8		stq	r2, 160(r15)
220F0058     02DC		lda	r16, var$0001				# r16, 88(r15)
47E10411     02E0		mov	r1, r17
224F00A0     02E4		lda	r18, 160(r15)
A77D8020     02E8		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     02EC		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     02F0		ldah	gp, $mbufr$open_mbufr_			# gp, (r26)
23BDD450     02F4		lda	gp, $mbufr$open_mbufr_			# gp, (gp)
47EF041E     02F8		mov	r15, sp										    # 000230
A55D8010     02FC		ldq	r10, (gp)
B3EF0058     0300		stl	r31, var$0001				# r31, 88(r15)
A67D8018     0304		ldq	r19, 8(gp)
47E03401     0308		mov	1, r1
B42F00A0     030C		stq	r1, 160(r15)
B54F00A8     0310		stq	r10, 168(r15)
220F0058     0314		lda	r16, var$0001				# r16, 88(r15)
223FFFFF     0318		mov	-1, r17
265F0385     031C		ldah	r18, 901(r31)
2252FF00     0320		lda	r18, -256(r18)
228F00A0     0324		lda	r20, 160(r15)
A77D8048     0328		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     032C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0330		ldah	gp, $mbufr$open_mbufr_			# gp, (r26)
23BDD450     0334		lda	gp, $mbufr$open_mbufr_			# gp, (gp)
47EF041E     0338		mov	r15, sp										    # 000233
A74F0000     033C		ldq	r26, (r15)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 47
                                $mbufr$open_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

A52F0008     0340		ldq	r9, 8(r15)
A54F0010     0344		ldq	r10, 16(r15)
A5FE0018     0348		ldq	r15, 24(sp)
23DE0100     034C		lda	sp, 256(sp)
6BFA8001     0350		ret	(r26)
				.end 	$mbufr$open_mbufr_

Routine Size: 852 bytes,    Routine Base: $CODE$ + 0000

				.globl  $mbufr$save_mbufr_
				.ent 	$mbufr$save_mbufr_
				.eflag 16
	     0354	$mbufr$save_mbufr_:										    # 000266
27BB0001     0354		ldah	gp, $mbufr$save_mbufr_			# gp, (r27)
23BDD450     0358		lda	gp, $mbufr$save_mbufr_			# gp, (gp)
	     035C	L$21:
23DEFF30     035C		lda	sp, -208(sp)
B75E0008     0360		stq	r26, 8(sp)
B53E0010     0364		stq	r9, 16(sp)
B55E0018     0368		stq	r10, 24(sp)
B57E0020     036C		stq	r11, 32(sp)
B59E0028     0370		stq	r12, 40(sp)
				.mask 0x04001E00,-200
				.fmask 0x00000000,0
				.frame  $sp, 208, $26
				.prologue 1
47F0040C     0374		mov	r16, r12
47F1040B     0378		mov	r17, r11
B65E0038     037C		stq	r18, 56(sp)
47F3040A     0380		mov	r19, r10
47F40409     0384		mov	r20, r9
B6BE0030     0388		stq	r21, 48(sp)
E5600008     038C		beq	r11, lab$0002
A66B0038     0390		ldq	r19, 56(r11)
A68B0030     0394		ldq	r20, 48(r11)
42930534     0398		subq	r20, r19, r20
42803414     039C		addq	r20, 1, r20
B68B0030     03A0		stq	r20, 48(r11)
47E03400     03A4		mov	1, r0
B40B0038     03A8		stq	r0, 56(r11)
B67E0078     03AC		stq	r19, var$0003				# r19, 120(sp)
	     03B0	lab$0002:
E5400010     03B0		beq	r10, lab$0004
A62A0038     03B4		ldq	r17, 56(r10)
A64A0030     03B8		ldq	r18, 48(r10)
42510532     03BC		subq	r18, r17, r18
42403412     03C0		addq	r18, 1, r18
B64A0030     03C4		stq	r18, 48(r10)
47E03415     03C8		mov	1, r21
B6AA0038     03CC		stq	r21, 56(r10)
B63E0070     03D0		stq	r17, var$0005				# r17, 112(sp)
A60A0050     03D4		ldq	r16, 80(r10)
A66A0048     03D8		ldq	r19, 72(r10)
42700533     03DC		subq	r19, r16, r19
42603413     03E0		addq	r19, 1, r19
B66A0048     03E4		stq	r19, 72(r10)
47E03414     03E8		mov	1, r20

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 48
                                $mbufr$save_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

B68A0050     03EC		stq	r20, 80(r10)
B61E0068     03F0		stq	r16, var$0006				# r16, 104(sp)
	     03F4	lab$0004:
E5200010     03F4		beq	r9, lab$0006
A6A90038     03F8		ldq	r21, 56(r9)
A6290030     03FC		ldq	r17, 48(r9)
42350531     0400		subq	r17, r21, r17
42203411     0404		addq	r17, 1, r17
B6290030     0408		stq	r17, 48(r9)
47E03413     040C		mov	1, r19
B6690038     0410		stq	r19, 56(r9)
B6BE0060     0414		stq	r21, var$0008				# r21, 96(sp)
A6890050     0418		ldq	r20, 80(r9)
A6090048     041C		ldq	r16, 72(r9)
42140530     0420		subq	r16, r20, r16
42003410     0424		addq	r16, 1, r16
B6090048     0428		stq	r16, 72(r9)
47E03412     042C		mov	1, r18
B6490050     0430		stq	r18, 80(r9)
B69E0058     0434		stq	r20, var$0009				# r20, 88(sp)
	     0438	lab$0006:
A26C0000     0438		ldl	r19, (r12)									    # 000297
A6BD8080     043C		ldq	r21, UNI				# r21, 112(gp)
B2750030     0440		stl	r19, UNI				# r19, 48(r21)
A61E00D0     0444		ldq	r16, 208(sp)									    # 000298
A2100000     0448		ldl	r16, (r16)
A63D8080     044C		ldq	r17, BTYPE				# r17, 112(gp)
B2110018     0450		stl	r16, BTYPE				# r16, 24(r17)
A41E00D8     0454		ldq	r0, 216(sp)									    # 000299
A0000000     0458		ldl	r0, (r0)
A65D8080     045C		ldq	r18, BSUBTYPE				# r18, 112(gp)
B0120014     0460		stl	r0, BSUBTYPE				# r0, 20(r18)
A69E00E8     0464		ldq	r20, 232(sp)									    # 000304
E6800004     0468		beq	r20, lab$0044
227FFFFF     046C		mov	-1, r19										    # 000305
A6BD8080     0470		ldq	r21, SEC2OPT				# r21, 112(gp)
B275002C     0474		stl	r19, SEC2OPT				# r19, 44(r21)
C3E00002     0478		br	lab$0045									    # 000304
	     047C	lab$0044:
A61D8080     047C		ldq	r16, SEC2OPT				# r16, 112(gp)				    # 000307
B3F0002C     0480		stl	r31, SEC2OPT				# r31, 44(r16)
	     0484	lab$0045:											    # 000304
A63D8060     0484		ldq	r17, $mbufr$currentrg_			# r17, 80(gp)				    # 000314
A2310000     0488		ldl	r17, $mbufr$currentrg_			# r17, (r17)
A41D8080     048C		ldq	r0, RG0					# r0, 112(gp)
B2200010     0490		stl	r17, RG0				# r17, 16(r0)
A65D8080     0494		ldq	r18, RG0				# r18, 112(gp)				    # 000317
A2520010     0498		ldl	r18, RG0				# r18, 16(r18)
42411012     049C		addl	r18, 8, r18
A69D8060     04A0		ldq	r20, $mbufr$currentrg_			# r20, 80(gp)
B2540000     04A4		stl	r18, $mbufr$currentrg_			# r18, (r20)
47EC0410     04A8		mov	r12, r16									    # 000322
A63D8080     04AC		ldq	r17, SEC2OPT				# r17, 112(gp)
2231002C     04B0		lda	r17, SEC2OPT				# r17, 44(r17)
A65D8080     04B4		ldq	r18, BTYPE				# r18, 112(gp)
22520018     04B8		lda	r18, BTYPE				# r18, 24(r18)
A67D8080     04BC		ldq	r19, BSUBTYPE				# r19, 112(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 49
                                $mbufr$save_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

22730014     04C0		lda	r19, BSUBTYPE				# r19, 20(r19)
A69E00E0     04C4		ldq	r20, 224(sp)
D340063D     04C8		bsr	r26, L$22
A41D8080     04CC		ldq	r0, SEC2OPT				# r0, 112(gp)				    # 000326
A000002C     04D0		ldl	r0, SEC2OPT				# r0, 44(r0)
E000000D     04D4		blbc	r0, lab$0053
A43D8060     04D8		ldq	r1, $mbufr$currentrg_			# r1, 80(gp)				    # 000327
A0210000     04DC		ldl	r1, $mbufr$currentrg_			# r1, (r1)
A45D8080     04E0		ldq	r2, RG2					# r2, 112(gp)
B0220004     04E4		stl	r1, RG2					# r1, 4(r2)
A47D8060     04E8		ldq	r3, $mbufr$currentrg_			# r3, 80(gp)				    # 000328
A0630000     04EC		ldl	r3, $mbufr$currentrg_			# r3, (r3)
40669003     04F0		addl	r3, 52, r3
A49D8060     04F4		ldq	r4, $mbufr$currentrg_			# r4, 80(gp)
B0640000     04F8		stl	r3, $mbufr$currentrg_			# r3, (r4)
47E69405     04FC		mov	52, r5										    # 000331
A4DD8080     0500		ldq	r6, TAM_SEC2				# r6, 112(gp)
B0A60024     0504		stl	r5, TAM_SEC2				# r5, 36(r6)
C3E00002     0508		br	lab$0055									    # 000326
	     050C	lab$0053:
A4FD8080     050C		ldq	r7, TAM_SEC2				# r7, 112(gp)				    # 000334
B3E70024     0510		stl	r31, TAM_SEC2				# r31, 36(r7)
	     0514	lab$0055:											    # 000339
47EC0410     0514		mov	r12, r16
47EB0411     0518		mov	r11, r17
A65E0038     051C		ldq	r18, 56(sp)
A67E0030     0520		ldq	r19, 48(sp)
A69D8080     0524		ldq	r20, TAM_SEC3				# r20, 112(gp)
22940020     0528		lda	r20, TAM_SEC3				# r20, 32(r20)
D34009B1     052C		bsr	r26, L$25
A41D8080     0530		ldq	r0, TAM_SEC4				# r0, 112(gp)				    # 000340
2000001C     0534		lda	r0, TAM_SEC4				# r0, 28(r0)
B41E0000     0538		stq	r0, (sp)
47EC0410     053C		mov	r12, r16
47EB0411     0540		mov	r11, r17
A65E0038     0544		ldq	r18, 56(sp)
47EA0413     0548		mov	r10, r19
A69E0030     054C		ldq	r20, 48(sp)
47E90415     0550		mov	r9, r21
D3400C8F     0554		bsr	r26, L$26
47EC0410     0558		mov	r12, r16									    # 000341
D340102D     055C		bsr	r26, L$27
A41D8060     0560		ldq	r0, $mbufr$currentrg_			# r0, 80(gp)				    # 000346
A0000000     0564		ldl	r0, $mbufr$currentrg_			# r0, (r0)
A43D8080     0568		ldq	r1, RGF					# r1, 112(gp)
B001000C     056C		stl	r0, RGF					# r0, 12(r1)
A45D8080     0570		ldq	r2, TAM_SEC2				# r2, 112(gp)				    # 000352
A0420024     0574		ldl	r2, TAM_SEC2				# r2, 36(r2)
A47D8080     0578		ldq	r3, TAM_SEC3				# r3, 112(gp)
A0630020     057C		ldl	r3, TAM_SEC3				# r3, 32(r3)
40430002     0580		addl	r2, r3, r2
A49D8080     0584		ldq	r4, TAM_SEC4				# r4, 112(gp)
A084001C     0588		ldl	r4, TAM_SEC4				# r4, 28(r4)
40440002     058C		addl	r2, r4, r2
4043D002     0590		addl	r2, 30, r2
A4BD8080     0594		ldq	r5, TAM_BUFR				# r5, 112(gp)
B0450028     0598		stl	r2, TAM_BUFR				# r2, 40(r5)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 50
                                $mbufr$save_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

A4DD8080     059C		ldq	r6, RGF					# r6, 112(gp)				    # 000354
A0C6000C     05A0		ldl	r6, RGF					# r6, 12(r6)
A4FD8080     05A4		ldq	r7, RG0					# r7, 112(gp)
A0E70010     05A8		ldl	r7, RG0					# r7, 16(r7)
40C70126     05AC		subl	r6, r7, r6
A51D8080     05B0		ldq	r8, NRG					# r8, 112(gp)
B0C80008     05B4		stl	r6, NRG					# r6, 8(r8)
A61D8080     05B8		ldq	r16, TAM_BUFR				# r16, 112(gp)				    # 000355
A2100028     05BC		ldl	r16, TAM_BUFR				# r16, 40(r16)
A63D8080     05C0		ldq	r17, NRG				# r17, 112(gp)
A2310008     05C4		ldl	r17, NRG				# r17, 8(r17)
46110810     05C8		xor	r16, r17, r16
E600002C     05CC		beq	r16, lab$0075
A65D8010     05D0		ldq	r18, (gp)									    # 000356
22520058     05D4		lda	r18, 88(r18)
B3FE0080     05D8		stl	r31, var$0002				# r31, 128(sp)
A67D8018     05DC		ldq	r19, 8(gp)
47E25414     05E0		mov	18, r20
B69E00C0     05E4		stq	r20, 192(sp)
B65E00C8     05E8		stq	r18, 200(sp)
221E0080     05EC		lda	r16, var$0002				# r16, 128(sp)
223FFFFF     05F0		mov	-1, r17
265F0385     05F4		ldah	r18, 901(r31)
2252FF00     05F8		lda	r18, -256(r18)
229E00C0     05FC		lda	r20, 192(sp)
A77D8048     0600		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     0604		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0608		ldah	gp, $mbufr$save_mbufr_			# gp, (r26)
23BDD450     060C		lda	gp, $mbufr$save_mbufr_			# gp, (gp)
A41D8010     0610		ldq	r0, (gp)									    # 000357
20000050     0614		lda	r0, 80(r0)
B3FE0080     0618		stl	r31, var$0002				# r31, 128(sp)
A67D8018     061C		ldq	r19, 8(gp)
B7FE00C0     0620		stq	r31, 192(sp)
B41E00C8     0624		stq	r0, 200(sp)
221E0080     0628		lda	r16, var$0002				# r16, 128(sp)
223FFFFF     062C		mov	-1, r17
265F0385     0630		ldah	r18, 901(r31)
2252FF00     0634		lda	r18, -256(r18)
229E00C0     0638		lda	r20, 192(sp)
A77D8048     063C		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     0640		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0644		ldah	gp, $mbufr$save_mbufr_			# gp, (r26)
23BDD450     0648		lda	gp, $mbufr$save_mbufr_			# gp, (gp)
B3FE0080     064C		stl	r31, var$0002				# r31, 128(sp)				    # 000358
A22C0000     0650		ldl	r17, (r12)
A67D8018     0654		ldq	r19, 8(gp)
22730010     0658		lda	r19, 16(r19)
221E0080     065C		lda	r16, var$0002				# r16, 128(sp)
265F0385     0660		ldah	r18, 901(r31)
2252FF00     0664		lda	r18, -256(r18)
47FF0414     0668		clr	r20
A77D8090     066C		ldq	r27, for_close				# r27, 128(gp)
6B5B4000     0670		jsr	r26, for_close				# r26, (r27)
27BA0001     0674		ldah	gp, $mbufr$save_mbufr_			# gp, (r26)
23BDD450     0678		lda	gp, $mbufr$save_mbufr_			# gp, (gp)
C3E00054     067C		br	lab$0084

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 51
                                $mbufr$save_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

	     0680	lab$0075:											    # 000355
A41D8080     0680		ldq	r0, RG0					# r0, 112(gp)				    # 000367
A0000010     0684		ldl	r0, RG0					# r0, 16(r0)
A43D8060     0688		ldq	r1, $mbufr$currentrg_			# r1, 80(gp)
B0010000     068C		stl	r0, $mbufr$currentrg_			# r0, (r1)
47EC0410     0690		mov	r12, r16									    # 000368
A63D8080     0694		ldq	r17, TAM_BUFR				# r17, 112(gp)
22310028     0698		lda	r17, TAM_BUFR				# r17, 40(r17)
D34003B6     069C		bsr	r26, L$28
A41D8080     06A0		ldq	r0, SEC2OPT				# r0, 112(gp)				    # 000373
A000002C     06A4		ldl	r0, SEC2OPT				# r0, 44(r0)
E000000E     06A8		blbc	r0, lab$0096
A43D8080     06AC		ldq	r1, RG2					# r1, 112(gp)				    # 000374
A0210004     06B0		ldl	r1, RG2					# r1, 4(r1)
A45D8060     06B4		ldq	r2, $mbufr$currentrg_			# r2, 80(gp)
B0220000     06B8		stl	r1, $mbufr$currentrg_			# r1, (r2)
47EC0410     06BC		mov	r12, r16									    # 000375
A63E00E0     06C0		ldq	r17, 224(sp)
A65E00E8     06C4		ldq	r18, 232(sp)
A67D8080     06C8		ldq	r19, TAM_BUFR				# r19, 112(gp)
22730028     06CC		lda	r19, TAM_BUFR				# r19, 40(r19)
A69D8080     06D0		ldq	r20, BTYPE				# r20, 112(gp)
22940018     06D4		lda	r20, BTYPE				# r20, 24(r20)
A6BD8080     06D8		ldq	r21, BSUBTYPE				# r21, 112(gp)
22B50014     06DC		lda	r21, BSUBTYPE				# r21, 20(r21)
D3400719     06E0		bsr	r26, L$31
	     06E4	lab$0096:											    # 000373
A41D8080     06E4		ldq	r0, RGF					# r0, 112(gp)				    # 000379
A000000C     06E8		ldl	r0, RGF					# r0, 12(r0)
A43D8060     06EC		ldq	r1, $mbufr$currentrg_			# r1, 80(gp)
B0010000     06F0		stl	r0, $mbufr$currentrg_			# r0, (r1)
A45D8058     06F4		ldq	r2, $mbufr$nmsg_			# r2, 72(gp)				    # 000380
A0420000     06F8		ldl	r2, $mbufr$nmsg_			# r2, (r2)
40403002     06FC		addl	r2, 1, r2
A47D8058     0700		ldq	r3, $mbufr$nmsg_			# r3, 72(gp)
B0430000     0704		stl	r2, $mbufr$nmsg_			# r2, (r3)
E5200010     0708		beq	r9, lab$0104									    # 000386
A4890030     070C		ldq	r4, 48(r9)
A4A90038     0710		ldq	r5, 56(r9)
40850524     0714		subq	r4, r5, r4
A4DE0060     0718		ldq	r6, var$0008				# r6, 96(sp)
40860404     071C		addq	r4, r6, r4
B4890030     0720		stq	r4, 48(r9)
A51E0060     0724		ldq	r8, var$0008				# r8, 96(sp)
B5090038     0728		stq	r8, 56(r9)
A6290048     072C		ldq	r17, 72(r9)
A6490050     0730		ldq	r18, 80(r9)
42320531     0734		subq	r17, r18, r17
A67E0058     0738		ldq	r19, var$0009				# r19, 88(sp)
42330411     073C		addq	r17, r19, r17
B6290048     0740		stq	r17, 72(r9)
A6BE0058     0744		ldq	r21, var$0009				# r21, 88(sp)
B6A90050     0748		stq	r21, 80(r9)
	     074C	lab$0104:
E5400010     074C		beq	r10, lab$0106
A6EA0030     0750		ldq	r23, 48(r10)
A70A0038     0754		ldq	r24, 56(r10)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 52
                                $mbufr$save_mbufr_              15-Sep-2004 10:10:47  mbufr.f90

42F80537     0758		subq	r23, r24, r23
A73E0070     075C		ldq	r25, var$0005				# r25, 112(sp)
42F90417     0760		addq	r23, r25, r23
B6EA0030     0764		stq	r23, 48(r10)
A77E0070     0768		ldq	r27, var$0005				# r27, 112(sp)
B76A0038     076C		stq	r27, 56(r10)
A42A0048     0770		ldq	r1, 72(r10)
A44A0050     0774		ldq	r2, 80(r10)
40220521     0778		subq	r1, r2, r1
A47E0068     077C		ldq	r3, var$0006				# r3, 104(sp)
40230401     0780		addq	r1, r3, r1
B42A0048     0784		stq	r1, 72(r10)
A4DE0068     0788		ldq	r6, var$0006				# r6, 104(sp)
B4CA0050     078C		stq	r6, 80(r10)
	     0790	lab$0106:
E5600008     0790		beq	r11, lab$0108
A4EB0030     0794		ldq	r7, 48(r11)
A50B0038     0798		ldq	r8, 56(r11)
40E80527     079C		subq	r7, r8, r7
A61E0078     07A0		ldq	r16, var$0003				# r16, 120(sp)
40F00407     07A4		addq	r7, r16, r7
B4EB0030     07A8		stq	r7, 48(r11)
A67E0078     07AC		ldq	r19, var$0003				# r19, 120(sp)
B66B0038     07B0		stq	r19, 56(r11)
	     07B4	lab$0108:
A75E0008     07B4		ldq	r26, 8(sp)
A53E0010     07B8		ldq	r9, 16(sp)
A55E0018     07BC		ldq	r10, 24(sp)
A57E0020     07C0		ldq	r11, 32(sp)
A59E0028     07C4		ldq	r12, 40(sp)
23DE00D0     07C8		lda	sp, 208(sp)
6BFA8001     07CC		ret	(r26)
	     07D0	lab$0084:											    # 000358
A61D8010     07D0		ldq	r16, (gp)									    # 000359
22100050     07D4		lda	r16, 80(r16)
47FF0411     07D8		clr	r17
A77D8088     07DC		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     07E0		jsr	r26, for_stop				# r26, (r27)
27BA0001     07E4		ldah	gp, $mbufr$save_mbufr_			# gp, (r26)
23BDD450     07E8		lda	gp, $mbufr$save_mbufr_			# gp, (gp)
				.end 	$mbufr$save_mbufr_

Routine Size: 1176 bytes,    Routine Base: $CODE$ + 0354

				.globl  $mbufr$close_mbufr_
				.ent 	$mbufr$close_mbufr_
				.eflag 16
	     07EC	$mbufr$close_mbufr_:										    # 000398
27BB0001     07EC		ldah	gp, $mbufr$close_mbufr_			# gp, (r27)
23BDD450     07F0		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
	     07F4	L$32:
23DEFF80     07F4		lda	sp, -128(sp)
B75E0000     07F8		stq	r26, (sp)
				.mask 0x04000000,-128
				.fmask 0x00000000,0
				.frame  $sp, 128, $26
				.prologue 1

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 53
                                $mbufr$close_mbufr_             15-Sep-2004 10:10:47  mbufr.f90

B61E0008     07FC		stq	r16, 8(sp)
B3FE0030     0800		stl	r31, var$0011				# r31, 48(sp)				    # 000401
A41E0008     0804		ldq	r0, 8(sp)
A2200000     0808		ldl	r17, (r0)
A67D8018     080C		ldq	r19, 8(gp)
22730010     0810		lda	r19, 16(r19)
221E0030     0814		lda	r16, var$0011				# r16, 48(sp)
265F0385     0818		ldah	r18, 901(r31)
2252FF00     081C		lda	r18, -256(r18)
47FF0414     0820		clr	r20
A77D8090     0824		ldq	r27, for_close				# r27, 128(gp)
6B5B4000     0828		jsr	r26, for_close				# r26, (r27)
27BA0001     082C		ldah	gp, $mbufr$close_mbufr_			# gp, (r26)
23BDD450     0830		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
B3FE0030     0834		stl	r31, var$0011				# r31, 48(sp)				    # 000402
A67D8018     0838		ldq	r19, 8(gp)
22730018     083C		lda	r19, 24(r19)
A43D8058     0840		ldq	r1, $mbufr$nmsg_			# r1, 72(gp)
20210000     0844		lda	r1, $mbufr$nmsg_			# r1, (r1)
B43E0070     0848		stq	r1, 112(sp)
221E0030     084C		lda	r16, var$0011				# r16, 48(sp)
223FFFFF     0850		mov	-1, r17
265F0385     0854		ldah	r18, 901(r31)
2252FF00     0858		lda	r18, -256(r18)
229E0070     085C		lda	r20, 112(sp)
A77D8048     0860		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     0864		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0868		ldah	gp, $mbufr$close_mbufr_			# gp, (r26)
23BDD450     086C		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
A41D8010     0870		ldq	r0, (gp)
20000080     0874		lda	r0, 128(r0)
A63D8018     0878		ldq	r17, 8(gp)
47E27401     087C		mov	19, r1
B43E0070     0880		stq	r1, 112(sp)
B41E0078     0884		stq	r0, 120(sp)
221E0030     0888		lda	r16, var$0011				# r16, 48(sp)
225E0070     088C		lda	r18, 112(sp)
A77D8020     0890		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     0894		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0898		ldah	gp, $mbufr$close_mbufr_			# gp, (r26)
23BDD450     089C		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
B3FE0030     08A0		stl	r31, var$0011				# r31, 48(sp)				    # 000403
A67D8018     08A4		ldq	r19, 8(gp)
22730018     08A8		lda	r19, 24(r19)
A43D8060     08AC		ldq	r1, $mbufr$currentrg_			# r1, 80(gp)
20210000     08B0		lda	r1, $mbufr$currentrg_			# r1, (r1)
B43E0070     08B4		stq	r1, 112(sp)
221E0030     08B8		lda	r16, var$0011				# r16, 48(sp)
223FFFFF     08BC		mov	-1, r17
265F0385     08C0		ldah	r18, 901(r31)
2252FF00     08C4		lda	r18, -256(r18)
229E0070     08C8		lda	r20, 112(sp)
A77D8048     08CC		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     08D0		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     08D4		ldah	gp, $mbufr$close_mbufr_			# gp, (r26)
23BDD450     08D8		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
A41D8010     08DC		ldq	r0, (gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 54
                                $mbufr$close_mbufr_             15-Sep-2004 10:10:47  mbufr.f90

20000070     08E0		lda	r0, 112(r0)
A63D8018     08E4		ldq	r17, 8(gp)
47E1F401     08E8		mov	15, r1
B43E0070     08EC		stq	r1, 112(sp)
B41E0078     08F0		stq	r0, 120(sp)
221E0030     08F4		lda	r16, var$0011				# r16, 48(sp)
225E0070     08F8		lda	r18, 112(sp)
A77D8020     08FC		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     0900		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0904		ldah	gp, $mbufr$close_mbufr_			# gp, (r26)
23BDD450     0908		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
A41D8010     090C		ldq	r0, (gp)									    # 000404
20000050     0910		lda	r0, 80(r0)
B3FE0030     0914		stl	r31, var$0011				# r31, 48(sp)
A67D8018     0918		ldq	r19, 8(gp)
B7FE0070     091C		stq	r31, 112(sp)
B41E0078     0920		stq	r0, 120(sp)
221E0030     0924		lda	r16, var$0011				# r16, 48(sp)
223FFFFF     0928		mov	-1, r17
265F0385     092C		ldah	r18, 901(r31)
2252FF00     0930		lda	r18, -256(r18)
229E0070     0934		lda	r20, 112(sp)
A77D8048     0938		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     093C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0940		ldah	gp, $mbufr$close_mbufr_			# gp, (r26)
23BDD450     0944		lda	gp, $mbufr$close_mbufr_			# gp, (gp)
A75E0000     0948		ldq	r26, (sp)									    # 000407
23DE0080     094C		lda	sp, 128(sp)
6BFA8001     0950		ret	(r26)
				.end 	$mbufr$close_mbufr_

Routine Size: 360 bytes,    Routine Base: $CODE$ + 07EC

				.globl  $mbufr$put_octets_
				.ent 	$mbufr$put_octets_
				.eflag 16
	     0954	$mbufr$put_octets_:										    # 000491
27BB0001     0954		ldah	gp, $mbufr$put_octets_			# gp, (r27)
23BDD450     0958		lda	gp, $mbufr$put_octets_			# gp, (gp)
	     095C	L$33:
23DEFCF0     095C		lda	sp, -784(sp)
B75E0000     0960		stq	r26, (sp)
B53E0008     0964		stq	r9, 8(sp)
B55E0010     0968		stq	r10, 16(sp)
B57E0018     096C		stq	r11, 24(sp)
B59E0020     0970		stq	r12, 32(sp)
B5BE0028     0974		stq	r13, 40(sp)
B5DE0030     0978		stq	r14, 48(sp)
B5FE0038     097C		stq	r15, 56(sp)
47FE040F     0980		mov	sp, r15
				.mask 0x0400FE00,-784
				.fmask 0x00000000,0
				.frame  $fp, 784, $26
				.prologue 1
B7CF00F8     0984		stq	sp, 248(r15)
47F0040C     0988		mov	r16, r12
47F1040B     098C		mov	r17, r11

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 55
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

B64F0058     0990		stq	r18, 88(r15)
B66F0050     0994		stq	r19, 80(r15)
B68F0048     0998		stq	r20, 72(r15)
B6AF0040     099C		stq	r21, 64(r15)
A40F0058     09A0		ldq	r0, 88(r15)									    # 000407
A0000000     09A4		ldl	r0, (r0)
A61D8080     09A8		ldq	r16, var$0020				# r16, 112(gp)
B010005C     09AC		stl	r0, var$0020				# r0, 92(r16)
E5800008     09B0		beq	r12, lab$0008									    # 000491
A62C0038     09B4		ldq	r17, 56(r12)
A64C0030     09B8		ldq	r18, 48(r12)
42510532     09BC		subq	r18, r17, r18
42403412     09C0		addq	r18, 1, r18
B64C0030     09C4		stq	r18, 48(r12)
47E03414     09C8		mov	1, r20
B68C0038     09CC		stq	r20, 56(r12)
B62F00B0     09D0		stq	r17, var$0013				# r17, 176(r15)
	     09D4	lab$0008:
E5600008     09D4		beq	r11, lab$0010
A40B0038     09D8		ldq	r0, 56(r11)
A60B0030     09DC		ldq	r16, 48(r11)
42000530     09E0		subq	r16, r0, r16
42003410     09E4		addq	r16, 1, r16
B60B0030     09E8		stq	r16, 48(r11)
47E03413     09EC		mov	1, r19
B66B0038     09F0		stq	r19, 56(r11)
B40F00A8     09F4		stq	r0, var$0015				# r0, 168(r15)
	     09F8	lab$0010:
A6AF0050     09F8		ldq	r21, 80(r15)
E6A0000C     09FC		beq	r21, lab$0012
A62F0050     0A00		ldq	r17, 80(r15)
A6310038     0A04		ldq	r17, 56(r17)
A60F0050     0A08		ldq	r16, 80(r15)
A6100030     0A0C		ldq	r16, 48(r16)
42110530     0A10		subq	r16, r17, r16
42003410     0A14		addq	r16, 1, r16
A64F0050     0A18		ldq	r18, 80(r15)
B6120030     0A1C		stq	r16, 48(r18)
47E03413     0A20		mov	1, r19
A68F0050     0A24		ldq	r20, 80(r15)
B6740038     0A28		stq	r19, 56(r20)
B62F00A0     0A2C		stq	r17, var$0017				# r17, 160(r15)
	     0A30	lab$0012:
A41D8080     0A30		ldq	r0, var$0020				# r0, 112(gp)				    # 000504
A000005C     0A34		ldl	r0, var$0020				# r0, 92(r0)
4C015400     0A38		mulq	r0, 10, r0
B40F0098     0A3C		stq	r0, var$0019				# r0, 152(r15)				    # 000491
A61D8080     0A40		ldq	r16, var$0020				# r16, 112(gp)				    # 000504
A210005C     0A44		ldl	r16, var$0020				# r16, 92(r16)
4E015410     0A48		mulq	r16, 10, r16
46001C90     0A4C		cmovle	r16, 0, r16									    # 000491
4E041410     0A50		mulq	r16, 32, r16
43D00529     0A54		subq	sp, r16, r9
4521F109     0A58		bic	r9, 15, r9
231EF000     0A5C		lda	r24, -4096(sp)
A7890000     0A60		ldq	r28, (r9)
430907BC     0A64		cmpule	r24, r9, r28

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 56
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

F7800004     0A68		bne	r28, L$35
	     0A6C	L$34:
A7980000     0A6C		ldq	r28, (r24)
2318E020     0A70		lda	r24, -8160(r24)
430907BC     0A74		cmpule	r24, r9, r28
E79FFFFC     0A78		beq	r28, L$34
	     0A7C	L$35:
47E9041E     0A7C		mov	r9, sp
B7CF00F8     0A80		stq	sp, 248(r15)
A65D8080     0A84		ldq	r18, K					# r18, 112(gp)				    # 000513
B3F20058     0A88		stl	r31, K					# r31, 88(r18)
47E03413     0A8C		mov	1, r19										    # 000514
A69D8080     0A90		ldq	r20, J					# r20, 112(gp)
B2740054     0A94		stl	r19, J					# r19, 84(r20)
A6BD8080     0A98		ldq	r21, J					# r21, 112(gp)				    # 000515
A2B50054     0A9C		ldl	r21, J					# r21, 84(r21)
47E03411     0AA0		mov	1, var$0059				# 1, r17
47E03400     0AA4		mov	1, var$0058				# 1, r0
C3E00007     0AA8		br	lab$0127
	     0AAC	L$178:
4EA41418     0AAC		mulq	r21, 32, r24
4E209412     0AB0		mulq	var$0059, 4, r18			# r17, 4, r18
42580412     0AB4		addq	r18, r24, r18
41320412     0AB8		addq	r9, r18, r18
B3F2FFDC     0ABC		stl	r31, -36(r18)
42203411     0AC0		addq	var$0059, 1, var$0059			# r17, 1, r17
40003400     0AC4		addq	var$0058, 1, var$0058			# r0, 1, r0
	     0AC8	lab$0127:
40011DB0     0AC8		cmple	var$0058, 8, r16			# r0, 8, r16
F61FFFF7     0ACC		bne	r16, L$178
A66F0058     0AD0		ldq	r19, 88(r15)									    # 000516
A2730000     0AD4		ldl	r19, (r19)
B66F0090     0AD8		stq	r19, var$0060				# r19, 144(r15)
47E03414     0ADC		mov	1, r20
A61D8080     0AE0		ldq	r16, N					# r16, 112(gp)
B290004C     0AE4		stl	r20, N					# r20, 76(r16)
EE600207     0AE8		ble	r19, lab$0134
	     0AEC	lab$0132:
A70B0010     0AEC		ldq	r24, 16(r11)									    # 000520
A64B0028     0AF0		ldq	r18, 40(r11)
A41D8080     0AF4		ldq	r0, N					# r0, 112(gp)
A000004C     0AF8		ldl	r0, N					# r0, 76(r0)
A62B0028     0AFC		ldq	r17, 40(r11)
4C120400     0B00		mulq	r0, r18, r0
43110531     0B04		subq	r24, r17, r17
42200400     0B08		addq	r17, r0, r0
A0000000     0B0C		ldl	r0, (r0)
40081DA0     0B10		cmple	r0, 64, r0
E40000B6     0B14		beq	r0, lab$0138
A6BD8080     0B18		ldq	r21, VALMAX				# r21, 112(gp)				    # 000531
B3F50048     0B1C		stl	r31, VALMAX				# r31, 72(r21)
A60B0010     0B20		ldq	r16, 16(r11)									    # 000532
A68B0028     0B24		ldq	r20, 40(r11)
A67D8080     0B28		ldq	r19, N					# r19, 112(gp)
A273004C     0B2C		ldl	r19, N					# r19, 76(r19)
A64B0028     0B30		ldq	r18, 40(r11)
4E740413     0B34		mulq	r19, r20, r19

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 57
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

42120530     0B38		subq	r16, r18, r16
42130410     0B3C		addq	r16, r19, r16
A2100000     0B40		ldl	r16, (r16)
47F0040A     0B44		mov	r16, var$0066				# r16, r10
47E03418     0B48		mov	1, r24
A63D8080     0B4C		ldq	r17, I					# r17, 112(gp)
B3110050     0B50		stl	r24, I					# r24, 80(r17)
EE000019     0B54		ble	r16, lab$0156
	     0B58	lab$0154:
A41D8080     0B58		ldq	r0, VALMAX				# r0, 112(gp)				    # 000533
A0000048     0B5C		ldl	r0, VALMAX				# r0, 72(r0)
A6BD8080     0B60		ldq	r21, I					# r21, 112(gp)
A2B50050     0B64		ldl	r21, I					# r21, 80(r21)
42A03135     0B68		subl	r21, 1, r21
47E03414     0B6C		mov	1, r20
EAA00004     0B70		blt	r21, L$42
42A819B2     0B74		cmplt	r21, 64, r18
4A950734     0B78		sll	r20, r21, r20
465F0494     0B7C		cmoveq	r18, r31, r20
C3E00004     0B80		br	L$43
	     0B84	L$42:
43F5053C     0B84		negq	r21, r28
438819B2     0B88		cmplt	r28, 64, r18
4647F49C     0B8C		cmoveq	r18, 63, r28
4A9C0794     0B90		sra	r20, r28, r20
	     0B94	L$43:
40140000     0B94		addl	r0, r20, r0
A67D8080     0B98		ldq	r19, VALMAX				# r19, 112(gp)
B0130048     0B9C		stl	r0, VALMAX				# r0, 72(r19)
A63D8080     0BA0		ldq	r17, I					# r17, 112(gp)				    # 000532
A2310050     0BA4		ldl	r17, I					# r17, 80(r17)
42203011     0BA8		addl	r17, 1, r17
A71D8080     0BAC		ldq	r24, I					# r24, 112(gp)
B2380050     0BB0		stl	r17, I					# r17, 80(r24)
4140352A     0BB4		subq	var$0066, 1, var$0066			# r10, 1, r10
FD5FFFE7     0BB8		bgt	var$0066, lab$0154			# r10, lab$0154
	     0BBC	lab$0156:
A60C0010     0BBC		ldq	r16, 16(r12)									    # 000536
A6AC0028     0BC0		ldq	r21, 40(r12)
A65D8080     0BC4		ldq	r18, N					# r18, 112(gp)
A252004C     0BC8		ldl	r18, N					# r18, 76(r18)
A68C0028     0BCC		ldq	r20, 40(r12)
4E550412     0BD0		mulq	r18, r21, r18
42140530     0BD4		subq	r16, r20, r16
42120410     0BD8		addq	r16, r18, r16
A2100000     0BDC		ldl	r16, (r16)
420019B0     0BE0		cmplt	r16, 0, r16
A40C0010     0BE4		ldq	r0, 16(r12)
A66C0028     0BE8		ldq	r19, 40(r12)
A63D8080     0BEC		ldq	r17, N					# r17, 112(gp)
A231004C     0BF0		ldl	r17, N					# r17, 76(r17)
A70C0028     0BF4		ldq	r24, 40(r12)
4E330411     0BF8		mulq	r17, r19, r17
40180520     0BFC		subq	r0, r24, r0
40110400     0C00		addq	r0, r17, r0
A0000000     0C04		ldl	r0, (r0)
A6BD8080     0C08		ldq	r21, VALMAX				# r21, 112(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 58
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

A2B50048     0C0C		ldl	r21, VALMAX				# r21, 72(r21)
42A009A0     0C10		cmplt	r21, r0, r0
46000400     0C14		bis	r16, r0, r0
E4000014     0C18		beq	r0, lab$0159
A61D80C0     0C1C		ldq	r16, $mbufr$subname_			# r16, 176(gp)				    # 000539
47FFF411     0C20		mov	255, r17
A65D8098     0C24		ldq	r18, 136(gp)
22520008     0C28		lda	r18, 8(r18)
47E11413     0C2C		mov	8, r19
47E41414     0C30		mov	32, r20
A77D80B8     0C34		ldq	r27, _OtsStringCompareEqlPadded		# r27, 168(gp)
6B5B4000     0C38		jsr	r26, _OtsStringCompareEqlPadded		# r26, (r27)
E400011E     0C3C		beq	r0, lab$0163
A70C0010     0C40		ldq	r24, 16(r12)									    # 000540
A60C0028     0C44		ldq	r16, 40(r12)
A63D8080     0C48		ldq	r17, N					# r17, 112(gp)
A231004C     0C4C		ldl	r17, N					# r17, 76(r17)
A64C0028     0C50		ldq	r18, 40(r12)
4E300410     0C54		mulq	r17, r16, r16
43120532     0C58		subq	r24, r18, r18
42500410     0C5C		addq	r18, r16, r16
A67D8080     0C60		ldq	r19, VALMAX				# r19, 112(gp)
A2730048     0C64		ldl	r19, VALMAX				# r19, 72(r19)
B2700000     0C68		stl	r19, (r16)
	     0C6C	lab$0159:											    # 000536
A68B0010     0C6C		ldq	r20, 16(r11)									    # 000552
A6AB0028     0C70		ldq	r21, 40(r11)
A6DD8080     0C74		ldq	r22, N					# r22, 112(gp)
A2D6004C     0C78		ldl	r22, N					# r22, 76(r22)
A74B0028     0C7C		ldq	r26, 40(r11)
4ED50415     0C80		mulq	r22, r21, r21
429A0534     0C84		subq	r20, r26, r20
42950414     0C88		addq	r20, r21, r20
A2940000     0C8C		ldl	r20, (r20)
47F4040E     0C90		mov	r20, var$0070				# r20, r14
47E0341B     0C94		mov	1, r27
A41D8080     0C98		ldq	r0, I					# r0, 112(gp)
B3600050     0C9C		stl	r27, I					# r27, 80(r0)
EE800048     0CA0		ble	r20, lab$0178
	     0CA4	lab$0176:
A63D8080     0CA4		ldq	r17, K					# r17, 112(gp)				    # 000553
A2310058     0CA8		ldl	r17, K					# r17, 88(r17)
42203011     0CAC		addl	r17, 1, r17
A71D8080     0CB0		ldq	r24, K					# r24, 112(gp)
B2380058     0CB4		stl	r17, K					# r17, 88(r24)
A65D8080     0CB8		ldq	r18, K					# r18, 112(gp)				    # 000554
A2520058     0CBC		ldl	r18, K					# r18, 88(r18)
42411DB2     0CC0		cmple	r18, 8, r18
F6400016     0CC4		bne	r18, lab$0181
A61D8080     0CC8		ldq	r16, J					# r16, 112(gp)				    # 000555
A2100054     0CCC		ldl	r16, J					# r16, 84(r16)
42003010     0CD0		addl	r16, 1, r16
A67D8080     0CD4		ldq	r19, J					# r19, 112(gp)
B2130054     0CD8		stl	r16, J					# r16, 84(r19)
47E03416     0CDC		mov	1, r22
A75D8080     0CE0		ldq	r26, K					# r26, 112(gp)
B2DA0058     0CE4		stl	r22, K					# r22, 88(r26)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 59
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

A77D8080     0CE8		ldq	r27, J					# r27, 112(gp)				    # 000556
A37B0054     0CEC		ldl	r27, J					# r27, 84(r27)
47E03415     0CF0		mov	1, var$0072				# 1, r21
47E03400     0CF4		mov	1, var$0071				# 1, r0
C3E00007     0CF8		br	lab$0184
	     0CFC	L$179:
4F641411     0CFC		mulq	r27, 32, r17
4EA09418     0D00		mulq	var$0072, 4, r24			# r21, 4, r24
43110411     0D04		addq	r24, r17, r17
41310411     0D08		addq	r9, r17, r17
B3F1FFDC     0D0C		stl	r31, -36(r17)
42A03415     0D10		addq	var$0072, 1, var$0072			# r21, 1, r21
40003400     0D14		addq	var$0071, 1, var$0071			# r0, 1, r0
	     0D18	lab$0184:
40011DB4     0D18		cmple	var$0071, 8, r20			# r0, 8, r20
F69FFFF7     0D1C		bne	r20, L$179
	     0D20	lab$0181:											    # 000554
A65D8080     0D20		ldq	r18, K					# r18, 112(gp)				    # 000558
A2520058     0D24		ldl	r18, K					# r18, 88(r18)
47E13410     0D28		mov	9, r16
42120130     0D2C		subl	r16, r18, r16
A67D8080     0D30		ldq	r19, J					# r19, 112(gp)
A2730054     0D34		ldl	r19, J					# r19, 84(r19)
4E641413     0D38		mulq	r19, 32, r19
4E009410     0D3C		mulq	r16, 4, r16
42130410     0D40		addq	r16, r19, r16
41300410     0D44		addq	r9, r16, r16
A6CC0010     0D48		ldq	r22, 16(r12)
A74C0028     0D4C		ldq	r26, 40(r12)
A69D8080     0D50		ldq	r20, N					# r20, 112(gp)
A294004C     0D54		ldl	r20, N					# r20, 76(r20)
A70C0028     0D58		ldq	r24, 40(r12)
4E9A0414     0D5C		mulq	r20, r26, r20
42D80536     0D60		subq	r22, r24, r22
42D40414     0D64		addq	r22, r20, r20
A2940000     0D68		ldl	r20, (r20)
A62B0010     0D6C		ldq	r17, 16(r11)
A40B0028     0D70		ldq	r0, 40(r11)
A6BD8080     0D74		ldq	r21, N					# r21, 112(gp)
A2B5004C     0D78		ldl	r21, N					# r21, 76(r21)
A76B0028     0D7C		ldq	r27, 40(r11)
4EA00400     0D80		mulq	r21, r0, r0
423B0531     0D84		subq	r17, r27, r17
42200400     0D88		addq	r17, r0, r0
A0000000     0D8C		ldl	r0, (r0)
A65D8080     0D90		ldq	r18, I					# r18, 112(gp)
A2520050     0D94		ldl	r18, I					# r18, 80(r18)
40120120     0D98		subl	r0, r18, r0
4A800680     0D9C		srl	r20, r0, r0
44003000     0DA0		and	r0, 1, r0
B010FFDC     0DA4		stl	r0, -36(r16)
A67D8080     0DA8		ldq	r19, I					# r19, 112(gp)				    # 000552
A2730050     0DAC		ldl	r19, I					# r19, 80(r19)
42603013     0DB0		addl	r19, 1, r19
A75D8080     0DB4		ldq	r26, I					# r26, 112(gp)
B27A0050     0DB8		stl	r19, I					# r19, 80(r26)
41C0352E     0DBC		subq	var$0070, 1, var$0070			# r14, 1, r14

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 60
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

FDDFFFB8     0DC0		bgt	var$0070, lab$0176			# r14, lab$0176
	     0DC4	lab$0178:
A71D8080     0DC4		ldq	r24, N					# r24, 112(gp)				    # 000516
A318004C     0DC8		ldl	r24, N					# r24, 76(r24)
43003018     0DCC		addl	r24, 1, r24
A6DD8080     0DD0		ldq	r22, N					# r22, 112(gp)
B316004C     0DD4		stl	r24, N					# r24, 76(r22)
A6AF0090     0DD8		ldq	r21, var$0060				# r21, 144(r15)
42A03535     0DDC		subq	r21, 1, r21
B6AF0090     0DE0		stq	r21, var$0060				# r21, 144(r15)
A76F0090     0DE4		ldq	r27, var$0060				# r27, 144(r15)
FF7FFF40     0DE8		bgt	r27, lab$0132
C3E00146     0DEC		br	lab$0134
	     0DF0	lab$0138:											    # 000521
220F0210     0DF0		lda	r16, 528(r15)
A65D80C0     0DF4		ldq	r18, $mbufr$subname_			# r18, 176(gp)
47FFF411     0DF8		mov	255, r17
A77D8040     0DFC		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0E00		jsr	r26, _OtsMove				# r26, (r27)
220F0110     0E04		lda	r16, var$0063				# r16, 272(r15)
47FFF411     0E08		mov	255, r17
224F0210     0E0C		lda	r18, 528(r15)
47FFF413     0E10		mov	255, r19
A77D8028     0E14		ldq	r27, for_trim				# r27, 24(gp)
6B5B4000     0E18		jsr	r26, for_trim				# r26, (r27)
27BA0001     0E1C		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     0E20		lda	gp, $mbufr$put_octets_			# gp, (gp)
47E0F413     0E24		mov	7, r19
42600401     0E28		addq	r19, r0, r1
43C10522     0E2C		subq	sp, r1, r2
4441F102     0E30		bic	r2, 15, r2
231EF000     0E34		lda	r24, -4096(sp)
A7820000     0E38		ldq	r28, (r2)
430207BC     0E3C		cmpule	r24, r2, r28
F7800004     0E40		bne	r28, L$58
	     0E44	L$57:
A7980000     0E44		ldq	r28, (r24)
2318E020     0E48		lda	r24, -8160(r24)
430207BC     0E4C		cmpule	r24, r2, r28
E79FFFFC     0E50		beq	r28, L$57
	     0E54	L$58:
47E2041E     0E54		mov	r2, sp
22020000     0E58		lda	r16, (r2)
47E10411     0E5C		mov	r1, r17
A65D8010     0E60		ldq	r18, (gp)
22520100     0E64		lda	r18, 256(r18)
A77D8038     0E68		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0E6C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
224F0110     0E70		lda	r18, var$0063				# r18, 272(r15)
47E00413     0E74		mov	r0, r19
A77D8038     0E78		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0E7C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E17403     0E80		mov	11, r3
40230404     0E84		addq	r1, r3, r4
43C40525     0E88		subq	sp, r4, r5
44A1F105     0E8C		bic	r5, 15, r5
231EF000     0E90		lda	r24, -4096(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 61
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

A7850000     0E94		ldq	r28, (r5)
430507BC     0E98		cmpule	r24, r5, r28
F7800004     0E9C		bne	r28, L$62
	     0EA0	L$61:
A7980000     0EA0		ldq	r28, (r24)
2318E020     0EA4		lda	r24, -8160(r24)
430507BC     0EA8		cmpule	r24, r5, r28
E79FFFFC     0EAC		beq	r28, L$61
	     0EB0	L$62:
47E5041E     0EB0		mov	r5, sp
22050000     0EB4		lda	r16, (r5)
47E40411     0EB8		mov	r4, r17
22420000     0EBC		lda	r18, (r2)
47E10413     0EC0		mov	r1, r19
A77D8038     0EC4		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0EC8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8010     0ECC		ldq	r18, (gp)
225200F0     0ED0		lda	r18, 240(r18)
47E30413     0ED4		mov	r3, r19
A77D8038     0ED8		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0EDC		jsr	r26, _OtsMoveMinimum			# r26, (r27)
B3EF00B8     0EE0		stl	r31, var$0012				# r31, 184(r15)
A4FD8018     0EE4		ldq	r7, 8(gp)
43C40528     0EE8		subq	sp, r4, r8
4501F108     0EEC		bic	r8, 15, r8
231EF000     0EF0		lda	r24, -4096(sp)
A7880000     0EF4		ldq	r28, (r8)
430807BC     0EF8		cmpule	r24, r8, r28
F7800004     0EFC		bne	r28, L$66
	     0F00	L$65:
A7980000     0F00		ldq	r28, (r24)
2318E020     0F04		lda	r24, -8160(r24)
430807BC     0F08		cmpule	r24, r8, r28
E79FFFFC     0F0C		beq	r28, L$65
	     0F10	L$66:
47E8041E     0F10		mov	r8, sp
22080000     0F14		lda	r16, (r8)
47E40411     0F18		mov	r4, r17
22450000     0F1C		lda	r18, (r5)
A77D8040     0F20		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0F24		jsr	r26, _OtsMove				# r26, (r27)
47E40416     0F28		mov	r4, r22
43D60520     0F2C		subq	sp, r22, r0
4401F100     0F30		bic	r0, 15, r0
231EF000     0F34		lda	r24, -4096(sp)
A7800000     0F38		ldq	r28, (r0)
430007BC     0F3C		cmpule	r24, r0, r28
F7800004     0F40		bne	r28, L$70
	     0F44	L$69:
A7980000     0F44		ldq	r28, (r24)
2318E020     0F48		lda	r24, -8160(r24)
430007BC     0F4C		cmpule	r24, r0, r28
E79FFFFC     0F50		beq	r28, L$69
	     0F54	L$70:
47E0041E     0F54		mov	r0, sp
22000000     0F58		lda	r16, (r0)
47F60411     0F5C		mov	r22, r17

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 62
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

22480000     0F60		lda	r18, (r8)
47E40413     0F64		mov	r4, r19
A77D8038     0F68		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0F6C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0F70		mov	32, r18
A77D8030     0F74		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     0F78		jsr	r26, _OtsFill				# r26, (r27)
22E00000     0F7C		lda	r23, (r0)
B6EF0108     0F80		stq	r23, 264(r15)
B6CF0100     0F84		stq	r22, 256(r15)
220F00B8     0F88		lda	r16, var$0012				# r16, 184(r15)
223FFFFF     0F8C		mov	-1, r17
265F0385     0F90		ldah	r18, 901(r31)
2252FF00     0F94		lda	r18, -256(r18)
47E70413     0F98		mov	r7, r19
228F0100     0F9C		lda	r20, 256(r15)
A77D8048     0FA0		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     0FA4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0FA8		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     0FAC		lda	gp, $mbufr$put_octets_			# gp, (gp)
A7CF00F8     0FB0		ldq	sp, 248(r15)									    # 000522
A41D8010     0FB4		ldq	r0, (gp)
200000B8     0FB8		lda	r0, 184(r0)
B3EF00B8     0FBC		stl	r31, var$0012				# r31, 184(r15)
A67D8018     0FC0		ldq	r19, 8(gp)
22730008     0FC4		lda	r19, 8(r19)
47E6D402     0FC8		mov	54, r2
B44F0100     0FCC		stq	r2, 256(r15)
B40F0108     0FD0		stq	r0, 264(r15)
220F00B8     0FD4		lda	r16, var$0012				# r16, 184(r15)
223FFFFF     0FD8		mov	-1, r17
265F0385     0FDC		ldah	r18, 901(r31)
2252FF00     0FE0		lda	r18, -256(r18)
228F0100     0FE4		lda	r20, 256(r15)
A77D8048     0FE8		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     0FEC		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     0FF0		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     0FF4		lda	gp, $mbufr$put_octets_			# gp, (gp)
A63D8018     0FF8		ldq	r17, 8(gp)
22310028     0FFC		lda	r17, 40(r17)
A41D8080     1000		ldq	r0, N					# r0, 112(gp)
2000004C     1004		lda	r0, N					# r0, 76(r0)
B40F0100     1008		stq	r0, 256(r15)
220F00B8     100C		lda	r16, var$0012				# r16, 184(r15)
224F0100     1010		lda	r18, 256(r15)
A77D8020     1014		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     1018		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     101C		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     1020		lda	gp, $mbufr$put_octets_			# gp, (gp)
A41D8010     1024		ldq	r0, (gp)									    # 000523
200000A8     1028		lda	r0, 168(r0)
B3EF00B8     102C		stl	r31, var$0012				# r31, 184(r15)
A67D8018     1030		ldq	r19, 8(gp)
22730008     1034		lda	r19, 8(r19)
47E1F402     1038		mov	15, r2
B44F0100     103C		stq	r2, 256(r15)
B40F0108     1040		stq	r0, 264(r15)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 63
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

220F00B8     1044		lda	r16, var$0012				# r16, 184(r15)
223FFFFF     1048		mov	-1, r17
265F0385     104C		ldah	r18, 901(r31)
2252FF00     1050		lda	r18, -256(r18)
228F0100     1054		lda	r20, 256(r15)
A77D8048     1058		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     105C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1060		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     1064		lda	gp, $mbufr$put_octets_			# gp, (gp)
A40B0010     1068		ldq	r0, 16(r11)
A42B0028     106C		ldq	r1, 40(r11)
A45D8080     1070		ldq	r2, N					# r2, 112(gp)
A042004C     1074		ldl	r2, N					# r2, 76(r2)
A46B0028     1078		ldq	r3, 40(r11)
4C410401     107C		mulq	r2, r1, r1
40030520     1080		subq	r0, r3, r0
40010400     1084		addq	r0, r1, r0
A63D8018     1088		ldq	r17, 8(gp)
22310020     108C		lda	r17, 32(r17)
47E09404     1090		mov	4, r4
B48F0100     1094		stq	r4, 256(r15)
B40F0108     1098		stq	r0, 264(r15)
220F00B8     109C		lda	r16, var$0012				# r16, 184(r15)
224F0100     10A0		lda	r18, 256(r15)
A77D8020     10A4		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     10A8		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     10AC		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     10B0		lda	gp, $mbufr$put_octets_			# gp, (gp)
C3E00120     10B4		br	lab$0149
	     10B8	lab$0163:											    # 000544
220F0210     10B8		lda	r16, 528(r15)
A65D80C0     10BC		ldq	r18, $mbufr$subname_			# r18, 176(gp)
47FFF411     10C0		mov	255, r17
A77D8040     10C4		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     10C8		jsr	r26, _OtsMove				# r26, (r27)
220F0110     10CC		lda	r16, var$0068				# r16, 272(r15)
47FFF411     10D0		mov	255, r17
224F0210     10D4		lda	r18, 528(r15)
47FFF413     10D8		mov	255, r19
A77D8028     10DC		ldq	r27, for_trim				# r27, 24(gp)
6B5B4000     10E0		jsr	r26, for_trim				# r26, (r27)
27BA0001     10E4		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     10E8		lda	gp, $mbufr$put_octets_			# gp, (gp)
47E11413     10EC		mov	8, r19
42600401     10F0		addq	r19, r0, r1
43C10522     10F4		subq	sp, r1, r2
4441F102     10F8		bic	r2, 15, r2
231EF000     10FC		lda	r24, -4096(sp)
A7820000     1100		ldq	r28, (r2)
430207BC     1104		cmpule	r24, r2, r28
F7800004     1108		bne	r28, L$76
	     110C	L$75:
A7980000     110C		ldq	r28, (r24)
2318E020     1110		lda	r24, -8160(r24)
430207BC     1114		cmpule	r24, r2, r28
E79FFFFC     1118		beq	r28, L$75
	     111C	L$76:

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 64
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

47E2041E     111C		mov	r2, sp
22020000     1120		lda	r16, (r2)
47E10411     1124		mov	r1, r17
A65D8098     1128		ldq	r18, 136(gp)
A77D8038     112C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1130		jsr	r26, _OtsMoveMinimum			# r26, (r27)
224F0110     1134		lda	r18, var$0068				# r18, 272(r15)
47E00413     1138		mov	r0, r19
A77D8038     113C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1140		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E1B403     1144		mov	13, r3
40230404     1148		addq	r1, r3, r4
43C40525     114C		subq	sp, r4, r5
44A1F105     1150		bic	r5, 15, r5
231EF000     1154		lda	r24, -4096(sp)
A7850000     1158		ldq	r28, (r5)
430507BC     115C		cmpule	r24, r5, r28
F7800004     1160		bne	r28, L$80
	     1164	L$79:
A7980000     1164		ldq	r28, (r24)
2318E020     1168		lda	r24, -8160(r24)
430507BC     116C		cmpule	r24, r5, r28
E79FFFFC     1170		beq	r28, L$79
	     1174	L$80:
47E5041E     1174		mov	r5, sp
22050000     1178		lda	r16, (r5)
47E40411     117C		mov	r4, r17
22420000     1180		lda	r18, (r2)
47E10413     1184		mov	r1, r19
A77D8038     1188		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     118C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8010     1190		ldq	r18, (gp)
22520098     1194		lda	r18, 152(r18)
47E30413     1198		mov	r3, r19
A77D8038     119C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     11A0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
B3EF00B8     11A4		stl	r31, var$0012				# r31, 184(r15)
A4FD8018     11A8		ldq	r7, 8(gp)
43C40528     11AC		subq	sp, r4, r8
4501F108     11B0		bic	r8, 15, r8
231EF000     11B4		lda	r24, -4096(sp)
A7880000     11B8		ldq	r28, (r8)
430807BC     11BC		cmpule	r24, r8, r28
F7800004     11C0		bne	r28, L$84
	     11C4	L$83:
A7980000     11C4		ldq	r28, (r24)
2318E020     11C8		lda	r24, -8160(r24)
430807BC     11CC		cmpule	r24, r8, r28
E79FFFFC     11D0		beq	r28, L$83
	     11D4	L$84:
47E8041E     11D4		mov	r8, sp
22080000     11D8		lda	r16, (r8)
47E40411     11DC		mov	r4, r17
22450000     11E0		lda	r18, (r5)
A77D8040     11E4		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     11E8		jsr	r26, _OtsMove				# r26, (r27)
47E40416     11EC		mov	r4, r22

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 65
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

43D60520     11F0		subq	sp, r22, r0
4401F100     11F4		bic	r0, 15, r0
231EF000     11F8		lda	r24, -4096(sp)
A7800000     11FC		ldq	r28, (r0)
430007BC     1200		cmpule	r24, r0, r28
F7800004     1204		bne	r28, L$88
	     1208	L$87:
A7980000     1208		ldq	r28, (r24)
2318E020     120C		lda	r24, -8160(r24)
430007BC     1210		cmpule	r24, r0, r28
E79FFFFC     1214		beq	r28, L$87
	     1218	L$88:
47E0041E     1218		mov	r0, sp
22000000     121C		lda	r16, (r0)
47F60411     1220		mov	r22, r17
22480000     1224		lda	r18, (r8)
47E40413     1228		mov	r4, r19
A77D8038     122C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1230		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1234		mov	32, r18
A77D8030     1238		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     123C		jsr	r26, _OtsFill				# r26, (r27)
22E00000     1240		lda	r23, (r0)
B6EF0108     1244		stq	r23, 264(r15)
B6CF0100     1248		stq	r22, 256(r15)
220F00B8     124C		lda	r16, var$0012				# r16, 184(r15)
223FFFFF     1250		mov	-1, r17
265F0385     1254		ldah	r18, 901(r31)
2252FF00     1258		lda	r18, -256(r18)
47E70413     125C		mov	r7, r19
228F0100     1260		lda	r20, 256(r15)
A77D8048     1264		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1268		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     126C		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     1270		lda	gp, $mbufr$put_octets_			# gp, (gp)
A7CF00F8     1274		ldq	sp, 248(r15)									    # 000545
B3EF00B8     1278		stl	r31, var$0012				# r31, 184(r15)
A67D8018     127C		ldq	r19, 8(gp)
22730018     1280		lda	r19, 24(r19)
A43D8080     1284		ldq	r1, N					# r1, 112(gp)
2021004C     1288		lda	r1, N					# r1, 76(r1)
B42F00F8     128C		stq	r1, 248(r15)
220F00B8     1290		lda	r16, var$0012				# r16, 184(r15)
223FFFFF     1294		mov	-1, r17
265F0385     1298		ldah	r18, 901(r31)
2252FF00     129C		lda	r18, -256(r18)
228F00F8     12A0		lda	r20, 248(r15)
A6BD80B0     12A4		ldq	r21, var$0021				# r21, 160(gp)
A77D80A8     12A8		ldq	r27, for_write_seq_fmt			# r27, 152(gp)
6B5B4000     12AC		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     12B0		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     12B4		lda	gp, $mbufr$put_octets_			# gp, (gp)
A40C0010     12B8		ldq	r0, 16(r12)
A42C0028     12BC		ldq	r1, 40(r12)
A45D8080     12C0		ldq	r2, N					# r2, 112(gp)
A042004C     12C4		ldl	r2, N					# r2, 76(r2)
A46C0028     12C8		ldq	r3, 40(r12)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 66
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

4C410401     12CC		mulq	r2, r1, r1
40030520     12D0		subq	r0, r3, r0
40010400     12D4		addq	r0, r1, r0
A63D8018     12D8		ldq	r17, 8(gp)
22310020     12DC		lda	r17, 32(r17)
47E09404     12E0		mov	4, r4
B48F0100     12E4		stq	r4, 256(r15)
B40F0108     12E8		stq	r0, 264(r15)
220F00B8     12EC		lda	r16, var$0012				# r16, 184(r15)
224F0100     12F0		lda	r18, 256(r15)
A77D80A0     12F4		ldq	r27, for_write_seq_fmt_xmit		# r27, 144(gp)
6B5B4000     12F8		jsr	r26, for_write_seq_fmt_xmit		# r26, (r27)
27BA0001     12FC		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     1300		lda	gp, $mbufr$put_octets_			# gp, (gp)
C3E00093     1304		br	lab$0171
	     1308	lab$0134:											    # 000516
A41D8080     1308		ldq	r0, J					# r0, 112(gp)				    # 000563
A0000054     130C		ldl	r0, J					# r0, 84(r0)
A42F0048     1310		ldq	r1, 72(r15)
B0010000     1314		stl	r0, (r1)
A44F0048     1318		ldq	r2, 72(r15)									    # 000567
A0420000     131C		ldl	r2, (r2)
B44F0060     1320		stq	r2, var$0073				# r2, 96(r15)
47E03403     1324		mov	1, r3
A49D8080     1328		ldq	r4, J					# r4, 112(gp)
B0640054     132C		stl	r3, J					# r3, 84(r4)
EC400050     1330		ble	r2, lab$0191
	     1334	lab$0189:
A4BD8080     1334		ldq	r5, V					# r5, 112(gp)				    # 000568
B7E50040     1338		stq	r31, V					# r31, 64(r5)
47E1140D     133C		mov	8, var$0074				# 8, r13				    # 000569
47E03406     1340		mov	1, r6
A4FD8080     1344		ldq	r7, I					# r7, 112(gp)
B0C70050     1348		stl	r6, I					# r6, 80(r7)
	     134C	lab$0193:
A51D8080     134C		ldq	r8, I					# r8, 112(gp)				    # 000570
A1080050     1350		ldl	r8, I					# r8, 80(r8)
A61D8080     1354		ldq	r16, J					# r16, 112(gp)
A2100054     1358		ldl	r16, J					# r16, 84(r16)
4E041410     135C		mulq	r16, 32, r16
4D009408     1360		mulq	r8, 4, r8
41100408     1364		addq	r8, r16, r8
41280408     1368		addq	r9, r8, r8
A108FFDC     136C		ldl	r8, -36(r8)
A63D8080     1370		ldq	r17, I					# r17, 112(gp)
A2310050     1374		ldl	r17, I					# r17, 80(r17)
42203131     1378		subl	r17, 1, r17
47E03412     137C		mov	1, r18
EA200004     1380		blt	r17, L$94
422819B3     1384		cmplt	r17, 64, r19
4A510731     1388		sll	r18, r17, r17
467F0491     138C		cmoveq	r19, r31, r17
C3E00004     1390		br	L$95
	     1394	L$94:
43F1053C     1394		negq	r17, r28
438819B3     1398		cmplt	r28, 64, r19
4667F49C     139C		cmoveq	r19, 63, r28

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 67
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

4A5C0791     13A0		sra	r18, r28, r17
	     13A4	L$95:
4D110008     13A4		mull	r8, r17, r8
A69D8080     13A8		ldq	r20, V					# r20, 112(gp)
A6940040     13AC		ldq	r20, V					# r20, 64(r20)
41140408     13B0		addq	r8, r20, r8
A6BD8080     13B4		ldq	r21, V					# r21, 112(gp)
B5150040     13B8		stq	r8, V					# r8, 64(r21)
A6DD8080     13BC		ldq	r22, I					# r22, 112(gp)				    # 000569
A2D60050     13C0		ldl	r22, I					# r22, 80(r22)
42C03016     13C4		addl	r22, 1, r22
A6FD8080     13C8		ldq	r23, I					# r23, 112(gp)
B2D70050     13CC		stl	r22, I					# r22, 80(r23)
41A0352D     13D0		subq	var$0074, 1, var$0074			# r13, 1, r13
FDBFFFDD     13D4		bgt	var$0074, lab$0193			# r13, lab$0193
A71D8080     13D8		ldq	r24, V					# r24, 112(gp)				    # 000572
A7180040     13DC		ldq	r24, V					# r24, 64(r24)
471FF018     13E0		and	r24, 255, r24
471FF018     13E4		and	r24, 255, r24
B30F00F8     13E8		stl	r24, 248(r15)
A61D8080     13EC		ldq	r16, AUX				# r16, 112(gp)
22100038     13F0		lda	r16, AUX				# r16, 56(r16)
224F00F8     13F4		lda	r18, 248(r15)
47E03411     13F8		mov	1, r17
A77D8040     13FC		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1400		jsr	r26, _OtsMove				# r26, (r27)
A72F0050     1404		ldq	r25, 80(r15)									    # 000573
A7390010     1408		ldq	r25, 16(r25)
A40F0050     140C		ldq	r0, 80(r15)
A4000028     1410		ldq	r0, 40(r0)
A43D8080     1414		ldq	r1, J					# r1, 112(gp)
A0210054     1418		ldl	r1, J					# r1, 84(r1)
A46F0050     141C		ldq	r3, 80(r15)
A4630028     1420		ldq	r3, 40(r3)
4C200400     1424		mulq	r1, r0, r0
43230523     1428		subq	r25, r3, r3
40600400     142C		addq	r3, r0, r0
A49D8080     1430		ldq	r4, AUX					# r4, 112(gp)
A4840038     1434		ldq	r4, AUX					# r4, 56(r4)
2CA00000     1438		ldq_u	r5, (r0)
48800166     143C		insbl	r4, r0, r6
48A00045     1440		mskbl	r5, r0, r5
44A60405     1444		bis	r5, r6, r5
3CA00000     1448		stq_u	r5, (r0)
A4FD8080     144C		ldq	r7, J					# r7, 112(gp)				    # 000567
A0E70054     1450		ldl	r7, J					# r7, 84(r7)
40E03007     1454		addl	r7, 1, r7
A51D8080     1458		ldq	r8, J					# r8, 112(gp)
B0E80054     145C		stl	r7, J					# r7, 84(r8)
A6AF0060     1460		ldq	r21, var$0073				# r21, 96(r15)
42A03535     1464		subq	r21, 1, r21
B6AF0060     1468		stq	r21, var$0073				# r21, 96(r15)
A6CF0060     146C		ldq	r22, var$0073				# r22, 96(r15)
FEDFFFB0     1470		bgt	r22, lab$0189
	     1474	lab$0191:
A6FD8080     1474		ldq	r23, K					# r23, 112(gp)				    # 000581
A2F70058     1478		ldl	r23, K					# r23, 88(r23)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 68
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

47E11418     147C		mov	8, r24
43170137     1480		subl	r24, r23, r23
A60F0040     1484		ldq	r16, 64(r15)
B2F00000     1488		stl	r23, (r16)
A62F0050     148C		ldq	r17, 80(r15)									    # 000584
E620000C     1490		beq	r17, lab$0199
A64F0050     1494		ldq	r18, 80(r15)
A6520030     1498		ldq	r18, 48(r18)
A66F0050     149C		ldq	r19, 80(r15)
A6730038     14A0		ldq	r19, 56(r19)
42530532     14A4		subq	r18, r19, r18
A68F00A0     14A8		ldq	r20, var$0017				# r20, 160(r15)
42540412     14AC		addq	r18, r20, r18
A74F0050     14B0		ldq	r26, 80(r15)
B65A0030     14B4		stq	r18, 48(r26)
A76F00A0     14B8		ldq	r27, var$0017				# r27, 160(r15)
A42F0050     14BC		ldq	r1, 80(r15)
B7610038     14C0		stq	r27, 56(r1)
	     14C4	lab$0199:
E5600008     14C4		beq	r11, lab$0201
A72B0030     14C8		ldq	r25, 48(r11)
A46B0038     14CC		ldq	r3, 56(r11)
43230523     14D0		subq	r25, r3, r3
A40F00A8     14D4		ldq	r0, var$0015				# r0, 168(r15)
40600400     14D8		addq	r3, r0, r0
B40B0030     14DC		stq	r0, 48(r11)
A48F00A8     14E0		ldq	r4, var$0015				# r4, 168(r15)
B48B0038     14E4		stq	r4, 56(r11)
	     14E8	lab$0201:
E5800008     14E8		beq	r12, lab$0203
A4CC0030     14EC		ldq	r6, 48(r12)
A4EC0038     14F0		ldq	r7, 56(r12)
40C70526     14F4		subq	r6, r7, r6
A50F00B0     14F8		ldq	r8, var$0013				# r8, 176(r15)
40C80406     14FC		addq	r6, r8, r6
B4CC0030     1500		stq	r6, 48(r12)
A6CF00B0     1504		ldq	r22, var$0013				# r22, 176(r15)
B6CC0038     1508		stq	r22, 56(r12)
	     150C	lab$0203:
47EF041E     150C		mov	r15, sp
A74F0000     1510		ldq	r26, (r15)
A52F0008     1514		ldq	r9, 8(r15)
A54F0010     1518		ldq	r10, 16(r15)
A56F0018     151C		ldq	r11, 24(r15)
A58F0020     1520		ldq	r12, 32(r15)
A5AF0028     1524		ldq	r13, 40(r15)
A5CF0030     1528		ldq	r14, 48(r15)
A5FE0038     152C		ldq	r15, 56(sp)
23DE0310     1530		lda	sp, 784(sp)
6BFA8001     1534		ret	(r26)
	     1538	lab$0149:											    # 000523
A61D8010     1538		ldq	r16, (gp)									    # 000524
22100050     153C		lda	r16, 80(r16)
47FF0411     1540		clr	r17
A77D8088     1544		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     1548		jsr	r26, for_stop				# r26, (r27)
27BA0001     154C		ldah	gp, $mbufr$put_octets_			# gp, (r26)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 69
                                $mbufr$put_octets_              15-Sep-2004 10:10:47  mbufr.f90

23BDD450     1550		lda	gp, $mbufr$put_octets_			# gp, (gp)
	     1554	lab$0171:											    # 000545
A61D8010     1554		ldq	r16, (gp)									    # 000547
22100050     1558		lda	r16, 80(r16)
47FF0411     155C		clr	r17
A77D8088     1560		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     1564		jsr	r26, for_stop				# r26, (r27)
27BA0001     1568		ldah	gp, $mbufr$put_octets_			# gp, (r26)
23BDD450     156C		lda	gp, $mbufr$put_octets_			# gp, (gp)
				.end 	$mbufr$put_octets_

Routine Size: 3100 bytes,    Routine Base: $CODE$ + 0954

				.globl  $mbufr$savesec0_
				.ent 	$mbufr$savesec0_
				.eflag 16
	     1570	$mbufr$savesec0_:										    # 000642
27BB0001     1570		ldah	gp, $mbufr$savesec0_			# gp, (r27)
23BDD450     1574		lda	gp, $mbufr$savesec0_			# gp, (gp)
	     1578	L$28:
23DEFC60     1578		lda	sp, -928(sp)
B75E0000     157C		stq	r26, (sp)
B53E0008     1580		stq	r9, 8(sp)
B55E0010     1584		stq	r10, 16(sp)
				.mask 0x04000600,-928
				.fmask 0x00000000,0
				.frame  $sp, 928, $26
				.prologue 1
B61E0018     1588		stq	r16, 24(sp)
47F10409     158C		mov	r17, r9
A43E0018     1590		ldq	r1, 24(sp)									    # 000653
A0210000     1594		ldl	r1, (r1)
A41D8080     1598		ldq	r0, UNI					# r0, 112(gp)
B0200074     159C		stl	r1, UNI					# r1, 116(r0)
A61D80C0     15A0		ldq	r16, $mbufr$subname_			# r16, 176(gp)				    # 000655
A65D8098     15A4		ldq	r18, 136(gp)
22520010     15A8		lda	r18, 16(r18)
47E11411     15AC		mov	8, r17
A77D8040     15B0		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     15B4		jsr	r26, _OtsMove				# r26, (r27)
47FEF411     15B8		mov	247, r17
47E41412     15BC		mov	32, r18
A77D8030     15C0		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     15C4		jsr	r26, _OtsFill				# r26, (r27)
A0090000     15C8		ldl	r0, (r9)									    # 000659
243F003B     15CC		ldah	r1, 59(r31)
202155DF     15D0		lda	r1, 21983(r1)
40010DA0     15D4		cmple	r0, r1, r0
F4000072     15D8		bne	r0, lab$0208
221E0188     15DC		lda	r16, 392(sp)									    # 000661
A65D80C0     15E0		ldq	r18, $mbufr$subname_			# r18, 176(gp)
47FFF411     15E4		mov	255, r17
A77D8040     15E8		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     15EC		jsr	r26, _OtsMove				# r26, (r27)
B3FE0088     15F0		stl	r31, var$0022				# r31, 136(sp)
A41D8018     15F4		ldq	r0, 8(gp)
221E0288     15F8		lda	r16, 648(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 70
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

A65D8010     15FC		ldq	r18, (gp)
225201F0     1600		lda	r18, 496(r18)
47E1B411     1604		mov	13, r17
A77D8040     1608		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     160C		jsr	r26, _OtsMove				# r26, (r27)
225E0188     1610		lda	r18, 392(sp)
47FFF411     1614		mov	255, r17
A77D8040     1618		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     161C		jsr	r26, _OtsMove				# r26, (r27)
203E0288     1620		lda	r1, 648(sp)
B43E00D8     1624		stq	r1, 216(sp)
221F010C     1628		mov	268, r16
B61E00D0     162C		stq	r16, 208(sp)
221E0088     1630		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     1634		mov	-1, r17
265F0385     1638		ldah	r18, 901(r31)
2252FF00     163C		lda	r18, -256(r18)
47E00413     1640		mov	r0, r19
229E00D0     1644		lda	r20, 208(sp)
A77D8048     1648		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     164C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1650		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1654		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     1658		ldq	r0, (gp)									    # 000662
200001D0     165C		lda	r0, 464(r0)
B3FE0088     1660		stl	r31, var$0022				# r31, 136(sp)
A67D8018     1664		ldq	r19, 8(gp)
22730008     1668		lda	r19, 8(r19)
47E41402     166C		mov	32, r2
B45E00D0     1670		stq	r2, 208(sp)
B41E00D8     1674		stq	r0, 216(sp)
221E0088     1678		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     167C		mov	-1, r17
265F0385     1680		ldah	r18, 901(r31)
2252FF00     1684		lda	r18, -256(r18)
229E00D0     1688		lda	r20, 208(sp)
A77D8048     168C		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1690		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1694		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1698		lda	gp, $mbufr$savesec0_			# gp, (gp)
A63D8018     169C		ldq	r17, 8(gp)
22310028     16A0		lda	r17, 40(r17)
B53E00C8     16A4		stq	r9, 200(sp)
221E0088     16A8		lda	r16, var$0022				# r16, 136(sp)
225E00C8     16AC		lda	r18, 200(sp)
A77D8020     16B0		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     16B4		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     16B8		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     16BC		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     16C0		ldq	r0, (gp)									    # 000663
200001B8     16C4		lda	r0, 440(r0)
B3FE0088     16C8		stl	r31, var$0022				# r31, 136(sp)
A67D8018     16CC		ldq	r19, 8(gp)
22730008     16D0		lda	r19, 8(r19)
47E29402     16D4		mov	20, r2
B45E00D0     16D8		stq	r2, 208(sp)
B41E00D8     16DC		stq	r0, 216(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 71
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

221E0088     16E0		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     16E4		mov	-1, r17
265F0385     16E8		ldah	r18, 901(r31)
2252FF00     16EC		lda	r18, -256(r18)
229E00D0     16F0		lda	r20, 208(sp)
A77D8048     16F4		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     16F8		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     16FC		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1700		lda	gp, $mbufr$savesec0_			# gp, (gp)
A63D8018     1704		ldq	r17, 8(gp)
22310028     1708		lda	r17, 40(r17)
A41D8058     170C		ldq	r0, $mbufr$nmsg_			# r0, 72(gp)
20000000     1710		lda	r0, $mbufr$nmsg_			# r0, (r0)
B41E00C8     1714		stq	r0, 200(sp)
221E0088     1718		lda	r16, var$0022				# r16, 136(sp)
225E00C8     171C		lda	r18, 200(sp)
A77D8020     1720		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     1724		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1728		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     172C		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     1730		ldq	r0, (gp)									    # 000664
20000050     1734		lda	r0, 80(r0)
B3FE0088     1738		stl	r31, var$0022				# r31, 136(sp)
A67D8018     173C		ldq	r19, 8(gp)
B7FE00D0     1740		stq	r31, 208(sp)
B41E00D8     1744		stq	r0, 216(sp)
221E0088     1748		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     174C		mov	-1, r17
265F0385     1750		ldah	r18, 901(r31)
2252FF00     1754		lda	r18, -256(r18)
229E00D0     1758		lda	r20, 208(sp)
A77D8048     175C		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1760		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1764		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1768		lda	gp, $mbufr$savesec0_			# gp, (gp)
B3FE0088     176C		stl	r31, var$0022				# r31, 136(sp)				    # 000665
A43D8080     1770		ldq	r1, UNI					# r1, 112(gp)
A2210074     1774		ldl	r17, UNI				# r17, 116(r1)
A67D8018     1778		ldq	r19, 8(gp)
22730010     177C		lda	r19, 16(r19)
221E0088     1780		lda	r16, var$0022				# r16, 136(sp)
265F0385     1784		ldah	r18, 901(r31)
2252FF00     1788		lda	r18, -256(r18)
47FF0414     178C		clr	r20
A77D8090     1790		ldq	r27, for_close				# r27, 128(gp)
6B5B4000     1794		jsr	r26, for_close				# r26, (r27)
27BA0001     1798		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     179C		lda	gp, $mbufr$savesec0_			# gp, (gp)
C3E00177     17A0		br	lab$0223
	     17A4	lab$0208:											    # 000659
A0090000     17A4		ldl	r0, (r9)									    # 000669
2000D8EF     17A8		addq	r0, -10001, r0
E8000055     17AC		blt	r0, lab$0229
A43D8010     17B0		ldq	r1, (gp)									    # 000670
20210180     17B4		lda	r1, 384(r1)
B3FE0088     17B8		stl	r31, var$0022				# r31, 136(sp)
A67D8018     17BC		ldq	r19, 8(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 72
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

47E71403     17C0		mov	56, r3
B47E00D0     17C4		stq	r3, 208(sp)
B43E00D8     17C8		stq	r1, 216(sp)
221E0088     17CC		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     17D0		mov	-1, r17
265F0385     17D4		ldah	r18, 901(r31)
2252FF00     17D8		lda	r18, -256(r18)
229E00D0     17DC		lda	r20, 208(sp)
A77D8048     17E0		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     17E4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     17E8		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     17EC		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     17F0		ldq	r0, (gp)									    # 000671
20000170     17F4		lda	r0, 368(r0)
B3FE0088     17F8		stl	r31, var$0022				# r31, 136(sp)
A67D8018     17FC		ldq	r19, 8(gp)
22730008     1800		lda	r19, 8(r19)
47E17402     1804		mov	11, r2
B45E00D0     1808		stq	r2, 208(sp)
B41E00D8     180C		stq	r0, 216(sp)
221E0088     1810		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     1814		mov	-1, r17
265F0385     1818		ldah	r18, 901(r31)
2252FF00     181C		lda	r18, -256(r18)
229E00D0     1820		lda	r20, 208(sp)
A77D8048     1824		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1828		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     182C		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1830		lda	gp, $mbufr$savesec0_			# gp, (gp)
A63D8018     1834		ldq	r17, 8(gp)
22310028     1838		lda	r17, 40(r17)
A41D8058     183C		ldq	r0, $mbufr$nmsg_			# r0, 72(gp)
20000000     1840		lda	r0, $mbufr$nmsg_			# r0, (r0)
B41E00C8     1844		stq	r0, 200(sp)
221E0088     1848		lda	r16, var$0022				# r16, 136(sp)
225E00C8     184C		lda	r18, 200(sp)
A77D8020     1850		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     1854		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1858		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     185C		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     1860		ldq	r0, (gp)									    # 000672
20000160     1864		lda	r0, 352(r0)
B3FE0088     1868		stl	r31, var$0022				# r31, 136(sp)
A67D8018     186C		ldq	r19, 8(gp)
22730008     1870		lda	r19, 8(r19)
47E17402     1874		mov	11, r2
B45E00D0     1878		stq	r2, 208(sp)
B41E00D8     187C		stq	r0, 216(sp)
221E0088     1880		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     1884		mov	-1, r17
265F0385     1888		ldah	r18, 901(r31)
2252FF00     188C		lda	r18, -256(r18)
229E00D0     1890		lda	r20, 208(sp)
A77D8048     1894		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1898		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     189C		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     18A0		lda	gp, $mbufr$savesec0_			# gp, (gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 73
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

A63D8018     18A4		ldq	r17, 8(gp)
22310028     18A8		lda	r17, 40(r17)
B53E00C8     18AC		stq	r9, 200(sp)
221E0088     18B0		lda	r16, var$0022				# r16, 136(sp)
225E00C8     18B4		lda	r18, 200(sp)
A77D8020     18B8		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     18BC		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     18C0		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     18C4		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     18C8		ldq	r0, (gp)									    # 000673
20000050     18CC		lda	r0, 80(r0)
B3FE0088     18D0		stl	r31, var$0022				# r31, 136(sp)
A67D8018     18D4		ldq	r19, 8(gp)
B7FE00D0     18D8		stq	r31, 208(sp)
B41E00D8     18DC		stq	r0, 216(sp)
221E0088     18E0		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     18E4		mov	-1, r17
265F0385     18E8		ldah	r18, 901(r31)
2252FF00     18EC		lda	r18, -256(r18)
229E00D0     18F0		lda	r20, 208(sp)
A77D8048     18F4		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     18F8		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     18FC		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1900		lda	gp, $mbufr$savesec0_			# gp, (gp)
	     1904	lab$0229:											    # 000669
47E11400     1904		mov	8, r0										    # 000680
A43D8080     1908		ldq	r1, B					# r1, 112(gp)
B0010078     190C		stl	r0, B					# r0, 120(r1)
A45D8010     1910		ldq	r2, (gp)
2C620158     1914		ldq_u	r3, 344(r2)
486200C3     1918		extbl	r3, r2, r3
A49D8080     191C		ldq	r4, A					# r4, 112(gp)
B0640090     1920		stl	r3, A					# r3, 144(r4)
47E11405     1924		mov	8, r5										    # 000681
A4DD8080     1928		ldq	r6, B					# r6, 112(gp)
B0A6007C     192C		stl	r5, B					# r5, 124(r6)
A4FD8010     1930		ldq	r7, (gp)
2D070150     1934		ldq_u	r8, 336(r7)
490700C8     1938		extbl	r8, r7, r8
A61D8080     193C		ldq	r16, A					# r16, 112(gp)
B1100094     1940		stl	r8, A					# r8, 148(r16)
47E11411     1944		mov	8, r17										    # 000682
A65D8080     1948		ldq	r18, B					# r18, 112(gp)
B2320080     194C		stl	r17, B					# r17, 128(r18)
A67D8010     1950		ldq	r19, (gp)
2E930148     1954		ldq_u	r20, 328(r19)
4A9300D4     1958		extbl	r20, r19, r20
A6BD8080     195C		ldq	r21, A					# r21, 112(gp)
B2950098     1960		stl	r20, A					# r20, 152(r21)
47E11416     1964		mov	8, r22										    # 000683
A6FD8080     1968		ldq	r23, B					# r23, 112(gp)
B2D70084     196C		stl	r22, B					# r22, 132(r23)
A71D8010     1970		ldq	r24, (gp)
2F380140     1974		ldq_u	r25, 320(r24)
4B3800D9     1978		extbl	r25, r24, r25
A75D8080     197C		ldq	r26, A					# r26, 112(gp)
B33A009C     1980		stl	r25, A					# r25, 156(r26)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 74
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

47E3141B     1984		mov	24, r27										    # 000684
A41D8080     1988		ldq	r0, B					# r0, 112(gp)
B3600088     198C		stl	r27, B					# r27, 136(r0)
A0290000     1990		ldl	r1, (r9)
A45D8080     1994		ldq	r2, A					# r2, 112(gp)
B02200A0     1998		stl	r1, A					# r1, 160(r2)
47E11403     199C		mov	8, r3										    # 000685
A49D8080     19A0		ldq	r4, B					# r4, 112(gp)
B064008C     19A4		stl	r3, B					# r3, 140(r4)
47E07405     19A8		mov	3, r5
A4DD8080     19AC		ldq	r6, A					# r6, 112(gp)
B0A600A4     19B0		stl	r5, A					# r5, 164(r6)
A51E0148     19B4		ldq	r8, var$0085				# r8, 328(sp)				    # 000691
49005608     19B8		zap	r8, 2, r8
B51E0148     19BC		stq	r8, var$0085				# r8, 328(sp)
47E07407     19C0		mov	3, r7
A63E0148     19C4		ldq	r17, var$0085				# r17, 328(sp)
4A209611     19C8		zap	r17, 4, r17
48E05167     19CC		insbl	r7, 2, r7
46270411     19D0		bis	r17, r7, r17
B63E0148     19D4		stq	r17, var$0085				# r17, 328(sp)
47E15407     19D8		mov	10, r7
A67E0148     19DC		ldq	r19, var$0085				# r19, 328(sp)
4A611613     19E0		zap	r19, 8, r19
48E07167     19E4		insbl	r7, 3, r7
46670413     19E8		bis	r19, r7, r19
B67E0148     19EC		stq	r19, var$0085				# r19, 328(sp)
47E09407     19F0		mov	4, r7
B4FE0150     19F4		stq	r7, 336(sp)
A6DE0148     19F8		ldq	r22, var$0085				# r22, 328(sp)
46DFF116     19FC		bic	r22, 255, r22
46C03416     1A00		bis	r22, 1, r22
B6DE0148     1A04		stq	r22, var$0085				# r22, 328(sp)
47E09415     1A08		mov	4, r21
B6BE0170     1A0C		stq	r21, 368(sp)
47E03418     1A10		mov	1, r24
B71E0180     1A14		stq	r24, 384(sp)
47E0D41A     1A18		mov	6, r26
B75E0178     1A1C		stq	r26, 376(sp)
A77D8080     1A20		ldq	r27, A					# r27, 112(gp)
237B0090     1A24		lda	r27, A					# r27, 144(r27)
B77E0158     1A28		stq	r27, 344(sp)
A45D8080     1A2C		ldq	r2, A					# r2, 112(gp)
2042008C     1A30		lda	r2, A					# r2, 140(r2)
B45E0168     1A34		stq	r2, 360(sp)
209E0149     1A38		lda	r4, 329(sp)
2CA40000     1A3C		ldq_u	r5, (r4)
48A400C6     1A40		extbl	r5, r4, r6
48A40045     1A44		mskbl	r5, r4, r5
44C03406     1A48		bis	r6, 1, r6
48C40166     1A4C		insbl	r6, r4, r6
44A60405     1A50		bis	r5, r6, r5
3CA40000     1A54		stq_u	r5, (r4)
A61E0108     1A58		ldq	r16, var$0086				# r16, 264(sp)
4A005610     1A5C		zap	r16, 2, r16
B61E0108     1A60		stq	r16, var$0086				# r16, 264(sp)
47E07408     1A64		mov	3, r8

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 75
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

A65E0108     1A68		ldq	r18, var$0086				# r18, 264(sp)
4A409612     1A6C		zap	r18, 4, r18
49005168     1A70		insbl	r8, 2, r8
46480412     1A74		bis	r18, r8, r18
B65E0108     1A78		stq	r18, var$0086				# r18, 264(sp)
47E15408     1A7C		mov	10, r8
A4FE0108     1A80		ldq	r7, var$0086				# r7, 264(sp)
48E11607     1A84		zap	r7, 8, r7
49007168     1A88		insbl	r8, 3, r8
44E80407     1A8C		bis	r7, r8, r7
B4FE0108     1A90		stq	r7, var$0086				# r7, 264(sp)
47E09407     1A94		mov	4, r7
B4FE0110     1A98		stq	r7, 272(sp)
A6BE0108     1A9C		ldq	r21, var$0086				# r21, 264(sp)
46BFF115     1AA0		bic	r21, 255, r21
46A03415     1AA4		bis	r21, 1, r21
B6BE0108     1AA8		stq	r21, var$0086				# r21, 264(sp)
47E09415     1AAC		mov	4, r21
B6BE0130     1AB0		stq	r21, 304(sp)
47E03418     1AB4		mov	1, r24
B71E0140     1AB8		stq	r24, 320(sp)
47E0D400     1ABC		mov	6, r0
B41E0138     1AC0		stq	r0, 312(sp)
A43D8080     1AC4		ldq	r1, B					# r1, 112(gp)
20210078     1AC8		lda	r1, B					# r1, 120(r1)
B43E0118     1ACC		stq	r1, 280(sp)
A45D8080     1AD0		ldq	r2, B					# r2, 112(gp)
20420074     1AD4		lda	r2, B					# r2, 116(r2)
B45E0128     1AD8		stq	r2, 296(sp)
209E0109     1ADC		lda	r4, 265(sp)
2CA40000     1AE0		ldq_u	r5, (r4)
48A400C6     1AE4		extbl	r5, r4, r6
48A40045     1AE8		mskbl	r5, r4, r5
44C03406     1AEC		bis	r6, 1, r6
48C40166     1AF0		insbl	r6, r4, r6
44A60405     1AF4		bis	r5, r6, r5
3CA40000     1AF8		stq_u	r5, (r4)
A65D8018     1AFC		ldq	r18, 8(gp)
22520034     1B00		lda	r18, 52(r18)
A63E00C8     1B04		ldq	r17, var$0087				# r17, 200(sp)
4A205611     1B08		zap	r17, 2, r17
B63E00C8     1B0C		stq	r17, var$0087				# r17, 200(sp)
47E1D410     1B10		mov	14, r16
A67E00C8     1B14		ldq	r19, var$0087				# r19, 200(sp)
4A609613     1B18		zap	r19, 4, r19
4A005170     1B1C		insbl	r16, 2, r16
46700413     1B20		bis	r19, r16, r19
B67E00C8     1B24		stq	r19, var$0087				# r19, 200(sp)
47E15408     1B28		mov	10, r8
A69E00C8     1B2C		ldq	r20, var$0087				# r20, 200(sp)
4A811614     1B30		zap	r20, 8, r20
49007168     1B34		insbl	r8, 3, r8
46880414     1B38		bis	r20, r8, r20
B69E00C8     1B3C		stq	r20, var$0087				# r20, 200(sp)
47E03407     1B40		mov	1, r7
B4FE00D0     1B44		stq	r7, 208(sp)
A6FE00C8     1B48		ldq	r23, var$0087				# r23, 200(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 76
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

46FFF117     1B4C		bic	r23, 255, r23
46E03417     1B50		bis	r23, 1, r23
B6FE00C8     1B54		stq	r23, var$0087				# r23, 200(sp)
47E03415     1B58		mov	1, r21
B6BE00F0     1B5C		stq	r21, 240(sp)
47E03419     1B60		mov	1, r25
B73E0100     1B64		stq	r25, 256(sp)
47E1141A     1B68		mov	8, r26
B75E00F8     1B6C		stq	r26, 248(sp)
A77D8080     1B70		ldq	r27, SEC0				# r27, 112(gp)
237B0060     1B74		lda	r27, SEC0				# r27, 96(r27)
B77E00D8     1B78		stq	r27, 216(sp)
A47D8080     1B7C		ldq	r3, SEC0				# r3, 112(gp)
2063005F     1B80		lda	r3, SEC0				# r3, 95(r3)
B47E00E8     1B84		stq	r3, 232(sp)
20BE00C9     1B88		lda	r5, 201(sp)
2CC50000     1B8C		ldq_u	r6, (r5)
48C500D1     1B90		extbl	r6, r5, r17
48C50046     1B94		mskbl	r6, r5, r6
46203411     1B98		bis	r17, 1, r17
4A250171     1B9C		insbl	r17, r5, r17
44D10406     1BA0		bis	r6, r17, r6
3CC50000     1BA4		stq_u	r6, (r5)
221E0148     1BA8		lda	r16, var$0085				# r16, 328(sp)
223E0108     1BAC		lda	r17, var$0086				# r17, 264(sp)
227E00C8     1BB0		lda	r19, var$0087				# r19, 200(sp)
A69D8080     1BB4		ldq	r20, NOCT				# r20, 112(gp)
22940070     1BB8		lda	r20, NOCT				# r20, 112(r20)
A6BD8080     1BBC		ldq	r21, ERR				# r21, 112(gp)
22B5006C     1BC0		lda	r21, ERR				# r21, 108(r21)
D35FFB65     1BC4		bsr	r26, L$33
A41D8080     1BC8		ldq	r0, NOCT				# r0, 112(gp)				    # 000693
A0000070     1BCC		ldl	r0, NOCT				# r0, 112(r0)
44011800     1BD0		xor	r0, 8, r0
A43D8080     1BD4		ldq	r1, ERR					# r1, 112(gp)
A021006C     1BD8		ldl	r1, ERR					# r1, 108(r1)
44010400     1BDC		bis	r0, r1, r0
E4000039     1BE0		beq	r0, lab$0258
A45D8010     1BE4		ldq	r2, (gp)									    # 000694
20420108     1BE8		lda	r2, 264(r2)
B3FE0088     1BEC		stl	r31, var$0022				# r31, 136(sp)
A67D8018     1BF0		ldq	r19, 8(gp)
22730008     1BF4		lda	r19, 8(r19)
47E6D404     1BF8		mov	54, r4
B49E00D0     1BFC		stq	r4, 208(sp)
B45E00D8     1C00		stq	r2, 216(sp)
221E0088     1C04		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     1C08		mov	-1, r17
265F0385     1C0C		ldah	r18, 901(r31)
2252FF00     1C10		lda	r18, -256(r18)
229E00D0     1C14		lda	r20, 208(sp)
A77D8048     1C18		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1C1C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1C20		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1C24		lda	gp, $mbufr$savesec0_			# gp, (gp)
A63D8018     1C28		ldq	r17, 8(gp)
22310028     1C2C		lda	r17, 40(r17)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 77
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

A41D8080     1C30		ldq	r0, NOCT				# r0, 112(gp)
20000070     1C34		lda	r0, NOCT				# r0, 112(r0)
B41E00C8     1C38		stq	r0, 200(sp)
221E0088     1C3C		lda	r16, var$0022				# r16, 136(sp)
225E00C8     1C40		lda	r18, 200(sp)
A77D8020     1C44		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     1C48		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     1C4C		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1C50		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8010     1C54		ldq	r0, (gp)									    # 000695
20000050     1C58		lda	r0, 80(r0)
B3FE0088     1C5C		stl	r31, var$0022				# r31, 136(sp)
A67D8018     1C60		ldq	r19, 8(gp)
B7FE00D0     1C64		stq	r31, 208(sp)
B41E00D8     1C68		stq	r0, 216(sp)
221E0088     1C6C		lda	r16, var$0022				# r16, 136(sp)
223FFFFF     1C70		mov	-1, r17
265F0385     1C74		ldah	r18, 901(r31)
2252FF00     1C78		lda	r18, -256(r18)
229E00D0     1C7C		lda	r20, 208(sp)
A77D8048     1C80		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     1C84		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     1C88		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1C8C		lda	gp, $mbufr$savesec0_			# gp, (gp)
B3FE0088     1C90		stl	r31, var$0022				# r31, 136(sp)				    # 000696
A43D8080     1C94		ldq	r1, UNI					# r1, 112(gp)
A2210074     1C98		ldl	r17, UNI				# r17, 116(r1)
A67D8018     1C9C		ldq	r19, 8(gp)
22730010     1CA0		lda	r19, 16(r19)
221E0088     1CA4		lda	r16, var$0022				# r16, 136(sp)
265F0385     1CA8		ldah	r18, 901(r31)
2252FF00     1CAC		lda	r18, -256(r18)
47FF0414     1CB0		clr	r20
A77D8090     1CB4		ldq	r27, for_close				# r27, 128(gp)
6B5B4000     1CB8		jsr	r26, for_close				# r26, (r27)
27BA0001     1CBC		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1CC0		lda	gp, $mbufr$savesec0_			# gp, (gp)
C3E00035     1CC4		br	lab$0267
	     1CC8	lab$0258:											    # 000693
47E1140A     1CC8		mov	8, var$0091				# 8, r10				    # 000709
47E03400     1CCC		mov	1, r0
A43D8080     1CD0		ldq	r1, I					# r1, 112(gp)
B0010068     1CD4		stl	r0, I					# r0, 104(r1)
	     1CD8	lab$0272:
A45D8060     1CD8		ldq	r2, $mbufr$currentrg_			# r2, 80(gp)				    # 000710
A0420000     1CDC		ldl	r2, $mbufr$currentrg_			# r2, (r2)
40403002     1CE0		addl	r2, 1, r2
A47D8060     1CE4		ldq	r3, $mbufr$currentrg_			# r3, 80(gp)
B0430000     1CE8		stl	r2, $mbufr$currentrg_			# r2, (r3)
A49D8080     1CEC		ldq	r4, I					# r4, 112(gp)				    # 000711
A0840068     1CF0		ldl	r4, I					# r4, 104(r4)
A79D8080     1CF4		ldq	r28, SEC0				# r28, 112(gp)
43840404     1CF8		addq	SEC0, r4, r4				# r28, r4, r4
2084005F     1CFC		lda	r4, 95(r4)
B3FE0088     1D00		stl	r31, var$0022				# r31, 136(sp)
A4DD8080     1D04		ldq	r6, UNI					# r6, 112(gp)
A2260074     1D08		ldl	r17, UNI				# r17, 116(r6)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 78
                                $mbufr$savesec0_                15-Sep-2004 10:10:47  mbufr.f90

A67D8018     1D0C		ldq	r19, 8(gp)
22730030     1D10		lda	r19, 48(r19)
A4FD8060     1D14		ldq	r7, $mbufr$currentrg_			# r7, 80(gp)
A2A70000     1D18		ldl	r21, $mbufr$currentrg_			# r21, (r7)
47E03408     1D1C		mov	1, r8
B51E00C8     1D20		stq	r8, 200(sp)
B49E00D0     1D24		stq	r4, 208(sp)
47E03414     1D28		mov	1, r20
B69E00D8     1D2C		stq	r20, 216(sp)
221E0088     1D30		lda	r16, var$0022				# r16, 136(sp)
265F0385     1D34		ldah	r18, 901(r31)
2252FF00     1D38		lda	r18, -256(r18)
229E00C8     1D3C		lda	r20, 200(sp)
A77D80C8     1D40		ldq	r27, for_write_dir			# r27, 184(gp)
6B5B4000     1D44		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     1D48		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1D4C		lda	gp, $mbufr$savesec0_			# gp, (gp)
A41D8080     1D50		ldq	r0, I					# r0, 112(gp)				    # 000709
A0000068     1D54		ldl	r0, I					# r0, 104(r0)
40003000     1D58		addl	r0, 1, r0
A43D8080     1D5C		ldq	r1, I					# r1, 112(gp)
B0010068     1D60		stl	r0, I					# r0, 104(r1)
4140352A     1D64		subq	var$0091, 1, var$0091			# r10, 1, r10
FD5FFFDB     1D68		bgt	var$0091, lab$0272			# r10, lab$0272
A75E0000     1D6C		ldq	r26, (sp)									    # 000716
A53E0008     1D70		ldq	r9, 8(sp)
A55E0010     1D74		ldq	r10, 16(sp)
23DE03A0     1D78		lda	sp, 928(sp)
6BFA8001     1D7C		ret	(r26)
	     1D80	lab$0223:											    # 000665
A61D8010     1D80		ldq	r16, (gp)									    # 000666
22100050     1D84		lda	r16, 80(r16)
47FF0411     1D88		clr	r17
A77D8088     1D8C		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     1D90		jsr	r26, for_stop				# r26, (r27)
27BA0001     1D94		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1D98		lda	gp, $mbufr$savesec0_			# gp, (gp)
	     1D9C	lab$0267:											    # 000696
A61D8010     1D9C		ldq	r16, (gp)									    # 000697
22100050     1DA0		lda	r16, 80(r16)
47FF0411     1DA4		clr	r17
A77D8088     1DA8		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     1DAC		jsr	r26, for_stop				# r26, (r27)
27BA0001     1DB0		ldah	gp, $mbufr$savesec0_			# gp, (r26)
23BDD450     1DB4		lda	gp, $mbufr$savesec0_			# gp, (gp)
				.end 	$mbufr$savesec0_

Routine Size: 2120 bytes,    Routine Base: $CODE$ + 1570

				.globl  $mbufr$savesec1_
				.ent 	$mbufr$savesec1_
				.eflag 16
	     1DB8	$mbufr$savesec1_:										    # 000728
27BB0001     1DB8		ldah	gp, $mbufr$savesec1_			# gp, (r27)
23BDD450     1DBC		lda	gp, $mbufr$savesec1_			# gp, (gp)
	     1DC0	L$22:
23DEFEB0     1DC0		lda	sp, -336(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 79
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

B75E0000     1DC4		stq	r26, (sp)
B53E0008     1DC8		stq	r9, 8(sp)
B55E0010     1DCC		stq	r10, 16(sp)
				.mask 0x04000600,-336
				.fmask 0x00000000,0
				.frame  $sp, 336, $26
				.prologue 1
B61E0030     1DD0		stq	r16, 48(sp)
B63E0028     1DD4		stq	r17, 40(sp)
B65E0020     1DD8		stq	r18, 32(sp)
B67E0018     1DDC		stq	r19, 24(sp)
47F40409     1DE0		mov	r20, r9
A41E0030     1DE4		ldq	r0, 48(sp)									    # 000738
A0000000     1DE8		ldl	r0, (r0)
A61D8080     1DEC		ldq	r16, UNI				# r16, 112(gp)
B01000B4     1DF0		stl	r0, UNI					# r0, 180(r16)
A61D80C0     1DF4		ldq	r16, $mbufr$subname_			# r16, 176(gp)				    # 000739
A65D8098     1DF8		ldq	r18, 136(gp)
22520018     1DFC		lda	r18, 24(r18)
47E11411     1E00		mov	8, r17
A77D8040     1E04		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1E08		jsr	r26, _OtsMove				# r26, (r27)
47FEF411     1E0C		mov	247, r17
47E41412     1E10		mov	32, r18
A77D8030     1E14		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     1E18		jsr	r26, _OtsFill				# r26, (r27)
47E31400     1E1C		mov	24, r0										    # 000741
A43D8080     1E20		ldq	r1, B					# r1, 112(gp)
B00100D0     1E24		stl	r0, B					# r0, 208(r1)
47E25402     1E28		mov	18, r2
A61D8080     1E2C		ldq	r16, A					# r16, 112(gp)
B0500110     1E30		stl	r2, A					# r2, 272(r16)
47E11411     1E34		mov	8, r17										    # 000742
A65D8080     1E38		ldq	r18, B					# r18, 112(gp)
B23200D4     1E3C		stl	r17, B					# r17, 212(r18)
A67D8080     1E40		ldq	r19, A					# r19, 112(gp)
B3F30114     1E44		stl	r31, A					# r31, 276(r19)
47E21414     1E48		mov	16, r20										    # 000744
A75D8080     1E4C		ldq	r26, B					# r26, 112(gp)
B29A00D8     1E50		stl	r20, B					# r20, 216(r26)
A77D8068     1E54		ldq	r27, $mbufr$centre_mbufr_		# r27, 88(gp)
A37B0000     1E58		ldl	r27, $mbufr$centre_mbufr_		# r27, (r27)
A41D8080     1E5C		ldq	r0, A					# r0, 112(gp)
B3600118     1E60		stl	r27, A					# r27, 280(r0)
47E11401     1E64		mov	8, r1										    # 000748
A45D8080     1E68		ldq	r2, B					# r2, 112(gp)
B02200DC     1E6C		stl	r1, B					# r1, 220(r2)
A61D8080     1E70		ldq	r16, A					# r16, 112(gp)
B3F0011C     1E74		stl	r31, A					# r31, 284(r16)
47E03411     1E78		mov	1, r17										    # 000749
A65D8080     1E7C		ldq	r18, B					# r18, 112(gp)
B23200E0     1E80		stl	r17, B					# r17, 224(r18)
A67E0028     1E84		ldq	r19, 40(sp)
A2730000     1E88		ldl	r19, (r19)
A69D8080     1E8C		ldq	r20, A					# r20, 112(gp)
B2740120     1E90		stl	r19, A					# r19, 288(r20)
47E0F41A     1E94		mov	7, r26										    # 000750

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 80
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

A41D8080     1E98		ldq	r0, B					# r0, 112(gp)
B34000E4     1E9C		stl	r26, B					# r26, 228(r0)
A77D8080     1EA0		ldq	r27, A					# r27, 112(gp)
B3FB0124     1EA4		stl	r31, A					# r31, 292(r27)
47E11401     1EA8		mov	8, r1										    # 000751
A45D8080     1EAC		ldq	r2, B					# r2, 112(gp)
B02200E8     1EB0		stl	r1, B					# r1, 232(r2)
A61E0020     1EB4		ldq	r16, 32(sp)
A2100000     1EB8		ldl	r16, (r16)
A63D8080     1EBC		ldq	r17, A					# r17, 112(gp)
B2110128     1EC0		stl	r16, A					# r16, 296(r17)
47E11412     1EC4		mov	8, r18										    # 000753
A67D8080     1EC8		ldq	r19, B					# r19, 112(gp)
B25300EC     1ECC		stl	r18, B					# r18, 236(r19)
A69E0018     1ED0		ldq	r20, 24(sp)
A2940000     1ED4		ldl	r20, (r20)
A41D8080     1ED8		ldq	r0, A					# r0, 112(gp)
B280012C     1EDC		stl	r20, A					# r20, 300(r0)
47E1141A     1EE0		mov	8, r26										    # 000755
A77D8080     1EE4		ldq	r27, B					# r27, 112(gp)
B35B00F0     1EE8		stl	r26, B					# r26, 240(r27)
A43D8078     1EEC		ldq	r1, $mbufr$vermastertab_		# r1, 104(gp)
A0210000     1EF0		ldl	r1, $mbufr$vermastertab_		# r1, (r1)
A45D8080     1EF4		ldq	r2, A					# r2, 112(gp)
B0220130     1EF8		stl	r1, A					# r1, 304(r2)
47E11410     1EFC		mov	8, r16										    # 000756
A63D8080     1F00		ldq	r17, B					# r17, 112(gp)
B21100F4     1F04		stl	r16, B					# r16, 244(r17)
A65D8070     1F08		ldq	r18, $mbufr$verloctab_			# r18, 96(gp)
A2520000     1F0C		ldl	r18, $mbufr$verloctab_			# r18, (r18)
A67D8080     1F10		ldq	r19, A					# r19, 112(gp)
B2530134     1F14		stl	r18, A					# r18, 308(r19)
47E11400     1F18		mov	8, r0										    # 000768
A69D8080     1F1C		ldq	r20, B					# r20, 112(gp)
B01400F8     1F20		stl	r0, B					# r0, 248(r20)
A3490008     1F24		ldl	r26, 8(r9)									    # 000769
235AF82F     1F28		addq	r26, -2001, r26
FB400005     1F2C		bge	r26, lab$0281
A3690008     1F30		ldl	r27, 8(r9)									    # 000770
237BF894     1F34		addq	r27, -1900, r27
A43D8080     1F38		ldq	r1, A					# r1, 112(gp)
B3610138     1F3C		stl	r27, A					# r27, 312(r1)
C3E00004     1F40		br	lab$0282									    # 000769
	     1F44	lab$0281:
A0490008     1F44		ldl	r2, 8(r9)									    # 000772
2042F830     1F48		addq	r2, -2000, r2
A61D8080     1F4C		ldq	r16, A					# r16, 112(gp)
B0500138     1F50		stl	r2, A					# r2, 312(r16)
	     1F54	lab$0282:											    # 000769
47E11411     1F54		mov	8, r17										    # 000776
A65D8080     1F58		ldq	r18, B					# r18, 112(gp)
B23200FC     1F5C		stl	r17, B					# r17, 252(r18)
A2690000     1F60		ldl	r19, (r9)
A41D8080     1F64		ldq	r0, A					# r0, 112(gp)
B260013C     1F68		stl	r19, A					# r19, 316(r0)
47E11414     1F6C		mov	8, r20										    # 000777
A75D8080     1F70		ldq	r26, B					# r26, 112(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 81
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

B29A0100     1F74		stl	r20, B					# r20, 256(r26)
A0290004     1F78		ldl	r1, 4(r9)
A77D8080     1F7C		ldq	r27, A					# r27, 112(gp)
B03B0140     1F80		stl	r1, A					# r1, 320(r27)
47E11402     1F84		mov	8, r2										    # 000778
A61D8080     1F88		ldq	r16, B					# r16, 112(gp)
B0500104     1F8C		stl	r2, B					# r2, 260(r16)
A229000C     1F90		ldl	r17, 12(r9)
A65D8080     1F94		ldq	r18, A					# r18, 112(gp)
B2320144     1F98		stl	r17, A					# r17, 324(r18)
47E11400     1F9C		mov	8, r0										    # 000779
A67D8080     1FA0		ldq	r19, B					# r19, 112(gp)
B0130108     1FA4		stl	r0, B					# r0, 264(r19)
A2890010     1FA8		ldl	r20, 16(r9)
A75D8080     1FAC		ldq	r26, A					# r26, 112(gp)
B29A0148     1FB0		stl	r20, A					# r20, 328(r26)
47E11401     1FB4		mov	8, r1										    # 000780
A77D8080     1FB8		ldq	r27, B					# r27, 112(gp)
B03B010C     1FBC		stl	r1, B					# r1, 268(r27)
A45D8080     1FC0		ldq	r2, A					# r2, 112(gp)
B3E2014C     1FC4		stl	r31, A					# r31, 332(r2)
A63E0108     1FC8		ldq	r17, var$0093				# r17, 264(sp)				    # 000786
4A205611     1FCC		zap	r17, 2, r17
B63E0108     1FD0		stq	r17, var$0093				# r17, 264(sp)
47E07410     1FD4		mov	3, r16
A41E0108     1FD8		ldq	r0, var$0093				# r0, 264(sp)
48009600     1FDC		zap	r0, 4, r0
4A005170     1FE0		insbl	r16, 2, r16
44100400     1FE4		bis	r0, r16, r0
B41E0108     1FE8		stq	r0, var$0093				# r0, 264(sp)
47E15400     1FEC		mov	10, r0
A69E0108     1FF0		ldq	r20, var$0093				# r20, 264(sp)
4A811614     1FF4		zap	r20, 8, r20
48007160     1FF8		insbl	r0, 3, r0
46800414     1FFC		bis	r20, r0, r20
B69E0108     2000		stq	r20, var$0093				# r20, 264(sp)
47E09400     2004		mov	4, r0
B41E0110     2008		stq	r0, 272(sp)
A77E0108     200C		ldq	r27, var$0093				# r27, 264(sp)
477FF11B     2010		bic	r27, 255, r27
4760341B     2014		bis	r27, 1, r27
B77E0108     2018		stq	r27, var$0093				# r27, 264(sp)
47E09401     201C		mov	4, r1
B43E0130     2020		stq	r1, 304(sp)
47E03411     2024		mov	1, r17
B63E0140     2028		stq	r17, 320(sp)
47E21412     202C		mov	16, r18
B65E0138     2030		stq	r18, 312(sp)
A69D8080     2034		ldq	r20, A					# r20, 112(gp)
22940110     2038		lda	r20, A					# r20, 272(r20)
B69E0118     203C		stq	r20, 280(sp)
A75D8080     2040		ldq	r26, A					# r26, 112(gp)
235A010C     2044		lda	r26, A					# r26, 268(r26)
B75E0128     2048		stq	r26, 296(sp)
203E0109     204C		lda	r1, 265(sp)
2C410000     2050		ldq_u	r2, (r1)
484100D0     2054		extbl	r2, r1, r16

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 82
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

48410042     2058		mskbl	r2, r1, r2
46003410     205C		bis	r16, 1, r16
4A010170     2060		insbl	r16, r1, r16
44500402     2064		bis	r2, r16, r2
3C410000     2068		stq_u	r2, (r1)
A65E00C8     206C		ldq	r18, var$0094				# r18, 200(sp)
4A405612     2070		zap	r18, 2, r18
B65E00C8     2074		stq	r18, var$0094				# r18, 200(sp)
47E07411     2078		mov	3, r17
A41E00C8     207C		ldq	r0, var$0094				# r0, 200(sp)
48009600     2080		zap	r0, 4, r0
4A205171     2084		insbl	r17, 2, r17
44110400     2088		bis	r0, r17, r0
B41E00C8     208C		stq	r0, var$0094				# r0, 200(sp)
47E15400     2090		mov	10, r0
A75E00C8     2094		ldq	r26, var$0094				# r26, 200(sp)
4B41161A     2098		zap	r26, 8, r26
48007160     209C		insbl	r0, 3, r0
4740041A     20A0		bis	r26, r0, r26
B75E00C8     20A4		stq	r26, var$0094				# r26, 200(sp)
47E09400     20A8		mov	4, r0
B41E00D0     20AC		stq	r0, 208(sp)
A45E00C8     20B0		ldq	r2, var$0094				# r2, 200(sp)
445FF102     20B4		bic	r2, 255, r2
44403402     20B8		bis	r2, 1, r2
B45E00C8     20BC		stq	r2, var$0094				# r2, 200(sp)
47E09401     20C0		mov	4, r1
B43E00F0     20C4		stq	r1, 240(sp)
47E03412     20C8		mov	1, r18
B65E0100     20CC		stq	r18, 256(sp)
47E21413     20D0		mov	16, r19
B67E00F8     20D4		stq	r19, 248(sp)
A75D8080     20D8		ldq	r26, B					# r26, 112(gp)
235A00D0     20DC		lda	r26, B					# r26, 208(r26)
B75E00D8     20E0		stq	r26, 216(sp)
A77D8080     20E4		ldq	r27, B					# r27, 112(gp)
237B00CC     20E8		lda	r27, B					# r27, 204(r27)
B77E00E8     20EC		stq	r27, 232(sp)
203E00C9     20F0		lda	r1, 201(sp)
2E010000     20F4		ldq_u	r16, (r1)
4A0100D1     20F8		extbl	r16, r1, r17
4A010050     20FC		mskbl	r16, r1, r16
46203411     2100		bis	r17, 1, r17
4A210171     2104		insbl	r17, r1, r17
46110410     2108		bis	r16, r17, r16
3E010000     210C		stq_u	r16, (r1)
A65D8018     2110		ldq	r18, 8(gp)
22520038     2114		lda	r18, 56(r18)
A69E0088     2118		ldq	r20, var$0095				# r20, 136(sp)
4A805614     211C		zap	r20, 2, r20
B69E0088     2120		stq	r20, var$0095				# r20, 136(sp)
47E1D413     2124		mov	14, r19
A75E0088     2128		ldq	r26, var$0095				# r26, 136(sp)
4B40961A     212C		zap	r26, 4, r26
4A605173     2130		insbl	r19, 2, r19
4753041A     2134		bis	r26, r19, r26
B75E0088     2138		stq	r26, var$0095				# r26, 136(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 83
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

47E15400     213C		mov	10, r0
A77E0088     2140		ldq	r27, var$0095				# r27, 136(sp)
4B61161B     2144		zap	r27, 8, r27
48007160     2148		insbl	r0, 3, r0
4760041B     214C		bis	r27, r0, r27
B77E0088     2150		stq	r27, var$0095				# r27, 136(sp)
47E03400     2154		mov	1, r0
B41E0090     2158		stq	r0, 144(sp)
A63E0088     215C		ldq	r17, var$0095				# r17, 136(sp)
463FF111     2160		bic	r17, 255, r17
46203411     2164		bis	r17, 1, r17
B63E0088     2168		stq	r17, var$0095				# r17, 136(sp)
47E03410     216C		mov	1, r16
B61E00B0     2170		stq	r16, 176(sp)
47E03413     2174		mov	1, r19
B67E00C0     2178		stq	r19, 192(sp)
47E25402     217C		mov	18, r2
B45E00B8     2180		stq	r2, 184(sp)
A41D8080     2184		ldq	r0, SEC1				# r0, 112(gp)
200000B8     2188		lda	r0, SEC1				# r0, 184(r0)
B41E0098     218C		stq	r0, 152(sp)
A63D8080     2190		ldq	r17, SEC1				# r17, 112(gp)
223100B7     2194		lda	r17, SEC1				# r17, 183(r17)
B63E00A8     2198		stq	r17, 168(sp)
229E0089     219C		lda	r20, 137(sp)
2E740000     21A0		ldq_u	r19, (r20)
4A7400DA     21A4		extbl	r19, r20, r26
4A740053     21A8		mskbl	r19, r20, r19
4740341A     21AC		bis	r26, 1, r26
4B54017A     21B0		insbl	r26, r20, r26
467A0413     21B4		bis	r19, r26, r19
3E740000     21B8		stq_u	r19, (r20)
221E0108     21BC		lda	r16, var$0093				# r16, 264(sp)
223E00C8     21C0		lda	r17, var$0094				# r17, 200(sp)
227E0088     21C4		lda	r19, var$0095				# r19, 136(sp)
A69D8080     21C8		ldq	r20, NOCT				# r20, 112(gp)
229400B0     21CC		lda	r20, NOCT				# r20, 176(r20)
A6BD8080     21D0		ldq	r21, ERR				# r21, 112(gp)
22B500AC     21D4		lda	r21, ERR				# r21, 172(r21)
D35FF9E0     21D8		bsr	r26, L$33
A41D8080     21DC		ldq	r0, NOCT				# r0, 112(gp)				    # 000788
A00000B0     21E0		ldl	r0, NOCT				# r0, 176(r0)
44025800     21E4		xor	r0, 18, r0
A43D8080     21E8		ldq	r1, ERR					# r1, 112(gp)
A02100AC     21EC		ldl	r1, ERR					# r1, 172(r1)
44010400     21F0		bis	r0, r1, r0
E400001D     21F4		beq	r0, lab$0291
A45D8010     21F8		ldq	r2, (gp)									    # 000789
20420200     21FC		lda	r2, 512(r2)
B3FE0048     2200		stl	r31, var$0023				# r31, 72(sp)
A67D8018     2204		ldq	r19, 8(gp)
22730008     2208		lda	r19, 8(r19)
47E6D404     220C		mov	54, r4
B49E0090     2210		stq	r4, 144(sp)
B45E0098     2214		stq	r2, 152(sp)
221E0048     2218		lda	r16, var$0023				# r16, 72(sp)
223FFFFF     221C		mov	-1, r17

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 84
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

265F0385     2220		ldah	r18, 901(r31)
2252FF00     2224		lda	r18, -256(r18)
229E0090     2228		lda	r20, 144(sp)
A77D8048     222C		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     2230		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     2234		ldah	gp, $mbufr$savesec1_			# gp, (r26)
23BDD450     2238		lda	gp, $mbufr$savesec1_			# gp, (gp)
A63D8018     223C		ldq	r17, 8(gp)
22310028     2240		lda	r17, 40(r17)
A41D8080     2244		ldq	r0, NOCT				# r0, 112(gp)
200000B0     2248		lda	r0, NOCT				# r0, 176(r0)
B41E0088     224C		stq	r0, 136(sp)
221E0048     2250		lda	r16, var$0023				# r16, 72(sp)
225E0088     2254		lda	r18, 136(sp)
A77D8020     2258		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     225C		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     2260		ldah	gp, $mbufr$savesec1_			# gp, (r26)
23BDD450     2264		lda	gp, $mbufr$savesec1_			# gp, (gp)
C3E0002E     2268		br	lab$0294
	     226C	lab$0291:											    # 000788
47E2540A     226C		mov	18, var$0097				# 18, r10				    # 000797
47E03400     2270		mov	1, r0
A43D8080     2274		ldq	r1, I					# r1, 112(gp)
B00100A8     2278		stl	r0, I					# r0, 168(r1)
	     227C	lab$0299:
A45D8060     227C		ldq	r2, $mbufr$currentrg_			# r2, 80(gp)				    # 000798
A0420000     2280		ldl	r2, $mbufr$currentrg_			# r2, (r2)
40403002     2284		addl	r2, 1, r2
A47D8060     2288		ldq	r3, $mbufr$currentrg_			# r3, 80(gp)
B0430000     228C		stl	r2, $mbufr$currentrg_			# r2, (r3)
A49D8080     2290		ldq	r4, I					# r4, 112(gp)				    # 000799
A08400A8     2294		ldl	r4, I					# r4, 168(r4)
A79D8080     2298		ldq	r28, SEC1				# r28, 112(gp)
43840404     229C		addq	SEC1, r4, r4				# r28, r4, r4
208400B7     22A0		lda	r4, 183(r4)
B3FE0048     22A4		stl	r31, var$0023				# r31, 72(sp)
A4DD8080     22A8		ldq	r6, UNI					# r6, 112(gp)
A22600B4     22AC		ldl	r17, UNI				# r17, 180(r6)
A67D8018     22B0		ldq	r19, 8(gp)
22730030     22B4		lda	r19, 48(r19)
A4FD8060     22B8		ldq	r7, $mbufr$currentrg_			# r7, 80(gp)
A2A70000     22BC		ldl	r21, $mbufr$currentrg_			# r21, (r7)
47E03408     22C0		mov	1, r8
B51E0088     22C4		stq	r8, 136(sp)
B49E0090     22C8		stq	r4, 144(sp)
47E03414     22CC		mov	1, r20
B69E0098     22D0		stq	r20, 152(sp)
221E0048     22D4		lda	r16, var$0023				# r16, 72(sp)
265F0385     22D8		ldah	r18, 901(r31)
2252FF00     22DC		lda	r18, -256(r18)
229E0088     22E0		lda	r20, 136(sp)
A77D80C8     22E4		ldq	r27, for_write_dir			# r27, 184(gp)
6B5B4000     22E8		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     22EC		ldah	gp, $mbufr$savesec1_			# gp, (r26)
23BDD450     22F0		lda	gp, $mbufr$savesec1_			# gp, (gp)
A41D8080     22F4		ldq	r0, I					# r0, 112(gp)				    # 000797
A00000A8     22F8		ldl	r0, I					# r0, 168(r0)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 85
                                $mbufr$savesec1_                15-Sep-2004 10:10:47  mbufr.f90

40003000     22FC		addl	r0, 1, r0
A43D8080     2300		ldq	r1, I					# r1, 112(gp)
B00100A8     2304		stl	r0, I					# r0, 168(r1)
4140352A     2308		subq	var$0097, 1, var$0097			# r10, 1, r10
FD5FFFDB     230C		bgt	var$0097, lab$0299			# r10, lab$0299
A75E0000     2310		ldq	r26, (sp)									    # 000803
A53E0008     2314		ldq	r9, 8(sp)
A55E0010     2318		ldq	r10, 16(sp)
23DE0150     231C		lda	sp, 336(sp)
6BFA8001     2320		ret	(r26)
	     2324	lab$0294:											    # 000789
A61D8010     2324		ldq	r16, (gp)									    # 000790
22100050     2328		lda	r16, 80(r16)
47FF0411     232C		clr	r17
A77D8088     2330		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     2334		jsr	r26, for_stop				# r26, (r27)
27BA0001     2338		ldah	gp, $mbufr$savesec1_			# gp, (r26)
23BDD450     233C		lda	gp, $mbufr$savesec1_			# gp, (gp)
				.end 	$mbufr$savesec1_

Routine Size: 1416 bytes,    Routine Base: $CODE$ + 1DB8

				.globl  $mbufr$savesec2_
				.ent 	$mbufr$savesec2_
				.eflag 16
	     2340	$mbufr$savesec2_:										    # 000819
27BB0001     2340		ldah	gp, $mbufr$savesec2_			# gp, (r27)
23BDD450     2344		lda	gp, $mbufr$savesec2_			# gp, (gp)
	     2348	L$31:
23DEFE90     2348		lda	sp, -368(sp)
B75E0010     234C		stq	r26, 16(sp)
B53E0018     2350		stq	r9, 24(sp)
B55E0020     2354		stq	r10, 32(sp)
B57E0028     2358		stq	r11, 40(sp)
B59E0030     235C		stq	r12, 48(sp)
				.mask 0x04001E00,-352
				.fmask 0x00000000,0
				.frame  $sp, 368, $26
				.prologue 1
B61E0050     2360		stq	r16, 80(sp)
47F1040A     2364		mov	r17, r10
47F20409     2368		mov	r18, r9
B67E0048     236C		stq	r19, 72(sp)
B69E0040     2370		stq	r20, 64(sp)
B6BE0038     2374		stq	r21, 56(sp)
A41E0050     2378		ldq	r0, 80(sp)									    # 000834
A0000000     237C		ldl	r0, (r0)
A61D8080     2380		ldq	r16, UNI				# r16, 112(gp)
B0100168     2384		stl	r0, UNI					# r0, 360(r16)
A61D80C0     2388		ldq	r16, $mbufr$subname_			# r16, 176(gp)				    # 000835
A65D8098     238C		ldq	r18, 136(gp)
22520020     2390		lda	r18, 32(r18)
47E11411     2394		mov	8, r17
A77D8040     2398		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     239C		jsr	r26, _OtsMove				# r26, (r27)
47FEF411     23A0		mov	247, r17
47E41412     23A4		mov	32, r18

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 86
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

A77D8030     23A8		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     23AC		jsr	r26, _OtsFill				# r26, (r27)
47E31415     23B0		mov	24, r21										    # 000837
A41D8080     23B4		ldq	r0, B					# r0, 112(gp)
B2A001F0     23B8		stl	r21, B					# r21, 496(r0)
47E69401     23BC		mov	52, r1
A61D8080     23C0		ldq	r16, A					# r16, 112(gp)
B03002BC     23C4		stl	r1, A					# r1, 700(r16)
47E11411     23C8		mov	8, r17										    # 000838
A65D8080     23CC		ldq	r18, B					# r18, 112(gp)
B23201F4     23D0		stl	r17, B					# r17, 500(r18)
A67D8080     23D4		ldq	r19, A					# r19, 112(gp)
B3F302C0     23D8		stl	r31, A					# r31, 704(r19)
47E11414     23DC		mov	8, r20										    # 000839
A75D8080     23E0		ldq	r26, B					# r26, 112(gp)
B29A01F8     23E4		stl	r20, B					# r20, 504(r26)
A77E0040     23E8		ldq	r27, 64(sp)
A37B0000     23EC		ldl	r27, (r27)
A41D8080     23F0		ldq	r0, A					# r0, 112(gp)
B36002C4     23F4		stl	r27, A					# r27, 708(r0)
47E11415     23F8		mov	8, r21										    # 000840
A43D8080     23FC		ldq	r1, B					# r1, 112(gp)
B2A101FC     2400		stl	r21, B					# r21, 508(r1)
A61E0038     2404		ldq	r16, 56(sp)
A2100000     2408		ldl	r16, (r16)
A63D8080     240C		ldq	r17, A					# r17, 112(gp)
B21102C8     2410		stl	r16, A					# r16, 712(r17)
47E19412     2414		mov	12, r18										    # 000843
A67D8080     2418		ldq	r19, B					# r19, 112(gp)
B2530200     241C		stl	r18, B					# r18, 512(r19)
A28A0008     2420		ldl	r20, 8(r10)
A75D8080     2424		ldq	r26, A					# r26, 112(gp)
B29A02CC     2428		stl	r20, A					# r20, 716(r26)
47E09400     242C		mov	4, r0										    # 000844
A77D8080     2430		ldq	r27, B					# r27, 112(gp)
B01B0204     2434		stl	r0, B					# r0, 516(r27)
A02A0000     2438		ldl	r1, (r10)
A6BD8080     243C		ldq	r21, A					# r21, 112(gp)
B03502D0     2440		stl	r1, A					# r1, 720(r21)
47E0D410     2444		mov	6, r16										    # 000845
A63D8080     2448		ldq	r17, B					# r17, 112(gp)
B2110208     244C		stl	r16, B					# r16, 520(r17)
A24A0004     2450		ldl	r18, 4(r10)
A67D8080     2454		ldq	r19, A					# r19, 112(gp)
B25302D4     2458		stl	r18, A					# r18, 724(r19)
47E0B414     245C		mov	5, r20										    # 000846
A75D8080     2460		ldq	r26, B					# r26, 112(gp)
B29A020C     2464		stl	r20, B					# r20, 524(r26)
A00A000C     2468		ldl	r0, 12(r10)
A77D8080     246C		ldq	r27, A					# r27, 112(gp)
B01B02D8     2470		stl	r0, A					# r0, 728(r27)
47E0D401     2474		mov	6, r1										    # 000847
A6BD8080     2478		ldq	r21, B					# r21, 112(gp)
B0350210     247C		stl	r1, B					# r1, 528(r21)
A20A0010     2480		ldl	r16, 16(r10)
A63D8080     2484		ldq	r17, A					# r17, 112(gp)
B21102DC     2488		stl	r16, A					# r16, 732(r17)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 87
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

47E0D412     248C		mov	6, r18										    # 000848
A67D8080     2490		ldq	r19, B					# r19, 112(gp)
B2530214     2494		stl	r18, B					# r18, 532(r19)
A69D8080     2498		ldq	r20, A					# r20, 112(gp)
B3F402E0     249C		stl	r31, A					# r31, 736(r20)
47E0341A     24A0		mov	1, r26										    # 000849
A41D8080     24A4		ldq	r0, B					# r0, 112(gp)
B3400218     24A8		stl	r26, B					# r26, 536(r0)
A77D8080     24AC		ldq	r27, A					# r27, 112(gp)
B3FB02E4     24B0		stl	r31, A					# r31, 740(r27)
47E35401     24B4		mov	26, r1										    # 000855
A6BD8080     24B8		ldq	r21, B					# r21, 112(gp)
B035021C     24BC		stl	r1, B					# r1, 540(r21)
8809002C     24C0		lds	f0, 44(r9)
A79D8018     24C4		ldq	r28, 8(gp)
883C0048     24C8		lds	f1, 72(r28)
58011040     24CC		muls	f0, f1, f0
A79D8018     24D0		ldq	r28, 8(gp)
895C0044     24D4		lds	f10, 68(r28)
580A1000     24D8		adds	f0, f10, f0
5BE005E0     24DC		cvttqc	f0, f0
5FE0060B     24E0		cvtql	f0, f11
A63D8080     24E4		ldq	r17, A					# r17, 112(gp)
997102E8     24E8		sts	f11, A					# f11, 744(r17)
47E0D412     24EC		mov	6, r18										    # 000856
A67D8080     24F0		ldq	r19, B					# r19, 112(gp)
B2530220     24F4		stl	r18, B					# r18, 544(r19)
A69D8080     24F8		ldq	r20, A					# r20, 112(gp)
B3F402EC     24FC		stl	r31, A					# r31, 748(r20)
47E33400     2500		mov	25, r0										    # 000860
A75D8080     2504		ldq	r26, B					# r26, 112(gp)
B01A0224     2508		stl	r0, B					# r0, 548(r26)
88290028     250C		lds	f1, 40(r9)
A79D8018     2510		ldq	r28, 8(gp)
895C0048     2514		lds	f10, 72(r28)
582A1041     2518		muls	f1, f10, f1
A79D8018     251C		ldq	r28, 8(gp)
881C0040     2520		lds	f0, 64(r28)
58201000     2524		adds	f1, f0, f0
5BE005E0     2528		cvttqc	f0, f0
5FE0060B     252C		cvtql	f0, f11
A43D8080     2530		ldq	r1, A					# r1, 112(gp)
996102F0     2534		sts	f11, A					# f11, 752(r1)
47E0F415     2538		mov	7, r21										    # 000861
A61D8080     253C		ldq	r16, B					# r16, 112(gp)
B2B00228     2540		stl	r21, B					# r21, 552(r16)
A63D8080     2544		ldq	r17, A					# r17, 112(gp)
B3F102F4     2548		stl	r31, A					# r31, 756(r17)
47E2340C     254C		mov	17, var$0099				# 17, r12				    # 000866
47E21412     2550		mov	16, r18
A67D8080     2554		ldq	r19, I					# r19, 112(gp)
B253015C     2558		stl	r18, I					# r18, 348(r19)
	     255C	lab$0308:
A69D8080     255C		ldq	r20, I					# r20, 112(gp)				    # 000867
A294015C     2560		ldl	r20, I					# r20, 348(r20)
4E809414     2564		mulq	r20, 4, r20
47E11400     2568		mov	8, r0

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 88
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

A79D8080     256C		ldq	r28, B					# r28, 112(gp)
43940414     2570		addq	B, r20, r20				# r28, r20, r20
B01401EC     2574		stl	r0, 492(r20)
A75D8080     2578		ldq	r26, I					# r26, 112(gp)
A35A015C     257C		ldl	r26, I					# r26, 348(r26)
4F40941A     2580		mulq	r26, 4, r26
A77D8080     2584		ldq	r27, I					# r27, 112(gp)
A37B015C     2588		ldl	r27, I					# r27, 348(r27)
4360353B     258C		subq	r27, 1, r27
A43D8080     2590		ldq	r1, I					# r1, 112(gp)
A021015C     2594		ldl	r1, I					# r1, 348(r1)
403B0521     2598		subq	r1, r27, r1
44201C81     259C		cmovle	r1, 0, r1
413B041B     25A0		addq	r9, r27, r27
437F041B     25A4		addq	r27, r31, r27
2E1B0000     25A8		ldq_u	r16, (r27)
4A1B00D0     25AC		extbl	r16, r27, r16
A79D8080     25B0		ldq	r28, A					# r28, 112(gp)
439A041A     25B4		addq	A, r26, r26				# r28, r26, r26
B21A02B8     25B8		stl	r16, 696(r26)
A6BD8080     25BC		ldq	r21, I					# r21, 112(gp)				    # 000866
A2B5015C     25C0		ldl	r21, I					# r21, 348(r21)
42A03015     25C4		addl	r21, 1, r21
A63D8080     25C8		ldq	r17, I					# r17, 112(gp)
B2B1015C     25CC		stl	r21, I					# r21, 348(r17)
4180352C     25D0		subq	var$0099, 1, var$0099			# r12, 1, r12
FD9FFFE1     25D4		bgt	var$0099, lab$0308			# r12, lab$0308
47E21412     25D8		mov	16, r18										    # 000872
A67D8080     25DC		ldq	r19, B					# r19, 112(gp)
B2530270     25E0		stl	r18, B					# r18, 624(r19)
A41E0048     25E4		ldq	r0, 72(sp)
A0000000     25E8		ldl	r0, (r0)
A69D8080     25EC		ldq	r20, A					# r20, 112(gp)
B014033C     25F0		stl	r0, A					# r0, 828(r20)
47E09401     25F4		mov	4, r1										    # 000882
B43E0008     25F8		stq	r1, 8(sp)
A61D8080     25FC		ldq	r16, RDB_CLOCK				# r16, 112(gp)
22900188     2600		lda	r20, RDB_CLOCK				# r20, 392(r16)
A75D8080     2604		ldq	r26, RDBTIME				# r26, 112(gp)
235A01D0     2608		lda	r26, RDBTIME				# r26, 464(r26)
B75E0000     260C		stq	r26, (sp)
A61D8080     2610		ldq	r16, RDB_CLOCK				# r16, 112(gp)
22100170     2614		lda	r16, RDB_CLOCK				# r16, 368(r16)
47E19411     2618		mov	12, r17
A65D8080     261C		ldq	r18, RDB_CLOCK				# r18, 112(gp)
22520170     2620		lda	r18, RDB_CLOCK				# r18, 368(r18)
47E19413     2624		mov	12, r19
47E19415     2628		mov	12, r21
A77D80D0     262C		ldq	r27, for_date_and_time			# r27, 192(gp)
6B5B4000     2630		jsr	r26, for_date_and_time			# r26, (r27)
27BA0001     2634		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2638		lda	gp, $mbufr$savesec2_			# gp, (gp)
A41D8080     263C		ldq	r0, RDBTIME				# r0, 112(gp)				    # 000883
A00001D0     2640		ldl	r0, RDBTIME				# r0, 464(r0)
A43D8080     2644		ldq	r1, RDBANO				# r1, 112(gp)
B0010150     2648		stl	r0, RDBANO				# r0, 336(r1)
A45D8080     264C		ldq	r2, RDBTIME				# r2, 112(gp)				    # 000884

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 89
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

A04201D4     2650		ldl	r2, RDBTIME				# r2, 468(r2)
A47D8080     2654		ldq	r3, RDBMES				# r3, 112(gp)
B0430158     2658		stl	r2, RDBMES				# r2, 344(r3)
A49D8080     265C		ldq	r4, RDBTIME				# r4, 112(gp)				    # 000885
A08401D8     2660		ldl	r4, RDBTIME				# r4, 472(r4)
A4BD8080     2664		ldq	r5, RDBDIA				# r5, 112(gp)
B0850154     2668		stl	r4, RDBDIA				# r4, 340(r5)
47E0D406     266C		mov	6, r6										    # 000887
A4FD8080     2670		ldq	r7, B					# r7, 112(gp)
B0C70274     2674		stl	r6, B					# r6, 628(r7)
A51D8080     2678		ldq	r8, RDBDIA				# r8, 112(gp)
A1080154     267C		ldl	r8, RDBDIA				# r8, 340(r8)
A61D8080     2680		ldq	r16, A					# r16, 112(gp)
B1100340     2684		stl	r8, A					# r8, 832(r16)
47E0B411     2688		mov	5, r17										    # 000888
A65D8080     268C		ldq	r18, B					# r18, 112(gp)
B2320278     2690		stl	r17, B					# r17, 632(r18)
A67D8080     2694		ldq	r19, RDBTIME				# r19, 112(gp)
A27301E0     2698		ldl	r19, RDBTIME				# r19, 480(r19)
A69D8080     269C		ldq	r20, A					# r20, 112(gp)
B2740344     26A0		stl	r19, A					# r19, 836(r20)
47E0D415     26A4		mov	6, r21										    # 000889
A6DD8080     26A8		ldq	r22, B					# r22, 112(gp)
B2B6027C     26AC		stl	r21, B					# r21, 636(r22)
A6FD8080     26B0		ldq	r23, RDBTIME				# r23, 112(gp)
A2F701E4     26B4		ldl	r23, RDBTIME				# r23, 484(r23)
A71D8080     26B8		ldq	r24, A					# r24, 112(gp)
B2F80348     26BC		stl	r23, A					# r23, 840(r24)
47E0D419     26C0		mov	6, r25										    # 000890
A75D8080     26C4		ldq	r26, B					# r26, 112(gp)
B33A0280     26C8		stl	r25, B					# r25, 640(r26)
A77D8080     26CC		ldq	r27, A					# r27, 112(gp)
B3FB034C     26D0		stl	r31, A					# r31, 844(r27)
47E03400     26D4		mov	1, r0										    # 000891
A43D8080     26D8		ldq	r1, B					# r1, 112(gp)
B0010284     26DC		stl	r0, B					# r0, 644(r1)
A45D8080     26E0		ldq	r2, A					# r2, 112(gp)
B3E20350     26E4		stl	r31, A					# r31, 848(r2)
47E11403     26E8		mov	8, r3										    # 000896
A49D8080     26EC		ldq	r4, B					# r4, 112(gp)
B0640288     26F0		stl	r3, B					# r3, 648(r4)
A4BD8080     26F4		ldq	r5, A					# r5, 112(gp)
B3E50354     26F8		stl	r31, A					# r31, 852(r5)
47E11406     26FC		mov	8, r6										    # 000897
A4FD8080     2700		ldq	r7, B					# r7, 112(gp)
B0C7028C     2704		stl	r6, B					# r6, 652(r7)
A51D8080     2708		ldq	r8, A					# r8, 112(gp)
B3E80358     270C		stl	r31, A					# r31, 856(r8)
47E11410     2710		mov	8, r16										    # 000898
A63D8080     2714		ldq	r17, B					# r17, 112(gp)
B2110290     2718		stl	r16, B					# r16, 656(r17)
A65D8080     271C		ldq	r18, A					# r18, 112(gp)
B3F2035C     2720		stl	r31, A					# r31, 860(r18)
47E05413     2724		mov	2, r19										    # 000902
A69D8080     2728		ldq	r20, B					# r20, 112(gp)
B2740294     272C		stl	r19, B					# r19, 660(r20)
47E03415     2730		mov	1, r21

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 90
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

A6DD8080     2734		ldq	r22, A					# r22, 112(gp)
B2B60360     2738		stl	r21, A					# r21, 864(r22)
47E0D417     273C		mov	6, r23										    # 000903
A71D8080     2740		ldq	r24, B					# r24, 112(gp)
B2F80298     2744		stl	r23, B					# r23, 664(r24)
A73D8080     2748		ldq	r25, A					# r25, 112(gp)
B3F90364     274C		stl	r31, A					# r31, 868(r25)
47E0541A     2750		mov	2, r26										    # 000908
A77D8080     2754		ldq	r27, B					# r27, 112(gp)
B35B029C     2758		stl	r26, B					# r26, 668(r27)
A41D8080     275C		ldq	r0, A					# r0, 112(gp)
B3E00368     2760		stl	r31, A					# r31, 872(r0)
47E0D401     2764		mov	6, r1										    # 000909
A45D8080     2768		ldq	r2, B					# r2, 112(gp)
B02202A0     276C		stl	r1, B					# r1, 672(r2)
A47D8080     2770		ldq	r3, A					# r3, 112(gp)
B3E3036C     2774		stl	r31, A					# r31, 876(r3)
47E11404     2778		mov	8, r4										    # 000913
A4BD8080     277C		ldq	r5, B					# r5, 112(gp)
B08502A4     2780		stl	r4, B					# r4, 676(r5)
A4DD8080     2784		ldq	r6, A					# r6, 112(gp)
B3E60370     2788		stl	r31, A					# r31, 880(r6)
47E11407     278C		mov	8, r7										    # 000914
A51D8080     2790		ldq	r8, B					# r8, 112(gp)
B0E802A8     2794		stl	r7, B					# r7, 680(r8)
A61D8080     2798		ldq	r16, A					# r16, 112(gp)
B3F00374     279C		stl	r31, A					# r31, 884(r16)
47E11411     27A0		mov	8, r17										    # 000918
A65D8080     27A4		ldq	r18, B					# r18, 112(gp)
B23202AC     27A8		stl	r17, B					# r17, 684(r18)
88090034     27AC		lds	f0, 52(r9)
5BE005E0     27B0		cvttqc	f0, f0
5FE00601     27B4		cvtql	f0, f1
A69D8080     27B8		ldq	r20, A					# r20, 112(gp)
98340378     27BC		sts	f1, A					# f1, 888(r20)
47E11415     27C0		mov	8, r21										    # 000922
A6DD8080     27C4		ldq	r22, B					# r22, 112(gp)
B2B602B0     27C8		stl	r21, B					# r21, 688(r22)
A6FD8080     27CC		ldq	r23, A					# r23, 112(gp)
B3F7037C     27D0		stl	r31, A					# r31, 892(r23)
47E11418     27D4		mov	8, r24										    # 000923
A73D8080     27D8		ldq	r25, B					# r25, 112(gp)
B31902B4     27DC		stl	r24, B					# r24, 692(r25)
A75D8080     27E0		ldq	r26, A					# r26, 112(gp)
B3FA0380     27E4		stl	r31, A					# r31, 896(r26)
47E1141B     27E8		mov	8, r27										    # 000924
A41D8080     27EC		ldq	r0, B					# r0, 112(gp)
B36002B8     27F0		stl	r27, B					# r27, 696(r0)
A43D8080     27F4		ldq	r1, A					# r1, 112(gp)
B3E10384     27F8		stl	r31, A					# r31, 900(r1)
A47E0130     27FC		ldq	r3, var$0100				# r3, 304(sp)				    # 000931
48605603     2800		zap	r3, 2, r3
B47E0130     2804		stq	r3, var$0100				# r3, 304(sp)
47E07402     2808		mov	3, r2
A4BE0130     280C		ldq	r5, var$0100				# r5, 304(sp)
48A09605     2810		zap	r5, 4, r5
48405162     2814		insbl	r2, 2, r2

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 91
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

44A20405     2818		bis	r5, r2, r5
B4BE0130     281C		stq	r5, var$0100				# r5, 304(sp)
47E15402     2820		mov	10, r2
A4FE0130     2824		ldq	r7, var$0100				# r7, 304(sp)
48E11607     2828		zap	r7, 8, r7
48407162     282C		insbl	r2, 3, r2
44E20407     2830		bis	r7, r2, r7
B4FE0130     2834		stq	r7, var$0100				# r7, 304(sp)
47E09402     2838		mov	4, r2
B45E0138     283C		stq	r2, 312(sp)
A63E0130     2840		ldq	r17, var$0100				# r17, 304(sp)
463FF111     2844		bic	r17, 255, r17
46203411     2848		bis	r17, 1, r17
B63E0130     284C		stq	r17, var$0100				# r17, 304(sp)
47E09410     2850		mov	4, r16
B61E0158     2854		stq	r16, 344(sp)
47E03413     2858		mov	1, r19
B67E0168     285C		stq	r19, 360(sp)
47E67415     2860		mov	51, r21
B6BE0160     2864		stq	r21, 352(sp)
A6FD8080     2868		ldq	r23, A					# r23, 112(gp)
22F702BC     286C		lda	r23, A					# r23, 700(r23)
B6FE0140     2870		stq	r23, 320(sp)
A73D8080     2874		ldq	r25, A					# r25, 112(gp)
233902B8     2878		lda	r25, A					# r25, 696(r25)
B73E0150     287C		stq	r25, 336(sp)
201E0131     2880		lda	r0, 305(sp)
2F600000     2884		ldq_u	r27, (r0)
4B6000C1     2888		extbl	r27, r0, r1
4B60005B     288C		mskbl	r27, r0, r27
44203401     2890		bis	r1, 1, r1
48200161     2894		insbl	r1, r0, r1
4761041B     2898		bis	r27, r1, r27
3F600000     289C		stq_u	r27, (r0)
A49E00F0     28A0		ldq	r4, var$0101				# r4, 240(sp)
48805604     28A4		zap	r4, 2, r4
B49E00F0     28A8		stq	r4, var$0101				# r4, 240(sp)
47E07403     28AC		mov	3, r3
A4DE00F0     28B0		ldq	r6, var$0101				# r6, 240(sp)
48C09606     28B4		zap	r6, 4, r6
48605163     28B8		insbl	r3, 2, r3
44C30406     28BC		bis	r6, r3, r6
B4DE00F0     28C0		stq	r6, var$0101				# r6, 240(sp)
47E15403     28C4		mov	10, r3
A45E00F0     28C8		ldq	r2, var$0101				# r2, 240(sp)
48411602     28CC		zap	r2, 8, r2
48607163     28D0		insbl	r3, 3, r3
44430402     28D4		bis	r2, r3, r2
B45E00F0     28D8		stq	r2, var$0101				# r2, 240(sp)
47E09402     28DC		mov	4, r2
B45E00F8     28E0		stq	r2, 248(sp)
A61E00F0     28E4		ldq	r16, var$0101				# r16, 240(sp)
461FF110     28E8		bic	r16, 255, r16
46003410     28EC		bis	r16, 1, r16
B61E00F0     28F0		stq	r16, var$0101				# r16, 240(sp)
47E09410     28F4		mov	4, r16
B61E0118     28F8		stq	r16, 280(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 92
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

47E03413     28FC		mov	1, r19
B67E0128     2900		stq	r19, 296(sp)
47E67415     2904		mov	51, r21
B6BE0120     2908		stq	r21, 288(sp)
A6FD8080     290C		ldq	r23, B					# r23, 112(gp)
22F701F0     2910		lda	r23, B					# r23, 496(r23)
B6FE0100     2914		stq	r23, 256(sp)
A73D8080     2918		ldq	r25, B					# r25, 112(gp)
233901EC     291C		lda	r25, B					# r25, 492(r25)
B73E0110     2920		stq	r25, 272(sp)
201E00F1     2924		lda	r0, 241(sp)
2C200000     2928		ldq_u	r1, (r0)
482000DB     292C		extbl	r1, r0, r27
48200041     2930		mskbl	r1, r0, r1
4760341B     2934		bis	r27, 1, r27
4B60017B     2938		insbl	r27, r0, r27
443B0401     293C		bis	r1, r27, r1
3C200000     2940		stq_u	r1, (r0)
A65D8018     2944		ldq	r18, 8(gp)
2252003C     2948		lda	r18, 60(r18)
A4BE00B0     294C		ldq	r5, var$0102				# r5, 176(sp)
48A05605     2950		zap	r5, 2, r5
B4BE00B0     2954		stq	r5, var$0102				# r5, 176(sp)
47E1D404     2958		mov	14, r4
A47E00B0     295C		ldq	r3, var$0102				# r3, 176(sp)
48609603     2960		zap	r3, 4, r3
48805164     2964		insbl	r4, 2, r4
44640403     2968		bis	r3, r4, r3
B47E00B0     296C		stq	r3, var$0102				# r3, 176(sp)
47E15403     2970		mov	10, r3
A45E00B0     2974		ldq	r2, var$0102				# r2, 176(sp)
48411602     2978		zap	r2, 8, r2
48607163     297C		insbl	r3, 3, r3
44430402     2980		bis	r2, r3, r2
B45E00B0     2984		stq	r2, var$0102				# r2, 176(sp)
47E03402     2988		mov	1, r2
B45E00B8     298C		stq	r2, 184(sp)
A61E00B0     2990		ldq	r16, var$0102				# r16, 176(sp)
461FF110     2994		bic	r16, 255, r16
46003410     2998		bis	r16, 1, r16
B61E00B0     299C		stq	r16, var$0102				# r16, 176(sp)
47E03410     29A0		mov	1, r16
B61E00D8     29A4		stq	r16, 216(sp)
47E03414     29A8		mov	1, r20
B69E00E8     29AC		stq	r20, 232(sp)
47E69416     29B0		mov	52, r22
B6DE00E0     29B4		stq	r22, 224(sp)
A71D8080     29B8		ldq	r24, SEC2				# r24, 112(gp)
23180198     29BC		lda	r24, SEC2				# r24, 408(r24)
B71E00C0     29C0		stq	r24, 192(sp)
A75D8080     29C4		ldq	r26, SEC2				# r26, 112(gp)
235A0197     29C8		lda	r26, SEC2				# r26, 407(r26)
B75E00D0     29CC		stq	r26, 208(sp)
203E00B1     29D0		lda	r1, 177(sp)
2F610000     29D4		ldq_u	r27, (r1)
4B6100C5     29D8		extbl	r27, r1, r5
4B61005B     29DC		mskbl	r27, r1, r27

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 93
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

44A03405     29E0		bis	r5, 1, r5
48A10165     29E4		insbl	r5, r1, r5
4765041B     29E8		bis	r27, r5, r27
3F610000     29EC		stq_u	r27, (r1)
221E0130     29F0		lda	r16, var$0100				# r16, 304(sp)
223E00F0     29F4		lda	r17, var$0101				# r17, 240(sp)
227E00B0     29F8		lda	r19, var$0102				# r19, 176(sp)
A69D8080     29FC		ldq	r20, NOCT				# r20, 112(gp)
22940164     2A00		lda	r20, NOCT				# r20, 356(r20)
A6BD8080     2A04		ldq	r21, ERR				# r21, 112(gp)
22B50160     2A08		lda	r21, ERR				# r21, 352(r21)
D35FF7D3     2A0C		bsr	r26, L$33
A41D8080     2A10		ldq	r0, NOCT				# r0, 112(gp)				    # 000933
A0000164     2A14		ldl	r0, NOCT				# r0, 356(r0)
44069800     2A18		xor	r0, 52, r0
A43D8080     2A1C		ldq	r1, ERR					# r1, 112(gp)
A0210160     2A20		ldl	r1, ERR					# r1, 352(r1)
44010400     2A24		bis	r0, r1, r0
E4000039     2A28		beq	r0, lab$0324
A45D8010     2A2C		ldq	r2, (gp)									    # 000934
20420240     2A30		lda	r2, 576(r2)
B3FE0070     2A34		stl	r31, var$0024				# r31, 112(sp)
A67D8018     2A38		ldq	r19, 8(gp)
22730008     2A3C		lda	r19, 8(r19)
47E6D404     2A40		mov	54, r4
B49E00B0     2A44		stq	r4, 176(sp)
B45E00B8     2A48		stq	r2, 184(sp)
221E0070     2A4C		lda	r16, var$0024				# r16, 112(sp)
223FFFFF     2A50		mov	-1, r17
265F0385     2A54		ldah	r18, 901(r31)
2252FF00     2A58		lda	r18, -256(r18)
229E00B0     2A5C		lda	r20, 176(sp)
A77D8048     2A60		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     2A64		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     2A68		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2A6C		lda	gp, $mbufr$savesec2_			# gp, (gp)
A63D8018     2A70		ldq	r17, 8(gp)
22310028     2A74		lda	r17, 40(r17)
A41D8080     2A78		ldq	r0, NOCT				# r0, 112(gp)
20000164     2A7C		lda	r0, NOCT				# r0, 356(r0)
B41E00B0     2A80		stq	r0, 176(sp)
221E0070     2A84		lda	r16, var$0024				# r16, 112(sp)
225E00B0     2A88		lda	r18, 176(sp)
A77D8020     2A8C		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     2A90		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     2A94		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2A98		lda	gp, $mbufr$savesec2_			# gp, (gp)
A41D8010     2A9C		ldq	r0, (gp)									    # 000935
20000238     2AA0		lda	r0, 568(r0)
B3FE0070     2AA4		stl	r31, var$0024				# r31, 112(sp)
A67D8018     2AA8		ldq	r19, 8(gp)
22730008     2AAC		lda	r19, 8(r19)
47E0B402     2AB0		mov	5, r2
B45E00B0     2AB4		stq	r2, 176(sp)
B41E00B8     2AB8		stq	r0, 184(sp)
221E0070     2ABC		lda	r16, var$0024				# r16, 112(sp)
223FFFFF     2AC0		mov	-1, r17

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 94
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

265F0385     2AC4		ldah	r18, 901(r31)
2252FF00     2AC8		lda	r18, -256(r18)
229E00B0     2ACC		lda	r20, 176(sp)
A77D8048     2AD0		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     2AD4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     2AD8		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2ADC		lda	gp, $mbufr$savesec2_			# gp, (gp)
A63D8018     2AE0		ldq	r17, 8(gp)
22310028     2AE4		lda	r17, 40(r17)
A41D8080     2AE8		ldq	r0, ERR					# r0, 112(gp)
20000160     2AEC		lda	r0, ERR					# r0, 352(r0)
B41E00B0     2AF0		stq	r0, 176(sp)
221E0070     2AF4		lda	r16, var$0024				# r16, 112(sp)
225E00B0     2AF8		lda	r18, 176(sp)
A77D8020     2AFC		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     2B00		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     2B04		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2B08		lda	gp, $mbufr$savesec2_			# gp, (gp)
C3E00030     2B0C		br	lab$0330
	     2B10	lab$0324:											    # 000933
47E6940B     2B10		mov	52, var$0105				# 52, r11				    # 000943
47E03400     2B14		mov	1, r0
A43D8080     2B18		ldq	r1, I					# r1, 112(gp)
B001015C     2B1C		stl	r0, I					# r0, 348(r1)
	     2B20	lab$0335:
A45D8060     2B20		ldq	r2, $mbufr$currentrg_			# r2, 80(gp)				    # 000944
A0420000     2B24		ldl	r2, $mbufr$currentrg_			# r2, (r2)
40403002     2B28		addl	r2, 1, r2
A47D8060     2B2C		ldq	r3, $mbufr$currentrg_			# r3, 80(gp)
B0430000     2B30		stl	r2, $mbufr$currentrg_			# r2, (r3)
A49D8080     2B34		ldq	r4, I					# r4, 112(gp)				    # 000945
A084015C     2B38		ldl	r4, I					# r4, 348(r4)
A79D8080     2B3C		ldq	r28, SEC2				# r28, 112(gp)
43840404     2B40		addq	SEC2, r4, r4				# r28, r4, r4
20840197     2B44		lda	r4, 407(r4)
B3FE0070     2B48		stl	r31, var$0024				# r31, 112(sp)
A4DD8080     2B4C		ldq	r6, UNI					# r6, 112(gp)
A2260168     2B50		ldl	r17, UNI				# r17, 360(r6)
A67D8018     2B54		ldq	r19, 8(gp)
22730030     2B58		lda	r19, 48(r19)
A4FD8060     2B5C		ldq	r7, $mbufr$currentrg_			# r7, 80(gp)
A2A70000     2B60		ldl	r21, $mbufr$currentrg_			# r21, (r7)
47E03408     2B64		mov	1, r8
B51E00B0     2B68		stq	r8, 176(sp)
B49E00B8     2B6C		stq	r4, 184(sp)
47E03414     2B70		mov	1, r20
B69E00C0     2B74		stq	r20, 192(sp)
221E0070     2B78		lda	r16, var$0024				# r16, 112(sp)
265F0385     2B7C		ldah	r18, 901(r31)
2252FF00     2B80		lda	r18, -256(r18)
229E00B0     2B84		lda	r20, 176(sp)
A77D80C8     2B88		ldq	r27, for_write_dir			# r27, 184(gp)
6B5B4000     2B8C		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     2B90		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2B94		lda	gp, $mbufr$savesec2_			# gp, (gp)
A41D8080     2B98		ldq	r0, I					# r0, 112(gp)				    # 000943
A000015C     2B9C		ldl	r0, I					# r0, 348(r0)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 95
                                $mbufr$savesec2_                15-Sep-2004 10:10:47  mbufr.f90

40003000     2BA0		addl	r0, 1, r0
A43D8080     2BA4		ldq	r1, I					# r1, 112(gp)
B001015C     2BA8		stl	r0, I					# r0, 348(r1)
4160352B     2BAC		subq	var$0105, 1, var$0105			# r11, 1, r11
FD7FFFDB     2BB0		bgt	var$0105, lab$0335			# r11, lab$0335
A75E0010     2BB4		ldq	r26, 16(sp)									    # 000950
A53E0018     2BB8		ldq	r9, 24(sp)
A55E0020     2BBC		ldq	r10, 32(sp)
A57E0028     2BC0		ldq	r11, 40(sp)
A59E0030     2BC4		ldq	r12, 48(sp)
23DE0170     2BC8		lda	sp, 368(sp)
6BFA8001     2BCC		ret	(r26)
	     2BD0	lab$0330:											    # 000935
A61D8010     2BD0		ldq	r16, (gp)									    # 000936
22100050     2BD4		lda	r16, 80(r16)
47FF0411     2BD8		clr	r17
A77D8088     2BDC		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     2BE0		jsr	r26, for_stop				# r26, (r27)
27BA0001     2BE4		ldah	gp, $mbufr$savesec2_			# gp, (r26)
23BDD450     2BE8		lda	gp, $mbufr$savesec2_			# gp, (gp)
				.end 	$mbufr$savesec2_

Routine Size: 2220 bytes,    Routine Base: $CODE$ + 2340

				.globl  $mbufr$savesec3_
				.ent 	$mbufr$savesec3_
				.eflag 16
	     2BEC	$mbufr$savesec3_:										    # 000973
27BB0001     2BEC		ldah	gp, $mbufr$savesec3_			# gp, (r27)
23BDD450     2BF0		lda	gp, $mbufr$savesec3_			# gp, (gp)
	     2BF4	L$25:
23DEFE90     2BF4		lda	sp, -368(sp)
B75E0000     2BF8		stq	r26, (sp)
B53E0008     2BFC		stq	r9, 8(sp)
B55E0010     2C00		stq	r10, 16(sp)
B57E0018     2C04		stq	r11, 24(sp)
B59E0020     2C08		stq	r12, 32(sp)
				.mask 0x04001E00,-368
				.fmask 0x00000000,0
				.frame  $sp, 368, $26
				.prologue 1
B61E0038     2C0C		stq	r16, 56(sp)
47F1040A     2C10		mov	r17, r10
B65E0030     2C14		stq	r18, 48(sp)
B67E0028     2C18		stq	r19, 40(sp)
47F40409     2C1C		mov	r20, r9
E5400008     2C20		beq	r10, lab$0014
A40A0038     2C24		ldq	r0, 56(r10)
A60A0030     2C28		ldq	r16, 48(r10)
42000530     2C2C		subq	r16, r0, r16
42003410     2C30		addq	r16, 1, r16
B60A0030     2C34		stq	r16, 48(r10)
47E03412     2C38		mov	1, r18
B64A0038     2C3C		stq	r18, 56(r10)
B41E0060     2C40		stq	r0, var$0026				# r0, 96(sp)
	     2C44	lab$0014:
A69E0038     2C44		ldq	r20, 56(sp)									    # 000983

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 96
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

A2940000     2C48		ldl	r20, (r20)
A61D8080     2C4C		ldq	r16, UNI				# r16, 112(gp)
B290039C     2C50		stl	r20, UNI				# r20, 924(r16)
A61D80C0     2C54		ldq	r16, $mbufr$subname_			# r16, 176(gp)				    # 000984
A65D8098     2C58		ldq	r18, 136(gp)
22520028     2C5C		lda	r18, 40(r18)
47E11411     2C60		mov	8, r17
A77D8040     2C64		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     2C68		jsr	r26, _OtsMove				# r26, (r27)
47FEF411     2C6C		mov	247, r17
47E41412     2C70		mov	32, r18
A77D8030     2C74		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     2C78		jsr	r26, _OtsFill				# r26, (r27)
A41E0030     2C7C		ldq	r0, 48(sp)									    # 000992
A0000000     2C80		ldl	r0, (r0)
4C005000     2C84		mull	r0, 2, r0
4001B000     2C88		addl	r0, 13, r0
B0090000     2C8C		stl	r0, (r9)
A2290000     2C90		ldl	r17, (r9)									    # 000994
46203012     2C94		and	r17, 1, r18
EA2002A8     2C98		blt	r17, L$123
	     2C9C	L$122:
EE400003     2C9C		ble	r18, lab$0345
A2690000     2CA0		ldl	r19, (r9)
42603013     2CA4		addl	r19, 1, r19
B2690000     2CA8		stl	r19, (r9)
	     2CAC	lab$0345:
47E3141A     2CAC		mov	24, r26										    # 000996
A77D8080     2CB0		ldq	r27, B					# r27, 112(gp)
B35B03A0     2CB4		stl	r26, B					# r26, 928(r27)
A0090000     2CB8		ldl	r0, (r9)
A61D80E0     2CBC		ldq	r16, A					# r16, 208(gp)
B0100000     2CC0		stl	r0, A					# r0, (r16)
47E11411     2CC4		mov	8, r17										    # 000997
A65D8080     2CC8		ldq	r18, B					# r18, 112(gp)
B23203A4     2CCC		stl	r17, B					# r17, 932(r18)
A67D80E0     2CD0		ldq	r19, A					# r19, 208(gp)
B3F30004     2CD4		stl	r31, A					# r31, 4(r19)
47E21414     2CD8		mov	16, r20										    # 000998
A75D8080     2CDC		ldq	r26, B					# r26, 112(gp)
B29A03A8     2CE0		stl	r20, B					# r20, 936(r26)
A77E0028     2CE4		ldq	r27, 40(sp)
A37B0000     2CE8		ldl	r27, (r27)
A41D80E0     2CEC		ldq	r0, A					# r0, 208(gp)
B3600008     2CF0		stl	r27, A					# r27, 8(r0)
47E03410     2CF4		mov	1, r16										    # 000999
A63D8080     2CF8		ldq	r17, B					# r17, 112(gp)
B21103AC     2CFC		stl	r16, B					# r16, 940(r17)
47E03412     2D00		mov	1, r18
A67D80E0     2D04		ldq	r19, A					# r19, 208(gp)
B253000C     2D08		stl	r18, A					# r18, 12(r19)
47E03414     2D0C		mov	1, r20										    # 001000
A75D8080     2D10		ldq	r26, B					# r26, 112(gp)
B29A03B0     2D14		stl	r20, B					# r20, 944(r26)
A41D80E0     2D18		ldq	r0, A					# r0, 208(gp)
B3E00010     2D1C		stl	r31, A					# r31, 16(r0)
47E0D41B     2D20		mov	6, r27										    # 001001

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 97
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

A61D8080     2D24		ldq	r16, B					# r16, 112(gp)
B37003B4     2D28		stl	r27, B					# r27, 948(r16)
A63D80E0     2D2C		ldq	r17, A					# r17, 208(gp)
B3F10014     2D30		stl	r31, A					# r31, 20(r17)
47E0D412     2D34		mov	6, r18										    # 001005
A67D8080     2D38		ldq	r19, IB					# r19, 112(gp)
B253038C     2D3C		stl	r18, IB					# r18, 908(r19)
A69E0030     2D40		ldq	r20, 48(sp)									    # 001006
A2940000     2D44		ldl	r20, (r20)
47F4040C     2D48		mov	r20, var$0107				# r20, r12
47E0341A     2D4C		mov	1, r26
A41D8080     2D50		ldq	r0, I					# r0, 112(gp)
B3400390     2D54		stl	r26, I					# r26, 912(r0)
EE8000D0     2D58		ble	r20, lab$0349
	     2D5C	lab$0347:
A60A0010     2D5C		ldq	r16, 16(r10)									    # 001007
A76A0028     2D60		ldq	r27, 40(r10)
A63D8080     2D64		ldq	r17, I					# r17, 112(gp)
A2310390     2D68		ldl	r17, I					# r17, 912(r17)
A64A0028     2D6C		ldq	r18, 40(r10)
4E3B0411     2D70		mulq	r17, r27, r17
42120530     2D74		subq	r16, r18, r16
42110410     2D78		addq	r16, r17, r16
A2100000     2D7C		ldl	r16, (r16)
A66A0010     2D80		ldq	r19, 16(r10)
A40A0028     2D84		ldq	r0, 40(r10)
A75D8080     2D88		ldq	r26, I					# r26, 112(gp)
A35A0390     2D8C		ldl	r26, I					# r26, 912(r26)
A68A0028     2D90		ldq	r20, 40(r10)
4F400400     2D94		mulq	r26, r0, r0
42740533     2D98		subq	r19, r20, r19
42600400     2D9C		addq	r19, r0, r0
A0000004     2DA0		ldl	r0, 4(r0)
A76A0010     2DA4		ldq	r27, 16(r10)
A64A0028     2DA8		ldq	r18, 40(r10)
A63D8080     2DAC		ldq	r17, I					# r17, 112(gp)
A2310390     2DB0		ldl	r17, I					# r17, 912(r17)
A74A0028     2DB4		ldq	r26, 40(r10)
4E320411     2DB8		mulq	r17, r18, r17
437A053A     2DBC		subq	r27, r26, r26
43510411     2DC0		addq	r26, r17, r17
A2310008     2DC4		ldl	r17, 8(r17)
229F01B0     2DC8		mov	432, r20
4E340411     2DCC		mulq	r17, r20, r17
4C019400     2DD0		mulq	r0, 12, r0
40110400     2DD4		addq	r0, r17, r0
4E019410     2DD8		mulq	r16, 12, r16
42000400     2DDC		addq	r16, r0, r0
A79D80D8     2DE0		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43800400     2DE4		addq	$mbufr$tabb_, r0, r0			# r28, r0, r0
A0000000     2DE8		ldl	r0, (r0)
EC000059     2DEC		ble	r0, lab$0353
A67D8080     2DF0		ldq	r19, IB					# r19, 112(gp)				    # 001008
A273038C     2DF4		ldl	r19, IB					# r19, 908(r19)
42603013     2DF8		addl	r19, 1, r19
A65D8080     2DFC		ldq	r18, IB					# r18, 112(gp)
B272038C     2E00		stl	r19, IB					# r19, 908(r18)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 98
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

A77D8080     2E04		ldq	r27, IB					# r27, 112(gp)
A37B038C     2E08		ldl	r27, IB					# r27, 908(r27)
4F60941B     2E0C		mulq	r27, 4, r27
47E0541A     2E10		mov	2, r26
A79D8080     2E14		ldq	r28, B					# r28, 112(gp)
439B041B     2E18		addq	B, r27, r27				# r28, r27, r27
B35B039C     2E1C		stl	r26, 924(r27)
A69D8080     2E20		ldq	r20, IB					# r20, 112(gp)
A294038C     2E24		ldl	r20, IB					# r20, 908(r20)
4E809414     2E28		mulq	r20, 4, r20
A62A0010     2E2C		ldq	r17, 16(r10)
A60A0028     2E30		ldq	r16, 40(r10)
A41D8080     2E34		ldq	r0, I					# r0, 112(gp)
A0000390     2E38		ldl	r0, I					# r0, 912(r0)
A64A0028     2E3C		ldq	r18, 40(r10)
4C100400     2E40		mulq	r0, r16, r0
42320531     2E44		subq	r17, r18, r17
42200400     2E48		addq	r17, r0, r0
A0000000     2E4C		ldl	r0, (r0)
A79D80E0     2E50		ldq	r28, A					# r28, 208(gp)
43940414     2E54		addq	A, r20, r20				# r28, r20, r20
B014FFFC     2E58		stl	r0, -4(r20)
A67D8080     2E5C		ldq	r19, IB					# r19, 112(gp)				    # 001009
A273038C     2E60		ldl	r19, IB					# r19, 908(r19)
42603013     2E64		addl	r19, 1, r19
A75D8080     2E68		ldq	r26, IB					# r26, 112(gp)
B27A038C     2E6C		stl	r19, IB					# r19, 908(r26)
A77D8080     2E70		ldq	r27, IB					# r27, 112(gp)
A37B038C     2E74		ldl	r27, IB					# r27, 908(r27)
4F60941B     2E78		mulq	r27, 4, r27
47E0D410     2E7C		mov	6, r16
A79D8080     2E80		ldq	r28, B					# r28, 112(gp)
439B041B     2E84		addq	B, r27, r27				# r28, r27, r27
B21B039C     2E88		stl	r16, 924(r27)
A65D8080     2E8C		ldq	r18, IB					# r18, 112(gp)
A252038C     2E90		ldl	r18, IB					# r18, 908(r18)
4E409412     2E94		mulq	r18, 4, r18
A62A0010     2E98		ldq	r17, 16(r10)
A40A0028     2E9C		ldq	r0, 40(r10)
A69D8080     2EA0		ldq	r20, I					# r20, 112(gp)
A2940390     2EA4		ldl	r20, I					# r20, 912(r20)
A66A0028     2EA8		ldq	r19, 40(r10)
4E800400     2EAC		mulq	r20, r0, r0
42330531     2EB0		subq	r17, r19, r17
42200400     2EB4		addq	r17, r0, r0
A0000004     2EB8		ldl	r0, 4(r0)
A79D80E0     2EBC		ldq	r28, A					# r28, 208(gp)
43920412     2EC0		addq	A, r18, r18				# r28, r18, r18
B012FFFC     2EC4		stl	r0, -4(r18)
A75D8080     2EC8		ldq	r26, IB					# r26, 112(gp)				    # 001010
A35A038C     2ECC		ldl	r26, IB					# r26, 908(r26)
4340301A     2ED0		addl	r26, 1, r26
A61D8080     2ED4		ldq	r16, IB					# r16, 112(gp)
B350038C     2ED8		stl	r26, IB					# r26, 908(r16)
A77D8080     2EDC		ldq	r27, IB					# r27, 112(gp)
A37B038C     2EE0		ldl	r27, IB					# r27, 908(r27)
4F60941B     2EE4		mulq	r27, 4, r27

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 99
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

47E11414     2EE8		mov	8, r20
A79D8080     2EEC		ldq	r28, B					# r28, 112(gp)
439B041B     2EF0		addq	B, r27, r27				# r28, r27, r27
B29B039C     2EF4		stl	r20, 924(r27)
A67D8080     2EF8		ldq	r19, IB					# r19, 112(gp)
A273038C     2EFC		ldl	r19, IB					# r19, 908(r19)
4E609413     2F00		mulq	r19, 4, r19
A62A0010     2F04		ldq	r17, 16(r10)
A40A0028     2F08		ldq	r0, 40(r10)
A65D8080     2F0C		ldq	r18, I					# r18, 112(gp)
A2520390     2F10		ldl	r18, I					# r18, 912(r18)
A60A0028     2F14		ldq	r16, 40(r10)
4E400400     2F18		mulq	r18, r0, r0
42300530     2F1C		subq	r17, r16, r16
42000400     2F20		addq	r16, r0, r0
A0000008     2F24		ldl	r0, 8(r0)
A79D80E0     2F28		ldq	r28, A					# r28, 208(gp)
43930413     2F2C		addq	A, r19, r19				# r28, r19, r19
B013FFFC     2F30		stl	r0, -4(r19)
A75D8080     2F34		ldq	r26, I					# r26, 112(gp)				    # 001006
A35A0390     2F38		ldl	r26, I					# r26, 912(r26)
4340301A     2F3C		addl	r26, 1, r26
A69D8080     2F40		ldq	r20, I					# r20, 112(gp)
B3540390     2F44		stl	r26, I					# r26, 912(r20)
4180352C     2F48		subq	var$0107, 1, var$0107			# r12, 1, r12
FD9FFF83     2F4C		bgt	var$0107, lab$0347			# r12, lab$0347
C3E00052     2F50		br	lab$0349
	     2F54	lab$0353:											    # 001012
A77D8010     2F54		ldq	r27, (gp)
237B02A8     2F58		lda	r27, 680(r27)
B3FE0068     2F5C		stl	r31, var$0025				# r31, 104(sp)
A67D8018     2F60		ldq	r19, 8(gp)
47E45411     2F64		mov	34, r17
B63E00B0     2F68		stq	r17, 176(sp)
B77E00B8     2F6C		stq	r27, 184(sp)
221E0068     2F70		lda	r16, var$0025				# r16, 104(sp)
223FFFFF     2F74		mov	-1, r17
265F0385     2F78		ldah	r18, 901(r31)
2252FF00     2F7C		lda	r18, -256(r18)
229E00B0     2F80		lda	r20, 176(sp)
A77D8048     2F84		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     2F88		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     2F8C		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     2F90		lda	gp, $mbufr$savesec3_			# gp, (gp)
A40A0010     2F94		ldq	r0, 16(r10)									    # 001013
A42A0028     2F98		ldq	r1, 40(r10)
A45D8080     2F9C		ldq	r2, I					# r2, 112(gp)
A0420390     2FA0		ldl	r2, I					# r2, 912(r2)
A46A0028     2FA4		ldq	r3, 40(r10)
4C410401     2FA8		mulq	r2, r1, r1
40030520     2FAC		subq	r0, r3, r0
40010400     2FB0		addq	r0, r1, r0
B3FE0068     2FB4		stl	r31, var$0025				# r31, 104(sp)
A67D8018     2FB8		ldq	r19, 8(gp)
22730050     2FBC		lda	r19, 80(r19)
47E09405     2FC0		mov	4, r5
B4BE00B0     2FC4		stq	r5, 176(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 100
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

B41E00B8     2FC8		stq	r0, 184(sp)
221E0068     2FCC		lda	r16, var$0025				# r16, 104(sp)
223FFFFF     2FD0		mov	-1, r17
265F0385     2FD4		ldah	r18, 901(r31)
2252FF00     2FD8		lda	r18, -256(r18)
229E00B0     2FDC		lda	r20, 176(sp)
A6BD80B0     2FE0		ldq	r21, var$0028				# r21, 160(gp)
22B5003C     2FE4		lda	r21, var$0028				# r21, 60(r21)
A77D80A8     2FE8		ldq	r27, for_write_seq_fmt			# r27, 152(gp)
6B5B4000     2FEC		jsr	r26, for_write_seq_fmt			# r26, (r27)
27BA0001     2FF0		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     2FF4		lda	gp, $mbufr$savesec3_			# gp, (gp)
A40A0010     2FF8		ldq	r0, 16(r10)
A42A0028     2FFC		ldq	r1, 40(r10)
A45D8080     3000		ldq	r2, I					# r2, 112(gp)
A0420390     3004		ldl	r2, I					# r2, 912(r2)
A46A0028     3008		ldq	r3, 40(r10)
4C410401     300C		mulq	r2, r1, r1
40030520     3010		subq	r0, r3, r0
40010400     3014		addq	r0, r1, r0
20000004     3018		lda	r0, 4(r0)
A63D8018     301C		ldq	r17, 8(gp)
22310050     3020		lda	r17, 80(r17)
47E09404     3024		mov	4, r4
B49E00B0     3028		stq	r4, 176(sp)
B41E00B8     302C		stq	r0, 184(sp)
221E0068     3030		lda	r16, var$0025				# r16, 104(sp)
225E00B0     3034		lda	r18, 176(sp)
A77D80A0     3038		ldq	r27, for_write_seq_fmt_xmit		# r27, 144(gp)
6B5B4000     303C		jsr	r26, for_write_seq_fmt_xmit		# r26, (r27)
27BA0001     3040		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     3044		lda	gp, $mbufr$savesec3_			# gp, (gp)
A40A0010     3048		ldq	r0, 16(r10)
A42A0028     304C		ldq	r1, 40(r10)
A45D8080     3050		ldq	r2, I					# r2, 112(gp)
A0420390     3054		ldl	r2, I					# r2, 912(r2)
A46A0028     3058		ldq	r3, 40(r10)
4C410401     305C		mulq	r2, r1, r1
40030520     3060		subq	r0, r3, r0
40010400     3064		addq	r0, r1, r0
20000008     3068		lda	r0, 8(r0)
A63D8018     306C		ldq	r17, 8(gp)
22310020     3070		lda	r17, 32(r17)
47E09404     3074		mov	4, r4
B49E00B0     3078		stq	r4, 176(sp)
B41E00B8     307C		stq	r0, 184(sp)
221E0068     3080		lda	r16, var$0025				# r16, 104(sp)
225E00B0     3084		lda	r18, 176(sp)
A77D80A0     3088		ldq	r27, for_write_seq_fmt_xmit		# r27, 144(gp)
6B5B4000     308C		jsr	r26, for_write_seq_fmt_xmit		# r26, (r27)
27BA0001     3090		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     3094		lda	gp, $mbufr$savesec3_			# gp, (gp)
C3E001AB     3098		br	lab$0358
	     309C	lab$0349:											    # 001006
A41D8080     309C		ldq	r0, IB					# r0, 112(gp)				    # 001031
A000038C     30A0		ldl	r0, IB					# r0, 908(r0)
40003000     30A4		addl	r0, 1, r0

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 101
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

A43D8080     30A8		ldq	r1, IB					# r1, 112(gp)
B001038C     30AC		stl	r0, IB					# r0, 908(r1)
A45D8080     30B0		ldq	r2, IB					# r2, 112(gp)
A042038C     30B4		ldl	r2, IB					# r2, 908(r2)
4C409402     30B8		mulq	r2, 4, r2
47E05403     30BC		mov	2, r3
A79D8080     30C0		ldq	r28, B					# r28, 112(gp)
43820402     30C4		addq	B, r2, r2				# r28, r2, r2
B062039C     30C8		stl	r3, 924(r2)
A49D8080     30CC		ldq	r4, IB					# r4, 112(gp)
A084038C     30D0		ldl	r4, IB					# r4, 908(r4)
4C809404     30D4		mulq	r4, 4, r4
47E05405     30D8		mov	2, r5
A79D80E0     30DC		ldq	r28, A					# r28, 208(gp)
43840404     30E0		addq	A, r4, r4				# r28, r4, r4
B0A4FFFC     30E4		stl	r5, -4(r4)
A4DD8080     30E8		ldq	r6, IB					# r6, 112(gp)				    # 001032
A0C6038C     30EC		ldl	r6, IB					# r6, 908(r6)
40C03006     30F0		addl	r6, 1, r6
A4FD8080     30F4		ldq	r7, IB					# r7, 112(gp)
B0C7038C     30F8		stl	r6, IB					# r6, 908(r7)
A51D8080     30FC		ldq	r8, IB					# r8, 112(gp)
A108038C     3100		ldl	r8, IB					# r8, 908(r8)
4D009408     3104		mulq	r8, 4, r8
47E0D410     3108		mov	6, r16
A79D8080     310C		ldq	r28, B					# r28, 112(gp)
43880408     3110		addq	B, r8, r8				# r28, r8, r8
B208039C     3114		stl	r16, 924(r8)
A63D8080     3118		ldq	r17, IB					# r17, 112(gp)
A231038C     311C		ldl	r17, IB					# r17, 908(r17)
4E209411     3120		mulq	r17, 4, r17
47E2D412     3124		mov	22, r18
A79D80E0     3128		ldq	r28, A					# r28, 208(gp)
43910411     312C		addq	A, r17, r17				# r28, r17, r17
B251FFFC     3130		stl	r18, -4(r17)
A67D8080     3134		ldq	r19, IB					# r19, 112(gp)				    # 001033
A273038C     3138		ldl	r19, IB					# r19, 908(r19)
42603013     313C		addl	r19, 1, r19
A69D8080     3140		ldq	r20, IB					# r20, 112(gp)
B274038C     3144		stl	r19, IB					# r19, 908(r20)
A6BD8080     3148		ldq	r21, IB					# r21, 112(gp)
A2B5038C     314C		ldl	r21, IB					# r21, 908(r21)
4EA09415     3150		mulq	r21, 4, r21
47E11416     3154		mov	8, r22
A79D8080     3158		ldq	r28, B					# r28, 112(gp)
43950415     315C		addq	B, r21, r21				# r28, r21, r21
B2D5039C     3160		stl	r22, 924(r21)
A6FD8080     3164		ldq	r23, IB					# r23, 112(gp)
A2F7038C     3168		ldl	r23, IB					# r23, 908(r23)
4EE09417     316C		mulq	r23, 4, r23
A79D80E0     3170		ldq	r28, A					# r28, 208(gp)
43970417     3174		addq	A, r23, r23				# r28, r23, r23
B3F7FFFC     3178		stl	r31, -4(r23)
A71D8080     317C		ldq	r24, IB					# r24, 112(gp)				    # 001035
A318038C     3180		ldl	r24, IB					# r24, 908(r24)
43003018     3184		addl	r24, 1, r24
A73D8080     3188		ldq	r25, IB					# r25, 112(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 102
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

B319038C     318C		stl	r24, IB					# r24, 908(r25)
A75D8080     3190		ldq	r26, IB					# r26, 112(gp)
A35A038C     3194		ldl	r26, IB					# r26, 908(r26)
4F40941A     3198		mulq	r26, 4, r26
47E0541B     319C		mov	2, r27
A79D8080     31A0		ldq	r28, B					# r28, 112(gp)
439A041A     31A4		addq	B, r26, r26				# r28, r26, r26
B37A039C     31A8		stl	r27, 924(r26)
A41D8080     31AC		ldq	r0, IB					# r0, 112(gp)
A000038C     31B0		ldl	r0, IB					# r0, 908(r0)
4C009400     31B4		mulq	r0, 4, r0
47E03401     31B8		mov	1, r1
A79D80E0     31BC		ldq	r28, A					# r28, 208(gp)
43800400     31C0		addq	A, r0, r0				# r28, r0, r0
B020FFFC     31C4		stl	r1, -4(r0)
A45D8080     31C8		ldq	r2, IB					# r2, 112(gp)				    # 001036
A042038C     31CC		ldl	r2, IB					# r2, 908(r2)
40403002     31D0		addl	r2, 1, r2
A47D8080     31D4		ldq	r3, IB					# r3, 112(gp)
B043038C     31D8		stl	r2, IB					# r2, 908(r3)
A49D8080     31DC		ldq	r4, IB					# r4, 112(gp)
A084038C     31E0		ldl	r4, IB					# r4, 908(r4)
4C809404     31E4		mulq	r4, 4, r4
47E0D405     31E8		mov	6, r5
A79D8080     31EC		ldq	r28, B					# r28, 112(gp)
43840404     31F0		addq	B, r4, r4				# r28, r4, r4
B0A4039C     31F4		stl	r5, 924(r4)
A4DD8080     31F8		ldq	r6, IB					# r6, 112(gp)
A0C6038C     31FC		ldl	r6, IB					# r6, 908(r6)
4CC09406     3200		mulq	r6, 4, r6
47E03407     3204		mov	1, r7
A79D80E0     3208		ldq	r28, A					# r28, 208(gp)
43860406     320C		addq	A, r6, r6				# r28, r6, r6
B0E6FFFC     3210		stl	r7, -4(r6)
A51D8080     3214		ldq	r8, IB					# r8, 112(gp)				    # 001037
A108038C     3218		ldl	r8, IB					# r8, 908(r8)
41003008     321C		addl	r8, 1, r8
A61D8080     3220		ldq	r16, IB					# r16, 112(gp)
B110038C     3224		stl	r8, IB					# r8, 908(r16)
A63D8080     3228		ldq	r17, IB					# r17, 112(gp)
A231038C     322C		ldl	r17, IB					# r17, 908(r17)
4E209411     3230		mulq	r17, 4, r17
47E11412     3234		mov	8, r18
A79D8080     3238		ldq	r28, B					# r28, 112(gp)
43910411     323C		addq	B, r17, r17				# r28, r17, r17
B251039C     3240		stl	r18, 924(r17)
A67D8080     3244		ldq	r19, IB					# r19, 112(gp)
A273038C     3248		ldl	r19, IB					# r19, 908(r19)
4E609413     324C		mulq	r19, 4, r19
A69E0030     3250		ldq	r20, 48(sp)
A2940000     3254		ldl	r20, (r20)
A79D80E0     3258		ldq	r28, A					# r28, 208(gp)
43930413     325C		addq	A, r19, r19				# r28, r19, r19
B293FFFC     3260		stl	r20, -4(r19)
A6BD8080     3264		ldq	r21, IB					# r21, 112(gp)				    # 001040
A2B5038C     3268		ldl	r21, IB					# r21, 908(r21)
42A03015     326C		addl	r21, 1, r21

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 103
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

A6DD8080     3270		ldq	r22, IB					# r22, 112(gp)
B2B6038C     3274		stl	r21, IB					# r21, 908(r22)
A6FD8080     3278		ldq	r23, IB					# r23, 112(gp)
A2F7038C     327C		ldl	r23, IB					# r23, 908(r23)
4EE09417     3280		mulq	r23, 4, r23
47E05418     3284		mov	2, r24
A79D8080     3288		ldq	r28, B					# r28, 112(gp)
43970417     328C		addq	B, r23, r23				# r28, r23, r23
B317039C     3290		stl	r24, 924(r23)
A73D8080     3294		ldq	r25, IB					# r25, 112(gp)
A339038C     3298		ldl	r25, IB					# r25, 908(r25)
4F209419     329C		mulq	r25, 4, r25
A79D80E0     32A0		ldq	r28, A					# r28, 208(gp)
43990419     32A4		addq	A, r25, r25				# r28, r25, r25
B3F9FFFC     32A8		stl	r31, -4(r25)
A75D8080     32AC		ldq	r26, IB					# r26, 112(gp)				    # 001041
A35A038C     32B0		ldl	r26, IB					# r26, 908(r26)
4340301A     32B4		addl	r26, 1, r26
A77D8080     32B8		ldq	r27, IB					# r27, 112(gp)
B35B038C     32BC		stl	r26, IB					# r26, 908(r27)
A41D8080     32C0		ldq	r0, IB					# r0, 112(gp)
A000038C     32C4		ldl	r0, IB					# r0, 908(r0)
4C009400     32C8		mulq	r0, 4, r0
47E0D401     32CC		mov	6, r1
A79D8080     32D0		ldq	r28, B					# r28, 112(gp)
43800400     32D4		addq	B, r0, r0				# r28, r0, r0
B020039C     32D8		stl	r1, 924(r0)
A45D8080     32DC		ldq	r2, IB					# r2, 112(gp)
A042038C     32E0		ldl	r2, IB					# r2, 908(r2)
4C409402     32E4		mulq	r2, 4, r2
47E43403     32E8		mov	33, r3
A79D80E0     32EC		ldq	r28, A					# r28, 208(gp)
43820402     32F0		addq	A, r2, r2				# r28, r2, r2
B062FFFC     32F4		stl	r3, -4(r2)
A49D8080     32F8		ldq	r4, IB					# r4, 112(gp)				    # 001042
A084038C     32FC		ldl	r4, IB					# r4, 908(r4)
40803004     3300		addl	r4, 1, r4
A4BD8080     3304		ldq	r5, IB					# r5, 112(gp)
B085038C     3308		stl	r4, IB					# r4, 908(r5)
A4DD8080     330C		ldq	r6, IB					# r6, 112(gp)
A0C6038C     3310		ldl	r6, IB					# r6, 908(r6)
4CC09406     3314		mulq	r6, 4, r6
47E11407     3318		mov	8, r7
A79D8080     331C		ldq	r28, B					# r28, 112(gp)
43860406     3320		addq	B, r6, r6				# r28, r6, r6
B0E6039C     3324		stl	r7, 924(r6)
A51D8080     3328		ldq	r8, IB					# r8, 112(gp)
A108038C     332C		ldl	r8, IB					# r8, 908(r8)
4D009408     3330		mulq	r8, 4, r8
47E0F410     3334		mov	7, r16
A79D80E0     3338		ldq	r28, A					# r28, 208(gp)
43880408     333C		addq	A, r8, r8				# r28, r8, r8
B208FFFC     3340		stl	r16, -4(r8)
A65E0128     3344		ldq	r18, var$0110				# r18, 296(sp)				    # 001051
4A405612     3348		zap	r18, 2, r18
B65E0128     334C		stq	r18, var$0110				# r18, 296(sp)
47E07411     3350		mov	3, r17

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 104
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

A69E0128     3354		ldq	r20, var$0110				# r20, 296(sp)
4A809614     3358		zap	r20, 4, r20
4A205171     335C		insbl	r17, 2, r17
46910414     3360		bis	r20, r17, r20
B69E0128     3364		stq	r20, var$0110				# r20, 296(sp)
47E15411     3368		mov	10, r17
A6DE0128     336C		ldq	r22, var$0110				# r22, 296(sp)
4AC11616     3370		zap	r22, 8, r22
4A207171     3374		insbl	r17, 3, r17
46D10416     3378		bis	r22, r17, r22
B6DE0128     337C		stq	r22, var$0110				# r22, 296(sp)
47E09411     3380		mov	4, r17
B63E0130     3384		stq	r17, 304(sp)
A73E0128     3388		ldq	r25, var$0110				# r25, 296(sp)
473FF119     338C		bic	r25, 255, r25
47203419     3390		bis	r25, 1, r25
B73E0128     3394		stq	r25, var$0110				# r25, 296(sp)
47E09418     3398		mov	4, r24
B71E0150     339C		stq	r24, 336(sp)
47E0341B     33A0		mov	1, r27
B77E0160     33A4		stq	r27, 352(sp)
203F1F40     33A8		mov	8000, r1
B43E0158     33AC		stq	r1, 344(sp)
A47D80E0     33B0		ldq	r3, A					# r3, 208(gp)
20630000     33B4		lda	r3, A					# r3, (r3)
B47E0138     33B8		stq	r3, 312(sp)
A4BD80E0     33BC		ldq	r5, A					# r5, 208(gp)
20A5FFFC     33C0		lda	r5, A					# r5, -4(r5)
B4BE0148     33C4		stq	r5, 328(sp)
20FE0129     33C8		lda	r7, 297(sp)
2D070000     33CC		ldq_u	r8, (r7)
490700D0     33D0		extbl	r8, r7, r16
49070048     33D4		mskbl	r8, r7, r8
46003410     33D8		bis	r16, 1, r16
4A070170     33DC		insbl	r16, r7, r16
45100408     33E0		bis	r8, r16, r8
3D070000     33E4		stq_u	r8, (r7)
A67E00E8     33E8		ldq	r19, var$0111				# r19, 232(sp)
4A605613     33EC		zap	r19, 2, r19
B67E00E8     33F0		stq	r19, var$0111				# r19, 232(sp)
47E07412     33F4		mov	3, r18
A6BE00E8     33F8		ldq	r21, var$0111				# r21, 232(sp)
4AA09615     33FC		zap	r21, 4, r21
4A405172     3400		insbl	r18, 2, r18
46B20415     3404		bis	r21, r18, r21
B6BE00E8     3408		stq	r21, var$0111				# r21, 232(sp)
47E15412     340C		mov	10, r18
A63E00E8     3410		ldq	r17, var$0111				# r17, 232(sp)
4A211611     3414		zap	r17, 8, r17
4A407172     3418		insbl	r18, 3, r18
46320411     341C		bis	r17, r18, r17
B63E00E8     3420		stq	r17, var$0111				# r17, 232(sp)
47E09411     3424		mov	4, r17
B63E00F0     3428		stq	r17, 240(sp)
A71E00E8     342C		ldq	r24, var$0111				# r24, 232(sp)
471FF118     3430		bic	r24, 255, r24
47003418     3434		bis	r24, 1, r24

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 105
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

B71E00E8     3438		stq	r24, var$0111				# r24, 232(sp)
47E09418     343C		mov	4, r24
B71E0110     3440		stq	r24, 272(sp)
47E03400     3444		mov	1, r0
B41E0120     3448		stq	r0, 288(sp)
203F1F40     344C		mov	8000, r1
B43E0118     3450		stq	r1, 280(sp)
A47D8080     3454		ldq	r3, B					# r3, 112(gp)
206303A0     3458		lda	r3, B					# r3, 928(r3)
B47E00F8     345C		stq	r3, 248(sp)
A4BD8080     3460		ldq	r5, B					# r5, 112(gp)
20A5039C     3464		lda	r5, B					# r5, 924(r5)
B4BE0108     3468		stq	r5, 264(sp)
20FE00E9     346C		lda	r7, 233(sp)
2D070000     3470		ldq_u	r8, (r7)
490700D0     3474		extbl	r8, r7, r16
49070048     3478		mskbl	r8, r7, r8
46003410     347C		bis	r16, 1, r16
4A070170     3480		insbl	r16, r7, r16
45100408     3484		bis	r8, r16, r8
3D070000     3488		stq_u	r8, (r7)
A69E00A8     348C		ldq	r20, var$0112				# r20, 168(sp)
4A805614     3490		zap	r20, 2, r20
B69E00A8     3494		stq	r20, var$0112				# r20, 168(sp)
47E1D413     3498		mov	14, r19
A65E00A8     349C		ldq	r18, var$0112				# r18, 168(sp)
4A409612     34A0		zap	r18, 4, r18
4A605173     34A4		insbl	r19, 2, r19
46530412     34A8		bis	r18, r19, r18
B65E00A8     34AC		stq	r18, var$0112				# r18, 168(sp)
47E15412     34B0		mov	10, r18
A63E00A8     34B4		ldq	r17, var$0112				# r17, 168(sp)
4A211611     34B8		zap	r17, 8, r17
4A407172     34BC		insbl	r18, 3, r18
46320411     34C0		bis	r17, r18, r17
B63E00A8     34C4		stq	r17, var$0112				# r17, 168(sp)
47E03411     34C8		mov	1, r17
B63E00B0     34CC		stq	r17, 176(sp)
A71E00A8     34D0		ldq	r24, var$0112				# r24, 168(sp)
471FF118     34D4		bic	r24, 255, r24
47003418     34D8		bis	r24, 1, r24
B71E00A8     34DC		stq	r24, var$0112				# r24, 168(sp)
47E03418     34E0		mov	1, r24
B71E00D0     34E4		stq	r24, 208(sp)
47E03400     34E8		mov	1, r0
B41E00E0     34EC		stq	r0, 224(sp)
203F03E8     34F0		mov	1000, r1
B43E00D8     34F4		stq	r1, 216(sp)
A47D80E0     34F8		ldq	r3, SEC3				# r3, 208(gp)
20637D00     34FC		lda	r3, SEC3				# r3, 32000(r3)
B47E00B8     3500		stq	r3, 184(sp)
A4BD80E0     3504		ldq	r5, SEC3				# r5, 208(gp)
20A57CFF     3508		lda	r5, SEC3				# r5, 31999(r5)
B4BE00C8     350C		stq	r5, 200(sp)
20FE00A9     3510		lda	r7, 169(sp)
2D070000     3514		ldq_u	r8, (r7)
490700D0     3518		extbl	r8, r7, r16

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 106
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

49070048     351C		mskbl	r8, r7, r8
46003410     3520		bis	r16, 1, r16
4A070170     3524		insbl	r16, r7, r16
45100408     3528		bis	r8, r16, r8
3D070000     352C		stq_u	r8, (r7)
221E0128     3530		lda	r16, var$0110				# r16, 296(sp)
223E00E8     3534		lda	r17, var$0111				# r17, 232(sp)
A65D8080     3538		ldq	r18, IB					# r18, 112(gp)
2252038C     353C		lda	r18, IB					# r18, 908(r18)
227E00A8     3540		lda	r19, var$0112				# r19, 168(sp)
A69D8080     3544		ldq	r20, NOCT				# r20, 112(gp)
22940398     3548		lda	r20, NOCT				# r20, 920(r20)
A6BD8080     354C		ldq	r21, ERR				# r21, 112(gp)
22B50394     3550		lda	r21, ERR				# r21, 916(r21)
D35FF501     3554		bsr	r26, L$33
A41D8080     3558		ldq	r0, NOCT				# r0, 112(gp)				    # 001055
A0000398     355C		ldl	r0, NOCT				# r0, 920(r0)
44003001     3560		and	r0, 1, r1
E800007F     3564		blt	r0, L$134
	     3568	L$133:
EC20000D     3568		ble	r1, lab$0370
A45D8080     356C		ldq	r2, NOCT				# r2, 112(gp)				    # 001056
A0420398     3570		ldl	r2, NOCT				# r2, 920(r2)
40403002     3574		addl	r2, 1, r2
A47D8080     3578		ldq	r3, NOCT				# r3, 112(gp)
B0430398     357C		stl	r2, NOCT				# r2, 920(r3)
A49D8080     3580		ldq	r4, NOCT				# r4, 112(gp)				    # 001057
A0840398     3584		ldl	r4, NOCT				# r4, 920(r4)
A4BD80E0     3588		ldq	r5, SEC3				# r5, 208(gp)
40A40405     358C		addq	SEC3, r4, r5				# r5, r4, r5
20A57CFF     3590		lda	r5, 31999(r5)
2CC50000     3594		ldq_u	r6, (r5)
48C50046     3598		mskbl	r6, r5, r6
3CC50000     359C		stq_u	r6, (r5)
	     35A0	lab$0370:											    # 001055
A4FD8080     35A0		ldq	r7, ERR					# r7, 112(gp)				    # 001061
A0E70394     35A4		ldl	r7, ERR					# r7, 916(r7)
A51D8080     35A8		ldq	r8, NOCT				# r8, 112(gp)
A1080398     35AC		ldl	r8, NOCT				# r8, 920(r8)
A2090000     35B0		ldl	r16, (r9)
45100808     35B4		xor	r8, r16, r8
44E80407     35B8		bis	r7, r8, r7
E4E0001D     35BC		beq	r7, lab$0382
A63D8010     35C0		ldq	r17, (gp)									    # 001062
22310278     35C4		lda	r17, 632(r17)
B3FE0068     35C8		stl	r31, var$0025				# r31, 104(sp)
A67D8018     35CC		ldq	r19, 8(gp)
22730008     35D0		lda	r19, 8(r19)
47E61414     35D4		mov	48, r20
B69E00B0     35D8		stq	r20, 176(sp)
B63E00B8     35DC		stq	r17, 184(sp)
221E0068     35E0		lda	r16, var$0025				# r16, 104(sp)
223FFFFF     35E4		mov	-1, r17
265F0385     35E8		ldah	r18, 901(r31)
2252FF00     35EC		lda	r18, -256(r18)
229E00B0     35F0		lda	r20, 176(sp)
A77D8048     35F4		ldq	r27, for_write_seq_lis			# r27, 56(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 107
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

6B5B4000     35F8		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     35FC		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     3600		lda	gp, $mbufr$savesec3_			# gp, (gp)
A63D8018     3604		ldq	r17, 8(gp)
22310028     3608		lda	r17, 40(r17)
A41D8080     360C		ldq	r0, NOCT				# r0, 112(gp)
20000398     3610		lda	r0, NOCT				# r0, 920(r0)
B41E00A8     3614		stq	r0, 168(sp)
221E0068     3618		lda	r16, var$0025				# r16, 104(sp)
225E00A8     361C		lda	r18, 168(sp)
A77D8020     3620		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     3624		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     3628		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     362C		lda	gp, $mbufr$savesec3_			# gp, (gp)
C3E0004F     3630		br	lab$0378
	     3634	lab$0382:											    # 001070
A41D80E0     3634		ldq	r0, SEC3				# r0, 208(gp)
20007D06     3638		lda	r0, SEC3				# r0, 32006(r0)
2C200000     363C		ldq_u	r1, (r0)
482000C1     3640		extbl	r1, r0, r1
A45D8080     3644		ldq	r2, XX					# r2, 112(gp)
B0220388     3648		stl	r1, XX					# r1, 904(r2)
A47D8080     364C		ldq	r3, NOCT				# r3, 112(gp)				    # 001078
A0630398     3650		ldl	r3, NOCT				# r3, 920(r3)
47E3040B     3654		mov	r3, var$0114				# r3, r11
47E03404     3658		mov	1, r4
A4BD8080     365C		ldq	r5, I					# r5, 112(gp)
B0850390     3660		stl	r4, I					# r4, 912(r5)
EC600025     3664		ble	r3, lab$0341
	     3668	lab$0385:
A4DD8060     3668		ldq	r6, $mbufr$currentrg_			# r6, 80(gp)				    # 001079
A0C60000     366C		ldl	r6, $mbufr$currentrg_			# r6, (r6)
40C03006     3670		addl	r6, 1, r6
A4FD8060     3674		ldq	r7, $mbufr$currentrg_			# r7, 80(gp)
B0C70000     3678		stl	r6, $mbufr$currentrg_			# r6, (r7)
A51D8080     367C		ldq	r8, I					# r8, 112(gp)				    # 001080
A1080390     3680		ldl	r8, I					# r8, 912(r8)
A79D80E0     3684		ldq	r28, SEC3				# r28, 208(gp)
43880408     3688		addq	SEC3, r8, r8				# r28, r8, r8
21087CFF     368C		lda	r8, 31999(r8)
B3FE0068     3690		stl	r31, var$0025				# r31, 104(sp)
A63D8080     3694		ldq	r17, UNI				# r17, 112(gp)
A231039C     3698		ldl	r17, UNI				# r17, 924(r17)
A67D8018     369C		ldq	r19, 8(gp)
22730030     36A0		lda	r19, 48(r19)
A65D8060     36A4		ldq	r18, $mbufr$currentrg_			# r18, 80(gp)
A2B20000     36A8		ldl	r21, $mbufr$currentrg_			# r21, (r18)
47E03414     36AC		mov	1, r20
B69E00A8     36B0		stq	r20, 168(sp)
B51E00B0     36B4		stq	r8, 176(sp)
47E03418     36B8		mov	1, r24
B71E00B8     36BC		stq	r24, 184(sp)
221E0068     36C0		lda	r16, var$0025				# r16, 104(sp)
265F0385     36C4		ldah	r18, 901(r31)
2252FF00     36C8		lda	r18, -256(r18)
229E00A8     36CC		lda	r20, 168(sp)
A77D80C8     36D0		ldq	r27, for_write_dir			# r27, 184(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 108
                                $mbufr$savesec3_                15-Sep-2004 10:10:47  mbufr.f90

6B5B4000     36D4		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     36D8		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     36DC		lda	gp, $mbufr$savesec3_			# gp, (gp)
A41D8080     36E0		ldq	r0, I					# r0, 112(gp)				    # 001078
A0000390     36E4		ldl	r0, I					# r0, 912(r0)
40003000     36E8		addl	r0, 1, r0
A43D8080     36EC		ldq	r1, I					# r1, 112(gp)
B0010390     36F0		stl	r0, I					# r0, 912(r1)
4160352B     36F4		subq	var$0114, 1, var$0114			# r11, 1, r11
FD7FFFDB     36F8		bgt	var$0114, lab$0385			# r11, lab$0385
	     36FC	lab$0341:											    # 001090
E5400008     36FC		beq	r10, lab$0392
A44A0030     3700		ldq	r2, 48(r10)
A46A0038     3704		ldq	r3, 56(r10)
40430522     3708		subq	r2, r3, r2
A49E0060     370C		ldq	r4, var$0026				# r4, 96(sp)
40440402     3710		addq	r2, r4, r2
B44A0030     3714		stq	r2, 48(r10)
A4DE0060     3718		ldq	r6, var$0026				# r6, 96(sp)
B4CA0038     371C		stq	r6, 56(r10)
	     3720	lab$0392:
A75E0000     3720		ldq	r26, (sp)
A53E0008     3724		ldq	r9, 8(sp)
A55E0010     3728		ldq	r10, 16(sp)
A57E0018     372C		ldq	r11, 24(sp)
A59E0020     3730		ldq	r12, 32(sp)
23DE0170     3734		lda	sp, 368(sp)
6BFA8001     3738		ret	(r26)
	     373C	L$123:												    # 000994
E65FFD57     373C		beq	r18, L$122
42405532     3740		subq	r18, 2, r18
C3FFFD55     3744		br	L$122
	     3748	lab$0358:											    # 001013
A61D8010     3748		ldq	r16, (gp)									    # 001014
22100050     374C		lda	r16, 80(r16)
47FF0411     3750		clr	r17
A77D8088     3754		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     3758		jsr	r26, for_stop				# r26, (r27)
27BA0001     375C		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     3760		lda	gp, $mbufr$savesec3_			# gp, (gp)
	     3764	L$134:												    # 001055
E43FFF80     3764		beq	r1, L$133
40205521     3768		subq	r1, 2, r1
C3FFFF7E     376C		br	L$133
	     3770	lab$0378:											    # 001062
A61D8010     3770		ldq	r16, (gp)									    # 001063
22100050     3774		lda	r16, 80(r16)
47FF0411     3778		clr	r17
A77D8088     377C		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     3780		jsr	r26, for_stop				# r26, (r27)
27BA0001     3784		ldah	gp, $mbufr$savesec3_			# gp, (r26)
23BDD450     3788		lda	gp, $mbufr$savesec3_			# gp, (gp)
				.end 	$mbufr$savesec3_

Routine Size: 2976 bytes,    Routine Base: $CODE$ + 2BEC

				.globl  $mbufr$savesec4_

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 109
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

				.ent 	$mbufr$savesec4_
				.eflag 16
	     378C	$mbufr$savesec4_:										    # 001119
27BB0001     378C		ldah	gp, $mbufr$savesec4_			# gp, (r27)
23BDD450     3790		lda	gp, $mbufr$savesec4_			# gp, (gp)
	     3794	L$26:
23DEFE20     3794		lda	sp, -480(sp)
B75E0000     3798		stq	r26, (sp)
B53E0008     379C		stq	r9, 8(sp)
B55E0010     37A0		stq	r10, 16(sp)
B57E0018     37A4		stq	r11, 24(sp)
B59E0020     37A8		stq	r12, 32(sp)
B5BE0028     37AC		stq	r13, 40(sp)
B5DE0030     37B0		stq	r14, 48(sp)
B5FE0038     37B4		stq	r15, 56(sp)
9C5E0040     37B8		stt	f2, 64(sp)
47FE040F     37BC		mov	sp, r15
				.mask 0x0400FE00,-480
				.fmask 0x00000004,-416
				.frame  $fp, 480, $26
				.prologue 1
47FE0401     37C0		mov	sp, r1
B60F0068     37C4		stq	r16, 104(r15)
47F1040B     37C8		mov	r17, r11
B64F0060     37CC		stq	r18, 96(r15)
47F3040D     37D0		mov	r19, r13
B68F0058     37D4		stq	r20, 88(r15)
47F5040C     37D8		mov	r21, r12
A60F0058     37DC		ldq	r16, 88(r15)									    # 001090
A2100000     37E0		ldl	r16, (r16)
A63D80F0     37E4		ldq	r17, var$0039				# r17, 224(gp)
B2110000     37E8		stl	r16, var$0039				# r16, (r17)
A64F0060     37EC		ldq	r18, 96(r15)
A2520000     37F0		ldl	r18, (r18)
A67D80F0     37F4		ldq	r19, var$0040				# r19, 224(gp)
B2530004     37F8		stl	r18, var$0040				# r18, 4(r19)
E5600008     37FC		beq	r11, lab$0016									    # 001119
A68B0038     3800		ldq	r20, 56(r11)
A6AB0030     3804		ldq	r21, 48(r11)
42B40535     3808		subq	r21, r20, r21
42A03415     380C		addq	r21, 1, r21
B6AB0030     3810		stq	r21, 48(r11)
47E03410     3814		mov	1, r16
B60B0038     3818		stq	r16, 56(r11)
B68F00D0     381C		stq	r20, var$0030				# r20, 208(r15)
	     3820	lab$0016:
E5A00010     3820		beq	r13, lab$0018
A64D0038     3824		ldq	r18, 56(r13)
A66D0030     3828		ldq	r19, 48(r13)
42720533     382C		subq	r19, r18, r19
42603413     3830		addq	r19, 1, r19
B66D0030     3834		stq	r19, 48(r13)
47E03415     3838		mov	1, r21
B6AD0038     383C		stq	r21, 56(r13)
B64F00C8     3840		stq	r18, var$0032				# r18, 200(r15)
A62D0050     3844		ldq	r17, 80(r13)
A68D0048     3848		ldq	r20, 72(r13)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 110
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

42910534     384C		subq	r20, r17, r20
42803414     3850		addq	r20, 1, r20
B68D0048     3854		stq	r20, 72(r13)
47E03413     3858		mov	1, r19
B66D0050     385C		stq	r19, 80(r13)
B62F00C0     3860		stq	r17, var$0033				# r17, 192(r15)
	     3864	lab$0018:
E5800010     3864		beq	r12, lab$0020
A6AC0038     3868		ldq	r21, 56(r12)
A64C0030     386C		ldq	r18, 48(r12)
42550532     3870		subq	r18, r21, r18
42403412     3874		addq	r18, 1, r18
B64C0030     3878		stq	r18, 48(r12)
47E03414     387C		mov	1, r20
B68C0038     3880		stq	r20, 56(r12)
B6AF00B8     3884		stq	r21, var$0035				# r21, 184(r15)
A66C0050     3888		ldq	r19, 80(r12)
A62C0048     388C		ldq	r17, 72(r12)
42330531     3890		subq	r17, r19, r17
42203411     3894		addq	r17, 1, r17
B62C0048     3898		stq	r17, 72(r12)
47E03412     389C		mov	1, r18
B64C0050     38A0		stq	r18, 80(r12)
B66F00B0     38A4		stq	r19, var$0036				# r19, 176(r15)
	     38A8	lab$0020:
A69D80F0     38A8		ldq	r20, var$0039				# r20, 224(gp)				    # 001130
A2940000     38AC		ldl	r20, var$0039				# r20, (r20)
A6BD80F0     38B0		ldq	r21, var$0040				# r21, 224(gp)
A2B50004     38B4		ldl	r21, var$0040				# r21, 4(r21)
4E950014     38B8		mull	r20, r21, r20
4E821014     38BC		mull	r20, 16, r20
42841014     38C0		addl	r20, 32, r20
B68F00A8     38C4		stq	r20, var$0038				# r20, 168(r15)				    # 001119
A63D80F0     38C8		ldq	r17, var$0039				# r17, 224(gp)				    # 001130
A2310000     38CC		ldl	r17, var$0039				# r17, (r17)
A61D80F0     38D0		ldq	r16, var$0040				# r16, 224(gp)
A2100004     38D4		ldl	r16, var$0040				# r16, 4(r16)
4E300010     38D8		mull	r17, r16, r16
4E021010     38DC		mull	r16, 16, r16
42041010     38E0		addl	r16, 32, r16
46001C90     38E4		cmovle	r16, 0, r16									    # 001119
43D00532     38E8		subq	sp, r16, r18
4641F112     38EC		bic	r18, 15, r18
231EF000     38F0		lda	r24, -4096(sp)
A7920000     38F4		ldq	r28, (r18)
431207BC     38F8		cmpule	r24, r18, r28
F7800004     38FC		bne	r28, L$143
	     3900	L$142:
A7980000     3900		ldq	r28, (r24)
2318E020     3904		lda	r24, -8160(r24)
431207BC     3908		cmpule	r24, r18, r28
E79FFFFC     390C		beq	r28, L$142
	     3910	L$143:
47F2041E     3910		mov	r18, sp
B7CF0050     3914		stq	sp, 80(r15)
47FE0401     3918		mov	sp, r1
A67D80F0     391C		ldq	r19, var$0039				# r19, 224(gp)				    # 001129

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 111
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A2730000     3920		ldl	r19, var$0039				# r19, (r19)
A6BD80F0     3924		ldq	r21, var$0040				# r21, 224(gp)
A2B50004     3928		ldl	r21, var$0040				# r21, 4(r21)
4E750013     392C		mull	r19, r21, r19
4E605013     3930		mull	r19, 2, r19
42609013     3934		addl	r19, 4, r19
B66F00A0     3938		stq	r19, var$0041				# r19, 160(r15)				    # 001119
A69D80F0     393C		ldq	r20, var$0039				# r20, 224(gp)				    # 001129
A2940000     3940		ldl	r20, var$0039				# r20, (r20)
A63D80F0     3944		ldq	r17, var$0040				# r17, 224(gp)
A2310004     3948		ldl	r17, var$0040				# r17, 4(r17)
4E910011     394C		mull	r20, r17, r17
4E205011     3950		mull	r17, 2, r17
42209011     3954		addl	r17, 4, r17
46201C91     3958		cmovle	r17, 0, r17									    # 001119
4E209411     395C		mulq	r17, 4, r17
43D10532     3960		subq	sp, r17, r18
4641F112     3964		bic	r18, 15, r18
231EF000     3968		lda	r24, -4096(sp)
A7920000     396C		ldq	r28, (r18)
431207BC     3970		cmpule	r24, r18, r28
F7800004     3974		bne	r28, L$145
	     3978	L$144:
A7980000     3978		ldq	r28, (r24)
2318E020     397C		lda	r24, -8160(r24)
431207BC     3980		cmpule	r24, r18, r28
E79FFFFC     3984		beq	r28, L$144
	     3988	L$145:
47F2041E     3988		mov	r18, sp
B7CF0048     398C		stq	sp, 72(r15)
47FE0401     3990		mov	sp, r1
A61D80F0     3994		ldq	r16, var$0039				# r16, 224(gp)				    # 001129
A2100000     3998		ldl	r16, var$0039				# r16, (r16)
A6BD80F0     399C		ldq	r21, var$0040				# r21, 224(gp)
A2B50004     39A0		ldl	r21, var$0040				# r21, 4(r21)
4E150010     39A4		mull	r16, r21, r16
4E005010     39A8		mull	r16, 2, r16
42009010     39AC		addl	r16, 4, r16
B60F0098     39B0		stq	r16, var$0042				# r16, 152(r15)				    # 001119
A67D80F0     39B4		ldq	r19, var$0039				# r19, 224(gp)				    # 001129
A2730000     39B8		ldl	r19, var$0039				# r19, (r19)
A69D80F0     39BC		ldq	r20, var$0040				# r20, 224(gp)
A2940004     39C0		ldl	r20, var$0040				# r20, 4(r20)
4E740013     39C4		mull	r19, r20, r19
4E605013     39C8		mull	r19, 2, r19
42609013     39CC		addl	r19, 4, r19
46601C93     39D0		cmovle	r19, 0, r19									    # 001119
4E609413     39D4		mulq	r19, 4, r19
43D30529     39D8		subq	sp, r19, r9
4521F109     39DC		bic	r9, 15, r9
231EF000     39E0		lda	r24, -4096(sp)
A7890000     39E4		ldq	r28, (r9)
430907BC     39E8		cmpule	r24, r9, r28
F7800004     39EC		bne	r28, L$147
	     39F0	L$146:
A7980000     39F0		ldq	r28, (r24)
2318E020     39F4		lda	r24, -8160(r24)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 112
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

430907BC     39F8		cmpule	r24, r9, r28
E79FFFFC     39FC		beq	r28, L$146
	     3A00	L$147:
47E9041E     3A00		mov	r9, sp
47FE0401     3A04		mov	sp, r1
A64F0068     3A08		ldq	r18, 104(r15)									    # 001135
A2520000     3A0C		ldl	r18, (r18)
A63D80F0     3A10		ldq	r17, UNI				# r17, 224(gp)
B251FFFC     3A14		stl	r18, UNI				# r18, -4(r17)
A61D80C0     3A18		ldq	r16, $mbufr$subname_			# r16, 176(gp)				    # 001136
A65D8098     3A1C		ldq	r18, 136(gp)
22520008     3A20		lda	r18, 8(r18)
47E11411     3A24		mov	8, r17
A77D8040     3A28		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     3A2C		jsr	r26, _OtsMove				# r26, (r27)
47FEF411     3A30		mov	247, r17
47E41412     3A34		mov	32, r18
A77D8030     3A38		ldq	r27, _OtsFill				# r27, 32(gp)
6B5B4000     3A3C		jsr	r26, _OtsFill				# r26, (r27)
A6AF0058     3A40		ldq	r21, 88(r15)									    # 001137
A2B50000     3A44		ldl	r21, (r21)
A40F0060     3A48		ldq	r0, 96(r15)
A0000000     3A4C		ldl	r0, (r0)
4EA00000     3A50		mull	r21, r0, r0
4C005000     3A54		mull	r0, 2, r0
40009000     3A58		addl	r0, 4, r0
A43D80F0     3A5C		ldq	r1, DIMAB				# r1, 224(gp)
B001FFE0     3A60		stl	r0, DIMAB				# r0, -32(r1)
A71D80F0     3A64		ldq	r24, DIMAB				# r24, 224(gp)				    # 001138
A318FFE0     3A68		ldl	r24, DIMAB				# r24, -32(r24)
4F011018     3A6C		mull	r24, 8, r24
A61D80F0     3A70		ldq	r16, DIMOCT				# r16, 224(gp)
B310FFDC     3A74		stl	r24, DIMOCT				# r24, -36(r16)
47E31411     3A78		mov	24, r17										    # 001140
A64F0048     3A7C		ldq	r18, 72(r15)
B2320000     3A80		stl	r17, (r18)
B3E90000     3A84		stl	r31, (r9)
47E11414     3A88		mov	8, r20										    # 001141
A74F0048     3A8C		ldq	r26, 72(r15)
B29A0004     3A90		stl	r20, 4(r26)
B3E90004     3A94		stl	r31, 4(r9)
47E05415     3A98		mov	2, r21										    # 001142
A41D80F0     3A9C		ldq	r0, K					# r0, 224(gp)
B2A0FFF0     3AA0		stl	r21, K					# r21, -16(r0)
A42F0058     3AA4		ldq	r1, 88(r15)									    # 001146
A0210000     3AA8		ldl	r1, (r1)
B42F0090     3AAC		stq	r1, var$0116				# r1, 144(r15)
47E03410     3AB0		mov	1, r16
A71D80F0     3AB4		ldq	r24, I					# r24, 224(gp)
B218FFE8     3AB8		stl	r16, I					# r16, -24(r24)
EC2000EE     3ABC		ble	r1, lab$0407
	     3AC0	lab$0396:
A62F0060     3AC0		ldq	r17, 96(r15)									    # 001149
A2310000     3AC4		ldl	r17, (r17)
B62F0088     3AC8		stq	r17, var$0117				# r17, 136(r15)
47E03412     3ACC		mov	1, r18
A67D80F0     3AD0		ldq	r19, J					# r19, 224(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 113
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

B253FFEC     3AD4		stl	r18, J					# r18, -20(r19)
EE2000A0     3AD8		ble	r17, lab$0402
	     3ADC	lab$0400:
A69D80F0     3ADC		ldq	r20, K					# r20, 224(gp)				    # 001150
A294FFF0     3AE0		ldl	r20, K					# r20, -16(r20)
42803014     3AE4		addl	r20, 1, r20
A75D80F0     3AE8		ldq	r26, K					# r26, 224(gp)
B29AFFF0     3AEC		stl	r20, K					# r20, -16(r26)
A77D80F0     3AF0		ldq	r27, K					# r27, 224(gp)				    # 001151
A37BFFF0     3AF4		ldl	r27, K					# r27, -16(r27)
4F60941B     3AF8		mulq	r27, 4, r27
A40F0048     3AFC		ldq	r0, 72(r15)
401B0400     3B00		addq	r0, r27, r0
A6AB0010     3B04		ldq	r21, 16(r11)
A60B0028     3B08		ldq	r16, 40(r11)
A71D80F0     3B0C		ldq	r24, J					# r24, 224(gp)
A318FFEC     3B10		ldl	r24, J					# r24, -20(r24)
A42B0028     3B14		ldq	r1, 40(r11)
4F100410     3B18		mulq	r24, r16, r16
42A10521     3B1C		subq	r21, r1, r1
40300401     3B20		addq	r1, r16, r1
A0210000     3B24		ldl	r1, (r1)
A64B0010     3B28		ldq	r18, 16(r11)
A66B0028     3B2C		ldq	r19, 40(r11)
A63D80F0     3B30		ldq	r17, J					# r17, 224(gp)
A231FFEC     3B34		ldl	r17, J					# r17, -20(r17)
A68B0028     3B38		ldq	r20, 40(r11)
4E330411     3B3C		mulq	r17, r19, r17
42540532     3B40		subq	r18, r20, r18
42510411     3B44		addq	r18, r17, r17
A2310004     3B48		ldl	r17, 4(r17)
A74B0010     3B4C		ldq	r26, 16(r11)
A76B0028     3B50		ldq	r27, 40(r11)
A71D80F0     3B54		ldq	r24, J					# r24, 224(gp)
A318FFEC     3B58		ldl	r24, J					# r24, -20(r24)
A6AB0028     3B5C		ldq	r21, 40(r11)
4F1B0418     3B60		mulq	r24, r27, r24
43550535     3B64		subq	r26, r21, r21
42B80415     3B68		addq	r21, r24, r21
A2B50008     3B6C		ldl	r21, 8(r21)
221F01B0     3B70		mov	432, r16
4EB00410     3B74		mulq	r21, r16, r16
4E219411     3B78		mulq	r17, 12, r17
42300410     3B7C		addq	r17, r16, r16
4C219401     3B80		mulq	r1, 12, r1
40300401     3B84		addq	r1, r16, r1
A79D80D8     3B88		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43810401     3B8C		addq	$mbufr$tabb_, r1, r1			# r28, r1, r1
A0210000     3B90		ldl	r1, (r1)
B020FFFC     3B94		stl	r1, -4(r0)
A67D80F0     3B98		ldq	r19, K					# r19, 224(gp)				    # 001152
A273FFF0     3B9C		ldl	r19, K					# r19, -16(r19)
4E609413     3BA0		mulq	r19, 4, r19
4133040A     3BA4		addq	r9, r19, r10
A68D0010     3BA8		ldq	r20, 16(r13)
A64D0028     3BAC		ldq	r18, 40(r13)
A77D80F0     3BB0		ldq	r27, I					# r27, 224(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 114
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A37BFFE8     3BB4		ldl	r27, I					# r27, -24(r27)
A74D0040     3BB8		ldq	r26, 64(r13)
A71D80F0     3BBC		ldq	r24, J					# r24, 224(gp)
A318FFEC     3BC0		ldl	r24, J					# r24, -20(r24)
A6AD0028     3BC4		ldq	r21, 40(r13)
A62D0040     3BC8		ldq	r17, 64(r13)
42B10411     3BCC		addq	r21, r17, r17
4F1A0418     3BD0		mulq	r24, r26, r24
4F720412     3BD4		mulq	r27, r18, r18
42580412     3BD8		addq	r18, r24, r18
42910531     3BDC		subq	r20, r17, r17
42320411     3BE0		addq	r17, r18, r17
88510000     3BE4		lds	f2, (r17)
A60B0010     3BE8		ldq	r16, 16(r11)
A40B0028     3BEC		ldq	r0, 40(r11)
A43D80F0     3BF0		ldq	r1, J					# r1, 224(gp)
A021FFEC     3BF4		ldl	r1, J					# r1, -20(r1)
A66B0028     3BF8		ldq	r19, 40(r11)
4C200400     3BFC		mulq	r1, r0, r0
42130530     3C00		subq	r16, r19, r16
42000400     3C04		addq	r16, r0, r0
A0000000     3C08		ldl	r0, (r0)
A6AB0010     3C0C		ldq	r21, 16(r11)
A74B0028     3C10		ldq	r26, 40(r11)
A77D80F0     3C14		ldq	r27, J					# r27, 224(gp)
A37BFFEC     3C18		ldl	r27, J					# r27, -20(r27)
A70B0028     3C1C		ldq	r24, 40(r11)
4F7A041A     3C20		mulq	r27, r26, r26
42B80535     3C24		subq	r21, r24, r21
42BA0415     3C28		addq	r21, r26, r21
A2B50004     3C2C		ldl	r21, 4(r21)
A68B0010     3C30		ldq	r20, 16(r11)
A64B0028     3C34		ldq	r18, 40(r11)
A63D80F0     3C38		ldq	r17, J					# r17, 224(gp)
A231FFEC     3C3C		ldl	r17, J					# r17, -20(r17)
A42B0028     3C40		ldq	r1, 40(r11)
4E320411     3C44		mulq	r17, r18, r17
42810521     3C48		subq	r20, r1, r1
40310401     3C4C		addq	r1, r17, r1
A0210008     3C50		ldl	r1, 8(r1)
227F01B0     3C54		mov	432, r19
4C330401     3C58		mulq	r1, r19, r1
4EA19415     3C5C		mulq	r21, 12, r21
42A10401     3C60		addq	r21, r1, r1
4C019400     3C64		mulq	r0, 12, r0
40010400     3C68		addq	r0, r1, r0
A79D80D8     3C6C		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43800400     3C70		addq	$mbufr$tabb_, r0, r0			# r28, r0, r0
8A20FFF8     3C74		lds	f17, -8(r0)
A79D8018     3C78		ldq	r28, 8(gp)
8A1C0058     3C7C		lds	f16, 88(r28)
A77D80E8     3C80		ldq	r27, __pow_ef				# r27, 216(gp)
6B5B4000     3C84		jsr	r26, __pow_ef				# r26, (r27)
27BA0001     3C88		ldah	gp, $mbufr$savesec4_			# gp, (r26)
23BDD450     3C8C		lda	gp, $mbufr$savesec4_			# gp, (gp)
58401040     3C90		muls	f2, f0, f0
A40B0010     3C94		ldq	r0, 16(r11)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 115
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A42B0028     3C98		ldq	r1, 40(r11)
A45D80F0     3C9C		ldq	r2, J					# r2, 224(gp)
A042FFEC     3CA0		ldl	r2, J					# r2, -20(r2)
A46B0028     3CA4		ldq	r3, 40(r11)
4C410401     3CA8		mulq	r2, r1, r1
40030520     3CAC		subq	r0, r3, r0
40010400     3CB0		addq	r0, r1, r0
A0000000     3CB4		ldl	r0, (r0)
A48B0010     3CB8		ldq	r4, 16(r11)
A4AB0028     3CBC		ldq	r5, 40(r11)
A4DD80F0     3CC0		ldq	r6, J					# r6, 224(gp)
A0C6FFEC     3CC4		ldl	r6, J					# r6, -20(r6)
A4EB0028     3CC8		ldq	r7, 40(r11)
4CC50405     3CCC		mulq	r6, r5, r5
40870524     3CD0		subq	r4, r7, r4
40850404     3CD4		addq	r4, r5, r4
A0840004     3CD8		ldl	r4, 4(r4)
A50B0010     3CDC		ldq	r8, 16(r11)
A60B0028     3CE0		ldq	r16, 40(r11)
A63D80F0     3CE4		ldq	r17, J					# r17, 224(gp)
A231FFEC     3CE8		ldl	r17, J					# r17, -20(r17)
A64B0028     3CEC		ldq	r18, 40(r11)
4E300410     3CF0		mulq	r17, r16, r16
41120528     3CF4		subq	r8, r18, r8
41100408     3CF8		addq	r8, r16, r8
A1080008     3CFC		ldl	r8, 8(r8)
227F01B0     3D00		mov	432, r19
4D130408     3D04		mulq	r8, r19, r8
4C819404     3D08		mulq	r4, 12, r4
40880404     3D0C		addq	r4, r8, r4
4C019400     3D10		mulq	r0, 12, r0
40040400     3D14		addq	r0, r4, r0
A79D80D8     3D18		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43800400     3D1C		addq	$mbufr$tabb_, r0, r0			# r28, r0, r0
8820FFFC     3D20		lds	f1, -4(r0)
58011020     3D24		subs	f0, f1, f0
5BE005E0     3D28		cvttqc	f0, f0
5FE0060A     3D2C		cvtql	f0, f10
994AFFFC     3D30		sts	f10, -4(r10)
A69D80F0     3D34		ldq	r20, J					# r20, 224(gp)				    # 001149
A294FFEC     3D38		ldl	r20, J					# r20, -20(r20)
42803014     3D3C		addl	r20, 1, r20
A6BD80F0     3D40		ldq	r21, J					# r21, 224(gp)
B295FFEC     3D44		stl	r20, J					# r20, -20(r21)
A6CF0088     3D48		ldq	r22, var$0117				# r22, 136(r15)
42C03536     3D4C		subq	r22, 1, r22
B6CF0088     3D50		stq	r22, var$0117				# r22, 136(r15)
A6EF0088     3D54		ldq	r23, var$0117				# r23, 136(r15)
FEFFFF60     3D58		bgt	r23, lab$0400
	     3D5C	lab$0402:
A70F0060     3D5C		ldq	r24, 96(r15)									    # 001158
A3180000     3D60		ldl	r24, (r24)
47F8040E     3D64		mov	r24, var$0118				# r24, r14
47E03419     3D68		mov	1, r25
A75D80F0     3D6C		ldq	r26, J					# r26, 224(gp)
B33AFFEC     3D70		stl	r25, J					# r25, -20(r26)
EF000036     3D74		ble	r24, lab$0406

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 116
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

	     3D78	lab$0404:
A77D80F0     3D78		ldq	r27, K					# r27, 224(gp)				    # 001159
A37BFFF0     3D7C		ldl	r27, K					# r27, -16(r27)
4360301B     3D80		addl	r27, 1, r27
A45D80F0     3D84		ldq	r2, K					# r2, 224(gp)
B362FFF0     3D88		stl	r27, K					# r27, -16(r2)
A47D80F0     3D8C		ldq	r3, K					# r3, 224(gp)				    # 001160
A063FFF0     3D90		ldl	r3, K					# r3, -16(r3)
4C609403     3D94		mulq	r3, 4, r3
A42F0048     3D98		ldq	r1, 72(r15)
40230401     3D9C		addq	r1, r3, r1
47E0F406     3DA0		mov	7, r6
B0C1FFFC     3DA4		stl	r6, -4(r1)
A4FD80F0     3DA8		ldq	r7, K					# r7, 224(gp)				    # 001161
A0E7FFF0     3DAC		ldl	r7, K					# r7, -16(r7)
4CE09407     3DB0		mulq	r7, 4, r7
41270407     3DB4		addq	r9, r7, r7
A4AC0010     3DB8		ldq	r5, 16(r12)
A62C0028     3DBC		ldq	r17, 40(r12)
A65D80F0     3DC0		ldq	r18, I					# r18, 224(gp)
A252FFE8     3DC4		ldl	r18, I					# r18, -24(r18)
A60C0040     3DC8		ldq	r16, 64(r12)
A67D80F0     3DCC		ldq	r19, J					# r19, 224(gp)
A273FFEC     3DD0		ldl	r19, J					# r19, -20(r19)
A50C0028     3DD4		ldq	r8, 40(r12)
A48C0040     3DD8		ldq	r4, 64(r12)
41040404     3DDC		addq	r8, r4, r4
4E700410     3DE0		mulq	r19, r16, r16
4E510411     3DE4		mulq	r18, r17, r17
42300410     3DE8		addq	r17, r16, r16
40A40524     3DEC		subq	r5, r4, r4
40900404     3DF0		addq	r4, r16, r4
A0840000     3DF4		ldl	r4, (r4)
B087FFFC     3DF8		stl	r4, -4(r7)
A41D80F0     3DFC		ldq	r0, K					# r0, 224(gp)				    # 001162
A000FFF0     3E00		ldl	r0, K					# r0, -16(r0)
4C009400     3E04		mulq	r0, 4, r0
41200400     3E08		addq	r9, r0, r0
A000FFFC     3E0C		ldl	r0, -4(r0)
A55D80F0     3E10		ldq	r10, AA					# r10, 224(gp)
B00AFFD8     3E14		stl	r0, AA					# r0, -40(r10)
A69D80F0     3E18		ldq	r20, K					# r20, 224(gp)				    # 001163
A294FFF0     3E1C		ldl	r20, K					# r20, -16(r20)
4E809414     3E20		mulq	r20, 4, r20
41340414     3E24		addq	r9, r20, r20
A294FFFC     3E28		ldl	r20, -4(r20)
A6BD80F0     3E2C		ldq	r21, AA					# r21, 224(gp)
B295FFD8     3E30		stl	r20, AA					# r20, -40(r21)
A6DD80F0     3E34		ldq	r22, J					# r22, 224(gp)				    # 001158
A2D6FFEC     3E38		ldl	r22, J					# r22, -20(r22)
42C03016     3E3C		addl	r22, 1, r22
A6FD80F0     3E40		ldq	r23, J					# r23, 224(gp)
B2D7FFEC     3E44		stl	r22, J					# r22, -20(r23)
41C0352E     3E48		subq	var$0118, 1, var$0118			# r14, 1, r14
FDDFFFCA     3E4C		bgt	var$0118, lab$0404			# r14, lab$0404
	     3E50	lab$0406:
A73D80F0     3E50		ldq	r25, I					# r25, 224(gp)				    # 001146

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 117
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A339FFE8     3E54		ldl	r25, I					# r25, -24(r25)
43203019     3E58		addl	r25, 1, r25
A75D80F0     3E5C		ldq	r26, I					# r26, 224(gp)
B33AFFE8     3E60		stl	r25, I					# r25, -24(r26)
A70F0090     3E64		ldq	r24, var$0116				# r24, 144(r15)
43003538     3E68		subq	r24, 1, r24
B70F0090     3E6C		stq	r24, var$0116				# r24, 144(r15)
A44F0090     3E70		ldq	r2, var$0116				# r2, 144(r15)
FC5FFF12     3E74		bgt	r2, lab$0396
	     3E78	lab$0407:											    # 001173
A77D80F0     3E78		ldq	r27, var$0039				# r27, 224(gp)				    # 001129
A37B0000     3E7C		ldl	r27, var$0039				# r27, (r27)
A47D80F0     3E80		ldq	r3, var$0040				# r3, 224(gp)
A0630004     3E84		ldl	r3, var$0040				# r3, 4(r3)
4F630003     3E88		mull	r27, r3, r3
4C605003     3E8C		mull	r3, 2, r3
40609003     3E90		addl	r3, 4, r3
44601C83     3E94		cmovle	r3, 0, r3									    # 001173
A4CF0198     3E98		ldq	r6, var$0119				# r6, 408(r15)
48C05606     3E9C		zap	r6, 2, r6
B4CF0198     3EA0		stq	r6, var$0119				# r6, 408(r15)
47E07401     3EA4		mov	3, r1
A66F0198     3EA8		ldq	r19, var$0119				# r19, 408(r15)
4A609613     3EAC		zap	r19, 4, r19
48205161     3EB0		insbl	r1, 2, r1
46610413     3EB4		bis	r19, r1, r19
B66F0198     3EB8		stq	r19, var$0119				# r19, 408(r15)
47E15401     3EBC		mov	10, r1
A62F0198     3EC0		ldq	r17, var$0119				# r17, 408(r15)
4A211611     3EC4		zap	r17, 8, r17
48207161     3EC8		insbl	r1, 3, r1
46210411     3ECC		bis	r17, r1, r17
B62F0198     3ED0		stq	r17, var$0119				# r17, 408(r15)
47E09401     3ED4		mov	4, r1
B42F01A0     3ED8		stq	r1, 416(r15)
A48F0198     3EDC		ldq	r4, var$0119				# r4, 408(r15)
449FF104     3EE0		bic	r4, 255, r4
44803404     3EE4		bis	r4, 1, r4
B48F0198     3EE8		stq	r4, var$0119				# r4, 408(r15)
47E09404     3EEC		mov	4, r4
B48F01C0     3EF0		stq	r4, 448(r15)
47E03400     3EF4		mov	1, r0
B40F01D0     3EF8		stq	r0, 464(r15)
B46F01C8     3EFC		stq	r3, 456(r15)
47E90415     3F00		mov	r9, r21
B6AF01A8     3F04		stq	r21, 424(r15)
22B5FFFC     3F08		lda	r21, -4(r21)
B6AF01B8     3F0C		stq	r21, 440(r15)
232F0199     3F10		lda	r25, 409(r15)
2F590000     3F14		ldq_u	r26, (r25)
4B5900D8     3F18		extbl	r26, r25, r24
4B59005A     3F1C		mskbl	r26, r25, r26
47003418     3F20		bis	r24, 1, r24
4B190178     3F24		insbl	r24, r25, r24
4758041A     3F28		bis	r26, r24, r26
3F590000     3F2C		stq_u	r26, (r25)
A45D80F0     3F30		ldq	r2, var$0039				# r2, 224(gp)				    # 001129

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 118
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A0420000     3F34		ldl	r2, var$0039				# r2, (r2)
A77D80F0     3F38		ldq	r27, var$0040				# r27, 224(gp)
A37B0004     3F3C		ldl	r27, var$0040				# r27, 4(r27)
4C5B0002     3F40		mull	r2, r27, r2
4C405002     3F44		mull	r2, 2, r2
40409002     3F48		addl	r2, 4, r2
44401C82     3F4C		cmovle	r2, 0, r2									    # 001173
A50F0158     3F50		ldq	r8, var$0120				# r8, 344(r15)
49005608     3F54		zap	r8, 2, r8
B50F0158     3F58		stq	r8, var$0120				# r8, 344(r15)
47E07406     3F5C		mov	3, r6
A62F0158     3F60		ldq	r17, var$0120				# r17, 344(r15)
4A209611     3F64		zap	r17, 4, r17
48C05166     3F68		insbl	r6, 2, r6
46260411     3F6C		bis	r17, r6, r17
B62F0158     3F70		stq	r17, var$0120				# r17, 344(r15)
47E15406     3F74		mov	10, r6
A42F0158     3F78		ldq	r1, var$0120				# r1, 344(r15)
48211601     3F7C		zap	r1, 8, r1
48C07166     3F80		insbl	r6, 3, r6
44260401     3F84		bis	r1, r6, r1
B42F0158     3F88		stq	r1, var$0120				# r1, 344(r15)
47E09401     3F8C		mov	4, r1
B42F0160     3F90		stq	r1, 352(r15)
A48F0158     3F94		ldq	r4, var$0120				# r4, 344(r15)
449FF104     3F98		bic	r4, 255, r4
44803404     3F9C		bis	r4, 1, r4
B48F0158     3FA0		stq	r4, var$0120				# r4, 344(r15)
47E09404     3FA4		mov	4, r4
B48F0180     3FA8		stq	r4, 384(r15)
47E03400     3FAC		mov	1, r0
B40F0190     3FB0		stq	r0, 400(r15)
B44F0188     3FB4		stq	r2, 392(r15)
A68F0048     3FB8		ldq	r20, 72(r15)
B68F0168     3FBC		stq	r20, 360(r15)
2294FFFC     3FC0		lda	r20, -4(r20)
B68F0178     3FC4		stq	r20, 376(r15)
22EF0159     3FC8		lda	r23, 345(r15)
2F170000     3FCC		ldq_u	r24, (r23)
4B1700D9     3FD0		extbl	r24, r23, r25
4B170058     3FD4		mskbl	r24, r23, r24
47203419     3FD8		bis	r25, 1, r25
4B370179     3FDC		insbl	r25, r23, r25
47190418     3FE0		bis	r24, r25, r24
3F170000     3FE4		stq_u	r24, (r23)
A75D80F0     3FE8		ldq	r26, var$0039				# r26, 224(gp)				    # 001130
A35A0000     3FEC		ldl	r26, var$0039				# r26, (r26)
A77D80F0     3FF0		ldq	r27, var$0040				# r27, 224(gp)
A37B0004     3FF4		ldl	r27, var$0040				# r27, 4(r27)
4F5B001A     3FF8		mull	r26, r27, r26
4F42101A     3FFC		mull	r26, 16, r26
4344101A     4000		addl	r26, 32, r26
47401C9A     4004		cmovle	r26, 0, r26									    # 001173
A62F0118     4008		ldq	r17, var$0121				# r17, 280(r15)
4A205611     400C		zap	r17, 2, r17
B62F0118     4010		stq	r17, var$0121				# r17, 280(r15)
47E1D408     4014		mov	14, r8

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 119
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A4CF0118     4018		ldq	r6, var$0121				# r6, 280(r15)
48C09606     401C		zap	r6, 4, r6
49005168     4020		insbl	r8, 2, r8
44C80406     4024		bis	r6, r8, r6
B4CF0118     4028		stq	r6, var$0121				# r6, 280(r15)
47E15406     402C		mov	10, r6
A42F0118     4030		ldq	r1, var$0121				# r1, 280(r15)
48211601     4034		zap	r1, 8, r1
48C07166     4038		insbl	r6, 3, r6
44260401     403C		bis	r1, r6, r1
B42F0118     4040		stq	r1, var$0121				# r1, 280(r15)
47E03401     4044		mov	1, r1
B42F0120     4048		stq	r1, 288(r15)
A48F0118     404C		ldq	r4, var$0121				# r4, 280(r15)
449FF104     4050		bic	r4, 255, r4
44803404     4054		bis	r4, 1, r4
B48F0118     4058		stq	r4, var$0121				# r4, 280(r15)
47E03404     405C		mov	1, r4
B48F0140     4060		stq	r4, 320(r15)
47E03400     4064		mov	1, r0
B40F0150     4068		stq	r0, 336(r15)
B74F0148     406C		stq	r26, 328(r15)
A46F0050     4070		ldq	r3, 80(r15)
B46F0128     4074		stq	r3, 296(r15)
2063FFFF     4078		lda	r3, -1(r3)
B46F0138     407C		stq	r3, 312(r15)
22AF0119     4080		lda	r21, 281(r15)
2EF50000     4084		ldq_u	r23, (r21)
4AF500D8     4088		extbl	r23, r21, r24
4AF50057     408C		mskbl	r23, r21, r23
47003418     4090		bis	r24, 1, r24
4B150178     4094		insbl	r24, r21, r24
46F80417     4098		bis	r23, r24, r23
3EF50000     409C		stq_u	r23, (r21)
220F0198     40A0		lda	r16, var$0119				# r16, 408(r15)
222F0158     40A4		lda	r17, var$0120				# r17, 344(r15)
A65D80F0     40A8		ldq	r18, K					# r18, 224(gp)
2252FFF0     40AC		lda	r18, K					# r18, -16(r18)
226F0118     40B0		lda	r19, var$0121				# r19, 280(r15)
A69D80F0     40B4		ldq	r20, NOCT				# r20, 224(gp)
2294FFF8     40B8		lda	r20, NOCT				# r20, -8(r20)
A6BD80F0     40BC		ldq	r21, ERR				# r21, 224(gp)
22B5FFF4     40C0		lda	r21, ERR				# r21, -12(r21)
D35FF225     40C4		bsr	r26, L$33
A55D80F0     40C8		ldq	r10, NOCT				# r10, 224(gp)				    # 001180
A14AFFF8     40CC		ldl	r10, NOCT				# r10, -8(r10)
45403000     40D0		and	r10, 1, r0
E9400143     40D4		blt	r10, L$166
	     40D8	L$165:
EC00000D     40D8		ble	r0, lab$0415
A43D80F0     40DC		ldq	r1, NOCT				# r1, 224(gp)				    # 001181
A021FFF8     40E0		ldl	r1, NOCT				# r1, -8(r1)
40203001     40E4		addl	r1, 1, r1
A45D80F0     40E8		ldq	r2, NOCT				# r2, 224(gp)
B022FFF8     40EC		stl	r1, NOCT				# r1, -8(r2)
A47D80F0     40F0		ldq	r3, NOCT				# r3, 224(gp)				    # 001182
A063FFF8     40F4		ldl	r3, NOCT				# r3, -8(r3)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 120
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A48F0050     40F8		ldq	r4, 80(r15)
40830403     40FC		addq	r4, r3, r3
20A3FFFF     4100		lda	r5, -1(r3)
2CC50000     4104		ldq_u	r6, (r5)
48C50046     4108		mskbl	r6, r5, r6
3CC50000     410C		stq_u	r6, (r5)
	     4110	lab$0415:											    # 001180
A4FD80F0     4110		ldq	r7, NOCT				# r7, 224(gp)				    # 001191
A0E7FFF8     4114		ldl	r7, NOCT				# r7, -8(r7)
A50F01E0     4118		ldq	r8, 480(r15)
B0E80000     411C		stl	r7, (r8)
47E31410     4120		mov	24, r16										    # 001193
A62F0048     4124		ldq	r17, 72(r15)
B2110000     4128		stl	r16, (r17)
A64F01E0     412C		ldq	r18, 480(r15)
A2520000     4130		ldl	r18, (r18)
B2490000     4134		stl	r18, (r9)
A69D80F0     4138		ldq	r20, var$0039				# r20, 224(gp)				    # 001129
A2940000     413C		ldl	r20, var$0039				# r20, (r20)
A6BD80F0     4140		ldq	r21, var$0040				# r21, 224(gp)
A2B50004     4144		ldl	r21, var$0040				# r21, 4(r21)
4E950014     4148		mull	r20, r21, r20
4E805014     414C		mull	r20, 2, r20
42809014     4150		addl	r20, 4, r20
46801C94     4154		cmovle	r20, 0, r20									    # 001194
A6EF0198     4158		ldq	r23, var$0122				# r23, 408(r15)
4AE05617     415C		zap	r23, 2, r23
B6EF0198     4160		stq	r23, var$0122				# r23, 408(r15)
47E07416     4164		mov	3, r22
A72F0198     4168		ldq	r25, var$0122				# r25, 408(r15)
4B209619     416C		zap	r25, 4, r25
4AC05176     4170		insbl	r22, 2, r22
47360419     4174		bis	r25, r22, r25
B72F0198     4178		stq	r25, var$0122				# r25, 408(r15)
47E15416     417C		mov	10, r22
A76F0198     4180		ldq	r27, var$0122				# r27, 408(r15)
4B61161B     4184		zap	r27, 8, r27
4AC07176     4188		insbl	r22, 3, r22
4776041B     418C		bis	r27, r22, r27
B76F0198     4190		stq	r27, var$0122				# r27, 408(r15)
47E09416     4194		mov	4, r22
B6CF01A0     4198		stq	r22, 416(r15)
A42F0198     419C		ldq	r1, var$0122				# r1, 408(r15)
443FF101     41A0		bic	r1, 255, r1
44203401     41A4		bis	r1, 1, r1
B42F0198     41A8		stq	r1, var$0122				# r1, 408(r15)
47E09400     41AC		mov	4, r0
B40F01C0     41B0		stq	r0, 448(r15)
47E03404     41B4		mov	1, r4
B48F01D0     41B8		stq	r4, 464(r15)
B68F01C8     41BC		stq	r20, 456(r15)
47E90406     41C0		mov	r9, r6
B4CF01A8     41C4		stq	r6, 424(r15)
20C6FFFC     41C8		lda	r6, -4(r6)
B4CF01B8     41CC		stq	r6, 440(r15)
220F0199     41D0		lda	r16, 409(r15)
2E300000     41D4		ldq_u	r17, (r16)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 121
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

4A3000D2     41D8		extbl	r17, r16, r18
4A300051     41DC		mskbl	r17, r16, r17
46403412     41E0		bis	r18, 1, r18
4A500172     41E4		insbl	r18, r16, r18
46320411     41E8		bis	r17, r18, r17
3E300000     41EC		stq_u	r17, (r16)
A67D80F0     41F0		ldq	r19, var$0039				# r19, 224(gp)				    # 001129
A2730000     41F4		ldl	r19, var$0039				# r19, (r19)
A6BD80F0     41F8		ldq	r21, var$0040				# r21, 224(gp)
A2B50004     41FC		ldl	r21, var$0040				# r21, 4(r21)
4E750013     4200		mull	r19, r21, r19
4E605013     4204		mull	r19, 2, r19
42609013     4208		addl	r19, 4, r19
46601C93     420C		cmovle	r19, 0, r19									    # 001194
A70F0158     4210		ldq	r24, var$0123				# r24, 344(r15)
4B005618     4214		zap	r24, 2, r24
B70F0158     4218		stq	r24, var$0123				# r24, 344(r15)
47E07417     421C		mov	3, r23
A74F0158     4220		ldq	r26, var$0123				# r26, 344(r15)
4B40961A     4224		zap	r26, 4, r26
4AE05177     4228		insbl	r23, 2, r23
4757041A     422C		bis	r26, r23, r26
B74F0158     4230		stq	r26, var$0123				# r26, 344(r15)
47E15417     4234		mov	10, r23
A54F0158     4238		ldq	r10, var$0123				# r10, 344(r15)
4941160A     423C		zap	r10, 8, r10
4AE07177     4240		insbl	r23, 3, r23
4557040A     4244		bis	r10, r23, r10
B54F0158     4248		stq	r10, var$0123				# r10, 344(r15)
47E0940A     424C		mov	4, r10
B54F0160     4250		stq	r10, 352(r15)
A40F0158     4254		ldq	r0, var$0123				# r0, 344(r15)
441FF100     4258		bic	r0, 255, r0
44003400     425C		bis	r0, 1, r0
B40F0158     4260		stq	r0, var$0123				# r0, 344(r15)
47E09400     4264		mov	4, r0
B40F0180     4268		stq	r0, 384(r15)
47E03403     426C		mov	1, r3
B46F0190     4270		stq	r3, 400(r15)
B66F0188     4274		stq	r19, 392(r15)
A68F0048     4278		ldq	r20, 72(r15)
B68F0168     427C		stq	r20, 360(r15)
2294FFFC     4280		lda	r20, -4(r20)
B68F0178     4284		stq	r20, 376(r15)
210F0159     4288		lda	r8, 345(r15)
2E080000     428C		ldq_u	r16, (r8)
4A0800D1     4290		extbl	r16, r8, r17
4A080050     4294		mskbl	r16, r8, r16
46203411     4298		bis	r17, 1, r17
4A280171     429C		insbl	r17, r8, r17
46110410     42A0		bis	r16, r17, r16
3E080000     42A4		stq_u	r16, (r8)
A65D8018     42A8		ldq	r18, 8(gp)
22520054     42AC		lda	r18, 84(r18)
A70F0118     42B0		ldq	r24, var$0124				# r24, 280(r15)
4B005618     42B4		zap	r24, 2, r24
B70F0118     42B8		stq	r24, var$0124				# r24, 280(r15)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 122
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

47E1D415     42BC		mov	14, r21
A74F0118     42C0		ldq	r26, var$0124				# r26, 280(r15)
4B40961A     42C4		zap	r26, 4, r26
4AA05175     42C8		insbl	r21, 2, r21
4755041A     42CC		bis	r26, r21, r26
B74F0118     42D0		stq	r26, var$0124				# r26, 280(r15)
47E15415     42D4		mov	10, r21
A76F0118     42D8		ldq	r27, var$0124				# r27, 280(r15)
4B61161B     42DC		zap	r27, 8, r27
4AA07175     42E0		insbl	r21, 3, r21
4775041B     42E4		bis	r27, r21, r27
B76F0118     42E8		stq	r27, var$0124				# r27, 280(r15)
47E03415     42EC		mov	1, r21
B6AF0120     42F0		stq	r21, 288(r15)
A42F0118     42F4		ldq	r1, var$0124				# r1, 280(r15)
443FF101     42F8		bic	r1, 255, r1
44203401     42FC		bis	r1, 1, r1
B42F0118     4300		stq	r1, var$0124				# r1, 280(r15)
47E03401     4304		mov	1, r1
B42F0140     4308		stq	r1, 320(r15)
47E03402     430C		mov	1, r2
B44F0150     4310		stq	r2, 336(r15)
47E07404     4314		mov	3, r4
B48F0148     4318		stq	r4, 328(r15)
A67D80F0     431C		ldq	r19, AUXSEC4				# r19, 224(gp)
2273FFD0     4320		lda	r19, AUXSEC4				# r19, -48(r19)
B66F0128     4324		stq	r19, 296(r15)
A4DD80F0     4328		ldq	r6, AUXSEC4				# r6, 224(gp)
20C6FFCF     432C		lda	r6, AUXSEC4				# r6, -49(r6)
B4CF0138     4330		stq	r6, 312(r15)
210F0119     4334		lda	r8, 281(r15)
2E080000     4338		ldq_u	r16, (r8)
4A0800D1     433C		extbl	r16, r8, r17
4A080050     4340		mskbl	r16, r8, r16
46203411     4344		bis	r17, 1, r17
4A280171     4348		insbl	r17, r8, r17
46110410     434C		bis	r16, r17, r16
3E080000     4350		stq_u	r16, (r8)
220F0198     4354		lda	r16, var$0122				# r16, 408(r15)
222F0158     4358		lda	r17, var$0123				# r17, 344(r15)
226F0118     435C		lda	r19, var$0124				# r19, 280(r15)
A69D80F0     4360		ldq	r20, NOCTAUX				# r20, 224(gp)
2294FFE4     4364		lda	r20, NOCTAUX				# r20, -28(r20)
A6BD80F0     4368		ldq	r21, ERR				# r21, 224(gp)
22B5FFF4     436C		lda	r21, ERR				# r21, -12(r21)
D35FF17A     4370		bsr	r26, L$33
A55D80F0     4374		ldq	r10, NOCTAUX				# r10, 224(gp)				    # 001195
A14AFFE4     4378		ldl	r10, NOCTAUX				# r10, -28(r10)
4540780A     437C		xor	r10, 3, r10
A41D80F0     4380		ldq	r0, ERR					# r0, 224(gp)
A000FFF4     4384		ldl	r0, ERR					# r0, -12(r0)
45400400     4388		bis	r10, r0, r0
E4000011     438C		beq	r0, lab$0426
A43D8010     4390		ldq	r1, (gp)									    # 001196
202102D0     4394		lda	r1, 720(r1)
B3EF00D8     4398		stl	r31, var$0029				# r31, 216(r15)
A67D8018     439C		ldq	r19, 8(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 123
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

47E1B403     43A0		mov	13, r3
B46F0120     43A4		stq	r3, 288(r15)
B42F0128     43A8		stq	r1, 296(r15)
220F00D8     43AC		lda	r16, var$0029				# r16, 216(r15)
223FFFFF     43B0		mov	-1, r17
265F0385     43B4		ldah	r18, 901(r31)
2252FF00     43B8		lda	r18, -256(r18)
228F0120     43BC		lda	r20, 288(r15)
A77D8048     43C0		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     43C4		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     43C8		ldah	gp, $mbufr$savesec4_			# gp, (r26)
23BDD450     43CC		lda	gp, $mbufr$savesec4_			# gp, (gp)
C3E00087     43D0		br	lab$0429
	     43D4	lab$0426:											    # 001195
A41D80F0     43D4		ldq	r0, AUXSEC4				# r0, 224(gp)				    # 001200
2000FFD2     43D8		lda	r0, AUXSEC4				# r0, -46(r0)
2D400000     43DC		ldq_u	r10, (r0)
494000C0     43E0		extbl	r10, r0, r0
A42F0050     43E4		ldq	r1, 80(r15)
20210002     43E8		lda	r1, 2(r1)
2C410000     43EC		ldq_u	r2, (r1)
48010163     43F0		insbl	r0, r1, r3
48410042     43F4		mskbl	r2, r1, r2
44430402     43F8		bis	r2, r3, r2
3C410000     43FC		stq_u	r2, (r1)
A4BD80F0     4400		ldq	r5, AUXSEC4				# r5, 224(gp)				    # 001201
20A5FFD1     4404		lda	r5, AUXSEC4				# r5, -47(r5)
2C850000     4408		ldq_u	r4, (r5)
488500C4     440C		extbl	r4, r5, r4
A4CF0050     4410		ldq	r6, 80(r15)
20C60001     4414		lda	r6, 1(r6)
2CE60000     4418		ldq_u	r7, (r6)
48860168     441C		insbl	r4, r6, r8
48E60047     4420		mskbl	r7, r6, r7
44E80407     4424		bis	r7, r8, r7
3CE60000     4428		stq_u	r7, (r6)
A61D80F0     442C		ldq	r16, AUXSEC4				# r16, 224(gp)				    # 001202
A610FFD0     4430		ldq	r16, AUXSEC4				# r16, -48(r16)
A62F0050     4434		ldq	r17, 80(r15)
2E510000     4438		ldq_u	r18, (r17)
4A110173     443C		insbl	r16, r17, r19
4A510052     4440		mskbl	r18, r17, r18
46530412     4444		bis	r18, r19, r18
3E510000     4448		stq_u	r18, (r17)
A69D80F0     444C		ldq	r20, NOCT				# r20, 224(gp)				    # 001211
A294FFF8     4450		ldl	r20, NOCT				# r20, -8(r20)
B68F0078     4454		stq	r20, var$0126				# r20, 120(r15)
47E03415     4458		mov	1, r21
A6DD80F0     445C		ldq	r22, I					# r22, 224(gp)
B2B6FFE8     4460		stl	r21, I					# r21, -24(r22)
EE800028     4464		ble	r20, lab$0393
	     4468	lab$0434:
A6FD8060     4468		ldq	r23, $mbufr$currentrg_			# r23, 80(gp)				    # 001212
A2F70000     446C		ldl	r23, $mbufr$currentrg_			# r23, (r23)
42E03017     4470		addl	r23, 1, r23
A71D8060     4474		ldq	r24, $mbufr$currentrg_			# r24, 80(gp)
B2F80000     4478		stl	r23, $mbufr$currentrg_			# r23, (r24)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 124
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

A73D80F0     447C		ldq	r25, I					# r25, 224(gp)				    # 001213
A339FFE8     4480		ldl	r25, I					# r25, -24(r25)
A74F0050     4484		ldq	r26, 80(r15)
43590419     4488		addq	r26, r25, r25
2339FFFF     448C		lda	r25, -1(r25)
B3EF00D8     4490		stl	r31, var$0029				# r31, 216(r15)
A55D80F0     4494		ldq	r10, UNI				# r10, 224(gp)
A22AFFFC     4498		ldl	r17, UNI				# r17, -4(r10)
A67D8018     449C		ldq	r19, 8(gp)
22730030     44A0		lda	r19, 48(r19)
A41D8060     44A4		ldq	r0, $mbufr$currentrg_			# r0, 80(gp)
A2A00000     44A8		ldl	r21, $mbufr$currentrg_			# r21, (r0)
47E03401     44AC		mov	1, r1
B42F0118     44B0		stq	r1, 280(r15)
B72F0120     44B4		stq	r25, 288(r15)
47E03405     44B8		mov	1, r5
B4AF0128     44BC		stq	r5, 296(r15)
220F00D8     44C0		lda	r16, var$0029				# r16, 216(r15)
265F0385     44C4		ldah	r18, 901(r31)
2252FF00     44C8		lda	r18, -256(r18)
228F0118     44CC		lda	r20, 280(r15)
A77D80C8     44D0		ldq	r27, for_write_dir			# r27, 184(gp)
6B5B4000     44D4		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     44D8		ldah	gp, $mbufr$savesec4_			# gp, (r26)
23BDD450     44DC		lda	gp, $mbufr$savesec4_			# gp, (gp)
A55D80F0     44E0		ldq	r10, I					# r10, 224(gp)				    # 001211
A14AFFE8     44E4		ldl	r10, I					# r10, -24(r10)
4140300A     44E8		addl	r10, 1, r10
A41D80F0     44EC		ldq	r0, I					# r0, 224(gp)
B140FFE8     44F0		stl	r10, I					# r10, -24(r0)
A42F0078     44F4		ldq	r1, var$0126				# r1, 120(r15)
40203521     44F8		subq	r1, 1, r1
B42F0078     44FC		stq	r1, var$0126				# r1, 120(r15)
A44F0078     4500		ldq	r2, var$0126				# r2, 120(r15)
FC5FFFD8     4504		bgt	r2, lab$0434
	     4508	lab$0393:											    # 001220
E5800010     4508		beq	r12, lab$0441
A46C0030     450C		ldq	r3, 48(r12)
A48C0038     4510		ldq	r4, 56(r12)
40640523     4514		subq	r3, r4, r3
A4AF00B8     4518		ldq	r5, var$0035				# r5, 184(r15)
40650403     451C		addq	r3, r5, r3
B46C0030     4520		stq	r3, 48(r12)
A4EF00B8     4524		ldq	r7, var$0035				# r7, 184(r15)
B4EC0038     4528		stq	r7, 56(r12)
A60C0048     452C		ldq	r16, 72(r12)
A62C0050     4530		ldq	r17, 80(r12)
42110530     4534		subq	r16, r17, r16
A64F00B0     4538		ldq	r18, var$0036				# r18, 176(r15)
42120410     453C		addq	r16, r18, r16
B60C0048     4540		stq	r16, 72(r12)
A68F00B0     4544		ldq	r20, var$0036				# r20, 176(r15)
B68C0050     4548		stq	r20, 80(r12)
	     454C	lab$0441:
E5A00010     454C		beq	r13, lab$0443
A6CD0030     4550		ldq	r22, 48(r13)
A6ED0038     4554		ldq	r23, 56(r13)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 125
                                $mbufr$savesec4_                15-Sep-2004 10:10:47  mbufr.f90

42D70536     4558		subq	r22, r23, r22
A70F00C8     455C		ldq	r24, var$0032				# r24, 200(r15)
42D80416     4560		addq	r22, r24, r22
B6CD0030     4564		stq	r22, 48(r13)
A74F00C8     4568		ldq	r26, var$0032				# r26, 200(r15)
B74D0038     456C		stq	r26, 56(r13)
A40D0048     4570		ldq	r0, 72(r13)
A54D0050     4574		ldq	r10, 80(r13)
400A0520     4578		subq	r0, r10, r0
A42F00C0     457C		ldq	r1, var$0033				# r1, 192(r15)
40010400     4580		addq	r0, r1, r0
B40D0048     4584		stq	r0, 72(r13)
A48F00C0     4588		ldq	r4, var$0033				# r4, 192(r15)
B48D0050     458C		stq	r4, 80(r13)
	     4590	lab$0443:
E5600008     4590		beq	r11, lab$0445
A46B0030     4594		ldq	r3, 48(r11)
A4CB0038     4598		ldq	r6, 56(r11)
40660523     459C		subq	r3, r6, r3
A4EF00D0     45A0		ldq	r7, var$0030				# r7, 208(r15)
40670403     45A4		addq	r3, r7, r3
B46B0030     45A8		stq	r3, 48(r11)
A62F00D0     45AC		ldq	r17, var$0030				# r17, 208(r15)
B62B0038     45B0		stq	r17, 56(r11)
	     45B4	lab$0445:
47EF041E     45B4		mov	r15, sp
A74F0000     45B8		ldq	r26, (r15)
A52F0008     45BC		ldq	r9, 8(r15)
A54F0010     45C0		ldq	r10, 16(r15)
A56F0018     45C4		ldq	r11, 24(r15)
A58F0020     45C8		ldq	r12, 32(r15)
A5AF0028     45CC		ldq	r13, 40(r15)
A5CF0030     45D0		ldq	r14, 48(r15)
8C4F0040     45D4		ldt	f2, 64(r15)
A5FE0038     45D8		ldq	r15, 56(sp)
23DE01E0     45DC		lda	sp, 480(sp)
6BFA8001     45E0		ret	(r26)
	     45E4	L$166:												    # 001180
E41FFEBC     45E4		beq	r0, L$165
40005520     45E8		subq	r0, 2, r0
C3FFFEBA     45EC		br	L$165
	     45F0	lab$0429:											    # 001196
A61D8010     45F0		ldq	r16, (gp)									    # 001197
22100050     45F4		lda	r16, 80(r16)
47FF0411     45F8		clr	r17
A77D8088     45FC		ldq	r27, for_stop				# r27, 120(gp)
6B5B4000     4600		jsr	r26, for_stop				# r26, (r27)
27BA0001     4604		ldah	gp, $mbufr$savesec4_			# gp, (r26)
23BDD450     4608		lda	gp, $mbufr$savesec4_			# gp, (gp)
				.end 	$mbufr$savesec4_

Routine Size: 3712 bytes,    Routine Base: $CODE$ + 378C

				.globl  $mbufr$savesec5_
				.ent 	$mbufr$savesec5_
				.eflag 16
	     460C	$mbufr$savesec5_:										    # 001232

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 126
                                $mbufr$savesec5_                15-Sep-2004 10:10:47  mbufr.f90

27BB0001     460C		ldah	gp, $mbufr$savesec5_			# gp, (r27)
23BDD450     4610		lda	gp, $mbufr$savesec5_			# gp, (gp)
	     4614	L$27:
23DEFF80     4614		lda	sp, -128(sp)
B75E0000     4618		stq	r26, (sp)
B53E0008     461C		stq	r9, 8(sp)
				.mask 0x04000200,-128
				.fmask 0x00000000,0
				.frame  $sp, 128, $26
				.prologue 1
B61E0010     4620		stq	r16, 16(sp)
47E03401     4624		mov	1, var$0129				# 1, r1					    # 001243
47E03402     4628		mov	1, var$0128				# 1, r2
C3E0000B     462C		br	lab$0450
	     4630	L$180:
47E6F410     4630		mov	55, r16
A41D80F0     4634		ldq	r0, SEC5				# r0, 224(gp)
40010400     4638		addq	SEC5, r1, r0				# r0, r1, r0
20000007     463C		lda	r0, 7(r0)
2C600000     4640		ldq_u	r3, (r0)
4A000164     4644		insbl	r16, r0, r4
48600043     4648		mskbl	r3, r0, r3
44640403     464C		bis	r3, r4, r3
3C600000     4650		stq_u	r3, (r0)
40203401     4654		addq	var$0129, 1, var$0129			# r1, 1, r1
40403402     4658		addq	var$0128, 1, var$0128			# r2, 1, r2
	     465C	lab$0450:
40409DA0     465C		cmple	var$0128, 4, r0				# r2, 4, r0
F41FFFF3     4660		bne	r0, L$180
A41E0010     4664		ldq	r0, 16(sp)									    # 001244
A0000000     4668		ldl	r0, (r0)
A47D80F0     466C		ldq	r3, UNI					# r3, 224(gp)
B0030014     4670		stl	r0, UNI					# r0, 20(r3)
47E09409     4674		mov	4, var$0130				# 4, r9					    # 001245
47E03404     4678		mov	1, r4
A61D80F0     467C		ldq	r16, I					# r16, 224(gp)
B0900010     4680		stl	r4, I					# r4, 16(r16)
	     4684	lab$0455:
A43D8060     4684		ldq	r1, $mbufr$currentrg_			# r1, 80(gp)				    # 001246
A0210000     4688		ldl	r1, $mbufr$currentrg_			# r1, (r1)
40203001     468C		addl	r1, 1, r1
A45D8060     4690		ldq	r2, $mbufr$currentrg_			# r2, 80(gp)
B0220000     4694		stl	r1, $mbufr$currentrg_			# r1, (r2)
A41D80F0     4698		ldq	r0, I					# r0, 224(gp)				    # 001247
A0000010     469C		ldl	r0, I					# r0, 16(r0)
A79D80F0     46A0		ldq	r28, SEC5				# r28, 224(gp)
43800400     46A4		addq	SEC5, r0, r0				# r28, r0, r0
20000007     46A8		lda	r0, 7(r0)
B3FE0020     46AC		stl	r31, var$0043				# r31, 32(sp)
A49D80F0     46B0		ldq	r4, UNI					# r4, 224(gp)
A2240014     46B4		ldl	r17, UNI				# r17, 20(r4)
A67D8018     46B8		ldq	r19, 8(gp)
22730030     46BC		lda	r19, 48(r19)
A61D8060     46C0		ldq	r16, $mbufr$currentrg_			# r16, 80(gp)
A2B00000     46C4		ldl	r21, $mbufr$currentrg_			# r21, (r16)
47E03401     46C8		mov	1, r1
B43E0060     46CC		stq	r1, 96(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 127
                                $mbufr$savesec5_                15-Sep-2004 10:10:47  mbufr.f90

B41E0068     46D0		stq	r0, 104(sp)
47E03404     46D4		mov	1, r4
B49E0070     46D8		stq	r4, 112(sp)
221E0020     46DC		lda	r16, var$0043				# r16, 32(sp)
265F0385     46E0		ldah	r18, 901(r31)
2252FF00     46E4		lda	r18, -256(r18)
229E0060     46E8		lda	r20, 96(sp)
A77D80C8     46EC		ldq	r27, for_write_dir			# r27, 184(gp)
6B5B4000     46F0		jsr	r26, for_write_dir			# r26, (r27)
27BA0001     46F4		ldah	gp, $mbufr$savesec5_			# gp, (r26)
23BDD450     46F8		lda	gp, $mbufr$savesec5_			# gp, (gp)
A41D80F0     46FC		ldq	r0, I					# r0, 224(gp)				    # 001245
A0000010     4700		ldl	r0, I					# r0, 16(r0)
40003000     4704		addl	r0, 1, r0
A43D80F0     4708		ldq	r1, I					# r1, 224(gp)
B0010010     470C		stl	r0, I					# r0, 16(r1)
41203529     4710		subq	var$0130, 1, var$0130			# r9, 1, r9
FD3FFFDB     4714		bgt	var$0130, lab$0455			# r9, lab$0455
A75E0000     4718		ldq	r26, (sp)									    # 001249
A53E0008     471C		ldq	r9, 8(sp)
23DE0080     4720		lda	sp, 128(sp)
6BFA8001     4724		ret	(r26)
				.end 	$mbufr$savesec5_

Routine Size: 284 bytes,    Routine Base: $CODE$ + 460C

				.globl  $mbufr$init_tabb_
				.ent 	$mbufr$init_tabb_
				.eflag 16
	     4728	$mbufr$init_tabb_:										    # 001270
27BB0001     4728		ldah	gp, $mbufr$init_tabb_			# gp, (r27)
23BDD450     472C		lda	gp, $mbufr$init_tabb_			# gp, (gp)
	     4730	L$2:
23DEFE40     4730		lda	sp, -448(sp)
B75E0000     4734		stq	r26, (sp)
B53E0008     4738		stq	r9, 8(sp)
B55E0010     473C		stq	r10, 16(sp)
				.mask 0x04000600,-448
				.fmask 0x00000000,0
				.frame  $sp, 448, $26
				.prologue 1
B61E0018     4740		stq	r16, 24(sp)
A43E0018     4744		ldq	r1, 24(sp)									    # 001277
A0210000     4748		ldl	r1, (r1)
A45D80F0     474C		ldq	r2, UNI					# r2, 224(gp)
B022001C     4750		stl	r1, UNI					# r1, 28(r2)
A41D80F0     4754		ldq	r0, I					# r0, 224(gp)				    # 001278
B3E00018     4758		stl	r31, I					# r31, 24(r0)
47FF0410     475C		mov	r31, var$0137				# r31, r16				    # 001279
47E03403     4760		mov	1, var$0134				# 1, r3
	     4764	lab$0471:
40793DA0     4764		cmple	var$0134, 201, r0			# r3, 201, r0
E400001A     4768		beq	r0, lab$0475
20DF01B0     476C		mov	432, r6
4E060406     4770		mulq	var$0137, r6, r6			# r16, r6, r6
47FF0401     4774		mov	r31, var$0136				# r31, r1
47E03404     4778		mov	1, var$0133				# 1, r4

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 128
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

	     477C	lab$0468:
40849DA0     477C		cmple	var$0133, 36, r0			# r4, 36, r0
E4000011     4780		beq	r0, lab$0470
4C219407     4784		mulq	var$0136, 12, r7			# r1, 12, r7
40E60407     4788		addq	r7, r6, r7
47FF0402     478C		mov	r31, var$0135				# r31, r2
47E03405     4790		mov	1, var$0132				# 1, r5
C3E00007     4794		br	lab$0465
	     4798	L$181:
4C419408     4798		mulq	var$0135, 12, r8			# r2, 12, r8
41070408     479C		addq	r8, r7, r8
A79D80D8     47A0		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43880408     47A4		addq	$mbufr$tabb_, r8, r8			# r28, r8, r8
9BE8FFF8     47A8		sts	f31, -8(r8)
40403402     47AC		addq	var$0135, 1, var$0135			# r2, 1, r2
40A03405     47B0		addq	var$0132, 1, var$0132			# r5, 1, r5
	     47B4	lab$0465:
40A03DA0     47B4		cmple	var$0132, 1, r0				# r5, 1, r0
F41FFFF7     47B8		bne	r0, L$181
40203401     47BC		addq	var$0136, 1, var$0136			# r1, 1, r1
40803404     47C0		addq	var$0133, 1, var$0133			# r4, 1, r4
C3FFFFED     47C4		br	lab$0468
	     47C8	lab$0470:
42003410     47C8		addq	var$0137, 1, var$0137			# r16, 1, r16
40603403     47CC		addq	var$0134, 1, var$0134			# r3, 1, r3
C3FFFFE4     47D0		br	lab$0471
	     47D4	lab$0475:											    # 001280
47FF0401     47D4		mov	r31, var$0143				# r31, r1
47E03404     47D8		mov	1, var$0140				# 1, r4
	     47DC	lab$0483:
40993DA0     47DC		cmple	var$0140, 201, r0			# r4, 201, r0
E400001A     47E0		beq	r0, lab$0487
211F01B0     47E4		mov	432, r8
4C280408     47E8		mulq	var$0143, r8, r8			# r1, r8, r8
47FF0402     47EC		mov	r31, var$0142				# r31, r2
47E03405     47F0		mov	1, var$0139				# 1, r5
	     47F4	lab$0480:
40A49DA7     47F4		cmple	var$0139, 36, r7			# r5, 36, r7
E4E00011     47F8		beq	r7, lab$0482
4C419406     47FC		mulq	var$0142, 12, r6			# r2, 12, r6
40C80406     4800		addq	r6, r8, r6
47FF0403     4804		mov	r31, var$0141				# r31, r3
47E03410     4808		mov	1, var$0138				# 1, r16
C3E00007     480C		br	lab$0477
	     4810	L$182:
4C619407     4810		mulq	var$0141, 12, r7			# r3, 12, r7
40E60407     4814		addq	r7, r6, r7
A79D80D8     4818		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43870407     481C		addq	$mbufr$tabb_, r7, r7			# r28, r7, r7
9BE7FFFC     4820		sts	f31, -4(r7)
40603403     4824		addq	var$0141, 1, var$0141			# r3, 1, r3
42003410     4828		addq	var$0138, 1, var$0138			# r16, 1, r16
	     482C	lab$0477:
42003DA0     482C		cmple	var$0138, 1, r0				# r16, 1, r0
F41FFFF7     4830		bne	r0, L$182
40403402     4834		addq	var$0142, 1, var$0142			# r2, 1, r2
40A03405     4838		addq	var$0139, 1, var$0139			# r5, 1, r5

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 129
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

C3FFFFED     483C		br	lab$0480
	     4840	lab$0482:
40203401     4840		addq	var$0143, 1, var$0143			# r1, 1, r1
40803404     4844		addq	var$0140, 1, var$0140			# r4, 1, r4
C3FFFFE4     4848		br	lab$0483
	     484C	lab$0487:											    # 001281
47FF0401     484C		mov	r31, var$0149				# r31, r1
47E03404     4850		mov	1, var$0146				# 1, r4
	     4854	lab$0495:
40993DA0     4854		cmple	var$0146, 201, r0			# r4, 201, r0
E400001A     4858		beq	r0, lab$0499
20FF01B0     485C		mov	432, r7
4C270407     4860		mulq	var$0149, r7, r7			# r1, r7, r7
47FF0402     4864		mov	r31, var$0148				# r31, r2
47E03405     4868		mov	1, var$0145				# 1, r5
	     486C	lab$0492:
40A49DA6     486C		cmple	var$0145, 36, r6			# r5, 36, r6
E4C00011     4870		beq	r6, lab$0494
4C419408     4874		mulq	var$0148, 12, r8			# r2, 12, r8
41070408     4878		addq	r8, r7, r8
47FF0403     487C		mov	r31, var$0147				# r31, r3
47E03410     4880		mov	1, var$0144				# 1, r16
C3E00007     4884		br	lab$0489
	     4888	L$183:
4C619406     4888		mulq	var$0147, 12, r6			# r3, 12, r6
40C80406     488C		addq	r6, r8, r6
A79D80D8     4890		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43860406     4894		addq	$mbufr$tabb_, r6, r6			# r28, r6, r6
B3E60000     4898		stl	r31, (r6)
40603403     489C		addq	var$0147, 1, var$0147			# r3, 1, r3
42003410     48A0		addq	var$0144, 1, var$0144			# r16, 1, r16
	     48A4	lab$0489:
42003DA0     48A4		cmple	var$0144, 1, r0				# r16, 1, r0
F41FFFF7     48A8		bne	r0, L$183
40403402     48AC		addq	var$0148, 1, var$0148			# r2, 1, r2
40A03405     48B0		addq	var$0145, 1, var$0145			# r5, 1, r5
C3FFFFED     48B4		br	lab$0492
	     48B8	lab$0494:
40203401     48B8		addq	var$0149, 1, var$0149			# r1, 1, r1
40803404     48BC		addq	var$0146, 1, var$0146			# r4, 1, r4
C3FFFFE4     48C0		br	lab$0495
	     48C4	lab$0499:											    # 001283
A41D8010     48C4		ldq	r0, (gp)
20000340     48C8		lda	r0, 832(r0)
A4DD8010     48CC		ldq	r6, (gp)
20C60330     48D0		lda	r6, 816(r6)
A51D8010     48D4		ldq	r8, (gp)
21080328     48D8		lda	r8, 808(r8)
B3FE0050     48DC		stl	r31, var$0044				# r31, 80(sp)
A43D80F0     48E0		ldq	r1, UNI					# r1, 224(gp)
A221001C     48E4		ldl	r17, UNI				# r17, 28(r1)
A67D8010     48E8		ldq	r19, (gp)
22730318     48EC		lda	r19, 792(r19)
47E29402     48F0		mov	20, r2
B45E0090     48F4		stq	r2, 144(sp)
B41E0098     48F8		stq	r0, 152(sp)
47E15405     48FC		mov	10, r5

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 130
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

B4BE00A0     4900		stq	r5, 160(sp)
B4DE00A8     4904		stq	r6, 168(sp)
47E07401     4908		mov	3, r1
B43E00B0     490C		stq	r1, 176(sp)
B51E00B8     4910		stq	r8, 184(sp)
221E0050     4914		lda	r16, var$0044				# r16, 80(sp)
265F0385     4918		ldah	r18, 901(r31)
2252FF00     491C		lda	r18, -256(r18)
229E0090     4920		lda	r20, 144(sp)
A77D8050     4924		ldq	r27, for_open				# r27, 64(gp)
6B5B4000     4928		jsr	r26, for_open				# r26, (r27)
27BA0001     492C		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4930		lda	gp, $mbufr$init_tabb_			# gp, (gp)
	     4934	lab$0502:											    # 001285
B3FE0050     4934		stl	r31, var$0044				# r31, 80(sp)
A43D80F0     4938		ldq	r1, UNI					# r1, 224(gp)
A221001C     493C		ldl	r17, UNI				# r17, 28(r1)
A67D8018     4940		ldq	r19, 8(gp)
47FFF402     4944		mov	255, r2
B45E0090     4948		stq	r2, 144(sp)
A49D80F0     494C		ldq	r4, A					# r4, 224(gp)
20840238     4950		lda	r4, A					# r4, 568(r4)
B49E0098     4954		stq	r4, 152(sp)
221E0050     4958		lda	r16, var$0044				# r16, 80(sp)
265F0385     495C		ldah	r18, 901(r31)
2252FF02     4960		lda	r18, -254(r18)
229E0090     4964		lda	r20, 144(sp)
A6BD80B0     4968		ldq	r21, var$0046				# r21, 160(gp)
22B5014C     496C		lda	r21, var$0046				# r21, 332(r21)
A77D8110     4970		ldq	r27, for_read_seq_fmt			# r27, 256(gp)
6B5B4000     4974		jsr	r26, for_read_seq_fmt			# r26, (r27)
27BA0001     4978		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     497C		lda	gp, $mbufr$init_tabb_			# gp, (gp)
47E0040A     4980		mov	r0, var$0151				# r0, r10
202A0001     4984		addq	var$0151, 1, r1				# r10, 1, r1
E4200118     4988		beq	r1, lab$0539
221E00C0     498C		lda	r16, 192(sp)									    # 001286
A65D80F0     4990		ldq	r18, A					# r18, 224(gp)
22520238     4994		lda	r18, A					# r18, 568(r18)
47FFF411     4998		mov	255, r17
A77D8040     499C		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     49A0		jsr	r26, _OtsMove				# r26, (r27)
221E00C0     49A4		lda	r16, 192(sp)
47FFF411     49A8		mov	255, r17
A77D8108     49AC		ldq	r27, for_len_trim			# r27, 248(gp)
6B5B4000     49B0		jsr	r26, for_len_trim			# r26, (r27)
27BA0001     49B4		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     49B8		lda	gp, $mbufr$init_tabb_			# gp, (gp)
40015DA0     49BC		cmple	r0, 10, r0
44003800     49C0		xor	r0, 1, r0
E40000AC     49C4		beq	r0, lab$0509
B3FE0050     49C8		stl	r31, var$0044				# r31, 80(sp)				    # 001287
A65D8010     49CC		ldq	r18, (gp)
22520310     49D0		lda	r18, 784(r18)
47FFF402     49D4		mov	255, r2
B45E0090     49D8		stq	r2, 144(sp)
A49D80F0     49DC		ldq	r4, A					# r4, 224(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 131
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

20840238     49E0		lda	r4, A					# r4, 568(r4)
B49E0098     49E4		stq	r4, 152(sp)
A4DD80F0     49E8		ldq	r6, F					# r6, 224(gp)
20C60034     49EC		lda	r6, F					# r6, 52(r6)
B4DE00A0     49F0		stq	r6, 160(sp)
221E0050     49F4		lda	r16, var$0044				# r16, 80(sp)
263F0385     49F8		ldah	r17, 901(r31)
2231FF00     49FC		lda	r17, -256(r17)
227E0090     4A00		lda	r19, 144(sp)
A69D80B0     4A04		ldq	r20, var$0045				# r20, 160(gp)
2294009C     4A08		lda	r20, var$0045				# r20, 156(r20)
A77D8100     4A0C		ldq	r27, for_read_int_fmt			# r27, 240(gp)
6B5B4000     4A10		jsr	r26, for_read_int_fmt			# r26, (r27)
27BA0001     4A14		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4A18		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4A1C		ldq	r17, 8(gp)
22310018     4A20		lda	r17, 24(r17)
A41D80F0     4A24		ldq	r0, X					# r0, 224(gp)
20000030     4A28		lda	r0, X					# r0, 48(r0)
B41E0090     4A2C		stq	r0, 144(sp)
221E0050     4A30		lda	r16, var$0044				# r16, 80(sp)
225E0090     4A34		lda	r18, 144(sp)
A77D80F8     4A38		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4A3C		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4A40		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4A44		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4A48		ldq	r17, 8(gp)
22310018     4A4C		lda	r17, 24(r17)
A41D80F0     4A50		ldq	r0, Y					# r0, 224(gp)
2000002C     4A54		lda	r0, Y					# r0, 44(r0)
B41E0090     4A58		stq	r0, 144(sp)
221E0050     4A5C		lda	r16, var$0044				# r16, 80(sp)
225E0090     4A60		lda	r18, 144(sp)
A77D80F8     4A64		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4A68		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4A6C		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4A70		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4A74		ldq	r17, 8(gp)
22310008     4A78		lda	r17, 8(r17)
47FFF400     4A7C		mov	255, r0
B41E0090     4A80		stq	r0, 144(sp)
A45D80F0     4A84		ldq	r2, C4					# r2, 224(gp)
20420138     4A88		lda	r2, C4					# r2, 312(r2)
B45E0098     4A8C		stq	r2, 152(sp)
221E0050     4A90		lda	r16, var$0044				# r16, 80(sp)
225E0090     4A94		lda	r18, 144(sp)
A77D80F8     4A98		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4A9C		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4AA0		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4AA4		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4AA8		ldq	r17, 8(gp)
22310008     4AAC		lda	r17, 8(r17)
47FFF400     4AB0		mov	255, r0
B41E0090     4AB4		stq	r0, 144(sp)
A45D80F0     4AB8		ldq	r2, C5					# r2, 224(gp)
20420038     4ABC		lda	r2, C5					# r2, 56(r2)
B45E0098     4AC0		stq	r2, 152(sp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 132
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

221E0050     4AC4		lda	r16, var$0044				# r16, 80(sp)
225E0090     4AC8		lda	r18, 144(sp)
A77D80F8     4ACC		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4AD0		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4AD4		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4AD8		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4ADC		ldq	r17, 8(gp)
22310018     4AE0		lda	r17, 24(r17)
A41D80F0     4AE4		ldq	r0, SCALE				# r0, 224(gp)
20000028     4AE8		lda	r0, SCALE				# r0, 40(r0)
B41E0090     4AEC		stq	r0, 144(sp)
221E0050     4AF0		lda	r16, var$0044				# r16, 80(sp)
225E0090     4AF4		lda	r18, 144(sp)
A77D80F8     4AF8		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4AFC		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4B00		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4B04		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4B08		ldq	r17, 8(gp)
22310018     4B0C		lda	r17, 24(r17)
A41D80F0     4B10		ldq	r0, REFV				# r0, 224(gp)
20000024     4B14		lda	r0, REFV				# r0, 36(r0)
B41E0090     4B18		stq	r0, 144(sp)
221E0050     4B1C		lda	r16, var$0044				# r16, 80(sp)
225E0090     4B20		lda	r18, 144(sp)
A77D80F8     4B24		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4B28		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4B2C		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4B30		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4B34		ldq	r17, 8(gp)
22310028     4B38		lda	r17, 40(r17)
A41D80F0     4B3C		ldq	r0, NBITS				# r0, 224(gp)
20000020     4B40		lda	r0, NBITS				# r0, 32(r0)
B41E0090     4B44		stq	r0, 144(sp)
221E0050     4B48		lda	r16, var$0044				# r16, 80(sp)
225E0090     4B4C		lda	r18, 144(sp)
A77D80F8     4B50		ldq	r27, for_read_int_fmt_xmit		# r27, 232(gp)
6B5B4000     4B54		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     4B58		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4B5C		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A41D80F0     4B60		ldq	r0, F					# r0, 224(gp)				    # 001290
A0000034     4B64		ldl	r0, F					# r0, 52(r0)
A43D80F0     4B68		ldq	r1, X					# r1, 224(gp)
A0210030     4B6C		ldl	r1, X					# r1, 48(r1)
40247DA1     4B70		cmple	r1, 35, r1
441F04C1     4B74		cmovne	r0, r31, r1
A45D80F0     4B78		ldq	r2, Y					# r2, 224(gp)
A042002C     4B7C		ldl	r2, Y					# r2, 44(r2)
40591DA2     4B80		cmple	r2, 200, r2
445F0481     4B84		cmoveq	r2, r31, r1
E420003B     4B88		beq	r1, lab$0509
A47D80F0     4B8C		ldq	r3, NBITS				# r3, 224(gp)				    # 001291
A0630020     4B90		ldl	r3, NBITS				# r3, 32(r3)
2063FEFF     4B94		addq	r3, -257, r3
F8600042     4B98		bge	r3, lab$0524
A49D80F0     4B9C		ldq	r4, F					# r4, 224(gp)				    # 001298
A0840034     4BA0		ldl	r4, F					# r4, 52(r4)
A4BD80F0     4BA4		ldq	r5, X					# r5, 224(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 133
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

A0A50030     4BA8		ldl	r5, X					# r5, 48(r5)
A4DD80F0     4BAC		ldq	r6, Y					# r6, 224(gp)
A0C6002C     4BB0		ldl	r6, Y					# r6, 44(r6)
20FF01B0     4BB4		mov	432, r7
4CC70406     4BB8		mulq	r6, r7, r6
4CA19405     4BBC		mulq	r5, 12, r5
40A60405     4BC0		addq	r5, r6, r5
4C819404     4BC4		mulq	r4, 12, r4
40850404     4BC8		addq	r4, r5, r4
A51D80F0     4BCC		ldq	r8, SCALE				# r8, 224(gp)
88080028     4BD0		lds	f0, SCALE				# f0, 40(r8)
5FE00200     4BD4		cvtlq	f0, f0
5BE01781     4BD8		cvtqs	f0, f1
A79D80D8     4BDC		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43840404     4BE0		addq	$mbufr$tabb_, r4, r4			# r28, r4, r4
9824FFF8     4BE4		sts	f1, -8(r4)
A61D80F0     4BE8		ldq	r16, F					# r16, 224(gp)				    # 001299
A2100034     4BEC		ldl	r16, F					# r16, 52(r16)
A63D80F0     4BF0		ldq	r17, X					# r17, 224(gp)
A2310030     4BF4		ldl	r17, X					# r17, 48(r17)
A65D80F0     4BF8		ldq	r18, Y					# r18, 224(gp)
A252002C     4BFC		ldl	r18, Y					# r18, 44(r18)
227F01B0     4C00		mov	432, r19
4E530412     4C04		mulq	r18, r19, r18
4E219411     4C08		mulq	r17, 12, r17
42320411     4C0C		addq	r17, r18, r17
4E019410     4C10		mulq	r16, 12, r16
42110410     4C14		addq	r16, r17, r16
A69D80F0     4C18		ldq	r20, REFV				# r20, 224(gp)
89540024     4C1C		lds	f10, REFV				# f10, 36(r20)
5FEA020A     4C20		cvtlq	f10, f10
5BEA178B     4C24		cvtqs	f10, f11
A79D80D8     4C28		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43900410     4C2C		addq	$mbufr$tabb_, r16, r16			# r28, r16, r16
9970FFFC     4C30		sts	f11, -4(r16)
A6BD80F0     4C34		ldq	r21, F					# r21, 224(gp)				    # 001300
A2B50034     4C38		ldl	r21, F					# r21, 52(r21)
A6DD80F0     4C3C		ldq	r22, X					# r22, 224(gp)
A2D60030     4C40		ldl	r22, X					# r22, 48(r22)
A6FD80F0     4C44		ldq	r23, Y					# r23, 224(gp)
A2F7002C     4C48		ldl	r23, Y					# r23, 44(r23)
231F01B0     4C4C		mov	432, r24
4EF80417     4C50		mulq	r23, r24, r23
4EC19416     4C54		mulq	r22, 12, r22
42D70416     4C58		addq	r22, r23, r22
4EA19415     4C5C		mulq	r21, 12, r21
42B60415     4C60		addq	r21, r22, r21
A73D80F0     4C64		ldq	r25, NBITS				# r25, 224(gp)
A3390020     4C68		ldl	r25, NBITS				# r25, 32(r25)
A79D80D8     4C6C		ldq	r28, $mbufr$tabb_			# r28, 200(gp)
43950415     4C70		addq	$mbufr$tabb_, r21, r21			# r28, r21, r21
B3350000     4C74		stl	r25, (r21)
	     4C78	lab$0509:											    # 001286
A75D80F0     4C78		ldq	r26, I					# r26, 224(gp)				    # 001304
A35A0018     4C7C		ldl	r26, I					# r26, 24(r26)
4340301A     4C80		addl	r26, 1, r26
A77D80F0     4C84		ldq	r27, I					# r27, 224(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 134
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

B35B0018     4C88		stl	r26, I					# r26, 24(r27)
A41D80F0     4C8C		ldq	r0, I					# r0, 224(gp)				    # 001305
A0000018     4C90		ldl	r0, I					# r0, 24(r0)
2000FE0C     4C94		addq	r0, -500, r0
F8000054     4C98		bge	r0, lab$0539
47FF0409     4C9C		mov	r31, var$0156				# r31, r9
C3FFFF24     4CA0		br	lab$0502
	     4CA4	lab$0524:											    # 001292
A45D8010     4CA4		ldq	r2, (gp)
204202F0     4CA8		lda	r2, 752(r2)
B3FE0050     4CAC		stl	r31, var$0044				# r31, 80(sp)
A67D8018     4CB0		ldq	r19, 8(gp)
47E3D403     4CB4		mov	30, r3
B47E0090     4CB8		stq	r3, 144(sp)
B45E0098     4CBC		stq	r2, 152(sp)
221E0050     4CC0		lda	r16, var$0044				# r16, 80(sp)
223FFFFF     4CC4		mov	-1, r17
265F0385     4CC8		ldah	r18, 901(r31)
2252FF00     4CCC		lda	r18, -256(r18)
229E0090     4CD0		lda	r20, 144(sp)
A77D8048     4CD4		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     4CD8		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     4CDC		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4CE0		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A41D8010     4CE4		ldq	r0, (gp)									    # 001293
200002E8     4CE8		lda	r0, 744(r0)
B3FE0050     4CEC		stl	r31, var$0044				# r31, 80(sp)
A67D8018     4CF0		ldq	r19, 8(gp)
22730008     4CF4		lda	r19, 8(r19)
47E0D402     4CF8		mov	6, r2
B45E0090     4CFC		stq	r2, 144(sp)
B41E0098     4D00		stq	r0, 152(sp)
221E0050     4D04		lda	r16, var$0044				# r16, 80(sp)
223FFFFF     4D08		mov	-1, r17
265F0385     4D0C		ldah	r18, 901(r31)
2252FF00     4D10		lda	r18, -256(r18)
229E0090     4D14		lda	r20, 144(sp)
A77D8048     4D18		ldq	r27, for_write_seq_lis			# r27, 56(gp)
6B5B4000     4D1C		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     4D20		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4D24		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4D28		ldq	r17, 8(gp)
22310018     4D2C		lda	r17, 24(r17)
A41D80F0     4D30		ldq	r0, I					# r0, 224(gp)
20000018     4D34		lda	r0, I					# r0, 24(r0)
B41E0090     4D38		stq	r0, 144(sp)
221E0050     4D3C		lda	r16, var$0044				# r16, 80(sp)
225E0090     4D40		lda	r18, 144(sp)
A77D8020     4D44		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     4D48		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     4D4C		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4D50		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A41D8010     4D54		ldq	r0, (gp)
200002E0     4D58		lda	r0, 736(r0)
A63D8018     4D5C		ldq	r17, 8(gp)
22310008     4D60		lda	r17, 8(r17)
47E0D401     4D64		mov	6, r1

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 135
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

B43E0090     4D68		stq	r1, 144(sp)
B41E0098     4D6C		stq	r0, 152(sp)
221E0050     4D70		lda	r16, var$0044				# r16, 80(sp)
225E0090     4D74		lda	r18, 144(sp)
A77D8020     4D78		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     4D7C		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     4D80		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4D84		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A63D8018     4D88		ldq	r17, 8(gp)
22310028     4D8C		lda	r17, 40(r17)
A41D80F0     4D90		ldq	r0, NBITS				# r0, 224(gp)
20000020     4D94		lda	r0, NBITS				# r0, 32(r0)
B41E0090     4D98		stq	r0, 144(sp)
221E0050     4D9C		lda	r16, var$0044				# r16, 80(sp)
225E0090     4DA0		lda	r18, 144(sp)
A77D8020     4DA4		ldq	r27, for_write_seq_lis_xmit		# r27, 16(gp)
6B5B4000     4DA8		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     4DAC		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4DB0		lda	gp, $mbufr$init_tabb_			# gp, (gp)
B3FE0050     4DB4		stl	r31, var$0044				# r31, 80(sp)				    # 001294
A43D80F0     4DB8		ldq	r1, UNI					# r1, 224(gp)
A221001C     4DBC		ldl	r17, UNI				# r17, 28(r1)
A67D8018     4DC0		ldq	r19, 8(gp)
22730010     4DC4		lda	r19, 16(r19)
221E0050     4DC8		lda	r16, var$0044				# r16, 80(sp)
265F0385     4DCC		ldah	r18, 901(r31)
2252FF00     4DD0		lda	r18, -256(r18)
47FF0414     4DD4		clr	r20
A77D8090     4DD8		ldq	r27, for_close				# r27, 128(gp)
6B5B4000     4DDC		jsr	r26, for_close				# r26, (r27)
27BA0001     4DE0		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4DE4		lda	gp, $mbufr$init_tabb_			# gp, (gp)
C3E00012     4DE8		br	lab$0532
	     4DEC	lab$0539:											    # 001306
B3FE0050     4DEC		stl	r31, var$0044				# r31, 80(sp)
A43D80F0     4DF0		ldq	r1, UNI					# r1, 224(gp)
A221001C     4DF4		ldl	r17, UNI				# r17, 28(r1)
A67D8018     4DF8		ldq	r19, 8(gp)
22730010     4DFC		lda	r19, 16(r19)
221E0050     4E00		lda	r16, var$0044				# r16, 80(sp)
265F0385     4E04		ldah	r18, 901(r31)
2252FF00     4E08		lda	r18, -256(r18)
47FF0414     4E0C		clr	r20
A77D8090     4E10		ldq	r27, for_close				# r27, 128(gp)
6B5B4000     4E14		jsr	r26, for_close				# r26, (r27)
27BA0001     4E18		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4E1C		lda	gp, $mbufr$init_tabb_			# gp, (gp)
A75E0000     4E20		ldq	r26, (sp)									    # 001309
A53E0008     4E24		ldq	r9, 8(sp)
A55E0010     4E28		ldq	r10, 16(sp)
23DE01C0     4E2C		lda	sp, 448(sp)
6BFA8001     4E30		ret	(r26)
	     4E34	lab$0532:											    # 001294
A61D8010     4E34		ldq	r16, (gp)									    # 001295
22100050     4E38		lda	r16, 80(r16)
47FF0411     4E3C		clr	r17
A77D8088     4E40		ldq	r27, for_stop				# r27, 120(gp)

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 136
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

6B5B4000     4E44		jsr	r26, for_stop				# r26, (r27)
27BA0001     4E48		ldah	gp, $mbufr$init_tabb_			# gp, (r26)
23BDD450     4E4C		lda	gp, $mbufr$init_tabb_			# gp, (gp)
				.end 	$mbufr$init_tabb_

Routine Size: 1832 bytes,    Routine Base: $CODE$ + 4728

				.data
				.lcomm	UNI 4
				.lcomm	RG2 4
				.lcomm	NRG 4
				.lcomm	RGF 4
				.lcomm	RG0 4
				.lcomm	BSUBTYPE 4
				.lcomm	BTYPE 4
				.lcomm	TAM_SEC4 4
				.lcomm	TAM_SEC3 4
				.lcomm	TAM_SEC2 4
				.lcomm	TAM_BUFR 4
				.lcomm	SEC2OPT 4
				.lcomm	UNI 4
				.lcomm	AUX 1
				.lcomm	V 8
				.lcomm	VALMAX 4
				.lcomm	N 4
				.lcomm	I 4
				.lcomm	J 4
				.lcomm	K 4
				.lcomm	var$0020 4
				.lcomm	SEC0 8
				.lcomm	I 4
				.lcomm	ERR 4
				.lcomm	NOCT 4
				.lcomm	UNI 4
				.lcomm	B 24
				.lcomm	A 24
				.lcomm	I 4
				.lcomm	ERR 4
				.lcomm	NOCT 4
				.lcomm	UNI 4
				.lcomm	SEC1 18
				.lcomm	B 64
				.lcomm	A 64
				.lcomm	RDBANO 4
				.lcomm	RDBDIA 4
				.lcomm	RDBMES 4
				.lcomm	I 4
				.lcomm	ERR 4
				.lcomm	NOCT 4
				.lcomm	UNI 4
				.lcomm	RDB_CLOCK 36
				.lcomm	SEC2 52
				.lcomm	RDBTIME 32
				.lcomm	B 204
				.lcomm	A 204
				.lcomm	XX 4
				.lcomm	IB 4

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 137
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

				.lcomm	I 4
				.lcomm	ERR 4
				.lcomm	NOCT 4
				.lcomm	UNI 4
				.lcomm	B 32000
				.lcomm	A 32000
				.lcomm	SEC3 1000
				.lcomm	AUXSEC4 3
				.lcomm	AA 4
				.lcomm	DIMOCT 4
				.lcomm	DIMAB 4
				.lcomm	NOCTAUX 4
				.lcomm	I 4
				.lcomm	J 4
				.lcomm	K 4
				.lcomm	ERR 4
				.lcomm	NOCT 4
				.lcomm	UNI 4
				.lcomm	var$0039 4
				.lcomm	var$0040 4
				.lcomm	SEC5 4
				.lcomm	I 4
				.lcomm	UNI 4
				.lcomm	I 4
				.lcomm	UNI 4
				.lcomm	NBITS 4
				.lcomm	REFV 4
				.lcomm	SCALE 4
				.lcomm	Y 4
				.lcomm	X 4
				.lcomm	F 4
				.lcomm	C5 255
				.lcomm	C4 255
				.lcomm	A 255
				.globl $mbufr$tabb_
				.lcomm	$mbufr$tabb_ 86832
				.globl $mbufr$subname_
				.lcomm	$mbufr$subname_ 255
				.globl $mbufr$nmsg_
				.lcomm	$mbufr$nmsg_ 4
				.globl $mbufr$station_number_
				.lcomm	$mbufr$station_number_ 5
				.globl $mbufr$vermastertab_
				.lcomm	$mbufr$vermastertab_ 4
				.globl $mbufr$verloctab_
				.lcomm	$mbufr$verloctab_ 4
				.globl $mbufr$centre_mbufr_
				.lcomm	$mbufr$centre_mbufr_ 4
				.globl $mbufr$currentrg_
				.lcomm	$mbufr$currentrg_ 4
				.data
			$$1:
00000036     0000		.long	0x00000036
000D001C     0004		.long	0x000D001C
20202020     0008		.ascii	"    Variavel("
69726156     000C
6C657661     0010

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 138
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

      28     0014

      00     0015		.byte	0x00
      00     0016		.byte	0x00
      00     0017		.byte	0x00
03000025     0018		.long	0x03000025
00000001     001C		.long	0x00000001
00000003     0020		.long	0x00000003
0003001C     0024		.long	0x0003001C
  3D2029     0028		.ascii	") ="

      00     002B		.byte	0x00
00000024     002C		.long	0x00000024
00000001     0030		.long	0x00000001
0000000B     0034		.long	0x0000000B
00000037     0038		.long	0x00000037
00000036     003C		.long	0x00000036
000C001C     0040		.long	0x000C001C
63736544     0044		.ascii	"Descritor = "
6F746972     0048
203D2072     004C

00000024     0050		.long	0x00000024
00000001     0054		.long	0x00000001
00000001     0058		.long	0x00000001
0000000E     005C		.long	0x0000000E
00000001     0060		.long	0x00000001
00000001     0064		.long	0x00000001
00000024     0068		.long	0x00000024
00000001     006C		.long	0x00000001
00000002     0070		.long	0x00000002
0000000E     0074		.long	0x0000000E
00000001     0078		.long	0x00000001
00000001     007C		.long	0x00000001
00000024     0080		.long	0x00000024
00000001     0084		.long	0x00000001
00000003     0088		.long	0x00000003
0000000E     008C		.long	0x0000000E
00000001     0090		.long	0x00000001
00000001     0094		.long	0x00000001
00000037     0098		.long	0x00000037
00000036     009C		.long	0x00000036
0000000E     00A0		.long	0x0000000E
00000001     00A4		.long	0x00000001
00000001     00A8		.long	0x00000001
00000024     00AC		.long	0x00000024
00000001     00B0		.long	0x00000001
00000001     00B4		.long	0x00000001
00000024     00B8		.long	0x00000024
00000001     00BC		.long	0x00000001
00000002     00C0		.long	0x00000002
00000024     00C4		.long	0x00000024
00000001     00C8		.long	0x00000001
00000003     00CC		.long	0x00000003
0000000E     00D0		.long	0x0000000E
00000001     00D4		.long	0x00000001
00000001     00D8		.long	0x00000001

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 139
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

0000001D     00DC		.long	0x0000001D
00000001     00E0		.long	0x00000001
00000040     00E4		.long	0x00000040
0000000E     00E8		.long	0x0000000E
00000001     00EC		.long	0x00000001
00000001     00F0		.long	0x00000001
0000001D     00F4		.long	0x0000001D
00000001     00F8		.long	0x00000001
00000011     00FC		.long	0x00000011
0000000E     0100		.long	0x0000000E
00000001     0104		.long	0x00000001
00000001     0108		.long	0x00000001
00000024     010C		.long	0x00000024
00000001     0110		.long	0x00000001
0000000A     0114		.long	0x0000000A
0000000E     0118		.long	0x0000000E
00000001     011C		.long	0x00000001
00000001     0120		.long	0x00000001
00000024     0124		.long	0x00000024
00000001     0128		.long	0x00000001
0000000C     012C		.long	0x0000000C
0000000E     0130		.long	0x0000000E
00000001     0134		.long	0x00000001
00000001     0138		.long	0x00000001
00000024     013C		.long	0x00000024
00000001     0140		.long	0x00000001
00000003     0144		.long	0x00000003
00000037     0148		.long	0x00000037
00000036     014C		.long	0x00000036
00010048     0150		.long	0x00010048
00000037     0154		.long	0x00000037
				.rdata
			$$2:
00000000     0000		.quad	.literal
00000000     0008		.quad	.lit4
00000000     0010		.quad	for_write_seq_lis_xmit
00000000     0018		.quad	for_trim
00000000     0020		.quad	_OtsFill
00000000     0028		.quad	_OtsMoveMinimum
00000000     0030		.quad	_OtsMove
00000000     0038		.quad	for_write_seq_lis
00000000     0040		.quad	for_open
00000000     0048		.quad	$mbufr$nmsg_ps_
00000000     0050		.quad	$mbufr$currentrg_ps_
00000000     0058		.quad	$mbufr$centre_mbufr_ps_
00000000     0060		.quad	$mbufr$verloctab_ps_
00000000     0068		.quad	$mbufr$vermastertab_ps_
00000000     0070		.quad	$BSS$
00000000     0078		.quad	for_stop
00000000     0080		.quad	for_close
00000000     0088		.quad	.lit8
00000000     0090		.quad	for_write_seq_fmt_xmit
00000000     0098		.quad	for_write_seq_fmt
00000000     00A0		.quad	$DATA$
00000000     00A8		.quad	_OtsStringCompareEqlPadded
00000000     00B0		.quad	$mbufr$subname_ps_
00000000     00B8		.quad	for_write_dir

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 140
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

00000000     00C0		.quad	for_date_and_time
00000008     00C8		.quad	$mbufr$tabb_ps_+8
000080A0     00D0		.quad	$BSS$+32928
00000000     00D8		.quad	__pow_ef
000101B8     00E0		.quad	$BSS$+65976
00000000     00E8		.quad	for_read_int_fmt_xmit
00000000     00F0		.quad	for_read_int_fmt
00000000     00F8		.quad	for_len_trim
00000000     0100		.quad	for_read_seq_fmt
				.rconst
			$$3:
00010438     0000		.long	0x00010438 #  .ascii "8\X04\X01\X00"

00020438     0008		.long	0x00020438 #  .ascii "8\X04\X02\X00"

00000001     0010		.long	0x00000001 #  .ascii "\X01\X00\X00\X00"

00020309     0018		.long	0x00020309 #  .ascii "\X09\X03\X02\X00"

00010509     0020		.long	0x00010509 #  .ascii "\X09\X05\X01\X00"

00010309     0028		.long	0x00010309 #  .ascii "\X09\X03\X01\X00"

00010638     0030		.long	0x00010638 #  .ascii "8\X06\X01\X00"

00000006     0034		.long	0x6 # .long 6
00000010     0038		.long	0x10 # .long 16
00000033     003C		.long	0x33 # .long 51
4B095440     0040		.long	0x4B095440 # .float 9000000.
4B895440     0044		.long	0x4B895440 # .float 0.1800000E+08
47C35000     0048		.long	0x47C35000 # .float 100000.0
00020509     0050		.long	0x00020509 #  .ascii "\X09\X05\X02\X00"

00000001     0054		.long	0x1 # .long 1
41200000     0058		.long	0x41200000 # .float 10.00000
				.rconst
			$$4:
6F727245     0000		.quad	0x206D65206F727245 #  .ascii "Erro em "
206D6520     0004

45564153     0008		.quad	0x3443455345564153 #  .ascii "SAVESEC4"
34434553     000C

45564153     0010		.quad	0x3043455345564153 #  .ascii "SAVESEC0"
30434553     0014

45564153     0018		.quad	0x3143455345564153 #  .ascii "SAVESEC1"
31434553     001C

45564153     0020		.quad	0x3243455345564153 #  .ascii "SAVESEC2"
32434553     0024

45564153     0028		.quad	0x3343455345564153 #  .ascii "SAVESEC3"
33434553     002C

				.rconst
			$$5:

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 141
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

      20     0000		.ascii	" "

71724120     0008		.ascii	" Arquivo BUFR="
6F766975     000C
46554220     0010
    3D52     0014

000D0438     0018		.ascii	"8\X04\X0D\X008\X04\X1A\X008\X04\X0F\X008\X04\X02\X00\X0B\X01A\X00\X01\X00\X00\X00"
001A0438     001C
000F0438     0020
00020438     0024
0041010B     0028
00000001     002C

45524944     0030		.ascii	"DIRECT"
    5443     0034

4F464E55     0038		.ascii	"UNFORMATTED"
54414D52     003C
  444554     0040

6E6B6E75     0048		.ascii	"unknown"
  6E776F     004C

             0050		.ascii	"\0"

6F727245     0058		.ascii	"Erro em SAVE_MBUFR"
206D6520     005C
45564153     0060
55424D5F     0064
    5246     0068

74794220     0070		.ascii	" Bytes gravados"
67207365     0074
61766172     0078
  736F64     007C

6E654D20     0080		.ascii	" Mensagens gravadas"
65676173     0084
6720736E     0088
61766172     008C
  736164     0090

7475705F     0098		.ascii	"_put_octets !"
74636F5F     009C
20737465     00A0
      21     00A4

656D754E     00A8		.ascii	"Numero de bits="
64206F72     00AC
69622065     00B0
  3D7374     00B4

73736F50     00B8		.ascii	"Possivel erro na especificacao do tamanho da variavel "
6C657669     00BC
72726520     00C0
616E206F     00C4

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 142
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

70736520     00C8
66696365     00CC
63616369     00D0
64206F61     00D4
6174206F     00D8
686E616D     00DC
6164206F     00E0
72617620     00E4
65766169     00E8
    206C     00EC

706F635F     00F0		.ascii	"_copy2oct !"
636F3279     00F4
  212074     00F8

6F727245     0100		.ascii	"Erro em"
  6D6520     0104

6F727245     0108		.ascii	"Erro na especificacao da secao 0 : numero de octetos ="
20616E20     010C
65707365     0110
69666963     0114
61636163     0118
6164206F     011C
63657320     0120
30206F61     0124
6E203A20     0128
72656D75     012C
6564206F     0130
74636F20     0134
736F7465     0138
    3D20     013C

      52     0140		.ascii	"R"

      46     0148		.ascii	"F"

      55     0150		.ascii	"U"

      42     0158		.ascii	"B"

6D615420     0160		.ascii	" Tamanho = "
6F686E61     0164
  203D20     0168

6E654D20     0170		.ascii	" Mensagem ="
65676173     0174
  3D206D     0178

69764120     0180		.ascii	" Aviso ! Tamanho da Mensagem excedeu limite de 10KBytes "
21206F73     0184
6D615420     0188
6F686E61     018C
20616420     0190
736E654D     0194
6D656761     0198
63786520     019C

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 143
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

75656465     01A0
6D696C20     01A4
20657469     01A8
31206564     01AC
79424B30     01B0
20736574     01B4

656D754E     01B8		.ascii	"Numero do Mensagem ="
64206F72     01BC
654D206F     01C0
6761736E     01C4
3D206D65     01C8

736E654D     01D0		.ascii	"Mensagem muito grande. Tamanho= "
6D656761     01D4
69756D20     01D8
67206F74     01DC
646E6172     01E0
54202E65     01E4
6E616D61     01E8
203D6F68     01EC

6F727245     01F0		.ascii	"Erro em MBUFR"
206D6520     01F4
4655424D     01F8
      52     01FC

6F727245     0200		.ascii	"Erro na especificacao da secao 1 : numero de octetos ="
20616E20     0204
65707365     0208
69666963     020C
61636163     0210
6164206F     0214
63657320     0218
31206F61     021C
6E203A20     0220
72656D75     0224
6564206F     0228
74636F20     022C
736F7465     0230
    3D20     0234

20727265     0238		.ascii	"err ="
      3D     023C

6F727245     0240		.ascii	"Erro na especificacao da secao 2 : numero de octetos ="
20616E20     0244
65707365     0248
69666963     024C
61636163     0250
6164206F     0254
63657320     0258
32206F61     025C
6E203A20     0260
72656D75     0264
6564206F     0268
74636F20     026C

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 144
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

736F7465     0270
    3D20     0274

6F727245     0278		.ascii	"Erro no tamanho da secao 3 : numero de octetos ="
206F6E20     027C
616D6174     0280
206F686E     0284
73206164     0288
6F616365     028C
3A203320     0290
6D756E20     0294
206F7265     0298
6F206564     029C
74657463     02A0
3D20736F     02A4

6F727245     02A8		.ascii	"Erro ! Descritor BUFR desconhecido"
44202120     02AC
72637365     02B0
726F7469     02B4
46554220     02B8
65642052     02BC
6E6F6373     02C0
69636568     02C4
    6F64     02C8

6F727265     02D0		.ascii	"erro secao 4 "
63657320     02D4
34206F61     02D8
      20     02DC

7469624E     02E0		.ascii	"Nbits="
    3D73     02E4

686E694C     02E8		.ascii	"Linha="
    3D61     02EC

6F727245     02F0		.ascii	"Erro na leitura da tabela bufr"
20616E20     02F4
7469656C     02F8
20617275     02FC
74206164     0300
6C656261     0304
75622061     0308
    7266     030C

03090438     0310		.ascii	"8\X04\X09\X03\X02\X00"
    0002     0314

000D0438     0318		.ascii	"8\X04\X0D\X008\X04\X02\X008\X04\X1A\X00\X01\X00\X00\X00"
00020438     031C
001A0438     0320
00000001     0324

  444C4F     0328		.ascii	"OLD"

55514553     0330		.ascii	"SEQUENTIAL"

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 145
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

49544E45     0334
    4C41     0338

72667542     0340		.ascii	"BufrTableB_mbufr.txt"
6C626154     0344
6D5F4265     0348
72667562     034C
7478742E     0350

				.data
			$$6:
	     0000		; Procedure descriptor for $mbufr$open_mbufr_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0x86
				; fmask                : 0x00
				; frame_size           : 32
				; sp_set               : 2
				; entry_length         : 8
	     0008		; Procedure descriptor for $mbufr$save_mbufr_
				; flags :short
				; rsa_offset           : 1
				; imask                : 0x1E
				; fmask                : 0x00
				; frame_size           : 26
				; sp_set               : 2
				; entry_length         : 8
	     0010		; Procedure descriptor for $mbufr$close_mbufr_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x00
				; fmask                : 0x00
				; frame_size           : 16
				; sp_set               : 2
				; entry_length         : 4
	     0018		; Procedure descriptor for $mbufr$put_octets_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xFE
				; fmask                : 0x00
				; frame_size           : 98
				; sp_set               : 2
				; entry_length         : 12
	     0020		; Procedure descriptor for $mbufr$savesec0_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x06
				; fmask                : 0x00
				; frame_size           : 116
				; sp_set               : 2
				; entry_length         : 6
	     0028		; Procedure descriptor for $mbufr$savesec1_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x06
				; fmask                : 0x00
				; frame_size           : 42

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 146
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

				; sp_set               : 2
				; entry_length         : 6
	     0030		; Procedure descriptor for $mbufr$savesec2_
				; flags :short
				; rsa_offset           : 2
				; imask                : 0x1E
				; fmask                : 0x00
				; frame_size           : 46
				; sp_set               : 2
				; entry_length         : 8
	     0038		; Procedure descriptor for $mbufr$savesec3_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x1E
				; fmask                : 0x00
				; frame_size           : 46
				; sp_set               : 2
				; entry_length         : 8
	     0040		; Procedure descriptor for $mbufr$savesec4_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xFE
				; fmask                : 0x01
				; frame_size           : 60
				; sp_set               : 2
				; entry_length         : 13
	     0048		; Procedure descriptor for $mbufr$savesec5_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x02
				; fmask                : 0x00
				; frame_size           : 16
				; sp_set               : 2
				; entry_length         : 5
	     0050		; Procedure descriptor for $mbufr$init_tabb_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x06
				; fmask                : 0x00
				; frame_size           : 56
				; sp_set               : 2
				; entry_length         : 6
				.data
			$$7:
	     0000		; Code range descriptor for $mbufr$open_mbufr_
				beginaddress	    :     0000
				rpd_offset	    :     0000
				flags               : Standard
	     0008		; Code range descriptor for $mbufr$save_mbufr_
				beginaddress	    :     0354
				rpd_offset	    :     0008
				flags               : Standard
	     0010		; Code range descriptor for $mbufr$close_mbufr_
				beginaddress	    :     07EC
				rpd_offset	    :     0010
				flags               : Standard
	     0018		; Code range descriptor for $mbufr$put_octets_

INIT_TABB                       Machine Code Listing            15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 147
                                $mbufr$init_tabb_               15-Sep-2004 10:10:47  mbufr.f90

				beginaddress	    :     0954
				rpd_offset	    :     0018
				flags               : Standard
	     0020		; Code range descriptor for $mbufr$savesec0_
				beginaddress	    :     1570
				rpd_offset	    :     0020
				flags               : Standard
	     0028		; Code range descriptor for $mbufr$savesec1_
				beginaddress	    :     1DB8
				rpd_offset	    :     0028
				flags               : Standard
	     0030		; Code range descriptor for $mbufr$savesec2_
				beginaddress	    :     2340
				rpd_offset	    :     0030
				flags               : Standard
	     0038		; Code range descriptor for $mbufr$savesec3_
				beginaddress	    :     2BEC
				rpd_offset	    :     0038
				flags               : Standard
	     0040		; Code range descriptor for $mbufr$savesec4_
				beginaddress	    :     378C
				rpd_offset	    :     0040
				flags               : Standard
	     0048		; Code range descriptor for $mbufr$savesec5_
				beginaddress	    :     460C
				rpd_offset	    :     0048
				flags               : Standard
	     0050		; Code range descriptor for $mbufr$init_tabb_
				beginaddress	    :     4728
				rpd_offset	    :     0050
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock
       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66
  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2

OPEN_MBUFR                      Source Listing                  15-Sep-2004 10:10:56  Compaq Fortran V5.3-915           Page 148
                                                                15-Sep-2004 10:10:47  mbufr.f90

       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase
       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude
       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only
  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity
  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : mbufr.l
       -o    filename : mbufr.o

COMPILER: Compaq Fortran V5.3-915-449BB

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
