LEFT$                           Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 1
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	      1 !**
	      2 ! stringflib - Biblioteca de funcoes e rotinas para manipulacao de 
	      3 !              strings
	      4 !
	      5 ! 
	      6 !   
	      7 ! Esta biblioteca fornece: 
	      8 !        
	      9 !     Subrotinas: 
	     10 ! 
	     11 !           Sep_NatNum
	     12 !           Sep_substrings
	     13 !           Sep_words
	     14 !        
	     15 !     Funcoes Reais:	
	     16 !  
	     17 !           Val
	     18 !
	     19 !     Funcoes strings:
	     20 !
	     21 !	    str$
	     22 !           ucase$
	     23 !           lcase$
	     24 !         
	     25 !    Parametros
	     26 !
	     27 !			 Null 
	     28 !**
	     29 
	     30  module stringflib
	     31 	
	     32 
	     33   Real,parameter	:: Null=-340282300      !valor nulo 
	     34   
	     35   private str_int$
	     36   private str_real$
	     37 	
	     38 	interface str$
	     39 	 module procedure str_int$
	     40 	 module procedure str_real$
	     41 	end interface
	     42 	
	     43 	contains
	     44 	
	     45 	
	     46 
	     47 !** Sep_NatNum
	     48 ! 
	     49 !   Esta subrotina separa os campos numeros naturais de uma variavel caracter,
	     50 !   e retorna estes campos na variavel substrings
	     51 !
	     52 !   Variaveis de entrada
	     53 !     
	     54 !     string = sequencia de caracteres (letras ou numeros)
	     55 !
	     56 !  Variaveis de Saida
	     57 !

LEFT$                           Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 2
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	     58 !    substring = conjunto dos numeros naturas separados de string
	     59 !    nelements = numero de elementos de substrings
	     60 ! 
	     61 !**  
	     62 
	     63 Subroutine Sep_NatNum(string, substrings, nelements)
	     64     
	     65      character(len=*), intent (in) :: string
	     66 	 character(len=*), dimension(:), intent (out)::substrings
	     67 	 integer , intent (out) :: nelements
	     68 	 integer :: i,l,maxl,F 
	     69 	 character(len=1) ::D$
	     70 	 character(len=256) :: S$
	     71 	 F=0
	     72 	 S$=""
	     73 	 substrings=""
	     74 	 maxl=size(substrings,1)	  
	     75 
	     76        
	     77         l = Len_trim(string)
	     78         if (l==0) goto 100
	     79 	    
	     80 		do i = 1,l
	     81         
	     82 		  d$ = string(i:i)
	     83 		  If (index("0123456789", d$)== 0) Then
	     84           
	     85 		     If (Len_trim(s$) > 0) Then
	     86                             
	     87 				 F = F + 1
	     88                  substrings(F) = trim(s$)
	     89                  s$ = ""
	     90 
	     91 			  End If
	     92            
	     93 		   Else
	     94      	    
	     95 			  s$ = trim(s$) // d$
	     96            
	     97 		   End If
	     98        	 
	     99 		 if (F==maxl+1) exit 
	    100 
	    101 	   end do !i
	    102       
	    103 	  If (s$ /="") then ;F = F + 1; substrings(F) = s$; s$ = "";end if
	    104 100	  nelements=F
	    105 
	    106 
	    107 End Subroutine Sep_NatNum

SEP_NATNUM                      Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 3
                                                                 5-Aug-2004 11:11:06  stringflib.f90


PROGRAM SECTIONS
    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Name                   
                                     
  2-00000000  $stringflib$sep_natnum_


VARIABLES

 Address      Type  Name       Address      Type  Name       Address      Type  Name       Address      Type  Name     
                                                                                                                       
  1-00000000  CHAR  D$          1-00000014  I*4   I           1-0000000C  I*4   MAXL        1-00000018  CHAR  S$       
  1-00000008  I*4   F           1-00000010  I*4   L               **      I*4   NELEMENTS       **      CHAR  STRING   


ARRAYS

 Address      Type  Name              Bytes  Dimensions
      **      CHAR  SUBSTRINGS           64  (:)

LABELS
 Address      Label  Address      Label
                                       
  2-0000040C  LA      2-000004A4  100  

SEP_NATNUM                      Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 4
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    108 
	    109 
	    110     !* sep_substrings  - Decompoe um string em um conjunto e sub-strings 
	    111 	!                 segundo um caracter de separacao
	    112 	! 
	    113 	!  Variaveis de entrada:
	    114 	!   
	    115 	!            string = Variavel String 
	    116 	!            sep  = caracter de separacao  (len=1)
	    117 	!
	    118 	!  Variaveis de Saida
	    119 	!            substrings(:) = Conjunto dos sub-strings de char 
	    120 	!            nelements   = Numero de elementos  de substrings  
	    121 	!*
	    122 
	    123 	 subroutine sep_substrings(string,sep,substrings,nelements)
	    124 	 
	    125 	 
	    126 	 character (len=*), intent (in) :: string
	    127 	 character (len=1), intent (in) :: sep
	    128 	 character (len=*), dimension(:), intent (out)::substrings
	    129 	 integer , intent (out) :: nelements
	    130 	 integer :: i,l,maxl,F,SLEN 
	    131 	 character(len=1) ::D
	    132 	 character(len=256) :: S
	    133 
	    134 	 F=0
	    135 	 S="";SLEN=0
	    136 	 substrings=""
	    137 	 maxl=size(substrings,1)	  
	    138 	 
	    139 	 if (maxl<=2) goto 100  
	    140 	 
	    141 	 l=len(trim(string))
	    142 	 if (l==0) goto 100
	    143 
	    144 	 do i=1,l
	    145 
	    146 	    D = string(i:i)
	    147 		
	    148 
	    149             If ((D == sep)) Then
	    150 
	    151                  F = F + 1 	
	    152 		         substrings(F) = S
	    153 		         S = "";SLEN=0
	    154 
	    155             Else
	    156 				
	    157 				SLEN=SLEN+1
	    158 				S(SLEN:SLEN)=D(1:1)	
	    159 
	    160             End If
	    161 
	    162 	        if (F==maxl+1) exit 
	    163 
	    164       end do !i

SEP_SUBSTRINGS                  Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 5
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    165 
	    166       If (SLEN /= 0)  F = F + 1; substrings(F) = S; S = "";SLEN=0
	    167 
	    168  100  nelements=F	
	    169        
	    170 
	    171 	End Subroutine	sep_substrings

PROGRAM SECTIONS
    Name				 Bytes   Attributes
  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Name                       
                                         
  2-00000500  $stringflib$sep_substrings_


VARIABLES

 Address      Type  Name       Address      Type  Name       Address      Type  Name       Address      Type  Name     
                                                                                                                       
  1-00000118  CHAR  D           1-0000012C  I*4   L           1-00000138  CHAR  S               **      CHAR  STRING   
  1-00000124  I*4   F           1-00000128  I*4   MAXL            **      CHAR  SEP                                    
  1-00000130  I*4   I               **      I*4   NELEMENTS   1-00000120  I*4   SLEN                                   


ARRAYS

 Address      Type  Name              Bytes  Dimensions
      **      CHAR  SUBSTRINGS           64  (:)

LABELS
 Address      Label  Address      Label
                                       
  2-000008E4  LB      2-0000096C  100  

SEP_SUBSTRINGS                  Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 6
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    172 
	    173  !**  sep_words	- Separa as palavras que compoe uma linha de texto,
	    174  !  
	    175  !    VAriaveis de entrada
	    176  !                
	    177  !        string = linha-de-texto 
	    178  !
	    179  !    Variaveis de saida
	    180  !              
	    181  !       words = conjunto de palavras ou sub-strings e que estao 
	    182  !               separados por um ou mais :espacos, virgulas ou ponto-e-virgulas
	    183  !
	    184  !       nword= Numero de palavras em words
	    185  !
	    186  !       
	    187  !
	    188     
	    189    	 subroutine sep_words(string,words,nwords)
	    190 	 character (len=*), intent (in) :: string
	    191 	 character (len=*), dimension(:), intent (out)::words
	    192 	 integer , intent (out) :: nwords
	    193 	 integer :: i,l,maxl,F 
	    194 	 character(len=1) ::D
	    195 	 character(len=256) :: S
	    196 	 F=0
	    197 	 S=""
	    198 	 words=""
	    199 	 maxl=size(words,1)	  
	    200 	 if (maxl<=2) goto 100  
	    201 	 l=len_trim(string)
	    202 	 if (l==0) goto 100
	    203 	 
	    204 
	    205 	   
	    206 	 do i=1,l
	    207 	 
	    208 	    D = string(i:i)
	    209             
	    210 		If (index(" ,;",D)>0) Then
	    211            
	    212 		   If (Len(trim(S)) > 0) Then
	    213             
	    214 			  F = F + 1 
	    215 		      words(F) = S
	    216 		      S = ""
	    217             
	    218 			End If
	    219             
	    220 		 Else
	    221                 
	    222 		    S = TRIM(S) // D
	    223 		
	    224          End If
	    225 	    
	    226 		 if (F==maxl+1) exit 
	    227       
	    228 	  end do !i

SEP_WORDS                       Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 7
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    229       	
	    230 	  If (S /= "")  F = F + 1; words(F) = S; S = ""
	    231  
	    232  100  nwords=F
	    233  	 
	    234 	End Subroutine


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Name                  
                                    
  2-000009C8  $stringflib$sep_words_

VARIABLES
 Address      Type  Name    Address      Type  Name    Address      Type  Name    Address      Type  Name  
                                                                                                           
  1-00000238  CHAR  D        1-0000024C  I*4   I        1-00000244  I*4   MAXL     1-00000250  CHAR  S     
  1-00000240  I*4   F        1-00000248  I*4   L            **      I*4   NWORDS       **      CHAR  STRING

ARRAYS
 Address      Type  Name         Bytes  Dimensions
      **      CHAR  WORDS           64  (:)

LABELS
 Address      Label  Address      Label
                                       
  2-00000DB0  LC      2-00000E48  100  

SEP_WORDS                       Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 8
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    235 
	    236 
	    237 !**  str_int$ - Retorna um string correspondente a valor na base 10
	    238 !             	de uma variavel inteira
	    239 
	    240 
	    241 	function str_int$(a)
	    242 	
	    243 	 integer , intent (in) :: a
	    244 	 character(len=256)    ::str_int$,b
	    245 	 b=""
	    246 	 write(b,*)a
	    247 	 str_int$=adjustl(b)
	    248 	end function


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name                  
                                          
  2-00000E9C  CHAR  $stringflib$str_int$_ 


VARIABLES

 Address      Type  Name  Address      Type  Name
                                                 
      **      I*4   A      1-00000350  CHAR  B   

STR_INT$                        Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 9
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    249 
	    250 
	    251 !**  str_int$ Retorna um string correspondente a valor na base 10
	    252 !           de uma variavel real  
	    253 
	    254 	function str_real$(a)
	    255 	 real , intent (in) :: a
	    256 	 character(len=256)   ::str_real$,b
	    257 
	    258 	 integer ::p,r
	    259 	 b=""
	    260 	 write(b,*)a
	    261 	 b=adjustl(b)
	    262 
	    263 	 p=index(b,".")
	    264 
	    265      
	    266 
	    267 11	 r=len_trim(b)
	    268 
	    269 	 if ( (b(r:r)=="0").and.(r>p).and.(p/=0))then 
	    270 
	    271 		 r=r-1
	    272 
	    273 		 b=b(1:r)
	    274 
	    275 		 goto 11
	    276 
	    277 	 end if
	    278 
	    279 	 
	    280 
	    281 	 if ((r==p).and.(p>0)) then 
	    282 
	    283 	    r=r-1
	    284 
	    285 		b=b(1:r)
	    286 
	    287 	end if
	    288 
	    289 	 
	    290 
	    291 
	    292 
	    293 	 str_real$=adjustl(b)
	    294 
	    295 	 
	    296 	end function

STR_REAL$                       Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 10
                                                                 5-Aug-2004 11:11:06  stringflib.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name                   
                                           
  2-00000F74  CHAR  $stringflib$str_real$_ 


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                                                   
      **      R*4   A      1-00000458  CHAR  B      1-00000454  I*4   P      1-00000450  I*4   R   


LABELS

 Address      Label
                   
      **      11   

STR_REAL$                       Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 11
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    297 		
	    298 
	    299 
	    300 !* val - Retorna um valor numerico real de 4 bytes correspondente a
	    301 !        um string de numeros. Caso nao seja possivel converter o string em
	    302 !        numero real a funcao retorna um valor Null 
	    303 !
	    304 ! TIPO DE ROTINA : FUNCAO REAL 
	    305 !
	    306 !*
	    307         
	    308 
	    309 	function val(a$)
	    310 	 character(LEN=*),intent (in) :: a$ 
	    311 	 real            :: val,b
	    312 	 character(len=1):: c$
	    313 	 character(len=255)::num$,aa$
	    314 	 integer i,l,chknum
	    315 	 chknum=1
	    316 	 num$=""
	    317 	 aa$=adjustl(a$)
	    318 	 l=len_trim(aa$)
	    319 	 
	    320 	 if (l>0) then 
	    321 	   
	    322 	 !----------------------
	    323 	 do i=1,l
	    324 	 
	    325 	  c$=aa$(i:i)
	    326 	 
	    327 	  if (index("0123456789.+-",c$)>0) then
	    328 	 
	    329 	   num$=trim(num$)//c$
	    330 	 
	    331 	  else
	    332 	 
	    333 	   chknum=0
	    334 	 
	    335 	  end if
	    336 	 
	    337 	 end do
	    338 
	    339 	 !----------------------
	    340 	  if (chknum==1) then 
	    341 	    read(num$,*)b
	    342 	  else 
	    343 	    b=NULL
	    344 	  end if
	    345 
	    346      else 
	    347 	   b=NULL
	    348 	 end if
	    349 
	    350 	 
	    351 	 
	    352 	 
	    353 	 val=b

VAL                             Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 12
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    354 	end function	


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name             
                                     
  2-0000126C  R*4   $stringflib$val_ 


VARIABLES

 Address      Type  Name    Address      Type  Name    Address      Type  Name    Address      Type  Name  
                                                                                                           
      **      CHAR  A$       1-00000564  R*4   B        1-00000560  I*4   CHKNUM   1-00000568  I*4   L     
  1-00000570  CHAR  AA$      1-00000558  CHAR  C$       1-0000056C  I*4   I        1-00000670  CHAR  NUM$  

VAL                             Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 13
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    355 	
	    356 
	    357 !** 
	    358 !  ucase$ - Retorna um scring em "Uper Case"  de um string   
	    359 !             Exemplos: 
	    360 !                  char(97)="a" --> char(65)="A"
	    361 !                  char(122)="z" --> char(90)="Z"   
	    362 !**     
	    363 	 function ucase$(str)
	    364 	 
	    365 	 character(len=*)::str
	    366 	 character(len=255)::ucase$,b
	    367 	 integer :: i,l,a
	    368 	 
	    369 	 b=str
	    370 	 l=len(trim(str))
	    371 	 if (l>0) then 
	    372 	 do i=1,l
	    373 	 
	    374 	     a=iachar(str(i:i))
	    375 	     
	    376 		 if ((a>=97).and.(a<=122)) then 
	    377 		    a=a-32
	    378 	   	    b(i:i)=achar(a)
	    379 		 end if
	    380 	 
	    381 	 end do
	    382 	 end if
	    383 	 ucase$=b
	    384 	 
	    385 	 end function   

UCASE$                          Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 14
                                                                 5-Aug-2004 11:11:06  stringflib.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name                
                                        
  2-000015FC  CHAR  $stringflib$ucase$_ 


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                                                                            
  1-00000770  I*4   A      1-00000780  CHAR  B      1-00000778  I*4   I      1-00000774  I*4   L          **      CHAR  STR 

UCASE$                          Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 15
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    386 	 
	    387 !**
	    388 !     lcase$ - Retorna um string "Lower Case""  de um strinfg
	    389 !             Exemplos: 
	    390 !                char(65)="A" --> char(97)="a"  
	    391 !                char(90)="Z" --> char(122)="z"
	    392 !**
	    393  
	    394 function lcase$(str)
	    395 
	    396 	 character(len=*)::str
	    397 	 character(len=255)::lcase$,b
	    398 	 integer :: i,l,a
	    399 	 
	    400 	 b=str
	    401 	 l=len(trim(str))
	    402 	 
	    403 	 do i=1,l
	    404 	 
	    405 	   a=iachar(str(i:i))
	    406 
	    407 	   if ((a>=65).and.(a<=90)) then 
	    408 	      
	    409 		  a=a+32
	    410 	   	  b(i:i)=achar(a)
	    411 	   
	    412 	   end if
	    413 
	    414 	 end do
	    415 	 
	    416 	 lcase$=b
	    417 	 
	    418 	 end function  lcase$

LCASE$                          Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 16
                                                                 5-Aug-2004 11:11:06  stringflib.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name                
                                        
  2-0000189C  CHAR  $stringflib$lcase$_ 


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                                                                            
  1-00000880  I*4   A      1-00000890  CHAR  B      1-00000888  I*4   I      1-00000884  I*4   L          **      CHAR  STR 

LCASE$                          Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 17
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    419 	!_______________________________________________________
	    420 	function right$(char,lenth)
	    421 	 character (len=*),intent (in) :: char
	    422          integer ,         intent (in) :: lenth
	    423 	 character (len=lenth) :: right$
	    424 	 character (len=len(trim(char))):: a
	    425 	 integer 			:: l,i
	    426 	 a=trim(char)
	    427 	 l=len(a)
	    428 	 i=l-lenth+1
	    429 	 right$=a(i:l)	
	    430 	end function right$ 


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name                
                                        
  2-00001B34  CHAR  $stringflib$right$_ 


VARIABLES

 Address      Type  Name   Address      Type  Name   Address      Type  Name   Address      Type  Name   Address      Type  Name 
                                                                                                                                 
      **      CHAR  A           **      CHAR  CHAR    1-00000994  I*4   I       1-00000990  I*4   L           **      I*4   LENTH

RIGHT$                          Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 18
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    431 !____________________________________________________
	    432 	function left$(char,lenth)
	    433 	 character (len=*),intent (in) :: char
	    434          integer ,         intent (in) :: lenth
	    435 	 character (len=lenth) :: left$	 
	    436 	 left$=char(1:lenth)
	    437 	end function left$	  	  


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

ENTRY POINTS
 Address      Type  Name               
                                       
  2-00002130  CHAR  $stringflib$left$_ 


VARIABLES

 Address      Type  Name   Address      Type  Name 
                                                   
      **      CHAR  CHAR        **      I*4   LENTH

LEFT$                           Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 19
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    438 end module stringflib


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                 2464 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $CODE$                                8628   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  3 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  4 .lit4                                    4   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  5 .literal                                77   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .xdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  7 .pdata                                  80 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                11437

FUNCTIONS AND SUBROUTINES REFERENCED
  Type  Name                                Type  Name                                Type  Name                             
                                                                                                                             
         $stringflib$val_                          $stringflib$ucase$_                       $stringflib$sep_natnum_         
         $stringflib$left$_                        $stringflib$str_int$_                     $stringflib$sep_substrings_     
         $stringflib$lcase$_                       $stringflib$sep_words_                                                    
         $stringflib$right$_                       $stringflib$str_real$_                                                    

LEFT$                           Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 20
                                                                 5-Aug-2004 11:11:06  stringflib.f90

	    439 	
	    440  

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 21
                                                                 5-Aug-2004 11:11:06  stringflib.f90

				.text
				.globl  $stringflib$sep_natnum_
				.ent 	$stringflib$sep_natnum_
				.eflag 16
	     0000	$stringflib$sep_natnum_:									    # 000063
27BB0001     0000		ldah	gp, $stringflib$sep_natnum_		# gp, (r27)
23BDA2B0     0004		lda	gp, $stringflib$sep_natnum_		# gp, (gp)
	     0008	L$1:
23DEFD50     0008		lda	sp, -688(sp)
B75E0000     000C		stq	r26, (sp)
B53E0008     0010		stq	r9, 8(sp)
B55E0010     0014		stq	r10, 16(sp)
B57E0018     0018		stq	r11, 24(sp)
B59E0020     001C		stq	r12, 32(sp)
B5BE0028     0020		stq	r13, 40(sp)
B5FE0030     0024		stq	r15, 48(sp)
47FE040F     0028		mov	sp, r15
				.mask 0x0400BE00,-688
				.fmask 0x00000000,0
				.frame  $fp, 688, $26
				.prologue 1
47F0040A     002C		mov	r16, r10
47F10409     0030		mov	r17, r9
B64F0038     0034		stq	r18, 56(r15)
B66F0060     0038		stq	r19, STRING.len				# r19, 96(r15)
A40F0060     003C		ldq	r0, STRING.len				# r0, 96(r15)
B40F0040     0040		stq	r0, 64(r15)
E5200008     0044		beq	r9, lab$0002
A6090038     0048		ldq	r16, 56(r9)
A6290030     004C		ldq	r17, 48(r9)
42300531     0050		subq	r17, r16, r17
42203411     0054		addq	r17, 1, r17
B6290030     0058		stq	r17, 48(r9)
47E03413     005C		mov	1, r19
B6690038     0060		stq	r19, 56(r9)
B60F0058     0064		stq	r16, var$0002				# r16, 88(r15)
	     0068	lab$0002:
A63D8050     0068		ldq	r17, F					# r17, 64(gp)				    # 000071
B3F10000     006C		stl	r31, F					# r31, (r17)
A61D8050     0070		ldq	r16, S$					# r16, 64(gp)				    # 000072
22100010     0074		lda	r16, S$					# r16, 16(r16)
223F0100     0078		mov	256, r17
47E41412     007C		mov	32, r18
A77D8048     0080		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0084		jsr	r26, _OtsFill				# r26, (r27)
A4490008     0088		ldq	r2, 8(r9)									    # 000073
A6090010     008C		ldq	r16, 16(r9)
47F00403     0090		mov	r16, r3
A6290028     0094		ldq	r17, 40(r9)
47F10404     0098		mov	r17, r4
A6490030     009C		ldq	r18, 48(r9)
A6690038     00A0		ldq	r19, 56(r9)
42530532     00A4		subq	r18, r19, r18
42403412     00A8		addq	r18, 1, r18
46401C92     00AC		cmovle	r18, 0, r18
47F20405     00B0		mov	r18, r5
A6890028     00B4		ldq	r20, 40(r9)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 22
                                $stringflib$sep_natnum_          5-Aug-2004 11:11:06  stringflib.f90

47F40406     00B8		mov	r20, r6
47E03400     00BC		mov	1, var$0024				# 1, r0
47E03401     00C0		mov	1, var$0022				# 1, r1
	     00C4	lab$0017:
40250DBA     00C4		cmple	var$0022, r5, r26			# r1, r5, r26
E740000B     00C8		beq	r26, lab$0021
4C04041B     00CC		mulq	var$0024, r4, r27			# r0, r4, r27
40660530     00D0		subq	r3, r6, r16
421B0412     00D4		addq	r16, r27, r18
22120000     00D8		lda	r16, (r18)
47E20411     00DC		mov	r2, r17
47E41412     00E0		mov	32, r18
A77D8048     00E4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     00E8		jsr	r26, _OtsFill				# r26, (r27)
40003400     00EC		addq	var$0024, 1, var$0024			# r0, 1, r0
40203401     00F0		addq	var$0022, 1, var$0022			# r1, 1, r1
C3FFFFF3     00F4		br	lab$0017
	     00F8	lab$0021:											    # 000074
A6090030     00F8		ldq	r16, 48(r9)
A6290038     00FC		ldq	r17, 56(r9)
42110530     0100		subq	r16, r17, r16
42003410     0104		addq	r16, 1, r16
46001C90     0108		cmovle	r16, 0, r16
A65D8050     010C		ldq	r18, MAXL				# r18, 64(gp)
B2120004     0110		stl	r16, MAXL				# r16, 4(r18)
A66F0040     0114		ldq	r19, 64(r15)									    # 000077
47F30400     0118		mov	r19, r0
41F30521     011C		subq	r15, r19, r1
4421F101     0120		bic	r1, 15, r1
230FF000     0124		lda	r24, -4096(r15)
A7810000     0128		ldq	r28, (r1)
430107BC     012C		cmpule	r24, r1, r28
F7800004     0130		bne	r28, L$7
	     0134	L$6:
A7980000     0134		ldq	r28, (r24)
2318E020     0138		lda	r24, -8160(r24)
430107BC     013C		cmpule	r24, r1, r28
E79FFFFC     0140		beq	r28, L$6
	     0144	L$7:
47E1041E     0144		mov	r1, sp
22010000     0148		lda	r16, (r1)
47F30411     014C		mov	r19, r17
224A0000     0150		lda	r18, (r10)
A77D8040     0154		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0158		jsr	r26, _OtsMove				# r26, (r27)
43C00522     015C		subq	sp, r0, r2
4441F102     0160		bic	r2, 15, r2
231EF000     0164		lda	r24, -4096(sp)
A7820000     0168		ldq	r28, (r2)
430207BC     016C		cmpule	r24, r2, r28
F7800004     0170		bne	r28, L$11
	     0174	L$10:
A7980000     0174		ldq	r28, (r24)
2318E020     0178		lda	r24, -8160(r24)
430207BC     017C		cmpule	r24, r2, r28
E79FFFFC     0180		beq	r28, L$10
	     0184	L$11:

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 23
                                $stringflib$sep_natnum_          5-Aug-2004 11:11:06  stringflib.f90

47E2041E     0184		mov	r2, sp
22020000     0188		lda	r16, (r2)
47E00411     018C		mov	r0, r17
22410000     0190		lda	r18, (r1)
A66F0040     0194		ldq	r19, 64(r15)
A77D8038     0198		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     019C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     01A0		mov	32, r18
A77D8048     01A4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     01A8		jsr	r26, _OtsFill				# r26, (r27)
22020000     01AC		lda	r16, (r2)
47E00411     01B0		mov	r0, r17
A77D8030     01B4		ldq	r27, for_len_trim			# r27, 32(gp)
6B5B4000     01B8		jsr	r26, for_len_trim			# r26, (r27)
27BA0001     01BC		ldah	gp, $stringflib$sep_natnum_		# gp, (r26)
23BDA2B0     01C0		lda	gp, $stringflib$sep_natnum_		# gp, (gp)
A43D8050     01C4		ldq	r1, L					# r1, 64(gp)
B0010008     01C8		stl	r0, L					# r0, 8(r1)
47EF041E     01CC		mov	r15, sp
A45D8050     01D0		ldq	r2, L					# r2, 64(gp)				    # 000078
A0420008     01D4		ldl	r2, L					# r2, 8(r2)
F4400002     01D8		bne	r2, lab$0030
B7EF0050     01DC		stq	r31, var$0025				# r31, 80(r15)
C3E000B0     01E0		br	.100
	     01E4	lab$0030:
A47D8050     01E4		ldq	r3, L					# r3, 64(gp)				    # 000080
A0630008     01E8		ldl	r3, L					# r3, 8(r3)
47E3040B     01EC		mov	r3, var$0026				# r3, r11
47E03404     01F0		mov	1, r4
A4BD8050     01F4		ldq	r5, I					# r5, 64(gp)
B085000C     01F8		stl	r4, I					# r4, 12(r5)
EC600083     01FC		ble	r3, .LA
	     0200	lab$0032:
A4DD8050     0200		ldq	r6, I					# r6, 64(gp)				    # 000082
A0C6000C     0204		ldl	r6, I					# r6, 12(r6)
40C03526     0208		subq	r6, 1, r6
A4FD8050     020C		ldq	r7, I					# r7, 64(gp)
A0E7000C     0210		ldl	r7, I					# r7, 12(r7)
40E60527     0214		subq	r7, r6, r7
44E01C87     0218		cmovle	r7, 0, r7
A61D8050     021C		ldq	r16, D$					# r16, 64(gp)
2210FFF8     0220		lda	r16, D$					# r16, -8(r16)
224A0000     0224		lda	r18, (r10)
47E60414     0228		mov	r6, r20
42540412     022C		addq	r18, r20, r18
47E70413     0230		mov	r7, r19
47E03411     0234		mov	1, r17
A77D8038     0238		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     023C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0240		mov	32, r18
A77D8048     0244		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0248		jsr	r26, _OtsFill				# r26, (r27)
47E03413     024C		mov	1, r19										    # 000083
47E15411     0250		mov	10, r17
A61D8010     0254		ldq	r16, (gp)
22100008     0258		lda	r16, 8(r16)
A65D8050     025C		ldq	r18, D$					# r18, 64(gp)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 24
                                $stringflib$sep_natnum_          5-Aug-2004 11:11:06  stringflib.f90

2252FFF8     0260		lda	r18, D$					# r18, -8(r18)
A77D8028     0264		ldq	r27, _OtsStringIndex			# r27, 24(gp)
6B5B4000     0268		jsr	r26, _OtsStringIndex			# r26, (r27)
40003000     026C		addl	r0, 1, r0
400015A0     0270		cmpeq	r0, 0, r0
E400003A     0274		beq	r0, lab$0053
220F00B0     0278		lda	r16, 176(r15)									    # 000085
A65D8050     027C		ldq	r18, S$					# r18, 64(gp)
22520010     0280		lda	r18, S$					# r18, 16(r18)
223F0100     0284		mov	256, r17
A77D8040     0288		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     028C		jsr	r26, _OtsMove				# r26, (r27)
220F00B0     0290		lda	r16, 176(r15)
223F0100     0294		mov	256, r17
A77D8030     0298		ldq	r27, for_len_trim			# r27, 32(gp)
6B5B4000     029C		jsr	r26, for_len_trim			# r26, (r27)
27BA0001     02A0		ldah	gp, $stringflib$sep_natnum_		# gp, (r26)
23BDA2B0     02A4		lda	gp, $stringflib$sep_natnum_		# gp, (gp)
43E009A0     02A8		cmplt	r31, r0, r0
E4000049     02AC		beq	r0, lab$0037
A43D8050     02B0		ldq	r1, F					# r1, 64(gp)				    # 000087
A0210000     02B4		ldl	r1, F					# r1, (r1)
40203001     02B8		addl	r1, 1, r1
A45D8050     02BC		ldq	r2, F					# r2, 64(gp)
B0220000     02C0		stl	r1, F					# r1, (r2)
A5890008     02C4		ldq	r12, 8(r9)									    # 000088
A4890010     02C8		ldq	r4, 16(r9)
A4A90028     02CC		ldq	r5, 40(r9)
A4DD8050     02D0		ldq	r6, F					# r6, 64(gp)
A0C60000     02D4		ldl	r6, F					# r6, (r6)
A4E90028     02D8		ldq	r7, 40(r9)
4CC50405     02DC		mulq	r6, r5, r5
40870524     02E0		subq	r4, r7, r4
4085040D     02E4		addq	r4, r5, r13
220F01B0     02E8		lda	r16, 432(r15)
A65D8050     02EC		ldq	r18, S$					# r18, 64(gp)
22520010     02F0		lda	r18, S$					# r18, 16(r18)
223F0100     02F4		mov	256, r17
A77D8040     02F8		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     02FC		jsr	r26, _OtsMove				# r26, (r27)
220F00A8     0300		lda	r16, var$0027				# r16, 168(r15)
223F0100     0304		mov	256, r17
224F01B0     0308		lda	r18, 432(r15)
227F0100     030C		mov	256, r19
A77D8020     0310		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     0314		jsr	r26, for_trim				# r26, (r27)
27BA0001     0318		ldah	gp, $stringflib$sep_natnum_		# gp, (r26)
23BDA2B0     031C		lda	gp, $stringflib$sep_natnum_		# gp, (gp)
220D0000     0320		lda	r16, (r13)
47EC0411     0324		mov	r12, r17
224F00A8     0328		lda	r18, var$0027				# r18, 168(r15)
47E00413     032C		mov	r0, r19
A77D8038     0330		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0334		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0338		mov	32, r18
A77D8048     033C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0340		jsr	r26, _OtsFill				# r26, (r27)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 25
                                $stringflib$sep_natnum_          5-Aug-2004 11:11:06  stringflib.f90

A61D8050     0344		ldq	r16, S$					# r16, 64(gp)				    # 000089
22100010     0348		lda	r16, S$					# r16, 16(r16)
223F0100     034C		mov	256, r17
47E41412     0350		mov	32, r18
A77D8048     0354		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0358		jsr	r26, _OtsFill				# r26, (r27)
C3E0001D     035C		br	lab$0037									    # 000085
	     0360	lab$0053:											    # 000095
220F01B0     0360		lda	r16, 432(r15)
A65D8050     0364		ldq	r18, S$					# r18, 64(gp)
22520010     0368		lda	r18, S$					# r18, 16(r18)
223F0100     036C		mov	256, r17
A77D8040     0370		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0374		jsr	r26, _OtsMove				# r26, (r27)
220F00A8     0378		lda	r16, var$0028				# r16, 168(r15)
223F0100     037C		mov	256, r17
224F01B0     0380		lda	r18, 432(r15)
227F0100     0384		mov	256, r19
A77D8020     0388		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     038C		jsr	r26, for_trim				# r26, (r27)
27BA0001     0390		ldah	gp, $stringflib$sep_natnum_		# gp, (r26)
23BDA2B0     0394		lda	gp, $stringflib$sep_natnum_		# gp, (gp)
A61D8050     0398		ldq	r16, S$					# r16, 64(gp)
22100010     039C		lda	r16, S$					# r16, 16(r16)
224F00A8     03A0		lda	r18, var$0028				# r18, 168(r15)
47E00413     03A4		mov	r0, r19
223F0100     03A8		mov	256, r17
A77D8038     03AC		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     03B0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8050     03B4		ldq	r18, D$					# r18, 64(gp)
2252FFF8     03B8		lda	r18, D$					# r18, -8(r18)
47E03413     03BC		mov	1, r19
A77D8038     03C0		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     03C4		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     03C8		mov	32, r18
A77D8048     03CC		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     03D0		jsr	r26, _OtsFill				# r26, (r27)
	     03D4	lab$0037:											    # 000083
A5BD8050     03D4		ldq	r13, F					# r13, 64(gp)				    # 000099
A1AD0000     03D8		ldl	r13, F					# r13, (r13)
A59D8050     03DC		ldq	r12, MAXL				# r12, 64(gp)
A18C0004     03E0		ldl	r12, MAXL				# r12, 4(r12)
4180300C     03E4		addl	r12, 1, r12
45AC080C     03E8		xor	r13, r12, r12
E5800007     03EC		beq	r12, .LA
A43D8050     03F0		ldq	r1, I					# r1, 64(gp)				    # 000080
A021000C     03F4		ldl	r1, I					# r1, 12(r1)
40203001     03F8		addl	r1, 1, r1
A45D8050     03FC		ldq	r2, I					# r2, 64(gp)
B022000C     0400		stl	r1, I					# r1, 12(r2)
4160352B     0404		subq	var$0026, 1, var$0026			# r11, 1, r11
FD7FFF7D     0408		bgt	var$0026, lab$0032			# r11, lab$0032
	     040C	.LA:												    # 000099
B7EF0048     040C		stq	r31, var$0029				# r31, 72(r15)
A61D8050     0410		ldq	r16, S$					# r16, 64(gp)				    # 000103
22100010     0414		lda	r16, S$					# r16, 16(r16)
223F0100     0418		mov	256, r17

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 26
                                $stringflib$sep_natnum_          5-Aug-2004 11:11:06  stringflib.f90

A65D8010     041C		ldq	r18, (gp)
47FF0413     0420		clr	r19
47E41414     0424		mov	32, r20
A77D8018     0428		ldq	r27, _OtsStringCompareEqlPadded		# r27, 8(gp)
6B5B4000     042C		jsr	r26, _OtsStringCompareEqlPadded		# r26, (r27)
F400001C     0430		bne	r0, .100
A47D8050     0434		ldq	r3, F					# r3, 64(gp)
A0630000     0438		ldl	r3, F					# r3, (r3)
40603003     043C		addl	r3, 1, r3
A49D8050     0440		ldq	r4, F					# r4, 64(gp)
B0640000     0444		stl	r3, F					# r3, (r4)
A6290008     0448		ldq	r17, 8(r9)
A4C90010     044C		ldq	r6, 16(r9)
A4E90028     0450		ldq	r7, 40(r9)
A51D8050     0454		ldq	r8, F					# r8, 64(gp)
A1080000     0458		ldl	r8, F					# r8, (r8)
A6E90028     045C		ldq	r23, 40(r9)
4D070407     0460		mulq	r8, r7, r7
40D70526     0464		subq	r6, r23, r6
40C70410     0468		addq	r6, r7, r16
A65D8050     046C		ldq	r18, S$					# r18, 64(gp)
22520010     0470		lda	r18, S$					# r18, 16(r18)
227F0100     0474		mov	256, r19
A77D8038     0478		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     047C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0480		mov	32, r18
A77D8048     0484		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0488		jsr	r26, _OtsFill				# r26, (r27)
A61D8050     048C		ldq	r16, S$					# r16, 64(gp)
22100010     0490		lda	r16, S$					# r16, 16(r16)
223F0100     0494		mov	256, r17
47E41412     0498		mov	32, r18
A77D8048     049C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     04A0		jsr	r26, _OtsFill				# r26, (r27)
	     04A4	.100:												    # 000104
A71D8050     04A4		ldq	r24, F					# r24, 64(gp)
A3180000     04A8		ldl	r24, F					# r24, (r24)
A72F0038     04AC		ldq	r25, 56(r15)
B3190000     04B0		stl	r24, (r25)
E5200008     04B4		beq	r9, lab$0065									    # 000107
A5A90030     04B8		ldq	r13, 48(r9)
A5890038     04BC		ldq	r12, 56(r9)
41AC052C     04C0		subq	r13, r12, r12
A42F0058     04C4		ldq	r1, var$0002				# r1, 88(r15)
41810401     04C8		addq	r12, r1, r1
B4290030     04CC		stq	r1, 48(r9)
A6CF0058     04D0		ldq	r22, var$0002				# r22, 88(r15)
B6C90038     04D4		stq	r22, 56(r9)
	     04D8	lab$0065:
47EF041E     04D8		mov	r15, sp
A74F0000     04DC		ldq	r26, (r15)
A52F0008     04E0		ldq	r9, 8(r15)
A54F0010     04E4		ldq	r10, 16(r15)
A56F0018     04E8		ldq	r11, 24(r15)
A58F0020     04EC		ldq	r12, 32(r15)
A5AF0028     04F0		ldq	r13, 40(r15)
A5FE0030     04F4		ldq	r15, 48(sp)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 27
                                $stringflib$sep_natnum_          5-Aug-2004 11:11:06  stringflib.f90

23DE02B0     04F8		lda	sp, 688(sp)
6BFA8001     04FC		ret	(r26)
				.end 	$stringflib$sep_natnum_

Routine Size: 1280 bytes,    Routine Base: $CODE$ + 0000

				.globl  $stringflib$sep_substrings_
				.ent 	$stringflib$sep_substrings_
				.eflag 16
	     0500	$stringflib$sep_substrings_:									    # 000123
27BB0001     0500		ldah	gp, $stringflib$sep_substrings_		# gp, (r27)
23BDA2B0     0504		lda	gp, $stringflib$sep_substrings_		# gp, (gp)
	     0508	L$41:
23DEFF40     0508		lda	sp, -192(sp)
B75E0000     050C		stq	r26, (sp)
B53E0008     0510		stq	r9, 8(sp)
B55E0010     0514		stq	r10, 16(sp)
B57E0018     0518		stq	r11, 24(sp)
B59E0020     051C		stq	r12, 32(sp)
B5BE0028     0520		stq	r13, 40(sp)
B5FE0030     0524		stq	r15, 48(sp)
47FE040F     0528		mov	sp, r15
				.mask 0x0400BE00,-192
				.fmask 0x00000000,0
				.frame  $fp, 192, $26
				.prologue 1
47F0040B     052C		mov	r16, r11
47F1040A     0530		mov	r17, r10
47F20409     0534		mov	r18, r9
B66F0038     0538		stq	r19, 56(r15)
B68F0068     053C		stq	r20, STRING.len				# r20, 104(r15)
B6AF0060     0540		stq	r21, SEP.len				# r21, 96(r15)
A58F0068     0544		ldq	r12, STRING.len				# r12, 104(r15)
E5200008     0548		beq	r9, lab$0004
A6090038     054C		ldq	r16, 56(r9)
A6290030     0550		ldq	r17, 48(r9)
42300531     0554		subq	r17, r16, r17
42203411     0558		addq	r17, 1, r17
B6290030     055C		stq	r17, 48(r9)
47E03413     0560		mov	1, r19
B6690038     0564		stq	r19, 56(r9)
B60F0058     0568		stq	r16, var$0005				# r16, 88(r15)
	     056C	lab$0004:
A6BD8050     056C		ldq	r21, F					# r21, 64(gp)				    # 000134
B3F5011C     0570		stl	r31, F					# r31, 284(r21)
A61D8050     0574		ldq	r16, S					# r16, 64(gp)				    # 000135
22100130     0578		lda	r16, S					# r16, 304(r16)
223F0100     057C		mov	256, r17
47E41412     0580		mov	32, r18
A77D8048     0584		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0588		jsr	r26, _OtsFill				# r26, (r27)
A41D8050     058C		ldq	r0, SLEN				# r0, 64(gp)
B3E00118     0590		stl	r31, SLEN				# r31, 280(r0)
A6090008     0594		ldq	r16, 8(r9)									    # 000136
47F00400     0598		mov	r16, r0
A6290010     059C		ldq	r17, 16(r9)
47F10402     05A0		mov	r17, r2

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 28
                                $stringflib$sep_substrings_      5-Aug-2004 11:11:06  stringflib.f90

A6490028     05A4		ldq	r18, 40(r9)
47F20403     05A8		mov	r18, r3
A6690030     05AC		ldq	r19, 48(r9)
A6890038     05B0		ldq	r20, 56(r9)
42740533     05B4		subq	r19, r20, r19
42603413     05B8		addq	r19, 1, r19
46601C93     05BC		cmovle	r19, 0, r19
47F30404     05C0		mov	r19, r4
A7490028     05C4		ldq	r26, 40(r9)
47FA0405     05C8		mov	r26, r5
47E03415     05CC		mov	1, var$0031				# 1, r21
47E03401     05D0		mov	1, var$0030				# 1, r1
	     05D4	lab$0070:
40240DBB     05D4		cmple	var$0030, r4, r27			# r1, r4, r27
E760000B     05D8		beq	r27, lab$0074
4EA30410     05DC		mulq	var$0031, r3, r16			# r21, r3, r16
40450531     05E0		subq	r2, r5, r17
42300412     05E4		addq	r17, r16, r18
22120000     05E8		lda	r16, (r18)
47E00411     05EC		mov	r0, r17
47E41412     05F0		mov	32, r18
A77D8048     05F4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     05F8		jsr	r26, _OtsFill				# r26, (r27)
42A03415     05FC		addq	var$0031, 1, var$0031			# r21, 1, r21
40203401     0600		addq	var$0030, 1, var$0030			# r1, 1, r1
C3FFFFF3     0604		br	lab$0070
	     0608	lab$0074:											    # 000137
A6090030     0608		ldq	r16, 48(r9)
A6290038     060C		ldq	r17, 56(r9)
42110530     0610		subq	r16, r17, r16
42003410     0614		addq	r16, 1, r16
46001C90     0618		cmovle	r16, 0, r16
A65D8050     061C		ldq	r18, MAXL				# r18, 64(gp)
B2120120     0620		stl	r16, MAXL				# r16, 288(r18)
A67D8050     0624		ldq	r19, MAXL				# r19, 64(gp)				    # 000139
A2730120     0628		ldl	r19, MAXL				# r19, 288(r19)
42605DB3     062C		cmple	r19, 2, r19
E6600002     0630		beq	r19, lab$0079
B7EF0050     0634		stq	r31, var$0032				# r31, 80(r15)
C3E000CC     0638		br	.100
	     063C	lab$0079:											    # 000141
47FE0400     063C		mov	sp, r0
41EC0534     0640		subq	r15, r12, r20
4681F114     0644		bic	r20, 15, r20
230FF000     0648		lda	r24, -4096(r15)
A7940000     064C		ldq	r28, (r20)
431407BC     0650		cmpule	r24, r20, r28
F7800004     0654		bne	r28, L$47
	     0658	L$46:
A7980000     0658		ldq	r28, (r24)
2318E020     065C		lda	r24, -8160(r24)
431407BC     0660		cmpule	r24, r20, r28
E79FFFFC     0664		beq	r28, L$46
	     0668	L$47:
47F4041E     0668		mov	r20, sp
B7CF00B0     066C		stq	sp, 176(r15)
47FE0400     0670		mov	sp, r0

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 29
                                $stringflib$sep_substrings_      5-Aug-2004 11:11:06  stringflib.f90

47EC0401     0674		mov	r12, r1
43CC0522     0678		subq	sp, r12, r2
4441F102     067C		bic	r2, 15, r2
231EF000     0680		lda	r24, -4096(sp)
A7820000     0684		ldq	r28, (r2)
430207BC     0688		cmpule	r24, r2, r28
F7800004     068C		bne	r28, L$49
	     0690	L$48:
A7980000     0690		ldq	r28, (r24)
2318E020     0694		lda	r24, -8160(r24)
430207BC     0698		cmpule	r24, r2, r28
E79FFFFC     069C		beq	r28, L$48
	     06A0	L$49:
47E2041E     06A0		mov	r2, sp
22020000     06A4		lda	r16, (r2)
47EC0411     06A8		mov	r12, r17
224B0000     06AC		lda	r18, (r11)
A77D8040     06B0		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     06B4		jsr	r26, _OtsMove				# r26, (r27)
43C10523     06B8		subq	sp, r1, r3
4461F103     06BC		bic	r3, 15, r3
231EF000     06C0		lda	r24, -4096(sp)
A7830000     06C4		ldq	r28, (r3)
430307BC     06C8		cmpule	r24, r3, r28
F7800004     06CC		bne	r28, L$53
	     06D0	L$52:
A7980000     06D0		ldq	r28, (r24)
2318E020     06D4		lda	r24, -8160(r24)
430307BC     06D8		cmpule	r24, r3, r28
E79FFFFC     06DC		beq	r28, L$52
	     06E0	L$53:
47E3041E     06E0		mov	r3, sp
22030000     06E4		lda	r16, (r3)
47E10411     06E8		mov	r1, r17
22420000     06EC		lda	r18, (r2)
47EC0413     06F0		mov	r12, r19
A77D8038     06F4		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     06F8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     06FC		mov	32, r18
A77D8048     0700		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0704		jsr	r26, _OtsFill				# r26, (r27)
A60F00B0     0708		ldq	r16, 176(r15)
47EC0411     070C		mov	r12, r17
22430000     0710		lda	r18, (r3)
47E10413     0714		mov	r1, r19
A77D8020     0718		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     071C		jsr	r26, for_trim				# r26, (r27)
27BA0001     0720		ldah	gp, $stringflib$sep_substrings_		# gp, (r26)
23BDA2B0     0724		lda	gp, $stringflib$sep_substrings_		# gp, (gp)
A43D8050     0728		ldq	r1, L					# r1, 64(gp)
B0010124     072C		stl	r0, L					# r0, 292(r1)
47EF041E     0730		mov	r15, sp
A45D8050     0734		ldq	r2, L					# r2, 64(gp)				    # 000142
A0420124     0738		ldl	r2, L					# r2, 292(r2)
F4400002     073C		bne	r2, lab$0086
B7EF0048     0740		stq	r31, var$0034				# r31, 72(r15)
C3E00089     0744		br	.100

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 30
                                $stringflib$sep_substrings_      5-Aug-2004 11:11:06  stringflib.f90

	     0748	lab$0086:
A47D8050     0748		ldq	r3, L					# r3, 64(gp)				    # 000144
A0630124     074C		ldl	r3, L					# r3, 292(r3)
47E3040D     0750		mov	r3, var$0035				# r3, r13
47E03404     0754		mov	1, r4
A4BD8050     0758		ldq	r5, I					# r5, 64(gp)
B0850128     075C		stl	r4, I					# r4, 296(r5)
EC600060     0760		ble	r3, .LB
	     0764	lab$0088:
A4DD8050     0764		ldq	r6, I					# r6, 64(gp)				    # 000146
A0C60128     0768		ldl	r6, I					# r6, 296(r6)
40C03526     076C		subq	r6, 1, r6
A4FD8050     0770		ldq	r7, I					# r7, 64(gp)
A0E70128     0774		ldl	r7, I					# r7, 296(r7)
40E60527     0778		subq	r7, r6, r7
44E01C87     077C		cmovle	r7, 0, r7
A61D8050     0780		ldq	r16, D					# r16, 64(gp)
22100110     0784		lda	r16, D					# r16, 272(r16)
224B0000     0788		lda	r18, (r11)
47E60414     078C		mov	r6, r20
42540412     0790		addq	r18, r20, r18
47E70413     0794		mov	r7, r19
47E03411     0798		mov	1, r17
A77D8038     079C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     07A0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     07A4		mov	32, r18
A77D8048     07A8		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     07AC		jsr	r26, _OtsFill				# r26, (r27)
A51D8050     07B0		ldq	r8, D					# r8, 64(gp)				    # 000149
A5080110     07B4		ldq	r8, D					# r8, 272(r8)
451FF008     07B8		and	r8, 255, r8
2ECA0000     07BC		ldq_u	r22, (r10)
4ACA00D6     07C0		extbl	r22, r10, r22
45160808     07C4		xor	r8, r22, r8
F500001F     07C8		bne	r8, lab$0092
A71D8050     07CC		ldq	r24, F					# r24, 64(gp)				    # 000151
A318011C     07D0		ldl	r24, F					# r24, 284(r24)
43003018     07D4		addl	r24, 1, r24
A73D8050     07D8		ldq	r25, F					# r25, 64(gp)
B319011C     07DC		stl	r24, F					# r24, 284(r25)
A6290008     07E0		ldq	r17, 8(r9)									    # 000152
A4290010     07E4		ldq	r1, 16(r9)
A4490028     07E8		ldq	r2, 40(r9)
A49D8050     07EC		ldq	r4, F					# r4, 64(gp)
A084011C     07F0		ldl	r4, F					# r4, 284(r4)
A4A90028     07F4		ldq	r5, 40(r9)
4C820402     07F8		mulq	r4, r2, r2
40250521     07FC		subq	r1, r5, r1
40220410     0800		addq	r1, r2, r16
A65D8050     0804		ldq	r18, S					# r18, 64(gp)
22520130     0808		lda	r18, S					# r18, 304(r18)
227F0100     080C		mov	256, r19
A77D8038     0810		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0814		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0818		mov	32, r18
A77D8048     081C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0820		jsr	r26, _OtsFill				# r26, (r27)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 31
                                $stringflib$sep_substrings_      5-Aug-2004 11:11:06  stringflib.f90

A61D8050     0824		ldq	r16, S					# r16, 64(gp)				    # 000153
22100130     0828		lda	r16, S					# r16, 304(r16)
223F0100     082C		mov	256, r17
47E41412     0830		mov	32, r18
A77D8048     0834		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0838		jsr	r26, _OtsFill				# r26, (r27)
A47D8050     083C		ldq	r3, SLEN				# r3, 64(gp)
B3E30118     0840		stl	r31, SLEN				# r31, 280(r3)
C3E00019     0844		br	lab$0093									    # 000149
	     0848	lab$0092:
A4DD8050     0848		ldq	r6, SLEN				# r6, 64(gp)				    # 000157
A0C60118     084C		ldl	r6, SLEN				# r6, 280(r6)
40C03006     0850		addl	r6, 1, r6
A4FD8050     0854		ldq	r7, SLEN				# r7, 64(gp)
B0C70118     0858		stl	r6, SLEN				# r6, 280(r7)
A6FD8050     085C		ldq	r23, SLEN				# r23, 64(gp)				    # 000158
A2F70118     0860		ldl	r23, SLEN				# r23, 280(r23)
42E03537     0864		subq	r23, 1, r23
A6DD8050     0868		ldq	r22, SLEN				# r22, 64(gp)
A2D60118     086C		ldl	r22, SLEN				# r22, 280(r22)
42D70536     0870		subq	r22, r23, r22
46C01C96     0874		cmovle	r22, 0, r22
A61D8050     0878		ldq	r16, S					# r16, 64(gp)
22100130     087C		lda	r16, S					# r16, 304(r16)
47F70414     0880		mov	r23, r20
42140410     0884		addq	r16, r20, r16
47F60411     0888		mov	r22, r17
A65D8050     088C		ldq	r18, D					# r18, 64(gp)
22520110     0890		lda	r18, D					# r18, 272(r18)
47E03413     0894		mov	1, r19
A77D8038     0898		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     089C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     08A0		mov	32, r18
A77D8048     08A4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     08A8		jsr	r26, _OtsFill				# r26, (r27)
	     08AC	lab$0093:											    # 000149
A51D8050     08AC		ldq	r8, F					# r8, 64(gp)				    # 000162
A108011C     08B0		ldl	r8, F					# r8, 284(r8)
A71D8050     08B4		ldq	r24, MAXL				# r24, 64(gp)
A3180120     08B8		ldl	r24, MAXL				# r24, 288(r24)
43003018     08BC		addl	r24, 1, r24
45180808     08C0		xor	r8, r24, r8
E5000007     08C4		beq	r8, .LB
A73D8050     08C8		ldq	r25, I					# r25, 64(gp)				    # 000144
A3390128     08CC		ldl	r25, I					# r25, 296(r25)
43203019     08D0		addl	r25, 1, r25
A41D8050     08D4		ldq	r0, I					# r0, 64(gp)
B3200128     08D8		stl	r25, I					# r25, 296(r0)
41A0352D     08DC		subq	var$0035, 1, var$0035			# r13, 1, r13
FDBFFFA0     08E0		bgt	var$0035, lab$0088			# r13, lab$0088
	     08E4	.LB:												    # 000162
B7EF0040     08E4		stq	r31, var$0036				# r31, 64(r15)
A49D8050     08E8		ldq	r4, SLEN				# r4, 64(gp)				    # 000166
A0840118     08EC		ldl	r4, SLEN				# r4, 280(r4)
E4800005     08F0		beq	r4, lab$0099
A4BD8050     08F4		ldq	r5, F					# r5, 64(gp)
A0A5011C     08F8		ldl	r5, F					# r5, 284(r5)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 32
                                $stringflib$sep_substrings_      5-Aug-2004 11:11:06  stringflib.f90

40A03005     08FC		addl	r5, 1, r5
A43D8050     0900		ldq	r1, F					# r1, 64(gp)
B0A1011C     0904		stl	r5, F					# r5, 284(r1)
	     0908	lab$0099:
A6290008     0908		ldq	r17, 8(r9)
A4690010     090C		ldq	r3, 16(r9)
A4C90028     0910		ldq	r6, 40(r9)
A4FD8050     0914		ldq	r7, F					# r7, 64(gp)
A0E7011C     0918		ldl	r7, F					# r7, 284(r7)
A6E90028     091C		ldq	r23, 40(r9)
4CE60406     0920		mulq	r7, r6, r6
40770523     0924		subq	r3, r23, r3
40660410     0928		addq	r3, r6, r16
A65D8050     092C		ldq	r18, S					# r18, 64(gp)
22520130     0930		lda	r18, S					# r18, 304(r18)
227F0100     0934		mov	256, r19
A77D8038     0938		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     093C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0940		mov	32, r18
A77D8048     0944		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0948		jsr	r26, _OtsFill				# r26, (r27)
A61D8050     094C		ldq	r16, S					# r16, 64(gp)
22100130     0950		lda	r16, S					# r16, 304(r16)
223F0100     0954		mov	256, r17
47E41412     0958		mov	32, r18
A77D8048     095C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0960		jsr	r26, _OtsFill				# r26, (r27)
A6DD8050     0964		ldq	r22, SLEN				# r22, 64(gp)
B3F60118     0968		stl	r31, SLEN				# r31, 280(r22)
	     096C	.100:												    # 000168
A71D8050     096C		ldq	r24, F					# r24, 64(gp)
A318011C     0970		ldl	r24, F					# r24, 284(r24)
A50F0038     0974		ldq	r8, 56(r15)
B3080000     0978		stl	r24, (r8)
E5200008     097C		beq	r9, lab$0101									    # 000171
A4090030     0980		ldq	r0, 48(r9)
A7290038     0984		ldq	r25, 56(r9)
40190520     0988		subq	r0, r25, r0
A48F0058     098C		ldq	r4, var$0005				# r4, 88(r15)
40040400     0990		addq	r0, r4, r0
B4090030     0994		stq	r0, 48(r9)
A4AF0058     0998		ldq	r5, var$0005				# r5, 88(r15)
B4A90038     099C		stq	r5, 56(r9)
	     09A0	lab$0101:
47EF041E     09A0		mov	r15, sp
A74F0000     09A4		ldq	r26, (r15)
A52F0008     09A8		ldq	r9, 8(r15)
A54F0010     09AC		ldq	r10, 16(r15)
A56F0018     09B0		ldq	r11, 24(r15)
A58F0020     09B4		ldq	r12, 32(r15)
A5AF0028     09B8		ldq	r13, 40(r15)
A5FE0030     09BC		ldq	r15, 48(sp)
23DE00C0     09C0		lda	sp, 192(sp)
6BFA8001     09C4		ret	(r26)
				.end 	$stringflib$sep_substrings_

Routine Size: 1224 bytes,    Routine Base: $CODE$ + 0500

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 33
                                $stringflib$sep_substrings_      5-Aug-2004 11:11:06  stringflib.f90


				.globl  $stringflib$sep_words_
				.ent 	$stringflib$sep_words_
				.eflag 16
	     09C8	$stringflib$sep_words_:										    # 000189
27BB0001     09C8		ldah	gp, $stringflib$sep_words_		# gp, (r27)
23BDA2B0     09CC		lda	gp, $stringflib$sep_words_		# gp, (gp)
	     09D0	L$77:
23DEFD60     09D0		lda	sp, -672(sp)
B75E0000     09D4		stq	r26, (sp)
B53E0008     09D8		stq	r9, 8(sp)
B55E0010     09DC		stq	r10, 16(sp)
B57E0018     09E0		stq	r11, 24(sp)
B5FE0020     09E4		stq	r15, 32(sp)
47FE040F     09E8		mov	sp, r15
				.mask 0x04008E00,-672
				.fmask 0x00000000,0
				.frame  $fp, 672, $26
				.prologue 1
47F0040A     09EC		mov	r16, r10
47F10409     09F0		mov	r17, r9
B64F0028     09F4		stq	r18, 40(r15)
B66F0058     09F8		stq	r19, STRING.len				# r19, 88(r15)
A40F0058     09FC		ldq	r0, STRING.len				# r0, 88(r15)
B40F0030     0A00		stq	r0, 48(r15)
E5200008     0A04		beq	r9, lab$0006
A6090038     0A08		ldq	r16, 56(r9)
A6290030     0A0C		ldq	r17, 48(r9)
42300531     0A10		subq	r17, r16, r17
42203411     0A14		addq	r17, 1, r17
B6290030     0A18		stq	r17, 48(r9)
47E03413     0A1C		mov	1, r19
B6690038     0A20		stq	r19, 56(r9)
B60F0050     0A24		stq	r16, var$0008				# r16, 80(r15)
	     0A28	lab$0006:
A63D8050     0A28		ldq	r17, F					# r17, 64(gp)				    # 000196
B3F10238     0A2C		stl	r31, F					# r31, 568(r17)
A61D8050     0A30		ldq	r16, S					# r16, 64(gp)				    # 000197
22100248     0A34		lda	r16, S					# r16, 584(r16)
223F0100     0A38		mov	256, r17
47E41412     0A3C		mov	32, r18
A77D8048     0A40		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0A44		jsr	r26, _OtsFill				# r26, (r27)
A4490008     0A48		ldq	r2, 8(r9)									    # 000198
A6090010     0A4C		ldq	r16, 16(r9)
47F00403     0A50		mov	r16, r3
A6290028     0A54		ldq	r17, 40(r9)
47F10404     0A58		mov	r17, r4
A6490030     0A5C		ldq	r18, 48(r9)
A6690038     0A60		ldq	r19, 56(r9)
42530532     0A64		subq	r18, r19, r18
42403412     0A68		addq	r18, 1, r18
46401C92     0A6C		cmovle	r18, 0, r18
47F20405     0A70		mov	r18, r5
A6890028     0A74		ldq	r20, 40(r9)
47F40406     0A78		mov	r20, r6
47E03400     0A7C		mov	1, var$0038				# 1, r0

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 34
                                $stringflib$sep_words_           5-Aug-2004 11:11:06  stringflib.f90

47E03401     0A80		mov	1, var$0037				# 1, r1
	     0A84	lab$0106:
40250DBA     0A84		cmple	var$0037, r5, r26			# r1, r5, r26
E740000B     0A88		beq	r26, lab$0110
4C04041B     0A8C		mulq	var$0038, r4, r27			# r0, r4, r27
40660530     0A90		subq	r3, r6, r16
421B0412     0A94		addq	r16, r27, r18
22120000     0A98		lda	r16, (r18)
47E20411     0A9C		mov	r2, r17
47E41412     0AA0		mov	32, r18
A77D8048     0AA4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0AA8		jsr	r26, _OtsFill				# r26, (r27)
40003400     0AAC		addq	var$0038, 1, var$0038			# r0, 1, r0
40203401     0AB0		addq	var$0037, 1, var$0037			# r1, 1, r1
C3FFFFF3     0AB4		br	lab$0106
	     0AB8	lab$0110:											    # 000199
A6090030     0AB8		ldq	r16, 48(r9)
A6290038     0ABC		ldq	r17, 56(r9)
42110530     0AC0		subq	r16, r17, r16
42003410     0AC4		addq	r16, 1, r16
46001C90     0AC8		cmovle	r16, 0, r16
A65D8050     0ACC		ldq	r18, MAXL				# r18, 64(gp)
B212023C     0AD0		stl	r16, MAXL				# r16, 572(r18)
A67D8050     0AD4		ldq	r19, MAXL				# r19, 64(gp)				    # 000200
A273023C     0AD8		ldl	r19, MAXL				# r19, 572(r19)
42605DB3     0ADC		cmple	r19, 2, r19
E6600002     0AE0		beq	r19, lab$0115
B7EF0048     0AE4		stq	r31, var$0039				# r31, 72(r15)
C3E000D7     0AE8		br	.100
	     0AEC	lab$0115:											    # 000201
A66F0030     0AEC		ldq	r19, 48(r15)
47F30400     0AF0		mov	r19, r0
41F30521     0AF4		subq	r15, r19, r1
4421F101     0AF8		bic	r1, 15, r1
230FF000     0AFC		lda	r24, -4096(r15)
A7810000     0B00		ldq	r28, (r1)
430107BC     0B04		cmpule	r24, r1, r28
F7800004     0B08		bne	r28, L$83
	     0B0C	L$82:
A7980000     0B0C		ldq	r28, (r24)
2318E020     0B10		lda	r24, -8160(r24)
430107BC     0B14		cmpule	r24, r1, r28
E79FFFFC     0B18		beq	r28, L$82
	     0B1C	L$83:
47E1041E     0B1C		mov	r1, sp
22010000     0B20		lda	r16, (r1)
47F30411     0B24		mov	r19, r17
224A0000     0B28		lda	r18, (r10)
A77D8040     0B2C		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0B30		jsr	r26, _OtsMove				# r26, (r27)
43C00522     0B34		subq	sp, r0, r2
4441F102     0B38		bic	r2, 15, r2
231EF000     0B3C		lda	r24, -4096(sp)
A7820000     0B40		ldq	r28, (r2)
430207BC     0B44		cmpule	r24, r2, r28
F7800004     0B48		bne	r28, L$87
	     0B4C	L$86:

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 35
                                $stringflib$sep_words_           5-Aug-2004 11:11:06  stringflib.f90

A7980000     0B4C		ldq	r28, (r24)
2318E020     0B50		lda	r24, -8160(r24)
430207BC     0B54		cmpule	r24, r2, r28
E79FFFFC     0B58		beq	r28, L$86
	     0B5C	L$87:
47E2041E     0B5C		mov	r2, sp
22020000     0B60		lda	r16, (r2)
47E00411     0B64		mov	r0, r17
22410000     0B68		lda	r18, (r1)
A66F0030     0B6C		ldq	r19, 48(r15)
A77D8038     0B70		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0B74		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0B78		mov	32, r18
A77D8048     0B7C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0B80		jsr	r26, _OtsFill				# r26, (r27)
22020000     0B84		lda	r16, (r2)
47E00411     0B88		mov	r0, r17
A77D8030     0B8C		ldq	r27, for_len_trim			# r27, 32(gp)
6B5B4000     0B90		jsr	r26, for_len_trim			# r26, (r27)
27BA0001     0B94		ldah	gp, $stringflib$sep_words_		# gp, (r26)
23BDA2B0     0B98		lda	gp, $stringflib$sep_words_		# gp, (gp)
A43D8050     0B9C		ldq	r1, L					# r1, 64(gp)
B0010240     0BA0		stl	r0, L					# r0, 576(r1)
47EF041E     0BA4		mov	r15, sp
A45D8050     0BA8		ldq	r2, L					# r2, 64(gp)				    # 000202
A0420240     0BAC		ldl	r2, L					# r2, 576(r2)
F4400002     0BB0		bne	r2, lab$0122
B7EF0040     0BB4		stq	r31, var$0040				# r31, 64(r15)
C3E000A3     0BB8		br	.100
	     0BBC	lab$0122:
A47D8050     0BBC		ldq	r3, L					# r3, 64(gp)				    # 000206
A0630240     0BC0		ldl	r3, L					# r3, 576(r3)
47E3040B     0BC4		mov	r3, var$0041				# r3, r11
47E03404     0BC8		mov	1, r4
A4BD8050     0BCC		ldq	r5, I					# r5, 64(gp)
B0850244     0BD0		stl	r4, I					# r4, 580(r5)
EC600076     0BD4		ble	r3, .LC
	     0BD8	lab$0124:
A4DD8050     0BD8		ldq	r6, I					# r6, 64(gp)				    # 000208
A0C60244     0BDC		ldl	r6, I					# r6, 580(r6)
40C03526     0BE0		subq	r6, 1, r6
A4FD8050     0BE4		ldq	r7, I					# r7, 64(gp)
A0E70244     0BE8		ldl	r7, I					# r7, 580(r7)
40E60527     0BEC		subq	r7, r6, r7
44E01C87     0BF0		cmovle	r7, 0, r7
A61D8050     0BF4		ldq	r16, D					# r16, 64(gp)
22100230     0BF8		lda	r16, D					# r16, 560(r16)
224A0000     0BFC		lda	r18, (r10)
47E60414     0C00		mov	r6, r20
42540412     0C04		addq	r18, r20, r18
47E70413     0C08		mov	r7, r19
47E03411     0C0C		mov	1, r17
A77D8038     0C10		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0C14		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0C18		mov	32, r18
A77D8048     0C1C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0C20		jsr	r26, _OtsFill				# r26, (r27)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 36
                                $stringflib$sep_words_           5-Aug-2004 11:11:06  stringflib.f90

47E03413     0C24		mov	1, r19										    # 000210
47E07411     0C28		mov	3, r17
A61D8010     0C2C		ldq	r16, (gp)
22100018     0C30		lda	r16, 24(r16)
A65D8050     0C34		ldq	r18, D					# r18, 64(gp)
22520230     0C38		lda	r18, D					# r18, 560(r18)
A77D8028     0C3C		ldq	r27, _OtsStringIndex			# r27, 24(gp)
6B5B4000     0C40		jsr	r26, _OtsStringIndex			# r26, (r27)
40003000     0C44		addl	r0, 1, r0
43E009A0     0C48		cmplt	r31, r0, r0
E400002D     0C4C		beq	r0, lab$0140
220F01A0     0C50		lda	r16, 416(r15)									    # 000212
A65D8050     0C54		ldq	r18, S					# r18, 64(gp)
22520248     0C58		lda	r18, S					# r18, 584(r18)
223F0100     0C5C		mov	256, r17
A77D8040     0C60		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0C64		jsr	r26, _OtsMove				# r26, (r27)
220F00A0     0C68		lda	r16, var$0042				# r16, 160(r15)
223F0100     0C6C		mov	256, r17
224F01A0     0C70		lda	r18, 416(r15)
227F0100     0C74		mov	256, r19
A77D8020     0C78		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     0C7C		jsr	r26, for_trim				# r26, (r27)
27BA0001     0C80		ldah	gp, $stringflib$sep_words_		# gp, (r26)
23BDA2B0     0C84		lda	gp, $stringflib$sep_words_		# gp, (gp)
43E009A0     0C88		cmplt	r31, r0, r0
E400003A     0C8C		beq	r0, lab$0129
A43D8050     0C90		ldq	r1, F					# r1, 64(gp)				    # 000214
A0210238     0C94		ldl	r1, F					# r1, 568(r1)
40203001     0C98		addl	r1, 1, r1
A45D8050     0C9C		ldq	r2, F					# r2, 64(gp)
B0220238     0CA0		stl	r1, F					# r1, 568(r2)
A6290008     0CA4		ldq	r17, 8(r9)									    # 000215
A4890010     0CA8		ldq	r4, 16(r9)
A4A90028     0CAC		ldq	r5, 40(r9)
A4DD8050     0CB0		ldq	r6, F					# r6, 64(gp)
A0C60238     0CB4		ldl	r6, F					# r6, 568(r6)
A4E90028     0CB8		ldq	r7, 40(r9)
4CC50405     0CBC		mulq	r6, r5, r5
40870524     0CC0		subq	r4, r7, r4
40850410     0CC4		addq	r4, r5, r16
A65D8050     0CC8		ldq	r18, S					# r18, 64(gp)
22520248     0CCC		lda	r18, S					# r18, 584(r18)
227F0100     0CD0		mov	256, r19
A77D8038     0CD4		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0CD8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0CDC		mov	32, r18
A77D8048     0CE0		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0CE4		jsr	r26, _OtsFill				# r26, (r27)
A61D8050     0CE8		ldq	r16, S					# r16, 64(gp)				    # 000216
22100248     0CEC		lda	r16, S					# r16, 584(r16)
223F0100     0CF0		mov	256, r17
47E41412     0CF4		mov	32, r18
A77D8048     0CF8		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0CFC		jsr	r26, _OtsFill				# r26, (r27)
C3E0001D     0D00		br	lab$0129									    # 000212
	     0D04	lab$0140:											    # 000222

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 37
                                $stringflib$sep_words_           5-Aug-2004 11:11:06  stringflib.f90

220F01A0     0D04		lda	r16, 416(r15)
A65D8050     0D08		ldq	r18, S					# r18, 64(gp)
22520248     0D0C		lda	r18, S					# r18, 584(r18)
223F0100     0D10		mov	256, r17
A77D8040     0D14		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0D18		jsr	r26, _OtsMove				# r26, (r27)
220F00A0     0D1C		lda	r16, var$0043				# r16, 160(r15)
223F0100     0D20		mov	256, r17
224F01A0     0D24		lda	r18, 416(r15)
227F0100     0D28		mov	256, r19
A77D8020     0D2C		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     0D30		jsr	r26, for_trim				# r26, (r27)
27BA0001     0D34		ldah	gp, $stringflib$sep_words_		# gp, (r26)
23BDA2B0     0D38		lda	gp, $stringflib$sep_words_		# gp, (gp)
A61D8050     0D3C		ldq	r16, S					# r16, 64(gp)
22100248     0D40		lda	r16, S					# r16, 584(r16)
224F00A0     0D44		lda	r18, var$0043				# r18, 160(r15)
47E00413     0D48		mov	r0, r19
223F0100     0D4C		mov	256, r17
A77D8038     0D50		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0D54		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8050     0D58		ldq	r18, D					# r18, 64(gp)
22520230     0D5C		lda	r18, D					# r18, 560(r18)
47E03413     0D60		mov	1, r19
A77D8038     0D64		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0D68		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0D6C		mov	32, r18
A77D8048     0D70		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0D74		jsr	r26, _OtsFill				# r26, (r27)
	     0D78	lab$0129:											    # 000210
A43D8050     0D78		ldq	r1, F					# r1, 64(gp)				    # 000226
A0210238     0D7C		ldl	r1, F					# r1, 568(r1)
A45D8050     0D80		ldq	r2, MAXL				# r2, 64(gp)
A042023C     0D84		ldl	r2, MAXL				# r2, 572(r2)
40403002     0D88		addl	r2, 1, r2
44220801     0D8C		xor	r1, r2, r1
E4200007     0D90		beq	r1, .LC
A47D8050     0D94		ldq	r3, I					# r3, 64(gp)				    # 000206
A0630244     0D98		ldl	r3, I					# r3, 580(r3)
40603003     0D9C		addl	r3, 1, r3
A49D8050     0DA0		ldq	r4, I					# r4, 64(gp)
B0640244     0DA4		stl	r3, I					# r3, 580(r4)
4160352B     0DA8		subq	var$0041, 1, var$0041			# r11, 1, r11
FD7FFF8A     0DAC		bgt	var$0041, lab$0124			# r11, lab$0124
	     0DB0	.LC:												    # 000226
B7EF0038     0DB0		stq	r31, var$0044				# r31, 56(r15)
A61D8050     0DB4		ldq	r16, S					# r16, 64(gp)				    # 000230
22100248     0DB8		lda	r16, S					# r16, 584(r16)
223F0100     0DBC		mov	256, r17
A65D8010     0DC0		ldq	r18, (gp)
47FF0413     0DC4		clr	r19
47E41414     0DC8		mov	32, r20
A77D8018     0DCC		ldq	r27, _OtsStringCompareEqlPadded		# r27, 8(gp)
6B5B4000     0DD0		jsr	r26, _OtsStringCompareEqlPadded		# r26, (r27)
F4000005     0DD4		bne	r0, lab$0150
A4BD8050     0DD8		ldq	r5, F					# r5, 64(gp)
A0A50238     0DDC		ldl	r5, F					# r5, 568(r5)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 38
                                $stringflib$sep_words_           5-Aug-2004 11:11:06  stringflib.f90

40A03005     0DE0		addl	r5, 1, r5
A4DD8050     0DE4		ldq	r6, F					# r6, 64(gp)
B0A60238     0DE8		stl	r5, F					# r5, 568(r6)
	     0DEC	lab$0150:
A6290008     0DEC		ldq	r17, 8(r9)
A5090010     0DF0		ldq	r8, 16(r9)
A6E90028     0DF4		ldq	r23, 40(r9)
A71D8050     0DF8		ldq	r24, F					# r24, 64(gp)
A3180238     0DFC		ldl	r24, F					# r24, 568(r24)
A7290028     0E00		ldq	r25, 40(r9)
4F170417     0E04		mulq	r24, r23, r23
41190528     0E08		subq	r8, r25, r8
41170410     0E0C		addq	r8, r23, r16
A65D8050     0E10		ldq	r18, S					# r18, 64(gp)
22520248     0E14		lda	r18, S					# r18, 584(r18)
227F0100     0E18		mov	256, r19
A77D8038     0E1C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     0E20		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     0E24		mov	32, r18
A77D8048     0E28		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0E2C		jsr	r26, _OtsFill				# r26, (r27)
A61D8050     0E30		ldq	r16, S					# r16, 64(gp)
22100248     0E34		lda	r16, S					# r16, 584(r16)
223F0100     0E38		mov	256, r17
47E41412     0E3C		mov	32, r18
A77D8048     0E40		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0E44		jsr	r26, _OtsFill				# r26, (r27)
	     0E48	.100:												    # 000232
A45D8050     0E48		ldq	r2, F					# r2, 64(gp)
A0420238     0E4C		ldl	r2, F					# r2, 568(r2)
A42F0028     0E50		ldq	r1, 40(r15)
B0410000     0E54		stl	r2, (r1)
E5200008     0E58		beq	r9, lab$0152									    # 000234
A4690030     0E5C		ldq	r3, 48(r9)
A4890038     0E60		ldq	r4, 56(r9)
40640523     0E64		subq	r3, r4, r3
A6CF0050     0E68		ldq	r22, var$0008				# r22, 80(r15)
40760403     0E6C		addq	r3, r22, r3
B4690030     0E70		stq	r3, 48(r9)
A4AF0050     0E74		ldq	r5, var$0008				# r5, 80(r15)
B4A90038     0E78		stq	r5, 56(r9)
	     0E7C	lab$0152:
47EF041E     0E7C		mov	r15, sp
A74F0000     0E80		ldq	r26, (r15)
A52F0008     0E84		ldq	r9, 8(r15)
A54F0010     0E88		ldq	r10, 16(r15)
A56F0018     0E8C		ldq	r11, 24(r15)
A5FE0020     0E90		ldq	r15, 32(sp)
23DE02A0     0E94		lda	sp, 672(sp)
6BFA8001     0E98		ret	(r26)
				.end 	$stringflib$sep_words_

Routine Size: 1236 bytes,    Routine Base: $CODE$ + 09C8

				.globl  $stringflib$str_int$_
				.ent 	$stringflib$str_int$_
				.eflag 16

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 39
                                $stringflib$str_int$_            5-Aug-2004 11:11:06  stringflib.f90

	     0E9C	$stringflib$str_int$_:										    # 000241
27BB0001     0E9C		ldah	gp, $stringflib$str_int$_		# gp, (r27)
23BDA2B0     0EA0		lda	gp, $stringflib$str_int$_		# gp, (gp)
	     0EA4	L$115:
23DEFD80     0EA4		lda	sp, -640(sp)
B75E0000     0EA8		stq	r26, (sp)
				.mask 0x04000000,-640
				.fmask 0x00000000,0
				.frame  $sp, 640, $26
				.prologue 1
B61E0010     0EAC		stq	r16, 16(sp)
B63E0020     0EB0		stq	r17, STR_INT$.len			# r17, 32(sp)
B65E0008     0EB4		stq	r18, 8(sp)
A61D8050     0EB8		ldq	r16, B					# r16, 64(gp)				    # 000245
22100348     0EBC		lda	r16, B					# r16, 840(r16)
223F0100     0EC0		mov	256, r17
47E41412     0EC4		mov	32, r18
A77D8048     0EC8		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0ECC		jsr	r26, _OtsFill				# r26, (r27)
B3FE0028     0ED0		stl	r31, var$0010				# r31, 40(sp)				    # 000246
A65D8010     0ED4		ldq	r18, (gp)
22520020     0ED8		lda	r18, 32(r18)
221F0100     0EDC		mov	256, r16
B61E0068     0EE0		stq	r16, 104(sp)
A67D8050     0EE4		ldq	r19, B					# r19, 64(gp)
22730348     0EE8		lda	r19, B					# r19, 840(r19)
B67E0070     0EEC		stq	r19, 112(sp)
A75E0008     0EF0		ldq	r26, 8(sp)
B75E0078     0EF4		stq	r26, 120(sp)
221E0028     0EF8		lda	r16, var$0010				# r16, 40(sp)
263F0385     0EFC		ldah	r17, 901(r31)
2231FF00     0F00		lda	r17, -256(r17)
227E0068     0F04		lda	r19, 104(sp)
A77D8060     0F08		ldq	r27, for_write_int_lis			# r27, 80(gp)
6B5B4000     0F0C		jsr	r26, for_write_int_lis			# r26, (r27)
27BA0001     0F10		ldah	gp, $stringflib$str_int$_		# gp, (r26)
23BDA2B0     0F14		lda	gp, $stringflib$str_int$_		# gp, (gp)
221E0180     0F18		lda	r16, 384(sp)									    # 000247
A65D8050     0F1C		ldq	r18, B					# r18, 64(gp)
22520348     0F20		lda	r18, B					# r18, 840(r18)
223F0100     0F24		mov	256, r17
A77D8040     0F28		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0F2C		jsr	r26, _OtsMove				# r26, (r27)
221E0080     0F30		lda	r16, var$0046				# r16, 128(sp)
223F0100     0F34		mov	256, r17
225E0180     0F38		lda	r18, 384(sp)
227F0100     0F3C		mov	256, r19
A77D8058     0F40		ldq	r27, for_adjustl			# r27, 72(gp)
6B5B4000     0F44		jsr	r26, for_adjustl			# r26, (r27)
27BA0001     0F48		ldah	gp, $stringflib$str_int$_		# gp, (r26)
23BDA2B0     0F4C		lda	gp, $stringflib$str_int$_		# gp, (gp)
A61E0010     0F50		ldq	r16, 16(sp)
225E0080     0F54		lda	r18, var$0046				# r18, 128(sp)
223F0100     0F58		mov	256, r17
A77D8040     0F5C		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     0F60		jsr	r26, _OtsMove				# r26, (r27)
A41E0010     0F64		ldq	r0, 16(sp)									    # 000248

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 40
                                $stringflib$str_int$_            5-Aug-2004 11:11:06  stringflib.f90

A75E0000     0F68		ldq	r26, (sp)
23DE0280     0F6C		lda	sp, 640(sp)
6BFA8001     0F70		ret	(r26)
				.end 	$stringflib$str_int$_

Routine Size: 216 bytes,    Routine Base: $CODE$ + 0E9C

				.globl  $stringflib$str_real$_
				.ent 	$stringflib$str_real$_
				.eflag 16
	     0F74	$stringflib$str_real$_:										    # 000254
27BB0001     0F74		ldah	gp, $stringflib$str_real$_		# gp, (r27)
23BDA2B0     0F78		lda	gp, $stringflib$str_real$_		# gp, (gp)
	     0F7C	L$122:
23DEFD70     0F7C		lda	sp, -656(sp)
B75E0000     0F80		stq	r26, (sp)
B53E0008     0F84		stq	r9, 8(sp)
				.mask 0x04000200,-656
				.fmask 0x00000000,0
				.frame  $sp, 656, $26
				.prologue 1
B61E0018     0F88		stq	r16, 24(sp)
B63E0028     0F8C		stq	r17, STR_REAL$.len			# r17, 40(sp)
B65E0010     0F90		stq	r18, 16(sp)
A61D8050     0F94		ldq	r16, B					# r16, 64(gp)				    # 000259
22100450     0F98		lda	r16, B					# r16, 1104(r16)
223F0100     0F9C		mov	256, r17
47E41412     0FA0		mov	32, r18
A77D8048     0FA4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     0FA8		jsr	r26, _OtsFill				# r26, (r27)
B3FE0030     0FAC		stl	r31, var$0011				# r31, 48(sp)				    # 000260
A65D8010     0FB0		ldq	r18, (gp)
22520038     0FB4		lda	r18, 56(r18)
221F0100     0FB8		mov	256, r16
B61E0070     0FBC		stq	r16, 112(sp)
A67D8050     0FC0		ldq	r19, B					# r19, 64(gp)
22730450     0FC4		lda	r19, B					# r19, 1104(r19)
B67E0078     0FC8		stq	r19, 120(sp)
A75E0010     0FCC		ldq	r26, 16(sp)
B75E0080     0FD0		stq	r26, 128(sp)
221E0030     0FD4		lda	r16, var$0011				# r16, 48(sp)
263F0385     0FD8		ldah	r17, 901(r31)
2231FF00     0FDC		lda	r17, -256(r17)
227E0070     0FE0		lda	r19, 112(sp)
A77D8060     0FE4		ldq	r27, for_write_int_lis			# r27, 80(gp)
6B5B4000     0FE8		jsr	r26, for_write_int_lis			# r26, (r27)
27BA0001     0FEC		ldah	gp, $stringflib$str_real$_		# gp, (r26)
23BDA2B0     0FF0		lda	gp, $stringflib$str_real$_		# gp, (gp)
221E0190     0FF4		lda	r16, 400(sp)									    # 000261
A65D8050     0FF8		ldq	r18, B					# r18, 64(gp)
22520450     0FFC		lda	r18, B					# r18, 1104(r18)
223F0100     1000		mov	256, r17
A77D8040     1004		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1008		jsr	r26, _OtsMove				# r26, (r27)
221E0088     100C		lda	r16, var$0048				# r16, 136(sp)
223F0100     1010		mov	256, r17
225E0190     1014		lda	r18, 400(sp)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 41
                                $stringflib$str_real$_           5-Aug-2004 11:11:06  stringflib.f90

227F0100     1018		mov	256, r19
A77D8058     101C		ldq	r27, for_adjustl			# r27, 72(gp)
6B5B4000     1020		jsr	r26, for_adjustl			# r26, (r27)
27BA0001     1024		ldah	gp, $stringflib$str_real$_		# gp, (r26)
23BDA2B0     1028		lda	gp, $stringflib$str_real$_		# gp, (gp)
47FE0400     102C		mov	sp, r0
A43D8050     1030		ldq	r1, B					# r1, 64(gp)
47E10401     1034		mov	r1, r1
A4600088     1038		ldq	r3, var$0048				# r3, 136(r0)
A4800090     103C		ldq	r4, var$0048				# r4, 144(r0)
205F00F0     1040		mov	240, r2
	     1044	L$127:
B4610450     1044		stq	r3, B					# r3, 1104(r1)
40421522     1048		subq	r2, 16, r2
A4600098     104C		ldq	r3, var$0048				# r3, 152(r0)
20000010     1050		lda	r0, 16(r0)
B4810458     1054		stq	r4, B					# r4, 1112(r1)
20210010     1058		lda	r1, 16(r1)
A4800090     105C		ldq	r4, var$0048				# r4, 144(r0)
F45FFFF8     1060		bne	r2, L$127
B4610450     1064		stq	r3, B					# r3, 1104(r1)
B4810458     1068		stq	r4, B					# r4, 1112(r1)
223F0100     106C		mov	256, r17									    # 000263
47E03413     1070		mov	1, r19
A61D8050     1074		ldq	r16, B					# r16, 64(gp)
22100450     1078		lda	r16, B					# r16, 1104(r16)
A65D8010     107C		ldq	r18, (gp)
22520030     1080		lda	r18, 48(r18)
A77D8028     1084		ldq	r27, _OtsStringIndex			# r27, 24(gp)
6B5B4000     1088		jsr	r26, _OtsStringIndex			# r26, (r27)
40003000     108C		addl	r0, 1, r0
A4BD8050     1090		ldq	r5, P					# r5, 64(gp)
B005044C     1094		stl	r0, P					# r0, 1100(r5)
	     1098	lab$0175:											    # 000267
221E0090     1098		lda	r16, 144(sp)
A65D8050     109C		ldq	r18, B					# r18, 64(gp)
22520450     10A0		lda	r18, B					# r18, 1104(r18)
223F0100     10A4		mov	256, r17
A77D8040     10A8		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     10AC		jsr	r26, _OtsMove				# r26, (r27)
221E0090     10B0		lda	r16, 144(sp)
223F0100     10B4		mov	256, r17
A77D8030     10B8		ldq	r27, for_len_trim			# r27, 32(gp)
6B5B4000     10BC		jsr	r26, for_len_trim			# r26, (r27)
27BA0001     10C0		ldah	gp, $stringflib$str_real$_		# gp, (r26)
23BDA2B0     10C4		lda	gp, $stringflib$str_real$_		# gp, (gp)
A43D8050     10C8		ldq	r1, R					# r1, 64(gp)
B0010448     10CC		stl	r0, R					# r0, 1096(r1)
A45D8050     10D0		ldq	r2, R					# r2, 64(gp)				    # 000269
A0420448     10D4		ldl	r2, R					# r2, 1096(r2)
40403522     10D8		subq	r2, 1, r2
A47D8050     10DC		ldq	r3, R					# r3, 64(gp)
A0630448     10E0		ldl	r3, R					# r3, 1096(r3)
40620523     10E4		subq	r3, r2, r3
44601C83     10E8		cmovle	r3, 0, r3
47E03413     10EC		mov	1, r19
A61D8050     10F0		ldq	r16, B					# r16, 64(gp)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 42
                                $stringflib$str_real$_           5-Aug-2004 11:11:06  stringflib.f90

42020410     10F4		addq	B, r2, r16				# r16, r2, r16
22100450     10F8		lda	r16, 1104(r16)
47E30411     10FC		mov	r3, r17
A65D8010     1100		ldq	r18, (gp)
22520028     1104		lda	r18, 40(r18)
47E41414     1108		mov	32, r20
A77D8018     110C		ldq	r27, _OtsStringCompareEqlPadded		# r27, 8(gp)
6B5B4000     1110		jsr	r26, _OtsStringCompareEqlPadded		# r26, (r27)
47E00402     1114		mov	r0, r2
A49D8050     1118		ldq	r4, R					# r4, 64(gp)
A0840448     111C		ldl	r4, R					# r4, 1096(r4)
A4BD8050     1120		ldq	r5, P					# r5, 64(gp)
A0A5044C     1124		ldl	r5, P					# r5, 1100(r5)
40A409A4     1128		cmplt	r5, r4, r4
44440002     112C		and	r2, r4, r2
A4DD8050     1130		ldq	r6, P					# r6, 64(gp)
A0C6044C     1134		ldl	r6, P					# r6, 1100(r6)
40DF05A6     1138		cmpeq	r6, r31, r6
44460102     113C		bic	r2, r6, r2
E0400015     1140		blbc	r2, lab$0182
A4FD8050     1144		ldq	r7, R					# r7, 64(gp)				    # 000271
A0E70448     1148		ldl	r7, R					# r7, 1096(r7)
40E03127     114C		subl	r7, 1, r7
A51D8050     1150		ldq	r8, R					# r8, 64(gp)
B0E80448     1154		stl	r7, R					# r7, 1096(r8)
A6FD8050     1158		ldq	r23, R					# r23, 64(gp)				    # 000273
A2F70448     115C		ldl	r23, R					# r23, 1096(r23)
46E01C97     1160		cmovle	r23, 0, r23
A61D8050     1164		ldq	r16, B					# r16, 64(gp)
22100450     1168		lda	r16, B					# r16, 1104(r16)
A65D8050     116C		ldq	r18, B					# r18, 64(gp)
22520450     1170		lda	r18, B					# r18, 1104(r18)
47F70413     1174		mov	r23, r19
223F0100     1178		mov	256, r17
A77D8038     117C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1180		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1184		mov	32, r18
A77D8048     1188		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     118C		jsr	r26, _OtsFill				# r26, (r27)
47FF0409     1190		mov	r31, var$0049				# r31, r9				    # 000275
C3FFFFC0     1194		br	lab$0175
	     1198	lab$0182:											    # 000269
A71D8050     1198		ldq	r24, R					# r24, 64(gp)				    # 000281
A3180448     119C		ldl	r24, R					# r24, 1096(r24)
A73D8050     11A0		ldq	r25, P					# r25, 64(gp)
A339044C     11A4		ldl	r25, P					# r25, 1100(r25)
431905B8     11A8		cmpeq	r24, r25, r24
A43D8050     11AC		ldq	r1, P					# r1, 64(gp)
A021044C     11B0		ldl	r1, P					# r1, 1100(r1)
40201DA1     11B4		cmple	r1, 0, r1
47010101     11B8		bic	r24, r1, r1
E0200013     11BC		blbc	r1, lab$0186
A47D8050     11C0		ldq	r3, R					# r3, 64(gp)				    # 000283
A0630448     11C4		ldl	r3, R					# r3, 1096(r3)
40603123     11C8		subl	r3, 1, r3
A6DD8050     11CC		ldq	r22, R					# r22, 64(gp)
B0760448     11D0		stl	r3, R					# r3, 1096(r22)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 43
                                $stringflib$str_real$_           5-Aug-2004 11:11:06  stringflib.f90

A41D8050     11D4		ldq	r0, R					# r0, 64(gp)				    # 000285
A0000448     11D8		ldl	r0, R					# r0, 1096(r0)
44001C80     11DC		cmovle	r0, 0, r0
A61D8050     11E0		ldq	r16, B					# r16, 64(gp)
22100450     11E4		lda	r16, B					# r16, 1104(r16)
A65D8050     11E8		ldq	r18, B					# r18, 64(gp)
22520450     11EC		lda	r18, B					# r18, 1104(r18)
47E00413     11F0		mov	r0, r19
223F0100     11F4		mov	256, r17
A77D8038     11F8		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     11FC		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1200		mov	32, r18
A77D8048     1204		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1208		jsr	r26, _OtsFill				# r26, (r27)
	     120C	lab$0186:											    # 000293
221E0190     120C		lda	r16, 400(sp)
A65D8050     1210		ldq	r18, B					# r18, 64(gp)
22520450     1214		lda	r18, B					# r18, 1104(r18)
223F0100     1218		mov	256, r17
A77D8040     121C		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1220		jsr	r26, _OtsMove				# r26, (r27)
221E0088     1224		lda	r16, var$0050				# r16, 136(sp)
223F0100     1228		mov	256, r17
225E0190     122C		lda	r18, 400(sp)
227F0100     1230		mov	256, r19
A77D8058     1234		ldq	r27, for_adjustl			# r27, 72(gp)
6B5B4000     1238		jsr	r26, for_adjustl			# r26, (r27)
27BA0001     123C		ldah	gp, $stringflib$str_real$_		# gp, (r26)
23BDA2B0     1240		lda	gp, $stringflib$str_real$_		# gp, (gp)
A61E0018     1244		ldq	r16, 24(sp)
225E0088     1248		lda	r18, var$0050				# r18, 136(sp)
223F0100     124C		mov	256, r17
A77D8040     1250		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1254		jsr	r26, _OtsMove				# r26, (r27)
A41E0018     1258		ldq	r0, 24(sp)									    # 000296
A75E0000     125C		ldq	r26, (sp)
A53E0008     1260		ldq	r9, 8(sp)
23DE0290     1264		lda	sp, 656(sp)
6BFA8001     1268		ret	(r26)
				.end 	$stringflib$str_real$_

Routine Size: 760 bytes,    Routine Base: $CODE$ + 0F74

				.globl  $stringflib$val_
				.ent 	$stringflib$val_
				.eflag 16
	     126C	$stringflib$val_:										    # 000309
27BB0001     126C		ldah	gp, $stringflib$val_			# gp, (r27)
23BDA2B0     1270		lda	gp, $stringflib$val_			# gp, (gp)
	     1274	L$138:
23DEFD60     1274		lda	sp, -672(sp)
B75E0000     1278		stq	r26, (sp)
B53E0008     127C		stq	r9, 8(sp)
B55E0010     1280		stq	r10, 16(sp)
B5FE0018     1284		stq	r15, 24(sp)
47FE040F     1288		mov	sp, r15
				.mask 0x04008600,-672

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 44
                                $stringflib$val_                 5-Aug-2004 11:11:06  stringflib.f90

				.fmask 0x00000000,0
				.frame  $fp, 672, $26
				.prologue 1
B60F0020     128C		stq	r16, 32(r15)
B62F0030     1290		stq	r17, A$.len				# r17, 48(r15)
A52F0030     1294		ldq	r9, A$.len				# r9, 48(r15)
47E03400     1298		mov	1, r0										    # 000315
A61D8050     129C		ldq	r16, CHKNUM				# r16, 64(gp)
B0100558     12A0		stl	r0, CHKNUM				# r0, 1368(r16)
A61D8050     12A4		ldq	r16, NUM$				# r16, 64(gp)				    # 000316
22100668     12A8		lda	r16, NUM$				# r16, 1640(r16)
47FFF411     12AC		mov	255, r17
47E41412     12B0		mov	32, r18
A77D8048     12B4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     12B8		jsr	r26, _OtsFill				# r26, (r27)
47FE0401     12BC		mov	sp, r1										    # 000317
41E90520     12C0		subq	r15, r9, r0
4401F100     12C4		bic	r0, 15, r0
230FF000     12C8		lda	r24, -4096(r15)
A7800000     12CC		ldq	r28, (r0)
430007BC     12D0		cmpule	r24, r0, r28
F7800004     12D4		bne	r28, L$142
	     12D8	L$141:
A7980000     12D8		ldq	r28, (r24)
2318E020     12DC		lda	r24, -8160(r24)
430007BC     12E0		cmpule	r24, r0, r28
E79FFFFC     12E4		beq	r28, L$141
	     12E8	L$142:
47E0041E     12E8		mov	r0, sp
B7CF0080     12EC		stq	sp, 128(r15)
47FE0401     12F0		mov	sp, r1
47E90402     12F4		mov	r9, r2
43C90523     12F8		subq	sp, r9, r3
4461F103     12FC		bic	r3, 15, r3
231EF000     1300		lda	r24, -4096(sp)
A7830000     1304		ldq	r28, (r3)
430307BC     1308		cmpule	r24, r3, r28
F7800004     130C		bne	r28, L$144
	     1310	L$143:
A7980000     1310		ldq	r28, (r24)
2318E020     1314		lda	r24, -8160(r24)
430307BC     1318		cmpule	r24, r3, r28
E79FFFFC     131C		beq	r28, L$143
	     1320	L$144:
47E3041E     1320		mov	r3, sp
22030000     1324		lda	r16, (r3)
47E90411     1328		mov	r9, r17
A64F0020     132C		ldq	r18, 32(r15)
A77D8040     1330		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1334		jsr	r26, _OtsMove				# r26, (r27)
43C20520     1338		subq	sp, r2, r0
4401F100     133C		bic	r0, 15, r0
231EF000     1340		lda	r24, -4096(sp)
A7800000     1344		ldq	r28, (r0)
430007BC     1348		cmpule	r24, r0, r28
F7800004     134C		bne	r28, L$148
	     1350	L$147:

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 45
                                $stringflib$val_                 5-Aug-2004 11:11:06  stringflib.f90

A7980000     1350		ldq	r28, (r24)
2318E020     1354		lda	r24, -8160(r24)
430007BC     1358		cmpule	r24, r0, r28
E79FFFFC     135C		beq	r28, L$147
	     1360	L$148:
47E0041E     1360		mov	r0, sp
22000000     1364		lda	r16, (r0)
47E20411     1368		mov	r2, r17
22430000     136C		lda	r18, (r3)
47E90413     1370		mov	r9, r19
A77D8038     1374		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1378		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     137C		mov	32, r18
A77D8048     1380		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1384		jsr	r26, _OtsFill				# r26, (r27)
A60F0080     1388		ldq	r16, 128(r15)
47E90411     138C		mov	r9, r17
22400000     1390		lda	r18, (r0)
47E20413     1394		mov	r2, r19
A77D8058     1398		ldq	r27, for_adjustl			# r27, 72(gp)
6B5B4000     139C		jsr	r26, for_adjustl			# r26, (r27)
27BA0001     13A0		ldah	gp, $stringflib$val_			# gp, (r26)
23BDA2B0     13A4		lda	gp, $stringflib$val_			# gp, (gp)
A61D8050     13A8		ldq	r16, AA$				# r16, 64(gp)
22100568     13AC		lda	r16, AA$				# r16, 1384(r16)
A64F0080     13B0		ldq	r18, 128(r15)
47E90413     13B4		mov	r9, r19
47FFF411     13B8		mov	255, r17
A77D8038     13BC		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     13C0		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     13C4		mov	32, r18
A77D8048     13C8		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     13CC		jsr	r26, _OtsFill				# r26, (r27)
47EF041E     13D0		mov	r15, sp										    # 000318
220F0098     13D4		lda	r16, 152(r15)
A65D8050     13D8		ldq	r18, AA$				# r18, 64(gp)
22520568     13DC		lda	r18, AA$				# r18, 1384(r18)
47FFF411     13E0		mov	255, r17
A77D8040     13E4		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     13E8		jsr	r26, _OtsMove				# r26, (r27)
220F0098     13EC		lda	r16, 152(r15)
47FFF411     13F0		mov	255, r17
A77D8030     13F4		ldq	r27, for_len_trim			# r27, 32(gp)
6B5B4000     13F8		jsr	r26, for_len_trim			# r26, (r27)
27BA0001     13FC		ldah	gp, $stringflib$val_			# gp, (r26)
23BDA2B0     1400		lda	gp, $stringflib$val_			# gp, (gp)
A43D8050     1404		ldq	r1, L					# r1, 64(gp)
B0010560     1408		stl	r0, L					# r0, 1376(r1)
A45D8050     140C		ldq	r2, L					# r2, 64(gp)				    # 000320
A0420560     1410		ldl	r2, L					# r2, 1376(r2)
EC40006A     1414		ble	r2, lab$0204
A47D8050     1418		ldq	r3, L					# r3, 64(gp)				    # 000323
A0630560     141C		ldl	r3, L					# r3, 1376(r3)
47E3040A     1420		mov	r3, var$0052				# r3, r10
47E03404     1424		mov	1, r4
A4BD8050     1428		ldq	r5, I					# r5, 64(gp)
B0850564     142C		stl	r4, I					# r4, 1380(r5)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 46
                                $stringflib$val_                 5-Aug-2004 11:11:06  stringflib.f90

EC600046     1430		ble	r3, lab$0209
	     1434	lab$0207:
A4DD8050     1434		ldq	r6, I					# r6, 64(gp)				    # 000325
A0C60564     1438		ldl	r6, I					# r6, 1380(r6)
40C03526     143C		subq	r6, 1, r6
A4FD8050     1440		ldq	r7, I					# r7, 64(gp)
A0E70564     1444		ldl	r7, I					# r7, 1380(r7)
40E60527     1448		subq	r7, r6, r7
44E01C87     144C		cmovle	r7, 0, r7
A61D8050     1450		ldq	r16, C$					# r16, 64(gp)
22100550     1454		lda	r16, C$					# r16, 1360(r16)
A65D8050     1458		ldq	r18, AA$				# r18, 64(gp)
22520568     145C		lda	r18, AA$				# r18, 1384(r18)
47E60414     1460		mov	r6, r20
42540412     1464		addq	r18, r20, r18
47E70413     1468		mov	r7, r19
47E03411     146C		mov	1, r17
A77D8038     1470		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1474		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1478		mov	32, r18
A77D8048     147C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1480		jsr	r26, _OtsFill				# r26, (r27)
47E03413     1484		mov	1, r19										    # 000327
47E1B411     1488		mov	13, r17
A61D8010     148C		ldq	r16, (gp)
22100040     1490		lda	r16, 64(r16)
A65D8050     1494		ldq	r18, C$					# r18, 64(gp)
22520550     1498		lda	r18, C$					# r18, 1360(r18)
A77D8028     149C		ldq	r27, _OtsStringIndex			# r27, 24(gp)
6B5B4000     14A0		jsr	r26, _OtsStringIndex			# r26, (r27)
40003000     14A4		addl	r0, 1, r0
43E009A0     14A8		cmplt	r31, r0, r0
E400001E     14AC		beq	r0, lab$0211
220F0198     14B0		lda	r16, 408(r15)									    # 000329
A65D8050     14B4		ldq	r18, NUM$				# r18, 64(gp)
22520668     14B8		lda	r18, NUM$				# r18, 1640(r18)
47FFF411     14BC		mov	255, r17
A77D8040     14C0		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     14C4		jsr	r26, _OtsMove				# r26, (r27)
220F0098     14C8		lda	r16, var$0053				# r16, 152(r15)
47FFF411     14CC		mov	255, r17
224F0198     14D0		lda	r18, 408(r15)
47FFF413     14D4		mov	255, r19
A77D8020     14D8		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     14DC		jsr	r26, for_trim				# r26, (r27)
27BA0001     14E0		ldah	gp, $stringflib$val_			# gp, (r26)
23BDA2B0     14E4		lda	gp, $stringflib$val_			# gp, (gp)
A61D8050     14E8		ldq	r16, NUM$				# r16, 64(gp)
22100668     14EC		lda	r16, NUM$				# r16, 1640(r16)
224F0098     14F0		lda	r18, var$0053				# r18, 152(r15)
47E00413     14F4		mov	r0, r19
47FFF411     14F8		mov	255, r17
A77D8038     14FC		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1500		jsr	r26, _OtsMoveMinimum			# r26, (r27)
A65D8050     1504		ldq	r18, C$					# r18, 64(gp)
22520550     1508		lda	r18, C$					# r18, 1360(r18)
47E03413     150C		mov	1, r19

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 47
                                $stringflib$val_                 5-Aug-2004 11:11:06  stringflib.f90

A77D8038     1510		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1514		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1518		mov	32, r18
A77D8048     151C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1520		jsr	r26, _OtsFill				# r26, (r27)
C3E00002     1524		br	lab$0212
	     1528	lab$0211:											    # 000327
A43D8050     1528		ldq	r1, CHKNUM				# r1, 64(gp)				    # 000333
B3E10558     152C		stl	r31, CHKNUM				# r31, 1368(r1)
	     1530	lab$0212:											    # 000327
A45D8050     1530		ldq	r2, I					# r2, 64(gp)				    # 000323
A0420564     1534		ldl	r2, I					# r2, 1380(r2)
40403002     1538		addl	r2, 1, r2
A47D8050     153C		ldq	r3, I					# r3, 64(gp)
B0430564     1540		stl	r2, I					# r2, 1380(r3)
4140352A     1544		subq	var$0052, 1, var$0052			# r10, 1, r10
FD5FFFBA     1548		bgt	var$0052, lab$0207			# r10, lab$0207
	     154C	lab$0209:
A49D8050     154C		ldq	r4, CHKNUM				# r4, 64(gp)				    # 000340
A0840558     1550		ldl	r4, CHKNUM				# r4, 1368(r4)
44803804     1554		xor	r4, 1, r4
F4800014     1558		bne	r4, lab$0221
B3EF0040     155C		stl	r31, var$0012				# r31, 64(r15)				    # 000341
A65D8010     1560		ldq	r18, (gp)
22520038     1564		lda	r18, 56(r18)
47FFF406     1568		mov	255, r6
B4CF0080     156C		stq	r6, 128(r15)
A51D8050     1570		ldq	r8, NUM$				# r8, 64(gp)
21080668     1574		lda	r8, NUM$				# r8, 1640(r8)
B50F0088     1578		stq	r8, 136(r15)
A6FD8050     157C		ldq	r23, B					# r23, 64(gp)
22F7055C     1580		lda	r23, B					# r23, 1372(r23)
B6EF0090     1584		stq	r23, 144(r15)
220F0040     1588		lda	r16, var$0012				# r16, 64(r15)
263F0385     158C		ldah	r17, 901(r31)
2231FF00     1590		lda	r17, -256(r17)
226F0080     1594		lda	r19, 128(r15)
A77D8070     1598		ldq	r27, for_read_int_lis			# r27, 96(gp)
6B5B4000     159C		jsr	r26, for_read_int_lis			# r26, (r27)
27BA0001     15A0		ldah	gp, $stringflib$val_			# gp, (r26)
23BDA2B0     15A4		lda	gp, $stringflib$val_			# gp, (gp)
C3E00009     15A8		br	lab$0205
	     15AC	lab$0221:											    # 000340
A79D8068     15AC		ldq	r28, 88(gp)									    # 000343
881C0000     15B0		lds	f0, (r28)
A41D8050     15B4		ldq	r0, B					# r0, 64(gp)
9800055C     15B8		sts	f0, B					# f0, 1372(r0)
C3E00004     15BC		br	lab$0205									    # 000340
	     15C0	lab$0204:											    # 000320
A79D8068     15C0		ldq	r28, 88(gp)									    # 000347
883C0000     15C4		lds	f1, (r28)
A43D8050     15C8		ldq	r1, B					# r1, 64(gp)
9821055C     15CC		sts	f1, B					# f1, 1372(r1)
	     15D0	lab$0205:											    # 000320
A45D8050     15D0		ldq	r2, B					# r2, 64(gp)				    # 000353
8942055C     15D4		lds	f10, B					# f10, 1372(r2)
994F0038     15D8		sts	f10, VAL				# f10, 56(r15)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 48
                                $stringflib$val_                 5-Aug-2004 11:11:06  stringflib.f90

880F0038     15DC		lds	f0, VAL					# f0, 56(r15)				    # 000354
47EF041E     15E0		mov	r15, sp
A74F0000     15E4		ldq	r26, (r15)
A52F0008     15E8		ldq	r9, 8(r15)
A54F0010     15EC		ldq	r10, 16(r15)
A5FE0018     15F0		ldq	r15, 24(sp)
23DE02A0     15F4		lda	sp, 672(sp)
6BFA8001     15F8		ret	(r26)
				.end 	$stringflib$val_

Routine Size: 912 bytes,    Routine Base: $CODE$ + 126C

				.globl  $stringflib$ucase$_
				.ent 	$stringflib$ucase$_
				.eflag 16
	     15FC	$stringflib$ucase$_:										    # 000363
27BB0001     15FC		ldah	gp, $stringflib$ucase$_			# gp, (r27)
23BDA2B0     1600		lda	gp, $stringflib$ucase$_			# gp, (gp)
	     1604	L$168:
23DEFF70     1604		lda	sp, -144(sp)
B75E0000     1608		stq	r26, (sp)
B53E0008     160C		stq	r9, 8(sp)
B55E0010     1610		stq	r10, 16(sp)
B57E0018     1614		stq	r11, 24(sp)
B5FE0020     1618		stq	r15, 32(sp)
47FE040F     161C		mov	sp, r15
				.mask 0x04008E00,-144
				.fmask 0x00000000,0
				.frame  $fp, 144, $26
				.prologue 1
B60F0028     1620		stq	r16, 40(r15)
B62F0038     1624		stq	r17, UCASE$.len				# r17, 56(r15)
47F20409     1628		mov	r18, r9
B66F0030     162C		stq	r19, STR.len				# r19, 48(r15)
A54F0030     1630		ldq	r10, STR.len				# r10, 48(r15)
A61D8050     1634		ldq	r16, B					# r16, 64(gp)				    # 000369
22100778     1638		lda	r16, B					# r16, 1912(r16)
22490000     163C		lda	r18, (r9)
47EA0413     1640		mov	r10, r19
47FFF411     1644		mov	255, r17
A77D8038     1648		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     164C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1650		mov	32, r18
A77D8048     1654		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1658		jsr	r26, _OtsFill				# r26, (r27)
47FE0400     165C		mov	sp, r0										    # 000370
41EA0535     1660		subq	r15, r10, r21
46A1F115     1664		bic	r21, 15, r21
230FF000     1668		lda	r24, -4096(r15)
A7950000     166C		ldq	r28, (r21)
431507BC     1670		cmpule	r24, r21, r28
F7800004     1674		bne	r28, L$172
	     1678	L$171:
A7980000     1678		ldq	r28, (r24)
2318E020     167C		lda	r24, -8160(r24)
431507BC     1680		cmpule	r24, r21, r28
E79FFFFC     1684		beq	r28, L$171

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 49
                                $stringflib$ucase$_              5-Aug-2004 11:11:06  stringflib.f90

	     1688	L$172:
47F5041E     1688		mov	r21, sp
B7CF0080     168C		stq	sp, 128(r15)
47FE0400     1690		mov	sp, r0
47EA0401     1694		mov	r10, r1
43CA0522     1698		subq	sp, r10, r2
4441F102     169C		bic	r2, 15, r2
231EF000     16A0		lda	r24, -4096(sp)
A7820000     16A4		ldq	r28, (r2)
430207BC     16A8		cmpule	r24, r2, r28
F7800004     16AC		bne	r28, L$174
	     16B0	L$173:
A7980000     16B0		ldq	r28, (r24)
2318E020     16B4		lda	r24, -8160(r24)
430207BC     16B8		cmpule	r24, r2, r28
E79FFFFC     16BC		beq	r28, L$173
	     16C0	L$174:
47E2041E     16C0		mov	r2, sp
22020000     16C4		lda	r16, (r2)
47EA0411     16C8		mov	r10, r17
22490000     16CC		lda	r18, (r9)
A77D8040     16D0		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     16D4		jsr	r26, _OtsMove				# r26, (r27)
43C10523     16D8		subq	sp, r1, r3
4461F103     16DC		bic	r3, 15, r3
231EF000     16E0		lda	r24, -4096(sp)
A7830000     16E4		ldq	r28, (r3)
430307BC     16E8		cmpule	r24, r3, r28
F7800004     16EC		bne	r28, L$178
	     16F0	L$177:
A7980000     16F0		ldq	r28, (r24)
2318E020     16F4		lda	r24, -8160(r24)
430307BC     16F8		cmpule	r24, r3, r28
E79FFFFC     16FC		beq	r28, L$177
	     1700	L$178:
47E3041E     1700		mov	r3, sp
22030000     1704		lda	r16, (r3)
47E10411     1708		mov	r1, r17
22420000     170C		lda	r18, (r2)
47EA0413     1710		mov	r10, r19
A77D8038     1714		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1718		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     171C		mov	32, r18
A77D8048     1720		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1724		jsr	r26, _OtsFill				# r26, (r27)
A60F0080     1728		ldq	r16, 128(r15)
47EA0411     172C		mov	r10, r17
22430000     1730		lda	r18, (r3)
47E10413     1734		mov	r1, r19
A77D8020     1738		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     173C		jsr	r26, for_trim				# r26, (r27)
27BA0001     1740		ldah	gp, $stringflib$ucase$_			# gp, (r26)
23BDA2B0     1744		lda	gp, $stringflib$ucase$_			# gp, (gp)
A43D8050     1748		ldq	r1, L					# r1, 64(gp)
B001076C     174C		stl	r0, L					# r0, 1900(r1)
47EF041E     1750		mov	r15, sp
A45D8050     1754		ldq	r2, L					# r2, 64(gp)				    # 000371

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 50
                                $stringflib$ucase$_              5-Aug-2004 11:11:06  stringflib.f90

A042076C     1758		ldl	r2, L					# r2, 1900(r2)
EC400040     175C		ble	r2, lab$0235
A47D8050     1760		ldq	r3, L					# r3, 64(gp)				    # 000372
A063076C     1764		ldl	r3, L					# r3, 1900(r3)
47E3040B     1768		mov	r3, var$0056				# r3, r11
47E03404     176C		mov	1, r4
A4BD8050     1770		ldq	r5, I					# r5, 64(gp)
B0850770     1774		stl	r4, I					# r4, 1904(r5)
EC600039     1778		ble	r3, lab$0235
	     177C	lab$0240:											    # 000374
A4DD8050     177C		ldq	r6, I					# r6, 64(gp)
A0C60770     1780		ldl	r6, I					# r6, 1904(r6)
40C03526     1784		subq	r6, 1, r6
A4FD8050     1788		ldq	r7, I					# r7, 64(gp)
A0E70770     178C		ldl	r7, I					# r7, 1904(r7)
40E60527     1790		subq	r7, r6, r7
44E01C87     1794		cmovle	r7, 0, r7
41260406     1798		addq	r9, r6, r6
40DF0406     179C		addq	r6, r31, r6
2D060000     17A0		ldq_u	r8, (r6)
490600C8     17A4		extbl	r8, r6, r8
A61D8050     17A8		ldq	r16, A					# r16, 64(gp)
B1100768     17AC		stl	r8, A					# r8, 1896(r16)
A63D8050     17B0		ldq	r17, A					# r17, 64(gp)				    # 000376
A2310768     17B4		ldl	r17, A					# r17, 1896(r17)
422C39B1     17B8		cmplt	r17, 97, r17
A65D8050     17BC		ldq	r18, A					# r18, 64(gp)
A2520768     17C0		ldl	r18, A					# r18, 1896(r18)
424F5DB2     17C4		cmple	r18, 122, r18
46510111     17C8		bic	r18, r17, r17
E220001D     17CC		blbc	r17, lab$0244
A67D8050     17D0		ldq	r19, A					# r19, 64(gp)				    # 000377
A2730768     17D4		ldl	r19, A					# r19, 1896(r19)
42641133     17D8		subl	r19, 32, r19
A69D8050     17DC		ldq	r20, A					# r20, 64(gp)
B2740768     17E0		stl	r19, A					# r19, 1896(r20)
A6BD8050     17E4		ldq	r21, I					# r21, 64(gp)				    # 000378
A2B50770     17E8		ldl	r21, I					# r21, 1904(r21)
42A03535     17EC		subq	r21, 1, r21
A6DD8050     17F0		ldq	r22, I					# r22, 64(gp)
A2D60770     17F4		ldl	r22, I					# r22, 1904(r22)
42D50536     17F8		subq	r22, r21, r22
46C01C96     17FC		cmovle	r22, 0, r22
A6FD8050     1800		ldq	r23, A					# r23, 64(gp)
A2F70768     1804		ldl	r23, A					# r23, 1896(r23)
46FFF017     1808		and	r23, 255, r23
46FFF017     180C		and	r23, 255, r23
B2EF0080     1810		stl	r23, 128(r15)
A61D8050     1814		ldq	r16, B					# r16, 64(gp)
22100778     1818		lda	r16, B					# r16, 1912(r16)
47F50414     181C		mov	r21, r20
42140410     1820		addq	r16, r20, r16
47F60411     1824		mov	r22, r17
224F0080     1828		lda	r18, 128(r15)
47E03413     182C		mov	1, r19
A77D8038     1830		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1834		jsr	r26, _OtsMoveMinimum			# r26, (r27)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 51
                                $stringflib$ucase$_              5-Aug-2004 11:11:06  stringflib.f90

47E41412     1838		mov	32, r18
A77D8048     183C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1840		jsr	r26, _OtsFill				# r26, (r27)
	     1844	lab$0244:											    # 000376
A71D8050     1844		ldq	r24, I					# r24, 64(gp)				    # 000372
A3180770     1848		ldl	r24, I					# r24, 1904(r24)
43003018     184C		addl	r24, 1, r24
A73D8050     1850		ldq	r25, I					# r25, 64(gp)
B3190770     1854		stl	r24, I					# r24, 1904(r25)
4160352B     1858		subq	var$0056, 1, var$0056			# r11, 1, r11
FD7FFFC7     185C		bgt	var$0056, lab$0240			# r11, lab$0240
	     1860	lab$0235:											    # 000371
A60F0028     1860		ldq	r16, 40(r15)									    # 000383
A65D8050     1864		ldq	r18, B					# r18, 64(gp)
22520778     1868		lda	r18, B					# r18, 1912(r18)
47FFF411     186C		mov	255, r17
A77D8040     1870		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1874		jsr	r26, _OtsMove				# r26, (r27)
A40F0028     1878		ldq	r0, 40(r15)									    # 000385
47EF041E     187C		mov	r15, sp
A74F0000     1880		ldq	r26, (r15)
A52F0008     1884		ldq	r9, 8(r15)
A54F0010     1888		ldq	r10, 16(r15)
A56F0018     188C		ldq	r11, 24(r15)
A5FE0020     1890		ldq	r15, 32(sp)
23DE0090     1894		lda	sp, 144(sp)
6BFA8001     1898		ret	(r26)
				.end 	$stringflib$ucase$_

Routine Size: 672 bytes,    Routine Base: $CODE$ + 15FC

				.globl  $stringflib$lcase$_
				.ent 	$stringflib$lcase$_
				.eflag 16
	     189C	$stringflib$lcase$_:										    # 000394
27BB0001     189C		ldah	gp, $stringflib$lcase$_			# gp, (r27)
23BDA2B0     18A0		lda	gp, $stringflib$lcase$_			# gp, (gp)
	     18A4	L$192:
23DEFF70     18A4		lda	sp, -144(sp)
B75E0000     18A8		stq	r26, (sp)
B53E0008     18AC		stq	r9, 8(sp)
B55E0010     18B0		stq	r10, 16(sp)
B57E0018     18B4		stq	r11, 24(sp)
B5FE0020     18B8		stq	r15, 32(sp)
47FE040F     18BC		mov	sp, r15
				.mask 0x04008E00,-144
				.fmask 0x00000000,0
				.frame  $fp, 144, $26
				.prologue 1
B60F0028     18C0		stq	r16, 40(r15)
B62F0038     18C4		stq	r17, LCASE$.len				# r17, 56(r15)
47F20409     18C8		mov	r18, r9
B66F0030     18CC		stq	r19, STR.len				# r19, 48(r15)
A54F0030     18D0		ldq	r10, STR.len				# r10, 48(r15)
A61D8050     18D4		ldq	r16, B					# r16, 64(gp)				    # 000400
22100888     18D8		lda	r16, B					# r16, 2184(r16)
22490000     18DC		lda	r18, (r9)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 52
                                $stringflib$lcase$_              5-Aug-2004 11:11:06  stringflib.f90

47EA0413     18E0		mov	r10, r19
47FFF411     18E4		mov	255, r17
A77D8038     18E8		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     18EC		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     18F0		mov	32, r18
A77D8048     18F4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     18F8		jsr	r26, _OtsFill				# r26, (r27)
47FE0400     18FC		mov	sp, r0										    # 000401
41EA0535     1900		subq	r15, r10, r21
46A1F115     1904		bic	r21, 15, r21
230FF000     1908		lda	r24, -4096(r15)
A7950000     190C		ldq	r28, (r21)
431507BC     1910		cmpule	r24, r21, r28
F7800004     1914		bne	r28, L$196
	     1918	L$195:
A7980000     1918		ldq	r28, (r24)
2318E020     191C		lda	r24, -8160(r24)
431507BC     1920		cmpule	r24, r21, r28
E79FFFFC     1924		beq	r28, L$195
	     1928	L$196:
47F5041E     1928		mov	r21, sp
B7CF0080     192C		stq	sp, 128(r15)
47FE0400     1930		mov	sp, r0
47EA0401     1934		mov	r10, r1
43CA0522     1938		subq	sp, r10, r2
4441F102     193C		bic	r2, 15, r2
231EF000     1940		lda	r24, -4096(sp)
A7820000     1944		ldq	r28, (r2)
430207BC     1948		cmpule	r24, r2, r28
F7800004     194C		bne	r28, L$198
	     1950	L$197:
A7980000     1950		ldq	r28, (r24)
2318E020     1954		lda	r24, -8160(r24)
430207BC     1958		cmpule	r24, r2, r28
E79FFFFC     195C		beq	r28, L$197
	     1960	L$198:
47E2041E     1960		mov	r2, sp
22020000     1964		lda	r16, (r2)
47EA0411     1968		mov	r10, r17
22490000     196C		lda	r18, (r9)
A77D8040     1970		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1974		jsr	r26, _OtsMove				# r26, (r27)
43C10523     1978		subq	sp, r1, r3
4461F103     197C		bic	r3, 15, r3
231EF000     1980		lda	r24, -4096(sp)
A7830000     1984		ldq	r28, (r3)
430307BC     1988		cmpule	r24, r3, r28
F7800004     198C		bne	r28, L$202
	     1990	L$201:
A7980000     1990		ldq	r28, (r24)
2318E020     1994		lda	r24, -8160(r24)
430307BC     1998		cmpule	r24, r3, r28
E79FFFFC     199C		beq	r28, L$201
	     19A0	L$202:
47E3041E     19A0		mov	r3, sp
22030000     19A4		lda	r16, (r3)
47E10411     19A8		mov	r1, r17

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 53
                                $stringflib$lcase$_              5-Aug-2004 11:11:06  stringflib.f90

22420000     19AC		lda	r18, (r2)
47EA0413     19B0		mov	r10, r19
A77D8038     19B4		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     19B8		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     19BC		mov	32, r18
A77D8048     19C0		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     19C4		jsr	r26, _OtsFill				# r26, (r27)
A60F0080     19C8		ldq	r16, 128(r15)
47EA0411     19CC		mov	r10, r17
22430000     19D0		lda	r18, (r3)
47E10413     19D4		mov	r1, r19
A77D8020     19D8		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     19DC		jsr	r26, for_trim				# r26, (r27)
27BA0001     19E0		ldah	gp, $stringflib$lcase$_			# gp, (r26)
23BDA2B0     19E4		lda	gp, $stringflib$lcase$_			# gp, (gp)
A43D8050     19E8		ldq	r1, L					# r1, 64(gp)
B001087C     19EC		stl	r0, L					# r0, 2172(r1)
47EF041E     19F0		mov	r15, sp
A45D8050     19F4		ldq	r2, L					# r2, 64(gp)				    # 000403
A042087C     19F8		ldl	r2, L					# r2, 2172(r2)
47E2040B     19FC		mov	r2, var$0058				# r2, r11
47E03403     1A00		mov	1, r3
A49D8050     1A04		ldq	r4, I					# r4, 64(gp)
B0640880     1A08		stl	r3, I					# r3, 2176(r4)
EC40003A     1A0C		ble	r2, lab$0257
	     1A10	lab$0258:											    # 000405
A4BD8050     1A10		ldq	r5, I					# r5, 64(gp)
A0A50880     1A14		ldl	r5, I					# r5, 2176(r5)
40A03525     1A18		subq	r5, 1, r5
A4DD8050     1A1C		ldq	r6, I					# r6, 64(gp)
A0C60880     1A20		ldl	r6, I					# r6, 2176(r6)
40C50526     1A24		subq	r6, r5, r6
44C01C86     1A28		cmovle	r6, 0, r6
41250405     1A2C		addq	r9, r5, r5
40BF0405     1A30		addq	r5, r31, r5
2CE50000     1A34		ldq_u	r7, (r5)
48E500C7     1A38		extbl	r7, r5, r7
A51D8050     1A3C		ldq	r8, A					# r8, 64(gp)
B0E80878     1A40		stl	r7, A					# r7, 2168(r8)
A61D8050     1A44		ldq	r16, A					# r16, 64(gp)				    # 000407
A2100878     1A48		ldl	r16, A					# r16, 2168(r16)
420839B0     1A4C		cmplt	r16, 65, r16
A63D8050     1A50		ldq	r17, A					# r17, 64(gp)
A2310878     1A54		ldl	r17, A					# r17, 2168(r17)
422B5DB1     1A58		cmple	r17, 90, r17
46300110     1A5C		bic	r17, r16, r16
E200001E     1A60		blbc	r16, lab$0262
A65D8050     1A64		ldq	r18, A					# r18, 64(gp)				    # 000409
A2520878     1A68		ldl	r18, A					# r18, 2168(r18)
42441012     1A6C		addl	r18, 32, r18
A67D8050     1A70		ldq	r19, A					# r19, 64(gp)
B2530878     1A74		stl	r18, A					# r18, 2168(r19)
A69D8050     1A78		ldq	r20, I					# r20, 64(gp)				    # 000410
A2940880     1A7C		ldl	r20, I					# r20, 2176(r20)
42803534     1A80		subq	r20, 1, r20
47F40415     1A84		mov	r20, r21
A6DD8050     1A88		ldq	r22, I					# r22, 64(gp)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 54
                                $stringflib$lcase$_              5-Aug-2004 11:11:06  stringflib.f90

A2D60880     1A8C		ldl	r22, I					# r22, 2176(r22)
42D50536     1A90		subq	r22, r21, r22
46C01C96     1A94		cmovle	r22, 0, r22
A6FD8050     1A98		ldq	r23, A					# r23, 64(gp)
A2F70878     1A9C		ldl	r23, A					# r23, 2168(r23)
46FFF017     1AA0		and	r23, 255, r23
46FFF017     1AA4		and	r23, 255, r23
B2EF0080     1AA8		stl	r23, 128(r15)
A61D8050     1AAC		ldq	r16, B					# r16, 64(gp)
22100888     1AB0		lda	r16, B					# r16, 2184(r16)
47F50414     1AB4		mov	r21, r20
42140410     1AB8		addq	r16, r20, r16
47F60411     1ABC		mov	r22, r17
224F0080     1AC0		lda	r18, 128(r15)
47E03413     1AC4		mov	1, r19
A77D8038     1AC8		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1ACC		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1AD0		mov	32, r18
A77D8048     1AD4		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1AD8		jsr	r26, _OtsFill				# r26, (r27)
	     1ADC	lab$0262:											    # 000407
A71D8050     1ADC		ldq	r24, I					# r24, 64(gp)				    # 000403
A3180880     1AE0		ldl	r24, I					# r24, 2176(r24)
43003018     1AE4		addl	r24, 1, r24
A73D8050     1AE8		ldq	r25, I					# r25, 64(gp)
B3190880     1AEC		stl	r24, I					# r24, 2176(r25)
4160352B     1AF0		subq	var$0058, 1, var$0058			# r11, 1, r11
FD7FFFC6     1AF4		bgt	var$0058, lab$0258			# r11, lab$0258
	     1AF8	lab$0257:
A60F0028     1AF8		ldq	r16, 40(r15)									    # 000416
A65D8050     1AFC		ldq	r18, B					# r18, 64(gp)
22520888     1B00		lda	r18, B					# r18, 2184(r18)
47FFF411     1B04		mov	255, r17
A77D8040     1B08		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1B0C		jsr	r26, _OtsMove				# r26, (r27)
A40F0028     1B10		ldq	r0, 40(r15)									    # 000418
47EF041E     1B14		mov	r15, sp
A74F0000     1B18		ldq	r26, (r15)
A52F0008     1B1C		ldq	r9, 8(r15)
A54F0010     1B20		ldq	r10, 16(r15)
A56F0018     1B24		ldq	r11, 24(r15)
A5FE0020     1B28		ldq	r15, 32(sp)
23DE0090     1B2C		lda	sp, 144(sp)
6BFA8001     1B30		ret	(r26)
				.end 	$stringflib$lcase$_

Routine Size: 664 bytes,    Routine Base: $CODE$ + 189C

				.globl  $stringflib$right$_
				.ent 	$stringflib$right$_
				.eflag 16
	     1B34	$stringflib$right$_:										    # 000420
27BB0001     1B34		ldah	gp, $stringflib$right$_			# gp, (r27)
23BDA2B0     1B38		lda	gp, $stringflib$right$_			# gp, (gp)
	     1B3C	L$214:
23DEFF20     1B3C		lda	sp, -224(sp)
B75E0000     1B40		stq	r26, (sp)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 55
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

B53E0008     1B44		stq	r9, 8(sp)
B55E0010     1B48		stq	r10, 16(sp)
B57E0018     1B4C		stq	r11, 24(sp)
B5FE0020     1B50		stq	r15, 32(sp)
47FE040F     1B54		mov	sp, r15
				.mask 0x04008E00,-224
				.fmask 0x00000000,0
				.frame  $fp, 224, $26
				.prologue 1
B7CF00B8     1B58		stq	sp, 184(r15)
B60F0050     1B5C		stq	r16, 80(r15)
B62F0070     1B60		stq	r17, RIGHT$.len				# r17, 112(r15)
47F20409     1B64		mov	r18, r9
B66F0048     1B68		stq	r19, 72(r15)
B68F0068     1B6C		stq	r20, CHAR.len				# r20, 104(r15)
A40F0070     1B70		ldq	r0, RIGHT$.len				# r0, 112(r15)
B40F0058     1B74		stq	r0, 88(r15)
A54F0068     1B78		ldq	r10, CHAR.len				# r10, 104(r15)
A62F0048     1B7C		ldq	r17, 72(r15)									    # 000418
A2310000     1B80		ldl	r17, (r17)
A65D8050     1B84		ldq	r18, var$0021				# r18, 64(gp)
B2320990     1B88		stl	r17, var$0021				# r17, 2448(r18)
43CA0533     1B8C		subq	sp, r10, r19									    # 000424
4661F113     1B90		bic	r19, 15, r19
231EF000     1B94		lda	r24, -4096(sp)
A7930000     1B98		ldq	r28, (r19)
431307BC     1B9C		cmpule	r24, r19, r28
F7800004     1BA0		bne	r28, L$216
	     1BA4	L$215:
A7980000     1BA4		ldq	r28, (r24)
2318E020     1BA8		lda	r24, -8160(r24)
431307BC     1BAC		cmpule	r24, r19, r28
E79FFFFC     1BB0		beq	r28, L$215
	     1BB4	L$216:
47F3041E     1BB4		mov	r19, sp
B7CF0038     1BB8		stq	sp, 56(r15)
B7CF00B8     1BBC		stq	sp, 184(r15)
47EA0400     1BC0		mov	r10, r0
43CA0521     1BC4		subq	sp, r10, r1
4421F101     1BC8		bic	r1, 15, r1
231EF000     1BCC		lda	r24, -4096(sp)
A7810000     1BD0		ldq	r28, (r1)
430107BC     1BD4		cmpule	r24, r1, r28
F7800004     1BD8		bne	r28, L$218
	     1BDC	L$217:
A7980000     1BDC		ldq	r28, (r24)
2318E020     1BE0		lda	r24, -8160(r24)
430107BC     1BE4		cmpule	r24, r1, r28
E79FFFFC     1BE8		beq	r28, L$217
	     1BEC	L$218:
47E1041E     1BEC		mov	r1, sp
22010000     1BF0		lda	r16, (r1)
47EA0411     1BF4		mov	r10, r17
22490000     1BF8		lda	r18, (r9)
A77D8040     1BFC		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1C00		jsr	r26, _OtsMove				# r26, (r27)
43C00522     1C04		subq	sp, r0, r2

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 56
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

4441F102     1C08		bic	r2, 15, r2
231EF000     1C0C		lda	r24, -4096(sp)
A7820000     1C10		ldq	r28, (r2)
430207BC     1C14		cmpule	r24, r2, r28
F7800004     1C18		bne	r28, L$222
	     1C1C	L$221:
A7980000     1C1C		ldq	r28, (r24)
2318E020     1C20		lda	r24, -8160(r24)
430207BC     1C24		cmpule	r24, r2, r28
E79FFFFC     1C28		beq	r28, L$221
	     1C2C	L$222:
47E2041E     1C2C		mov	r2, sp
22020000     1C30		lda	r16, (r2)
47E00411     1C34		mov	r0, r17
22410000     1C38		lda	r18, (r1)
47EA0413     1C3C		mov	r10, r19
A77D8038     1C40		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1C44		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1C48		mov	32, r18
A77D8048     1C4C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1C50		jsr	r26, _OtsFill				# r26, (r27)
A60F0038     1C54		ldq	r16, 56(r15)
47EA0411     1C58		mov	r10, r17
22420000     1C5C		lda	r18, (r2)
47E00413     1C60		mov	r0, r19
A77D8020     1C64		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     1C68		jsr	r26, for_trim				# r26, (r27)
27BA0001     1C6C		ldah	gp, $stringflib$right$_			# gp, (r26)
23BDA2B0     1C70		lda	gp, $stringflib$right$_			# gp, (gp)
B40F0060     1C74		stq	r0, var$0016				# r0, 96(r15)
A44F00B8     1C78		ldq	r2, 184(r15)									    # 000420
404A0522     1C7C		subq	r2, r10, r2
4441F102     1C80		bic	r2, 15, r2
2302F000     1C84		lda	r24, -4096(r2)
A7820000     1C88		ldq	r28, (r2)
430207BC     1C8C		cmpule	r24, r2, r28
F7800004     1C90		bne	r28, L$226
	     1C94	L$225:
A7980000     1C94		ldq	r28, (r24)
2318E020     1C98		lda	r24, -8160(r24)
430207BC     1C9C		cmpule	r24, r2, r28
E79FFFFC     1CA0		beq	r28, L$225
	     1CA4	L$226:
47E2041E     1CA4		mov	r2, sp
B7CF0030     1CA8		stq	sp, 48(r15)
B7CF00B8     1CAC		stq	sp, 184(r15)
47EA0403     1CB0		mov	r10, r3
43CA0524     1CB4		subq	sp, r10, r4
4481F104     1CB8		bic	r4, 15, r4
231EF000     1CBC		lda	r24, -4096(sp)
A7840000     1CC0		ldq	r28, (r4)
430407BC     1CC4		cmpule	r24, r4, r28
F7800004     1CC8		bne	r28, L$228
	     1CCC	L$227:
A7980000     1CCC		ldq	r28, (r24)
2318E020     1CD0		lda	r24, -8160(r24)
430407BC     1CD4		cmpule	r24, r4, r28

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 57
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

E79FFFFC     1CD8		beq	r28, L$227
	     1CDC	L$228:
47E4041E     1CDC		mov	r4, sp
22040000     1CE0		lda	r16, (r4)
47EA0411     1CE4		mov	r10, r17
22490000     1CE8		lda	r18, (r9)
A77D8040     1CEC		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1CF0		jsr	r26, _OtsMove				# r26, (r27)
43C30520     1CF4		subq	sp, r3, r0
4401F100     1CF8		bic	r0, 15, r0
231EF000     1CFC		lda	r24, -4096(sp)
A7800000     1D00		ldq	r28, (r0)
430007BC     1D04		cmpule	r24, r0, r28
F7800004     1D08		bne	r28, L$232
	     1D0C	L$231:
A7980000     1D0C		ldq	r28, (r24)
2318E020     1D10		lda	r24, -8160(r24)
430007BC     1D14		cmpule	r24, r0, r28
E79FFFFC     1D18		beq	r28, L$231
	     1D1C	L$232:
47E0041E     1D1C		mov	r0, sp
22000000     1D20		lda	r16, (r0)
47E30411     1D24		mov	r3, r17
22440000     1D28		lda	r18, (r4)
47EA0413     1D2C		mov	r10, r19
A77D8038     1D30		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1D34		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1D38		mov	32, r18
A77D8048     1D3C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1D40		jsr	r26, _OtsFill				# r26, (r27)
A60F0030     1D44		ldq	r16, 48(r15)
47EA0411     1D48		mov	r10, r17
22400000     1D4C		lda	r18, (r0)
47E30413     1D50		mov	r3, r19
A77D8020     1D54		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     1D58		jsr	r26, for_trim				# r26, (r27)
27BA0001     1D5C		ldah	gp, $stringflib$right$_			# gp, (r26)
23BDA2B0     1D60		lda	gp, $stringflib$right$_			# gp, (gp)
44001C80     1D64		cmovle	r0, 0, r0
A42F00B8     1D68		ldq	r1, 184(r15)
40200521     1D6C		subq	r1, r0, r1
4421F101     1D70		bic	r1, 15, r1
2301F000     1D74		lda	r24, -4096(r1)
A7810000     1D78		ldq	r28, (r1)
430107BC     1D7C		cmpule	r24, r1, r28
F7800004     1D80		bne	r28, L$236
	     1D84	L$235:
A7980000     1D84		ldq	r28, (r24)
2318E020     1D88		lda	r24, -8160(r24)
430107BC     1D8C		cmpule	r24, r1, r28
E79FFFFC     1D90		beq	r28, L$235
	     1D94	L$236:
47E1041E     1D94		mov	r1, sp
B7CF0040     1D98		stq	sp, 64(r15)
B7CF00B8     1D9C		stq	sp, 184(r15)
47FE040B     1DA0		mov	sp, r11										    # 000426
43CA0522     1DA4		subq	sp, r10, r2

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 58
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

4441F102     1DA8		bic	r2, 15, r2
231EF000     1DAC		lda	r24, -4096(sp)
A7820000     1DB0		ldq	r28, (r2)
430207BC     1DB4		cmpule	r24, r2, r28
F7800004     1DB8		bne	r28, L$238
	     1DBC	L$237:
A7980000     1DBC		ldq	r28, (r24)
2318E020     1DC0		lda	r24, -8160(r24)
430207BC     1DC4		cmpule	r24, r2, r28
E79FFFFC     1DC8		beq	r28, L$237
	     1DCC	L$238:
47E2041E     1DCC		mov	r2, sp
B7CF00C8     1DD0		stq	sp, 200(r15)
47FE040B     1DD4		mov	sp, r11
47EA0403     1DD8		mov	r10, r3
43CA0524     1DDC		subq	sp, r10, r4
4481F104     1DE0		bic	r4, 15, r4
231EF000     1DE4		lda	r24, -4096(sp)
A7840000     1DE8		ldq	r28, (r4)
430407BC     1DEC		cmpule	r24, r4, r28
F7800004     1DF0		bne	r28, L$240
	     1DF4	L$239:
A7980000     1DF4		ldq	r28, (r24)
2318E020     1DF8		lda	r24, -8160(r24)
430407BC     1DFC		cmpule	r24, r4, r28
E79FFFFC     1E00		beq	r28, L$239
	     1E04	L$240:
47E4041E     1E04		mov	r4, sp
22040000     1E08		lda	r16, (r4)
47EA0411     1E0C		mov	r10, r17
22490000     1E10		lda	r18, (r9)
A77D8040     1E14		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1E18		jsr	r26, _OtsMove				# r26, (r27)
43C30520     1E1C		subq	sp, r3, r0
4401F100     1E20		bic	r0, 15, r0
231EF000     1E24		lda	r24, -4096(sp)
A7800000     1E28		ldq	r28, (r0)
430007BC     1E2C		cmpule	r24, r0, r28
F7800004     1E30		bne	r28, L$244
	     1E34	L$243:
A7980000     1E34		ldq	r28, (r24)
2318E020     1E38		lda	r24, -8160(r24)
430007BC     1E3C		cmpule	r24, r0, r28
E79FFFFC     1E40		beq	r28, L$243
	     1E44	L$244:
47E0041E     1E44		mov	r0, sp
22000000     1E48		lda	r16, (r0)
47E30411     1E4C		mov	r3, r17
22440000     1E50		lda	r18, (r4)
47EA0413     1E54		mov	r10, r19
A77D8038     1E58		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1E5C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1E60		mov	32, r18
A77D8048     1E64		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1E68		jsr	r26, _OtsFill				# r26, (r27)
A60F00C8     1E6C		ldq	r16, 200(r15)
47EA0411     1E70		mov	r10, r17

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 59
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

22400000     1E74		lda	r18, (r0)
47E30413     1E78		mov	r3, r19
A77D8020     1E7C		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     1E80		jsr	r26, for_trim				# r26, (r27)
27BA0001     1E84		ldah	gp, $stringflib$right$_			# gp, (r26)
23BDA2B0     1E88		lda	gp, $stringflib$right$_			# gp, (gp)
44001C80     1E8C		cmovle	r0, 0, r0
B40F00D0     1E90		stq	r0, 208(r15)
416A0521     1E94		subq	r11, r10, r1
4421F101     1E98		bic	r1, 15, r1
230BF000     1E9C		lda	r24, -4096(r11)
A7810000     1EA0		ldq	r28, (r1)
430107BC     1EA4		cmpule	r24, r1, r28
F7800004     1EA8		bne	r28, L$248
	     1EAC	L$247:
A7980000     1EAC		ldq	r28, (r24)
2318E020     1EB0		lda	r24, -8160(r24)
430107BC     1EB4		cmpule	r24, r1, r28
E79FFFFC     1EB8		beq	r28, L$247
	     1EBC	L$248:
47E1041E     1EBC		mov	r1, sp
B7CF00C0     1EC0		stq	sp, 192(r15)
47FE040B     1EC4		mov	sp, r11
47EA0402     1EC8		mov	r10, r2
43CA0523     1ECC		subq	sp, r10, r3
4461F103     1ED0		bic	r3, 15, r3
231EF000     1ED4		lda	r24, -4096(sp)
A7830000     1ED8		ldq	r28, (r3)
430307BC     1EDC		cmpule	r24, r3, r28
F7800004     1EE0		bne	r28, L$250
	     1EE4	L$249:
A7980000     1EE4		ldq	r28, (r24)
2318E020     1EE8		lda	r24, -8160(r24)
430307BC     1EEC		cmpule	r24, r3, r28
E79FFFFC     1EF0		beq	r28, L$249
	     1EF4	L$250:
47E3041E     1EF4		mov	r3, sp
22030000     1EF8		lda	r16, (r3)
47EA0411     1EFC		mov	r10, r17
22490000     1F00		lda	r18, (r9)
A77D8040     1F04		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     1F08		jsr	r26, _OtsMove				# r26, (r27)
43C20520     1F0C		subq	sp, r2, r0
4401F100     1F10		bic	r0, 15, r0
231EF000     1F14		lda	r24, -4096(sp)
A7800000     1F18		ldq	r28, (r0)
430007BC     1F1C		cmpule	r24, r0, r28
F7800004     1F20		bne	r28, L$254
	     1F24	L$253:
A7980000     1F24		ldq	r28, (r24)
2318E020     1F28		lda	r24, -8160(r24)
430007BC     1F2C		cmpule	r24, r0, r28
E79FFFFC     1F30		beq	r28, L$253
	     1F34	L$254:
47E0041E     1F34		mov	r0, sp
22000000     1F38		lda	r16, (r0)
47E20411     1F3C		mov	r2, r17

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 60
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

22430000     1F40		lda	r18, (r3)
47EA0413     1F44		mov	r10, r19
A77D8038     1F48		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1F4C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1F50		mov	32, r18
A77D8048     1F54		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1F58		jsr	r26, _OtsFill				# r26, (r27)
A60F00C0     1F5C		ldq	r16, 192(r15)
47EA0411     1F60		mov	r10, r17
22400000     1F64		lda	r18, (r0)
47E20413     1F68		mov	r2, r19
A77D8020     1F6C		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     1F70		jsr	r26, for_trim				# r26, (r27)
27BA0001     1F74		ldah	gp, $stringflib$right$_			# gp, (r26)
23BDA2B0     1F78		lda	gp, $stringflib$right$_			# gp, (gp)
A60F0040     1F7C		ldq	r16, 64(r15)
A62F00D0     1F80		ldq	r17, 208(r15)
A64F00C0     1F84		ldq	r18, 192(r15)
47E00413     1F88		mov	r0, r19
A77D8038     1F8C		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     1F90		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     1F94		mov	32, r18
A77D8048     1F98		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     1F9C		jsr	r26, _OtsFill				# r26, (r27)
A7CF00B8     1FA0		ldq	sp, 184(r15)
43CA052B     1FA4		subq	sp, r10, r11									    # 000427
4561F10B     1FA8		bic	r11, 15, r11
231EF000     1FAC		lda	r24, -4096(sp)
A78B0000     1FB0		ldq	r28, (r11)
430B07BC     1FB4		cmpule	r24, r11, r28
F7800004     1FB8		bne	r28, L$260
	     1FBC	L$259:
A7980000     1FBC		ldq	r28, (r24)
2318E020     1FC0		lda	r24, -8160(r24)
430B07BC     1FC4		cmpule	r24, r11, r28
E79FFFFC     1FC8		beq	r28, L$259
	     1FCC	L$260:
47EB041E     1FCC		mov	r11, sp
B7CF0028     1FD0		stq	sp, 40(r15)
B7CF00B8     1FD4		stq	sp, 184(r15)
47EA0401     1FD8		mov	r10, r1
43CA0522     1FDC		subq	sp, r10, r2
4441F102     1FE0		bic	r2, 15, r2
231EF000     1FE4		lda	r24, -4096(sp)
A7820000     1FE8		ldq	r28, (r2)
430207BC     1FEC		cmpule	r24, r2, r28
F7800004     1FF0		bne	r28, L$262
	     1FF4	L$261:
A7980000     1FF4		ldq	r28, (r24)
2318E020     1FF8		lda	r24, -8160(r24)
430207BC     1FFC		cmpule	r24, r2, r28
E79FFFFC     2000		beq	r28, L$261
	     2004	L$262:
47E2041E     2004		mov	r2, sp
22020000     2008		lda	r16, (r2)
47EA0411     200C		mov	r10, r17
22490000     2010		lda	r18, (r9)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 61
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

A77D8040     2014		ldq	r27, _OtsMove				# r27, 48(gp)
6B5B4000     2018		jsr	r26, _OtsMove				# r26, (r27)
43C10520     201C		subq	sp, r1, r0
4401F100     2020		bic	r0, 15, r0
231EF000     2024		lda	r24, -4096(sp)
A7800000     2028		ldq	r28, (r0)
430007BC     202C		cmpule	r24, r0, r28
F7800004     2030		bne	r28, L$266
	     2034	L$265:
A7980000     2034		ldq	r28, (r24)
2318E020     2038		lda	r24, -8160(r24)
430007BC     203C		cmpule	r24, r0, r28
E79FFFFC     2040		beq	r28, L$265
	     2044	L$266:
47E0041E     2044		mov	r0, sp
22000000     2048		lda	r16, (r0)
47E10411     204C		mov	r1, r17
22420000     2050		lda	r18, (r2)
47EA0413     2054		mov	r10, r19
A77D8038     2058		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     205C		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     2060		mov	32, r18
A77D8048     2064		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     2068		jsr	r26, _OtsFill				# r26, (r27)
A60F0028     206C		ldq	r16, 40(r15)
47EA0411     2070		mov	r10, r17
22400000     2074		lda	r18, (r0)
47E10413     2078		mov	r1, r19
A77D8020     207C		ldq	r27, for_trim				# r27, 16(gp)
6B5B4000     2080		jsr	r26, for_trim				# r26, (r27)
27BA0001     2084		ldah	gp, $stringflib$right$_			# gp, (r26)
23BDA2B0     2088		lda	gp, $stringflib$right$_			# gp, (gp)
44001C80     208C		cmovle	r0, 0, r0
A57D8050     2090		ldq	r11, L					# r11, 64(gp)
B00B0988     2094		stl	r0, L					# r0, 2440(r11)
A43D8050     2098		ldq	r1, L					# r1, 64(gp)				    # 000428
A0210988     209C		ldl	r1, L					# r1, 2440(r1)
A44F0048     20A0		ldq	r2, 72(r15)
A0420000     20A4		ldl	r2, (r2)
40220121     20A8		subl	r1, r2, r1
40203001     20AC		addl	r1, 1, r1
A47D8050     20B0		ldq	r3, I					# r3, 64(gp)
B023098C     20B4		stl	r1, I					# r1, 2444(r3)
A49D8050     20B8		ldq	r4, var$0021				# r4, 64(gp)				    # 000423
A0840990     20BC		ldl	r4, var$0021				# r4, 2448(r4)
44801C84     20C0		cmovle	r4, 0, r4									    # 000429
A4BD8050     20C4		ldq	r5, I					# r5, 64(gp)
A0A5098C     20C8		ldl	r5, I					# r5, 2444(r5)
40A03525     20CC		subq	r5, 1, r5
A4DD8050     20D0		ldq	r6, L					# r6, 64(gp)
A0C60988     20D4		ldl	r6, L					# r6, 2440(r6)
40C50526     20D8		subq	r6, r5, r6
44C01C86     20DC		cmovle	r6, 0, r6
A60F0050     20E0		ldq	r16, 80(r15)
47E40411     20E4		mov	r4, r17
A64F0040     20E8		ldq	r18, 64(r15)
47E50414     20EC		mov	r5, r20

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 62
                                $stringflib$right$_              5-Aug-2004 11:11:06  stringflib.f90

42540412     20F0		addq	r18, r20, r18
47E60413     20F4		mov	r6, r19
A77D8038     20F8		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     20FC		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     2100		mov	32, r18
A77D8048     2104		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     2108		jsr	r26, _OtsFill				# r26, (r27)
A40F0050     210C		ldq	r0, 80(r15)									    # 000430
47EF041E     2110		mov	r15, sp
A74F0000     2114		ldq	r26, (r15)
A52F0008     2118		ldq	r9, 8(r15)
A54F0010     211C		ldq	r10, 16(r15)
A56F0018     2120		ldq	r11, 24(r15)
A5FE0020     2124		ldq	r15, 32(sp)
23DE00E0     2128		lda	sp, 224(sp)
6BFA8001     212C		ret	(r26)
				.end 	$stringflib$right$_

Routine Size: 1532 bytes,    Routine Base: $CODE$ + 1B34

				.globl  $stringflib$left$_
				.ent 	$stringflib$left$_
				.eflag 16
	     2130	$stringflib$left$_:										    # 000432
27BB0001     2130		ldah	gp, $stringflib$left$_			# gp, (r27)
23BDA2B0     2134		lda	gp, $stringflib$left$_			# gp, (gp)
	     2138	L$271:
23DEFFA0     2138		lda	sp, -96(sp)
47FA0405     213C		mov	r26, r5
				.frame  $sp, 96, $26
				.save_ra r5
				.prologue 1
B61E0000     2140		stq	r16, (sp)
B63E0010     2144		stq	r17, LEFT$.len				# r17, 16(sp)
47F20402     2148		mov	r18, r2
47F30401     214C		mov	r19, r1
B69E0008     2150		stq	r20, CHAR.len				# r20, 8(sp)
A49E0010     2154		ldq	r4, LEFT$.len				# r4, 16(sp)
A47E0008     2158		ldq	r3, CHAR.len				# r3, 8(sp)
A2210000     215C		ldl	r17, (r1)									    # 000430
A65D8050     2160		ldq	r18, var$0020				# r18, 64(gp)
B2320994     2164		stl	r17, var$0020				# r17, 2452(r18)
A67D8050     2168		ldq	r19, var$0020				# r19, 64(gp)				    # 000435
A2730994     216C		ldl	r19, var$0020				# r19, 2452(r19)
46601C93     2170		cmovle	r19, 0, r19									    # 000436
A2810000     2174		ldl	r20, (r1)
46801C94     2178		cmovle	r20, 0, r20
47F40400     217C		mov	r20, r0
A61E0000     2180		ldq	r16, (sp)
47F30411     2184		mov	r19, r17
22420000     2188		lda	r18, (r2)
47E00413     218C		mov	r0, r19
A77D8038     2190		ldq	r27, _OtsMoveMinimum			# r27, 40(gp)
6B5B4000     2194		jsr	r26, _OtsMoveMinimum			# r26, (r27)
47E41412     2198		mov	32, r18
A77D8048     219C		ldq	r27, _OtsFill				# r27, 56(gp)
6B5B4000     21A0		jsr	r26, _OtsFill				# r26, (r27)

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 63
                                $stringflib$left$_               5-Aug-2004 11:11:06  stringflib.f90

A41E0000     21A4		ldq	r0, (sp)									    # 000437
47E5041A     21A8		mov	r5, r26
23DE0060     21AC		lda	sp, 96(sp)
6BFA8001     21B0		ret	(r26)
				.end 	$stringflib$left$_

Routine Size: 132 bytes,    Routine Base: $CODE$ + 2130

				.data
				.lcomm	D$ 1
				.lcomm	F 4
				.lcomm	MAXL 4
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	S$ 256
				.lcomm	D 1
				.lcomm	SLEN 4
				.lcomm	F 4
				.lcomm	MAXL 4
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	S 256
				.lcomm	D 1
				.lcomm	F 4
				.lcomm	MAXL 4
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	S 256
				.lcomm	B 256
				.lcomm	R 4
				.lcomm	P 4
				.lcomm	B 256
				.lcomm	C$ 1
				.lcomm	CHKNUM 4
				.lcomm	B 4
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	AA$ 255
				.lcomm	NUM$ 255
				.lcomm	A 4
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	B 255
				.lcomm	A 4
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	B 255
				.lcomm	L 4
				.lcomm	I 4
				.lcomm	var$0021 4
				.lcomm	var$0020 4
				.rdata
			$$1:
00000000     0000		.quad	.literal
00000000     0008		.quad	_OtsStringCompareEqlPadded
00000000     0010		.quad	for_trim
00000000     0018		.quad	_OtsStringIndex

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 64
                                $stringflib$left$_               5-Aug-2004 11:11:06  stringflib.f90

00000000     0020		.quad	for_len_trim
00000000     0028		.quad	_OtsMoveMinimum
00000000     0030		.quad	_OtsMove
00000000     0038		.quad	_OtsFill
00000008     0040		.quad	$BSS$+8
00000000     0048		.quad	for_adjustl
00000000     0050		.quad	for_write_int_lis
00000000     0058		.quad	.lit4
00000000     0060		.quad	for_read_int_lis
				.rconst
			$$2:
CDA2425E     0000		.long	0xCDA2425E # .float -0.3402823E+09
				.rconst
			$$3:
             0000		.ascii	"\0"

33323130     0008		.ascii	"0123456789"
37363534     000C
    3938     0010

  3B2C20     0018		.ascii	" ,;"

03090438     0020		.ascii	"8\X04\X09\X03\X01\X00"
    0001     0024

      30     0028		.ascii	"0"

      2E     0030		.ascii	"."

031A0438     0038		.ascii	"8\X04\X1A\X03\X01\X00"
    0001     003C

33323130     0040		.ascii	"0123456789.+-"
37363534     0044
2B2E3938     0048
      2D     004C

				.data
			$$4:
	     0000		; Procedure descriptor for $stringflib$sep_natnum_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xBE
				; fmask                : 0x00
				; frame_size           : 86
				; sp_set               : 2
				; entry_length         : 11
	     0008		; Procedure descriptor for $stringflib$sep_substrings_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0xBE
				; fmask                : 0x00
				; frame_size           : 24
				; sp_set               : 2
				; entry_length         : 11
	     0010		; Procedure descriptor for $stringflib$sep_words_
				; flags :short, base_reg_is_fp

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 65
                                $stringflib$left$_               5-Aug-2004 11:11:06  stringflib.f90

				; rsa_offset           : 0
				; imask                : 0x8E
				; fmask                : 0x00
				; frame_size           : 84
				; sp_set               : 2
				; entry_length         : 9
	     0018		; Procedure descriptor for $stringflib$str_int$_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x00
				; fmask                : 0x00
				; frame_size           : 80
				; sp_set               : 2
				; entry_length         : 4
	     0020		; Procedure descriptor for $stringflib$str_real$_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x02
				; fmask                : 0x00
				; frame_size           : 82
				; sp_set               : 2
				; entry_length         : 5
	     0028		; Procedure descriptor for $stringflib$val_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0x86
				; fmask                : 0x00
				; frame_size           : 84
				; sp_set               : 2
				; entry_length         : 8
	     0030		; Procedure descriptor for $stringflib$ucase$_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0x8E
				; fmask                : 0x00
				; frame_size           : 18
				; sp_set               : 2
				; entry_length         : 9
	     0038		; Procedure descriptor for $stringflib$lcase$_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0x8E
				; fmask                : 0x00
				; frame_size           : 18
				; sp_set               : 2
				; entry_length         : 9
	     0040		; Procedure descriptor for $stringflib$right$_
				; flags :short, base_reg_is_fp
				; rsa_offset           : 0
				; imask                : 0x8E
				; fmask                : 0x00
				; frame_size           : 28
				; sp_set               : 2
				; entry_length         : 9
	     0048		; Procedure descriptor for $stringflib$left$_
				; flags :short, reg_frame
				; entry_ra             : 26

LEFT$                           Machine Code Listing             2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 66
                                $stringflib$left$_               5-Aug-2004 11:11:06  stringflib.f90

				; save_ra              : 5
				; frame_size           : 12
				; sp_set               : 2
				; entry_length         : 4
				.data
			$$5:
	     0000		; Code range descriptor for $stringflib$sep_natnum_
				beginaddress	    :     0000
				rpd_offset	    :     0000
				flags               : Standard
	     0008		; Code range descriptor for $stringflib$sep_substrings_
				beginaddress	    :     0500
				rpd_offset	    :     0008
				flags               : Standard
	     0010		; Code range descriptor for $stringflib$sep_words_
				beginaddress	    :     09C8
				rpd_offset	    :     0010
				flags               : Standard
	     0018		; Code range descriptor for $stringflib$str_int$_
				beginaddress	    :     0E9C
				rpd_offset	    :     0018
				flags               : Standard
	     0020		; Code range descriptor for $stringflib$str_real$_
				beginaddress	    :     0F74
				rpd_offset	    :     0020
				flags               : Standard
	     0028		; Code range descriptor for $stringflib$val_
				beginaddress	    :     126C
				rpd_offset	    :     0028
				flags               : Standard
	     0030		; Code range descriptor for $stringflib$ucase$_
				beginaddress	    :     15FC
				rpd_offset	    :     0030
				flags               : Standard
	     0038		; Code range descriptor for $stringflib$lcase$_
				beginaddress	    :     189C
				rpd_offset	    :     0038
				flags               : Standard
	     0040		; Code range descriptor for $stringflib$right$_
				beginaddress	    :     1B34
				rpd_offset	    :     0040
				flags               : Standard
	     0048		; Code range descriptor for $stringflib$left$_
				beginaddress	    :     2130
				rpd_offset	    :     0048
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock

SEP_NATNUM                      Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 67
                                                                 5-Aug-2004 11:11:06  stringflib.f90

       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66
  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2
       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase
       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude
       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only
  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity
  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : stringflib.l
       -o    filename : stringflib.o

COMPILER: Compaq Fortran V5.3-915-449BB

SEP_NATNUM                      Source Listing                   2-Sep-2004 10:35:09  Compaq Fortran V5.3-915           Page 68
                                                                 5-Aug-2004 11:11:06  stringflib.f90

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
